!     ######spl
      SUBROUTINE CH_INIT_CCS(KEQ,KOUT,KVERB)
      USE PARKIND1, ONLY : JPRB
      USE YOMHOOK , ONLY : LHOOK, DR_HOOK
!     ######################################
!! This code has been created automatically by preprocessor m10,
!! version: 9.7, copyright 1995-1999 by Meteo France/Universite Paul Sabatier.
!! Please report all bugs to K. Suhre (Lab. d'Aerologie UPS/CNRS).
!!*** *CH_INIT_CCS*
!!
!!    PURPOSE
!!    -------
!       initialization of the chemical reaction mechanism
!!
!!**  METHOD
!!    ------
!!
!!      The variables CNAMES and CREACS of MODD_CH_M9_SCHEME are defined here.
!!
!!    REFERENCE
!!    ---------
!!    none
!!
!!    AUTHOR
!!    ------
!!    Karsten Suhre (LA)
!!
!!    MODIFICATIONS
!!    -------------
!!    Original 26/07/96
!!    Modified 05/05/98: Vectorization (Vincent Crassier & KS)
!!    Modified 31/10/03: New interface for better MesoNH compilation (D. Gazen)
!!
!!----------------------------------------------------------------------
!!
!!    EXTERNAL
!!    --------
!!    none
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
USE MODD_CH_M9_SCHEME
!!
!!    EXPLICIT ARGUMENTS
!!    ------------------
IMPLICIT NONE
INTEGER, INTENT(IN)  :: KEQ         ! number of scalar variables
INTEGER, INTENT(IN)  :: KOUT, KVERB ! stdout output, verbosity level 
!!
!!    LOCAL VARIABLES
!!    ---------------
INTEGER :: JII ! loop control
!!
!!----------------------------------------------------------------------
! /BEGIN_INITIAL/
! /END_INITIAL/
! initialisation of the names of the chemical species
REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('CH_INIT_CCS',0,ZHOOK_HANDLE)
CNAMES(1) = 'O3'
CNAMES(2) = 'H2O2'
CNAMES(3) = 'NO'
CNAMES(4) = 'NO2'
CNAMES(5) = 'NO3'
CNAMES(6) = 'N2O5'
CNAMES(7) = 'HONO'
CNAMES(8) = 'HNO3'
CNAMES(9) = 'HNO4'
CNAMES(10) = 'NH3'
CNAMES(11) = 'SO2'
CNAMES(12) = 'SULF'
CNAMES(13) = 'CO'
CNAMES(14) = 'OH'
CNAMES(15) = 'HO2'
CNAMES(16) = 'CH4'
CNAMES(17) = 'ETH'
CNAMES(18) = 'ALKA'
CNAMES(19) = 'ALKE'
CNAMES(20) = 'BIO'
CNAMES(21) = 'ARO'
CNAMES(22) = 'HCHO'
CNAMES(23) = 'ALD'
CNAMES(24) = 'KET'
CNAMES(25) = 'CARBO'
CNAMES(26) = 'ONIT'
CNAMES(27) = 'PAN'
CNAMES(28) = 'OP1'
CNAMES(29) = 'OP2'
CNAMES(30) = 'ORA2'
CNAMES(31) = 'MO2'
CNAMES(32) = 'ALKAP'
CNAMES(33) = 'ALKEP'
CNAMES(34) = 'BIOP'
CNAMES(35) = 'PHO'
CNAMES(36) = 'ADD'
CNAMES(37) = 'AROP'
CNAMES(38) = 'CARBOP'
CNAMES(39) = 'OLN'
CNAMES(40) = 'XO2'
! initialisation of the names of the reactions
 CREACS(1) = 'K001'
 CREACS(2) = 'K002'
 CREACS(3) = 'K003'
 CREACS(4) = 'K004'
 CREACS(5) = 'K005'
 CREACS(6) = 'K006'
 CREACS(7) = 'K007'
 CREACS(8) = 'K008'
 CREACS(9) = 'K009'
 CREACS(10) = 'K010'
 CREACS(11) = 'K011'
 CREACS(12) = 'K012'
 CREACS(13) = 'K013'
 CREACS(14) = 'K014'
 CREACS(15) = 'K015'
 CREACS(16) = 'K016'
 CREACS(17) = 'K017'
 CREACS(18) = 'K018'
 CREACS(19) = 'K019'
 CREACS(20) = 'K020'
 CREACS(21) = 'K021'
 CREACS(22) = 'K022'
 CREACS(23) = 'K023'
 CREACS(24) = 'K024'
 CREACS(25) = 'K025'
 CREACS(26) = 'K026'
 CREACS(27) = 'K027'
 CREACS(28) = 'K028'
 CREACS(29) = 'K029'
 CREACS(30) = 'K030'
 CREACS(31) = 'K031'
 CREACS(32) = 'K032'
 CREACS(33) = 'K033'
 CREACS(34) = 'K034'
 CREACS(35) = 'K035'
 CREACS(36) = 'K036'
 CREACS(37) = 'K037'
 CREACS(38) = 'K038'
 CREACS(39) = 'K039'
 CREACS(40) = 'K040'
 CREACS(41) = 'K041'
 CREACS(42) = 'K042'
 CREACS(43) = 'K043'
 CREACS(44) = 'K044'
 CREACS(45) = 'K045'
 CREACS(46) = 'K046'
 CREACS(47) = 'K047'
 CREACS(48) = 'K048'
 CREACS(49) = 'K049'
 CREACS(50) = 'K050'
 CREACS(51) = 'K051'
 CREACS(52) = 'K052'
 CREACS(53) = 'K053'
 CREACS(54) = 'K054'
 CREACS(55) = 'K055'
 CREACS(56) = 'K056'
 CREACS(57) = 'K057'
 CREACS(58) = 'K058'
 CREACS(59) = 'K059'
 CREACS(60) = 'K060'
 CREACS(61) = 'K061'
 CREACS(62) = 'K062'
 CREACS(63) = 'K063'
 CREACS(64) = 'K064'
 CREACS(65) = 'K065'
 CREACS(66) = 'K066'
 CREACS(67) = 'K067'
 CREACS(68) = 'K068'
 CREACS(69) = 'K069'
 CREACS(70) = 'K070'
 CREACS(71) = 'K071'
 CREACS(72) = 'K072'
 CREACS(73) = 'K073'
 CREACS(74) = 'K074'
 CREACS(75) = 'K075'
 CREACS(76) = 'K076'
 CREACS(77) = 'K077'
 CREACS(78) = 'K078'
 CREACS(79) = 'K079'
 CREACS(80) = 'K080'
 CREACS(81) = 'K081'
 CREACS(82) = 'K082'
 CREACS(83) = 'K083'
 CREACS(84) = 'K084'
 CREACS(85) = 'K085'
 CREACS(86) = 'K086'
 CREACS(87) = 'K087'
 CREACS(88) = 'K088'
 CREACS(89) = 'K089'
 CREACS(90) = 'K090'
 CREACS(91) = 'K091'
 CREACS(92) = 'K092'
 CREACS(93) = 'K093'
 CREACS(94) = 'K094'
 CREACS(95) = 'K095'
 CREACS(96) = 'K096'
 CREACS(97) = 'K097'
 CREACS(98) = 'K098'
 CREACS(99) = 'K099'
 CREACS(100) = 'K100'
 CREACS(101) = 'K101'
 CREACS(102) = 'K102'
 CREACS(103) = 'K103'
 CREACS(104) = 'K104'
 CREACS(105) = 'K105'
 CREACS(106) = 'K106'
 CREACS(107) = 'K107'
 CREACS(108) = 'K108'
 CREACS(109) = 'K109'
 CREACS(110) = 'K110'
 CREACS(111) = 'K111'
 CREACS(112) = 'K112'
 CREACS(113) = 'K113'
 CREACS(114) = 'K114'
 CREACS(115) = 'K115'
 CREACS(116) = 'K116'
 CREACS(117) = 'K117'
 CREACS(118) = 'K118'
 CREACS(119) = 'K119'
 CREACS(120) = 'K120'
 CREACS(121) = 'K121'
 CREACS(122) = 'K122'
 CREACS(123) = 'K123'
 CREACS(124) = 'K124'
 CREACS(125) = 'K125'
 CREACS(126) = 'K126'
 CREACS(127) = 'K127'
 CREACS(128) = 'K128'
! initialisation of the full reactions
 CFULLREACS(1) = 'K001=!ZRATES(:,001)::NO2-->O3P+NO'
 CFULLREACS(2) = 'K002=!ZRATES(:,002)::O3-->O1D+O2'
 CFULLREACS(3) = 'K003=!ZRATES(:,003)::O3-->O3P+O2'
 CFULLREACS(4) = 'K004=!ZRATES(:,004)::HONO-->OH+NO'
 CFULLREACS(5) = 'K005=!ZRATES(:,005)::HNO3-->OH+NO2'
 CFULLREACS(6) = 'K006=!ZRATES(:,006)::HNO4-->0.65*HO2+0.65*NO2+0.35*OH+0.35*NO&
&3'
 CFULLREACS(7) = 'K007=!ZRATES(:,007)::NO3-->NO+O2'
 CFULLREACS(8) = 'K008=!ZRATES(:,008)::NO3-->NO2+O3P'
 CFULLREACS(9) = 'K009=!ZRATES(:,009)::H2O2-->OH+OH'
 CFULLREACS(10) = 'K010=!ZRATES(:,010)::HCHO-->H2+CO'
 CFULLREACS(11) = 'K011=!ZRATES(:,011)::HCHO-->HO2+HO2+CO'
 CFULLREACS(12) = 'K012=!ZRATES(:,012)::ALD-->MO2+HO2+CO'
 CFULLREACS(13) = 'K013=!ZRATES(:,013)::OP1-->HCHO+HO2+OH'
 CFULLREACS(14) = 'K014=!ZRATES(:,014)::OP2-->0.96205*ALD+0.96205*HO2+0.03795*M&
&O2+OH'
 CFULLREACS(15) = 'K015=!ZRATES(:,015)::KET-->1.00000*CARBOP+1.00000*ALKAP'
 CFULLREACS(16) = 'K016=!ZRATES(:,016)::CARBO-->0.06517*HCHO+0.69622*CARBOP+0.7&
&5830*HO2+0.91924*CO+0.20842*H2'
 CFULLREACS(17) = 'K017=!ZRATES(:,017)::ONIT-->0.20*ALD+0.80*KET+HO2+NO2'
 CFULLREACS(18) = 'K018=TPK%M*6.00E-34*(TPK%T/300)**(-2.3)::O3P+O2-->O3'
 CFULLREACS(19) = 'K019=8.00E-12*exp(-(2060.0/TPK%T))::O3P+O3-->2.0*O2'
 CFULLREACS(20) = 'K020=1.80E-11*exp(-(-110.0/TPK%T))::O1D+N2-->O3P+N2'
 CFULLREACS(21) = 'K021=3.20E-11*exp(-(-70.0/TPK%T))::O1D+O2-->O3P+O2'
 CFULLREACS(22) = 'K022=2.20E-10::O1D+H2O-->OH+OH'
 CFULLREACS(23) = 'K023=1.60E-12*exp(-(940.0/TPK%T))::O3+OH-->HO2+O2'
 CFULLREACS(24) = 'K024=1.10E-14*exp(-(500.0/TPK%T))::O3+HO2-->OH+2.0*O2'
 CFULLREACS(25) = 'K025=4.80E-11*exp(-(-250.0/TPK%T))::OH+HO2-->H2O+O2'
 CFULLREACS(26) = 'K026=2.90E-12*exp(-(160.0/TPK%T))::H2O2+OH-->HO2+H2O'
 CFULLREACS(27) = 'K027=2.3E-13*EXP(600./TPK%T)+1.7E-33*TPK%M*EXP(1000./TPK%T):&
&:HO2+HO2-->H2O2+O2'
 CFULLREACS(28) = 'K028=3.22E-34*EXP(2800./TPK%T)+2.38E-54*TPK%M*EXP(3200./TPK%&
&T)::HO2+HO2+H2O-->H2O2+H2O+O2'
 CFULLREACS(29) = 'K029=@TROE(1.,9.00E-32,1.5,3.00E-11,0.0,TPK%M,TPK%T,KVECNPT)&
&::O3P+NO-->NO2'
 CFULLREACS(30) = 'K030=6.50E-12*exp(-(-120.0/TPK%T))::O3P+NO2-->NO+O2'
 CFULLREACS(31) = 'K031=@TROE(1.,9.00E-32,2.0,2.20E-11,0.0,TPK%M,TPK%T,KVECNPT)&
&::O3P+NO2-->NO3'
 CFULLREACS(32) = 'K032=@TROE(1.,7.00E-31,2.6,1.50E-11,0.5,TPK%M,TPK%T,KVECNPT)&
&::OH+NO-->HONO'
 CFULLREACS(33) = 'K033=@TROE(1.,2.60E-30,3.2,2.40E-11,1.3,TPK%M,TPK%T,KVECNPT)&
&::OH+NO2-->HNO3'
 CFULLREACS(34) = 'K034=2.20E-11::OH+NO3-->NO2+HO2'
 CFULLREACS(35) = 'K035=3.70E-12*exp(-(-250.0/TPK%T))::HO2+NO-->NO2+OH'
 CFULLREACS(36) = 'K036=@TROE(1.,1.80E-31,3.2,4.70E-12,1.4,TPK%M,TPK%T,KVECNPT)&
&::HO2+NO2-->HNO4'
 CFULLREACS(37) = 'K037=@TROE_EQUIL(1.80E-31,3.2,4.70E-12,1.4,4.76E+26,10900.,T&
&PK%M,TPK%T,KVECNPT)::HNO4-->HO2+NO2'
 CFULLREACS(38) = 'K038=3.50E-12::HO2+NO3-->0.3*HNO3+0.7*NO2+0.7*OH'
 CFULLREACS(39) = 'K039=1.80E-11*exp(-(390.0/TPK%T))::OH+HONO-->H2O+NO2'
 CFULLREACS(40) = 'K040=(7.2E-15*EXP(785/TPK%T))+(1.9E-33*EXP(725/TPK%T)*TPK%M)&
&/(1+(1.9E-33*EXP(725/TPK%T)*TPK%M)/(4.1E-16*EXP(1440/TPK%T)))::OH+HNO3-->NO3+H&
&2O'
 CFULLREACS(41) = 'K041=1.30E-12*exp(-(-380.0/TPK%T))::OH+HNO4-->NO2+H2O+O2'
 CFULLREACS(42) = 'K042=2.00E-12*exp(-(1400.0/TPK%T))::O3+NO-->NO2+O2'
 CFULLREACS(43) = 'K043=1.20E-13*exp(-(2450.0/TPK%T))::O3+NO2-->NO3+O2'
 CFULLREACS(44) = 'K044=3.30E-39*exp(-(-530.0/TPK%T))::NO+NO+O2-->NO2+NO2'
 CFULLREACS(45) = 'K045=1.50E-11*exp(-(-170.0/TPK%T))::NO3+NO-->NO2+NO2'
 CFULLREACS(46) = 'K046=4.50E-14*exp(-(1260.0/TPK%T))::NO3+NO2-->NO+NO2+O2'
 CFULLREACS(47) = 'K047=@TROE(1.,2.20E-30,3.9,1.50E-12,0.7,TPK%M,TPK%T,KVECNPT)&
&::NO3+NO2-->N2O5'
 CFULLREACS(48) = 'K048=@TROE_EQUIL(2.20E-30,3.9,1.50E-12,0.7,3.70E+26,11000.0,&
&TPK%M,TPK%T,KVECNPT)::N2O5-->NO2+NO3'
 CFULLREACS(49) = 'K049=8.50E-13*exp(-(2450.0/TPK%T))::NO3+NO3-->NO2+NO2+O2'
 CFULLREACS(50) = 'K050=5.50E-12*exp(-(2000.0/TPK%T))::OH+H2-->H2O+HO2'
 CFULLREACS(51) = 'K051=@TROE(1.,3.00E-31,3.3,1.50E-12,0.0,TPK%M,TPK%T,KVECNPT)&
&::OH+SO2-->SULF+HO2'
 CFULLREACS(52) = 'K052=1.5E-13*(1.+2.439E-20*TPK%M)::CO+OH-->HO2+CO2'
 CFULLREACS(53) = 'K053=6.00E-11::BIO+O3P-->0.91868*ALKE+0.05*HCHO+0.02*OH+0.01&
&*CO+0.13255*CARBO+0.28*HO2+0.15*XO2'
 CFULLREACS(54) = 'K054=0.00E-01*exp(-(-13.0/TPK%T))::CARBO+O3P-->ALD'
 CFULLREACS(55) = 'K055=TPK%T*TPK%T*7.44E-18*exp(-(1361./TPK%T))::CH4+OH-->MO2+&
&H2O'
 CFULLREACS(56) = 'K056=1.51E-17*TPK%T*TPK%T*exp(-(492./TPK%T))::ETH+OH-->ALKAP&
&'
 CFULLREACS(57) = 'K057=3.76E-12*exp(-(260.0/TPK%T))+1.70E-12*exp(-(155.0/TPK%T&
&))+1.21E-12*exp(-(125.0/TPK%T))::ALKA+OH-->0.87811*ALKAP+0.12793*HO2+0.08173*A&
&LD+0.03498*KET+0.00835*CARBO+0.00140*HCHO+0.00878*ORA1+0.00878*CO+0.00878*OH+H&
&2O'
 CFULLREACS(58) = 'K058=1.78E-12*exp(-(-438.0/TPK%T))+6.07E-13*exp(-(-500.0/TPK&
&%T))+0.00E-01*exp(-(-448.0/TPK%T))::ALKE+OH-->1.02529*ALKEP+0.00000*BIOP'
 CFULLREACS(59) = 'K059=2.54E-11*exp(-(-410.0/TPK%T))+0.00E-01*exp(-(-444.0/TPK&
&%T))+0.00E-01::BIO+OH-->1.00000*BIOP'
 CFULLREACS(60) = 'K060=3.31E-12*exp(-(-355.0/TPK%T))+3.45E-13::ARO+OH-->0.9396&
&8*ADD+0.10318*XO2+0.10318*HO2+0.00276*PHO'
 CFULLREACS(61) = 'K061=1.00E-11::HCHO+OH-->HO2+CO+H2O'
 CFULLREACS(62) = 'K062=5.55E-12*exp(-(-331.0/TPK%T))::ALD+OH-->1.00000*CARBOP+&
&H2O'
 CFULLREACS(63) = 'K063=TPK%T*TPK%T*5.68E-18*exp(-(-92.0/TPK%T))::KET+OH-->1.00&
&000*CARBOP+H2O'
 CFULLREACS(64) = 'K064=1.32E-11+1.88E-12*exp(-(-175.0/TPK%T))::CARBO+OH-->0.51&
&419*CARBOP+0.16919*CARBO+1.01732*CO+0.51208*HO2+0.00000*HCHO+0.06253*ALD+0.008&
&53*KET+0.10162*XO2+0.75196*H2O'
 CFULLREACS(65) = 'K065=2.93E-12*exp(-(-190.0/TPK%T))::OP1+OH-->0.65*MO2+0.35*H&
&CHO+0.35*OH'
 CFULLREACS(66) = 'K066=3.36E-12*exp(-(-190.0/TPK%T))::OP2+OH-->0.40341*ALKAP+0&
&.05413*CARBOP+0.07335*ALD+0.37591*KET+0.09333*XO2+0.02915*HO2+0.02915*HCHO+0.4&
&4925*OH'
 CFULLREACS(67) = 'K067=3.80E-14+1.59E-14*exp(-(-500.0/TPK%T))::PAN+OH-->0.5783&
&9*HCHO+0.21863*CARBO+0.71893*NO3+0.28107*PAN+0.28107*HO2+0.29733*H2O+XO2'
 CFULLREACS(68) = 'K068=5.31E-12*exp(-(260.0/TPK%T))::ONIT+OH-->1.00000*ALKAP+N&
&O2+H2O'
 CFULLREACS(69) = 'K069=3.40E-13*exp(-(1900.0/TPK%T))::HCHO+NO3-->HO2+HNO3+CO'
 CFULLREACS(70) = 'K070=1.40E-12*exp(-(1900.0/TPK%T))::ALD+NO3-->1.00000*CARBOP&
&+HNO3'
 CFULLREACS(71) = 'K071=1.62E-12*exp(-(1900.0/TPK%T))+0.00E-01*exp(-(150.0/TPK%&
&T))+1.94E-14*exp(-(1000.0/TPK%T))::CARBO+NO3-->0.91567*HNO3+0.38881*CARBOP+0.1&
&0530*CARBO+0.05265*ALD+0.00632*KET+0.10530*NO2+0.10530*XO2+0.63217*HO2+1.33723&
&*CO+0.00000*OLN'
 CFULLREACS(72) = 'K072=4.92E-16::ARO+NO3-->HNO3+PHO'
 CFULLREACS(73) = 'K073=4.35E-18*TPK%T*TPK%T*exp(-(2282.0/TPK%T))+1.91E-14*exp(&
&-(450.0/TPK%T))+1.08E-15*exp(-(-450.0/TPK%T))+0.00E-01::ALKE+NO3-->0.00000*CAR&
&BO+0.93768*OLN'
 CFULLREACS(74) = 'K074=4.00E-12*exp(-(446.0/TPK%T))+0.00E-01*exp(-(-490.0/TPK%&
&T))+0.00E-01::BIO+NO3-->0.91741*CARBO+1.00000*OLN'
 CFULLREACS(75) = 'K075=3.76E-16*exp(-(500.0/TPK%T))::PAN+NO3-->0.60*ONIT+0.60*&
&NO3+0.40000*PAN+0.40*HCHO+0.40*NO2+XO2'
 CFULLREACS(76) = 'K076=8.17E-15*exp(-(2580.0/TPK%T))+4.32E-16*exp(-(1800.0/TPK&
&%T))+2.87E-17*exp(-(845.0/TPK%T))+0.00E-01*exp(-(2283.0/TPK%T))::ALKE+O3-->0.4&
&8290*HCHO+0.51468*ALD+0.07377*KET+0.00000*CARBO+0.35120*CO+0.15343*ORA1+0.0814&
&3*ORA2+0.23451*HO2+0.39435*OH+0.05705*CARBOP+0.03196*ETH+0.00000*ALKE+0.04300*&
&CH4+0.13966*MO2+0.09815*ALKAP+0.01833*H2O2+0.00000*XO2+0.05409*H2+0.00000*O3P'
 CFULLREACS(77) = 'K077=7.86E-15*exp(-(1913.0/TPK%T))+0.00E-01*exp(-(732.0/TPK%&
&T))+0.00E-01::BIO+O3-->0.90000*HCHO+0.00000*ALD+0.00000*KET+0.39754*CARBO+0.36&
&000*CO+0.37388*ALKE+0.00000*ALKAP+0.17000*CARBOP+0.03000*MO2+0.15000*ORA1+0.00&
&000*ORA2+0.28000*OH+0.30000*HO2+0.00100*H2O2+0.05000*H2+0.13000*XO2+0.09000*O3&
&P'
 CFULLREACS(78) = 'K078=0.00E-01*exp(-(2112.0/TPK%T))+1.38E-19::CARBO+O3-->0.00&
&000*HCHO+1.07583*CARBO+0.15692*ALD+0.10788*ORA1+0.20595*ORA2+0.27460*CARBOP+0.&
&10149*OP2+0.64728*CO+0.28441*HO2+0.20595*OH+0.00000*H2'
 CFULLREACS(79) = 'K079=7.20E-17*exp(-(1700.0/TPK%T))::PAN+O3-->0.70*HCHO+0.300&
&00*PAN+0.70*NO2+0.13*CO+0.04*H2+0.11*ORA1+0.08*HO2+0.036*OH+0.70000*CARBOP'
 CFULLREACS(80) = 'K080=2.00E-11::PHO+NO2-->0.10670*ARO+ONIT'
 CFULLREACS(81) = 'K081=1.00E-11::PHO+HO2-->1.06698*ARO'
 CFULLREACS(82) = 'K082=3.60E-11::ADD+NO2-->ARO+HONO'
 CFULLREACS(83) = 'K083=1.66E-17*exp(-(-1044.0/TPK%T))::ADD+O2-->0.98*AROP+0.02&
&*ARO+0.02*HO2'
 CFULLREACS(84) = 'K084=2.80E-11::ADD+O3-->ARO+OH'
 CFULLREACS(85) = 'K085=@TROE(5.86E-01,9.70E-29,5.6,9.30E-12,1.5,TPK%M,TPK%T,KV&
&ECNPT)::CARBOP+NO2-->1.00000*PAN'
 CFULLREACS(86) = 'K086=@TROE_EQUIL(9.70E-29,5.6,9.30E-12,1.5,1.16E+28,13954.,T&
&PK%M,TPK%T,KVECNPT)::PAN-->1.00000*CARBOP+NO2'
 CFULLREACS(87) = 'K087=4.20E-12*exp(-(-180.0/TPK%T))::MO2+NO-->HCHO+HO2+NO2'
 CFULLREACS(88) = 'K088=4.36E-12::ALKAP+NO-->0.33144*ALD+0.03002*HCHO+0.54531*K&
&ET+0.03407*CARBO+0.74265*HO2+0.09016*MO2+0.08187*ALKAP+0.13007*XO2+0.08459*ONI&
&T+0.91541*NO2'
 CFULLREACS(89) = 'K089=6.93E-12::ALKEP+NO-->1.39870*HCHO+0.42125*ALD+0.05220*K&
&ET+HO2+NO2'
 CFULLREACS(90) = 'K090=4.00E-12::BIOP+NO-->0.45463*CARBO+0.60600*HCHO+0.00000*&
&ALD+0.00000*KET+0.37815*ALKE+0.84700*HO2+0.84700*NO2+0.15300*ONIT'
 CFULLREACS(91) = 'K091=4.00E-12::AROP+NO-->0.95115*NO2+0.95115*HO2+2.06993*CAR&
&BO+0.04885*ONIT'
 CFULLREACS(92) = 'K092=1.22E-11::CARBOP+NO-->0.78134*MO2+0.09532*CARBOP+0.0584&
&8*HCHO+0.07368*ALD+0.08670*CARBO+0.12334*HO2+0.02563*XO2+NO2'
 CFULLREACS(93) = 'K093=4.00E-12::OLN+NO-->0.18401*ONIT+1.81599*NO2+0.18401*HO2&
&+0.23419*HCHO+1.01182*ALD+0.37862*KET'
 CFULLREACS(94) = 'K094=3.80E-13*exp(-(-800.0/TPK%T))::MO2+HO2-->OP1'
 CFULLREACS(95) = 'K095=6.16E-14*exp(-(-700.0/TPK%T))+1.52E-13*exp(-(-1300.0/TP&
&K%T))::ALKAP+HO2-->1.00524*OP2'
 CFULLREACS(96) = 'K096=1.81E-13*exp(-(-1300.0/TPK%T))::ALKEP+HO2-->1.00524*OP2&
&'
 CFULLREACS(97) = 'K097=1.28E-13*exp(-(-1300.0/TPK%T))+0.00E-01::BIOP+HO2-->1.0&
&0524*OP2'
 CFULLREACS(98) = 'K098=3.75E-13*exp(-(-980.0/TPK%T))::AROP+HO2-->1.00524*OP2'
 CFULLREACS(99) = 'K099=5.94E-13*exp(-(-550.0/TPK%T))+1.99E-16*exp(-(-2640.0/TP&
&K%T))+5.56E-14*exp(-(-1300.0/TPK%T))::CARBOP+HO2-->0.80904*OP2+0.17307*ORA2+0.&
&17307*O3'
 CFULLREACS(100) = 'K100=1.66E-13*exp(-(-1300.0/TPK%T))::OLN+HO2-->ONIT'
 CFULLREACS(101) = 'K101=9.10E-14*exp(-(-416.0/TPK%T))::MO2+MO2-->1.33*HCHO+0.6&
&6*HO2'
 CFULLREACS(102) = 'K102=1.03E-14*exp(-(-158.0/TPK%T))+6.24E-14*exp(-(-431.0/TP&
&K%T))+1.53E-14*exp(-(-467.0/TPK%T))+4.34E-15*exp(-(-633.0/TPK%T))::ALKAP+MO2--&
&>0.80556*HCHO+0.98383*HO2+0.56070*ALD+0.09673*KET+0.01390*MO2+0.07976*CARBO+0.&
&13370*XO2+0.00385*ALKAP'
 CFULLREACS(103) = 'K103=1.57E-13*exp(-(-708.0/TPK%T))::ALKEP+MO2-->1.42894*HCH&
&O+0.46413*ALD+0.03814*KET+HO2'
 CFULLREACS(104) = 'K104=1.36E-13*exp(-(-708.0/TPK%T))::BIOP+MO2-->0.56064*CARB&
&O+0.48074*ALKE+1.00000*HO2+1.09000*HCHO+0.00000*ALD+0.00000*KET'
 CFULLREACS(105) = 'K105=3.56E-14*exp(-(-708.0/TPK%T))::AROP+MO2-->HCHO+1.02767&
&*HO2+1.99461*CARBO'
 CFULLREACS(106) = 'K106=1.77E-11*exp(-(440.0/TPK%T))+1.48E-16*exp(-(-2510.0/TP&
&K%T))+3.10E-13*exp(-(-508.0/TPK%T))::CARBOP+MO2-->0.95723*HCHO+0.82998*HO2+0.5&
&6031*MO2+0.13684*ORA2+0.05954*CARBOP+0.15387*CARBO+0.08295*ALD+0.02212*XO2'
 CFULLREACS(107) = 'K107=1.12E-13*exp(-(-708.0/TPK%T))::OLN+MO2-->0.88625*HCHO+&
&0.67560*HO2+0.67560*ONIT+0.41524*ALD+0.09667*KET+0.32440*NO2'
 CFULLREACS(108) = 'K108=4.44E-14*exp(-(-211.0/TPK%T))+2.23E-13*exp(-(-460.0/TP&
&K%T))+4.10E-14*exp(-(-522.0/TPK%T))+1.17E-14*exp(-(-683.0/TPK%T))::ALKAP+CARBO&
&P-->0.71461*ALD+0.48079*HO2+0.51480*MO2+0.49810*ORA2+0.18819*KET+0.07600*HCHO+&
&0.00828*ALKAP+0.11306*XO2+0.06954*CARBO'
 CFULLREACS(109) = 'K109=4.36E-13*exp(-(-765.0/TPK%T))::ALKEP+CARBOP-->0.68192*&
&HCHO+0.68374*ALD+0.50078*HO2+0.50078*MO2+0.49922*ORA2+0.06579*KET'
 CFULLREACS(110) = 'K110=7.60E-13*exp(-(-765.0/TPK%T))::BIOP+CARBOP-->0.78591*C&
&ARBO+0.24463*ALKE+0.50600*HO2+0.49400*ORA2+0.34000*HCHO+0.50600*MO2+0.00000*AL&
&D+0.00000*KET'
 CFULLREACS(111) = 'K111=3.63E-13*exp(-(-765.0/TPK%T))::AROP+CARBOP-->MO2+HO2+1&
&.99455*CARBO'
 CFULLREACS(112) = 'K112=7.73E-13*exp(-(-530.0/TPK%T))+1.70E-13*exp(-(-565.0/TP&
&K%T))::CARBOP+CARBOP-->1.66702*MO2+0.05821*CARBOP+0.03432*HCHO+0.10777*CARBO+0&
&.06969*ALD+0.02190*KET+0.07566*HO2+0.01593*XO2+0.09955*ORA2'
 CFULLREACS(113) = 'K113=4.85E-13*exp(-(-765.0/TPK%T))::OLN+CARBOP-->0.66562*ON&
&IT+0.51037*MO2+0.48963*ORA2+0.17599*HO2+0.13414*HCHO+0.42122*ALD+0.10822*KET+0&
&.00000*NO2'
 CFULLREACS(114) = 'K114=4.19E-15*exp(-(-1000.0/TPK%T))::OLN+OLN-->2.00*ONIT+HO&
&2'
 CFULLREACS(115) = 'K115=2.48E-14*exp(-(-1000.0/TPK%T))::OLN+OLN-->0.00000*HCHO&
&+0.00000*ALD+0.00000*KET+0.00000*HO2+0.00000*NO2+0.00000*ONIT'
 CFULLREACS(116) = 'K116=1.20E-12::MO2+NO3-->HCHO+HO2+NO2'
 CFULLREACS(117) = 'K117=1.20E-12::ALKAP+NO3-->0.33743*ALD+0.81290*HO2+0.03142*&
&HCHO+0.62978*KET+0.03531*CARBO+0.09731*MO2+0.08994*ALKAP+0.16271*XO2+NO2'
 CFULLREACS(118) = 'K118=1.20E-12::ALKEP+NO3-->1.40909*HCHO+0.43039*ALD+0.02051&
&*KET+HO2+NO2'
 CFULLREACS(119) = 'K119=1.20E-12::BIOP+NO3-->0.61160*CARBO+0.42729*ALKE+0.6860&
&0*HCHO+0.00000*ALD+0.00000*KET+HO2+NO2'
 CFULLREACS(120) = 'K120=1.20E-12::AROP+NO3-->2.81904*CARBO+HO2+NO2'
 CFULLREACS(121) = 'K121=3.48E-12::CARBOP+NO3-->0.91910*MO2+0.03175*CARBOP+0.03&
&175*HCHO+0.03455*CARBO+0.02936*ALD+0.04915*HO2+0.01021*XO2+NO2'
 CFULLREACS(122) = 'K122=1.20E-12::OLN+NO3-->0.25928*ONIT+1.74072*NO2+0.25928*H&
&O2+0.20740*HCHO+0.91850*ALD+0.34740*KET'
 CFULLREACS(123) = 'K123=1.66E-13*exp(-(-1300.0/TPK%T))::XO2+HO2-->1.00524*OP2'
 CFULLREACS(124) = 'K124=5.99E-15*exp(-(-1510.0/TPK%T))::XO2+MO2-->HCHO+HO2'
 CFULLREACS(125) = 'K125=1.69E-14*exp(-(-1560.0/TPK%T))::XO2+CARBOP-->MO2'
 CFULLREACS(126) = 'K126=7.13E-17*exp(-(-2950.0/TPK%T))::XO2+XO2-->'
 CFULLREACS(127) = 'K127=4.00E-12::XO2+NO-->NO2'
 CFULLREACS(128) = 'K128=1.20E-12::XO2+NO3-->NO2'
IF (KVERB >= 5) THEN
! print information to KOUT
  WRITE(KOUT,*) 'CH_INIT_CCS: prognostic variables are:'
  DO JII = 1, NEQ
    WRITE(KOUT,'(I4,2A)') JII, '. ', TRIM(CNAMES(JII))
  END DO
  WRITE(KOUT,*) 'CH_INIT_CCS: implemented reactions are:'
  DO JII = 1, NREAC
    WRITE(KOUT,'(I4,2A)') JII, '. ', TRIM(CFULLREACS(JII))
  END DO
END IF
IF (LHOOK) CALL DR_HOOK('CH_INIT_CCS',1,ZHOOK_HANDLE)
RETURN
END SUBROUTINE CH_INIT_CCS
