!     ######spl
SUBROUTINE FCTRESO(II,JJ,KK,WIJ,WJK,XMAX,XMIN,XMOD,X,Y,KVECTN) 
USE PARKIND1, ONLY : JPRB
USE YOMHOOK , ONLY : LHOOK, DR_HOOK
IMPLICIT NONE
INTEGER, INTENT(IN) :: KVECTN
REAL, DIMENSION(100,100), INTENT(INOUT) :: WIJ,WJK
REAL, DIMENSION(2,100), INTENT(INOUT) :: XMIN,XMAX,XMOD
INTEGER, INTENT(INOUT) :: II,JJ,KK
REAL, DIMENSION(KVECTN,100), INTENT(INOUT) :: X,Y

REAL, DIMENSION(KVECTN,100) :: U,H,S
INTEGER :: I, J, K

!     .. LES EQUATIONS DU RESEAU 
REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('FCTRESO',0,ZHOOK_HANDLE)
DO I=1,II 
 U(:,I)=(X(:,I)-XMIN(1,I))/(XMAX(1,I)-XMIN(1,I)) 
ENDDO
U(:,II+1)=1. 

DO J=1,JJ 
 H(:,J)=0. 
 DO I=1,II+1 
   H(:,J)=H(:,J)+WIJ(I,J)*U(:,I) 
 ENDDO
 H(:,J)=1./(1.+EXP(-H(:,J))) 
ENDDO
H(:,JJ+1)=1. 

DO K=1,KK 
 S(:,K)=0. 
 DO J=1,JJ+1 
  S(:,K)=S(:,K)+WJK(J,K)*H(:,J) 
 ENDDO
 S(:,K)=1./(1.+EXP(-S(:,K))) 

 Y(:,K)=XMIN(2,K)+S(:,K)*(XMAX(2,K)-XMIN(2,K)) 
ENDDO

IF (LHOOK) CALL DR_HOOK('FCTRESO',1,ZHOOK_HANDLE)
RETURN 
END SUBROUTINE FCTRESO
