!     ######spl
      SUBROUTINE NN( X, Y, PRH, TEMP, A, B, C, KVECTN )
      USE PARKIND1, ONLY : JPRB
      USE YOMHOOK , ONLY : LHOOK, DR_HOOK
!     .. call the neural net ..
USE MODD_CH_AEROSOL
      IMPLICIT NONE

!     .. parameters
INTEGER, INTENT(IN) :: KVECTN
REAL, DIMENSION(KVECTN), INTENT(INOUT) :: X, Y, A, B, C
REAL, DIMENSION(KVECTN), INTENT(IN)    :: PRH, TEMP

REAL, DIMENSION(KVECTN) :: ZRH, ZTEMP
REAL, DIMENSION(KVECTN) :: X1,X2
REAL, DIMENSION(KVECTN) :: A1,A2,B2,C1,C2
REAL,DIMENSION(KVECTN,100) :: XIN,YOUT 


REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('NN',0,ZHOOK_HANDLE)
X(:)=MAX(0.1,X(:))
X(:)=MIN(3.999,X(:))
Y(:)=MAX(0.05,Y(:))
Y(:)=MIN(0.99,Y(:))
ZRH(:)=MAX(0.5,PRH(:))
ZRH(:)=MIN(0.9,PRH(:))
ZTEMP(:)=MAX(275.,TEMP(:))
ZTEMP(:)=MIN(315.,TEMP(:))

X2(:)=REAL(INT(X(:)/2.))
X1(:)=REAL(INT(2.-X(:)/2.))

XIN(:,1) = X(:)
XIN(:,2) = Y(:)
XIN(:,3) = ZRH(:)
XIN(:,4) = ZTEMP(:)

CALL FCTRESO(I1IA,J1JA,K1KA,W1IJA,W1JKA,X1MAXA,X1MINA,X1MODA,XIN,YOUT,KVECTN) 
A1(:) = (YOUT(:,1))
CALL FCTRESO(I1IC,J1JC,K1KC,W1IJC,W1JKC,X1MAXC,X1MINC,X1MODC,XIN,YOUT,KVECTN)
C1(:) = (YOUT(:,1))
CALL FCTRESO(I2IA,J2JA,K2KA,W2IJA,W2JKA,X2MAXA,X2MINA,X2MODA,XIN,YOUT,KVECTN) 
A2(:) = (YOUT(:,1))
CALL FCTRESO(I2IB,J2JB,K2KB,W2IJB,W2JKB,X2MAXB,X2MINB,X2MODB,XIN,YOUT,KVECTN) 
B2(:) = exp(YOUT(:,1))
CALL FCTRESO(I2IC,J2JC,K2KC,W2IJC,W2JKC,X2MAXC,X2MINC,X2MODC,XIN,YOUT,KVECTN) 
C2(:) = (YOUT(:,1))

A(:)=X1(:)*A1(:)+X2(:)*A2(:)
B(:)=X2(:)*B2(:)
C(:)=X1(:)*C1(:)+X2(:)*C2(:)

IF (LHOOK) CALL DR_HOOK('NN',1,ZHOOK_HANDLE)
RETURN
END SUBROUTINE NN 
