!     ######spl
      SUBROUTINE READ_XKER_GWETH (KWETLBDAH,KWETLBDAG,KND,                   &
                    PALPHAH,PNUH,PALPHAG,PNUG,PEHG,PBG,PCH,PDH,PCG,PDG,      &
                    PWETLBDAH_MAX,PWETLBDAG_MAX,PWETLBDAH_MIN,PWETLBDAG_MIN, &
                    PFDINFTY,PKER_GWETH                                      )
!DEC$ OPTIMIZE:0
      USE PARKIND1, ONLY : JPRB
      USE YOMHOOK , ONLY : LHOOK, DR_HOOK
!     ########################################################################
!
!!****  * * - initialize the kernels for the graupel-hail wet growth process
!!
!!    PURPOSE
!!    -------
!!      The purpose of this routine is to initialize the kernels PKER_GWETH
!!    prepared from a previous run of the routine INI_RAIN_ICE. The reading
!!    of the kernels is optional after checking for the dimensions of the
!!    arrays.
!!
!!**  METHOD
!!    ------
!!      
!!
!!    EXTERNAL
!!    --------
!!      None
!!     
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!      None
!!
!!    REFERENCE
!!    ---------
!!      Book2 of documentation ( routine READ_XKER_GWETH )
!!
!!    AUTHOR
!!    ------
!!      J.-P. Pinty      * Laboratoire d'Aerologie*
!!
!!    MODIFICATIONS
!!    -------------
!!      Original    19/04/97
!!      14-Feb-2014 R. El Khatib optimise for compile time on Intel
!!
!-------------------------------------------------------------------------------
!
!*       0.    DECLARATIONS
!              ------------
!
!*       0.2   Declarations of local variables :
!
!  
INTEGER, INTENT(OUT) :: KND,KWETLBDAH,KWETLBDAG
REAL,    INTENT(OUT) :: PALPHAH
REAL,    INTENT(OUT) :: PNUH
REAL,    INTENT(OUT) :: PALPHAG
REAL,    INTENT(OUT) :: PNUG
REAL,    INTENT(OUT) :: PEHG
REAL,    INTENT(OUT) :: PBG
REAL,    INTENT(OUT) :: PCH
REAL,    INTENT(OUT) :: PDH
REAL,    INTENT(OUT) :: PCG
REAL,    INTENT(OUT) :: PDG
REAL,    INTENT(OUT) :: PWETLBDAH_MAX
REAL,    INTENT(OUT) :: PWETLBDAG_MAX
REAL,    INTENT(OUT) :: PWETLBDAH_MIN
REAL,    INTENT(OUT) :: PWETLBDAG_MIN
REAL,    INTENT(OUT) :: PFDINFTY
REAL, DIMENSION(:,:), INTENT(OUT), OPTIONAL :: PKER_GWETH 
!
! ########################################################################
! #INSERT HERE THE OUTPUT OF INI_RAIN_ICE_HAIL IF THE KERNELS ARE UPDATED#
! ########################################################################
!
REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('READ_XKER_GWETH',0,ZHOOK_HANDLE)
KND= 50
KWETLBDAH= 40
KWETLBDAG= 40
PALPHAH= 0.100000E+01
PNUH= 0.800000E+01
PALPHAG= 0.100000E+01
PNUG= 0.100000E+01
PEHG= 0.100000E+01
PBG= 0.280000E+01
PCH= 0.207000E+03
PDH= 0.640000E+00
PCG= 0.124000E+03
PDG= 0.660000E+00
PWETLBDAH_MAX= 0.100000E+08
PWETLBDAG_MAX= 0.100000E+08
PWETLBDAH_MIN= 0.100000E+04
PWETLBDAG_MIN= 0.100000E+04
PFDINFTY= 0.200000E+02
!
IF( PRESENT(PKER_GWETH) ) THEN
  PKER_GWETH(  1,  1) =  0.687148E+01
  PKER_GWETH(  1,  2) =  0.747813E+01
  PKER_GWETH(  1,  3) =  0.798959E+01
  PKER_GWETH(  1,  4) =  0.841881E+01
  PKER_GWETH(  1,  5) =  0.877841E+01
  PKER_GWETH(  1,  6) =  0.907960E+01
  PKER_GWETH(  1,  7) =  0.933201E+01
  PKER_GWETH(  1,  8) =  0.954375E+01
  PKER_GWETH(  1,  9) =  0.972162E+01
  PKER_GWETH(  1, 10) =  0.987126E+01
  PKER_GWETH(  1, 11) =  0.999733E+01
  PKER_GWETH(  1, 12) =  0.101037E+02
  PKER_GWETH(  1, 13) =  0.101936E+02
  PKER_GWETH(  1, 14) =  0.102696E+02
  PKER_GWETH(  1, 15) =  0.103340E+02
  PKER_GWETH(  1, 16) =  0.103886E+02
  PKER_GWETH(  1, 17) =  0.104350E+02
  PKER_GWETH(  1, 18) =  0.104743E+02
  PKER_GWETH(  1, 19) =  0.105077E+02
  PKER_GWETH(  1, 20) =  0.105362E+02
  PKER_GWETH(  1, 21) =  0.105604E+02
  PKER_GWETH(  1, 22) =  0.105810E+02
  PKER_GWETH(  1, 23) =  0.105985E+02
  PKER_GWETH(  1, 24) =  0.106135E+02
  PKER_GWETH(  1, 25) =  0.106262E+02
  PKER_GWETH(  1, 26) =  0.106371E+02
  PKER_GWETH(  1, 27) =  0.106464E+02
  PKER_GWETH(  1, 28) =  0.106543E+02
  PKER_GWETH(  1, 29) =  0.106610E+02
  PKER_GWETH(  1, 30) =  0.106668E+02
  PKER_GWETH(  1, 31) =  0.106717E+02
  PKER_GWETH(  1, 32) =  0.106759E+02
  PKER_GWETH(  1, 33) =  0.106795E+02
  PKER_GWETH(  1, 34) =  0.106825E+02
  PKER_GWETH(  1, 35) =  0.106851E+02
  PKER_GWETH(  1, 36) =  0.106874E+02
  PKER_GWETH(  1, 37) =  0.106893E+02
  PKER_GWETH(  1, 38) =  0.106909E+02
  PKER_GWETH(  1, 39) =  0.106923E+02
  PKER_GWETH(  1, 40) =  0.106935E+02
  PKER_GWETH(  2,  1) =  0.531200E+01
  PKER_GWETH(  2,  2) =  0.592117E+01
  PKER_GWETH(  2,  3) =  0.644064E+01
  PKER_GWETH(  2,  4) =  0.687856E+01
  PKER_GWETH(  2,  5) =  0.724606E+01
  PKER_GWETH(  2,  6) =  0.755396E+01
  PKER_GWETH(  2,  7) =  0.781184E+01
  PKER_GWETH(  2,  8) =  0.802795E+01
  PKER_GWETH(  2,  9) =  0.820924E+01
  PKER_GWETH(  2, 10) =  0.836153E+01
  PKER_GWETH(  2, 11) =  0.848964E+01
  PKER_GWETH(  2, 12) =  0.859758E+01
  PKER_GWETH(  2, 13) =  0.868865E+01
  PKER_GWETH(  2, 14) =  0.876559E+01
  PKER_GWETH(  2, 15) =  0.883069E+01
  PKER_GWETH(  2, 16) =  0.888581E+01
  PKER_GWETH(  2, 17) =  0.893255E+01
  PKER_GWETH(  2, 18) =  0.897221E+01
  PKER_GWETH(  2, 19) =  0.900589E+01
  PKER_GWETH(  2, 20) =  0.903451E+01
  PKER_GWETH(  2, 21) =  0.905885E+01
  PKER_GWETH(  2, 22) =  0.907956E+01
  PKER_GWETH(  2, 23) =  0.909719E+01
  PKER_GWETH(  2, 24) =  0.911221E+01
  PKER_GWETH(  2, 25) =  0.912500E+01
  PKER_GWETH(  2, 26) =  0.913591E+01
  PKER_GWETH(  2, 27) =  0.914521E+01
  PKER_GWETH(  2, 28) =  0.915314E+01
  PKER_GWETH(  2, 29) =  0.915990E+01
  PKER_GWETH(  2, 30) =  0.916568E+01
  PKER_GWETH(  2, 31) =  0.917060E+01
  PKER_GWETH(  2, 32) =  0.917481E+01
  PKER_GWETH(  2, 33) =  0.917840E+01
  PKER_GWETH(  2, 34) =  0.918147E+01
  PKER_GWETH(  2, 35) =  0.918409E+01
  PKER_GWETH(  2, 36) =  0.918633E+01
  PKER_GWETH(  2, 37) =  0.918824E+01
  PKER_GWETH(  2, 38) =  0.918987E+01
  PKER_GWETH(  2, 39) =  0.919127E+01
  PKER_GWETH(  2, 40) =  0.919246E+01
  PKER_GWETH(  3,  1) =  0.398480E+01
  PKER_GWETH(  3,  2) =  0.458041E+01
  PKER_GWETH(  3,  3) =  0.510220E+01
  PKER_GWETH(  3,  4) =  0.554702E+01
  PKER_GWETH(  3,  5) =  0.592198E+01
  PKER_GWETH(  3,  6) =  0.623664E+01
  PKER_GWETH(  3,  7) =  0.650027E+01
  PKER_GWETH(  3,  8) =  0.672107E+01
  PKER_GWETH(  3,  9) =  0.690610E+01
  PKER_GWETH(  3, 10) =  0.706132E+01
  PKER_GWETH(  3, 11) =  0.719170E+01
  PKER_GWETH(  3, 12) =  0.730139E+01
  PKER_GWETH(  3, 13) =  0.739379E+01
  PKER_GWETH(  3, 14) =  0.747176E+01
  PKER_GWETH(  3, 15) =  0.753763E+01
  PKER_GWETH(  3, 16) =  0.759335E+01
  PKER_GWETH(  3, 17) =  0.764054E+01
  PKER_GWETH(  3, 18) =  0.768055E+01
  PKER_GWETH(  3, 19) =  0.771450E+01
  PKER_GWETH(  3, 20) =  0.774332E+01
  PKER_GWETH(  3, 21) =  0.776782E+01
  PKER_GWETH(  3, 22) =  0.778866E+01
  PKER_GWETH(  3, 23) =  0.780638E+01
  PKER_GWETH(  3, 24) =  0.782147E+01
  PKER_GWETH(  3, 25) =  0.783433E+01
  PKER_GWETH(  3, 26) =  0.784528E+01
  PKER_GWETH(  3, 27) =  0.785461E+01
  PKER_GWETH(  3, 28) =  0.786257E+01
  PKER_GWETH(  3, 29) =  0.786935E+01
  PKER_GWETH(  3, 30) =  0.787514E+01
  PKER_GWETH(  3, 31) =  0.788008E+01
  PKER_GWETH(  3, 32) =  0.788430E+01
  PKER_GWETH(  3, 33) =  0.788790E+01
  PKER_GWETH(  3, 34) =  0.789098E+01
  PKER_GWETH(  3, 35) =  0.789360E+01
  PKER_GWETH(  3, 36) =  0.789584E+01
  PKER_GWETH(  3, 37) =  0.789776E+01
  PKER_GWETH(  3, 38) =  0.789939E+01
  PKER_GWETH(  3, 39) =  0.790079E+01
  PKER_GWETH(  3, 40) =  0.790199E+01
  PKER_GWETH(  4,  1) =  0.288960E+01
  PKER_GWETH(  4,  2) =  0.343887E+01
  PKER_GWETH(  4,  3) =  0.394949E+01
  PKER_GWETH(  4,  4) =  0.439644E+01
  PKER_GWETH(  4,  5) =  0.477733E+01
  PKER_GWETH(  4,  6) =  0.509838E+01
  PKER_GWETH(  4,  7) =  0.536780E+01
  PKER_GWETH(  4,  8) =  0.559352E+01
  PKER_GWETH(  4,  9) =  0.578258E+01
  PKER_GWETH(  4, 10) =  0.594100E+01
  PKER_GWETH(  4, 11) =  0.607390E+01
  PKER_GWETH(  4, 12) =  0.618553E+01
  PKER_GWETH(  4, 13) =  0.627943E+01
  PKER_GWETH(  4, 14) =  0.635854E+01
  PKER_GWETH(  4, 15) =  0.642529E+01
  PKER_GWETH(  4, 16) =  0.648168E+01
  PKER_GWETH(  4, 17) =  0.652938E+01
  PKER_GWETH(  4, 18) =  0.656978E+01
  PKER_GWETH(  4, 19) =  0.660403E+01
  PKER_GWETH(  4, 20) =  0.663308E+01
  PKER_GWETH(  4, 21) =  0.665776E+01
  PKER_GWETH(  4, 22) =  0.667873E+01
  PKER_GWETH(  4, 23) =  0.669656E+01
  PKER_GWETH(  4, 24) =  0.671173E+01
  PKER_GWETH(  4, 25) =  0.672465E+01
  PKER_GWETH(  4, 26) =  0.673565E+01
  PKER_GWETH(  4, 27) =  0.674502E+01
  PKER_GWETH(  4, 28) =  0.675301E+01
  PKER_GWETH(  4, 29) =  0.675982E+01
  PKER_GWETH(  4, 30) =  0.676563E+01
  PKER_GWETH(  4, 31) =  0.677058E+01
  PKER_GWETH(  4, 32) =  0.677481E+01
  PKER_GWETH(  4, 33) =  0.677842E+01
  PKER_GWETH(  4, 34) =  0.678150E+01
  PKER_GWETH(  4, 35) =  0.678413E+01
  PKER_GWETH(  4, 36) =  0.678638E+01
  PKER_GWETH(  4, 37) =  0.678830E+01
  PKER_GWETH(  4, 38) =  0.678994E+01
  PKER_GWETH(  4, 39) =  0.679134E+01
  PKER_GWETH(  4, 40) =  0.679253E+01
  PKER_GWETH(  5,  1) =  0.204551E+01
  PKER_GWETH(  5,  2) =  0.249578E+01
  PKER_GWETH(  5,  3) =  0.296766E+01
  PKER_GWETH(  5,  4) =  0.340540E+01
  PKER_GWETH(  5,  5) =  0.378824E+01
  PKER_GWETH(  5,  6) =  0.411440E+01
  PKER_GWETH(  5,  7) =  0.438929E+01
  PKER_GWETH(  5,  8) =  0.461997E+01
  PKER_GWETH(  5,  9) =  0.481324E+01
  PKER_GWETH(  5, 10) =  0.497511E+01
  PKER_GWETH(  5, 11) =  0.511076E+01
  PKER_GWETH(  5, 12) =  0.522454E+01
  PKER_GWETH(  5, 13) =  0.532011E+01
  PKER_GWETH(  5, 14) =  0.540051E+01
  PKER_GWETH(  5, 15) =  0.546824E+01
  PKER_GWETH(  5, 16) =  0.552538E+01
  PKER_GWETH(  5, 17) =  0.557366E+01
  PKER_GWETH(  5, 18) =  0.561449E+01
  PKER_GWETH(  5, 19) =  0.564907E+01
  PKER_GWETH(  5, 20) =  0.567839E+01
  PKER_GWETH(  5, 21) =  0.570326E+01
  PKER_GWETH(  5, 22) =  0.572438E+01
  PKER_GWETH(  5, 23) =  0.574233E+01
  PKER_GWETH(  5, 24) =  0.575759E+01
  PKER_GWETH(  5, 25) =  0.577058E+01
  PKER_GWETH(  5, 26) =  0.578163E+01
  PKER_GWETH(  5, 27) =  0.579105E+01
  PKER_GWETH(  5, 28) =  0.579907E+01
  PKER_GWETH(  5, 29) =  0.580591E+01
  PKER_GWETH(  5, 30) =  0.581173E+01
  PKER_GWETH(  5, 31) =  0.581671E+01
  PKER_GWETH(  5, 32) =  0.582095E+01
  PKER_GWETH(  5, 33) =  0.582457E+01
  PKER_GWETH(  5, 34) =  0.582765E+01
  PKER_GWETH(  5, 35) =  0.583029E+01
  PKER_GWETH(  5, 36) =  0.583254E+01
  PKER_GWETH(  5, 37) =  0.583446E+01
  PKER_GWETH(  5, 38) =  0.583611E+01
  PKER_GWETH(  5, 39) =  0.583751E+01
  PKER_GWETH(  5, 40) =  0.583871E+01
  PKER_GWETH(  6,  1) =  0.147885E+01
  PKER_GWETH(  6,  2) =  0.176736E+01
  PKER_GWETH(  6,  3) =  0.215562E+01
  PKER_GWETH(  6,  4) =  0.256096E+01
  PKER_GWETH(  6,  5) =  0.293621E+01
  PKER_GWETH(  6,  6) =  0.326413E+01
  PKER_GWETH(  6,  7) =  0.354342E+01
  PKER_GWETH(  6,  8) =  0.377879E+01
  PKER_GWETH(  6,  9) =  0.397630E+01
  PKER_GWETH(  6, 10) =  0.414178E+01
  PKER_GWETH(  6, 11) =  0.428038E+01
  PKER_GWETH(  6, 12) =  0.439652E+01
  PKER_GWETH(  6, 13) =  0.449394E+01
  PKER_GWETH(  6, 14) =  0.457577E+01
  PKER_GWETH(  6, 15) =  0.464460E+01
  PKER_GWETH(  6, 16) =  0.470259E+01
  PKER_GWETH(  6, 17) =  0.475151E+01
  PKER_GWETH(  6, 18) =  0.479283E+01
  PKER_GWETH(  6, 19) =  0.482779E+01
  PKER_GWETH(  6, 20) =  0.485739E+01
  PKER_GWETH(  6, 21) =  0.488249E+01
  PKER_GWETH(  6, 22) =  0.490378E+01
  PKER_GWETH(  6, 23) =  0.492186E+01
  PKER_GWETH(  6, 24) =  0.493722E+01
  PKER_GWETH(  6, 25) =  0.495028E+01
  PKER_GWETH(  6, 26) =  0.496140E+01
  PKER_GWETH(  6, 27) =  0.497086E+01
  PKER_GWETH(  6, 28) =  0.497892E+01
  PKER_GWETH(  6, 29) =  0.498578E+01
  PKER_GWETH(  6, 30) =  0.499163E+01
  PKER_GWETH(  6, 31) =  0.499662E+01
  PKER_GWETH(  6, 32) =  0.500088E+01
  PKER_GWETH(  6, 33) =  0.500450E+01
  PKER_GWETH(  6, 34) =  0.500760E+01
  PKER_GWETH(  6, 35) =  0.501024E+01
  PKER_GWETH(  6, 36) =  0.501250E+01
  PKER_GWETH(  6, 37) =  0.501443E+01
  PKER_GWETH(  6, 38) =  0.501607E+01
  PKER_GWETH(  6, 39) =  0.501748E+01
  PKER_GWETH(  6, 40) =  0.501868E+01
  PKER_GWETH(  7,  1) =  0.119724E+01
  PKER_GWETH(  7,  2) =  0.127547E+01
  PKER_GWETH(  7,  3) =  0.152697E+01
  PKER_GWETH(  7,  4) =  0.186178E+01
  PKER_GWETH(  7,  5) =  0.220994E+01
  PKER_GWETH(  7,  6) =  0.253163E+01
  PKER_GWETH(  7,  7) =  0.281250E+01
  PKER_GWETH(  7,  8) =  0.305164E+01
  PKER_GWETH(  7,  9) =  0.325317E+01
  PKER_GWETH(  7, 10) =  0.342229E+01
  PKER_GWETH(  7, 11) =  0.356398E+01
  PKER_GWETH(  7, 12) =  0.368265E+01
  PKER_GWETH(  7, 13) =  0.378209E+01
  PKER_GWETH(  7, 14) =  0.386550E+01
  PKER_GWETH(  7, 15) =  0.393556E+01
  PKER_GWETH(  7, 16) =  0.399449E+01
  PKER_GWETH(  7, 17) =  0.404413E+01
  PKER_GWETH(  7, 18) =  0.408601E+01
  PKER_GWETH(  7, 19) =  0.412139E+01
  PKER_GWETH(  7, 20) =  0.415132E+01
  PKER_GWETH(  7, 21) =  0.417666E+01
  PKER_GWETH(  7, 22) =  0.419814E+01
  PKER_GWETH(  7, 23) =  0.421636E+01
  PKER_GWETH(  7, 24) =  0.423184E+01
  PKER_GWETH(  7, 25) =  0.424499E+01
  PKER_GWETH(  7, 26) =  0.425617E+01
  PKER_GWETH(  7, 27) =  0.426568E+01
  PKER_GWETH(  7, 28) =  0.427378E+01
  PKER_GWETH(  7, 29) =  0.428068E+01
  PKER_GWETH(  7, 30) =  0.428655E+01
  PKER_GWETH(  7, 31) =  0.429156E+01
  PKER_GWETH(  7, 32) =  0.429583E+01
  PKER_GWETH(  7, 33) =  0.429947E+01
  PKER_GWETH(  7, 34) =  0.430258E+01
  PKER_GWETH(  7, 35) =  0.430523E+01
  PKER_GWETH(  7, 36) =  0.430749E+01
  PKER_GWETH(  7, 37) =  0.430942E+01
  PKER_GWETH(  7, 38) =  0.431107E+01
  PKER_GWETH(  7, 39) =  0.431248E+01
  PKER_GWETH(  7, 40) =  0.431368E+01
  PKER_GWETH(  8,  1) =  0.116924E+01
  PKER_GWETH(  8,  2) =  0.102801E+01
  PKER_GWETH(  8,  3) =  0.110019E+01
  PKER_GWETH(  8,  4) =  0.131921E+01
  PKER_GWETH(  8,  5) =  0.160796E+01
  PKER_GWETH(  8,  6) =  0.190699E+01
  PKER_GWETH(  8,  7) =  0.218275E+01
  PKER_GWETH(  8,  8) =  0.242331E+01
  PKER_GWETH(  8,  9) =  0.262809E+01
  PKER_GWETH(  8, 10) =  0.280064E+01
  PKER_GWETH(  8, 11) =  0.294545E+01
  PKER_GWETH(  8, 12) =  0.306676E+01
  PKER_GWETH(  8, 13) =  0.316837E+01
  PKER_GWETH(  8, 14) =  0.325351E+01
  PKER_GWETH(  8, 15) =  0.332493E+01
  PKER_GWETH(  8, 16) =  0.338491E+01
  PKER_GWETH(  8, 17) =  0.343537E+01
  PKER_GWETH(  8, 18) =  0.347787E+01
  PKER_GWETH(  8, 19) =  0.351372E+01
  PKER_GWETH(  8, 20) =  0.354401E+01
  PKER_GWETH(  8, 21) =  0.356963E+01
  PKER_GWETH(  8, 22) =  0.359132E+01
  PKER_GWETH(  8, 23) =  0.360971E+01
  PKER_GWETH(  8, 24) =  0.362531E+01
  PKER_GWETH(  8, 25) =  0.363856E+01
  PKER_GWETH(  8, 26) =  0.364981E+01
  PKER_GWETH(  8, 27) =  0.365938E+01
  PKER_GWETH(  8, 28) =  0.366752E+01
  PKER_GWETH(  8, 29) =  0.367446E+01
  PKER_GWETH(  8, 30) =  0.368036E+01
  PKER_GWETH(  8, 31) =  0.368539E+01
  PKER_GWETH(  8, 32) =  0.368967E+01
  PKER_GWETH(  8, 33) =  0.369333E+01
  PKER_GWETH(  8, 34) =  0.369644E+01
  PKER_GWETH(  8, 35) =  0.369910E+01
  PKER_GWETH(  8, 36) =  0.370137E+01
  PKER_GWETH(  8, 37) =  0.370330E+01
  PKER_GWETH(  8, 38) =  0.370496E+01
  PKER_GWETH(  8, 39) =  0.370637E+01
  PKER_GWETH(  8, 40) =  0.370757E+01
  PKER_GWETH(  9,  1) =  0.132655E+01
  PKER_GWETH(  9,  2) =  0.998897E+00
  PKER_GWETH(  9,  3) =  0.882830E+00
  PKER_GWETH(  9,  4) =  0.949046E+00
  PKER_GWETH(  9,  5) =  0.113967E+01
  PKER_GWETH(  9,  6) =  0.138873E+01
  PKER_GWETH(  9,  7) =  0.164554E+01
  PKER_GWETH(  9,  8) =  0.188191E+01
  PKER_GWETH(  9,  9) =  0.208795E+01
  PKER_GWETH(  9, 10) =  0.226330E+01
  PKER_GWETH(  9, 11) =  0.241104E+01
  PKER_GWETH(  9, 12) =  0.253503E+01
  PKER_GWETH(  9, 13) =  0.263890E+01
  PKER_GWETH(  9, 14) =  0.272590E+01
  PKER_GWETH(  9, 15) =  0.279880E+01
  PKER_GWETH(  9, 16) =  0.285995E+01
  PKER_GWETH(  9, 17) =  0.291131E+01
  PKER_GWETH(  9, 18) =  0.295450E+01
  PKER_GWETH(  9, 19) =  0.299089E+01
  PKER_GWETH(  9, 20) =  0.302159E+01
  PKER_GWETH(  9, 21) =  0.304751E+01
  PKER_GWETH(  9, 22) =  0.306944E+01
  PKER_GWETH(  9, 23) =  0.308801E+01
  PKER_GWETH(  9, 24) =  0.310375E+01
  PKER_GWETH(  9, 25) =  0.311711E+01
  PKER_GWETH(  9, 26) =  0.312845E+01
  PKER_GWETH(  9, 27) =  0.313808E+01
  PKER_GWETH(  9, 28) =  0.314627E+01
  PKER_GWETH(  9, 29) =  0.315324E+01
  PKER_GWETH(  9, 30) =  0.315917E+01
  PKER_GWETH(  9, 31) =  0.316423E+01
  PKER_GWETH(  9, 32) =  0.316853E+01
  PKER_GWETH(  9, 33) =  0.317220E+01
  PKER_GWETH(  9, 34) =  0.317532E+01
  PKER_GWETH(  9, 35) =  0.317799E+01
  PKER_GWETH(  9, 36) =  0.318027E+01
  PKER_GWETH(  9, 37) =  0.318221E+01
  PKER_GWETH(  9, 38) =  0.318386E+01
  PKER_GWETH(  9, 39) =  0.318528E+01
  PKER_GWETH(  9, 40) =  0.318648E+01
  PKER_GWETH( 10,  1) =  0.158836E+01
  PKER_GWETH( 10,  2) =  0.112991E+01
  PKER_GWETH( 10,  3) =  0.853387E+00
  PKER_GWETH( 10,  4) =  0.758257E+00
  PKER_GWETH( 10,  5) =  0.818751E+00
  PKER_GWETH( 10,  6) =  0.984521E+00
  PKER_GWETH( 10,  7) =  0.119936E+01
  PKER_GWETH( 10,  8) =  0.141989E+01
  PKER_GWETH( 10,  9) =  0.162250E+01
  PKER_GWETH( 10, 10) =  0.179897E+01
  PKER_GWETH( 10, 11) =  0.194912E+01
  PKER_GWETH( 10, 12) =  0.207563E+01
  PKER_GWETH( 10, 13) =  0.218178E+01
  PKER_GWETH( 10, 14) =  0.227073E+01
  PKER_GWETH( 10, 15) =  0.234522E+01
  PKER_GWETH( 10, 16) =  0.240764E+01
  PKER_GWETH( 10, 17) =  0.245999E+01
  PKER_GWETH( 10, 18) =  0.250396E+01
  PKER_GWETH( 10, 19) =  0.254094E+01
  PKER_GWETH( 10, 20) =  0.257210E+01
  PKER_GWETH( 10, 21) =  0.259837E+01
  PKER_GWETH( 10, 22) =  0.262057E+01
  PKER_GWETH( 10, 23) =  0.263934E+01
  PKER_GWETH( 10, 24) =  0.265524E+01
  PKER_GWETH( 10, 25) =  0.266871E+01
  PKER_GWETH( 10, 26) =  0.268015E+01
  PKER_GWETH( 10, 27) =  0.268985E+01
  PKER_GWETH( 10, 28) =  0.269810E+01
  PKER_GWETH( 10, 29) =  0.270511E+01
  PKER_GWETH( 10, 30) =  0.271107E+01
  PKER_GWETH( 10, 31) =  0.271615E+01
  PKER_GWETH( 10, 32) =  0.272048E+01
  PKER_GWETH( 10, 33) =  0.272416E+01
  PKER_GWETH( 10, 34) =  0.272730E+01
  PKER_GWETH( 10, 35) =  0.272997E+01
  PKER_GWETH( 10, 36) =  0.273226E+01
  PKER_GWETH( 10, 37) =  0.273420E+01
  PKER_GWETH( 10, 38) =  0.273586E+01
  PKER_GWETH( 10, 39) =  0.273728E+01
  PKER_GWETH( 10, 40) =  0.273849E+01
  PKER_GWETH( 11,  1) =  0.188694E+01
  PKER_GWETH( 11,  2) =  0.135228E+01
  PKER_GWETH( 11,  3) =  0.962427E+00
  PKER_GWETH( 11,  4) =  0.729069E+00
  PKER_GWETH( 11,  5) =  0.651362E+00
  PKER_GWETH( 11,  6) =  0.706379E+00
  PKER_GWETH( 11,  7) =  0.850482E+00
  PKER_GWETH( 11,  8) =  0.103579E+01
  PKER_GWETH( 11,  9) =  0.122516E+01
  PKER_GWETH( 11, 10) =  0.139882E+01
  PKER_GWETH( 11, 11) =  0.154997E+01
  PKER_GWETH( 11, 12) =  0.167854E+01
  PKER_GWETH( 11, 13) =  0.178685E+01
  PKER_GWETH( 11, 14) =  0.187775E+01
  PKER_GWETH( 11, 15) =  0.195391E+01
  PKER_GWETH( 11, 16) =  0.201769E+01
  PKER_GWETH( 11, 17) =  0.207113E+01
  PKER_GWETH( 11, 18) =  0.211596E+01
  PKER_GWETH( 11, 19) =  0.215360E+01
  PKER_GWETH( 11, 20) =  0.218527E+01
  PKER_GWETH( 11, 21) =  0.221194E+01
  PKER_GWETH( 11, 22) =  0.223444E+01
  PKER_GWETH( 11, 23) =  0.225344E+01
  PKER_GWETH( 11, 24) =  0.226951E+01
  PKER_GWETH( 11, 25) =  0.228312E+01
  PKER_GWETH( 11, 26) =  0.229465E+01
  PKER_GWETH( 11, 27) =  0.230444E+01
  PKER_GWETH( 11, 28) =  0.231274E+01
  PKER_GWETH( 11, 29) =  0.231980E+01
  PKER_GWETH( 11, 30) =  0.232580E+01
  PKER_GWETH( 11, 31) =  0.233091E+01
  PKER_GWETH( 11, 32) =  0.233526E+01
  PKER_GWETH( 11, 33) =  0.233896E+01
  PKER_GWETH( 11, 34) =  0.234211E+01
  PKER_GWETH( 11, 35) =  0.234479E+01
  PKER_GWETH( 11, 36) =  0.234709E+01
  PKER_GWETH( 11, 37) =  0.234904E+01
  PKER_GWETH( 11, 38) =  0.235070E+01
  PKER_GWETH( 11, 39) =  0.235213E+01
  PKER_GWETH( 11, 40) =  0.235334E+01
  PKER_GWETH( 12,  1) =  0.217933E+01
  PKER_GWETH( 12,  2) =  0.160747E+01
  PKER_GWETH( 12,  3) =  0.115129E+01
  PKER_GWETH( 12,  4) =  0.819805E+00
  PKER_GWETH( 12,  5) =  0.622854E+00
  PKER_GWETH( 12,  6) =  0.559616E+00
  PKER_GWETH( 12,  7) =  0.609490E+00
  PKER_GWETH( 12,  8) =  0.734782E+00
  PKER_GWETH( 12,  9) =  0.894511E+00
  PKER_GWETH( 12, 10) =  0.105711E+01
  PKER_GWETH( 12, 11) =  0.120596E+01
  PKER_GWETH( 12, 12) =  0.133541E+01
  PKER_GWETH( 12, 13) =  0.144550E+01
  PKER_GWETH( 12, 14) =  0.153825E+01
  PKER_GWETH( 12, 15) =  0.161608E+01
  PKER_GWETH( 12, 16) =  0.168128E+01
  PKER_GWETH( 12, 17) =  0.173589E+01
  PKER_GWETH( 12, 18) =  0.178165E+01
  PKER_GWETH( 12, 19) =  0.182003E+01
  PKER_GWETH( 12, 20) =  0.185227E+01
  PKER_GWETH( 12, 21) =  0.187938E+01
  PKER_GWETH( 12, 22) =  0.190221E+01
  PKER_GWETH( 12, 23) =  0.192147E+01
  PKER_GWETH( 12, 24) =  0.193774E+01
  PKER_GWETH( 12, 25) =  0.195150E+01
  PKER_GWETH( 12, 26) =  0.196315E+01
  PKER_GWETH( 12, 27) =  0.197302E+01
  PKER_GWETH( 12, 28) =  0.198139E+01
  PKER_GWETH( 12, 29) =  0.198850E+01
  PKER_GWETH( 12, 30) =  0.199455E+01
  PKER_GWETH( 12, 31) =  0.199968E+01
  PKER_GWETH( 12, 32) =  0.200405E+01
  PKER_GWETH( 12, 33) =  0.200777E+01
  PKER_GWETH( 12, 34) =  0.201094E+01
  PKER_GWETH( 12, 35) =  0.201364E+01
  PKER_GWETH( 12, 36) =  0.201594E+01
  PKER_GWETH( 12, 37) =  0.201790E+01
  PKER_GWETH( 12, 38) =  0.201957E+01
  PKER_GWETH( 12, 39) =  0.202100E+01
  PKER_GWETH( 12, 40) =  0.202221E+01
  PKER_GWETH( 13,  1) =  0.244503E+01
  PKER_GWETH( 13,  2) =  0.185806E+01
  PKER_GWETH( 13,  3) =  0.136933E+01
  PKER_GWETH( 13,  4) =  0.980154E+00
  PKER_GWETH( 13,  5) =  0.698393E+00
  PKER_GWETH( 13,  6) =  0.532193E+00
  PKER_GWETH( 13,  7) =  0.480863E+00
  PKER_GWETH( 13,  8) =  0.525928E+00
  PKER_GWETH( 13,  9) =  0.634867E+00
  PKER_GWETH( 13, 10) =  0.772493E+00
  PKER_GWETH( 13, 11) =  0.912096E+00
  PKER_GWETH( 13, 12) =  0.103966E+01
  PKER_GWETH( 13, 13) =  0.115054E+01
  PKER_GWETH( 13, 14) =  0.124481E+01
  PKER_GWETH( 13, 15) =  0.132422E+01
  PKER_GWETH( 13, 16) =  0.139086E+01
  PKER_GWETH( 13, 17) =  0.144669E+01
  PKER_GWETH( 13, 18) =  0.149345E+01
  PKER_GWETH( 13, 19) =  0.153263E+01
  PKER_GWETH( 13, 20) =  0.156549E+01
  PKER_GWETH( 13, 21) =  0.159309E+01
  PKER_GWETH( 13, 22) =  0.161630E+01
  PKER_GWETH( 13, 23) =  0.163585E+01
  PKER_GWETH( 13, 24) =  0.165234E+01
  PKER_GWETH( 13, 25) =  0.166626E+01
  PKER_GWETH( 13, 26) =  0.167804E+01
  PKER_GWETH( 13, 27) =  0.168801E+01
  PKER_GWETH( 13, 28) =  0.169647E+01
  PKER_GWETH( 13, 29) =  0.170364E+01
  PKER_GWETH( 13, 30) =  0.170972E+01
  PKER_GWETH( 13, 31) =  0.171489E+01
  PKER_GWETH( 13, 32) =  0.171929E+01
  PKER_GWETH( 13, 33) =  0.172303E+01
  PKER_GWETH( 13, 34) =  0.172621E+01
  PKER_GWETH( 13, 35) =  0.172893E+01
  PKER_GWETH( 13, 36) =  0.173123E+01
  PKER_GWETH( 13, 37) =  0.173320E+01
  PKER_GWETH( 13, 38) =  0.173488E+01
  PKER_GWETH( 13, 39) =  0.173631E+01
  PKER_GWETH( 13, 40) =  0.173753E+01
  PKER_GWETH( 14,  1) =  0.267774E+01
  PKER_GWETH( 14,  2) =  0.208611E+01
  PKER_GWETH( 14,  3) =  0.158411E+01
  PKER_GWETH( 14,  4) =  0.116642E+01
  PKER_GWETH( 14,  5) =  0.834444E+00
  PKER_GWETH( 14,  6) =  0.594946E+00
  PKER_GWETH( 14,  7) =  0.454936E+00
  PKER_GWETH( 14,  8) =  0.413271E+00
  PKER_GWETH( 14,  9) =  0.453847E+00
  PKER_GWETH( 14, 10) =  0.548545E+00
  PKER_GWETH( 14, 11) =  0.667103E+00
  PKER_GWETH( 14, 12) =  0.786952E+00
  PKER_GWETH( 14, 13) =  0.896286E+00
  PKER_GWETH( 14, 14) =  0.991246E+00
  PKER_GWETH( 14, 15) =  0.107196E+01
  PKER_GWETH( 14, 16) =  0.113996E+01
  PKER_GWETH( 14, 17) =  0.119702E+01
  PKER_GWETH( 14, 18) =  0.124482E+01
  PKER_GWETH( 14, 19) =  0.128486E+01
  PKER_GWETH( 14, 20) =  0.131841E+01
  PKER_GWETH( 14, 21) =  0.134655E+01
  PKER_GWETH( 14, 22) =  0.137017E+01
  PKER_GWETH( 14, 23) =  0.139005E+01
  PKER_GWETH( 14, 24) =  0.140678E+01
  PKER_GWETH( 14, 25) =  0.142090E+01
  PKER_GWETH( 14, 26) =  0.143282E+01
  PKER_GWETH( 14, 27) =  0.144291E+01
  PKER_GWETH( 14, 28) =  0.145144E+01
  PKER_GWETH( 14, 29) =  0.145868E+01
  PKER_GWETH( 14, 30) =  0.146481E+01
  PKER_GWETH( 14, 31) =  0.147002E+01
  PKER_GWETH( 14, 32) =  0.147445E+01
  PKER_GWETH( 14, 33) =  0.147821E+01
  PKER_GWETH( 14, 34) =  0.148142E+01
  PKER_GWETH( 14, 35) =  0.148414E+01
  PKER_GWETH( 14, 36) =  0.148646E+01
  PKER_GWETH( 14, 37) =  0.148844E+01
  PKER_GWETH( 14, 38) =  0.149012E+01
  PKER_GWETH( 14, 39) =  0.149156E+01
  PKER_GWETH( 14, 40) =  0.149278E+01
  PKER_GWETH( 15,  1) =  0.287818E+01
  PKER_GWETH( 15,  2) =  0.228600E+01
  PKER_GWETH( 15,  3) =  0.177984E+01
  PKER_GWETH( 15,  4) =  0.135050E+01
  PKER_GWETH( 15,  5) =  0.993561E+00
  PKER_GWETH( 15,  6) =  0.710380E+00
  PKER_GWETH( 15,  7) =  0.506846E+00
  PKER_GWETH( 15,  8) =  0.388946E+00
  PKER_GWETH( 15,  9) =  0.355232E+00
  PKER_GWETH( 15, 10) =  0.391683E+00
  PKER_GWETH( 15, 11) =  0.473950E+00
  PKER_GWETH( 15, 12) =  0.576074E+00
  PKER_GWETH( 15, 13) =  0.678964E+00
  PKER_GWETH( 15, 14) =  0.772666E+00
  PKER_GWETH( 15, 15) =  0.853994E+00
  PKER_GWETH( 15, 16) =  0.923111E+00
  PKER_GWETH( 15, 17) =  0.981331E+00
  PKER_GWETH( 15, 18) =  0.103019E+01
  PKER_GWETH( 15, 19) =  0.107112E+01
  PKER_GWETH( 15, 20) =  0.110540E+01
  PKER_GWETH( 15, 21) =  0.113413E+01
  PKER_GWETH( 15, 22) =  0.115822E+01
  PKER_GWETH( 15, 23) =  0.117845E+01
  PKER_GWETH( 15, 24) =  0.119546E+01
  PKER_GWETH( 15, 25) =  0.120979E+01
  PKER_GWETH( 15, 26) =  0.122188E+01
  PKER_GWETH( 15, 27) =  0.123208E+01
  PKER_GWETH( 15, 28) =  0.124072E+01
  PKER_GWETH( 15, 29) =  0.124802E+01
  PKER_GWETH( 15, 30) =  0.125422E+01
  PKER_GWETH( 15, 31) =  0.125947E+01
  PKER_GWETH( 15, 32) =  0.126393E+01
  PKER_GWETH( 15, 33) =  0.126772E+01
  PKER_GWETH( 15, 34) =  0.127094E+01
  PKER_GWETH( 15, 35) =  0.127368E+01
  PKER_GWETH( 15, 36) =  0.127601E+01
  PKER_GWETH( 15, 37) =  0.127800E+01
  PKER_GWETH( 15, 38) =  0.127969E+01
  PKER_GWETH( 15, 39) =  0.128113E+01
  PKER_GWETH( 15, 40) =  0.128236E+01
  PKER_GWETH( 16,  1) =  0.304968E+01
  PKER_GWETH( 16,  2) =  0.245823E+01
  PKER_GWETH( 16,  3) =  0.195153E+01
  PKER_GWETH( 16,  4) =  0.151851E+01
  PKER_GWETH( 16,  5) =  0.115132E+01
  PKER_GWETH( 16,  6) =  0.846334E+00
  PKER_GWETH( 16,  7) =  0.604763E+00
  PKER_GWETH( 16,  8) =  0.431831E+00
  PKER_GWETH( 16,  9) =  0.332538E+00
  PKER_GWETH( 16, 10) =  0.305365E+00
  PKER_GWETH( 16, 11) =  0.338047E+00
  PKER_GWETH( 16, 12) =  0.409488E+00
  PKER_GWETH( 16, 13) =  0.497462E+00
  PKER_GWETH( 16, 14) =  0.585781E+00
  PKER_GWETH( 16, 15) =  0.666083E+00
  PKER_GWETH( 16, 16) =  0.735737E+00
  PKER_GWETH( 16, 17) =  0.794919E+00
  PKER_GWETH( 16, 18) =  0.844770E+00
  PKER_GWETH( 16, 19) =  0.886603E+00
  PKER_GWETH( 16, 20) =  0.921652E+00
  PKER_GWETH( 16, 21) =  0.951006E+00
  PKER_GWETH( 16, 22) =  0.975601E+00
  PKER_GWETH( 16, 23) =  0.996228E+00
  PKER_GWETH( 16, 24) =  0.101355E+01
  PKER_GWETH( 16, 25) =  0.102812E+01
  PKER_GWETH( 16, 26) =  0.104038E+01
  PKER_GWETH( 16, 27) =  0.105073E+01
  PKER_GWETH( 16, 28) =  0.105947E+01
  PKER_GWETH( 16, 29) =  0.106686E+01
  PKER_GWETH( 16, 30) =  0.107311E+01
  PKER_GWETH( 16, 31) =  0.107841E+01
  PKER_GWETH( 16, 32) =  0.108291E+01
  PKER_GWETH( 16, 33) =  0.108673E+01
  PKER_GWETH( 16, 34) =  0.108997E+01
  PKER_GWETH( 16, 35) =  0.109273E+01
  PKER_GWETH( 16, 36) =  0.109507E+01
  PKER_GWETH( 16, 37) =  0.109707E+01
  PKER_GWETH( 16, 38) =  0.109877E+01
  PKER_GWETH( 16, 39) =  0.110022E+01
  PKER_GWETH( 16, 40) =  0.110145E+01
  PKER_GWETH( 17,  1) =  0.319611E+01
  PKER_GWETH( 17,  2) =  0.260561E+01
  PKER_GWETH( 17,  3) =  0.209952E+01
  PKER_GWETH( 17,  4) =  0.166598E+01
  PKER_GWETH( 17,  5) =  0.129552E+01
  PKER_GWETH( 17,  6) =  0.981487E+00
  PKER_GWETH( 17,  7) =  0.720900E+00
  PKER_GWETH( 17,  8) =  0.514861E+00
  PKER_GWETH( 17,  9) =  0.367926E+00
  PKER_GWETH( 17, 10) =  0.284324E+00
  PKER_GWETH( 17, 11) =  0.262515E+00
  PKER_GWETH( 17, 12) =  0.291778E+00
  PKER_GWETH( 17, 13) =  0.353788E+00
  PKER_GWETH( 17, 14) =  0.429565E+00
  PKER_GWETH( 17, 15) =  0.505375E+00
  PKER_GWETH( 17, 16) =  0.574193E+00
  PKER_GWETH( 17, 17) =  0.633847E+00
  PKER_GWETH( 17, 18) =  0.684523E+00
  PKER_GWETH( 17, 19) =  0.727207E+00
  PKER_GWETH( 17, 20) =  0.763026E+00
  PKER_GWETH( 17, 21) =  0.793037E+00
  PKER_GWETH( 17, 22) =  0.818171E+00
  PKER_GWETH( 17, 23) =  0.839230E+00
  PKER_GWETH( 17, 24) =  0.856891E+00
  PKER_GWETH( 17, 25) =  0.871722E+00
  PKER_GWETH( 17, 26) =  0.884193E+00
  PKER_GWETH( 17, 27) =  0.894696E+00
  PKER_GWETH( 17, 28) =  0.903554E+00
  PKER_GWETH( 17, 29) =  0.911035E+00
  PKER_GWETH( 17, 30) =  0.917361E+00
  PKER_GWETH( 17, 31) =  0.922716E+00
  PKER_GWETH( 17, 32) =  0.927254E+00
  PKER_GWETH( 17, 33) =  0.931104E+00
  PKER_GWETH( 17, 34) =  0.934371E+00
  PKER_GWETH( 17, 35) =  0.937147E+00
  PKER_GWETH( 17, 36) =  0.939507E+00
  PKER_GWETH( 17, 37) =  0.941515E+00
  PKER_GWETH( 17, 38) =  0.943223E+00
  PKER_GWETH( 17, 39) =  0.944678E+00
  PKER_GWETH( 17, 40) =  0.945917E+00
  PKER_GWETH( 18,  1) =  0.332109E+01
  PKER_GWETH( 18,  2) =  0.273146E+01
  PKER_GWETH( 18,  3) =  0.222618E+01
  PKER_GWETH( 18,  4) =  0.179314E+01
  PKER_GWETH( 18,  5) =  0.142219E+01
  PKER_GWETH( 18,  6) =  0.110525E+01
  PKER_GWETH( 18,  7) =  0.836701E+00
  PKER_GWETH( 18,  8) =  0.614031E+00
  PKER_GWETH( 18,  9) =  0.438335E+00
  PKER_GWETH( 18, 10) =  0.313497E+00
  PKER_GWETH( 18, 11) =  0.243130E+00
  PKER_GWETH( 18, 12) =  0.225766E+00
  PKER_GWETH( 18, 13) =  0.251859E+00
  PKER_GWETH( 18, 14) =  0.305663E+00
  PKER_GWETH( 18, 15) =  0.370929E+00
  PKER_GWETH( 18, 16) =  0.435996E+00
  PKER_GWETH( 18, 17) =  0.494970E+00
  PKER_GWETH( 18, 18) =  0.546059E+00
  PKER_GWETH( 18, 19) =  0.589452E+00
  PKER_GWETH( 18, 20) =  0.626000E+00
  PKER_GWETH( 18, 21) =  0.656670E+00
  PKER_GWETH( 18, 22) =  0.682367E+00
  PKER_GWETH( 18, 23) =  0.703888E+00
  PKER_GWETH( 18, 24) =  0.721919E+00
  PKER_GWETH( 18, 25) =  0.737041E+00
  PKER_GWETH( 18, 26) =  0.749739E+00
  PKER_GWETH( 18, 27) =  0.760417E+00
  PKER_GWETH( 18, 28) =  0.769409E+00
  PKER_GWETH( 18, 29) =  0.776992E+00
  PKER_GWETH( 18, 30) =  0.783397E+00
  PKER_GWETH( 18, 31) =  0.788812E+00
  PKER_GWETH( 18, 32) =  0.793397E+00
  PKER_GWETH( 18, 33) =  0.797281E+00
  PKER_GWETH( 18, 34) =  0.800576E+00
  PKER_GWETH( 18, 35) =  0.803373E+00
  PKER_GWETH( 18, 36) =  0.805750E+00
  PKER_GWETH( 18, 37) =  0.807770E+00
  PKER_GWETH( 18, 38) =  0.809488E+00
  PKER_GWETH( 18, 39) =  0.810950E+00
  PKER_GWETH( 18, 40) =  0.812195E+00
  PKER_GWETH( 19,  1) =  0.342781E+01
  PKER_GWETH( 19,  2) =  0.283888E+01
  PKER_GWETH( 19,  3) =  0.233434E+01
  PKER_GWETH( 19,  4) =  0.190199E+01
  PKER_GWETH( 19,  5) =  0.153145E+01
  PKER_GWETH( 19,  6) =  0.121405E+01
  PKER_GWETH( 19,  7) =  0.942909E+00
  PKER_GWETH( 19,  8) =  0.713251E+00
  PKER_GWETH( 19,  9) =  0.522990E+00
  PKER_GWETH( 19, 10) =  0.373179E+00
  PKER_GWETH( 19, 11) =  0.267136E+00
  PKER_GWETH( 19, 12) =  0.207939E+00
  PKER_GWETH( 19, 13) =  0.194168E+00
  PKER_GWETH( 19, 14) =  0.217411E+00
  PKER_GWETH( 19, 15) =  0.264085E+00
  PKER_GWETH( 19, 16) =  0.320289E+00
  PKER_GWETH( 19, 17) =  0.376133E+00
  PKER_GWETH( 19, 18) =  0.426670E+00
  PKER_GWETH( 19, 19) =  0.470424E+00
  PKER_GWETH( 19, 20) =  0.507580E+00
  PKER_GWETH( 19, 21) =  0.538874E+00
  PKER_GWETH( 19, 22) =  0.565135E+00
  PKER_GWETH( 19, 23) =  0.587138E+00
  PKER_GWETH( 19, 24) =  0.605565E+00
  PKER_GWETH( 19, 25) =  0.621004E+00
  PKER_GWETH( 19, 26) =  0.633952E+00
  PKER_GWETH( 19, 27) =  0.644824E+00
  PKER_GWETH( 19, 28) =  0.653966E+00
  PKER_GWETH( 19, 29) =  0.661665E+00
  PKER_GWETH( 19, 30) =  0.668158E+00
  PKER_GWETH( 19, 31) =  0.673640E+00
  PKER_GWETH( 19, 32) =  0.678276E+00
  PKER_GWETH( 19, 33) =  0.682201E+00
  PKER_GWETH( 19, 34) =  0.685526E+00
  PKER_GWETH( 19, 35) =  0.688347E+00
  PKER_GWETH( 19, 36) =  0.690741E+00
  PKER_GWETH( 19, 37) =  0.692775E+00
  PKER_GWETH( 19, 38) =  0.694504E+00
  PKER_GWETH( 19, 39) =  0.695975E+00
  PKER_GWETH( 19, 40) =  0.697226E+00
  PKER_GWETH( 20,  1) =  0.351898E+01
  PKER_GWETH( 20,  2) =  0.293060E+01
  PKER_GWETH( 20,  3) =  0.242666E+01
  PKER_GWETH( 20,  4) =  0.199494E+01
  PKER_GWETH( 20,  5) =  0.162499E+01
  PKER_GWETH( 20,  6) =  0.130793E+01
  PKER_GWETH( 20,  7) =  0.103636E+01
  PKER_GWETH( 20,  8) =  0.804397E+00
  PKER_GWETH( 20,  9) =  0.607997E+00
  PKER_GWETH( 20, 10) =  0.445440E+00
  PKER_GWETH( 20, 11) =  0.317694E+00
  PKER_GWETH( 20, 12) =  0.227641E+00
  PKER_GWETH( 20, 13) =  0.177870E+00
  PKER_GWETH( 20, 14) =  0.166997E+00
  PKER_GWETH( 20, 15) =  0.187688E+00
  PKER_GWETH( 20, 16) =  0.228164E+00
  PKER_GWETH( 20, 17) =  0.276557E+00
  PKER_GWETH( 20, 18) =  0.324482E+00
  PKER_GWETH( 20, 19) =  0.367788E+00
  PKER_GWETH( 20, 20) =  0.405260E+00
  PKER_GWETH( 20, 21) =  0.437075E+00
  PKER_GWETH( 20, 22) =  0.463871E+00
  PKER_GWETH( 20, 23) =  0.486357E+00
  PKER_GWETH( 20, 24) =  0.505197E+00
  PKER_GWETH( 20, 25) =  0.520975E+00
  PKER_GWETH( 20, 26) =  0.534195E+00
  PKER_GWETH( 20, 27) =  0.545281E+00
  PKER_GWETH( 20, 28) =  0.554590E+00
  PKER_GWETH( 20, 29) =  0.562417E+00
  PKER_GWETH( 20, 30) =  0.569008E+00
  PKER_GWETH( 20, 31) =  0.574567E+00
  PKER_GWETH( 20, 32) =  0.579261E+00
  PKER_GWETH( 20, 33) =  0.583229E+00
  PKER_GWETH( 20, 34) =  0.586589E+00
  PKER_GWETH( 20, 35) =  0.589436E+00
  PKER_GWETH( 20, 36) =  0.591850E+00
  PKER_GWETH( 20, 37) =  0.593899E+00
  PKER_GWETH( 20, 38) =  0.595640E+00
  PKER_GWETH( 20, 39) =  0.597120E+00
  PKER_GWETH( 20, 40) =  0.598379E+00
  PKER_GWETH( 21,  1) =  0.359692E+01
  PKER_GWETH( 21,  2) =  0.300896E+01
  PKER_GWETH( 21,  3) =  0.250550E+01
  PKER_GWETH( 21,  4) =  0.207429E+01
  PKER_GWETH( 21,  5) =  0.170488E+01
  PKER_GWETH( 21,  6) =  0.138832E+01
  PKER_GWETH( 21,  7) =  0.111703E+01
  PKER_GWETH( 21,  8) =  0.884662E+00
  PKER_GWETH( 21,  9) =  0.686219E+00
  PKER_GWETH( 21, 10) =  0.518262E+00
  PKER_GWETH( 21, 11) =  0.379381E+00
  PKER_GWETH( 21, 12) =  0.270445E+00
  PKER_GWETH( 21, 13) =  0.194001E+00
  PKER_GWETH( 21, 14) =  0.152170E+00
  PKER_GWETH( 21, 15) =  0.143663E+00
  PKER_GWETH( 21, 16) =  0.162036E+00
  PKER_GWETH( 21, 17) =  0.197129E+00
  PKER_GWETH( 21, 18) =  0.238790E+00
  PKER_GWETH( 21, 19) =  0.279917E+00
  PKER_GWETH( 21, 20) =  0.317026E+00
  PKER_GWETH( 21, 21) =  0.349117E+00
  PKER_GWETH( 21, 22) =  0.376360E+00
  PKER_GWETH( 21, 23) =  0.399304E+00
  PKER_GWETH( 21, 24) =  0.418558E+00
  PKER_GWETH( 21, 25) =  0.434689E+00
  PKER_GWETH( 21, 26) =  0.448200E+00
  PKER_GWETH( 21, 27) =  0.459519E+00
  PKER_GWETH( 21, 28) =  0.469011E+00
  PKER_GWETH( 21, 29) =  0.476981E+00
  PKER_GWETH( 21, 30) =  0.483683E+00
  PKER_GWETH( 21, 31) =  0.489326E+00
  PKER_GWETH( 21, 32) =  0.494085E+00
  PKER_GWETH( 21, 33) =  0.498103E+00
  PKER_GWETH( 21, 34) =  0.501501E+00
  PKER_GWETH( 21, 35) =  0.504377E+00
  PKER_GWETH( 21, 36) =  0.506814E+00
  PKER_GWETH( 21, 37) =  0.508880E+00
  PKER_GWETH( 21, 38) =  0.510635E+00
  PKER_GWETH( 21, 39) =  0.512125E+00
  PKER_GWETH( 21, 40) =  0.513392E+00
  PKER_GWETH( 22,  1) =  0.366359E+01
  PKER_GWETH( 22,  2) =  0.307596E+01
  PKER_GWETH( 22,  3) =  0.257285E+01
  PKER_GWETH( 22,  4) =  0.214205E+01
  PKER_GWETH( 22,  5) =  0.177308E+01
  PKER_GWETH( 22,  6) =  0.145698E+01
  PKER_GWETH( 22,  7) =  0.118611E+01
  PKER_GWETH( 22,  8) =  0.953972E+00
  PKER_GWETH( 22,  9) =  0.755156E+00
  PKER_GWETH( 22, 10) =  0.585390E+00
  PKER_GWETH( 22, 11) =  0.441762E+00
  PKER_GWETH( 22, 12) =  0.323113E+00
  PKER_GWETH( 22, 13) =  0.230215E+00
  PKER_GWETH( 22, 14) =  0.165338E+00
  PKER_GWETH( 22, 15) =  0.130201E+00
  PKER_GWETH( 22, 16) =  0.123605E+00
  PKER_GWETH( 22, 17) =  0.139899E+00
  PKER_GWETH( 22, 18) =  0.170314E+00
  PKER_GWETH( 22, 19) =  0.206177E+00
  PKER_GWETH( 22, 20) =  0.241468E+00
  PKER_GWETH( 22, 21) =  0.273265E+00
  PKER_GWETH( 22, 22) =  0.300749E+00
  PKER_GWETH( 22, 23) =  0.324076E+00
  PKER_GWETH( 22, 24) =  0.343721E+00
  PKER_GWETH( 22, 25) =  0.360208E+00
  PKER_GWETH( 22, 26) =  0.374020E+00
  PKER_GWETH( 22, 27) =  0.385589E+00
  PKER_GWETH( 22, 28) =  0.395281E+00
  PKER_GWETH( 22, 29) =  0.403408E+00
  PKER_GWETH( 22, 30) =  0.410232E+00
  PKER_GWETH( 22, 31) =  0.415970E+00
  PKER_GWETH( 22, 32) =  0.420802E+00
  PKER_GWETH( 22, 33) =  0.424876E+00
  PKER_GWETH( 22, 34) =  0.428316E+00
  PKER_GWETH( 22, 35) =  0.431225E+00
  PKER_GWETH( 22, 36) =  0.433687E+00
  PKER_GWETH( 22, 37) =  0.435773E+00
  PKER_GWETH( 22, 38) =  0.437542E+00
  PKER_GWETH( 22, 39) =  0.439043E+00
  PKER_GWETH( 22, 40) =  0.440319E+00
  PKER_GWETH( 23,  1) =  0.372064E+01
  PKER_GWETH( 23,  2) =  0.313326E+01
  PKER_GWETH( 23,  3) =  0.263044E+01
  PKER_GWETH( 23,  4) =  0.219994E+01
  PKER_GWETH( 23,  5) =  0.183132E+01
  PKER_GWETH( 23,  6) =  0.151560E+01
  PKER_GWETH( 23,  7) =  0.124512E+01
  PKER_GWETH( 23,  8) =  0.101334E+01
  PKER_GWETH( 23,  9) =  0.814709E+00
  PKER_GWETH( 23, 10) =  0.644598E+00
  PKER_GWETH( 23, 11) =  0.499364E+00
  PKER_GWETH( 23, 12) =  0.376545E+00
  PKER_GWETH( 23, 13) =  0.275183E+00
  PKER_GWETH( 23, 14) =  0.195998E+00
  PKER_GWETH( 23, 15) =  0.140922E+00
  PKER_GWETH( 23, 16) =  0.111420E+00
  PKER_GWETH( 23, 17) =  0.106360E+00
  PKER_GWETH( 23, 18) =  0.120791E+00
  PKER_GWETH( 23, 19) =  0.147147E+00
  PKER_GWETH( 23, 20) =  0.178014E+00
  PKER_GWETH( 23, 21) =  0.208295E+00
  PKER_GWETH( 23, 22) =  0.235541E+00
  PKER_GWETH( 23, 23) =  0.259078E+00
  PKER_GWETH( 23, 24) =  0.279052E+00
  PKER_GWETH( 23, 25) =  0.295874E+00
  PKER_GWETH( 23, 26) =  0.309990E+00
  PKER_GWETH( 23, 27) =  0.321818E+00
  PKER_GWETH( 23, 28) =  0.331723E+00
  PKER_GWETH( 23, 29) =  0.340022E+00
  PKER_GWETH( 23, 30) =  0.346981E+00
  PKER_GWETH( 23, 31) =  0.352824E+00
  PKER_GWETH( 23, 32) =  0.357736E+00
  PKER_GWETH( 23, 33) =  0.361873E+00
  PKER_GWETH( 23, 34) =  0.365361E+00
  PKER_GWETH( 23, 35) =  0.368306E+00
  PKER_GWETH( 23, 36) =  0.370796E+00
  PKER_GWETH( 23, 37) =  0.372904E+00
  PKER_GWETH( 23, 38) =  0.374689E+00
  PKER_GWETH( 23, 39) =  0.376204E+00
  PKER_GWETH( 23, 40) =  0.377489E+00
  PKER_GWETH( 24,  1) =  0.376949E+01
  PKER_GWETH( 24,  2) =  0.318230E+01
  PKER_GWETH( 24,  3) =  0.267969E+01
  PKER_GWETH( 24,  4) =  0.224944E+01
  PKER_GWETH( 24,  5) =  0.188108E+01
  PKER_GWETH( 24,  6) =  0.156565E+01
  PKER_GWETH( 24,  7) =  0.129550E+01
  PKER_GWETH( 24,  8) =  0.106406E+01
  PKER_GWETH( 24,  9) =  0.865729E+00
  PKER_GWETH( 24, 10) =  0.695767E+00
  PKER_GWETH( 24, 11) =  0.550217E+00
  PKER_GWETH( 24, 12) =  0.425970E+00
  PKER_GWETH( 24, 13) =  0.320948E+00
  PKER_GWETH( 24, 14) =  0.234359E+00
  PKER_GWETH( 24, 15) =  0.166867E+00
  PKER_GWETH( 24, 16) =  0.120117E+00
  PKER_GWETH( 24, 17) =  0.953615E-01
  PKER_GWETH( 24, 18) =  0.915330E-01
  PKER_GWETH( 24, 19) =  0.104298E+00
  PKER_GWETH( 24, 20) =  0.127130E+00
  PKER_GWETH( 24, 21) =  0.153694E+00
  PKER_GWETH( 24, 22) =  0.179676E+00
  PKER_GWETH( 24, 23) =  0.203021E+00
  PKER_GWETH( 24, 24) =  0.223178E+00
  PKER_GWETH( 24, 25) =  0.240281E+00
  PKER_GWETH( 24, 26) =  0.254685E+00
  PKER_GWETH( 24, 27) =  0.266772E+00
  PKER_GWETH( 24, 28) =  0.276900E+00
  PKER_GWETH( 24, 29) =  0.285381E+00
  PKER_GWETH( 24, 30) =  0.292487E+00
  PKER_GWETH( 24, 31) =  0.298445E+00
  PKER_GWETH( 24, 32) =  0.303448E+00
  PKER_GWETH( 24, 33) =  0.307654E+00
  PKER_GWETH( 24, 34) =  0.311196E+00
  PKER_GWETH( 24, 35) =  0.314182E+00
  PKER_GWETH( 24, 36) =  0.316704E+00
  PKER_GWETH( 24, 37) =  0.318835E+00
  PKER_GWETH( 24, 38) =  0.320640E+00
  PKER_GWETH( 24, 39) =  0.322168E+00
  PKER_GWETH( 24, 40) =  0.323465E+00
  PKER_GWETH( 25,  1) =  0.381133E+01
  PKER_GWETH( 25,  2) =  0.322429E+01
  PKER_GWETH( 25,  3) =  0.272184E+01
  PKER_GWETH( 25,  4) =  0.229177E+01
  PKER_GWETH( 25,  5) =  0.192362E+01
  PKER_GWETH( 25,  6) =  0.160842E+01
  PKER_GWETH( 25,  7) =  0.133852E+01
  PKER_GWETH( 25,  8) =  0.110735E+01
  PKER_GWETH( 25,  9) =  0.909315E+00
  PKER_GWETH( 25, 10) =  0.739612E+00
  PKER_GWETH( 25, 11) =  0.594182E+00
  PKER_GWETH( 25, 12) =  0.469647E+00
  PKER_GWETH( 25, 13) =  0.363358E+00
  PKER_GWETH( 25, 14) =  0.273552E+00
  PKER_GWETH( 25, 15) =  0.199585E+00
  PKER_GWETH( 25, 16) =  0.142061E+00
  PKER_GWETH( 25, 17) =  0.102393E+00
  PKER_GWETH( 25, 18) =  0.816292E-01
  PKER_GWETH( 25, 19) =  0.787840E-01
  PKER_GWETH( 25, 20) =  0.900615E-01
  PKER_GWETH( 25, 21) =  0.109835E+00
  PKER_GWETH( 25, 22) =  0.132694E+00
  PKER_GWETH( 25, 23) =  0.154985E+00
  PKER_GWETH( 25, 24) =  0.174988E+00
  PKER_GWETH( 25, 25) =  0.192250E+00
  PKER_GWETH( 25, 26) =  0.206895E+00
  PKER_GWETH( 25, 27) =  0.219228E+00
  PKER_GWETH( 25, 28) =  0.229578E+00
  PKER_GWETH( 25, 29) =  0.238250E+00
  PKER_GWETH( 25, 30) =  0.245512E+00
  PKER_GWETH( 25, 31) =  0.251597E+00
  PKER_GWETH( 25, 32) =  0.256699E+00
  PKER_GWETH( 25, 33) =  0.260982E+00
  PKER_GWETH( 25, 34) =  0.264583E+00
  PKER_GWETH( 25, 35) =  0.267616E+00
  PKER_GWETH( 25, 36) =  0.270172E+00
  PKER_GWETH( 25, 37) =  0.272331E+00
  PKER_GWETH( 25, 38) =  0.274156E+00
  PKER_GWETH( 25, 39) =  0.275700E+00
  PKER_GWETH( 25, 40) =  0.277009E+00
  PKER_GWETH( 26,  1) =  0.384717E+01
  PKER_GWETH( 26,  2) =  0.326025E+01
  PKER_GWETH( 26,  3) =  0.275793E+01
  PKER_GWETH( 26,  4) =  0.232801E+01
  PKER_GWETH( 26,  5) =  0.196001E+01
  PKER_GWETH( 26,  6) =  0.164499E+01
  PKER_GWETH( 26,  7) =  0.137528E+01
  PKER_GWETH( 26,  8) =  0.114433E+01
  PKER_GWETH( 26,  9) =  0.946529E+00
  PKER_GWETH( 26, 10) =  0.777072E+00
  PKER_GWETH( 26, 11) =  0.631861E+00
  PKER_GWETH( 26, 12) =  0.507422E+00
  PKER_GWETH( 26, 13) =  0.400869E+00
  PKER_GWETH( 26, 14) =  0.309943E+00
  PKER_GWETH( 26, 15) =  0.233150E+00
  PKER_GWETH( 26, 16) =  0.169969E+00
  PKER_GWETH( 26, 17) =  0.120938E+00
  PKER_GWETH( 26, 18) =  0.872884E-01
  PKER_GWETH( 26, 19) =  0.698854E-01
  PKER_GWETH( 26, 20) =  0.678184E-01
  PKER_GWETH( 26, 21) =  0.777723E-01
  PKER_GWETH( 26, 22) =  0.948930E-01
  PKER_GWETH( 26, 23) =  0.114561E+00
  PKER_GWETH( 26, 24) =  0.133685E+00
  PKER_GWETH( 26, 25) =  0.150823E+00
  PKER_GWETH( 26, 26) =  0.165606E+00
  PKER_GWETH( 26, 27) =  0.178146E+00
  PKER_GWETH( 26, 28) =  0.188706E+00
  PKER_GWETH( 26, 29) =  0.197569E+00
  PKER_GWETH( 26, 30) =  0.204994E+00
  PKER_GWETH( 26, 31) =  0.211213E+00
  PKER_GWETH( 26, 32) =  0.216422E+00
  PKER_GWETH( 26, 33) =  0.220791E+00
  PKER_GWETH( 26, 34) =  0.224458E+00
  PKER_GWETH( 26, 35) =  0.227542E+00
  PKER_GWETH( 26, 36) =  0.230138E+00
  PKER_GWETH( 26, 37) =  0.232327E+00
  PKER_GWETH( 26, 38) =  0.234175E+00
  PKER_GWETH( 26, 39) =  0.235737E+00
  PKER_GWETH( 26, 40) =  0.237059E+00
  PKER_GWETH( 27,  1) =  0.387789E+01
  PKER_GWETH( 27,  2) =  0.329106E+01
  PKER_GWETH( 27,  3) =  0.278885E+01
  PKER_GWETH( 27,  4) =  0.235903E+01
  PKER_GWETH( 27,  5) =  0.199115E+01
  PKER_GWETH( 27,  6) =  0.167627E+01
  PKER_GWETH( 27,  7) =  0.140671E+01
  PKER_GWETH( 27,  8) =  0.117593E+01
  PKER_GWETH( 27,  9) =  0.978311E+00
  PKER_GWETH( 27, 10) =  0.809056E+00
  PKER_GWETH( 27, 11) =  0.664056E+00
  PKER_GWETH( 27, 12) =  0.539803E+00
  PKER_GWETH( 27, 13) =  0.433325E+00
  PKER_GWETH( 27, 14) =  0.342157E+00
  PKER_GWETH( 27, 15) =  0.264373E+00
  PKER_GWETH( 27, 16) =  0.198711E+00
  PKER_GWETH( 27, 17) =  0.144743E+00
  PKER_GWETH( 27, 18) =  0.102957E+00
  PKER_GWETH( 27, 19) =  0.744189E-01
  PKER_GWETH( 27, 20) =  0.598398E-01
  PKER_GWETH( 27, 21) =  0.583871E-01
  PKER_GWETH( 27, 22) =  0.671630E-01
  PKER_GWETH( 27, 23) =  0.819825E-01
  PKER_GWETH( 27, 24) =  0.989033E-01
  PKER_GWETH( 27, 25) =  0.115309E+00
  PKER_GWETH( 27, 26) =  0.129993E+00
  PKER_GWETH( 27, 27) =  0.142653E+00
  PKER_GWETH( 27, 28) =  0.153391E+00
  PKER_GWETH( 27, 29) =  0.162433E+00
  PKER_GWETH( 27, 30) =  0.170021E+00
  PKER_GWETH( 27, 31) =  0.176379E+00
  PKER_GWETH( 27, 32) =  0.181704E+00
  PKER_GWETH( 27, 33) =  0.186165E+00
  PKER_GWETH( 27, 34) =  0.189906E+00
  PKER_GWETH( 27, 35) =  0.193046E+00
  PKER_GWETH( 27, 36) =  0.195686E+00
  PKER_GWETH( 27, 37) =  0.197908E+00
  PKER_GWETH( 27, 38) =  0.199782E+00
  PKER_GWETH( 27, 39) =  0.201365E+00
  PKER_GWETH( 27, 40) =  0.202702E+00
  PKER_GWETH( 28,  1) =  0.390423E+01
  PKER_GWETH( 28,  2) =  0.331747E+01
  PKER_GWETH( 28,  3) =  0.281533E+01
  PKER_GWETH( 28,  4) =  0.238560E+01
  PKER_GWETH( 28,  5) =  0.201782E+01
  PKER_GWETH( 28,  6) =  0.170303E+01
  PKER_GWETH( 28,  7) =  0.143359E+01
  PKER_GWETH( 28,  8) =  0.120294E+01
  PKER_GWETH( 28,  9) =  0.100547E+01
  PKER_GWETH( 28, 10) =  0.836373E+00
  PKER_GWETH( 28, 11) =  0.691546E+00
  PKER_GWETH( 28, 12) =  0.567472E+00
  PKER_GWETH( 28, 13) =  0.461152E+00
  PKER_GWETH( 28, 14) =  0.370043E+00
  PKER_GWETH( 28, 15) =  0.292039E+00
  PKER_GWETH( 28, 16) =  0.225499E+00
  PKER_GWETH( 28, 17) =  0.169354E+00
  PKER_GWETH( 28, 18) =  0.123260E+00
  PKER_GWETH( 28, 19) =  0.876511E-01
  PKER_GWETH( 28, 20) =  0.634500E-01
  PKER_GWETH( 28, 21) =  0.512448E-01
  PKER_GWETH( 28, 22) =  0.502738E-01
  PKER_GWETH( 28, 23) =  0.580041E-01
  PKER_GWETH( 28, 24) =  0.708282E-01
  PKER_GWETH( 28, 25) =  0.853839E-01
  PKER_GWETH( 28, 26) =  0.994571E-01
  PKER_GWETH( 28, 27) =  0.112038E+00
  PKER_GWETH( 28, 28) =  0.122879E+00
  PKER_GWETH( 28, 29) =  0.132074E+00
  PKER_GWETH( 28, 30) =  0.139816E+00
  PKER_GWETH( 28, 31) =  0.146314E+00
  PKER_GWETH( 28, 32) =  0.151758E+00
  PKER_GWETH( 28, 33) =  0.156318E+00
  PKER_GWETH( 28, 34) =  0.160137E+00
  PKER_GWETH( 28, 35) =  0.163340E+00
  PKER_GWETH( 28, 36) =  0.166029E+00
  PKER_GWETH( 28, 37) =  0.168289E+00
  PKER_GWETH( 28, 38) =  0.170192E+00
  PKER_GWETH( 28, 39) =  0.171797E+00
  PKER_GWETH( 28, 40) =  0.173151E+00
  PKER_GWETH( 29,  1) =  0.392682E+01
  PKER_GWETH( 29,  2) =  0.334011E+01
  PKER_GWETH( 29,  3) =  0.283803E+01
  PKER_GWETH( 29,  4) =  0.240837E+01
  PKER_GWETH( 29,  5) =  0.204066E+01
  PKER_GWETH( 29,  6) =  0.172596E+01
  PKER_GWETH( 29,  7) =  0.145660E+01
  PKER_GWETH( 29,  8) =  0.122605E+01
  PKER_GWETH( 29,  9) =  0.102869E+01
  PKER_GWETH( 29, 10) =  0.859716E+00
  PKER_GWETH( 29, 11) =  0.715025E+00
  PKER_GWETH( 29, 12) =  0.591099E+00
  PKER_GWETH( 29, 13) =  0.484932E+00
  PKER_GWETH( 29, 14) =  0.393957E+00
  PKER_GWETH( 29, 15) =  0.315999E+00
  PKER_GWETH( 29, 16) =  0.249258E+00
  PKER_GWETH( 29, 17) =  0.192336E+00
  PKER_GWETH( 29, 18) =  0.144330E+00
  PKER_GWETH( 29, 19) =  0.104963E+00
  PKER_GWETH( 29, 20) =  0.746220E-01
  PKER_GWETH( 29, 21) =  0.541032E-01
  PKER_GWETH( 29, 22) =  0.438920E-01
  PKER_GWETH( 29, 23) =  0.432926E-01
  PKER_GWETH( 29, 24) =  0.500966E-01
  PKER_GWETH( 29, 25) =  0.611908E-01
  PKER_GWETH( 29, 26) =  0.737100E-01
  PKER_GWETH( 29, 27) =  0.857825E-01
  PKER_GWETH( 29, 28) =  0.965608E-01
  PKER_GWETH( 29, 29) =  0.105845E+00
  PKER_GWETH( 29, 30) =  0.113718E+00
  PKER_GWETH( 29, 31) =  0.120348E+00
  PKER_GWETH( 29, 32) =  0.125912E+00
  PKER_GWETH( 29, 33) =  0.130574E+00
  PKER_GWETH( 29, 34) =  0.134478E+00
  PKER_GWETH( 29, 35) =  0.137748E+00
  PKER_GWETH( 29, 36) =  0.140491E+00
  PKER_GWETH( 29, 37) =  0.142793E+00
  PKER_GWETH( 29, 38) =  0.144728E+00
  PKER_GWETH( 29, 39) =  0.146357E+00
  PKER_GWETH( 29, 40) =  0.147731E+00
  PKER_GWETH( 30,  1) =  0.394620E+01
  PKER_GWETH( 30,  2) =  0.335953E+01
  PKER_GWETH( 30,  3) =  0.285750E+01
  PKER_GWETH( 30,  4) =  0.242788E+01
  PKER_GWETH( 30,  5) =  0.206023E+01
  PKER_GWETH( 30,  6) =  0.174559E+01
  PKER_GWETH( 30,  7) =  0.147631E+01
  PKER_GWETH( 30,  8) =  0.124583E+01
  PKER_GWETH( 30,  9) =  0.104855E+01
  PKER_GWETH( 30, 10) =  0.879674E+00
  PKER_GWETH( 30, 11) =  0.735088E+00
  PKER_GWETH( 30, 12) =  0.611279E+00
  PKER_GWETH( 30, 13) =  0.505239E+00
  PKER_GWETH( 30, 14) =  0.414395E+00
  PKER_GWETH( 30, 15) =  0.336549E+00
  PKER_GWETH( 30, 16) =  0.269844E+00
  PKER_GWETH( 30, 17) =  0.212740E+00
  PKER_GWETH( 30, 18) =  0.164047E+00
  PKER_GWETH( 30, 19) =  0.123002E+00
  PKER_GWETH( 30, 20) =  0.893792E-01
  PKER_GWETH( 30, 21) =  0.635301E-01
  PKER_GWETH( 30, 22) =  0.461363E-01
  PKER_GWETH( 30, 23) =  0.375986E-01
  PKER_GWETH( 30, 24) =  0.372861E-01
  PKER_GWETH( 30, 25) =  0.432687E-01
  PKER_GWETH( 30, 26) =  0.528642E-01
  PKER_GWETH( 30, 27) =  0.636312E-01
  PKER_GWETH( 30, 28) =  0.739863E-01
  PKER_GWETH( 30, 29) =  0.832206E-01
  PKER_GWETH( 30, 30) =  0.911715E-01
  PKER_GWETH( 30, 31) =  0.979130E-01
  PKER_GWETH( 30, 32) =  0.103590E+00
  PKER_GWETH( 30, 33) =  0.108354E+00
  PKER_GWETH( 30, 34) =  0.112346E+00
  PKER_GWETH( 30, 35) =  0.115689E+00
  PKER_GWETH( 30, 36) =  0.118489E+00
  PKER_GWETH( 30, 37) =  0.120837E+00
  PKER_GWETH( 30, 38) =  0.122808E+00
  PKER_GWETH( 30, 39) =  0.124466E+00
  PKER_GWETH( 30, 40) =  0.125860E+00
  PKER_GWETH( 31,  1) =  0.396282E+01
  PKER_GWETH( 31,  2) =  0.337618E+01
  PKER_GWETH( 31,  3) =  0.287419E+01
  PKER_GWETH( 31,  4) =  0.244461E+01
  PKER_GWETH( 31,  5) =  0.207700E+01
  PKER_GWETH( 31,  6) =  0.176241E+01
  PKER_GWETH( 31,  7) =  0.149318E+01
  PKER_GWETH( 31,  8) =  0.126277E+01
  PKER_GWETH( 31,  9) =  0.106555E+01
  PKER_GWETH( 31, 10) =  0.896748E+00
  PKER_GWETH( 31, 11) =  0.752243E+00
  PKER_GWETH( 31, 12) =  0.628524E+00
  PKER_GWETH( 31, 13) =  0.522584E+00
  PKER_GWETH( 31, 14) =  0.431848E+00
  PKER_GWETH( 31, 15) =  0.354114E+00
  PKER_GWETH( 31, 16) =  0.287504E+00
  PKER_GWETH( 31, 17) =  0.230428E+00
  PKER_GWETH( 31, 18) =  0.181570E+00
  PKER_GWETH( 31, 19) =  0.139916E+00
  PKER_GWETH( 31, 20) =  0.104822E+00
  PKER_GWETH( 31, 21) =  0.761078E-01
  PKER_GWETH( 31, 22) =  0.540869E-01
  PKER_GWETH( 31, 23) =  0.393467E-01
  PKER_GWETH( 31, 24) =  0.322138E-01
  PKER_GWETH( 31, 25) =  0.321164E-01
  PKER_GWETH( 31, 26) =  0.373726E-01
  PKER_GWETH( 31, 27) =  0.456700E-01
  PKER_GWETH( 31, 28) =  0.549298E-01
  PKER_GWETH( 31, 29) =  0.638108E-01
  PKER_GWETH( 31, 30) =  0.717222E-01
  PKER_GWETH( 31, 31) =  0.785310E-01
  PKER_GWETH( 31, 32) =  0.843036E-01
  PKER_GWETH( 31, 33) =  0.891644E-01
  PKER_GWETH( 31, 34) =  0.932438E-01
  PKER_GWETH( 31, 35) =  0.966619E-01
  PKER_GWETH( 31, 36) =  0.995245E-01
  PKER_GWETH( 31, 37) =  0.101922E+00
  PKER_GWETH( 31, 38) =  0.103933E+00
  PKER_GWETH( 31, 39) =  0.105621E+00
  PKER_GWETH( 31, 40) =  0.107040E+00
  PKER_GWETH( 32,  1) =  0.397708E+01
  PKER_GWETH( 32,  2) =  0.339047E+01
  PKER_GWETH( 32,  3) =  0.288850E+01
  PKER_GWETH( 32,  4) =  0.245896E+01
  PKER_GWETH( 32,  5) =  0.209138E+01
  PKER_GWETH( 32,  6) =  0.177683E+01
  PKER_GWETH( 32,  7) =  0.150764E+01
  PKER_GWETH( 32,  8) =  0.127727E+01
  PKER_GWETH( 32,  9) =  0.108011E+01
  PKER_GWETH( 32, 10) =  0.911361E+00
  PKER_GWETH( 32, 11) =  0.766918E+00
  PKER_GWETH( 32, 12) =  0.643269E+00
  PKER_GWETH( 32, 13) =  0.537406E+00
  PKER_GWETH( 32, 14) =  0.446756E+00
  PKER_GWETH( 32, 15) =  0.369116E+00
  PKER_GWETH( 32, 16) =  0.302601E+00
  PKER_GWETH( 32, 17) =  0.245604E+00
  PKER_GWETH( 32, 18) =  0.196766E+00
  PKER_GWETH( 32, 19) =  0.154963E+00
  PKER_GWETH( 32, 20) =  0.119332E+00
  PKER_GWETH( 32, 21) =  0.893267E-01
  PKER_GWETH( 32, 22) =  0.648070E-01
  PKER_GWETH( 32, 23) =  0.460486E-01
  PKER_GWETH( 32, 24) =  0.335588E-01
  PKER_GWETH( 32, 25) =  0.276040E-01
  PKER_GWETH( 32, 26) =  0.276657E-01
  PKER_GWETH( 32, 27) =  0.322804E-01
  PKER_GWETH( 32, 28) =  0.394546E-01
  PKER_GWETH( 32, 29) =  0.474167E-01
  PKER_GWETH( 32, 30) =  0.550336E-01
  PKER_GWETH( 32, 31) =  0.618114E-01
  PKER_GWETH( 32, 32) =  0.676423E-01
  PKER_GWETH( 32, 33) =  0.725852E-01
  PKER_GWETH( 32, 34) =  0.767473E-01
  PKER_GWETH( 32, 35) =  0.802405E-01
  PKER_GWETH( 32, 36) =  0.831673E-01
  PKER_GWETH( 32, 37) =  0.856184E-01
  PKER_GWETH( 32, 38) =  0.876718E-01
  PKER_GWETH( 32, 39) =  0.893933E-01
  PKER_GWETH( 32, 40) =  0.908384E-01
  PKER_GWETH( 33,  1) =  0.398932E+01
  PKER_GWETH( 33,  2) =  0.340273E+01
  PKER_GWETH( 33,  3) =  0.290079E+01
  PKER_GWETH( 33,  4) =  0.247127E+01
  PKER_GWETH( 33,  5) =  0.210372E+01
  PKER_GWETH( 33,  6) =  0.178919E+01
  PKER_GWETH( 33,  7) =  0.152004E+01
  PKER_GWETH( 33,  8) =  0.128970E+01
  PKER_GWETH( 33,  9) =  0.109258E+01
  PKER_GWETH( 33, 10) =  0.923874E+00
  PKER_GWETH( 33, 11) =  0.779479E+00
  PKER_GWETH( 33, 12) =  0.655884E+00
  PKER_GWETH( 33, 13) =  0.550080E+00
  PKER_GWETH( 33, 14) =  0.459496E+00
  PKER_GWETH( 33, 15) =  0.381929E+00
  PKER_GWETH( 33, 16) =  0.315494E+00
  PKER_GWETH( 33, 17) =  0.258578E+00
  PKER_GWETH( 33, 18) =  0.209808E+00
  PKER_GWETH( 33, 19) =  0.168020E+00
  PKER_GWETH( 33, 20) =  0.132253E+00
  PKER_GWETH( 33, 21) =  0.101773E+00
  PKER_GWETH( 33, 22) =  0.761204E-01
  PKER_GWETH( 33, 23) =  0.551820E-01
  PKER_GWETH( 33, 24) =  0.392049E-01
  PKER_GWETH( 33, 25) =  0.286250E-01
  PKER_GWETH( 33, 26) =  0.236572E-01
  PKER_GWETH( 33, 27) =  0.238365E-01
  PKER_GWETH( 33, 28) =  0.278819E-01
  PKER_GWETH( 33, 29) =  0.340844E-01
  PKER_GWETH( 33, 30) =  0.409301E-01
  PKER_GWETH( 33, 31) =  0.474629E-01
  PKER_GWETH( 33, 32) =  0.532693E-01
  PKER_GWETH( 33, 33) =  0.582626E-01
  PKER_GWETH( 33, 34) =  0.624951E-01
  PKER_GWETH( 33, 35) =  0.660590E-01
  PKER_GWETH( 33, 36) =  0.690501E-01
  PKER_GWETH( 33, 37) =  0.715563E-01
  PKER_GWETH( 33, 38) =  0.736552E-01
  PKER_GWETH( 33, 39) =  0.754134E-01
  PKER_GWETH( 33, 40) =  0.768875E-01
  PKER_GWETH( 34,  1) =  0.399983E+01
  PKER_GWETH( 34,  2) =  0.341326E+01
  PKER_GWETH( 34,  3) =  0.291133E+01
  PKER_GWETH( 34,  4) =  0.248183E+01
  PKER_GWETH( 34,  5) =  0.211430E+01
  PKER_GWETH( 34,  6) =  0.179980E+01
  PKER_GWETH( 34,  7) =  0.153067E+01
  PKER_GWETH( 34,  8) =  0.130036E+01
  PKER_GWETH( 34,  9) =  0.110326E+01
  PKER_GWETH( 34, 10) =  0.934592E+00
  PKER_GWETH( 34, 11) =  0.790235E+00
  PKER_GWETH( 34, 12) =  0.666681E+00
  PKER_GWETH( 34, 13) =  0.560923E+00
  PKER_GWETH( 34, 14) =  0.470390E+00
  PKER_GWETH( 34, 15) =  0.392879E+00
  PKER_GWETH( 34, 16) =  0.326507E+00
  PKER_GWETH( 34, 17) =  0.269660E+00
  PKER_GWETH( 34, 18) =  0.220959E+00
  PKER_GWETH( 34, 19) =  0.179227E+00
  PKER_GWETH( 34, 20) =  0.143471E+00
  PKER_GWETH( 34, 21) =  0.112870E+00
  PKER_GWETH( 34, 22) =  0.867966E-01
  PKER_GWETH( 34, 23) =  0.648649E-01
  PKER_GWETH( 34, 24) =  0.469859E-01
  PKER_GWETH( 34, 25) =  0.333789E-01
  PKER_GWETH( 34, 26) =  0.244190E-01
  PKER_GWETH( 34, 27) =  0.202775E-01
  PKER_GWETH( 34, 28) =  0.205384E-01
  PKER_GWETH( 34, 29) =  0.240824E-01
  PKER_GWETH( 34, 30) =  0.294450E-01
  PKER_GWETH( 34, 31) =  0.353303E-01
  PKER_GWETH( 34, 32) =  0.409329E-01
  PKER_GWETH( 34, 33) =  0.459069E-01
  PKER_GWETH( 34, 34) =  0.501829E-01
  PKER_GWETH( 34, 35) =  0.538071E-01
  PKER_GWETH( 34, 36) =  0.568588E-01
  PKER_GWETH( 34, 37) =  0.594200E-01
  PKER_GWETH( 34, 38) =  0.615661E-01
  PKER_GWETH( 34, 39) =  0.633633E-01
  PKER_GWETH( 34, 40) =  0.648688E-01
  PKER_GWETH( 35,  1) =  0.400885E+01
  PKER_GWETH( 35,  2) =  0.342229E+01
  PKER_GWETH( 35,  3) =  0.292037E+01
  PKER_GWETH( 35,  4) =  0.249089E+01
  PKER_GWETH( 35,  5) =  0.212337E+01
  PKER_GWETH( 35,  6) =  0.180889E+01
  PKER_GWETH( 35,  7) =  0.153978E+01
  PKER_GWETH( 35,  8) =  0.130949E+01
  PKER_GWETH( 35,  9) =  0.111242E+01
  PKER_GWETH( 35, 10) =  0.943777E+00
  PKER_GWETH( 35, 11) =  0.799449E+00
  PKER_GWETH( 35, 12) =  0.675926E+00
  PKER_GWETH( 35, 13) =  0.570204E+00
  PKER_GWETH( 35, 14) =  0.479710E+00
  PKER_GWETH( 35, 15) =  0.402243E+00
  PKER_GWETH( 35, 16) =  0.335919E+00
  PKER_GWETH( 35, 17) =  0.279126E+00
  PKER_GWETH( 35, 18) =  0.230483E+00
  PKER_GWETH( 35, 19) =  0.188811E+00
  PKER_GWETH( 35, 20) =  0.153102E+00
  PKER_GWETH( 35, 21) =  0.122507E+00
  PKER_GWETH( 35, 22) =  0.963249E-01
  PKER_GWETH( 35, 23) =  0.740223E-01
  PKER_GWETH( 35, 24) =  0.552721E-01
  PKER_GWETH( 35, 25) =  0.400067E-01
  PKER_GWETH( 35, 26) =  0.284193E-01
  PKER_GWETH( 35, 27) =  0.208328E-01
  PKER_GWETH( 35, 28) =  0.173845E-01
  PKER_GWETH( 35, 29) =  0.176984E-01
  PKER_GWETH( 35, 30) =  0.208008E-01
  PKER_GWETH( 35, 31) =  0.254366E-01
  PKER_GWETH( 35, 32) =  0.304959E-01
  PKER_GWETH( 35, 33) =  0.353005E-01
  PKER_GWETH( 35, 34) =  0.395615E-01
  PKER_GWETH( 35, 35) =  0.432232E-01
  PKER_GWETH( 35, 36) =  0.463265E-01
  PKER_GWETH( 35, 37) =  0.489396E-01
  PKER_GWETH( 35, 38) =  0.511328E-01
  PKER_GWETH( 35, 39) =  0.529704E-01
  PKER_GWETH( 35, 40) =  0.545093E-01
  PKER_GWETH( 36,  1) =  0.401659E+01
  PKER_GWETH( 36,  2) =  0.343004E+01
  PKER_GWETH( 36,  3) =  0.292814E+01
  PKER_GWETH( 36,  4) =  0.249866E+01
  PKER_GWETH( 36,  5) =  0.213116E+01
  PKER_GWETH( 36,  6) =  0.181669E+01
  PKER_GWETH( 36,  7) =  0.154760E+01
  PKER_GWETH( 36,  8) =  0.131733E+01
  PKER_GWETH( 36,  9) =  0.112028E+01
  PKER_GWETH( 36, 10) =  0.951650E+00
  PKER_GWETH( 36, 11) =  0.807344E+00
  PKER_GWETH( 36, 12) =  0.683846E+00
  PKER_GWETH( 36, 13) =  0.578151E+00
  PKER_GWETH( 36, 14) =  0.487687E+00
  PKER_GWETH( 36, 15) =  0.410254E+00
  PKER_GWETH( 36, 16) =  0.343967E+00
  PKER_GWETH( 36, 17) =  0.287216E+00
  PKER_GWETH( 36, 18) =  0.238619E+00
  PKER_GWETH( 36, 19) =  0.196997E+00
  PKER_GWETH( 36, 20) =  0.161339E+00
  PKER_GWETH( 36, 21) =  0.130784E+00
  PKER_GWETH( 36, 22) =  0.104605E+00
  PKER_GWETH( 36, 23) =  0.822039E-01
  PKER_GWETH( 36, 24) =  0.631264E-01
  PKER_GWETH( 36, 25) =  0.470971E-01
  PKER_GWETH( 36, 26) =  0.340633E-01
  PKER_GWETH( 36, 27) =  0.241971E-01
  PKER_GWETH( 36, 28) =  0.177747E-01
  PKER_GWETH( 36, 29) =  0.149054E-01
  PKER_GWETH( 36, 30) =  0.152534E-01
  PKER_GWETH( 36, 31) =  0.179676E-01
  PKER_GWETH( 36, 32) =  0.219736E-01
  PKER_GWETH( 36, 33) =  0.263223E-01
  PKER_GWETH( 36, 34) =  0.304424E-01
  PKER_GWETH( 36, 35) =  0.340925E-01
  PKER_GWETH( 36, 36) =  0.372283E-01
  PKER_GWETH( 36, 37) =  0.398856E-01
  PKER_GWETH( 36, 38) =  0.421231E-01
  PKER_GWETH( 36, 39) =  0.440011E-01
  PKER_GWETH( 36, 40) =  0.455746E-01
  PKER_GWETH( 37,  1) =  0.402324E+01
  PKER_GWETH( 37,  2) =  0.343670E+01
  PKER_GWETH( 37,  3) =  0.293480E+01
  PKER_GWETH( 37,  4) =  0.250534E+01
  PKER_GWETH( 37,  5) =  0.213785E+01
  PKER_GWETH( 37,  6) =  0.182339E+01
  PKER_GWETH( 37,  7) =  0.155431E+01
  PKER_GWETH( 37,  8) =  0.132405E+01
  PKER_GWETH( 37,  9) =  0.112701E+01
  PKER_GWETH( 37, 10) =  0.958401E+00
  PKER_GWETH( 37, 11) =  0.814112E+00
  PKER_GWETH( 37, 12) =  0.690632E+00
  PKER_GWETH( 37, 13) =  0.584959E+00
  PKER_GWETH( 37, 14) =  0.494518E+00
  PKER_GWETH( 37, 15) =  0.417111E+00
  PKER_GWETH( 37, 16) =  0.350853E+00
  PKER_GWETH( 37, 17) =  0.294134E+00
  PKER_GWETH( 37, 18) =  0.245573E+00
  PKER_GWETH( 37, 19) =  0.203990E+00
  PKER_GWETH( 37, 20) =  0.168374E+00
  PKER_GWETH( 37, 21) =  0.137863E+00
  PKER_GWETH( 37, 22) =  0.111718E+00
  PKER_GWETH( 37, 23) =  0.893180E-01
  PKER_GWETH( 37, 24) =  0.701520E-01
  PKER_GWETH( 37, 25) =  0.538333E-01
  PKER_GWETH( 37, 26) =  0.401301E-01
  PKER_GWETH( 37, 27) =  0.290025E-01
  PKER_GWETH( 37, 28) =  0.206023E-01
  PKER_GWETH( 37, 29) =  0.151665E-01
  PKER_GWETH( 37, 30) =  0.127824E-01
  PKER_GWETH( 37, 31) =  0.131471E-01
  PKER_GWETH( 37, 32) =  0.155224E-01
  PKER_GWETH( 37, 33) =  0.189819E-01
  PKER_GWETH( 37, 34) =  0.227194E-01
  PKER_GWETH( 37, 35) =  0.262523E-01
  PKER_GWETH( 37, 36) =  0.293792E-01
  PKER_GWETH( 37, 37) =  0.320645E-01
  PKER_GWETH( 37, 38) =  0.343398E-01
  PKER_GWETH( 37, 39) =  0.362558E-01
  PKER_GWETH( 37, 40) =  0.378639E-01
  PKER_GWETH( 38,  1) =  0.402895E+01
  PKER_GWETH( 38,  2) =  0.344242E+01
  PKER_GWETH( 38,  3) =  0.294053E+01
  PKER_GWETH( 38,  4) =  0.251107E+01
  PKER_GWETH( 38,  5) =  0.214359E+01
  PKER_GWETH( 38,  6) =  0.182914E+01
  PKER_GWETH( 38,  7) =  0.156006E+01
  PKER_GWETH( 38,  8) =  0.132981E+01
  PKER_GWETH( 38,  9) =  0.113279E+01
  PKER_GWETH( 38, 10) =  0.964190E+00
  PKER_GWETH( 38, 11) =  0.819914E+00
  PKER_GWETH( 38, 12) =  0.696450E+00
  PKER_GWETH( 38, 13) =  0.590792E+00
  PKER_GWETH( 38, 14) =  0.500370E+00
  PKER_GWETH( 38, 15) =  0.422983E+00
  PKER_GWETH( 38, 16) =  0.356747E+00
  PKER_GWETH( 38, 17) =  0.300052E+00
  PKER_GWETH( 38, 18) =  0.251519E+00
  PKER_GWETH( 38, 19) =  0.209967E+00
  PKER_GWETH( 38, 20) =  0.174385E+00
  PKER_GWETH( 38, 21) =  0.143910E+00
  PKER_GWETH( 38, 22) =  0.117802E+00
  PKER_GWETH( 38, 23) =  0.954303E-01
  PKER_GWETH( 38, 24) =  0.762638E-01
  PKER_GWETH( 38, 25) =  0.598658E-01
  PKER_GWETH( 38, 26) =  0.459071E-01
  PKER_GWETH( 38, 27) =  0.341928E-01
  PKER_GWETH( 38, 28) =  0.246931E-01
  PKER_GWETH( 38, 29) =  0.175423E-01
  PKER_GWETH( 38, 30) =  0.129417E-01
  PKER_GWETH( 38, 31) =  0.109632E-01
  PKER_GWETH( 38, 32) =  0.113331E-01
  PKER_GWETH( 38, 33) =  0.134114E-01
  PKER_GWETH( 38, 34) =  0.163971E-01
  PKER_GWETH( 38, 35) =  0.196092E-01
  PKER_GWETH( 38, 36) =  0.226384E-01
  PKER_GWETH( 38, 37) =  0.253171E-01
  PKER_GWETH( 38, 38) =  0.276166E-01
  PKER_GWETH( 38, 39) =  0.295649E-01
  PKER_GWETH( 38, 40) =  0.312055E-01
  PKER_GWETH( 39,  1) =  0.403386E+01
  PKER_GWETH( 39,  2) =  0.344733E+01
  PKER_GWETH( 39,  3) =  0.294544E+01
  PKER_GWETH( 39,  4) =  0.251599E+01
  PKER_GWETH( 39,  5) =  0.214851E+01
  PKER_GWETH( 39,  6) =  0.183407E+01
  PKER_GWETH( 39,  7) =  0.156500E+01
  PKER_GWETH( 39,  8) =  0.133476E+01
  PKER_GWETH( 39,  9) =  0.113775E+01
  PKER_GWETH( 39, 10) =  0.969156E+00
  PKER_GWETH( 39, 11) =  0.824891E+00
  PKER_GWETH( 39, 12) =  0.701438E+00
  PKER_GWETH( 39, 13) =  0.595793E+00
  PKER_GWETH( 39, 14) =  0.505385E+00
  PKER_GWETH( 39, 15) =  0.428013E+00
  PKER_GWETH( 39, 16) =  0.361794E+00
  PKER_GWETH( 39, 17) =  0.305119E+00
  PKER_GWETH( 39, 18) =  0.256606E+00
  PKER_GWETH( 39, 19) =  0.215077E+00
  PKER_GWETH( 39, 20) =  0.179522E+00
  PKER_GWETH( 39, 21) =  0.149076E+00
  PKER_GWETH( 39, 22) =  0.122999E+00
  PKER_GWETH( 39, 23) =  0.100659E+00
  PKER_GWETH( 39, 24) =  0.815164E-01
  PKER_GWETH( 39, 25) =  0.651166E-01
  PKER_GWETH( 39, 26) =  0.510868E-01
  PKER_GWETH( 39, 27) =  0.391471E-01
  PKER_GWETH( 39, 28) =  0.291332E-01
  PKER_GWETH( 39, 29) =  0.210237E-01
  PKER_GWETH( 39, 30) =  0.149369E-01
  PKER_GWETH( 39, 31) =  0.110445E-01
  PKER_GWETH( 39, 32) =  0.940454E-02
  PKER_GWETH( 39, 33) =  0.977022E-02
  PKER_GWETH( 39, 34) =  0.115877E-01
  PKER_GWETH( 39, 35) =  0.141642E-01
  PKER_GWETH( 39, 36) =  0.169244E-01
  PKER_GWETH( 39, 37) =  0.195216E-01
  PKER_GWETH( 39, 38) =  0.218162E-01
  PKER_GWETH( 39, 39) =  0.237854E-01
  PKER_GWETH( 39, 40) =  0.254537E-01
  PKER_GWETH( 40,  1) =  0.403807E+01
  PKER_GWETH( 40,  2) =  0.345154E+01
  PKER_GWETH( 40,  3) =  0.294966E+01
  PKER_GWETH( 40,  4) =  0.252021E+01
  PKER_GWETH( 40,  5) =  0.215274E+01
  PKER_GWETH( 40,  6) =  0.183830E+01
  PKER_GWETH( 40,  7) =  0.156924E+01
  PKER_GWETH( 40,  8) =  0.133901E+01
  PKER_GWETH( 40,  9) =  0.114200E+01
  PKER_GWETH( 40, 10) =  0.973417E+00
  PKER_GWETH( 40, 11) =  0.829160E+00
  PKER_GWETH( 40, 12) =  0.705716E+00
  PKER_GWETH( 40, 13) =  0.600081E+00
  PKER_GWETH( 40, 14) =  0.509684E+00
  PKER_GWETH( 40, 15) =  0.432323E+00
  PKER_GWETH( 40, 16) =  0.366118E+00
  PKER_GWETH( 40, 17) =  0.309457E+00
  PKER_GWETH( 40, 18) =  0.260961E+00
  PKER_GWETH( 40, 19) =  0.219450E+00
  PKER_GWETH( 40, 20) =  0.183915E+00
  PKER_GWETH( 40, 21) =  0.153491E+00
  PKER_GWETH( 40, 22) =  0.127439E+00
  PKER_GWETH( 40, 23) =  0.105126E+00
  PKER_GWETH( 40, 24) =  0.860101E-01
  PKER_GWETH( 40, 25) =  0.696304E-01
  PKER_GWETH( 40, 26) =  0.555979E-01
  PKER_GWETH( 40, 27) =  0.435944E-01
  PKER_GWETH( 40, 28) =  0.333818E-01
  PKER_GWETH( 40, 29) =  0.248216E-01
  PKER_GWETH( 40, 30) =  0.178993E-01
  PKER_GWETH( 40, 31) =  0.127187E-01
  PKER_GWETH( 40, 32) =  0.942720E-02
  PKER_GWETH( 40, 33) =  0.806858E-02
  PKER_GWETH( 40, 34) =  0.842367E-02
  PKER_GWETH( 40, 35) =  0.100117E-01
  PKER_GWETH( 40, 36) =  0.122351E-01
  PKER_GWETH( 40, 37) =  0.146068E-01
  PKER_GWETH( 40, 38) =  0.168337E-01
  PKER_GWETH( 40, 39) =  0.187992E-01
  PKER_GWETH( 40, 40) =  0.204855E-01
END IF
!
IF (LHOOK) CALL DR_HOOK('READ_XKER_GWETH',1,ZHOOK_HANDLE)
END SUBROUTINE READ_XKER_GWETH
