!     ######spl
      SUBROUTINE READ_XKER_SDRYG (KDRYLBDAG,KDRYLBDAS,KND,                   &
                    PALPHAG,PNUG,PALPHAS,PNUS,PEGS,PBS,PCG,PDG,PCS,PDS,      &
                    PDRYLBDAG_MAX,PDRYLBDAS_MAX,PDRYLBDAG_MIN,PDRYLBDAS_MIN, &
                    PFDINFTY,PKER_SDRYG                                      )
!DEC$ OPTIMIZE:0
      USE PARKIND1, ONLY : JPRB
      USE YOMHOOK , ONLY : LHOOK, DR_HOOK
!     ########################################################################
!
!!****  * * - initialize the kernels for the snow-graupel dry growth process
!!
!!    PURPOSE
!!    -------
!!      The purpose of this routine is to initialize the kernels PKER_SDRYG
!!    prepared from a previous run of the routine INI_RAIN_ICE. The reading
!!    of the kernels is optional after checking for the dimensions of the
!!    arrays.
!!
!!**  METHOD
!!    ------
!!      
!!
!!    EXTERNAL
!!    --------
!!      None
!!     
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!      None
!!
!!    REFERENCE
!!    ---------
!!      Book2 of documentation ( routine READ_XKER_SDRYG )
!!
!!    AUTHOR
!!    ------
!!      J.-P. Pinty      * Laboratoire d'Aerologie*
!!
!!    MODIFICATIONS
!!    -------------
!!      Original    09/04/96
!!      14-Feb-2014 R. El Khatib optimise for compile time on Intel
!!
!-------------------------------------------------------------------------------
!
!*       0.    DECLARATIONS
!              ------------
!
!*       0.2   Declarations of local variables :
!
!  
INTEGER, INTENT(OUT) :: KND,KDRYLBDAG,KDRYLBDAS
REAL,    INTENT(OUT) :: PALPHAG
REAL,    INTENT(OUT) :: PNUG
REAL,    INTENT(OUT) :: PALPHAS
REAL,    INTENT(OUT) :: PNUS
REAL,    INTENT(OUT) :: PEGS
REAL,    INTENT(OUT) :: PBS
REAL,    INTENT(OUT) :: PCG
REAL,    INTENT(OUT) :: PDG
REAL,    INTENT(OUT) :: PCS
REAL,    INTENT(OUT) :: PDS
REAL,    INTENT(OUT) :: PDRYLBDAG_MAX
REAL,    INTENT(OUT) :: PDRYLBDAS_MAX
REAL,    INTENT(OUT) :: PDRYLBDAG_MIN
REAL,    INTENT(OUT) :: PDRYLBDAS_MIN
REAL,    INTENT(OUT) :: PFDINFTY
REAL, DIMENSION(:,:), INTENT(OUT), OPTIONAL :: PKER_SDRYG 
!
! ###################################################################
! #INSERT HERE THE OUTPUT OF INI_RAIN_ICE IF THE KERNELS ARE UPDATED#
! ###################################################################
!
REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('READ_XKER_SDRYG',0,ZHOOK_HANDLE)
KND= 50
KDRYLBDAG= 40
KDRYLBDAS= 80
PALPHAG= 0.100000E+01
PNUG= 0.100000E+01
PALPHAS= 0.100000E+01
PNUS= 0.100000E+01
PEGS= 0.100000E+01
PBS= 0.190000E+01
PCG= 0.124000E+03
PDG= 0.660000E+00
PCS= 0.510000E+01
PDS= 0.270000E+00
PDRYLBDAG_MAX= 0.100000E+08
PDRYLBDAS_MAX= 0.250000E+10
PDRYLBDAG_MIN= 0.100000E+04
PDRYLBDAS_MIN= 0.250000E+02
PFDINFTY= 0.200000E+02
!
IF( PRESENT(PKER_SDRYG) ) THEN
  PKER_SDRYG(  1,  1) =  0.185306E+01
  PKER_SDRYG(  1,  2) =  0.166801E+01
  PKER_SDRYG(  1,  3) =  0.149854E+01
  PKER_SDRYG(  1,  4) =  0.134462E+01
  PKER_SDRYG(  1,  5) =  0.120619E+01
  PKER_SDRYG(  1,  6) =  0.108309E+01
  PKER_SDRYG(  1,  7) =  0.975739E+00
  PKER_SDRYG(  1,  8) =  0.883962E+00
  PKER_SDRYG(  1,  9) =  0.807898E+00
  PKER_SDRYG(  1, 10) =  0.748063E+00
  PKER_SDRYG(  1, 11) =  0.704887E+00
  PKER_SDRYG(  1, 12) =  0.678484E+00
  PKER_SDRYG(  1, 13) =  0.670243E+00
  PKER_SDRYG(  1, 14) =  0.680669E+00
  PKER_SDRYG(  1, 15) =  0.710449E+00
  PKER_SDRYG(  1, 16) =  0.760420E+00
  PKER_SDRYG(  1, 17) =  0.829980E+00
  PKER_SDRYG(  1, 18) =  0.918211E+00
  PKER_SDRYG(  1, 19) =  0.102260E+01
  PKER_SDRYG(  1, 20) =  0.113834E+01
  PKER_SDRYG(  1, 21) =  0.125954E+01
  PKER_SDRYG(  1, 22) =  0.138067E+01
  PKER_SDRYG(  1, 23) =  0.149733E+01
  PKER_SDRYG(  1, 24) =  0.160649E+01
  PKER_SDRYG(  1, 25) =  0.170617E+01
  PKER_SDRYG(  1, 26) =  0.179534E+01
  PKER_SDRYG(  1, 27) =  0.187393E+01
  PKER_SDRYG(  1, 28) =  0.194253E+01
  PKER_SDRYG(  1, 29) =  0.200219E+01
  PKER_SDRYG(  1, 30) =  0.205413E+01
  PKER_SDRYG(  1, 31) =  0.209956E+01
  PKER_SDRYG(  1, 32) =  0.213951E+01
  PKER_SDRYG(  1, 33) =  0.217487E+01
  PKER_SDRYG(  1, 34) =  0.220635E+01
  PKER_SDRYG(  1, 35) =  0.223455E+01
  PKER_SDRYG(  1, 36) =  0.225995E+01
  PKER_SDRYG(  1, 37) =  0.228296E+01
  PKER_SDRYG(  1, 38) =  0.230390E+01
  PKER_SDRYG(  1, 39) =  0.232304E+01
  PKER_SDRYG(  1, 40) =  0.234059E+01
  PKER_SDRYG(  1, 41) =  0.235674E+01
  PKER_SDRYG(  1, 42) =  0.237165E+01
  PKER_SDRYG(  1, 43) =  0.238545E+01
  PKER_SDRYG(  1, 44) =  0.239825E+01
  PKER_SDRYG(  1, 45) =  0.241013E+01
  PKER_SDRYG(  1, 46) =  0.242119E+01
  PKER_SDRYG(  1, 47) =  0.243150E+01
  PKER_SDRYG(  1, 48) =  0.244112E+01
  PKER_SDRYG(  1, 49) =  0.245010E+01
  PKER_SDRYG(  1, 50) =  0.245849E+01
  PKER_SDRYG(  1, 51) =  0.246634E+01
  PKER_SDRYG(  1, 52) =  0.247369E+01
  PKER_SDRYG(  1, 53) =  0.248057E+01
  PKER_SDRYG(  1, 54) =  0.248702E+01
  PKER_SDRYG(  1, 55) =  0.249305E+01
  PKER_SDRYG(  1, 56) =  0.249872E+01
  PKER_SDRYG(  1, 57) =  0.250402E+01
  PKER_SDRYG(  1, 58) =  0.250900E+01
  PKER_SDRYG(  1, 59) =  0.251367E+01
  PKER_SDRYG(  1, 60) =  0.251805E+01
  PKER_SDRYG(  1, 61) =  0.252217E+01
  PKER_SDRYG(  1, 62) =  0.252602E+01
  PKER_SDRYG(  1, 63) =  0.252964E+01
  PKER_SDRYG(  1, 64) =  0.253304E+01
  PKER_SDRYG(  1, 65) =  0.253623E+01
  PKER_SDRYG(  1, 66) =  0.253923E+01
  PKER_SDRYG(  1, 67) =  0.254204E+01
  PKER_SDRYG(  1, 68) =  0.254468E+01
  PKER_SDRYG(  1, 69) =  0.254715E+01
  PKER_SDRYG(  1, 70) =  0.254948E+01
  PKER_SDRYG(  1, 71) =  0.255166E+01
  PKER_SDRYG(  1, 72) =  0.255371E+01
  PKER_SDRYG(  1, 73) =  0.255564E+01
  PKER_SDRYG(  1, 74) =  0.255745E+01
  PKER_SDRYG(  1, 75) =  0.255914E+01
  PKER_SDRYG(  1, 76) =  0.256074E+01
  PKER_SDRYG(  1, 77) =  0.256223E+01
  PKER_SDRYG(  1, 78) =  0.256364E+01
  PKER_SDRYG(  1, 79) =  0.256496E+01
  PKER_SDRYG(  1, 80) =  0.256619E+01
  PKER_SDRYG(  2,  1) =  0.203397E+01
  PKER_SDRYG(  2,  2) =  0.184139E+01
  PKER_SDRYG(  2,  3) =  0.166253E+01
  PKER_SDRYG(  2,  4) =  0.149734E+01
  PKER_SDRYG(  2,  5) =  0.134545E+01
  PKER_SDRYG(  2,  6) =  0.120699E+01
  PKER_SDRYG(  2,  7) =  0.108196E+01
  PKER_SDRYG(  2,  8) =  0.970394E+00
  PKER_SDRYG(  2,  9) =  0.872467E+00
  PKER_SDRYG(  2, 10) =  0.788381E+00
  PKER_SDRYG(  2, 11) =  0.718584E+00
  PKER_SDRYG(  2, 12) =  0.663446E+00
  PKER_SDRYG(  2, 13) =  0.623736E+00
  PKER_SDRYG(  2, 14) =  0.600108E+00
  PKER_SDRYG(  2, 15) =  0.593535E+00
  PKER_SDRYG(  2, 16) =  0.605004E+00
  PKER_SDRYG(  2, 17) =  0.635005E+00
  PKER_SDRYG(  2, 18) =  0.683561E+00
  PKER_SDRYG(  2, 19) =  0.749784E+00
  PKER_SDRYG(  2, 20) =  0.831464E+00
  PKER_SDRYG(  2, 21) =  0.925362E+00
  PKER_SDRYG(  2, 22) =  0.102652E+01
  PKER_SDRYG(  2, 23) =  0.112960E+01
  PKER_SDRYG(  2, 24) =  0.122990E+01
  PKER_SDRYG(  2, 25) =  0.132422E+01
  PKER_SDRYG(  2, 26) =  0.141069E+01
  PKER_SDRYG(  2, 27) =  0.148870E+01
  PKER_SDRYG(  2, 28) =  0.155812E+01
  PKER_SDRYG(  2, 29) =  0.161933E+01
  PKER_SDRYG(  2, 30) =  0.167302E+01
  PKER_SDRYG(  2, 31) =  0.172003E+01
  PKER_SDRYG(  2, 32) =  0.176131E+01
  PKER_SDRYG(  2, 33) =  0.179774E+01
  PKER_SDRYG(  2, 34) =  0.183007E+01
  PKER_SDRYG(  2, 35) =  0.185895E+01
  PKER_SDRYG(  2, 36) =  0.188489E+01
  PKER_SDRYG(  2, 37) =  0.190831E+01
  PKER_SDRYG(  2, 38) =  0.192958E+01
  PKER_SDRYG(  2, 39) =  0.194897E+01
  PKER_SDRYG(  2, 40) =  0.196672E+01
  PKER_SDRYG(  2, 41) =  0.198304E+01
  PKER_SDRYG(  2, 42) =  0.199807E+01
  PKER_SDRYG(  2, 43) =  0.201197E+01
  PKER_SDRYG(  2, 44) =  0.202484E+01
  PKER_SDRYG(  2, 45) =  0.203679E+01
  PKER_SDRYG(  2, 46) =  0.204790E+01
  PKER_SDRYG(  2, 47) =  0.205824E+01
  PKER_SDRYG(  2, 48) =  0.206789E+01
  PKER_SDRYG(  2, 49) =  0.207689E+01
  PKER_SDRYG(  2, 50) =  0.208530E+01
  PKER_SDRYG(  2, 51) =  0.209317E+01
  PKER_SDRYG(  2, 52) =  0.210053E+01
  PKER_SDRYG(  2, 53) =  0.210741E+01
  PKER_SDRYG(  2, 54) =  0.211387E+01
  PKER_SDRYG(  2, 55) =  0.211991E+01
  PKER_SDRYG(  2, 56) =  0.212558E+01
  PKER_SDRYG(  2, 57) =  0.213089E+01
  PKER_SDRYG(  2, 58) =  0.213587E+01
  PKER_SDRYG(  2, 59) =  0.214054E+01
  PKER_SDRYG(  2, 60) =  0.214493E+01
  PKER_SDRYG(  2, 61) =  0.214904E+01
  PKER_SDRYG(  2, 62) =  0.215290E+01
  PKER_SDRYG(  2, 63) =  0.215652E+01
  PKER_SDRYG(  2, 64) =  0.215992E+01
  PKER_SDRYG(  2, 65) =  0.216311E+01
  PKER_SDRYG(  2, 66) =  0.216610E+01
  PKER_SDRYG(  2, 67) =  0.216891E+01
  PKER_SDRYG(  2, 68) =  0.217155E+01
  PKER_SDRYG(  2, 69) =  0.217403E+01
  PKER_SDRYG(  2, 70) =  0.217636E+01
  PKER_SDRYG(  2, 71) =  0.217854E+01
  PKER_SDRYG(  2, 72) =  0.218059E+01
  PKER_SDRYG(  2, 73) =  0.218252E+01
  PKER_SDRYG(  2, 74) =  0.218432E+01
  PKER_SDRYG(  2, 75) =  0.218602E+01
  PKER_SDRYG(  2, 76) =  0.218761E+01
  PKER_SDRYG(  2, 77) =  0.218911E+01
  PKER_SDRYG(  2, 78) =  0.219051E+01
  PKER_SDRYG(  2, 79) =  0.219183E+01
  PKER_SDRYG(  2, 80) =  0.219307E+01
  PKER_SDRYG(  3,  1) =  0.219960E+01
  PKER_SDRYG(  3,  2) =  0.200376E+01
  PKER_SDRYG(  3,  3) =  0.182057E+01
  PKER_SDRYG(  3,  4) =  0.164957E+01
  PKER_SDRYG(  3,  5) =  0.149045E+01
  PKER_SDRYG(  3,  6) =  0.134297E+01
  PKER_SDRYG(  3,  7) =  0.120706E+01
  PKER_SDRYG(  3,  8) =  0.108261E+01
  PKER_SDRYG(  3,  9) =  0.969749E+00
  PKER_SDRYG(  3, 10) =  0.868633E+00
  PKER_SDRYG(  3, 11) =  0.779309E+00
  PKER_SDRYG(  3, 12) =  0.702567E+00
  PKER_SDRYG(  3, 13) =  0.638634E+00
  PKER_SDRYG(  3, 14) =  0.588095E+00
  PKER_SDRYG(  3, 15) =  0.552053E+00
  PKER_SDRYG(  3, 16) =  0.531341E+00
  PKER_SDRYG(  3, 17) =  0.526715E+00
  PKER_SDRYG(  3, 18) =  0.539327E+00
  PKER_SDRYG(  3, 19) =  0.569229E+00
  PKER_SDRYG(  3, 20) =  0.615927E+00
  PKER_SDRYG(  3, 21) =  0.677810E+00
  PKER_SDRYG(  3, 22) =  0.751743E+00
  PKER_SDRYG(  3, 23) =  0.834002E+00
  PKER_SDRYG(  3, 24) =  0.920162E+00
  PKER_SDRYG(  3, 25) =  0.100577E+01
  PKER_SDRYG(  3, 26) =  0.108725E+01
  PKER_SDRYG(  3, 27) =  0.116248E+01
  PKER_SDRYG(  3, 28) =  0.123064E+01
  PKER_SDRYG(  3, 29) =  0.129168E+01
  PKER_SDRYG(  3, 30) =  0.134598E+01
  PKER_SDRYG(  3, 31) =  0.139406E+01
  PKER_SDRYG(  3, 32) =  0.143653E+01
  PKER_SDRYG(  3, 33) =  0.147406E+01
  PKER_SDRYG(  3, 34) =  0.150732E+01
  PKER_SDRYG(  3, 35) =  0.153694E+01
  PKER_SDRYG(  3, 36) =  0.156346E+01
  PKER_SDRYG(  3, 37) =  0.158735E+01
  PKER_SDRYG(  3, 38) =  0.160898E+01
  PKER_SDRYG(  3, 39) =  0.162866E+01
  PKER_SDRYG(  3, 40) =  0.164664E+01
  PKER_SDRYG(  3, 41) =  0.166312E+01
  PKER_SDRYG(  3, 42) =  0.167830E+01
  PKER_SDRYG(  3, 43) =  0.169230E+01
  PKER_SDRYG(  3, 44) =  0.170526E+01
  PKER_SDRYG(  3, 45) =  0.171727E+01
  PKER_SDRYG(  3, 46) =  0.172843E+01
  PKER_SDRYG(  3, 47) =  0.173882E+01
  PKER_SDRYG(  3, 48) =  0.174850E+01
  PKER_SDRYG(  3, 49) =  0.175753E+01
  PKER_SDRYG(  3, 50) =  0.176596E+01
  PKER_SDRYG(  3, 51) =  0.177384E+01
  PKER_SDRYG(  3, 52) =  0.178121E+01
  PKER_SDRYG(  3, 53) =  0.178811E+01
  PKER_SDRYG(  3, 54) =  0.179457E+01
  PKER_SDRYG(  3, 55) =  0.180062E+01
  PKER_SDRYG(  3, 56) =  0.180629E+01
  PKER_SDRYG(  3, 57) =  0.181160E+01
  PKER_SDRYG(  3, 58) =  0.181659E+01
  PKER_SDRYG(  3, 59) =  0.182126E+01
  PKER_SDRYG(  3, 60) =  0.182565E+01
  PKER_SDRYG(  3, 61) =  0.182976E+01
  PKER_SDRYG(  3, 62) =  0.183362E+01
  PKER_SDRYG(  3, 63) =  0.183725E+01
  PKER_SDRYG(  3, 64) =  0.184065E+01
  PKER_SDRYG(  3, 65) =  0.184384E+01
  PKER_SDRYG(  3, 66) =  0.184683E+01
  PKER_SDRYG(  3, 67) =  0.184964E+01
  PKER_SDRYG(  3, 68) =  0.185228E+01
  PKER_SDRYG(  3, 69) =  0.185476E+01
  PKER_SDRYG(  3, 70) =  0.185709E+01
  PKER_SDRYG(  3, 71) =  0.185927E+01
  PKER_SDRYG(  3, 72) =  0.186132E+01
  PKER_SDRYG(  3, 73) =  0.186325E+01
  PKER_SDRYG(  3, 74) =  0.186505E+01
  PKER_SDRYG(  3, 75) =  0.186675E+01
  PKER_SDRYG(  3, 76) =  0.186834E+01
  PKER_SDRYG(  3, 77) =  0.186984E+01
  PKER_SDRYG(  3, 78) =  0.187124E+01
  PKER_SDRYG(  3, 79) =  0.187256E+01
  PKER_SDRYG(  3, 80) =  0.187380E+01
  PKER_SDRYG(  4,  1) =  0.234554E+01
  PKER_SDRYG(  4,  2) =  0.214868E+01
  PKER_SDRYG(  4,  3) =  0.196393E+01
  PKER_SDRYG(  4,  4) =  0.179065E+01
  PKER_SDRYG(  4,  5) =  0.162831E+01
  PKER_SDRYG(  4,  6) =  0.147653E+01
  PKER_SDRYG(  4,  7) =  0.133498E+01
  PKER_SDRYG(  4,  8) =  0.120339E+01
  PKER_SDRYG(  4,  9) =  0.108174E+01
  PKER_SDRYG(  4, 10) =  0.969881E+00
  PKER_SDRYG(  4, 11) =  0.868067E+00
  PKER_SDRYG(  4, 12) =  0.776438E+00
  PKER_SDRYG(  4, 13) =  0.695367E+00
  PKER_SDRYG(  4, 14) =  0.625282E+00
  PKER_SDRYG(  4, 15) =  0.566838E+00
  PKER_SDRYG(  4, 16) =  0.521003E+00
  PKER_SDRYG(  4, 17) =  0.488550E+00
  PKER_SDRYG(  4, 18) =  0.470631E+00
  PKER_SDRYG(  4, 19) =  0.468163E+00
  PKER_SDRYG(  4, 20) =  0.481689E+00
  PKER_SDRYG(  4, 21) =  0.511098E+00
  PKER_SDRYG(  4, 22) =  0.555153E+00
  PKER_SDRYG(  4, 23) =  0.611456E+00
  PKER_SDRYG(  4, 24) =  0.676720E+00
  PKER_SDRYG(  4, 25) =  0.747017E+00
  PKER_SDRYG(  4, 26) =  0.818743E+00
  PKER_SDRYG(  4, 27) =  0.888470E+00
  PKER_SDRYG(  4, 28) =  0.953813E+00
  PKER_SDRYG(  4, 29) =  0.101352E+01
  PKER_SDRYG(  4, 30) =  0.106728E+01
  PKER_SDRYG(  4, 31) =  0.111531E+01
  PKER_SDRYG(  4, 32) =  0.115816E+01
  PKER_SDRYG(  4, 33) =  0.119634E+01
  PKER_SDRYG(  4, 34) =  0.123037E+01
  PKER_SDRYG(  4, 35) =  0.126073E+01
  PKER_SDRYG(  4, 36) =  0.128788E+01
  PKER_SDRYG(  4, 37) =  0.131229E+01
  PKER_SDRYG(  4, 38) =  0.133432E+01
  PKER_SDRYG(  4, 39) =  0.135431E+01
  PKER_SDRYG(  4, 40) =  0.137254E+01
  PKER_SDRYG(  4, 41) =  0.138922E+01
  PKER_SDRYG(  4, 42) =  0.140455E+01
  PKER_SDRYG(  4, 43) =  0.141867E+01
  PKER_SDRYG(  4, 44) =  0.143172E+01
  PKER_SDRYG(  4, 45) =  0.144381E+01
  PKER_SDRYG(  4, 46) =  0.145503E+01
  PKER_SDRYG(  4, 47) =  0.146546E+01
  PKER_SDRYG(  4, 48) =  0.147517E+01
  PKER_SDRYG(  4, 49) =  0.148423E+01
  PKER_SDRYG(  4, 50) =  0.149268E+01
  PKER_SDRYG(  4, 51) =  0.150058E+01
  PKER_SDRYG(  4, 52) =  0.150797E+01
  PKER_SDRYG(  4, 53) =  0.151488E+01
  PKER_SDRYG(  4, 54) =  0.152134E+01
  PKER_SDRYG(  4, 55) =  0.152740E+01
  PKER_SDRYG(  4, 56) =  0.153308E+01
  PKER_SDRYG(  4, 57) =  0.153840E+01
  PKER_SDRYG(  4, 58) =  0.154339E+01
  PKER_SDRYG(  4, 59) =  0.154806E+01
  PKER_SDRYG(  4, 60) =  0.155245E+01
  PKER_SDRYG(  4, 61) =  0.155657E+01
  PKER_SDRYG(  4, 62) =  0.156043E+01
  PKER_SDRYG(  4, 63) =  0.156405E+01
  PKER_SDRYG(  4, 64) =  0.156745E+01
  PKER_SDRYG(  4, 65) =  0.157064E+01
  PKER_SDRYG(  4, 66) =  0.157364E+01
  PKER_SDRYG(  4, 67) =  0.157645E+01
  PKER_SDRYG(  4, 68) =  0.157909E+01
  PKER_SDRYG(  4, 69) =  0.158157E+01
  PKER_SDRYG(  4, 70) =  0.158389E+01
  PKER_SDRYG(  4, 71) =  0.158608E+01
  PKER_SDRYG(  4, 72) =  0.158813E+01
  PKER_SDRYG(  4, 73) =  0.159005E+01
  PKER_SDRYG(  4, 74) =  0.159186E+01
  PKER_SDRYG(  4, 75) =  0.159356E+01
  PKER_SDRYG(  4, 76) =  0.159515E+01
  PKER_SDRYG(  4, 77) =  0.159665E+01
  PKER_SDRYG(  4, 78) =  0.159805E+01
  PKER_SDRYG(  4, 79) =  0.159937E+01
  PKER_SDRYG(  4, 80) =  0.160061E+01
  PKER_SDRYG(  5,  1) =  0.247163E+01
  PKER_SDRYG(  5,  2) =  0.227466E+01
  PKER_SDRYG(  5,  3) =  0.208958E+01
  PKER_SDRYG(  5,  4) =  0.191571E+01
  PKER_SDRYG(  5,  5) =  0.175239E+01
  PKER_SDRYG(  5,  6) =  0.159906E+01
  PKER_SDRYG(  5,  7) =  0.145522E+01
  PKER_SDRYG(  5,  8) =  0.132049E+01
  PKER_SDRYG(  5,  9) =  0.119453E+01
  PKER_SDRYG(  5, 10) =  0.107714E+01
  PKER_SDRYG(  5, 11) =  0.968196E+00
  PKER_SDRYG(  5, 12) =  0.867771E+00
  PKER_SDRYG(  5, 13) =  0.775878E+00
  PKER_SDRYG(  5, 14) =  0.692883E+00
  PKER_SDRYG(  5, 15) =  0.619198E+00
  PKER_SDRYG(  5, 16) =  0.555232E+00
  PKER_SDRYG(  5, 17) =  0.502129E+00
  PKER_SDRYG(  5, 18) =  0.460636E+00
  PKER_SDRYG(  5, 19) =  0.431732E+00
  PKER_SDRYG(  5, 20) =  0.416649E+00
  PKER_SDRYG(  5, 21) =  0.416143E+00
  PKER_SDRYG(  5, 22) =  0.430263E+00
  PKER_SDRYG(  5, 23) =  0.458530E+00
  PKER_SDRYG(  5, 24) =  0.499025E+00
  PKER_SDRYG(  5, 25) =  0.549068E+00
  PKER_SDRYG(  5, 26) =  0.605236E+00
  PKER_SDRYG(  5, 27) =  0.664063E+00
  PKER_SDRYG(  5, 28) =  0.722681E+00
  PKER_SDRYG(  5, 29) =  0.778798E+00
  PKER_SDRYG(  5, 30) =  0.830925E+00
  PKER_SDRYG(  5, 31) =  0.878310E+00
  PKER_SDRYG(  5, 32) =  0.920907E+00
  PKER_SDRYG(  5, 33) =  0.959072E+00
  PKER_SDRYG(  5, 34) =  0.993274E+00
  PKER_SDRYG(  5, 35) =  0.102398E+01
  PKER_SDRYG(  5, 36) =  0.105160E+01
  PKER_SDRYG(  5, 37) =  0.107647E+01
  PKER_SDRYG(  5, 38) =  0.109893E+01
  PKER_SDRYG(  5, 39) =  0.111927E+01
  PKER_SDRYG(  5, 40) =  0.113777E+01
  PKER_SDRYG(  5, 41) =  0.115467E+01
  PKER_SDRYG(  5, 42) =  0.117017E+01
  PKER_SDRYG(  5, 43) =  0.118442E+01
  PKER_SDRYG(  5, 44) =  0.119758E+01
  PKER_SDRYG(  5, 45) =  0.120975E+01
  PKER_SDRYG(  5, 46) =  0.122103E+01
  PKER_SDRYG(  5, 47) =  0.123151E+01
  PKER_SDRYG(  5, 48) =  0.124127E+01
  PKER_SDRYG(  5, 49) =  0.125035E+01
  PKER_SDRYG(  5, 50) =  0.125883E+01
  PKER_SDRYG(  5, 51) =  0.126675E+01
  PKER_SDRYG(  5, 52) =  0.127415E+01
  PKER_SDRYG(  5, 53) =  0.128107E+01
  PKER_SDRYG(  5, 54) =  0.128755E+01
  PKER_SDRYG(  5, 55) =  0.129361E+01
  PKER_SDRYG(  5, 56) =  0.129929E+01
  PKER_SDRYG(  5, 57) =  0.130462E+01
  PKER_SDRYG(  5, 58) =  0.130961E+01
  PKER_SDRYG(  5, 59) =  0.131429E+01
  PKER_SDRYG(  5, 60) =  0.131868E+01
  PKER_SDRYG(  5, 61) =  0.132280E+01
  PKER_SDRYG(  5, 62) =  0.132666E+01
  PKER_SDRYG(  5, 63) =  0.133028E+01
  PKER_SDRYG(  5, 64) =  0.133369E+01
  PKER_SDRYG(  5, 65) =  0.133688E+01
  PKER_SDRYG(  5, 66) =  0.133987E+01
  PKER_SDRYG(  5, 67) =  0.134269E+01
  PKER_SDRYG(  5, 68) =  0.134533E+01
  PKER_SDRYG(  5, 69) =  0.134781E+01
  PKER_SDRYG(  5, 70) =  0.135013E+01
  PKER_SDRYG(  5, 71) =  0.135232E+01
  PKER_SDRYG(  5, 72) =  0.135437E+01
  PKER_SDRYG(  5, 73) =  0.135629E+01
  PKER_SDRYG(  5, 74) =  0.135810E+01
  PKER_SDRYG(  5, 75) =  0.135980E+01
  PKER_SDRYG(  5, 76) =  0.136139E+01
  PKER_SDRYG(  5, 77) =  0.136289E+01
  PKER_SDRYG(  5, 78) =  0.136429E+01
  PKER_SDRYG(  5, 79) =  0.136561E+01
  PKER_SDRYG(  5, 80) =  0.136685E+01
  PKER_SDRYG(  6,  1) =  0.257972E+01
  PKER_SDRYG(  6,  2) =  0.238286E+01
  PKER_SDRYG(  6,  3) =  0.219787E+01
  PKER_SDRYG(  6,  4) =  0.202403E+01
  PKER_SDRYG(  6,  5) =  0.186062E+01
  PKER_SDRYG(  6,  6) =  0.170702E+01
  PKER_SDRYG(  6,  7) =  0.156262E+01
  PKER_SDRYG(  6,  8) =  0.142692E+01
  PKER_SDRYG(  6,  9) =  0.129944E+01
  PKER_SDRYG(  6, 10) =  0.117979E+01
  PKER_SDRYG(  6, 11) =  0.106768E+01
  PKER_SDRYG(  6, 12) =  0.962918E+00
  PKER_SDRYG(  6, 13) =  0.865347E+00
  PKER_SDRYG(  6, 14) =  0.775045E+00
  PKER_SDRYG(  6, 15) =  0.692083E+00
  PKER_SDRYG(  6, 16) =  0.616878E+00
  PKER_SDRYG(  6, 17) =  0.549875E+00
  PKER_SDRYG(  6, 18) =  0.491835E+00
  PKER_SDRYG(  6, 19) =  0.443555E+00
  PKER_SDRYG(  6, 20) =  0.406127E+00
  PKER_SDRYG(  6, 21) =  0.380824E+00
  PKER_SDRYG(  6, 22) =  0.368387E+00
  PKER_SDRYG(  6, 23) =  0.369445E+00
  PKER_SDRYG(  6, 24) =  0.383806E+00
  PKER_SDRYG(  6, 25) =  0.410216E+00
  PKER_SDRYG(  6, 26) =  0.446510E+00
  PKER_SDRYG(  6, 27) =  0.489828E+00
  PKER_SDRYG(  6, 28) =  0.537058E+00
  PKER_SDRYG(  6, 29) =  0.585473E+00
  PKER_SDRYG(  6, 30) =  0.632833E+00
  PKER_SDRYG(  6, 31) =  0.677778E+00
  PKER_SDRYG(  6, 32) =  0.719331E+00
  PKER_SDRYG(  6, 33) =  0.757120E+00
  PKER_SDRYG(  6, 34) =  0.791204E+00
  PKER_SDRYG(  6, 35) =  0.821879E+00
  PKER_SDRYG(  6, 36) =  0.849531E+00
  PKER_SDRYG(  6, 37) =  0.874550E+00
  PKER_SDRYG(  6, 38) =  0.897242E+00
  PKER_SDRYG(  6, 39) =  0.917866E+00
  PKER_SDRYG(  6, 40) =  0.936642E+00
  PKER_SDRYG(  6, 41) =  0.953775E+00
  PKER_SDRYG(  6, 42) =  0.969458E+00
  PKER_SDRYG(  6, 43) =  0.983861E+00
  PKER_SDRYG(  6, 44) =  0.997132E+00
  PKER_SDRYG(  6, 45) =  0.100939E+01
  PKER_SDRYG(  6, 46) =  0.102075E+01
  PKER_SDRYG(  6, 47) =  0.103128E+01
  PKER_SDRYG(  6, 48) =  0.104108E+01
  PKER_SDRYG(  6, 49) =  0.105020E+01
  PKER_SDRYG(  6, 50) =  0.105871E+01
  PKER_SDRYG(  6, 51) =  0.106665E+01
  PKER_SDRYG(  6, 52) =  0.107406E+01
  PKER_SDRYG(  6, 53) =  0.108100E+01
  PKER_SDRYG(  6, 54) =  0.108749E+01
  PKER_SDRYG(  6, 55) =  0.109356E+01
  PKER_SDRYG(  6, 56) =  0.109925E+01
  PKER_SDRYG(  6, 57) =  0.110458E+01
  PKER_SDRYG(  6, 58) =  0.110957E+01
  PKER_SDRYG(  6, 59) =  0.111425E+01
  PKER_SDRYG(  6, 60) =  0.111865E+01
  PKER_SDRYG(  6, 61) =  0.112277E+01
  PKER_SDRYG(  6, 62) =  0.112663E+01
  PKER_SDRYG(  6, 63) =  0.113026E+01
  PKER_SDRYG(  6, 64) =  0.113366E+01
  PKER_SDRYG(  6, 65) =  0.113685E+01
  PKER_SDRYG(  6, 66) =  0.113985E+01
  PKER_SDRYG(  6, 67) =  0.114266E+01
  PKER_SDRYG(  6, 68) =  0.114530E+01
  PKER_SDRYG(  6, 69) =  0.114778E+01
  PKER_SDRYG(  6, 70) =  0.115011E+01
  PKER_SDRYG(  6, 71) =  0.115229E+01
  PKER_SDRYG(  6, 72) =  0.115434E+01
  PKER_SDRYG(  6, 73) =  0.115627E+01
  PKER_SDRYG(  6, 74) =  0.115808E+01
  PKER_SDRYG(  6, 75) =  0.115977E+01
  PKER_SDRYG(  6, 76) =  0.116137E+01
  PKER_SDRYG(  6, 77) =  0.116286E+01
  PKER_SDRYG(  6, 78) =  0.116427E+01
  PKER_SDRYG(  6, 79) =  0.116559E+01
  PKER_SDRYG(  6, 80) =  0.116682E+01
  PKER_SDRYG(  7,  1) =  0.267216E+01
  PKER_SDRYG(  7,  2) =  0.247542E+01
  PKER_SDRYG(  7,  3) =  0.229059E+01
  PKER_SDRYG(  7,  4) =  0.211690E+01
  PKER_SDRYG(  7,  5) =  0.195366E+01
  PKER_SDRYG(  7,  6) =  0.180020E+01
  PKER_SDRYG(  7,  7) =  0.165590E+01
  PKER_SDRYG(  7,  8) =  0.152016E+01
  PKER_SDRYG(  7,  9) =  0.139247E+01
  PKER_SDRYG(  7, 10) =  0.127232E+01
  PKER_SDRYG(  7, 11) =  0.115928E+01
  PKER_SDRYG(  7, 12) =  0.105298E+01
  PKER_SDRYG(  7, 13) =  0.953147E+00
  PKER_SDRYG(  7, 14) =  0.859548E+00
  PKER_SDRYG(  7, 15) =  0.772080E+00
  PKER_SDRYG(  7, 16) =  0.690795E+00
  PKER_SDRYG(  7, 17) =  0.615899E+00
  PKER_SDRYG(  7, 18) =  0.547689E+00
  PKER_SDRYG(  7, 19) =  0.486803E+00
  PKER_SDRYG(  7, 20) =  0.434037E+00
  PKER_SDRYG(  7, 21) =  0.390298E+00
  PKER_SDRYG(  7, 22) =  0.356884E+00
  PKER_SDRYG(  7, 23) =  0.334845E+00
  PKER_SDRYG(  7, 24) =  0.324836E+00
  PKER_SDRYG(  7, 25) =  0.327158E+00
  PKER_SDRYG(  7, 26) =  0.341163E+00
  PKER_SDRYG(  7, 27) =  0.365112E+00
  PKER_SDRYG(  7, 28) =  0.396807E+00
  PKER_SDRYG(  7, 29) =  0.433487E+00
  PKER_SDRYG(  7, 30) =  0.472612E+00
  PKER_SDRYG(  7, 31) =  0.511994E+00
  PKER_SDRYG(  7, 32) =  0.550118E+00
  PKER_SDRYG(  7, 33) =  0.586089E+00
  PKER_SDRYG(  7, 34) =  0.619363E+00
  PKER_SDRYG(  7, 35) =  0.649769E+00
  PKER_SDRYG(  7, 36) =  0.677330E+00
  PKER_SDRYG(  7, 37) =  0.702279E+00
  PKER_SDRYG(  7, 38) =  0.724930E+00
  PKER_SDRYG(  7, 39) =  0.745565E+00
  PKER_SDRYG(  7, 40) =  0.764428E+00
  PKER_SDRYG(  7, 41) =  0.781707E+00
  PKER_SDRYG(  7, 42) =  0.797555E+00
  PKER_SDRYG(  7, 43) =  0.812112E+00
  PKER_SDRYG(  7, 44) =  0.825509E+00
  PKER_SDRYG(  7, 45) =  0.837870E+00
  PKER_SDRYG(  7, 46) =  0.849304E+00
  PKER_SDRYG(  7, 47) =  0.859904E+00
  PKER_SDRYG(  7, 48) =  0.869749E+00
  PKER_SDRYG(  7, 49) =  0.878910E+00
  PKER_SDRYG(  7, 50) =  0.887445E+00
  PKER_SDRYG(  7, 51) =  0.895407E+00
  PKER_SDRYG(  7, 52) =  0.902841E+00
  PKER_SDRYG(  7, 53) =  0.909790E+00
  PKER_SDRYG(  7, 54) =  0.916289E+00
  PKER_SDRYG(  7, 55) =  0.922371E+00
  PKER_SDRYG(  7, 56) =  0.928066E+00
  PKER_SDRYG(  7, 57) =  0.933401E+00
  PKER_SDRYG(  7, 58) =  0.938401E+00
  PKER_SDRYG(  7, 59) =  0.943087E+00
  PKER_SDRYG(  7, 60) =  0.947482E+00
  PKER_SDRYG(  7, 61) =  0.951603E+00
  PKER_SDRYG(  7, 62) =  0.955469E+00
  PKER_SDRYG(  7, 63) =  0.959096E+00
  PKER_SDRYG(  7, 64) =  0.962500E+00
  PKER_SDRYG(  7, 65) =  0.965694E+00
  PKER_SDRYG(  7, 66) =  0.968691E+00
  PKER_SDRYG(  7, 67) =  0.971504E+00
  PKER_SDRYG(  7, 68) =  0.974145E+00
  PKER_SDRYG(  7, 69) =  0.976624E+00
  PKER_SDRYG(  7, 70) =  0.978951E+00
  PKER_SDRYG(  7, 71) =  0.981136E+00
  PKER_SDRYG(  7, 72) =  0.983187E+00
  PKER_SDRYG(  7, 73) =  0.985112E+00
  PKER_SDRYG(  7, 74) =  0.986920E+00
  PKER_SDRYG(  7, 75) =  0.988617E+00
  PKER_SDRYG(  7, 76) =  0.990211E+00
  PKER_SDRYG(  7, 77) =  0.991707E+00
  PKER_SDRYG(  7, 78) =  0.993112E+00
  PKER_SDRYG(  7, 79) =  0.994431E+00
  PKER_SDRYG(  7, 80) =  0.995669E+00
  PKER_SDRYG(  8,  1) =  0.275117E+01
  PKER_SDRYG(  8,  2) =  0.255454E+01
  PKER_SDRYG(  8,  3) =  0.236983E+01
  PKER_SDRYG(  8,  4) =  0.219630E+01
  PKER_SDRYG(  8,  5) =  0.203323E+01
  PKER_SDRYG(  8,  6) =  0.187998E+01
  PKER_SDRYG(  8,  7) =  0.173590E+01
  PKER_SDRYG(  8,  8) =  0.160040E+01
  PKER_SDRYG(  8,  9) =  0.147293E+01
  PKER_SDRYG(  8, 10) =  0.135295E+01
  PKER_SDRYG(  8, 11) =  0.123996E+01
  PKER_SDRYG(  8, 12) =  0.113353E+01
  PKER_SDRYG(  8, 13) =  0.103324E+01
  PKER_SDRYG(  8, 14) =  0.938726E+00
  PKER_SDRYG(  8, 15) =  0.849707E+00
  PKER_SDRYG(  8, 16) =  0.765984E+00
  PKER_SDRYG(  8, 17) =  0.687490E+00
  PKER_SDRYG(  8, 18) =  0.614228E+00
  PKER_SDRYG(  8, 19) =  0.546445E+00
  PKER_SDRYG(  8, 20) =  0.484521E+00
  PKER_SDRYG(  8, 21) =  0.429191E+00
  PKER_SDRYG(  8, 22) =  0.381279E+00
  PKER_SDRYG(  8, 23) =  0.341954E+00
  PKER_SDRYG(  8, 24) =  0.312266E+00
  PKER_SDRYG(  8, 25) =  0.293197E+00
  PKER_SDRYG(  8, 26) =  0.285436E+00
  PKER_SDRYG(  8, 27) =  0.288590E+00
  PKER_SDRYG(  8, 28) =  0.301647E+00
  PKER_SDRYG(  8, 29) =  0.322883E+00
  PKER_SDRYG(  8, 30) =  0.349944E+00
  PKER_SDRYG(  8, 31) =  0.380489E+00
  PKER_SDRYG(  8, 32) =  0.412492E+00
  PKER_SDRYG(  8, 33) =  0.444350E+00
  PKER_SDRYG(  8, 34) =  0.475064E+00
  PKER_SDRYG(  8, 35) =  0.503980E+00
  PKER_SDRYG(  8, 36) =  0.530853E+00
  PKER_SDRYG(  8, 37) =  0.555542E+00
  PKER_SDRYG(  8, 38) =  0.578083E+00
  PKER_SDRYG(  8, 39) =  0.598637E+00
  PKER_SDRYG(  8, 40) =  0.617414E+00
  PKER_SDRYG(  8, 41) =  0.634627E+00
  PKER_SDRYG(  8, 42) =  0.650467E+00
  PKER_SDRYG(  8, 43) =  0.665074E+00
  PKER_SDRYG(  8, 44) =  0.678558E+00
  PKER_SDRYG(  8, 45) =  0.691015E+00
  PKER_SDRYG(  8, 46) =  0.702533E+00
  PKER_SDRYG(  8, 47) =  0.713201E+00
  PKER_SDRYG(  8, 48) =  0.723101E+00
  PKER_SDRYG(  8, 49) =  0.732303E+00
  PKER_SDRYG(  8, 50) =  0.740871E+00
  PKER_SDRYG(  8, 51) =  0.748859E+00
  PKER_SDRYG(  8, 52) =  0.756314E+00
  PKER_SDRYG(  8, 53) =  0.763279E+00
  PKER_SDRYG(  8, 54) =  0.769790E+00
  PKER_SDRYG(  8, 55) =  0.775882E+00
  PKER_SDRYG(  8, 56) =  0.781585E+00
  PKER_SDRYG(  8, 57) =  0.786926E+00
  PKER_SDRYG(  8, 58) =  0.791930E+00
  PKER_SDRYG(  8, 59) =  0.796621E+00
  PKER_SDRYG(  8, 60) =  0.801018E+00
  PKER_SDRYG(  8, 61) =  0.805142E+00
  PKER_SDRYG(  8, 62) =  0.809010E+00
  PKER_SDRYG(  8, 63) =  0.812638E+00
  PKER_SDRYG(  8, 64) =  0.816043E+00
  PKER_SDRYG(  8, 65) =  0.819238E+00
  PKER_SDRYG(  8, 66) =  0.822236E+00
  PKER_SDRYG(  8, 67) =  0.825050E+00
  PKER_SDRYG(  8, 68) =  0.827691E+00
  PKER_SDRYG(  8, 69) =  0.830170E+00
  PKER_SDRYG(  8, 70) =  0.832497E+00
  PKER_SDRYG(  8, 71) =  0.834682E+00
  PKER_SDRYG(  8, 72) =  0.836733E+00
  PKER_SDRYG(  8, 73) =  0.838659E+00
  PKER_SDRYG(  8, 74) =  0.840467E+00
  PKER_SDRYG(  8, 75) =  0.842164E+00
  PKER_SDRYG(  8, 76) =  0.843758E+00
  PKER_SDRYG(  8, 77) =  0.845254E+00
  PKER_SDRYG(  8, 78) =  0.846659E+00
  PKER_SDRYG(  8, 79) =  0.847978E+00
  PKER_SDRYG(  8, 80) =  0.849217E+00
  PKER_SDRYG(  9,  1) =  0.281873E+01
  PKER_SDRYG(  9,  2) =  0.262217E+01
  PKER_SDRYG(  9,  3) =  0.243755E+01
  PKER_SDRYG(  9,  4) =  0.226413E+01
  PKER_SDRYG(  9,  5) =  0.210120E+01
  PKER_SDRYG(  9,  6) =  0.194811E+01
  PKER_SDRYG(  9,  7) =  0.180423E+01
  PKER_SDRYG(  9,  8) =  0.166898E+01
  PKER_SDRYG(  9,  9) =  0.154178E+01
  PKER_SDRYG(  9, 10) =  0.142211E+01
  PKER_SDRYG(  9, 11) =  0.130946E+01
  PKER_SDRYG(  9, 12) =  0.120336E+01
  PKER_SDRYG(  9, 13) =  0.110334E+01
  PKER_SDRYG(  9, 14) =  0.100898E+01
  PKER_SDRYG(  9, 15) =  0.919904E+00
  PKER_SDRYG(  9, 16) =  0.835767E+00
  PKER_SDRYG(  9, 17) =  0.756296E+00
  PKER_SDRYG(  9, 18) =  0.681312E+00
  PKER_SDRYG(  9, 19) =  0.610704E+00
  PKER_SDRYG(  9, 20) =  0.544549E+00
  PKER_SDRYG(  9, 21) =  0.483126E+00
  PKER_SDRYG(  9, 22) =  0.426903E+00
  PKER_SDRYG(  9, 23) =  0.376623E+00
  PKER_SDRYG(  9, 24) =  0.333280E+00
  PKER_SDRYG(  9, 25) =  0.297980E+00
  PKER_SDRYG(  9, 26) =  0.271818E+00
  PKER_SDRYG(  9, 27) =  0.255645E+00
  PKER_SDRYG(  9, 28) =  0.249649E+00
  PKER_SDRYG(  9, 29) =  0.253211E+00
  PKER_SDRYG(  9, 30) =  0.265062E+00
  PKER_SDRYG(  9, 31) =  0.283396E+00
  PKER_SDRYG(  9, 32) =  0.306054E+00
  PKER_SDRYG(  9, 33) =  0.331204E+00
  PKER_SDRYG(  9, 34) =  0.357250E+00
  PKER_SDRYG(  9, 35) =  0.383076E+00
  PKER_SDRYG(  9, 36) =  0.407898E+00
  PKER_SDRYG(  9, 37) =  0.431335E+00
  PKER_SDRYG(  9, 38) =  0.453229E+00
  PKER_SDRYG(  9, 39) =  0.473481E+00
  PKER_SDRYG(  9, 40) =  0.492133E+00
  PKER_SDRYG(  9, 41) =  0.509252E+00
  PKER_SDRYG(  9, 42) =  0.524980E+00
  PKER_SDRYG(  9, 43) =  0.539487E+00
  PKER_SDRYG(  9, 44) =  0.552905E+00
  PKER_SDRYG(  9, 45) =  0.565346E+00
  PKER_SDRYG(  9, 46) =  0.576895E+00
  PKER_SDRYG(  9, 47) =  0.587615E+00
  PKER_SDRYG(  9, 48) =  0.597569E+00
  PKER_SDRYG(  9, 49) =  0.606817E+00
  PKER_SDRYG(  9, 50) =  0.615422E+00
  PKER_SDRYG(  9, 51) =  0.623439E+00
  PKER_SDRYG(  9, 52) =  0.630916E+00
  PKER_SDRYG(  9, 53) =  0.637899E+00
  PKER_SDRYG(  9, 54) =  0.644424E+00
  PKER_SDRYG(  9, 55) =  0.650527E+00
  PKER_SDRYG(  9, 56) =  0.656238E+00
  PKER_SDRYG(  9, 57) =  0.661586E+00
  PKER_SDRYG(  9, 58) =  0.666595E+00
  PKER_SDRYG(  9, 59) =  0.671290E+00
  PKER_SDRYG(  9, 60) =  0.675690E+00
  PKER_SDRYG(  9, 61) =  0.679817E+00
  PKER_SDRYG(  9, 62) =  0.683687E+00
  PKER_SDRYG(  9, 63) =  0.687317E+00
  PKER_SDRYG(  9, 64) =  0.690723E+00
  PKER_SDRYG(  9, 65) =  0.693918E+00
  PKER_SDRYG(  9, 66) =  0.696917E+00
  PKER_SDRYG(  9, 67) =  0.699732E+00
  PKER_SDRYG(  9, 68) =  0.702374E+00
  PKER_SDRYG(  9, 69) =  0.704853E+00
  PKER_SDRYG(  9, 70) =  0.707181E+00
  PKER_SDRYG(  9, 71) =  0.709366E+00
  PKER_SDRYG(  9, 72) =  0.711417E+00
  PKER_SDRYG(  9, 73) =  0.713343E+00
  PKER_SDRYG(  9, 74) =  0.715151E+00
  PKER_SDRYG(  9, 75) =  0.716848E+00
  PKER_SDRYG(  9, 76) =  0.718442E+00
  PKER_SDRYG(  9, 77) =  0.719938E+00
  PKER_SDRYG(  9, 78) =  0.721343E+00
  PKER_SDRYG(  9, 79) =  0.722663E+00
  PKER_SDRYG(  9, 80) =  0.723901E+00
  PKER_SDRYG( 10,  1) =  0.287649E+01
  PKER_SDRYG( 10,  2) =  0.267999E+01
  PKER_SDRYG( 10,  3) =  0.249543E+01
  PKER_SDRYG( 10,  4) =  0.232209E+01
  PKER_SDRYG( 10,  5) =  0.215926E+01
  PKER_SDRYG( 10,  6) =  0.200629E+01
  PKER_SDRYG( 10,  7) =  0.186256E+01
  PKER_SDRYG( 10,  8) =  0.172749E+01
  PKER_SDRYG( 10,  9) =  0.160052E+01
  PKER_SDRYG( 10, 10) =  0.148113E+01
  PKER_SDRYG( 10, 11) =  0.136880E+01
  PKER_SDRYG( 10, 12) =  0.126307E+01
  PKER_SDRYG( 10, 13) =  0.116348E+01
  PKER_SDRYG( 10, 14) =  0.106958E+01
  PKER_SDRYG( 10, 15) =  0.980970E+00
  PKER_SDRYG( 10, 16) =  0.897241E+00
  PKER_SDRYG( 10, 17) =  0.818035E+00
  PKER_SDRYG( 10, 18) =  0.743029E+00
  PKER_SDRYG( 10, 19) =  0.671957E+00
  PKER_SDRYG( 10, 20) =  0.604628E+00
  PKER_SDRYG( 10, 21) =  0.540973E+00
  PKER_SDRYG( 10, 22) =  0.481134E+00
  PKER_SDRYG( 10, 23) =  0.425371E+00
  PKER_SDRYG( 10, 24) =  0.374261E+00
  PKER_SDRYG( 10, 25) =  0.328628E+00
  PKER_SDRYG( 10, 26) =  0.289572E+00
  PKER_SDRYG( 10, 27) =  0.258117E+00
  PKER_SDRYG( 10, 28) =  0.235368E+00
  PKER_SDRYG( 10, 29) =  0.221755E+00
  PKER_SDRYG( 10, 30) =  0.217136E+00
  PKER_SDRYG( 10, 31) =  0.220856E+00
  PKER_SDRYG( 10, 32) =  0.231296E+00
  PKER_SDRYG( 10, 33) =  0.246745E+00
  PKER_SDRYG( 10, 34) =  0.265573E+00
  PKER_SDRYG( 10, 35) =  0.286164E+00
  PKER_SDRYG( 10, 36) =  0.307344E+00
  PKER_SDRYG( 10, 37) =  0.328309E+00
  PKER_SDRYG( 10, 38) =  0.348513E+00
  PKER_SDRYG( 10, 39) =  0.367687E+00
  PKER_SDRYG( 10, 40) =  0.385687E+00
  PKER_SDRYG( 10, 41) =  0.402481E+00
  PKER_SDRYG( 10, 42) =  0.418056E+00
  PKER_SDRYG( 10, 43) =  0.432452E+00
  PKER_SDRYG( 10, 44) =  0.445760E+00
  PKER_SDRYG( 10, 45) =  0.458086E+00
  PKER_SDRYG( 10, 46) =  0.469537E+00
  PKER_SDRYG( 10, 47) =  0.480201E+00
  PKER_SDRYG( 10, 48) =  0.490143E+00
  PKER_SDRYG( 10, 49) =  0.499411E+00
  PKER_SDRYG( 10, 50) =  0.508047E+00
  PKER_SDRYG( 10, 51) =  0.516093E+00
  PKER_SDRYG( 10, 52) =  0.523596E+00
  PKER_SDRYG( 10, 53) =  0.530598E+00
  PKER_SDRYG( 10, 54) =  0.537139E+00
  PKER_SDRYG( 10, 55) =  0.543253E+00
  PKER_SDRYG( 10, 56) =  0.548974E+00
  PKER_SDRYG( 10, 57) =  0.554329E+00
  PKER_SDRYG( 10, 58) =  0.559345E+00
  PKER_SDRYG( 10, 59) =  0.564044E+00
  PKER_SDRYG( 10, 60) =  0.568448E+00
  PKER_SDRYG( 10, 61) =  0.572577E+00
  PKER_SDRYG( 10, 62) =  0.576449E+00
  PKER_SDRYG( 10, 63) =  0.580081E+00
  PKER_SDRYG( 10, 64) =  0.583488E+00
  PKER_SDRYG( 10, 65) =  0.586685E+00
  PKER_SDRYG( 10, 66) =  0.589685E+00
  PKER_SDRYG( 10, 67) =  0.592500E+00
  PKER_SDRYG( 10, 68) =  0.595142E+00
  PKER_SDRYG( 10, 69) =  0.597623E+00
  PKER_SDRYG( 10, 70) =  0.599950E+00
  PKER_SDRYG( 10, 71) =  0.602136E+00
  PKER_SDRYG( 10, 72) =  0.604187E+00
  PKER_SDRYG( 10, 73) =  0.606113E+00
  PKER_SDRYG( 10, 74) =  0.607921E+00
  PKER_SDRYG( 10, 75) =  0.609619E+00
  PKER_SDRYG( 10, 76) =  0.611213E+00
  PKER_SDRYG( 10, 77) =  0.612709E+00
  PKER_SDRYG( 10, 78) =  0.614114E+00
  PKER_SDRYG( 10, 79) =  0.615433E+00
  PKER_SDRYG( 10, 80) =  0.616672E+00
  PKER_SDRYG( 11,  1) =  0.292588E+01
  PKER_SDRYG( 11,  2) =  0.272942E+01
  PKER_SDRYG( 11,  3) =  0.254491E+01
  PKER_SDRYG( 11,  4) =  0.237162E+01
  PKER_SDRYG( 11,  5) =  0.220887E+01
  PKER_SDRYG( 11,  6) =  0.205599E+01
  PKER_SDRYG( 11,  7) =  0.191237E+01
  PKER_SDRYG( 11,  8) =  0.177743E+01
  PKER_SDRYG( 11,  9) =  0.165062E+01
  PKER_SDRYG( 11, 10) =  0.153143E+01
  PKER_SDRYG( 11, 11) =  0.141936E+01
  PKER_SDRYG( 11, 12) =  0.131393E+01
  PKER_SDRYG( 11, 13) =  0.121471E+01
  PKER_SDRYG( 11, 14) =  0.112125E+01
  PKER_SDRYG( 11, 15) =  0.103314E+01
  PKER_SDRYG( 11, 16) =  0.949992E+00
  PKER_SDRYG( 11, 17) =  0.871403E+00
  PKER_SDRYG( 11, 18) =  0.797011E+00
  PKER_SDRYG( 11, 19) =  0.726472E+00
  PKER_SDRYG( 11, 20) =  0.659472E+00
  PKER_SDRYG( 11, 21) =  0.595759E+00
  PKER_SDRYG( 11, 22) =  0.535173E+00
  PKER_SDRYG( 11, 23) =  0.477686E+00
  PKER_SDRYG( 11, 24) =  0.423410E+00
  PKER_SDRYG( 11, 25) =  0.372735E+00
  PKER_SDRYG( 11, 26) =  0.326343E+00
  PKER_SDRYG( 11, 27) =  0.285079E+00
  PKER_SDRYG( 11, 28) =  0.250073E+00
  PKER_SDRYG( 11, 29) =  0.222370E+00
  PKER_SDRYG( 11, 30) =  0.202694E+00
  PKER_SDRYG( 11, 31) =  0.191356E+00
  PKER_SDRYG( 11, 32) =  0.187944E+00
  PKER_SDRYG( 11, 33) =  0.191428E+00
  PKER_SDRYG( 11, 34) =  0.200384E+00
  PKER_SDRYG( 11, 35) =  0.213284E+00
  PKER_SDRYG( 11, 36) =  0.228761E+00
  PKER_SDRYG( 11, 37) =  0.245555E+00
  PKER_SDRYG( 11, 38) =  0.262820E+00
  PKER_SDRYG( 11, 39) =  0.279947E+00
  PKER_SDRYG( 11, 40) =  0.296552E+00
  PKER_SDRYG( 11, 41) =  0.312363E+00
  PKER_SDRYG( 11, 42) =  0.327309E+00
  PKER_SDRYG( 11, 43) =  0.341353E+00
  PKER_SDRYG( 11, 44) =  0.354467E+00
  PKER_SDRYG( 11, 45) =  0.366682E+00
  PKER_SDRYG( 11, 46) =  0.378026E+00
  PKER_SDRYG( 11, 47) =  0.388571E+00
  PKER_SDRYG( 11, 48) =  0.398407E+00
  PKER_SDRYG( 11, 49) =  0.407595E+00
  PKER_SDRYG( 11, 50) =  0.416190E+00
  PKER_SDRYG( 11, 51) =  0.424231E+00
  PKER_SDRYG( 11, 52) =  0.431746E+00
  PKER_SDRYG( 11, 53) =  0.438766E+00
  PKER_SDRYG( 11, 54) =  0.445323E+00
  PKER_SDRYG( 11, 55) =  0.451452E+00
  PKER_SDRYG( 11, 56) =  0.457183E+00
  PKER_SDRYG( 11, 57) =  0.462546E+00
  PKER_SDRYG( 11, 58) =  0.467568E+00
  PKER_SDRYG( 11, 59) =  0.472272E+00
  PKER_SDRYG( 11, 60) =  0.476681E+00
  PKER_SDRYG( 11, 61) =  0.480813E+00
  PKER_SDRYG( 11, 62) =  0.484687E+00
  PKER_SDRYG( 11, 63) =  0.488321E+00
  PKER_SDRYG( 11, 64) =  0.491730E+00
  PKER_SDRYG( 11, 65) =  0.494928E+00
  PKER_SDRYG( 11, 66) =  0.497929E+00
  PKER_SDRYG( 11, 67) =  0.500745E+00
  PKER_SDRYG( 11, 68) =  0.503387E+00
  PKER_SDRYG( 11, 69) =  0.505868E+00
  PKER_SDRYG( 11, 70) =  0.508196E+00
  PKER_SDRYG( 11, 71) =  0.510382E+00
  PKER_SDRYG( 11, 72) =  0.512433E+00
  PKER_SDRYG( 11, 73) =  0.514360E+00
  PKER_SDRYG( 11, 74) =  0.516168E+00
  PKER_SDRYG( 11, 75) =  0.517866E+00
  PKER_SDRYG( 11, 76) =  0.519459E+00
  PKER_SDRYG( 11, 77) =  0.520956E+00
  PKER_SDRYG( 11, 78) =  0.522361E+00
  PKER_SDRYG( 11, 79) =  0.523680E+00
  PKER_SDRYG( 11, 80) =  0.524919E+00
  PKER_SDRYG( 12,  1) =  0.296813E+01
  PKER_SDRYG( 12,  2) =  0.277169E+01
  PKER_SDRYG( 12,  3) =  0.258722E+01
  PKER_SDRYG( 12,  4) =  0.241397E+01
  PKER_SDRYG( 12,  5) =  0.225126E+01
  PKER_SDRYG( 12,  6) =  0.209845E+01
  PKER_SDRYG( 12,  7) =  0.195490E+01
  PKER_SDRYG( 12,  8) =  0.182006E+01
  PKER_SDRYG( 12,  9) =  0.169337E+01
  PKER_SDRYG( 12, 10) =  0.157433E+01
  PKER_SDRYG( 12, 11) =  0.146243E+01
  PKER_SDRYG( 12, 12) =  0.135723E+01
  PKER_SDRYG( 12, 13) =  0.125828E+01
  PKER_SDRYG( 12, 14) =  0.116516E+01
  PKER_SDRYG( 12, 15) =  0.107747E+01
  PKER_SDRYG( 12, 16) =  0.994807E+00
  PKER_SDRYG( 12, 17) =  0.916807E+00
  PKER_SDRYG( 12, 18) =  0.843095E+00
  PKER_SDRYG( 12, 19) =  0.773314E+00
  PKER_SDRYG( 12, 20) =  0.707116E+00
  PKER_SDRYG( 12, 21) =  0.644174E+00
  PKER_SDRYG( 12, 22) =  0.584199E+00
  PKER_SDRYG( 12, 23) =  0.526949E+00
  PKER_SDRYG( 12, 24) =  0.472291E+00
  PKER_SDRYG( 12, 25) =  0.420211E+00
  PKER_SDRYG( 12, 26) =  0.370902E+00
  PKER_SDRYG( 12, 27) =  0.324892E+00
  PKER_SDRYG( 12, 28) =  0.282842E+00
  PKER_SDRYG( 12, 29) =  0.245728E+00
  PKER_SDRYG( 12, 30) =  0.214626E+00
  PKER_SDRYG( 12, 31) =  0.190466E+00
  PKER_SDRYG( 12, 32) =  0.173675E+00
  PKER_SDRYG( 12, 33) =  0.164353E+00
  PKER_SDRYG( 12, 34) =  0.161777E+00
  PKER_SDRYG( 12, 35) =  0.164848E+00
  PKER_SDRYG( 12, 36) =  0.172447E+00
  PKER_SDRYG( 12, 37) =  0.183108E+00
  PKER_SDRYG( 12, 38) =  0.195737E+00
  PKER_SDRYG( 12, 39) =  0.209501E+00
  PKER_SDRYG( 12, 40) =  0.223654E+00
  PKER_SDRYG( 12, 41) =  0.237731E+00
  PKER_SDRYG( 12, 42) =  0.251446E+00
  PKER_SDRYG( 12, 43) =  0.264605E+00
  PKER_SDRYG( 12, 44) =  0.277116E+00
  PKER_SDRYG( 12, 45) =  0.288946E+00
  PKER_SDRYG( 12, 46) =  0.300077E+00
  PKER_SDRYG( 12, 47) =  0.310498E+00
  PKER_SDRYG( 12, 48) =  0.320228E+00
  PKER_SDRYG( 12, 49) =  0.329310E+00
  PKER_SDRYG( 12, 50) =  0.337797E+00
  PKER_SDRYG( 12, 51) =  0.345746E+00
  PKER_SDRYG( 12, 52) =  0.353202E+00
  PKER_SDRYG( 12, 53) =  0.360196E+00
  PKER_SDRYG( 12, 54) =  0.366751E+00
  PKER_SDRYG( 12, 55) =  0.372888E+00
  PKER_SDRYG( 12, 56) =  0.378630E+00
  PKER_SDRYG( 12, 57) =  0.384002E+00
  PKER_SDRYG( 12, 58) =  0.389031E+00
  PKER_SDRYG( 12, 59) =  0.393741E+00
  PKER_SDRYG( 12, 60) =  0.398154E+00
  PKER_SDRYG( 12, 61) =  0.402290E+00
  PKER_SDRYG( 12, 62) =  0.406167E+00
  PKER_SDRYG( 12, 63) =  0.409803E+00
  PKER_SDRYG( 12, 64) =  0.413213E+00
  PKER_SDRYG( 12, 65) =  0.416413E+00
  PKER_SDRYG( 12, 66) =  0.419414E+00
  PKER_SDRYG( 12, 67) =  0.422231E+00
  PKER_SDRYG( 12, 68) =  0.424874E+00
  PKER_SDRYG( 12, 69) =  0.427355E+00
  PKER_SDRYG( 12, 70) =  0.429684E+00
  PKER_SDRYG( 12, 71) =  0.431870E+00
  PKER_SDRYG( 12, 72) =  0.433922E+00
  PKER_SDRYG( 12, 73) =  0.435848E+00
  PKER_SDRYG( 12, 74) =  0.437657E+00
  PKER_SDRYG( 12, 75) =  0.439355E+00
  PKER_SDRYG( 12, 76) =  0.440949E+00
  PKER_SDRYG( 12, 77) =  0.442445E+00
  PKER_SDRYG( 12, 78) =  0.443850E+00
  PKER_SDRYG( 12, 79) =  0.445170E+00
  PKER_SDRYG( 12, 80) =  0.446408E+00
  PKER_SDRYG( 13,  1) =  0.300426E+01
  PKER_SDRYG( 13,  2) =  0.280784E+01
  PKER_SDRYG( 13,  3) =  0.262339E+01
  PKER_SDRYG( 13,  4) =  0.245018E+01
  PKER_SDRYG( 13,  5) =  0.228751E+01
  PKER_SDRYG( 13,  6) =  0.213473E+01
  PKER_SDRYG( 13,  7) =  0.199125E+01
  PKER_SDRYG( 13,  8) =  0.185647E+01
  PKER_SDRYG( 13,  9) =  0.172987E+01
  PKER_SDRYG( 13, 10) =  0.161093E+01
  PKER_SDRYG( 13, 11) =  0.149916E+01
  PKER_SDRYG( 13, 12) =  0.139412E+01
  PKER_SDRYG( 13, 13) =  0.129536E+01
  PKER_SDRYG( 13, 14) =  0.120249E+01
  PKER_SDRYG( 13, 15) =  0.111509E+01
  PKER_SDRYG( 13, 16) =  0.103280E+01
  PKER_SDRYG( 13, 17) =  0.955258E+00
  PKER_SDRYG( 13, 18) =  0.882099E+00
  PKER_SDRYG( 13, 19) =  0.812980E+00
  PKER_SDRYG( 13, 20) =  0.747559E+00
  PKER_SDRYG( 13, 21) =  0.685504E+00
  PKER_SDRYG( 13, 22) =  0.626487E+00
  PKER_SDRYG( 13, 23) =  0.570200E+00
  PKER_SDRYG( 13, 24) =  0.516370E+00
  PKER_SDRYG( 13, 25) =  0.464781E+00
  PKER_SDRYG( 13, 26) =  0.415330E+00
  PKER_SDRYG( 13, 27) =  0.368082E+00
  PKER_SDRYG( 13, 28) =  0.323329E+00
  PKER_SDRYG( 13, 29) =  0.281592E+00
  PKER_SDRYG( 13, 30) =  0.243675E+00
  PKER_SDRYG( 13, 31) =  0.210623E+00
  PKER_SDRYG( 13, 32) =  0.183280E+00
  PKER_SDRYG( 13, 33) =  0.162430E+00
  PKER_SDRYG( 13, 34) =  0.148317E+00
  PKER_SDRYG( 13, 35) =  0.140602E+00
  PKER_SDRYG( 13, 36) =  0.138606E+00
  PKER_SDRYG( 13, 37) =  0.141294E+00
  PKER_SDRYG( 13, 38) =  0.147531E+00
  PKER_SDRYG( 13, 39) =  0.156269E+00
  PKER_SDRYG( 13, 40) =  0.166597E+00
  PKER_SDRYG( 13, 41) =  0.177865E+00
  PKER_SDRYG( 13, 42) =  0.189495E+00
  PKER_SDRYG( 13, 43) =  0.201132E+00
  PKER_SDRYG( 13, 44) =  0.212557E+00
  PKER_SDRYG( 13, 45) =  0.223599E+00
  PKER_SDRYG( 13, 46) =  0.234145E+00
  PKER_SDRYG( 13, 47) =  0.244174E+00
  PKER_SDRYG( 13, 48) =  0.253668E+00
  PKER_SDRYG( 13, 49) =  0.262605E+00
  PKER_SDRYG( 13, 50) =  0.270996E+00
  PKER_SDRYG( 13, 51) =  0.278849E+00
  PKER_SDRYG( 13, 52) =  0.286203E+00
  PKER_SDRYG( 13, 53) =  0.293107E+00
  PKER_SDRYG( 13, 54) =  0.299592E+00
  PKER_SDRYG( 13, 55) =  0.305689E+00
  PKER_SDRYG( 13, 56) =  0.311416E+00
  PKER_SDRYG( 13, 57) =  0.316789E+00
  PKER_SDRYG( 13, 58) =  0.321824E+00
  PKER_SDRYG( 13, 59) =  0.326539E+00
  PKER_SDRYG( 13, 60) =  0.330957E+00
  PKER_SDRYG( 13, 61) =  0.335096E+00
  PKER_SDRYG( 13, 62) =  0.338977E+00
  PKER_SDRYG( 13, 63) =  0.342615E+00
  PKER_SDRYG( 13, 64) =  0.346027E+00
  PKER_SDRYG( 13, 65) =  0.349228E+00
  PKER_SDRYG( 13, 66) =  0.352231E+00
  PKER_SDRYG( 13, 67) =  0.355048E+00
  PKER_SDRYG( 13, 68) =  0.357693E+00
  PKER_SDRYG( 13, 69) =  0.360174E+00
  PKER_SDRYG( 13, 70) =  0.362503E+00
  PKER_SDRYG( 13, 71) =  0.364689E+00
  PKER_SDRYG( 13, 72) =  0.366742E+00
  PKER_SDRYG( 13, 73) =  0.368668E+00
  PKER_SDRYG( 13, 74) =  0.370477E+00
  PKER_SDRYG( 13, 75) =  0.372175E+00
  PKER_SDRYG( 13, 76) =  0.373769E+00
  PKER_SDRYG( 13, 77) =  0.375266E+00
  PKER_SDRYG( 13, 78) =  0.376671E+00
  PKER_SDRYG( 13, 79) =  0.377990E+00
  PKER_SDRYG( 13, 80) =  0.379229E+00
  PKER_SDRYG( 14,  1) =  0.303517E+01
  PKER_SDRYG( 14,  2) =  0.283877E+01
  PKER_SDRYG( 14,  3) =  0.265433E+01
  PKER_SDRYG( 14,  4) =  0.248114E+01
  PKER_SDRYG( 14,  5) =  0.231850E+01
  PKER_SDRYG( 14,  6) =  0.216575E+01
  PKER_SDRYG( 14,  7) =  0.202231E+01
  PKER_SDRYG( 14,  8) =  0.188758E+01
  PKER_SDRYG( 14,  9) =  0.176104E+01
  PKER_SDRYG( 14, 10) =  0.164217E+01
  PKER_SDRYG( 14, 11) =  0.153050E+01
  PKER_SDRYG( 14, 12) =  0.142557E+01
  PKER_SDRYG( 14, 13) =  0.132695E+01
  PKER_SDRYG( 14, 14) =  0.123425E+01
  PKER_SDRYG( 14, 15) =  0.114707E+01
  PKER_SDRYG( 14, 16) =  0.106505E+01
  PKER_SDRYG( 14, 17) =  0.987829E+00
  PKER_SDRYG( 14, 18) =  0.915075E+00
  PKER_SDRYG( 14, 19) =  0.846455E+00
  PKER_SDRYG( 14, 20) =  0.781644E+00
  PKER_SDRYG( 14, 21) =  0.720325E+00
  PKER_SDRYG( 14, 22) =  0.662179E+00
  PKER_SDRYG( 14, 23) =  0.606894E+00
  PKER_SDRYG( 14, 24) =  0.554165E+00
  PKER_SDRYG( 14, 25) =  0.503702E+00
  PKER_SDRYG( 14, 26) =  0.455255E+00
  PKER_SDRYG( 14, 27) =  0.408655E+00
  PKER_SDRYG( 14, 28) =  0.363840E+00
  PKER_SDRYG( 14, 29) =  0.320957E+00
  PKER_SDRYG( 14, 30) =  0.280360E+00
  PKER_SDRYG( 14, 31) =  0.242663E+00
  PKER_SDRYG( 14, 32) =  0.208805E+00
  PKER_SDRYG( 14, 33) =  0.179611E+00
  PKER_SDRYG( 14, 34) =  0.155880E+00
  PKER_SDRYG( 14, 35) =  0.138098E+00
  PKER_SDRYG( 14, 36) =  0.126282E+00
  PKER_SDRYG( 14, 37) =  0.119901E+00
  PKER_SDRYG( 14, 38) =  0.118300E+00
  PKER_SDRYG( 14, 39) =  0.120505E+00
  PKER_SDRYG( 14, 40) =  0.125551E+00
  PKER_SDRYG( 14, 41) =  0.132700E+00
  PKER_SDRYG( 14, 42) =  0.141142E+00
  PKER_SDRYG( 14, 43) =  0.150371E+00
  PKER_SDRYG( 14, 44) =  0.159990E+00
  PKER_SDRYG( 14, 45) =  0.169685E+00
  PKER_SDRYG( 14, 46) =  0.179245E+00
  PKER_SDRYG( 14, 47) =  0.188540E+00
  PKER_SDRYG( 14, 48) =  0.197487E+00
  PKER_SDRYG( 14, 49) =  0.206035E+00
  PKER_SDRYG( 14, 50) =  0.214165E+00
  PKER_SDRYG( 14, 51) =  0.221865E+00
  PKER_SDRYG( 14, 52) =  0.229121E+00
  PKER_SDRYG( 14, 53) =  0.235935E+00
  PKER_SDRYG( 14, 54) =  0.242332E+00
  PKER_SDRYG( 14, 55) =  0.248340E+00
  PKER_SDRYG( 14, 56) =  0.253994E+00
  PKER_SDRYG( 14, 57) =  0.259317E+00
  PKER_SDRYG( 14, 58) =  0.264327E+00
  PKER_SDRYG( 14, 59) =  0.269036E+00
  PKER_SDRYG( 14, 60) =  0.273454E+00
  PKER_SDRYG( 14, 61) =  0.277597E+00
  PKER_SDRYG( 14, 62) =  0.281481E+00
  PKER_SDRYG( 14, 63) =  0.285122E+00
  PKER_SDRYG( 14, 64) =  0.288536E+00
  PKER_SDRYG( 14, 65) =  0.291738E+00
  PKER_SDRYG( 14, 66) =  0.294743E+00
  PKER_SDRYG( 14, 67) =  0.297561E+00
  PKER_SDRYG( 14, 68) =  0.300206E+00
  PKER_SDRYG( 14, 69) =  0.302688E+00
  PKER_SDRYG( 14, 70) =  0.305018E+00
  PKER_SDRYG( 14, 71) =  0.307205E+00
  PKER_SDRYG( 14, 72) =  0.309257E+00
  PKER_SDRYG( 14, 73) =  0.311184E+00
  PKER_SDRYG( 14, 74) =  0.312993E+00
  PKER_SDRYG( 14, 75) =  0.314691E+00
  PKER_SDRYG( 14, 76) =  0.316285E+00
  PKER_SDRYG( 14, 77) =  0.317782E+00
  PKER_SDRYG( 14, 78) =  0.319187E+00
  PKER_SDRYG( 14, 79) =  0.320506E+00
  PKER_SDRYG( 14, 80) =  0.321745E+00
  PKER_SDRYG( 15,  1) =  0.306161E+01
  PKER_SDRYG( 15,  2) =  0.286522E+01
  PKER_SDRYG( 15,  3) =  0.268080E+01
  PKER_SDRYG( 15,  4) =  0.250762E+01
  PKER_SDRYG( 15,  5) =  0.234499E+01
  PKER_SDRYG( 15,  6) =  0.219228E+01
  PKER_SDRYG( 15,  7) =  0.204886E+01
  PKER_SDRYG( 15,  8) =  0.191417E+01
  PKER_SDRYG( 15,  9) =  0.178767E+01
  PKER_SDRYG( 15, 10) =  0.166885E+01
  PKER_SDRYG( 15, 11) =  0.155725E+01
  PKER_SDRYG( 15, 12) =  0.145240E+01
  PKER_SDRYG( 15, 13) =  0.135388E+01
  PKER_SDRYG( 15, 14) =  0.126130E+01
  PKER_SDRYG( 15, 15) =  0.117427E+01
  PKER_SDRYG( 15, 16) =  0.109244E+01
  PKER_SDRYG( 15, 17) =  0.101546E+01
  PKER_SDRYG( 15, 18) =  0.942994E+00
  PKER_SDRYG( 15, 19) =  0.874732E+00
  PKER_SDRYG( 15, 20) =  0.810365E+00
  PKER_SDRYG( 15, 21) =  0.749592E+00
  PKER_SDRYG( 15, 22) =  0.692115E+00
  PKER_SDRYG( 15, 23) =  0.637639E+00
  PKER_SDRYG( 15, 24) =  0.585869E+00
  PKER_SDRYG( 15, 25) =  0.536512E+00
  PKER_SDRYG( 15, 26) =  0.489283E+00
  PKER_SDRYG( 15, 27) =  0.443919E+00
  PKER_SDRYG( 15, 28) =  0.400205E+00
  PKER_SDRYG( 15, 29) =  0.358017E+00
  PKER_SDRYG( 15, 30) =  0.317369E+00
  PKER_SDRYG( 15, 31) =  0.278488E+00
  PKER_SDRYG( 15, 32) =  0.241839E+00
  PKER_SDRYG( 15, 33) =  0.208131E+00
  PKER_SDRYG( 15, 34) =  0.178156E+00
  PKER_SDRYG( 15, 35) =  0.152678E+00
  PKER_SDRYG( 15, 36) =  0.132382E+00
  PKER_SDRYG( 15, 37) =  0.117317E+00
  PKER_SDRYG( 15, 38) =  0.107412E+00
  PKER_SDRYG( 15, 39) =  0.102138E+00
  PKER_SDRYG( 15, 40) =  0.100720E+00
  PKER_SDRYG( 15, 41) =  0.102430E+00
  PKER_SDRYG( 15, 42) =  0.106496E+00
  PKER_SDRYG( 15, 43) =  0.112243E+00
  PKER_SDRYG( 15, 44) =  0.119136E+00
  PKER_SDRYG( 15, 45) =  0.126711E+00
  PKER_SDRYG( 15, 46) =  0.134684E+00
  PKER_SDRYG( 15, 47) =  0.142774E+00
  PKER_SDRYG( 15, 48) =  0.150805E+00
  PKER_SDRYG( 15, 49) =  0.158681E+00
  PKER_SDRYG( 15, 50) =  0.166306E+00
  PKER_SDRYG( 15, 51) =  0.173620E+00
  PKER_SDRYG( 15, 52) =  0.180607E+00
  PKER_SDRYG( 15, 53) =  0.187254E+00
  PKER_SDRYG( 15, 54) =  0.193543E+00
  PKER_SDRYG( 15, 55) =  0.199475E+00
  PKER_SDRYG( 15, 56) =  0.205051E+00
  PKER_SDRYG( 15, 57) =  0.210294E+00
  PKER_SDRYG( 15, 58) =  0.215233E+00
  PKER_SDRYG( 15, 59) =  0.219886E+00
  PKER_SDRYG( 15, 60) =  0.224272E+00
  PKER_SDRYG( 15, 61) =  0.228402E+00
  PKER_SDRYG( 15, 62) =  0.232282E+00
  PKER_SDRYG( 15, 63) =  0.235924E+00
  PKER_SDRYG( 15, 64) =  0.239341E+00
  PKER_SDRYG( 15, 65) =  0.242545E+00
  PKER_SDRYG( 15, 66) =  0.245550E+00
  PKER_SDRYG( 15, 67) =  0.248370E+00
  PKER_SDRYG( 15, 68) =  0.251016E+00
  PKER_SDRYG( 15, 69) =  0.253499E+00
  PKER_SDRYG( 15, 70) =  0.255829E+00
  PKER_SDRYG( 15, 71) =  0.258016E+00
  PKER_SDRYG( 15, 72) =  0.260069E+00
  PKER_SDRYG( 15, 73) =  0.261996E+00
  PKER_SDRYG( 15, 74) =  0.263805E+00
  PKER_SDRYG( 15, 75) =  0.265503E+00
  PKER_SDRYG( 15, 76) =  0.267097E+00
  PKER_SDRYG( 15, 77) =  0.268594E+00
  PKER_SDRYG( 15, 78) =  0.270000E+00
  PKER_SDRYG( 15, 79) =  0.271319E+00
  PKER_SDRYG( 15, 80) =  0.272558E+00
  PKER_SDRYG( 16,  1) =  0.308423E+01
  PKER_SDRYG( 16,  2) =  0.288784E+01
  PKER_SDRYG( 16,  3) =  0.270343E+01
  PKER_SDRYG( 16,  4) =  0.253026E+01
  PKER_SDRYG( 16,  5) =  0.236765E+01
  PKER_SDRYG( 16,  6) =  0.221495E+01
  PKER_SDRYG( 16,  7) =  0.207156E+01
  PKER_SDRYG( 16,  8) =  0.193689E+01
  PKER_SDRYG( 16,  9) =  0.181043E+01
  PKER_SDRYG( 16, 10) =  0.169165E+01
  PKER_SDRYG( 16, 11) =  0.158009E+01
  PKER_SDRYG( 16, 12) =  0.147530E+01
  PKER_SDRYG( 16, 13) =  0.137686E+01
  PKER_SDRYG( 16, 14) =  0.128436E+01
  PKER_SDRYG( 16, 15) =  0.119745E+01
  PKER_SDRYG( 16, 16) =  0.111575E+01
  PKER_SDRYG( 16, 17) =  0.103893E+01
  PKER_SDRYG( 16, 18) =  0.966673E+00
  PKER_SDRYG( 16, 19) =  0.898666E+00
  PKER_SDRYG( 16, 20) =  0.834615E+00
  PKER_SDRYG( 16, 21) =  0.774233E+00
  PKER_SDRYG( 16, 22) =  0.717240E+00
  PKER_SDRYG( 16, 23) =  0.663360E+00
  PKER_SDRYG( 16, 24) =  0.612319E+00
  PKER_SDRYG( 16, 25) =  0.563842E+00
  PKER_SDRYG( 16, 26) =  0.517655E+00
  PKER_SDRYG( 16, 27) =  0.473486E+00
  PKER_SDRYG( 16, 28) =  0.431073E+00
  PKER_SDRYG( 16, 29) =  0.390189E+00
  PKER_SDRYG( 16, 30) =  0.350665E+00
  PKER_SDRYG( 16, 31) =  0.312442E+00
  PKER_SDRYG( 16, 32) =  0.275636E+00
  PKER_SDRYG( 16, 33) =  0.240542E+00
  PKER_SDRYG( 16, 34) =  0.207718E+00
  PKER_SDRYG( 16, 35) =  0.177836E+00
  PKER_SDRYG( 16, 36) =  0.151594E+00
  PKER_SDRYG( 16, 37) =  0.129702E+00
  PKER_SDRYG( 16, 38) =  0.112415E+00
  PKER_SDRYG( 16, 39) =  0.997384E-01
  PKER_SDRYG( 16, 40) =  0.914126E-01
  PKER_SDRYG( 16, 41) =  0.869384E-01
  PKER_SDRYG( 16, 42) =  0.856034E-01
  PKER_SDRYG( 16, 43) =  0.868406E-01
  PKER_SDRYG( 16, 44) =  0.900395E-01
  PKER_SDRYG( 16, 45) =  0.946372E-01
  PKER_SDRYG( 16, 46) =  0.100254E+00
  PKER_SDRYG( 16, 47) =  0.106487E+00
  PKER_SDRYG( 16, 48) =  0.113101E+00
  PKER_SDRYG( 16, 49) =  0.119871E+00
  PKER_SDRYG( 16, 50) =  0.126659E+00
  PKER_SDRYG( 16, 51) =  0.133342E+00
  PKER_SDRYG( 16, 52) =  0.139846E+00
  PKER_SDRYG( 16, 53) =  0.146127E+00
  PKER_SDRYG( 16, 54) =  0.152147E+00
  PKER_SDRYG( 16, 55) =  0.157896E+00
  PKER_SDRYG( 16, 56) =  0.163360E+00
  PKER_SDRYG( 16, 57) =  0.168528E+00
  PKER_SDRYG( 16, 58) =  0.173397E+00
  PKER_SDRYG( 16, 59) =  0.177982E+00
  PKER_SDRYG( 16, 60) =  0.182299E+00
  PKER_SDRYG( 16, 61) =  0.186373E+00
  PKER_SDRYG( 16, 62) =  0.190215E+00
  PKER_SDRYG( 16, 63) =  0.193838E+00
  PKER_SDRYG( 16, 64) =  0.197247E+00
  PKER_SDRYG( 16, 65) =  0.200450E+00
  PKER_SDRYG( 16, 66) =  0.203457E+00
  PKER_SDRYG( 16, 67) =  0.206278E+00
  PKER_SDRYG( 16, 68) =  0.208924E+00
  PKER_SDRYG( 16, 69) =  0.211408E+00
  PKER_SDRYG( 16, 70) =  0.213739E+00
  PKER_SDRYG( 16, 71) =  0.215926E+00
  PKER_SDRYG( 16, 72) =  0.217979E+00
  PKER_SDRYG( 16, 73) =  0.219907E+00
  PKER_SDRYG( 16, 74) =  0.221716E+00
  PKER_SDRYG( 16, 75) =  0.223414E+00
  PKER_SDRYG( 16, 76) =  0.225009E+00
  PKER_SDRYG( 16, 77) =  0.226506E+00
  PKER_SDRYG( 16, 78) =  0.227911E+00
  PKER_SDRYG( 16, 79) =  0.229231E+00
  PKER_SDRYG( 16, 80) =  0.230470E+00
  PKER_SDRYG( 17,  1) =  0.310358E+01
  PKER_SDRYG( 17,  2) =  0.290720E+01
  PKER_SDRYG( 17,  3) =  0.272279E+01
  PKER_SDRYG( 17,  4) =  0.254964E+01
  PKER_SDRYG( 17,  5) =  0.238704E+01
  PKER_SDRYG( 17,  6) =  0.223435E+01
  PKER_SDRYG( 17,  7) =  0.209097E+01
  PKER_SDRYG( 17,  8) =  0.195632E+01
  PKER_SDRYG( 17,  9) =  0.182988E+01
  PKER_SDRYG( 17, 10) =  0.171113E+01
  PKER_SDRYG( 17, 11) =  0.159960E+01
  PKER_SDRYG( 17, 12) =  0.149486E+01
  PKER_SDRYG( 17, 13) =  0.139647E+01
  PKER_SDRYG( 17, 14) =  0.130404E+01
  PKER_SDRYG( 17, 15) =  0.121720E+01
  PKER_SDRYG( 17, 16) =  0.113560E+01
  PKER_SDRYG( 17, 17) =  0.105890E+01
  PKER_SDRYG( 17, 18) =  0.986787E+00
  PKER_SDRYG( 17, 19) =  0.918963E+00
  PKER_SDRYG( 17, 20) =  0.855137E+00
  PKER_SDRYG( 17, 21) =  0.795034E+00
  PKER_SDRYG( 17, 22) =  0.738385E+00
  PKER_SDRYG( 17, 23) =  0.684932E+00
  PKER_SDRYG( 17, 24) =  0.634417E+00
  PKER_SDRYG( 17, 25) =  0.586588E+00
  PKER_SDRYG( 17, 26) =  0.541190E+00
  PKER_SDRYG( 17, 27) =  0.497968E+00
  PKER_SDRYG( 17, 28) =  0.456667E+00
  PKER_SDRYG( 17, 29) =  0.417040E+00
  PKER_SDRYG( 17, 30) =  0.378858E+00
  PKER_SDRYG( 17, 31) =  0.341935E+00
  PKER_SDRYG( 17, 32) =  0.306167E+00
  PKER_SDRYG( 17, 33) =  0.271581E+00
  PKER_SDRYG( 17, 34) =  0.238370E+00
  PKER_SDRYG( 17, 35) =  0.206924E+00
  PKER_SDRYG( 17, 36) =  0.177806E+00
  PKER_SDRYG( 17, 37) =  0.151640E+00
  PKER_SDRYG( 17, 38) =  0.129035E+00
  PKER_SDRYG( 17, 39) =  0.110359E+00
  PKER_SDRYG( 17, 40) =  0.956972E-01
  PKER_SDRYG( 17, 41) =  0.850722E-01
  PKER_SDRYG( 17, 42) =  0.779682E-01
  PKER_SDRYG( 17, 43) =  0.740481E-01
  PKER_SDRYG( 17, 44) =  0.727646E-01
  PKER_SDRYG( 17, 45) =  0.735553E-01
  PKER_SDRYG( 17, 46) =  0.759991E-01
  PKER_SDRYG( 17, 47) =  0.796568E-01
  PKER_SDRYG( 17, 48) =  0.841822E-01
  PKER_SDRYG( 17, 49) =  0.893114E-01
  PKER_SDRYG( 17, 50) =  0.947876E-01
  PKER_SDRYG( 17, 51) =  0.100463E+00
  PKER_SDRYG( 17, 52) =  0.106196E+00
  PKER_SDRYG( 17, 53) =  0.111874E+00
  PKER_SDRYG( 17, 54) =  0.117444E+00
  PKER_SDRYG( 17, 55) =  0.122848E+00
  PKER_SDRYG( 17, 56) =  0.128044E+00
  PKER_SDRYG( 17, 57) =  0.133022E+00
  PKER_SDRYG( 17, 58) =  0.137773E+00
  PKER_SDRYG( 17, 59) =  0.142278E+00
  PKER_SDRYG( 17, 60) =  0.146537E+00
  PKER_SDRYG( 17, 61) =  0.150550E+00
  PKER_SDRYG( 17, 62) =  0.154332E+00
  PKER_SDRYG( 17, 63) =  0.157901E+00
  PKER_SDRYG( 17, 64) =  0.161269E+00
  PKER_SDRYG( 17, 65) =  0.164447E+00
  PKER_SDRYG( 17, 66) =  0.167443E+00
  PKER_SDRYG( 17, 67) =  0.170260E+00
  PKER_SDRYG( 17, 68) =  0.172907E+00
  PKER_SDRYG( 17, 69) =  0.175391E+00
  PKER_SDRYG( 17, 70) =  0.177723E+00
  PKER_SDRYG( 17, 71) =  0.179911E+00
  PKER_SDRYG( 17, 72) =  0.181964E+00
  PKER_SDRYG( 17, 73) =  0.183892E+00
  PKER_SDRYG( 17, 74) =  0.185701E+00
  PKER_SDRYG( 17, 75) =  0.187400E+00
  PKER_SDRYG( 17, 76) =  0.188995E+00
  PKER_SDRYG( 17, 77) =  0.190492E+00
  PKER_SDRYG( 17, 78) =  0.191897E+00
  PKER_SDRYG( 17, 79) =  0.193217E+00
  PKER_SDRYG( 17, 80) =  0.194456E+00
  PKER_SDRYG( 18,  1) =  0.312013E+01
  PKER_SDRYG( 18,  2) =  0.292376E+01
  PKER_SDRYG( 18,  3) =  0.273936E+01
  PKER_SDRYG( 18,  4) =  0.256621E+01
  PKER_SDRYG( 18,  5) =  0.240361E+01
  PKER_SDRYG( 18,  6) =  0.225094E+01
  PKER_SDRYG( 18,  7) =  0.210757E+01
  PKER_SDRYG( 18,  8) =  0.197294E+01
  PKER_SDRYG( 18,  9) =  0.184651E+01
  PKER_SDRYG( 18, 10) =  0.172778E+01
  PKER_SDRYG( 18, 11) =  0.161628E+01
  PKER_SDRYG( 18, 12) =  0.151156E+01
  PKER_SDRYG( 18, 13) =  0.141321E+01
  PKER_SDRYG( 18, 14) =  0.132083E+01
  PKER_SDRYG( 18, 15) =  0.123405E+01
  PKER_SDRYG( 18, 16) =  0.115251E+01
  PKER_SDRYG( 18, 17) =  0.107590E+01
  PKER_SDRYG( 18, 18) =  0.100390E+01
  PKER_SDRYG( 18, 19) =  0.936202E+00
  PKER_SDRYG( 18, 20) =  0.872537E+00
  PKER_SDRYG( 18, 21) =  0.812633E+00
  PKER_SDRYG( 18, 22) =  0.756230E+00
  PKER_SDRYG( 18, 23) =  0.703080E+00
  PKER_SDRYG( 18, 24) =  0.652942E+00
  PKER_SDRYG( 18, 25) =  0.605576E+00
  PKER_SDRYG( 18, 26) =  0.560750E+00
  PKER_SDRYG( 18, 27) =  0.518227E+00
  PKER_SDRYG( 18, 28) =  0.477773E+00
  PKER_SDRYG( 18, 29) =  0.439152E+00
  PKER_SDRYG( 18, 30) =  0.402131E+00
  PKER_SDRYG( 18, 31) =  0.366493E+00
  PKER_SDRYG( 18, 32) =  0.332050E+00
  PKER_SDRYG( 18, 33) =  0.298676E+00
  PKER_SDRYG( 18, 34) =  0.266345E+00
  PKER_SDRYG( 18, 35) =  0.235168E+00
  PKER_SDRYG( 18, 36) =  0.205422E+00
  PKER_SDRYG( 18, 37) =  0.177545E+00
  PKER_SDRYG( 18, 38) =  0.152032E+00
  PKER_SDRYG( 18, 39) =  0.129423E+00
  PKER_SDRYG( 18, 40) =  0.110093E+00
  PKER_SDRYG( 18, 41) =  0.942133E-01
  PKER_SDRYG( 18, 42) =  0.818749E-01
  PKER_SDRYG( 18, 43) =  0.728212E-01
  PKER_SDRYG( 18, 44) =  0.667257E-01
  PKER_SDRYG( 18, 45) =  0.632100E-01
  PKER_SDRYG( 18, 46) =  0.618886E-01
  PKER_SDRYG( 18, 47) =  0.622846E-01
  PKER_SDRYG( 18, 48) =  0.640674E-01
  PKER_SDRYG( 18, 49) =  0.669386E-01
  PKER_SDRYG( 18, 50) =  0.705747E-01
  PKER_SDRYG( 18, 51) =  0.747677E-01
  PKER_SDRYG( 18, 52) =  0.793092E-01
  PKER_SDRYG( 18, 53) =  0.840736E-01
  PKER_SDRYG( 18, 54) =  0.889086E-01
  PKER_SDRYG( 18, 55) =  0.937517E-01
  PKER_SDRYG( 18, 56) =  0.985202E-01
  PKER_SDRYG( 18, 57) =  0.103163E+00
  PKER_SDRYG( 18, 58) =  0.107658E+00
  PKER_SDRYG( 18, 59) =  0.111974E+00
  PKER_SDRYG( 18, 60) =  0.116103E+00
  PKER_SDRYG( 18, 61) =  0.120035E+00
  PKER_SDRYG( 18, 62) =  0.123761E+00
  PKER_SDRYG( 18, 63) =  0.127277E+00
  PKER_SDRYG( 18, 64) =  0.130593E+00
  PKER_SDRYG( 18, 65) =  0.133720E+00
  PKER_SDRYG( 18, 66) =  0.136675E+00
  PKER_SDRYG( 18, 67) =  0.139464E+00
  PKER_SDRYG( 18, 68) =  0.142096E+00
  PKER_SDRYG( 18, 69) =  0.144574E+00
  PKER_SDRYG( 18, 70) =  0.146905E+00
  PKER_SDRYG( 18, 71) =  0.149093E+00
  PKER_SDRYG( 18, 72) =  0.151147E+00
  PKER_SDRYG( 18, 73) =  0.153075E+00
  PKER_SDRYG( 18, 74) =  0.154885E+00
  PKER_SDRYG( 18, 75) =  0.156583E+00
  PKER_SDRYG( 18, 76) =  0.158178E+00
  PKER_SDRYG( 18, 77) =  0.159675E+00
  PKER_SDRYG( 18, 78) =  0.161081E+00
  PKER_SDRYG( 18, 79) =  0.162401E+00
  PKER_SDRYG( 18, 80) =  0.163640E+00
  PKER_SDRYG( 19,  1) =  0.313430E+01
  PKER_SDRYG( 19,  2) =  0.293792E+01
  PKER_SDRYG( 19,  3) =  0.275353E+01
  PKER_SDRYG( 19,  4) =  0.258038E+01
  PKER_SDRYG( 19,  5) =  0.241780E+01
  PKER_SDRYG( 19,  6) =  0.226513E+01
  PKER_SDRYG( 19,  7) =  0.212176E+01
  PKER_SDRYG( 19,  8) =  0.198714E+01
  PKER_SDRYG( 19,  9) =  0.186073E+01
  PKER_SDRYG( 19, 10) =  0.174202E+01
  PKER_SDRYG( 19, 11) =  0.163053E+01
  PKER_SDRYG( 19, 12) =  0.152584E+01
  PKER_SDRYG( 19, 13) =  0.142751E+01
  PKER_SDRYG( 19, 14) =  0.133517E+01
  PKER_SDRYG( 19, 15) =  0.124842E+01
  PKER_SDRYG( 19, 16) =  0.116694E+01
  PKER_SDRYG( 19, 17) =  0.109039E+01
  PKER_SDRYG( 19, 18) =  0.101846E+01
  PKER_SDRYG( 19, 19) =  0.950864E+00
  PKER_SDRYG( 19, 20) =  0.887315E+00
  PKER_SDRYG( 19, 21) =  0.827553E+00
  PKER_SDRYG( 19, 22) =  0.771326E+00
  PKER_SDRYG( 19, 23) =  0.718393E+00
  PKER_SDRYG( 19, 24) =  0.668523E+00
  PKER_SDRYG( 19, 25) =  0.621489E+00
  PKER_SDRYG( 19, 26) =  0.577071E+00
  PKER_SDRYG( 19, 27) =  0.535052E+00
  PKER_SDRYG( 19, 28) =  0.495215E+00
  PKER_SDRYG( 19, 29) =  0.457343E+00
  PKER_SDRYG( 19, 30) =  0.421219E+00
  PKER_SDRYG( 19, 31) =  0.386628E+00
  PKER_SDRYG( 19, 32) =  0.353366E+00
  PKER_SDRYG( 19, 33) =  0.321252E+00
  PKER_SDRYG( 19, 34) =  0.290155E+00
  PKER_SDRYG( 19, 35) =  0.260019E+00
  PKER_SDRYG( 19, 36) =  0.230899E+00
  PKER_SDRYG( 19, 37) =  0.202987E+00
  PKER_SDRYG( 19, 38) =  0.176611E+00
  PKER_SDRYG( 19, 39) =  0.152167E+00
  PKER_SDRYG( 19, 40) =  0.130090E+00
  PKER_SDRYG( 19, 41) =  0.110741E+00
  PKER_SDRYG( 19, 42) =  0.943181E-01
  PKER_SDRYG( 19, 43) =  0.809330E-01
  PKER_SDRYG( 19, 44) =  0.704716E-01
  PKER_SDRYG( 19, 45) =  0.626544E-01
  PKER_SDRYG( 19, 46) =  0.573699E-01
  PKER_SDRYG( 19, 47) =  0.541204E-01
  PKER_SDRYG( 19, 48) =  0.527083E-01
  PKER_SDRYG( 19, 49) =  0.527892E-01
  PKER_SDRYG( 19, 50) =  0.540394E-01
  PKER_SDRYG( 19, 51) =  0.562337E-01
  PKER_SDRYG( 19, 52) =  0.591260E-01
  PKER_SDRYG( 19, 53) =  0.625315E-01
  PKER_SDRYG( 19, 54) =  0.662926E-01
  PKER_SDRYG( 19, 55) =  0.702636E-01
  PKER_SDRYG( 19, 56) =  0.743493E-01
  PKER_SDRYG( 19, 57) =  0.784688E-01
  PKER_SDRYG( 19, 58) =  0.825487E-01
  PKER_SDRYG( 19, 59) =  0.865492E-01
  PKER_SDRYG( 19, 60) =  0.904344E-01
  PKER_SDRYG( 19, 61) =  0.941778E-01
  PKER_SDRYG( 19, 62) =  0.977677E-01
  PKER_SDRYG( 19, 63) =  0.101199E+00
  PKER_SDRYG( 19, 64) =  0.104457E+00
  PKER_SDRYG( 19, 65) =  0.107540E+00
  PKER_SDRYG( 19, 66) =  0.110449E+00
  PKER_SDRYG( 19, 67) =  0.113194E+00
  PKER_SDRYG( 19, 68) =  0.115786E+00
  PKER_SDRYG( 19, 69) =  0.118234E+00
  PKER_SDRYG( 19, 70) =  0.120546E+00
  PKER_SDRYG( 19, 71) =  0.122726E+00
  PKER_SDRYG( 19, 72) =  0.124778E+00
  PKER_SDRYG( 19, 73) =  0.126705E+00
  PKER_SDRYG( 19, 74) =  0.128515E+00
  PKER_SDRYG( 19, 75) =  0.130214E+00
  PKER_SDRYG( 19, 76) =  0.131809E+00
  PKER_SDRYG( 19, 77) =  0.133307E+00
  PKER_SDRYG( 19, 78) =  0.134712E+00
  PKER_SDRYG( 19, 79) =  0.136032E+00
  PKER_SDRYG( 19, 80) =  0.137271E+00
  PKER_SDRYG( 20,  1) =  0.314641E+01
  PKER_SDRYG( 20,  2) =  0.295004E+01
  PKER_SDRYG( 20,  3) =  0.276565E+01
  PKER_SDRYG( 20,  4) =  0.259251E+01
  PKER_SDRYG( 20,  5) =  0.242993E+01
  PKER_SDRYG( 20,  6) =  0.227726E+01
  PKER_SDRYG( 20,  7) =  0.213391E+01
  PKER_SDRYG( 20,  8) =  0.199929E+01
  PKER_SDRYG( 20,  9) =  0.187289E+01
  PKER_SDRYG( 20, 10) =  0.175419E+01
  PKER_SDRYG( 20, 11) =  0.164272E+01
  PKER_SDRYG( 20, 12) =  0.153804E+01
  PKER_SDRYG( 20, 13) =  0.143974E+01
  PKER_SDRYG( 20, 14) =  0.134741E+01
  PKER_SDRYG( 20, 15) =  0.126070E+01
  PKER_SDRYG( 20, 16) =  0.117926E+01
  PKER_SDRYG( 20, 17) =  0.110275E+01
  PKER_SDRYG( 20, 18) =  0.103088E+01
  PKER_SDRYG( 20, 19) =  0.963347E+00
  PKER_SDRYG( 20, 20) =  0.899882E+00
  PKER_SDRYG( 20, 21) =  0.840222E+00
  PKER_SDRYG( 20, 22) =  0.784121E+00
  PKER_SDRYG( 20, 23) =  0.731345E+00
  PKER_SDRYG( 20, 24) =  0.681666E+00
  PKER_SDRYG( 20, 25) =  0.634870E+00
  PKER_SDRYG( 20, 26) =  0.590745E+00
  PKER_SDRYG( 20, 27) =  0.549087E+00
  PKER_SDRYG( 20, 28) =  0.509694E+00
  PKER_SDRYG( 20, 29) =  0.472366E+00
  PKER_SDRYG( 20, 30) =  0.436902E+00
  PKER_SDRYG( 20, 31) =  0.403104E+00
  PKER_SDRYG( 20, 32) =  0.370773E+00
  PKER_SDRYG( 20, 33) =  0.339721E+00
  PKER_SDRYG( 20, 34) =  0.309780E+00
  PKER_SDRYG( 20, 35) =  0.280817E+00
  PKER_SDRYG( 20, 36) =  0.252766E+00
  PKER_SDRYG( 20, 37) =  0.225649E+00
  PKER_SDRYG( 20, 38) =  0.199598E+00
  PKER_SDRYG( 20, 39) =  0.174855E+00
  PKER_SDRYG( 20, 40) =  0.151733E+00
  PKER_SDRYG( 20, 41) =  0.130576E+00
  PKER_SDRYG( 20, 42) =  0.111685E+00
  PKER_SDRYG( 20, 43) =  0.952438E-01
  PKER_SDRYG( 20, 44) =  0.813642E-01
  PKER_SDRYG( 20, 45) =  0.700036E-01
  PKER_SDRYG( 20, 46) =  0.610159E-01
  PKER_SDRYG( 20, 47) =  0.542824E-01
  PKER_SDRYG( 20, 48) =  0.495365E-01
  PKER_SDRYG( 20, 49) =  0.465418E-01
  PKER_SDRYG( 20, 50) =  0.450362E-01
  PKER_SDRYG( 20, 51) =  0.448236E-01
  PKER_SDRYG( 20, 52) =  0.456174E-01
  PKER_SDRYG( 20, 53) =  0.472243E-01
  PKER_SDRYG( 20, 54) =  0.495059E-01
  PKER_SDRYG( 20, 55) =  0.522568E-01
  PKER_SDRYG( 20, 56) =  0.553442E-01
  PKER_SDRYG( 20, 57) =  0.586561E-01
  PKER_SDRYG( 20, 58) =  0.621124E-01
  PKER_SDRYG( 20, 59) =  0.656027E-01
  PKER_SDRYG( 20, 60) =  0.690997E-01
  PKER_SDRYG( 20, 61) =  0.725427E-01
  PKER_SDRYG( 20, 62) =  0.758958E-01
  PKER_SDRYG( 20, 63) =  0.791459E-01
  PKER_SDRYG( 20, 64) =  0.822686E-01
  PKER_SDRYG( 20, 65) =  0.852588E-01
  PKER_SDRYG( 20, 66) =  0.881095E-01
  PKER_SDRYG( 20, 67) =  0.908129E-01
  PKER_SDRYG( 20, 68) =  0.933663E-01
  PKER_SDRYG( 20, 69) =  0.957757E-01
  PKER_SDRYG( 20, 70) =  0.980498E-01
  PKER_SDRYG( 20, 71) =  0.100200E+00
  PKER_SDRYG( 20, 72) =  0.102230E+00
  PKER_SDRYG( 20, 73) =  0.104147E+00
  PKER_SDRYG( 20, 74) =  0.105953E+00
  PKER_SDRYG( 20, 75) =  0.107651E+00
  PKER_SDRYG( 20, 76) =  0.109246E+00
  PKER_SDRYG( 20, 77) =  0.110743E+00
  PKER_SDRYG( 20, 78) =  0.112149E+00
  PKER_SDRYG( 20, 79) =  0.113469E+00
  PKER_SDRYG( 20, 80) =  0.114708E+00
  PKER_SDRYG( 21,  1) =  0.315678E+01
  PKER_SDRYG( 21,  2) =  0.296041E+01
  PKER_SDRYG( 21,  3) =  0.277602E+01
  PKER_SDRYG( 21,  4) =  0.260288E+01
  PKER_SDRYG( 21,  5) =  0.244030E+01
  PKER_SDRYG( 21,  6) =  0.228764E+01
  PKER_SDRYG( 21,  7) =  0.214429E+01
  PKER_SDRYG( 21,  8) =  0.200969E+01
  PKER_SDRYG( 21,  9) =  0.188329E+01
  PKER_SDRYG( 21, 10) =  0.176459E+01
  PKER_SDRYG( 21, 11) =  0.165314E+01
  PKER_SDRYG( 21, 12) =  0.154847E+01
  PKER_SDRYG( 21, 13) =  0.145018E+01
  PKER_SDRYG( 21, 14) =  0.135788E+01
  PKER_SDRYG( 21, 15) =  0.127119E+01
  PKER_SDRYG( 21, 16) =  0.118977E+01
  PKER_SDRYG( 21, 17) =  0.111330E+01
  PKER_SDRYG( 21, 18) =  0.104147E+01
  PKER_SDRYG( 21, 19) =  0.973984E+00
  PKER_SDRYG( 21, 20) =  0.910579E+00
  PKER_SDRYG( 21, 21) =  0.850994E+00
  PKER_SDRYG( 21, 22) =  0.794985E+00
  PKER_SDRYG( 21, 23) =  0.742321E+00
  PKER_SDRYG( 21, 24) =  0.692781E+00
  PKER_SDRYG( 21, 25) =  0.646155E+00
  PKER_SDRYG( 21, 26) =  0.602240E+00
  PKER_SDRYG( 21, 27) =  0.560841E+00
  PKER_SDRYG( 21, 28) =  0.521767E+00
  PKER_SDRYG( 21, 29) =  0.484831E+00
  PKER_SDRYG( 21, 30) =  0.449847E+00
  PKER_SDRYG( 21, 31) =  0.416632E+00
  PKER_SDRYG( 21, 32) =  0.385000E+00
  PKER_SDRYG( 21, 33) =  0.354772E+00
  PKER_SDRYG( 21, 34) =  0.325773E+00
  PKER_SDRYG( 21, 35) =  0.297848E+00
  PKER_SDRYG( 21, 36) =  0.270871E+00
  PKER_SDRYG( 21, 37) =  0.244771E+00
  PKER_SDRYG( 21, 38) =  0.219552E+00
  PKER_SDRYG( 21, 39) =  0.195307E+00
  PKER_SDRYG( 21, 40) =  0.172218E+00
  PKER_SDRYG( 21, 41) =  0.150528E+00
  PKER_SDRYG( 21, 42) =  0.130506E+00
  PKER_SDRYG( 21, 43) =  0.112387E+00
  PKER_SDRYG( 21, 44) =  0.963217E-01
  PKER_SDRYG( 21, 45) =  0.824142E-01
  PKER_SDRYG( 21, 46) =  0.706536E-01
  PKER_SDRYG( 21, 47) =  0.609423E-01
  PKER_SDRYG( 21, 48) =  0.532273E-01
  PKER_SDRYG( 21, 49) =  0.473264E-01
  PKER_SDRYG( 21, 50) =  0.429933E-01
  PKER_SDRYG( 21, 51) =  0.402064E-01
  PKER_SDRYG( 21, 52) =  0.386102E-01
  PKER_SDRYG( 21, 53) =  0.381308E-01
  PKER_SDRYG( 21, 54) =  0.385657E-01
  PKER_SDRYG( 21, 55) =  0.397270E-01
  PKER_SDRYG( 21, 56) =  0.414742E-01
  PKER_SDRYG( 21, 57) =  0.436663E-01
  PKER_SDRYG( 21, 58) =  0.461938E-01
  PKER_SDRYG( 21, 59) =  0.489445E-01
  PKER_SDRYG( 21, 60) =  0.518374E-01
  PKER_SDRYG( 21, 61) =  0.548037E-01
  PKER_SDRYG( 21, 62) =  0.577875E-01
  PKER_SDRYG( 21, 63) =  0.607451E-01
  PKER_SDRYG( 21, 64) =  0.636436E-01
  PKER_SDRYG( 21, 65) =  0.664592E-01
  PKER_SDRYG( 21, 66) =  0.691751E-01
  PKER_SDRYG( 21, 67) =  0.717806E-01
  PKER_SDRYG( 21, 68) =  0.742731E-01
  PKER_SDRYG( 21, 69) =  0.766406E-01
  PKER_SDRYG( 21, 70) =  0.788820E-01
  PKER_SDRYG( 21, 71) =  0.809983E-01
  PKER_SDRYG( 21, 72) =  0.829967E-01
  PKER_SDRYG( 21, 73) =  0.848837E-01
  PKER_SDRYG( 21, 74) =  0.866675E-01
  PKER_SDRYG( 21, 75) =  0.883526E-01
  PKER_SDRYG( 21, 76) =  0.899415E-01
  PKER_SDRYG( 21, 77) =  0.914371E-01
  PKER_SDRYG( 21, 78) =  0.928426E-01
  PKER_SDRYG( 21, 79) =  0.941625E-01
  PKER_SDRYG( 21, 80) =  0.954017E-01
  PKER_SDRYG( 22,  1) =  0.316565E+01
  PKER_SDRYG( 22,  2) =  0.296928E+01
  PKER_SDRYG( 22,  3) =  0.278490E+01
  PKER_SDRYG( 22,  4) =  0.261176E+01
  PKER_SDRYG( 22,  5) =  0.244918E+01
  PKER_SDRYG( 22,  6) =  0.229652E+01
  PKER_SDRYG( 22,  7) =  0.215318E+01
  PKER_SDRYG( 22,  8) =  0.201857E+01
  PKER_SDRYG( 22,  9) =  0.189218E+01
  PKER_SDRYG( 22, 10) =  0.177349E+01
  PKER_SDRYG( 22, 11) =  0.166204E+01
  PKER_SDRYG( 22, 12) =  0.155739E+01
  PKER_SDRYG( 22, 13) =  0.145911E+01
  PKER_SDRYG( 22, 14) =  0.136682E+01
  PKER_SDRYG( 22, 15) =  0.128015E+01
  PKER_SDRYG( 22, 16) =  0.119875E+01
  PKER_SDRYG( 22, 17) =  0.112230E+01
  PKER_SDRYG( 22, 18) =  0.105050E+01
  PKER_SDRYG( 22, 19) =  0.983055E+00
  PKER_SDRYG( 22, 20) =  0.919694E+00
  PKER_SDRYG( 22, 21) =  0.860163E+00
  PKER_SDRYG( 22, 22) =  0.804221E+00
  PKER_SDRYG( 22, 23) =  0.751638E+00
  PKER_SDRYG( 22, 24) =  0.702199E+00
  PKER_SDRYG( 22, 25) =  0.655696E+00
  PKER_SDRYG( 22, 26) =  0.611933E+00
  PKER_SDRYG( 22, 27) =  0.570720E+00
  PKER_SDRYG( 22, 28) =  0.531876E+00
  PKER_SDRYG( 22, 29) =  0.495222E+00
  PKER_SDRYG( 22, 30) =  0.460585E+00
  PKER_SDRYG( 22, 31) =  0.427793E+00
  PKER_SDRYG( 22, 32) =  0.396676E+00
  PKER_SDRYG( 22, 33) =  0.367065E+00
  PKER_SDRYG( 22, 34) =  0.338793E+00
  PKER_SDRYG( 22, 35) =  0.311700E+00
  PKER_SDRYG( 22, 36) =  0.285643E+00
  PKER_SDRYG( 22, 37) =  0.260506E+00
  PKER_SDRYG( 22, 38) =  0.236218E+00
  PKER_SDRYG( 22, 39) =  0.212773E+00
  PKER_SDRYG( 22, 40) =  0.190240E+00
  PKER_SDRYG( 22, 41) =  0.168759E+00
  PKER_SDRYG( 22, 42) =  0.148523E+00
  PKER_SDRYG( 22, 43) =  0.129738E+00
  PKER_SDRYG( 22, 44) =  0.112583E+00
  PKER_SDRYG( 22, 45) =  0.971811E-01
  PKER_SDRYG( 22, 46) =  0.835936E-01
  PKER_SDRYG( 22, 47) =  0.718231E-01
  PKER_SDRYG( 22, 48) =  0.618072E-01
  PKER_SDRYG( 22, 49) =  0.534898E-01
  PKER_SDRYG( 22, 50) =  0.467624E-01
  PKER_SDRYG( 22, 51) =  0.414860E-01
  PKER_SDRYG( 22, 52) =  0.375763E-01
  PKER_SDRYG( 22, 53) =  0.348805E-01
  PKER_SDRYG( 22, 54) =  0.332667E-01
  PKER_SDRYG( 22, 55) =  0.325688E-01
  PKER_SDRYG( 22, 56) =  0.326954E-01
  PKER_SDRYG( 22, 57) =  0.334646E-01
  PKER_SDRYG( 22, 58) =  0.347486E-01
  PKER_SDRYG( 22, 59) =  0.364906E-01
  PKER_SDRYG( 22, 60) =  0.385370E-01
  PKER_SDRYG( 22, 61) =  0.408038E-01
  PKER_SDRYG( 22, 62) =  0.432264E-01
  PKER_SDRYG( 22, 63) =  0.457437E-01
  PKER_SDRYG( 22, 64) =  0.482800E-01
  PKER_SDRYG( 22, 65) =  0.508227E-01
  PKER_SDRYG( 22, 66) =  0.533231E-01
  PKER_SDRYG( 22, 67) =  0.557593E-01
  PKER_SDRYG( 22, 68) =  0.581222E-01
  PKER_SDRYG( 22, 69) =  0.603926E-01
  PKER_SDRYG( 22, 70) =  0.625678E-01
  PKER_SDRYG( 22, 71) =  0.646420E-01
  PKER_SDRYG( 22, 72) =  0.666097E-01
  PKER_SDRYG( 22, 73) =  0.684688E-01
  PKER_SDRYG( 22, 74) =  0.702238E-01
  PKER_SDRYG( 22, 75) =  0.718811E-01
  PKER_SDRYG( 22, 76) =  0.734478E-01
  PKER_SDRYG( 22, 77) =  0.749287E-01
  PKER_SDRYG( 22, 78) =  0.763265E-01
  PKER_SDRYG( 22, 79) =  0.776433E-01
  PKER_SDRYG( 22, 80) =  0.788817E-01
  PKER_SDRYG( 23,  1) =  0.317324E+01
  PKER_SDRYG( 23,  2) =  0.297688E+01
  PKER_SDRYG( 23,  3) =  0.279249E+01
  PKER_SDRYG( 23,  4) =  0.261935E+01
  PKER_SDRYG( 23,  5) =  0.245678E+01
  PKER_SDRYG( 23,  6) =  0.230412E+01
  PKER_SDRYG( 23,  7) =  0.216078E+01
  PKER_SDRYG( 23,  8) =  0.202618E+01
  PKER_SDRYG( 23,  9) =  0.189979E+01
  PKER_SDRYG( 23, 10) =  0.178111E+01
  PKER_SDRYG( 23, 11) =  0.166966E+01
  PKER_SDRYG( 23, 12) =  0.156501E+01
  PKER_SDRYG( 23, 13) =  0.146674E+01
  PKER_SDRYG( 23, 14) =  0.137446E+01
  PKER_SDRYG( 23, 15) =  0.128780E+01
  PKER_SDRYG( 23, 16) =  0.120642E+01
  PKER_SDRYG( 23, 17) =  0.112999E+01
  PKER_SDRYG( 23, 18) =  0.105821E+01
  PKER_SDRYG( 23, 19) =  0.990793E+00
  PKER_SDRYG( 23, 20) =  0.927466E+00
  PKER_SDRYG( 23, 21) =  0.867975E+00
  PKER_SDRYG( 23, 22) =  0.812081E+00
  PKER_SDRYG( 23, 23) =  0.759559E+00
  PKER_SDRYG( 23, 24) =  0.710192E+00
  PKER_SDRYG( 23, 25) =  0.663779E+00
  PKER_SDRYG( 23, 26) =  0.620126E+00
  PKER_SDRYG( 23, 27) =  0.579048E+00
  PKER_SDRYG( 23, 28) =  0.540370E+00
  PKER_SDRYG( 23, 29) =  0.503920E+00
  PKER_SDRYG( 23, 30) =  0.469534E+00
  PKER_SDRYG( 23, 31) =  0.437049E+00
  PKER_SDRYG( 23, 32) =  0.406307E+00
  PKER_SDRYG( 23, 33) =  0.377150E+00
  PKER_SDRYG( 23, 34) =  0.349422E+00
  PKER_SDRYG( 23, 35) =  0.322971E+00
  PKER_SDRYG( 23, 36) =  0.297649E+00
  PKER_SDRYG( 23, 37) =  0.273324E+00
  PKER_SDRYG( 23, 38) =  0.249890E+00
  PKER_SDRYG( 23, 39) =  0.227278E+00
  PKER_SDRYG( 23, 40) =  0.205477E+00
  PKER_SDRYG( 23, 41) =  0.184540E+00
  PKER_SDRYG( 23, 42) =  0.164581E+00
  PKER_SDRYG( 23, 43) =  0.145753E+00
  PKER_SDRYG( 23, 44) =  0.128220E+00
  PKER_SDRYG( 23, 45) =  0.112118E+00
  PKER_SDRYG( 23, 46) =  0.975291E-01
  PKER_SDRYG( 23, 47) =  0.844965E-01
  PKER_SDRYG( 23, 48) =  0.730043E-01
  PKER_SDRYG( 23, 49) =  0.629937E-01
  PKER_SDRYG( 23, 50) =  0.544338E-01
  PKER_SDRYG( 23, 51) =  0.472364E-01
  PKER_SDRYG( 23, 52) =  0.413003E-01
  PKER_SDRYG( 23, 53) =  0.366010E-01
  PKER_SDRYG( 23, 54) =  0.330232E-01
  PKER_SDRYG( 23, 55) =  0.304152E-01
  PKER_SDRYG( 23, 56) =  0.287909E-01
  PKER_SDRYG( 23, 57) =  0.279201E-01
  PKER_SDRYG( 23, 58) =  0.277828E-01
  PKER_SDRYG( 23, 59) =  0.282422E-01
  PKER_SDRYG( 23, 60) =  0.291874E-01
  PKER_SDRYG( 23, 61) =  0.305223E-01
  PKER_SDRYG( 23, 62) =  0.321561E-01
  PKER_SDRYG( 23, 63) =  0.340230E-01
  PKER_SDRYG( 23, 64) =  0.360382E-01
  PKER_SDRYG( 23, 65) =  0.381505E-01
  PKER_SDRYG( 23, 66) =  0.403137E-01
  PKER_SDRYG( 23, 67) =  0.424862E-01
  PKER_SDRYG( 23, 68) =  0.446395E-01
  PKER_SDRYG( 23, 69) =  0.467491E-01
  PKER_SDRYG( 23, 70) =  0.487982E-01
  PKER_SDRYG( 23, 71) =  0.507757E-01
  PKER_SDRYG( 23, 72) =  0.526730E-01
  PKER_SDRYG( 23, 73) =  0.544887E-01
  PKER_SDRYG( 23, 74) =  0.562135E-01
  PKER_SDRYG( 23, 75) =  0.578463E-01
  PKER_SDRYG( 23, 76) =  0.593889E-01
  PKER_SDRYG( 23, 77) =  0.608458E-01
  PKER_SDRYG( 23, 78) =  0.622217E-01
  PKER_SDRYG( 23, 79) =  0.635229E-01
  PKER_SDRYG( 23, 80) =  0.647520E-01
  PKER_SDRYG( 24,  1) =  0.317974E+01
  PKER_SDRYG( 24,  2) =  0.298337E+01
  PKER_SDRYG( 24,  3) =  0.279898E+01
  PKER_SDRYG( 24,  4) =  0.262585E+01
  PKER_SDRYG( 24,  5) =  0.246328E+01
  PKER_SDRYG( 24,  6) =  0.231062E+01
  PKER_SDRYG( 24,  7) =  0.216728E+01
  PKER_SDRYG( 24,  8) =  0.203268E+01
  PKER_SDRYG( 24,  9) =  0.190630E+01
  PKER_SDRYG( 24, 10) =  0.178762E+01
  PKER_SDRYG( 24, 11) =  0.167618E+01
  PKER_SDRYG( 24, 12) =  0.157153E+01
  PKER_SDRYG( 24, 13) =  0.147327E+01
  PKER_SDRYG( 24, 14) =  0.138100E+01
  PKER_SDRYG( 24, 15) =  0.129435E+01
  PKER_SDRYG( 24, 16) =  0.121298E+01
  PKER_SDRYG( 24, 17) =  0.113656E+01
  PKER_SDRYG( 24, 18) =  0.106480E+01
  PKER_SDRYG( 24, 19) =  0.997399E+00
  PKER_SDRYG( 24, 20) =  0.934096E+00
  PKER_SDRYG( 24, 21) =  0.874634E+00
  PKER_SDRYG( 24, 22) =  0.818777E+00
  PKER_SDRYG( 24, 23) =  0.766298E+00
  PKER_SDRYG( 24, 24) =  0.716985E+00
  PKER_SDRYG( 24, 25) =  0.670637E+00
  PKER_SDRYG( 24, 26) =  0.627064E+00
  PKER_SDRYG( 24, 27) =  0.586085E+00
  PKER_SDRYG( 24, 28) =  0.547527E+00
  PKER_SDRYG( 24, 29) =  0.511226E+00
  PKER_SDRYG( 24, 30) =  0.477021E+00
  PKER_SDRYG( 24, 31) =  0.444759E+00
  PKER_SDRYG( 24, 32) =  0.414290E+00
  PKER_SDRYG( 24, 33) =  0.385466E+00
  PKER_SDRYG( 24, 34) =  0.358141E+00
  PKER_SDRYG( 24, 35) =  0.332171E+00
  PKER_SDRYG( 24, 36) =  0.307415E+00
  PKER_SDRYG( 24, 37) =  0.283739E+00
  PKER_SDRYG( 24, 38) =  0.261021E+00
  PKER_SDRYG( 24, 39) =  0.239161E+00
  PKER_SDRYG( 24, 40) =  0.218098E+00
  PKER_SDRYG( 24, 41) =  0.197816E+00
  PKER_SDRYG( 24, 42) =  0.178358E+00
  PKER_SDRYG( 24, 43) =  0.159817E+00
  PKER_SDRYG( 24, 44) =  0.142322E+00
  PKER_SDRYG( 24, 45) =  0.126004E+00
  PKER_SDRYG( 24, 46) =  0.110966E+00
  PKER_SDRYG( 24, 47) =  0.972696E-01
  PKER_SDRYG( 24, 48) =  0.849240E-01
  PKER_SDRYG( 24, 49) =  0.739011E-01
  PKER_SDRYG( 24, 50) =  0.641503E-01
  PKER_SDRYG( 24, 51) =  0.556168E-01
  PKER_SDRYG( 24, 52) =  0.482410E-01
  PKER_SDRYG( 24, 53) =  0.419558E-01
  PKER_SDRYG( 24, 54) =  0.367232E-01
  PKER_SDRYG( 24, 55) =  0.324850E-01
  PKER_SDRYG( 24, 56) =  0.291562E-01
  PKER_SDRYG( 24, 57) =  0.266947E-01
  PKER_SDRYG( 24, 58) =  0.250249E-01
  PKER_SDRYG( 24, 59) =  0.240671E-01
  PKER_SDRYG( 24, 60) =  0.237119E-01
  PKER_SDRYG( 24, 61) =  0.239149E-01
  PKER_SDRYG( 24, 62) =  0.245541E-01
  PKER_SDRYG( 24, 63) =  0.255388E-01
  PKER_SDRYG( 24, 64) =  0.268448E-01
  PKER_SDRYG( 24, 65) =  0.283592E-01
  PKER_SDRYG( 24, 66) =  0.300237E-01
  PKER_SDRYG( 24, 67) =  0.317974E-01
  PKER_SDRYG( 24, 68) =  0.336350E-01
  PKER_SDRYG( 24, 69) =  0.354861E-01
  PKER_SDRYG( 24, 70) =  0.373396E-01
  PKER_SDRYG( 24, 71) =  0.391617E-01
  PKER_SDRYG( 24, 72) =  0.409381E-01
  PKER_SDRYG( 24, 73) =  0.426598E-01
  PKER_SDRYG( 24, 74) =  0.443148E-01
  PKER_SDRYG( 24, 75) =  0.459007E-01
  PKER_SDRYG( 24, 76) =  0.474126E-01
  PKER_SDRYG( 24, 77) =  0.488471E-01
  PKER_SDRYG( 24, 78) =  0.502027E-01
  PKER_SDRYG( 24, 79) =  0.514825E-01
  PKER_SDRYG( 24, 80) =  0.526915E-01
  PKER_SDRYG( 25,  1) =  0.318529E+01
  PKER_SDRYG( 25,  2) =  0.298893E+01
  PKER_SDRYG( 25,  3) =  0.280454E+01
  PKER_SDRYG( 25,  4) =  0.263141E+01
  PKER_SDRYG( 25,  5) =  0.246884E+01
  PKER_SDRYG( 25,  6) =  0.231618E+01
  PKER_SDRYG( 25,  7) =  0.217284E+01
  PKER_SDRYG( 25,  8) =  0.203825E+01
  PKER_SDRYG( 25,  9) =  0.191186E+01
  PKER_SDRYG( 25, 10) =  0.179319E+01
  PKER_SDRYG( 25, 11) =  0.168175E+01
  PKER_SDRYG( 25, 12) =  0.157711E+01
  PKER_SDRYG( 25, 13) =  0.147885E+01
  PKER_SDRYG( 25, 14) =  0.138659E+01
  PKER_SDRYG( 25, 15) =  0.129994E+01
  PKER_SDRYG( 25, 16) =  0.121858E+01
  PKER_SDRYG( 25, 17) =  0.114218E+01
  PKER_SDRYG( 25, 18) =  0.107042E+01
  PKER_SDRYG( 25, 19) =  0.100304E+01
  PKER_SDRYG( 25, 20) =  0.939754E+00
  PKER_SDRYG( 25, 21) =  0.880315E+00
  PKER_SDRYG( 25, 22) =  0.824484E+00
  PKER_SDRYG( 25, 23) =  0.772038E+00
  PKER_SDRYG( 25, 24) =  0.722764E+00
  PKER_SDRYG( 25, 25) =  0.676465E+00
  PKER_SDRYG( 25, 26) =  0.632951E+00
  PKER_SDRYG( 25, 27) =  0.592044E+00
  PKER_SDRYG( 25, 28) =  0.553574E+00
  PKER_SDRYG( 25, 29) =  0.517380E+00
  PKER_SDRYG( 25, 30) =  0.483308E+00
  PKER_SDRYG( 25, 31) =  0.451208E+00
  PKER_SDRYG( 25, 32) =  0.420937E+00
  PKER_SDRYG( 25, 33) =  0.392356E+00
  PKER_SDRYG( 25, 34) =  0.365326E+00
  PKER_SDRYG( 25, 35) =  0.339713E+00
  PKER_SDRYG( 25, 36) =  0.315384E+00
  PKER_SDRYG( 25, 37) =  0.292209E+00
  PKER_SDRYG( 25, 38) =  0.270064E+00
  PKER_SDRYG( 25, 39) =  0.248837E+00
  PKER_SDRYG( 25, 40) =  0.228437E+00
  PKER_SDRYG( 25, 41) =  0.208804E+00
  PKER_SDRYG( 25, 42) =  0.189923E+00
  PKER_SDRYG( 25, 43) =  0.171829E+00
  PKER_SDRYG( 25, 44) =  0.154601E+00
  PKER_SDRYG( 25, 45) =  0.138347E+00
  PKER_SDRYG( 25, 46) =  0.123178E+00
  PKER_SDRYG( 25, 47) =  0.109173E+00
  PKER_SDRYG( 25, 48) =  0.963727E-01
  PKER_SDRYG( 25, 49) =  0.847717E-01
  PKER_SDRYG( 25, 50) =  0.743296E-01
  PKER_SDRYG( 25, 51) =  0.649850E-01
  PKER_SDRYG( 25, 52) =  0.566822E-01
  PKER_SDRYG( 25, 53) =  0.493595E-01
  PKER_SDRYG( 25, 54) =  0.429562E-01
  PKER_SDRYG( 25, 55) =  0.374539E-01
  PKER_SDRYG( 25, 56) =  0.328017E-01
  PKER_SDRYG( 25, 57) =  0.289442E-01
  PKER_SDRYG( 25, 58) =  0.258795E-01
  PKER_SDRYG( 25, 59) =  0.235524E-01
  PKER_SDRYG( 25, 60) =  0.218674E-01
  PKER_SDRYG( 25, 61) =  0.208371E-01
  PKER_SDRYG( 25, 62) =  0.203194E-01
  PKER_SDRYG( 25, 63) =  0.203049E-01
  PKER_SDRYG( 25, 64) =  0.206977E-01
  PKER_SDRYG( 25, 65) =  0.214318E-01
  PKER_SDRYG( 25, 66) =  0.224335E-01
  PKER_SDRYG( 25, 67) =  0.236433E-01
  PKER_SDRYG( 25, 68) =  0.250200E-01
  PKER_SDRYG( 25, 69) =  0.264977E-01
  PKER_SDRYG( 25, 70) =  0.280428E-01
  PKER_SDRYG( 25, 71) =  0.296240E-01
  PKER_SDRYG( 25, 72) =  0.312105E-01
  PKER_SDRYG( 25, 73) =  0.327816E-01
  PKER_SDRYG( 25, 74) =  0.343205E-01
  PKER_SDRYG( 25, 75) =  0.358148E-01
  PKER_SDRYG( 25, 76) =  0.372575E-01
  PKER_SDRYG( 25, 77) =  0.386413E-01
  PKER_SDRYG( 25, 78) =  0.399659E-01
  PKER_SDRYG( 25, 79) =  0.412241E-01
  PKER_SDRYG( 25, 80) =  0.424150E-01
  PKER_SDRYG( 26,  1) =  0.319005E+01
  PKER_SDRYG( 26,  2) =  0.299368E+01
  PKER_SDRYG( 26,  3) =  0.280930E+01
  PKER_SDRYG( 26,  4) =  0.263616E+01
  PKER_SDRYG( 26,  5) =  0.247359E+01
  PKER_SDRYG( 26,  6) =  0.232094E+01
  PKER_SDRYG( 26,  7) =  0.217760E+01
  PKER_SDRYG( 26,  8) =  0.204301E+01
  PKER_SDRYG( 26,  9) =  0.191663E+01
  PKER_SDRYG( 26, 10) =  0.179795E+01
  PKER_SDRYG( 26, 11) =  0.168652E+01
  PKER_SDRYG( 26, 12) =  0.158188E+01
  PKER_SDRYG( 26, 13) =  0.148363E+01
  PKER_SDRYG( 26, 14) =  0.139136E+01
  PKER_SDRYG( 26, 15) =  0.130473E+01
  PKER_SDRYG( 26, 16) =  0.122337E+01
  PKER_SDRYG( 26, 17) =  0.114697E+01
  PKER_SDRYG( 26, 18) =  0.107523E+01
  PKER_SDRYG( 26, 19) =  0.100786E+01
  PKER_SDRYG( 26, 20) =  0.944586E+00
  PKER_SDRYG( 26, 21) =  0.885163E+00
  PKER_SDRYG( 26, 22) =  0.829352E+00
  PKER_SDRYG( 26, 23) =  0.776930E+00
  PKER_SDRYG( 26, 24) =  0.727686E+00
  PKER_SDRYG( 26, 25) =  0.681422E+00
  PKER_SDRYG( 26, 26) =  0.637952E+00
  PKER_SDRYG( 26, 27) =  0.597097E+00
  PKER_SDRYG( 26, 28) =  0.558692E+00
  PKER_SDRYG( 26, 29) =  0.522578E+00
  PKER_SDRYG( 26, 30) =  0.488602E+00
  PKER_SDRYG( 26, 31) =  0.456621E+00
  PKER_SDRYG( 26, 32) =  0.426495E+00
  PKER_SDRYG( 26, 33) =  0.398091E+00
  PKER_SDRYG( 26, 34) =  0.371278E+00
  PKER_SDRYG( 26, 35) =  0.345928E+00
  PKER_SDRYG( 26, 36) =  0.321917E+00
  PKER_SDRYG( 26, 37) =  0.299121E+00
  PKER_SDRYG( 26, 38) =  0.277419E+00
  PKER_SDRYG( 26, 39) =  0.256699E+00
  PKER_SDRYG( 26, 40) =  0.236857E+00
  PKER_SDRYG( 26, 41) =  0.217808E+00
  PKER_SDRYG( 26, 42) =  0.199498E+00
  PKER_SDRYG( 26, 43) =  0.181910E+00
  PKER_SDRYG( 26, 44) =  0.165073E+00
  PKER_SDRYG( 26, 45) =  0.149056E+00
  PKER_SDRYG( 26, 46) =  0.133952E+00
  PKER_SDRYG( 26, 47) =  0.119852E+00
  PKER_SDRYG( 26, 48) =  0.106824E+00
  PKER_SDRYG( 26, 49) =  0.948930E-01
  PKER_SDRYG( 26, 50) =  0.840437E-01
  PKER_SDRYG( 26, 51) =  0.742268E-01
  PKER_SDRYG( 26, 52) =  0.653792E-01
  PKER_SDRYG( 26, 53) =  0.574320E-01
  PKER_SDRYG( 26, 54) =  0.503214E-01
  PKER_SDRYG( 26, 55) =  0.439973E-01
  PKER_SDRYG( 26, 56) =  0.384248E-01
  PKER_SDRYG( 26, 57) =  0.335714E-01
  PKER_SDRYG( 26, 58) =  0.294087E-01
  PKER_SDRYG( 26, 59) =  0.259221E-01
  PKER_SDRYG( 26, 60) =  0.230931E-01
  PKER_SDRYG( 26, 61) =  0.208678E-01
  PKER_SDRYG( 26, 62) =  0.192226E-01
  PKER_SDRYG( 26, 63) =  0.181215E-01
  PKER_SDRYG( 26, 64) =  0.175118E-01
  PKER_SDRYG( 26, 65) =  0.173173E-01
  PKER_SDRYG( 26, 66) =  0.175126E-01
  PKER_SDRYG( 26, 67) =  0.180143E-01
  PKER_SDRYG( 26, 68) =  0.187588E-01
  PKER_SDRYG( 26, 69) =  0.197277E-01
  PKER_SDRYG( 26, 70) =  0.208458E-01
  PKER_SDRYG( 26, 71) =  0.220691E-01
  PKER_SDRYG( 26, 72) =  0.233679E-01
  PKER_SDRYG( 26, 73) =  0.247120E-01
  PKER_SDRYG( 26, 74) =  0.260656E-01
  PKER_SDRYG( 26, 75) =  0.274186E-01
  PKER_SDRYG( 26, 76) =  0.287488E-01
  PKER_SDRYG( 26, 77) =  0.300462E-01
  PKER_SDRYG( 26, 78) =  0.313023E-01
  PKER_SDRYG( 26, 79) =  0.325101E-01
  PKER_SDRYG( 26, 80) =  0.336677E-01
  PKER_SDRYG( 27,  1) =  0.319411E+01
  PKER_SDRYG( 27,  2) =  0.299775E+01
  PKER_SDRYG( 27,  3) =  0.281337E+01
  PKER_SDRYG( 27,  4) =  0.264023E+01
  PKER_SDRYG( 27,  5) =  0.247766E+01
  PKER_SDRYG( 27,  6) =  0.232501E+01
  PKER_SDRYG( 27,  7) =  0.218167E+01
  PKER_SDRYG( 27,  8) =  0.204708E+01
  PKER_SDRYG( 27,  9) =  0.192070E+01
  PKER_SDRYG( 27, 10) =  0.180203E+01
  PKER_SDRYG( 27, 11) =  0.169060E+01
  PKER_SDRYG( 27, 12) =  0.158596E+01
  PKER_SDRYG( 27, 13) =  0.148771E+01
  PKER_SDRYG( 27, 14) =  0.139545E+01
  PKER_SDRYG( 27, 15) =  0.130882E+01
  PKER_SDRYG( 27, 16) =  0.122746E+01
  PKER_SDRYG( 27, 17) =  0.115107E+01
  PKER_SDRYG( 27, 18) =  0.107934E+01
  PKER_SDRYG( 27, 19) =  0.101197E+01
  PKER_SDRYG( 27, 20) =  0.948712E+00
  PKER_SDRYG( 27, 21) =  0.889302E+00
  PKER_SDRYG( 27, 22) =  0.833506E+00
  PKER_SDRYG( 27, 23) =  0.781102E+00
  PKER_SDRYG( 27, 24) =  0.731880E+00
  PKER_SDRYG( 27, 25) =  0.685643E+00
  PKER_SDRYG( 27, 26) =  0.642205E+00
  PKER_SDRYG( 27, 27) =  0.601390E+00
  PKER_SDRYG( 27, 28) =  0.563032E+00
  PKER_SDRYG( 27, 29) =  0.526976E+00
  PKER_SDRYG( 27, 30) =  0.493071E+00
  PKER_SDRYG( 27, 31) =  0.461177E+00
  PKER_SDRYG( 27, 32) =  0.431158E+00
  PKER_SDRYG( 27, 33) =  0.402883E+00
  PKER_SDRYG( 27, 34) =  0.376229E+00
  PKER_SDRYG( 27, 35) =  0.351073E+00
  PKER_SDRYG( 27, 36) =  0.327297E+00
  PKER_SDRYG( 27, 37) =  0.304783E+00
  PKER_SDRYG( 27, 38) =  0.283419E+00
  PKER_SDRYG( 27, 39) =  0.263094E+00
  PKER_SDRYG( 27, 40) =  0.243701E+00
  PKER_SDRYG( 27, 41) =  0.225146E+00
  PKER_SDRYG( 27, 42) =  0.207352E+00
  PKER_SDRYG( 27, 43) =  0.190265E+00
  PKER_SDRYG( 27, 44) =  0.173872E+00
  PKER_SDRYG( 27, 45) =  0.158194E+00
  PKER_SDRYG( 27, 46) =  0.143292E+00
  PKER_SDRYG( 27, 47) =  0.129246E+00
  PKER_SDRYG( 27, 48) =  0.116137E+00
  PKER_SDRYG( 27, 49) =  0.104019E+00
  PKER_SDRYG( 27, 50) =  0.929097E-01
  PKER_SDRYG( 27, 51) =  0.827874E-01
  PKER_SDRYG( 27, 52) =  0.735998E-01
  PKER_SDRYG( 27, 53) =  0.652790E-01
  PKER_SDRYG( 27, 54) =  0.577537E-01
  PKER_SDRYG( 27, 55) =  0.509584E-01
  PKER_SDRYG( 27, 56) =  0.448376E-01
  PKER_SDRYG( 27, 57) =  0.393546E-01
  PKER_SDRYG( 27, 58) =  0.344768E-01
  PKER_SDRYG( 27, 59) =  0.301795E-01
  PKER_SDRYG( 27, 60) =  0.264605E-01
  PKER_SDRYG( 27, 61) =  0.233008E-01
  PKER_SDRYG( 27, 62) =  0.206714E-01
  PKER_SDRYG( 27, 63) =  0.185744E-01
  PKER_SDRYG( 27, 64) =  0.169884E-01
  PKER_SDRYG( 27, 65) =  0.158478E-01
  PKER_SDRYG( 27, 66) =  0.151582E-01
  PKER_SDRYG( 27, 67) =  0.148323E-01
  PKER_SDRYG( 27, 68) =  0.148592E-01
  PKER_SDRYG( 27, 69) =  0.151721E-01
  PKER_SDRYG( 27, 70) =  0.157308E-01
  PKER_SDRYG( 27, 71) =  0.164769E-01
  PKER_SDRYG( 27, 72) =  0.173707E-01
  PKER_SDRYG( 27, 73) =  0.183846E-01
  PKER_SDRYG( 27, 74) =  0.194688E-01
  PKER_SDRYG( 27, 75) =  0.206001E-01
  PKER_SDRYG( 27, 76) =  0.217573E-01
  PKER_SDRYG( 27, 77) =  0.229174E-01
  PKER_SDRYG( 27, 78) =  0.240651E-01
  PKER_SDRYG( 27, 79) =  0.251891E-01
  PKER_SDRYG( 27, 80) =  0.262800E-01
  PKER_SDRYG( 28,  1) =  0.319759E+01
  PKER_SDRYG( 28,  2) =  0.300123E+01
  PKER_SDRYG( 28,  3) =  0.281685E+01
  PKER_SDRYG( 28,  4) =  0.264371E+01
  PKER_SDRYG( 28,  5) =  0.248114E+01
  PKER_SDRYG( 28,  6) =  0.232849E+01
  PKER_SDRYG( 28,  7) =  0.218516E+01
  PKER_SDRYG( 28,  8) =  0.205056E+01
  PKER_SDRYG( 28,  9) =  0.192418E+01
  PKER_SDRYG( 28, 10) =  0.180551E+01
  PKER_SDRYG( 28, 11) =  0.169408E+01
  PKER_SDRYG( 28, 12) =  0.158945E+01
  PKER_SDRYG( 28, 13) =  0.149120E+01
  PKER_SDRYG( 28, 14) =  0.139894E+01
  PKER_SDRYG( 28, 15) =  0.131231E+01
  PKER_SDRYG( 28, 16) =  0.123097E+01
  PKER_SDRYG( 28, 17) =  0.115458E+01
  PKER_SDRYG( 28, 18) =  0.108285E+01
  PKER_SDRYG( 28, 19) =  0.101549E+01
  PKER_SDRYG( 28, 20) =  0.952238E+00
  PKER_SDRYG( 28, 21) =  0.892837E+00
  PKER_SDRYG( 28, 22) =  0.837052E+00
  PKER_SDRYG( 28, 23) =  0.784662E+00
  PKER_SDRYG( 28, 24) =  0.735456E+00
  PKER_SDRYG( 28, 25) =  0.689239E+00
  PKER_SDRYG( 28, 26) =  0.645825E+00
  PKER_SDRYG( 28, 27) =  0.605039E+00
  PKER_SDRYG( 28, 28) =  0.566718E+00
  PKER_SDRYG( 28, 29) =  0.530704E+00
  PKER_SDRYG( 28, 30) =  0.496852E+00
  PKER_SDRYG( 28, 31) =  0.465022E+00
  PKER_SDRYG( 28, 32) =  0.435081E+00
  PKER_SDRYG( 28, 33) =  0.406902E+00
  PKER_SDRYG( 28, 34) =  0.380365E+00
  PKER_SDRYG( 28, 35) =  0.355351E+00
  PKER_SDRYG( 28, 36) =  0.331748E+00
  PKER_SDRYG( 28, 37) =  0.309445E+00
  PKER_SDRYG( 28, 38) =  0.288334E+00
  PKER_SDRYG( 28, 39) =  0.268309E+00
  PKER_SDRYG( 28, 40) =  0.249267E+00
  PKER_SDRYG( 28, 41) =  0.231112E+00
  PKER_SDRYG( 28, 42) =  0.213755E+00
  PKER_SDRYG( 28, 43) =  0.197125E+00
  PKER_SDRYG( 28, 44) =  0.181172E+00
  PKER_SDRYG( 28, 45) =  0.165882E+00
  PKER_SDRYG( 28, 46) =  0.151274E+00
  PKER_SDRYG( 28, 47) =  0.137400E+00
  PKER_SDRYG( 28, 48) =  0.124331E+00
  PKER_SDRYG( 28, 49) =  0.112135E+00
  PKER_SDRYG( 28, 50) =  0.100860E+00
  PKER_SDRYG( 28, 51) =  0.905169E-01
  PKER_SDRYG( 28, 52) =  0.810815E-01
  PKER_SDRYG( 28, 53) =  0.725012E-01
  PKER_SDRYG( 28, 54) =  0.647084E-01
  PKER_SDRYG( 28, 55) =  0.576308E-01
  PKER_SDRYG( 28, 56) =  0.512005E-01
  PKER_SDRYG( 28, 57) =  0.453625E-01
  PKER_SDRYG( 28, 58) =  0.400717E-01
  PKER_SDRYG( 28, 59) =  0.352935E-01
  PKER_SDRYG( 28, 60) =  0.310071E-01
  PKER_SDRYG( 28, 61) =  0.272018E-01
  PKER_SDRYG( 28, 62) =  0.238669E-01
  PKER_SDRYG( 28, 63) =  0.209938E-01
  PKER_SDRYG( 28, 64) =  0.185775E-01
  PKER_SDRYG( 28, 65) =  0.166174E-01
  PKER_SDRYG( 28, 66) =  0.150755E-01
  PKER_SDRYG( 28, 67) =  0.139364E-01
  PKER_SDRYG( 28, 68) =  0.131851E-01
  PKER_SDRYG( 28, 69) =  0.127769E-01
  PKER_SDRYG( 28, 70) =  0.126668E-01
  PKER_SDRYG( 28, 71) =  0.128310E-01
  PKER_SDRYG( 28, 72) =  0.132148E-01
  PKER_SDRYG( 28, 73) =  0.137746E-01
  PKER_SDRYG( 28, 74) =  0.144895E-01
  PKER_SDRYG( 28, 75) =  0.153140E-01
  PKER_SDRYG( 28, 76) =  0.162131E-01
  PKER_SDRYG( 28, 77) =  0.171648E-01
  PKER_SDRYG( 28, 78) =  0.181488E-01
  PKER_SDRYG( 28, 79) =  0.191394E-01
  PKER_SDRYG( 28, 80) =  0.201280E-01
  PKER_SDRYG( 29,  1) =  0.320057E+01
  PKER_SDRYG( 29,  2) =  0.300421E+01
  PKER_SDRYG( 29,  3) =  0.281983E+01
  PKER_SDRYG( 29,  4) =  0.264669E+01
  PKER_SDRYG( 29,  5) =  0.248412E+01
  PKER_SDRYG( 29,  6) =  0.233147E+01
  PKER_SDRYG( 29,  7) =  0.218814E+01
  PKER_SDRYG( 29,  8) =  0.205355E+01
  PKER_SDRYG( 29,  9) =  0.192717E+01
  PKER_SDRYG( 29, 10) =  0.180850E+01
  PKER_SDRYG( 29, 11) =  0.169707E+01
  PKER_SDRYG( 29, 12) =  0.159244E+01
  PKER_SDRYG( 29, 13) =  0.149419E+01
  PKER_SDRYG( 29, 14) =  0.140193E+01
  PKER_SDRYG( 29, 15) =  0.131530E+01
  PKER_SDRYG( 29, 16) =  0.123396E+01
  PKER_SDRYG( 29, 17) =  0.115758E+01
  PKER_SDRYG( 29, 18) =  0.108585E+01
  PKER_SDRYG( 29, 19) =  0.101850E+01
  PKER_SDRYG( 29, 20) =  0.955250E+00
  PKER_SDRYG( 29, 21) =  0.895856E+00
  PKER_SDRYG( 29, 22) =  0.840080E+00
  PKER_SDRYG( 29, 23) =  0.787700E+00
  PKER_SDRYG( 29, 24) =  0.738507E+00
  PKER_SDRYG( 29, 25) =  0.692305E+00
  PKER_SDRYG( 29, 26) =  0.648909E+00
  PKER_SDRYG( 29, 27) =  0.608145E+00
  PKER_SDRYG( 29, 28) =  0.569850E+00
  PKER_SDRYG( 29, 29) =  0.533869E+00
  PKER_SDRYG( 29, 30) =  0.500057E+00
  PKER_SDRYG( 29, 31) =  0.468274E+00
  PKER_SDRYG( 29, 32) =  0.438391E+00
  PKER_SDRYG( 29, 33) =  0.410283E+00
  PKER_SDRYG( 29, 34) =  0.383831E+00
  PKER_SDRYG( 29, 35) =  0.358922E+00
  PKER_SDRYG( 29, 36) =  0.335447E+00
  PKER_SDRYG( 29, 37) =  0.313300E+00
  PKER_SDRYG( 29, 38) =  0.292377E+00
  PKER_SDRYG( 29, 39) =  0.272578E+00
  PKER_SDRYG( 29, 40) =  0.253805E+00
  PKER_SDRYG( 29, 41) =  0.235964E+00
  PKER_SDRYG( 29, 42) =  0.218962E+00
  PKER_SDRYG( 29, 43) =  0.202721E+00
  PKER_SDRYG( 29, 44) =  0.187172E+00
  PKER_SDRYG( 29, 45) =  0.172272E+00
  PKER_SDRYG( 29, 46) =  0.158003E+00
  PKER_SDRYG( 29, 47) =  0.144383E+00
  PKER_SDRYG( 29, 48) =  0.131457E+00
  PKER_SDRYG( 29, 49) =  0.119287E+00
  PKER_SDRYG( 29, 50) =  0.107934E+00
  PKER_SDRYG( 29, 51) =  0.974376E-01
  PKER_SDRYG( 29, 52) =  0.878049E-01
  PKER_SDRYG( 29, 53) =  0.790110E-01
  PKER_SDRYG( 29, 54) =  0.710047E-01
  PKER_SDRYG( 29, 55) =  0.637201E-01
  PKER_SDRYG( 29, 56) =  0.570871E-01
  PKER_SDRYG( 29, 57) =  0.510391E-01
  PKER_SDRYG( 29, 58) =  0.455190E-01
  PKER_SDRYG( 29, 59) =  0.404790E-01
  PKER_SDRYG( 29, 60) =  0.358835E-01
  PKER_SDRYG( 29, 61) =  0.317075E-01
  PKER_SDRYG( 29, 62) =  0.279360E-01
  PKER_SDRYG( 29, 63) =  0.245579E-01
  PKER_SDRYG( 29, 64) =  0.215683E-01
  PKER_SDRYG( 29, 65) =  0.189675E-01
  PKER_SDRYG( 29, 66) =  0.167538E-01
  PKER_SDRYG( 29, 67) =  0.149086E-01
  PKER_SDRYG( 29, 68) =  0.134333E-01
  PKER_SDRYG( 29, 69) =  0.123230E-01
  PKER_SDRYG( 29, 70) =  0.115303E-01
  PKER_SDRYG( 29, 71) =  0.110545E-01
  PKER_SDRYG( 29, 72) =  0.108420E-01
  PKER_SDRYG( 29, 73) =  0.108817E-01
  PKER_SDRYG( 29, 74) =  0.111244E-01
  PKER_SDRYG( 29, 75) =  0.115437E-01
  PKER_SDRYG( 29, 76) =  0.120983E-01
  PKER_SDRYG( 29, 77) =  0.127573E-01
  PKER_SDRYG( 29, 78) =  0.135034E-01
  PKER_SDRYG( 29, 79) =  0.142993E-01
  PKER_SDRYG( 29, 80) =  0.151279E-01
  PKER_SDRYG( 30,  1) =  0.320312E+01
  PKER_SDRYG( 30,  2) =  0.300676E+01
  PKER_SDRYG( 30,  3) =  0.282237E+01
  PKER_SDRYG( 30,  4) =  0.264924E+01
  PKER_SDRYG( 30,  5) =  0.248667E+01
  PKER_SDRYG( 30,  6) =  0.233402E+01
  PKER_SDRYG( 30,  7) =  0.219069E+01
  PKER_SDRYG( 30,  8) =  0.205610E+01
  PKER_SDRYG( 30,  9) =  0.192972E+01
  PKER_SDRYG( 30, 10) =  0.181105E+01
  PKER_SDRYG( 30, 11) =  0.169962E+01
  PKER_SDRYG( 30, 12) =  0.159499E+01
  PKER_SDRYG( 30, 13) =  0.149674E+01
  PKER_SDRYG( 30, 14) =  0.140449E+01
  PKER_SDRYG( 30, 15) =  0.131786E+01
  PKER_SDRYG( 30, 16) =  0.123652E+01
  PKER_SDRYG( 30, 17) =  0.116014E+01
  PKER_SDRYG( 30, 18) =  0.108842E+01
  PKER_SDRYG( 30, 19) =  0.102107E+01
  PKER_SDRYG( 30, 20) =  0.957825E+00
  PKER_SDRYG( 30, 21) =  0.898436E+00
  PKER_SDRYG( 30, 22) =  0.842667E+00
  PKER_SDRYG( 30, 23) =  0.790295E+00
  PKER_SDRYG( 30, 24) =  0.741111E+00
  PKER_SDRYG( 30, 25) =  0.694920E+00
  PKER_SDRYG( 30, 26) =  0.651538E+00
  PKER_SDRYG( 30, 27) =  0.610791E+00
  PKER_SDRYG( 30, 28) =  0.572516E+00
  PKER_SDRYG( 30, 29) =  0.536559E+00
  PKER_SDRYG( 30, 30) =  0.502776E+00
  PKER_SDRYG( 30, 31) =  0.471029E+00
  PKER_SDRYG( 30, 32) =  0.441189E+00
  PKER_SDRYG( 30, 33) =  0.413133E+00
  PKER_SDRYG( 30, 34) =  0.386745E+00
  PKER_SDRYG( 30, 35) =  0.361914E+00
  PKER_SDRYG( 30, 36) =  0.338534E+00
  PKER_SDRYG( 30, 37) =  0.316502E+00
  PKER_SDRYG( 30, 38) =  0.295719E+00
  PKER_SDRYG( 30, 39) =  0.276089E+00
  PKER_SDRYG( 30, 40) =  0.257519E+00
  PKER_SDRYG( 30, 41) =  0.239918E+00
  PKER_SDRYG( 30, 42) =  0.223197E+00
  PKER_SDRYG( 30, 43) =  0.207273E+00
  PKER_SDRYG( 30, 44) =  0.192071E+00
  PKER_SDRYG( 30, 45) =  0.177528E+00
  PKER_SDRYG( 30, 46) =  0.163604E+00
  PKER_SDRYG( 30, 47) =  0.150282E+00
  PKER_SDRYG( 30, 48) =  0.137575E+00
  PKER_SDRYG( 30, 49) =  0.125525E+00
  PKER_SDRYG( 30, 50) =  0.114185E+00
  PKER_SDRYG( 30, 51) =  0.103610E+00
  PKER_SDRYG( 30, 52) =  0.938314E-01
  PKER_SDRYG( 30, 53) =  0.848558E-01
  PKER_SDRYG( 30, 54) =  0.766574E-01
  PKER_SDRYG( 30, 55) =  0.691873E-01
  PKER_SDRYG( 30, 56) =  0.623830E-01
  PKER_SDRYG( 30, 57) =  0.561775E-01
  PKER_SDRYG( 30, 58) =  0.505069E-01
  PKER_SDRYG( 30, 59) =  0.453150E-01
  PKER_SDRYG( 30, 60) =  0.405539E-01
  PKER_SDRYG( 30, 61) =  0.361851E-01
  PKER_SDRYG( 30, 62) =  0.321814E-01
  PKER_SDRYG( 30, 63) =  0.285232E-01
  PKER_SDRYG( 30, 64) =  0.251963E-01
  PKER_SDRYG( 30, 65) =  0.221941E-01
  PKER_SDRYG( 30, 66) =  0.195174E-01
  PKER_SDRYG( 30, 67) =  0.171634E-01
  PKER_SDRYG( 30, 68) =  0.151306E-01
  PKER_SDRYG( 30, 69) =  0.134200E-01
  PKER_SDRYG( 30, 70) =  0.120326E-01
  PKER_SDRYG( 30, 71) =  0.109418E-01
  PKER_SDRYG( 30, 72) =  0.101394E-01
  PKER_SDRYG( 30, 73) =  0.961608E-02
  PKER_SDRYG( 30, 74) =  0.933453E-02
  PKER_SDRYG( 30, 75) =  0.927173E-02
  PKER_SDRYG( 30, 76) =  0.940407E-02
  PKER_SDRYG( 30, 77) =  0.969318E-02
  PKER_SDRYG( 30, 78) =  0.101124E-01
  PKER_SDRYG( 30, 79) =  0.106403E-01
  PKER_SDRYG( 30, 80) =  0.112467E-01
  PKER_SDRYG( 31,  1) =  0.320530E+01
  PKER_SDRYG( 31,  2) =  0.300894E+01
  PKER_SDRYG( 31,  3) =  0.282455E+01
  PKER_SDRYG( 31,  4) =  0.265142E+01
  PKER_SDRYG( 31,  5) =  0.248885E+01
  PKER_SDRYG( 31,  6) =  0.233620E+01
  PKER_SDRYG( 31,  7) =  0.219287E+01
  PKER_SDRYG( 31,  8) =  0.205828E+01
  PKER_SDRYG( 31,  9) =  0.193190E+01
  PKER_SDRYG( 31, 10) =  0.181323E+01
  PKER_SDRYG( 31, 11) =  0.170180E+01
  PKER_SDRYG( 31, 12) =  0.159717E+01
  PKER_SDRYG( 31, 13) =  0.149893E+01
  PKER_SDRYG( 31, 14) =  0.140668E+01
  PKER_SDRYG( 31, 15) =  0.132005E+01
  PKER_SDRYG( 31, 16) =  0.123871E+01
  PKER_SDRYG( 31, 17) =  0.116233E+01
  PKER_SDRYG( 31, 18) =  0.109061E+01
  PKER_SDRYG( 31, 19) =  0.102327E+01
  PKER_SDRYG( 31, 20) =  0.960026E+00
  PKER_SDRYG( 31, 21) =  0.900641E+00
  PKER_SDRYG( 31, 22) =  0.844877E+00
  PKER_SDRYG( 31, 23) =  0.792511E+00
  PKER_SDRYG( 31, 24) =  0.743334E+00
  PKER_SDRYG( 31, 25) =  0.697152E+00
  PKER_SDRYG( 31, 26) =  0.653780E+00
  PKER_SDRYG( 31, 27) =  0.613046E+00
  PKER_SDRYG( 31, 28) =  0.574786E+00
  PKER_SDRYG( 31, 29) =  0.538847E+00
  PKER_SDRYG( 31, 30) =  0.505086E+00
  PKER_SDRYG( 31, 31) =  0.473366E+00
  PKER_SDRYG( 31, 32) =  0.443558E+00
  PKER_SDRYG( 31, 33) =  0.415542E+00
  PKER_SDRYG( 31, 34) =  0.389201E+00
  PKER_SDRYG( 31, 35) =  0.364428E+00
  PKER_SDRYG( 31, 36) =  0.341118E+00
  PKER_SDRYG( 31, 37) =  0.319171E+00
  PKER_SDRYG( 31, 38) =  0.298492E+00
  PKER_SDRYG( 31, 39) =  0.278989E+00
  PKER_SDRYG( 31, 40) =  0.260571E+00
  PKER_SDRYG( 31, 41) =  0.243153E+00
  PKER_SDRYG( 31, 42) =  0.226648E+00
  PKER_SDRYG( 31, 43) =  0.210975E+00
  PKER_SDRYG( 31, 44) =  0.196056E+00
  PKER_SDRYG( 31, 45) =  0.181823E+00
  PKER_SDRYG( 31, 46) =  0.168217E+00
  PKER_SDRYG( 31, 47) =  0.155200E+00
  PKER_SDRYG( 31, 48) =  0.142755E+00
  PKER_SDRYG( 31, 49) =  0.130895E+00
  PKER_SDRYG( 31, 50) =  0.119654E+00
  PKER_SDRYG( 31, 51) =  0.109081E+00
  PKER_SDRYG( 31, 52) =  0.992231E-01
  PKER_SDRYG( 31, 53) =  0.901085E-01
  PKER_SDRYG( 31, 54) =  0.817403E-01
  PKER_SDRYG( 31, 55) =  0.740936E-01
  PKER_SDRYG( 31, 56) =  0.671220E-01
  PKER_SDRYG( 31, 57) =  0.607667E-01
  PKER_SDRYG( 31, 58) =  0.549649E-01
  PKER_SDRYG( 31, 59) =  0.496562E-01
  PKER_SDRYG( 31, 60) =  0.447864E-01
  PKER_SDRYG( 31, 61) =  0.403087E-01
  PKER_SDRYG( 31, 62) =  0.361850E-01
  PKER_SDRYG( 31, 63) =  0.323859E-01
  PKER_SDRYG( 31, 64) =  0.288877E-01
  PKER_SDRYG( 31, 65) =  0.256749E-01
  PKER_SDRYG( 31, 66) =  0.227386E-01
  PKER_SDRYG( 31, 67) =  0.200734E-01
  PKER_SDRYG( 31, 68) =  0.176775E-01
  PKER_SDRYG( 31, 69) =  0.155527E-01
  PKER_SDRYG( 31, 70) =  0.136989E-01
  PKER_SDRYG( 31, 71) =  0.121210E-01
  PKER_SDRYG( 31, 72) =  0.108058E-01
  PKER_SDRYG( 31, 73) =  0.975234E-02
  PKER_SDRYG( 31, 74) =  0.896449E-02
  PKER_SDRYG( 31, 75) =  0.840572E-02
  PKER_SDRYG( 31, 76) =  0.807166E-02
  PKER_SDRYG( 31, 77) =  0.793136E-02
  PKER_SDRYG( 31, 78) =  0.797231E-02
  PKER_SDRYG( 31, 79) =  0.815684E-02
  PKER_SDRYG( 31, 80) =  0.847058E-02
  PKER_SDRYG( 32,  1) =  0.320717E+01
  PKER_SDRYG( 32,  2) =  0.301080E+01
  PKER_SDRYG( 32,  3) =  0.282642E+01
  PKER_SDRYG( 32,  4) =  0.265329E+01
  PKER_SDRYG( 32,  5) =  0.249072E+01
  PKER_SDRYG( 32,  6) =  0.233807E+01
  PKER_SDRYG( 32,  7) =  0.219474E+01
  PKER_SDRYG( 32,  8) =  0.206015E+01
  PKER_SDRYG( 32,  9) =  0.193377E+01
  PKER_SDRYG( 32, 10) =  0.181510E+01
  PKER_SDRYG( 32, 11) =  0.170367E+01
  PKER_SDRYG( 32, 12) =  0.159904E+01
  PKER_SDRYG( 32, 13) =  0.150080E+01
  PKER_SDRYG( 32, 14) =  0.140855E+01
  PKER_SDRYG( 32, 15) =  0.132192E+01
  PKER_SDRYG( 32, 16) =  0.124058E+01
  PKER_SDRYG( 32, 17) =  0.116421E+01
  PKER_SDRYG( 32, 18) =  0.109249E+01
  PKER_SDRYG( 32, 19) =  0.102514E+01
  PKER_SDRYG( 32, 20) =  0.961907E+00
  PKER_SDRYG( 32, 21) =  0.902526E+00
  PKER_SDRYG( 32, 22) =  0.846765E+00
  PKER_SDRYG( 32, 23) =  0.794404E+00
  PKER_SDRYG( 32, 24) =  0.745233E+00
  PKER_SDRYG( 32, 25) =  0.699057E+00
  PKER_SDRYG( 32, 26) =  0.655693E+00
  PKER_SDRYG( 32, 27) =  0.614968E+00
  PKER_SDRYG( 32, 28) =  0.576720E+00
  PKER_SDRYG( 32, 29) =  0.540795E+00
  PKER_SDRYG( 32, 30) =  0.507051E+00
  PKER_SDRYG( 32, 31) =  0.475350E+00
  PKER_SDRYG( 32, 32) =  0.445567E+00
  PKER_SDRYG( 32, 33) =  0.417580E+00
  PKER_SDRYG( 32, 34) =  0.391276E+00
  PKER_SDRYG( 32, 35) =  0.366546E+00
  PKER_SDRYG( 32, 36) =  0.343288E+00
  PKER_SDRYG( 32, 37) =  0.321405E+00
  PKER_SDRYG( 32, 38) =  0.300804E+00
  PKER_SDRYG( 32, 39) =  0.281394E+00
  PKER_SDRYG( 32, 40) =  0.263091E+00
  PKER_SDRYG( 32, 41) =  0.245809E+00
  PKER_SDRYG( 32, 42) =  0.229469E+00
  PKER_SDRYG( 32, 43) =  0.213990E+00
  PKER_SDRYG( 32, 44) =  0.199297E+00
  PKER_SDRYG( 32, 45) =  0.185318E+00
  PKER_SDRYG( 32, 46) =  0.171989E+00
  PKER_SDRYG( 32, 47) =  0.159255E+00
  PKER_SDRYG( 32, 48) =  0.147081E+00
  PKER_SDRYG( 32, 49) =  0.135452E+00
  PKER_SDRYG( 32, 50) =  0.124376E+00
  PKER_SDRYG( 32, 51) =  0.113884E+00
  PKER_SDRYG( 32, 52) =  0.104021E+00
  PKER_SDRYG( 32, 53) =  0.948256E-01
  PKER_SDRYG( 32, 54) =  0.863244E-01
  PKER_SDRYG( 32, 55) =  0.785179E-01
  PKER_SDRYG( 32, 56) =  0.713821E-01
  PKER_SDRYG( 32, 57) =  0.648731E-01
  PKER_SDRYG( 32, 58) =  0.589359E-01
  PKER_SDRYG( 32, 59) =  0.535119E-01
  PKER_SDRYG( 32, 60) =  0.485445E-01
  PKER_SDRYG( 32, 61) =  0.439825E-01
  PKER_SDRYG( 32, 62) =  0.397817E-01
  PKER_SDRYG( 32, 63) =  0.359045E-01
  PKER_SDRYG( 32, 64) =  0.323209E-01
  PKER_SDRYG( 32, 65) =  0.290070E-01
  PKER_SDRYG( 32, 66) =  0.259441E-01
  PKER_SDRYG( 32, 67) =  0.231196E-01
  PKER_SDRYG( 32, 68) =  0.205267E-01
  PKER_SDRYG( 32, 69) =  0.181592E-01
  PKER_SDRYG( 32, 70) =  0.160162E-01
  PKER_SDRYG( 32, 71) =  0.141022E-01
  PKER_SDRYG( 32, 72) =  0.124158E-01
  PKER_SDRYG( 32, 73) =  0.109584E-01
  PKER_SDRYG( 32, 74) =  0.973316E-02
  PKER_SDRYG( 32, 75) =  0.873966E-02
  PKER_SDRYG( 32, 76) =  0.796029E-02
  PKER_SDRYG( 32, 77) =  0.738911E-02
  PKER_SDRYG( 32, 78) =  0.702077E-02
  PKER_SDRYG( 32, 79) =  0.682454E-02
  PKER_SDRYG( 32, 80) =  0.678880E-02
  PKER_SDRYG( 33,  1) =  0.320876E+01
  PKER_SDRYG( 33,  2) =  0.301240E+01
  PKER_SDRYG( 33,  3) =  0.282802E+01
  PKER_SDRYG( 33,  4) =  0.265489E+01
  PKER_SDRYG( 33,  5) =  0.249232E+01
  PKER_SDRYG( 33,  6) =  0.233967E+01
  PKER_SDRYG( 33,  7) =  0.219633E+01
  PKER_SDRYG( 33,  8) =  0.206174E+01
  PKER_SDRYG( 33,  9) =  0.193536E+01
  PKER_SDRYG( 33, 10) =  0.181670E+01
  PKER_SDRYG( 33, 11) =  0.170527E+01
  PKER_SDRYG( 33, 12) =  0.160064E+01
  PKER_SDRYG( 33, 13) =  0.150240E+01
  PKER_SDRYG( 33, 14) =  0.141015E+01
  PKER_SDRYG( 33, 15) =  0.132352E+01
  PKER_SDRYG( 33, 16) =  0.124219E+01
  PKER_SDRYG( 33, 17) =  0.116581E+01
  PKER_SDRYG( 33, 18) =  0.109409E+01
  PKER_SDRYG( 33, 19) =  0.102675E+01
  PKER_SDRYG( 33, 20) =  0.963516E+00
  PKER_SDRYG( 33, 21) =  0.904137E+00
  PKER_SDRYG( 33, 22) =  0.848379E+00
  PKER_SDRYG( 33, 23) =  0.796021E+00
  PKER_SDRYG( 33, 24) =  0.746854E+00
  PKER_SDRYG( 33, 25) =  0.700684E+00
  PKER_SDRYG( 33, 26) =  0.657326E+00
  PKER_SDRYG( 33, 27) =  0.616608E+00
  PKER_SDRYG( 33, 28) =  0.578369E+00
  PKER_SDRYG( 33, 29) =  0.542455E+00
  PKER_SDRYG( 33, 30) =  0.508723E+00
  PKER_SDRYG( 33, 31) =  0.477038E+00
  PKER_SDRYG( 33, 32) =  0.447273E+00
  PKER_SDRYG( 33, 33) =  0.419308E+00
  PKER_SDRYG( 33, 34) =  0.393031E+00
  PKER_SDRYG( 33, 35) =  0.368334E+00
  PKER_SDRYG( 33, 36) =  0.345115E+00
  PKER_SDRYG( 33, 37) =  0.323280E+00
  PKER_SDRYG( 33, 38) =  0.302737E+00
  PKER_SDRYG( 33, 39) =  0.283398E+00
  PKER_SDRYG( 33, 40) =  0.265179E+00
  PKER_SDRYG( 33, 41) =  0.248001E+00
  PKER_SDRYG( 33, 42) =  0.231784E+00
  PKER_SDRYG( 33, 43) =  0.216454E+00
  PKER_SDRYG( 33, 44) =  0.201936E+00
  PKER_SDRYG( 33, 45) =  0.188160E+00
  PKER_SDRYG( 33, 46) =  0.175059E+00
  PKER_SDRYG( 33, 47) =  0.162573E+00
  PKER_SDRYG( 33, 48) =  0.150653E+00
  PKER_SDRYG( 33, 49) =  0.139264E+00
  PKER_SDRYG( 33, 50) =  0.128391E+00
  PKER_SDRYG( 33, 51) =  0.118043E+00
  PKER_SDRYG( 33, 52) =  0.108246E+00
  PKER_SDRYG( 33, 53) =  0.990391E-01
  PKER_SDRYG( 33, 54) =  0.904578E-01
  PKER_SDRYG( 33, 55) =  0.825243E-01
  PKER_SDRYG( 33, 56) =  0.752379E-01
  PKER_SDRYG( 33, 57) =  0.685753E-01
  PKER_SDRYG( 33, 58) =  0.624955E-01
  PKER_SDRYG( 33, 59) =  0.569470E-01
  PKER_SDRYG( 33, 60) =  0.518753E-01
  PKER_SDRYG( 33, 61) =  0.472275E-01
  PKER_SDRYG( 33, 62) =  0.429558E-01
  PKER_SDRYG( 33, 63) =  0.390186E-01
  PKER_SDRYG( 33, 64) =  0.353804E-01
  PKER_SDRYG( 33, 65) =  0.320117E-01
  PKER_SDRYG( 33, 66) =  0.288882E-01
  PKER_SDRYG( 33, 67) =  0.259908E-01
  PKER_SDRYG( 33, 68) =  0.233051E-01
  PKER_SDRYG( 33, 69) =  0.208197E-01
  PKER_SDRYG( 33, 70) =  0.185279E-01
  PKER_SDRYG( 33, 71) =  0.164268E-01
  PKER_SDRYG( 33, 72) =  0.145150E-01
  PKER_SDRYG( 33, 73) =  0.127936E-01
  PKER_SDRYG( 33, 74) =  0.112662E-01
  PKER_SDRYG( 33, 75) =  0.993136E-02
  PKER_SDRYG( 33, 76) =  0.879659E-02
  PKER_SDRYG( 33, 77) =  0.785167E-02
  PKER_SDRYG( 33, 78) =  0.709416E-02
  PKER_SDRYG( 33, 79) =  0.653114E-02
  PKER_SDRYG( 33, 80) =  0.613422E-02
  PKER_SDRYG( 34,  1) =  0.321013E+01
  PKER_SDRYG( 34,  2) =  0.301377E+01
  PKER_SDRYG( 34,  3) =  0.282938E+01
  PKER_SDRYG( 34,  4) =  0.265625E+01
  PKER_SDRYG( 34,  5) =  0.249368E+01
  PKER_SDRYG( 34,  6) =  0.234103E+01
  PKER_SDRYG( 34,  7) =  0.219770E+01
  PKER_SDRYG( 34,  8) =  0.206311E+01
  PKER_SDRYG( 34,  9) =  0.193673E+01
  PKER_SDRYG( 34, 10) =  0.181807E+01
  PKER_SDRYG( 34, 11) =  0.170664E+01
  PKER_SDRYG( 34, 12) =  0.160201E+01
  PKER_SDRYG( 34, 13) =  0.150377E+01
  PKER_SDRYG( 34, 14) =  0.141152E+01
  PKER_SDRYG( 34, 15) =  0.132489E+01
  PKER_SDRYG( 34, 16) =  0.124356E+01
  PKER_SDRYG( 34, 17) =  0.116718E+01
  PKER_SDRYG( 34, 18) =  0.109547E+01
  PKER_SDRYG( 34, 19) =  0.102812E+01
  PKER_SDRYG( 34, 20) =  0.964891E+00
  PKER_SDRYG( 34, 21) =  0.905514E+00
  PKER_SDRYG( 34, 22) =  0.849759E+00
  PKER_SDRYG( 34, 23) =  0.797403E+00
  PKER_SDRYG( 34, 24) =  0.748240E+00
  PKER_SDRYG( 34, 25) =  0.702073E+00
  PKER_SDRYG( 34, 26) =  0.658720E+00
  PKER_SDRYG( 34, 27) =  0.618008E+00
  PKER_SDRYG( 34, 28) =  0.579775E+00
  PKER_SDRYG( 34, 29) =  0.543869E+00
  PKER_SDRYG( 34, 30) =  0.510147E+00
  PKER_SDRYG( 34, 31) =  0.478474E+00
  PKER_SDRYG( 34, 32) =  0.448723E+00
  PKER_SDRYG( 34, 33) =  0.420775E+00
  PKER_SDRYG( 34, 34) =  0.394518E+00
  PKER_SDRYG( 34, 35) =  0.369845E+00
  PKER_SDRYG( 34, 36) =  0.346657E+00
  PKER_SDRYG( 34, 37) =  0.324858E+00
  PKER_SDRYG( 34, 38) =  0.304358E+00
  PKER_SDRYG( 34, 39) =  0.285071E+00
  PKER_SDRYG( 34, 40) =  0.266917E+00
  PKER_SDRYG( 34, 41) =  0.249816E+00
  PKER_SDRYG( 34, 42) =  0.233693E+00
  PKER_SDRYG( 34, 43) =  0.218475E+00
  PKER_SDRYG( 34, 44) =  0.204091E+00
  PKER_SDRYG( 34, 45) =  0.190473E+00
  PKER_SDRYG( 34, 46) =  0.177555E+00
  PKER_SDRYG( 34, 47) =  0.165275E+00
  PKER_SDRYG( 34, 48) =  0.153578E+00
  PKER_SDRYG( 34, 49) =  0.142416E+00
  PKER_SDRYG( 34, 50) =  0.131757E+00
  PKER_SDRYG( 34, 51) =  0.121589E+00
  PKER_SDRYG( 34, 52) =  0.111916E+00
  PKER_SDRYG( 34, 53) =  0.102764E+00
  PKER_SDRYG( 34, 54) =  0.941652E-01
  PKER_SDRYG( 34, 55) =  0.861526E-01
  PKER_SDRYG( 34, 56) =  0.787448E-01
  PKER_SDRYG( 34, 57) =  0.719403E-01
  PKER_SDRYG( 34, 58) =  0.657167E-01
  PKER_SDRYG( 34, 59) =  0.600352E-01
  PKER_SDRYG( 34, 60) =  0.548480E-01
  PKER_SDRYG( 34, 61) =  0.501041E-01
  PKER_SDRYG( 34, 62) =  0.457547E-01
  PKER_SDRYG( 34, 63) =  0.417550E-01
  PKER_SDRYG( 34, 64) =  0.380663E-01
  PKER_SDRYG( 34, 65) =  0.346552E-01
  PKER_SDRYG( 34, 66) =  0.314935E-01
  PKER_SDRYG( 34, 67) =  0.285580E-01
  PKER_SDRYG( 34, 68) =  0.258292E-01
  PKER_SDRYG( 34, 69) =  0.232916E-01
  PKER_SDRYG( 34, 70) =  0.209331E-01
  PKER_SDRYG( 34, 71) =  0.187445E-01
  PKER_SDRYG( 34, 72) =  0.167197E-01
  PKER_SDRYG( 34, 73) =  0.148560E-01
  PKER_SDRYG( 34, 74) =  0.131512E-01
  PKER_SDRYG( 34, 75) =  0.116067E-01
  PKER_SDRYG( 34, 76) =  0.102254E-01
  PKER_SDRYG( 34, 77) =  0.900807E-02
  PKER_SDRYG( 34, 78) =  0.795670E-02
  PKER_SDRYG( 34, 79) =  0.707317E-02
  PKER_SDRYG( 34, 80) =  0.635774E-02
  PKER_SDRYG( 35,  1) =  0.321130E+01
  PKER_SDRYG( 35,  2) =  0.301493E+01
  PKER_SDRYG( 35,  3) =  0.283055E+01
  PKER_SDRYG( 35,  4) =  0.265742E+01
  PKER_SDRYG( 35,  5) =  0.249485E+01
  PKER_SDRYG( 35,  6) =  0.234220E+01
  PKER_SDRYG( 35,  7) =  0.219887E+01
  PKER_SDRYG( 35,  8) =  0.206428E+01
  PKER_SDRYG( 35,  9) =  0.193790E+01
  PKER_SDRYG( 35, 10) =  0.181923E+01
  PKER_SDRYG( 35, 11) =  0.170781E+01
  PKER_SDRYG( 35, 12) =  0.160318E+01
  PKER_SDRYG( 35, 13) =  0.150494E+01
  PKER_SDRYG( 35, 14) =  0.141269E+01
  PKER_SDRYG( 35, 15) =  0.132607E+01
  PKER_SDRYG( 35, 16) =  0.124473E+01
  PKER_SDRYG( 35, 17) =  0.116835E+01
  PKER_SDRYG( 35, 18) =  0.109664E+01
  PKER_SDRYG( 35, 19) =  0.102930E+01
  PKER_SDRYG( 35, 20) =  0.966067E+00
  PKER_SDRYG( 35, 21) =  0.906692E+00
  PKER_SDRYG( 35, 22) =  0.850938E+00
  PKER_SDRYG( 35, 23) =  0.798585E+00
  PKER_SDRYG( 35, 24) =  0.749424E+00
  PKER_SDRYG( 35, 25) =  0.703260E+00
  PKER_SDRYG( 35, 26) =  0.659911E+00
  PKER_SDRYG( 35, 27) =  0.619203E+00
  PKER_SDRYG( 35, 28) =  0.580975E+00
  PKER_SDRYG( 35, 29) =  0.545076E+00
  PKER_SDRYG( 35, 30) =  0.511361E+00
  PKER_SDRYG( 35, 31) =  0.479697E+00
  PKER_SDRYG( 35, 32) =  0.449956E+00
  PKER_SDRYG( 35, 33) =  0.422022E+00
  PKER_SDRYG( 35, 34) =  0.395780E+00
  PKER_SDRYG( 35, 35) =  0.371126E+00
  PKER_SDRYG( 35, 36) =  0.347960E+00
  PKER_SDRYG( 35, 37) =  0.326188E+00
  PKER_SDRYG( 35, 38) =  0.305721E+00
  PKER_SDRYG( 35, 39) =  0.286474E+00
  PKER_SDRYG( 35, 40) =  0.268367E+00
  PKER_SDRYG( 35, 41) =  0.251325E+00
  PKER_SDRYG( 35, 42) =  0.235272E+00
  PKER_SDRYG( 35, 43) =  0.220139E+00
  PKER_SDRYG( 35, 44) =  0.205857E+00
  PKER_SDRYG( 35, 45) =  0.192361E+00
  PKER_SDRYG( 35, 46) =  0.179586E+00
  PKER_SDRYG( 35, 47) =  0.167472E+00
  PKER_SDRYG( 35, 48) =  0.155960E+00
  PKER_SDRYG( 35, 49) =  0.144998E+00
  PKER_SDRYG( 35, 50) =  0.134544E+00
  PKER_SDRYG( 35, 51) =  0.124567E+00
  PKER_SDRYG( 35, 52) =  0.115053E+00
  PKER_SDRYG( 35, 53) =  0.106009E+00
  PKER_SDRYG( 35, 54) =  0.974547E-01
  PKER_SDRYG( 35, 55) =  0.894206E-01
  PKER_SDRYG( 35, 56) =  0.819354E-01
  PKER_SDRYG( 35, 57) =  0.750153E-01
  PKER_SDRYG( 35, 58) =  0.686578E-01
  PKER_SDRYG( 35, 59) =  0.628415E-01
  PKER_SDRYG( 35, 60) =  0.575301E-01
  PKER_SDRYG( 35, 61) =  0.526787E-01
  PKER_SDRYG( 35, 62) =  0.482402E-01
  PKER_SDRYG( 35, 63) =  0.441689E-01
  PKER_SDRYG( 35, 64) =  0.404234E-01
  PKER_SDRYG( 35, 65) =  0.369676E-01
  PKER_SDRYG( 35, 66) =  0.337703E-01
  PKER_SDRYG( 35, 67) =  0.308051E-01
  PKER_SDRYG( 35, 68) =  0.280497E-01
  PKER_SDRYG( 35, 69) =  0.254855E-01
  PKER_SDRYG( 35, 70) =  0.230970E-01
  PKER_SDRYG( 35, 71) =  0.208713E-01
  PKER_SDRYG( 35, 72) =  0.187982E-01
  PKER_SDRYG( 35, 73) =  0.168703E-01
  PKER_SDRYG( 35, 74) =  0.150815E-01
  PKER_SDRYG( 35, 75) =  0.134288E-01
  PKER_SDRYG( 35, 76) =  0.119116E-01
  PKER_SDRYG( 35, 77) =  0.105294E-01
  PKER_SDRYG( 35, 78) =  0.928417E-02
  PKER_SDRYG( 35, 79) =  0.817987E-02
  PKER_SDRYG( 35, 80) =  0.721421E-02
  PKER_SDRYG( 36,  1) =  0.321230E+01
  PKER_SDRYG( 36,  2) =  0.301593E+01
  PKER_SDRYG( 36,  3) =  0.283155E+01
  PKER_SDRYG( 36,  4) =  0.265842E+01
  PKER_SDRYG( 36,  5) =  0.249585E+01
  PKER_SDRYG( 36,  6) =  0.234320E+01
  PKER_SDRYG( 36,  7) =  0.219987E+01
  PKER_SDRYG( 36,  8) =  0.206528E+01
  PKER_SDRYG( 36,  9) =  0.193890E+01
  PKER_SDRYG( 36, 10) =  0.182024E+01
  PKER_SDRYG( 36, 11) =  0.170881E+01
  PKER_SDRYG( 36, 12) =  0.160418E+01
  PKER_SDRYG( 36, 13) =  0.150594E+01
  PKER_SDRYG( 36, 14) =  0.141369E+01
  PKER_SDRYG( 36, 15) =  0.132707E+01
  PKER_SDRYG( 36, 16) =  0.124573E+01
  PKER_SDRYG( 36, 17) =  0.116936E+01
  PKER_SDRYG( 36, 18) =  0.109764E+01
  PKER_SDRYG( 36, 19) =  0.103030E+01
  PKER_SDRYG( 36, 20) =  0.967073E+00
  PKER_SDRYG( 36, 21) =  0.907699E+00
  PKER_SDRYG( 36, 22) =  0.851947E+00
  PKER_SDRYG( 36, 23) =  0.799595E+00
  PKER_SDRYG( 36, 24) =  0.750436E+00
  PKER_SDRYG( 36, 25) =  0.704275E+00
  PKER_SDRYG( 36, 26) =  0.660928E+00
  PKER_SDRYG( 36, 27) =  0.620224E+00
  PKER_SDRYG( 36, 28) =  0.582000E+00
  PKER_SDRYG( 36, 29) =  0.546105E+00
  PKER_SDRYG( 36, 30) =  0.512396E+00
  PKER_SDRYG( 36, 31) =  0.480738E+00
  PKER_SDRYG( 36, 32) =  0.451006E+00
  PKER_SDRYG( 36, 33) =  0.423081E+00
  PKER_SDRYG( 36, 34) =  0.396851E+00
  PKER_SDRYG( 36, 35) =  0.372212E+00
  PKER_SDRYG( 36, 36) =  0.349063E+00
  PKER_SDRYG( 36, 37) =  0.327311E+00
  PKER_SDRYG( 36, 38) =  0.306869E+00
  PKER_SDRYG( 36, 39) =  0.287653E+00
  PKER_SDRYG( 36, 40) =  0.269582E+00
  PKER_SDRYG( 36, 41) =  0.252583E+00
  PKER_SDRYG( 36, 42) =  0.236584E+00
  PKER_SDRYG( 36, 43) =  0.221515E+00
  PKER_SDRYG( 36, 44) =  0.207311E+00
  PKER_SDRYG( 36, 45) =  0.193907E+00
  PKER_SDRYG( 36, 46) =  0.181243E+00
  PKER_SDRYG( 36, 47) =  0.169258E+00
  PKER_SDRYG( 36, 48) =  0.157896E+00
  PKER_SDRYG( 36, 49) =  0.147102E+00
  PKER_SDRYG( 36, 50) =  0.136828E+00
  PKER_SDRYG( 36, 51) =  0.127035E+00
  PKER_SDRYG( 36, 52) =  0.117693E+00
  PKER_SDRYG( 36, 53) =  0.108790E+00
  PKER_SDRYG( 36, 54) =  0.100330E+00
  PKER_SDRYG( 36, 55) =  0.923315E-01
  PKER_SDRYG( 36, 56) =  0.848218E-01
  PKER_SDRYG( 36, 57) =  0.778261E-01
  PKER_SDRYG( 36, 58) =  0.713586E-01
  PKER_SDRYG( 36, 59) =  0.654162E-01
  PKER_SDRYG( 36, 60) =  0.599783E-01
  PKER_SDRYG( 36, 61) =  0.550109E-01
  PKER_SDRYG( 36, 62) =  0.504721E-01
  PKER_SDRYG( 36, 63) =  0.463179E-01
  PKER_SDRYG( 36, 64) =  0.425060E-01
  PKER_SDRYG( 36, 65) =  0.389979E-01
  PKER_SDRYG( 36, 66) =  0.357599E-01
  PKER_SDRYG( 36, 67) =  0.327630E-01
  PKER_SDRYG( 36, 68) =  0.299825E-01
  PKER_SDRYG( 36, 69) =  0.273977E-01
  PKER_SDRYG( 36, 70) =  0.249908E-01
  PKER_SDRYG( 36, 71) =  0.227467E-01
  PKER_SDRYG( 36, 72) =  0.206528E-01
  PKER_SDRYG( 36, 73) =  0.186985E-01
  PKER_SDRYG( 36, 74) =  0.168752E-01
  PKER_SDRYG( 36, 75) =  0.151760E-01
  PKER_SDRYG( 36, 76) =  0.135960E-01
  PKER_SDRYG( 36, 77) =  0.121320E-01
  PKER_SDRYG( 36, 78) =  0.107828E-01
  PKER_SDRYG( 36, 79) =  0.954776E-02
  PKER_SDRYG( 36, 80) =  0.842894E-02
  PKER_SDRYG( 37,  1) =  0.321315E+01
  PKER_SDRYG( 37,  2) =  0.301679E+01
  PKER_SDRYG( 37,  3) =  0.283241E+01
  PKER_SDRYG( 37,  4) =  0.265928E+01
  PKER_SDRYG( 37,  5) =  0.249671E+01
  PKER_SDRYG( 37,  6) =  0.234406E+01
  PKER_SDRYG( 37,  7) =  0.220072E+01
  PKER_SDRYG( 37,  8) =  0.206614E+01
  PKER_SDRYG( 37,  9) =  0.193976E+01
  PKER_SDRYG( 37, 10) =  0.182109E+01
  PKER_SDRYG( 37, 11) =  0.170967E+01
  PKER_SDRYG( 37, 12) =  0.160504E+01
  PKER_SDRYG( 37, 13) =  0.150680E+01
  PKER_SDRYG( 37, 14) =  0.141455E+01
  PKER_SDRYG( 37, 15) =  0.132793E+01
  PKER_SDRYG( 37, 16) =  0.124659E+01
  PKER_SDRYG( 37, 17) =  0.117022E+01
  PKER_SDRYG( 37, 18) =  0.109850E+01
  PKER_SDRYG( 37, 19) =  0.103116E+01
  PKER_SDRYG( 37, 20) =  0.967933E+00
  PKER_SDRYG( 37, 21) =  0.908560E+00
  PKER_SDRYG( 37, 22) =  0.852809E+00
  PKER_SDRYG( 37, 23) =  0.800458E+00
  PKER_SDRYG( 37, 24) =  0.751301E+00
  PKER_SDRYG( 37, 25) =  0.705142E+00
  PKER_SDRYG( 37, 26) =  0.661797E+00
  PKER_SDRYG( 37, 27) =  0.621095E+00
  PKER_SDRYG( 37, 28) =  0.582874E+00
  PKER_SDRYG( 37, 29) =  0.546983E+00
  PKER_SDRYG( 37, 30) =  0.513278E+00
  PKER_SDRYG( 37, 31) =  0.481626E+00
  PKER_SDRYG( 37, 32) =  0.451901E+00
  PKER_SDRYG( 37, 33) =  0.423983E+00
  PKER_SDRYG( 37, 34) =  0.397762E+00
  PKER_SDRYG( 37, 35) =  0.373134E+00
  PKER_SDRYG( 37, 36) =  0.349998E+00
  PKER_SDRYG( 37, 37) =  0.328262E+00
  PKER_SDRYG( 37, 38) =  0.307839E+00
  PKER_SDRYG( 37, 39) =  0.288645E+00
  PKER_SDRYG( 37, 40) =  0.270603E+00
  PKER_SDRYG( 37, 41) =  0.253637E+00
  PKER_SDRYG( 37, 42) =  0.237677E+00
  PKER_SDRYG( 37, 43) =  0.222657E+00
  PKER_SDRYG( 37, 44) =  0.208511E+00
  PKER_SDRYG( 37, 45) =  0.195178E+00
  PKER_SDRYG( 37, 46) =  0.182599E+00
  PKER_SDRYG( 37, 47) =  0.170714E+00
  PKER_SDRYG( 37, 48) =  0.159470E+00
  PKER_SDRYG( 37, 49) =  0.148812E+00
  PKER_SDRYG( 37, 50) =  0.138690E+00
  PKER_SDRYG( 37, 51) =  0.129060E+00
  PKER_SDRYG( 37, 52) =  0.119883E+00
  PKER_SDRYG( 37, 53) =  0.111134E+00
  PKER_SDRYG( 37, 54) =  0.102800E+00
  PKER_SDRYG( 37, 55) =  0.948842E-01
  PKER_SDRYG( 37, 56) =  0.874029E-01
  PKER_SDRYG( 37, 57) =  0.803806E-01
  PKER_SDRYG( 37, 58) =  0.738398E-01
  PKER_SDRYG( 37, 59) =  0.677928E-01
  PKER_SDRYG( 37, 60) =  0.622361E-01
  PKER_SDRYG( 37, 61) =  0.571501E-01
  PKER_SDRYG( 37, 62) =  0.525027E-01
  PKER_SDRYG( 37, 63) =  0.482549E-01
  PKER_SDRYG( 37, 64) =  0.443658E-01
  PKER_SDRYG( 37, 65) =  0.407958E-01
  PKER_SDRYG( 37, 66) =  0.375092E-01
  PKER_SDRYG( 37, 67) =  0.344748E-01
  PKER_SDRYG( 37, 68) =  0.316655E-01
  PKER_SDRYG( 37, 69) =  0.290583E-01
  PKER_SDRYG( 37, 70) =  0.266339E-01
  PKER_SDRYG( 37, 71) =  0.243755E-01
  PKER_SDRYG( 37, 72) =  0.222689E-01
  PKER_SDRYG( 37, 73) =  0.203019E-01
  PKER_SDRYG( 37, 74) =  0.184641E-01
  PKER_SDRYG( 37, 75) =  0.167467E-01
  PKER_SDRYG( 37, 76) =  0.151420E-01
  PKER_SDRYG( 37, 77) =  0.136442E-01
  PKER_SDRYG( 37, 78) =  0.122492E-01
  PKER_SDRYG( 37, 79) =  0.109531E-01
  PKER_SDRYG( 37, 80) =  0.975456E-02
  PKER_SDRYG( 38,  1) =  0.321388E+01
  PKER_SDRYG( 38,  2) =  0.301752E+01
  PKER_SDRYG( 38,  3) =  0.283314E+01
  PKER_SDRYG( 38,  4) =  0.266001E+01
  PKER_SDRYG( 38,  5) =  0.249744E+01
  PKER_SDRYG( 38,  6) =  0.234479E+01
  PKER_SDRYG( 38,  7) =  0.220146E+01
  PKER_SDRYG( 38,  8) =  0.206687E+01
  PKER_SDRYG( 38,  9) =  0.194049E+01
  PKER_SDRYG( 38, 10) =  0.182182E+01
  PKER_SDRYG( 38, 11) =  0.171040E+01
  PKER_SDRYG( 38, 12) =  0.160577E+01
  PKER_SDRYG( 38, 13) =  0.150753E+01
  PKER_SDRYG( 38, 14) =  0.141528E+01
  PKER_SDRYG( 38, 15) =  0.132866E+01
  PKER_SDRYG( 38, 16) =  0.124732E+01
  PKER_SDRYG( 38, 17) =  0.117095E+01
  PKER_SDRYG( 38, 18) =  0.109924E+01
  PKER_SDRYG( 38, 19) =  0.103190E+01
  PKER_SDRYG( 38, 20) =  0.968669E+00
  PKER_SDRYG( 38, 21) =  0.909296E+00
  PKER_SDRYG( 38, 22) =  0.853546E+00
  PKER_SDRYG( 38, 23) =  0.801197E+00
  PKER_SDRYG( 38, 24) =  0.752040E+00
  PKER_SDRYG( 38, 25) =  0.705882E+00
  PKER_SDRYG( 38, 26) =  0.662539E+00
  PKER_SDRYG( 38, 27) =  0.621840E+00
  PKER_SDRYG( 38, 28) =  0.583621E+00
  PKER_SDRYG( 38, 29) =  0.547733E+00
  PKER_SDRYG( 38, 30) =  0.514032E+00
  PKER_SDRYG( 38, 31) =  0.482384E+00
  PKER_SDRYG( 38, 32) =  0.452663E+00
  PKER_SDRYG( 38, 33) =  0.424751E+00
  PKER_SDRYG( 38, 34) =  0.398537E+00
  PKER_SDRYG( 38, 35) =  0.373917E+00
  PKER_SDRYG( 38, 36) =  0.350791E+00
  PKER_SDRYG( 38, 37) =  0.329068E+00
  PKER_SDRYG( 38, 38) =  0.308659E+00
  PKER_SDRYG( 38, 39) =  0.289483E+00
  PKER_SDRYG( 38, 40) =  0.271461E+00
  PKER_SDRYG( 38, 41) =  0.254521E+00
  PKER_SDRYG( 38, 42) =  0.238592E+00
  PKER_SDRYG( 38, 43) =  0.223608E+00
  PKER_SDRYG( 38, 44) =  0.209507E+00
  PKER_SDRYG( 38, 45) =  0.196227E+00
  PKER_SDRYG( 38, 46) =  0.183712E+00
  PKER_SDRYG( 38, 47) =  0.171905E+00
  PKER_SDRYG( 38, 48) =  0.160752E+00
  PKER_SDRYG( 38, 49) =  0.150201E+00
  PKER_SDRYG( 38, 50) =  0.140203E+00
  PKER_SDRYG( 38, 51) =  0.130711E+00
  PKER_SDRYG( 38, 52) =  0.121682E+00
  PKER_SDRYG( 38, 53) =  0.113083E+00
  PKER_SDRYG( 38, 54) =  0.104887E+00
  PKER_SDRYG( 38, 55) =  0.970832E-01
  PKER_SDRYG( 38, 56) =  0.896740E-01
  PKER_SDRYG( 38, 57) =  0.826740E-01
  PKER_SDRYG( 38, 58) =  0.761051E-01
  PKER_SDRYG( 38, 59) =  0.699873E-01
  PKER_SDRYG( 38, 60) =  0.643313E-01
  PKER_SDRYG( 38, 61) =  0.591334E-01
  PKER_SDRYG( 38, 62) =  0.543747E-01
  PKER_SDRYG( 38, 63) =  0.500254E-01
  PKER_SDRYG( 38, 64) =  0.460488E-01
  PKER_SDRYG( 38, 65) =  0.424067E-01
  PKER_SDRYG( 38, 66) =  0.390625E-01
  PKER_SDRYG( 38, 67) =  0.359829E-01
  PKER_SDRYG( 38, 68) =  0.331387E-01
  PKER_SDRYG( 38, 69) =  0.305049E-01
  PKER_SDRYG( 38, 70) =  0.280601E-01
  PKER_SDRYG( 38, 71) =  0.257861E-01
  PKER_SDRYG( 38, 72) =  0.236673E-01
  PKER_SDRYG( 38, 73) =  0.216904E-01
  PKER_SDRYG( 38, 74) =  0.198439E-01
  PKER_SDRYG( 38, 75) =  0.181177E-01
  PKER_SDRYG( 38, 76) =  0.165031E-01
  PKER_SDRYG( 38, 77) =  0.149927E-01
  PKER_SDRYG( 38, 78) =  0.135800E-01
  PKER_SDRYG( 38, 79) =  0.122598E-01
  PKER_SDRYG( 38, 80) =  0.110278E-01
  PKER_SDRYG( 39,  1) =  0.321451E+01
  PKER_SDRYG( 39,  2) =  0.301815E+01
  PKER_SDRYG( 39,  3) =  0.283377E+01
  PKER_SDRYG( 39,  4) =  0.266063E+01
  PKER_SDRYG( 39,  5) =  0.249807E+01
  PKER_SDRYG( 39,  6) =  0.234542E+01
  PKER_SDRYG( 39,  7) =  0.220208E+01
  PKER_SDRYG( 39,  8) =  0.206749E+01
  PKER_SDRYG( 39,  9) =  0.194112E+01
  PKER_SDRYG( 39, 10) =  0.182245E+01
  PKER_SDRYG( 39, 11) =  0.171103E+01
  PKER_SDRYG( 39, 12) =  0.160640E+01
  PKER_SDRYG( 39, 13) =  0.150816E+01
  PKER_SDRYG( 39, 14) =  0.141591E+01
  PKER_SDRYG( 39, 15) =  0.132929E+01
  PKER_SDRYG( 39, 16) =  0.124795E+01
  PKER_SDRYG( 39, 17) =  0.117158E+01
  PKER_SDRYG( 39, 18) =  0.109987E+01
  PKER_SDRYG( 39, 19) =  0.103253E+01
  PKER_SDRYG( 39, 20) =  0.969298E+00
  PKER_SDRYG( 39, 21) =  0.909926E+00
  PKER_SDRYG( 39, 22) =  0.854176E+00
  PKER_SDRYG( 39, 23) =  0.801828E+00
  PKER_SDRYG( 39, 24) =  0.752672E+00
  PKER_SDRYG( 39, 25) =  0.706516E+00
  PKER_SDRYG( 39, 26) =  0.663174E+00
  PKER_SDRYG( 39, 27) =  0.622476E+00
  PKER_SDRYG( 39, 28) =  0.584259E+00
  PKER_SDRYG( 39, 29) =  0.548373E+00
  PKER_SDRYG( 39, 30) =  0.514674E+00
  PKER_SDRYG( 39, 31) =  0.483030E+00
  PKER_SDRYG( 39, 32) =  0.453313E+00
  PKER_SDRYG( 39, 33) =  0.425406E+00
  PKER_SDRYG( 39, 34) =  0.399197E+00
  PKER_SDRYG( 39, 35) =  0.374583E+00
  PKER_SDRYG( 39, 36) =  0.351465E+00
  PKER_SDRYG( 39, 37) =  0.329751E+00
  PKER_SDRYG( 39, 38) =  0.309353E+00
  PKER_SDRYG( 39, 39) =  0.290190E+00
  PKER_SDRYG( 39, 40) =  0.272185E+00
  PKER_SDRYG( 39, 41) =  0.255264E+00
  PKER_SDRYG( 39, 42) =  0.239358E+00
  PKER_SDRYG( 39, 43) =  0.224402E+00
  PKER_SDRYG( 39, 44) =  0.210335E+00
  PKER_SDRYG( 39, 45) =  0.197096E+00
  PKER_SDRYG( 39, 46) =  0.184630E+00
  PKER_SDRYG( 39, 47) =  0.172881E+00
  PKER_SDRYG( 39, 48) =  0.161799E+00
  PKER_SDRYG( 39, 49) =  0.151332E+00
  PKER_SDRYG( 39, 50) =  0.141432E+00
  PKER_SDRYG( 39, 51) =  0.132052E+00
  PKER_SDRYG( 39, 52) =  0.123149E+00
  PKER_SDRYG( 39, 53) =  0.114684E+00
  PKER_SDRYG( 39, 54) =  0.106623E+00
  PKER_SDRYG( 39, 55) =  0.989442E-01
  PKER_SDRYG( 39, 56) =  0.916356E-01
  PKER_SDRYG( 39, 57) =  0.846988E-01
  PKER_SDRYG( 39, 58) =  0.781472E-01
  PKER_SDRYG( 39, 59) =  0.720003E-01
  PKER_SDRYG( 39, 60) =  0.662762E-01
  PKER_SDRYG( 39, 61) =  0.609842E-01
  PKER_SDRYG( 39, 62) =  0.561201E-01
  PKER_SDRYG( 39, 63) =  0.516663E-01
  PKER_SDRYG( 39, 64) =  0.475946E-01
  PKER_SDRYG( 39, 65) =  0.438709E-01
  PKER_SDRYG( 39, 66) =  0.404594E-01
  PKER_SDRYG( 39, 67) =  0.373260E-01
  PKER_SDRYG( 39, 68) =  0.344398E-01
  PKER_SDRYG( 39, 69) =  0.317735E-01
  PKER_SDRYG( 39, 70) =  0.293039E-01
  PKER_SDRYG( 39, 71) =  0.270111E-01
  PKER_SDRYG( 39, 72) =  0.248780E-01
  PKER_SDRYG( 39, 73) =  0.228902E-01
  PKER_SDRYG( 39, 74) =  0.210352E-01
  PKER_SDRYG( 39, 75) =  0.193021E-01
  PKER_SDRYG( 39, 76) =  0.176816E-01
  PKER_SDRYG( 39, 77) =  0.161652E-01
  PKER_SDRYG( 39, 78) =  0.147457E-01
  PKER_SDRYG( 39, 79) =  0.134166E-01
  PKER_SDRYG( 39, 80) =  0.121725E-01
  PKER_SDRYG( 40,  1) =  0.321505E+01
  PKER_SDRYG( 40,  2) =  0.301868E+01
  PKER_SDRYG( 40,  3) =  0.283430E+01
  PKER_SDRYG( 40,  4) =  0.266117E+01
  PKER_SDRYG( 40,  5) =  0.249860E+01
  PKER_SDRYG( 40,  6) =  0.234595E+01
  PKER_SDRYG( 40,  7) =  0.220262E+01
  PKER_SDRYG( 40,  8) =  0.206803E+01
  PKER_SDRYG( 40,  9) =  0.194165E+01
  PKER_SDRYG( 40, 10) =  0.182299E+01
  PKER_SDRYG( 40, 11) =  0.171156E+01
  PKER_SDRYG( 40, 12) =  0.160694E+01
  PKER_SDRYG( 40, 13) =  0.150869E+01
  PKER_SDRYG( 40, 14) =  0.141644E+01
  PKER_SDRYG( 40, 15) =  0.132982E+01
  PKER_SDRYG( 40, 16) =  0.124849E+01
  PKER_SDRYG( 40, 17) =  0.117212E+01
  PKER_SDRYG( 40, 18) =  0.110040E+01
  PKER_SDRYG( 40, 19) =  0.103307E+01
  PKER_SDRYG( 40, 20) =  0.969836E+00
  PKER_SDRYG( 40, 21) =  0.910465E+00
  PKER_SDRYG( 40, 22) =  0.854716E+00
  PKER_SDRYG( 40, 23) =  0.802368E+00
  PKER_SDRYG( 40, 24) =  0.753213E+00
  PKER_SDRYG( 40, 25) =  0.707057E+00
  PKER_SDRYG( 40, 26) =  0.663716E+00
  PKER_SDRYG( 40, 27) =  0.623019E+00
  PKER_SDRYG( 40, 28) =  0.584804E+00
  PKER_SDRYG( 40, 29) =  0.548920E+00
  PKER_SDRYG( 40, 30) =  0.515223E+00
  PKER_SDRYG( 40, 31) =  0.483581E+00
  PKER_SDRYG( 40, 32) =  0.453867E+00
  PKER_SDRYG( 40, 33) =  0.425963E+00
  PKER_SDRYG( 40, 34) =  0.399759E+00
  PKER_SDRYG( 40, 35) =  0.375150E+00
  PKER_SDRYG( 40, 36) =  0.352038E+00
  PKER_SDRYG( 40, 37) =  0.330331E+00
  PKER_SDRYG( 40, 38) =  0.309942E+00
  PKER_SDRYG( 40, 39) =  0.290789E+00
  PKER_SDRYG( 40, 40) =  0.272796E+00
  PKER_SDRYG( 40, 41) =  0.255890E+00
  PKER_SDRYG( 40, 42) =  0.240002E+00
  PKER_SDRYG( 40, 43) =  0.225068E+00
  PKER_SDRYG( 40, 44) =  0.211026E+00
  PKER_SDRYG( 40, 45) =  0.197818E+00
  PKER_SDRYG( 40, 46) =  0.185389E+00
  PKER_SDRYG( 40, 47) =  0.173686E+00
  PKER_SDRYG( 40, 48) =  0.162657E+00
  PKER_SDRYG( 40, 49) =  0.152255E+00
  PKER_SDRYG( 40, 50) =  0.142431E+00
  PKER_SDRYG( 40, 51) =  0.133141E+00
  PKER_SDRYG( 40, 52) =  0.124340E+00
  PKER_SDRYG( 40, 53) =  0.115989E+00
  PKER_SDRYG( 40, 54) =  0.108051E+00
  PKER_SDRYG( 40, 55) =  0.100495E+00
  PKER_SDRYG( 40, 56) =  0.932989E-01
  PKER_SDRYG( 40, 57) =  0.864523E-01
  PKER_SDRYG( 40, 58) =  0.799563E-01
  PKER_SDRYG( 40, 59) =  0.738226E-01
  PKER_SDRYG( 40, 60) =  0.680689E-01
  PKER_SDRYG( 40, 61) =  0.627114E-01
  PKER_SDRYG( 40, 62) =  0.577583E-01
  PKER_SDRYG( 40, 63) =  0.532053E-01
  PKER_SDRYG( 40, 64) =  0.490356E-01
  PKER_SDRYG( 40, 65) =  0.452228E-01
  PKER_SDRYG( 40, 66) =  0.417349E-01
  PKER_SDRYG( 40, 67) =  0.385386E-01
  PKER_SDRYG( 40, 68) =  0.356022E-01
  PKER_SDRYG( 40, 69) =  0.328967E-01
  PKER_SDRYG( 40, 70) =  0.303969E-01
  PKER_SDRYG( 40, 71) =  0.280809E-01
  PKER_SDRYG( 40, 72) =  0.259303E-01
  PKER_SDRYG( 40, 73) =  0.239293E-01
  PKER_SDRYG( 40, 74) =  0.220643E-01
  PKER_SDRYG( 40, 75) =  0.203236E-01
  PKER_SDRYG( 40, 76) =  0.186972E-01
  PKER_SDRYG( 40, 77) =  0.171761E-01
  PKER_SDRYG( 40, 78) =  0.157525E-01
  PKER_SDRYG( 40, 79) =  0.144193E-01
  PKER_SDRYG( 40, 80) =  0.131706E-01
END IF
!
IF (LHOOK) CALL DR_HOOK('READ_XKER_SDRYG',1,ZHOOK_HANDLE)
END SUBROUTINE READ_XKER_SDRYG
