!     ######spl
      SUBROUTINE READ_XKER_SWETH (KWETLBDAH,KWETLBDAS,KND,                   &
                    PALPHAH,PNUH,PALPHAS,PNUS,PEHS,PBS,PCH,PDH,PCS,PDS,      &
                    PWETLBDAH_MAX,PWETLBDAS_MAX,PWETLBDAH_MIN,PWETLBDAS_MIN, &
                    PFDINFTY,PKER_SWETH                                      )
!DEC$ OPTIMIZE:0
      USE PARKIND1, ONLY : JPRB
      USE YOMHOOK , ONLY : LHOOK, DR_HOOK
!     ########################################################################
!
!!****  * * - initialize the kernels for the snow-hail wet growth process
!!
!!    PURPOSE
!!    -------
!!      The purpose of this routine is to initialize the kernels PKER_SWETH
!!    prepared from a previous run of the routine INI_RAIN_ICE. The reading
!!    of the kernels is optional after checking for the dimensions of the
!!    arrays.
!!
!!**  METHOD
!!    ------
!!      
!!
!!    EXTERNAL
!!    --------
!!      None
!!     
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!      None
!!
!!    REFERENCE
!!    ---------
!!      Book2 of documentation ( routine READ_XKER_SWETH )
!!
!!    AUTHOR
!!    ------
!!      J.-P. Pinty      * Laboratoire d'Aerologie*
!!
!!    MODIFICATIONS
!!    -------------
!!      Original    19/04/97
!!      14-Feb-2014 R. El Khatib optimise for compile time on Intel
!!
!-------------------------------------------------------------------------------
!
!*       0.    DECLARATIONS
!              ------------
!
!*       0.2   Declarations of local variables :
!
!  
INTEGER, INTENT(OUT) :: KND,KWETLBDAH,KWETLBDAS
REAL,    INTENT(OUT) :: PALPHAH
REAL,    INTENT(OUT) :: PNUH
REAL,    INTENT(OUT) :: PALPHAS
REAL,    INTENT(OUT) :: PNUS
REAL,    INTENT(OUT) :: PEHS
REAL,    INTENT(OUT) :: PBS
REAL,    INTENT(OUT) :: PCH
REAL,    INTENT(OUT) :: PDH
REAL,    INTENT(OUT) :: PCS
REAL,    INTENT(OUT) :: PDS
REAL,    INTENT(OUT) :: PWETLBDAH_MAX
REAL,    INTENT(OUT) :: PWETLBDAS_MAX
REAL,    INTENT(OUT) :: PWETLBDAH_MIN
REAL,    INTENT(OUT) :: PWETLBDAS_MIN
REAL,    INTENT(OUT) :: PFDINFTY
REAL, DIMENSION(:,:), INTENT(OUT), OPTIONAL :: PKER_SWETH 
!
! ########################################################################
! #INSERT HERE THE OUTPUT OF INI_RAIN_ICE_HAIL IF THE KERNELS ARE UPDATED#
! ########################################################################
!
REAL(KIND=JPRB) :: ZHOOK_HANDLE
IF (LHOOK) CALL DR_HOOK('READ_XKER_SWETH',0,ZHOOK_HANDLE)
KND= 50
KWETLBDAH= 40
KWETLBDAS= 80
PALPHAH= 0.100000E+01
PNUH= 0.800000E+01
PALPHAS= 0.100000E+01
PNUS= 0.100000E+01
PEHS= 0.100000E+01
PBS= 0.190000E+01
PCH= 0.207000E+03
PDH= 0.640000E+00
PCS= 0.510000E+01
PDS= 0.270000E+00
PWETLBDAH_MAX= 0.100000E+08
PWETLBDAS_MAX= 0.250000E+10
PWETLBDAH_MIN= 0.100000E+04
PWETLBDAS_MIN= 0.250000E+02
PFDINFTY= 0.200000E+02
!
IF( PRESENT(PKER_SWETH) ) THEN
  PKER_SWETH(  1,  1) =  0.615237E+01
  PKER_SWETH(  1,  2) =  0.637080E+01
  PKER_SWETH(  1,  3) =  0.658231E+01
  PKER_SWETH(  1,  4) =  0.678858E+01
  PKER_SWETH(  1,  5) =  0.699129E+01
  PKER_SWETH(  1,  6) =  0.719213E+01
  PKER_SWETH(  1,  7) =  0.739259E+01
  PKER_SWETH(  1,  8) =  0.759386E+01
  PKER_SWETH(  1,  9) =  0.779656E+01
  PKER_SWETH(  1, 10) =  0.800053E+01
  PKER_SWETH(  1, 11) =  0.820465E+01
  PKER_SWETH(  1, 12) =  0.840686E+01
  PKER_SWETH(  1, 13) =  0.860429E+01
  PKER_SWETH(  1, 14) =  0.879377E+01
  PKER_SWETH(  1, 15) =  0.897226E+01
  PKER_SWETH(  1, 16) =  0.913741E+01
  PKER_SWETH(  1, 17) =  0.928778E+01
  PKER_SWETH(  1, 18) =  0.942293E+01
  PKER_SWETH(  1, 19) =  0.954325E+01
  PKER_SWETH(  1, 20) =  0.964973E+01
  PKER_SWETH(  1, 21) =  0.974368E+01
  PKER_SWETH(  1, 22) =  0.982656E+01
  PKER_SWETH(  1, 23) =  0.989979E+01
  PKER_SWETH(  1, 24) =  0.996470E+01
  PKER_SWETH(  1, 25) =  0.100225E+02
  PKER_SWETH(  1, 26) =  0.100741E+02
  PKER_SWETH(  1, 27) =  0.101205E+02
  PKER_SWETH(  1, 28) =  0.101624E+02
  PKER_SWETH(  1, 29) =  0.102004E+02
  PKER_SWETH(  1, 30) =  0.102350E+02
  PKER_SWETH(  1, 31) =  0.102667E+02
  PKER_SWETH(  1, 32) =  0.102957E+02
  PKER_SWETH(  1, 33) =  0.103224E+02
  PKER_SWETH(  1, 34) =  0.103471E+02
  PKER_SWETH(  1, 35) =  0.103699E+02
  PKER_SWETH(  1, 36) =  0.103911E+02
  PKER_SWETH(  1, 37) =  0.104108E+02
  PKER_SWETH(  1, 38) =  0.104291E+02
  PKER_SWETH(  1, 39) =  0.104461E+02
  PKER_SWETH(  1, 40) =  0.104620E+02
  PKER_SWETH(  1, 41) =  0.104769E+02
  PKER_SWETH(  1, 42) =  0.104908E+02
  PKER_SWETH(  1, 43) =  0.105038E+02
  PKER_SWETH(  1, 44) =  0.105159E+02
  PKER_SWETH(  1, 45) =  0.105273E+02
  PKER_SWETH(  1, 46) =  0.105380E+02
  PKER_SWETH(  1, 47) =  0.105480E+02
  PKER_SWETH(  1, 48) =  0.105573E+02
  PKER_SWETH(  1, 49) =  0.105661E+02
  PKER_SWETH(  1, 50) =  0.105744E+02
  PKER_SWETH(  1, 51) =  0.105821E+02
  PKER_SWETH(  1, 52) =  0.105893E+02
  PKER_SWETH(  1, 53) =  0.105961E+02
  PKER_SWETH(  1, 54) =  0.106025E+02
  PKER_SWETH(  1, 55) =  0.106085E+02
  PKER_SWETH(  1, 56) =  0.106141E+02
  PKER_SWETH(  1, 57) =  0.106194E+02
  PKER_SWETH(  1, 58) =  0.106244E+02
  PKER_SWETH(  1, 59) =  0.106290E+02
  PKER_SWETH(  1, 60) =  0.106334E+02
  PKER_SWETH(  1, 61) =  0.106375E+02
  PKER_SWETH(  1, 62) =  0.106413E+02
  PKER_SWETH(  1, 63) =  0.106450E+02
  PKER_SWETH(  1, 64) =  0.106483E+02
  PKER_SWETH(  1, 65) =  0.106515E+02
  PKER_SWETH(  1, 66) =  0.106545E+02
  PKER_SWETH(  1, 67) =  0.106573E+02
  PKER_SWETH(  1, 68) =  0.106600E+02
  PKER_SWETH(  1, 69) =  0.106624E+02
  PKER_SWETH(  1, 70) =  0.106648E+02
  PKER_SWETH(  1, 71) =  0.106669E+02
  PKER_SWETH(  1, 72) =  0.106690E+02
  PKER_SWETH(  1, 73) =  0.106709E+02
  PKER_SWETH(  1, 74) =  0.106727E+02
  PKER_SWETH(  1, 75) =  0.106744E+02
  PKER_SWETH(  1, 76) =  0.106760E+02
  PKER_SWETH(  1, 77) =  0.106775E+02
  PKER_SWETH(  1, 78) =  0.106789E+02
  PKER_SWETH(  1, 79) =  0.106802E+02
  PKER_SWETH(  1, 80) =  0.106815E+02
  PKER_SWETH(  2,  1) =  0.482432E+01
  PKER_SWETH(  2,  2) =  0.503595E+01
  PKER_SWETH(  2,  3) =  0.523941E+01
  PKER_SWETH(  2,  4) =  0.543608E+01
  PKER_SWETH(  2,  5) =  0.562743E+01
  PKER_SWETH(  2,  6) =  0.581495E+01
  PKER_SWETH(  2,  7) =  0.600013E+01
  PKER_SWETH(  2,  8) =  0.618431E+01
  PKER_SWETH(  2,  9) =  0.636855E+01
  PKER_SWETH(  2, 10) =  0.655341E+01
  PKER_SWETH(  2, 11) =  0.673880E+01
  PKER_SWETH(  2, 12) =  0.692377E+01
  PKER_SWETH(  2, 13) =  0.710655E+01
  PKER_SWETH(  2, 14) =  0.728471E+01
  PKER_SWETH(  2, 15) =  0.745548E+01
  PKER_SWETH(  2, 16) =  0.761628E+01
  PKER_SWETH(  2, 17) =  0.776507E+01
  PKER_SWETH(  2, 18) =  0.790065E+01
  PKER_SWETH(  2, 19) =  0.802264E+01
  PKER_SWETH(  2, 20) =  0.813143E+01
  PKER_SWETH(  2, 21) =  0.822788E+01
  PKER_SWETH(  2, 22) =  0.831318E+01
  PKER_SWETH(  2, 23) =  0.838861E+01
  PKER_SWETH(  2, 24) =  0.845542E+01
  PKER_SWETH(  2, 25) =  0.851480E+01
  PKER_SWETH(  2, 26) =  0.856779E+01
  PKER_SWETH(  2, 27) =  0.861528E+01
  PKER_SWETH(  2, 28) =  0.865805E+01
  PKER_SWETH(  2, 29) =  0.869674E+01
  PKER_SWETH(  2, 30) =  0.873190E+01
  PKER_SWETH(  2, 31) =  0.876398E+01
  PKER_SWETH(  2, 32) =  0.879336E+01
  PKER_SWETH(  2, 33) =  0.882036E+01
  PKER_SWETH(  2, 34) =  0.884525E+01
  PKER_SWETH(  2, 35) =  0.886825E+01
  PKER_SWETH(  2, 36) =  0.888956E+01
  PKER_SWETH(  2, 37) =  0.890934E+01
  PKER_SWETH(  2, 38) =  0.892772E+01
  PKER_SWETH(  2, 39) =  0.894485E+01
  PKER_SWETH(  2, 40) =  0.896081E+01
  PKER_SWETH(  2, 41) =  0.897571E+01
  PKER_SWETH(  2, 42) =  0.898963E+01
  PKER_SWETH(  2, 43) =  0.900265E+01
  PKER_SWETH(  2, 44) =  0.901483E+01
  PKER_SWETH(  2, 45) =  0.902623E+01
  PKER_SWETH(  2, 46) =  0.903690E+01
  PKER_SWETH(  2, 47) =  0.904690E+01
  PKER_SWETH(  2, 48) =  0.905628E+01
  PKER_SWETH(  2, 49) =  0.906507E+01
  PKER_SWETH(  2, 50) =  0.907331E+01
  PKER_SWETH(  2, 51) =  0.908104E+01
  PKER_SWETH(  2, 52) =  0.908830E+01
  PKER_SWETH(  2, 53) =  0.909510E+01
  PKER_SWETH(  2, 54) =  0.910149E+01
  PKER_SWETH(  2, 55) =  0.910748E+01
  PKER_SWETH(  2, 56) =  0.911311E+01
  PKER_SWETH(  2, 57) =  0.911839E+01
  PKER_SWETH(  2, 58) =  0.912334E+01
  PKER_SWETH(  2, 59) =  0.912799E+01
  PKER_SWETH(  2, 60) =  0.913236E+01
  PKER_SWETH(  2, 61) =  0.913646E+01
  PKER_SWETH(  2, 62) =  0.914031E+01
  PKER_SWETH(  2, 63) =  0.914392E+01
  PKER_SWETH(  2, 64) =  0.914731E+01
  PKER_SWETH(  2, 65) =  0.915050E+01
  PKER_SWETH(  2, 66) =  0.915349E+01
  PKER_SWETH(  2, 67) =  0.915630E+01
  PKER_SWETH(  2, 68) =  0.915894E+01
  PKER_SWETH(  2, 69) =  0.916141E+01
  PKER_SWETH(  2, 70) =  0.916374E+01
  PKER_SWETH(  2, 71) =  0.916592E+01
  PKER_SWETH(  2, 72) =  0.916797E+01
  PKER_SWETH(  2, 73) =  0.916989E+01
  PKER_SWETH(  2, 74) =  0.917170E+01
  PKER_SWETH(  2, 75) =  0.917339E+01
  PKER_SWETH(  2, 76) =  0.917499E+01
  PKER_SWETH(  2, 77) =  0.917648E+01
  PKER_SWETH(  2, 78) =  0.917789E+01
  PKER_SWETH(  2, 79) =  0.917921E+01
  PKER_SWETH(  2, 80) =  0.918044E+01
  PKER_SWETH(  3,  1) =  0.368905E+01
  PKER_SWETH(  3,  2) =  0.389478E+01
  PKER_SWETH(  3,  3) =  0.409193E+01
  PKER_SWETH(  3,  4) =  0.428141E+01
  PKER_SWETH(  3,  5) =  0.446434E+01
  PKER_SWETH(  3,  6) =  0.464196E+01
  PKER_SWETH(  3,  7) =  0.481560E+01
  PKER_SWETH(  3,  8) =  0.498655E+01
  PKER_SWETH(  3,  9) =  0.515601E+01
  PKER_SWETH(  3, 10) =  0.532493E+01
  PKER_SWETH(  3, 11) =  0.549382E+01
  PKER_SWETH(  3, 12) =  0.566262E+01
  PKER_SWETH(  3, 13) =  0.583056E+01
  PKER_SWETH(  3, 14) =  0.599610E+01
  PKER_SWETH(  3, 15) =  0.615716E+01
  PKER_SWETH(  3, 16) =  0.631137E+01
  PKER_SWETH(  3, 17) =  0.645651E+01
  PKER_SWETH(  3, 18) =  0.659082E+01
  PKER_SWETH(  3, 19) =  0.671329E+01
  PKER_SWETH(  3, 20) =  0.682361E+01
  PKER_SWETH(  3, 21) =  0.692215E+01
  PKER_SWETH(  3, 22) =  0.700968E+01
  PKER_SWETH(  3, 23) =  0.708726E+01
  PKER_SWETH(  3, 24) =  0.715602E+01
  PKER_SWETH(  3, 25) =  0.721708E+01
  PKER_SWETH(  3, 26) =  0.727148E+01
  PKER_SWETH(  3, 27) =  0.732015E+01
  PKER_SWETH(  3, 28) =  0.736386E+01
  PKER_SWETH(  3, 29) =  0.740332E+01
  PKER_SWETH(  3, 30) =  0.743910E+01
  PKER_SWETH(  3, 31) =  0.747167E+01
  PKER_SWETH(  3, 32) =  0.750144E+01
  PKER_SWETH(  3, 33) =  0.752875E+01
  PKER_SWETH(  3, 34) =  0.755388E+01
  PKER_SWETH(  3, 35) =  0.757707E+01
  PKER_SWETH(  3, 36) =  0.759853E+01
  PKER_SWETH(  3, 37) =  0.761842E+01
  PKER_SWETH(  3, 38) =  0.763691E+01
  PKER_SWETH(  3, 39) =  0.765410E+01
  PKER_SWETH(  3, 40) =  0.767013E+01
  PKER_SWETH(  3, 41) =  0.768507E+01
  PKER_SWETH(  3, 42) =  0.769903E+01
  PKER_SWETH(  3, 43) =  0.771207E+01
  PKER_SWETH(  3, 44) =  0.772427E+01
  PKER_SWETH(  3, 45) =  0.773569E+01
  PKER_SWETH(  3, 46) =  0.774638E+01
  PKER_SWETH(  3, 47) =  0.775639E+01
  PKER_SWETH(  3, 48) =  0.776578E+01
  PKER_SWETH(  3, 49) =  0.777457E+01
  PKER_SWETH(  3, 50) =  0.778282E+01
  PKER_SWETH(  3, 51) =  0.779056E+01
  PKER_SWETH(  3, 52) =  0.779781E+01
  PKER_SWETH(  3, 53) =  0.780462E+01
  PKER_SWETH(  3, 54) =  0.781101E+01
  PKER_SWETH(  3, 55) =  0.781700E+01
  PKER_SWETH(  3, 56) =  0.782263E+01
  PKER_SWETH(  3, 57) =  0.782791E+01
  PKER_SWETH(  3, 58) =  0.783287E+01
  PKER_SWETH(  3, 59) =  0.783752E+01
  PKER_SWETH(  3, 60) =  0.784189E+01
  PKER_SWETH(  3, 61) =  0.784599E+01
  PKER_SWETH(  3, 62) =  0.784984E+01
  PKER_SWETH(  3, 63) =  0.785345E+01
  PKER_SWETH(  3, 64) =  0.785684E+01
  PKER_SWETH(  3, 65) =  0.786003E+01
  PKER_SWETH(  3, 66) =  0.786302E+01
  PKER_SWETH(  3, 67) =  0.786583E+01
  PKER_SWETH(  3, 68) =  0.786846E+01
  PKER_SWETH(  3, 69) =  0.787094E+01
  PKER_SWETH(  3, 70) =  0.787326E+01
  PKER_SWETH(  3, 71) =  0.787545E+01
  PKER_SWETH(  3, 72) =  0.787750E+01
  PKER_SWETH(  3, 73) =  0.787942E+01
  PKER_SWETH(  3, 74) =  0.788123E+01
  PKER_SWETH(  3, 75) =  0.788292E+01
  PKER_SWETH(  3, 76) =  0.788452E+01
  PKER_SWETH(  3, 77) =  0.788601E+01
  PKER_SWETH(  3, 78) =  0.788742E+01
  PKER_SWETH(  3, 79) =  0.788874E+01
  PKER_SWETH(  3, 80) =  0.788997E+01
  PKER_SWETH(  4,  1) =  0.272364E+01
  PKER_SWETH(  4,  2) =  0.292170E+01
  PKER_SWETH(  4,  3) =  0.311233E+01
  PKER_SWETH(  4,  4) =  0.329553E+01
  PKER_SWETH(  4,  5) =  0.347178E+01
  PKER_SWETH(  4,  6) =  0.364187E+01
  PKER_SWETH(  4,  7) =  0.380681E+01
  PKER_SWETH(  4,  8) =  0.396771E+01
  PKER_SWETH(  4,  9) =  0.412569E+01
  PKER_SWETH(  4, 10) =  0.428181E+01
  PKER_SWETH(  4, 11) =  0.443691E+01
  PKER_SWETH(  4, 12) =  0.459147E+01
  PKER_SWETH(  4, 13) =  0.474544E+01
  PKER_SWETH(  4, 14) =  0.489819E+01
  PKER_SWETH(  4, 15) =  0.504840E+01
  PKER_SWETH(  4, 16) =  0.519429E+01
  PKER_SWETH(  4, 17) =  0.533381E+01
  PKER_SWETH(  4, 18) =  0.546505E+01
  PKER_SWETH(  4, 19) =  0.558652E+01
  PKER_SWETH(  4, 20) =  0.569735E+01
  PKER_SWETH(  4, 21) =  0.579731E+01
  PKER_SWETH(  4, 22) =  0.588672E+01
  PKER_SWETH(  4, 23) =  0.596630E+01
  PKER_SWETH(  4, 24) =  0.603698E+01
  PKER_SWETH(  4, 25) =  0.609976E+01
  PKER_SWETH(  4, 26) =  0.615566E+01
  PKER_SWETH(  4, 27) =  0.620557E+01
  PKER_SWETH(  4, 28) =  0.625032E+01
  PKER_SWETH(  4, 29) =  0.629062E+01
  PKER_SWETH(  4, 30) =  0.632707E+01
  PKER_SWETH(  4, 31) =  0.636018E+01
  PKER_SWETH(  4, 32) =  0.639038E+01
  PKER_SWETH(  4, 33) =  0.641803E+01
  PKER_SWETH(  4, 34) =  0.644343E+01
  PKER_SWETH(  4, 35) =  0.646684E+01
  PKER_SWETH(  4, 36) =  0.648846E+01
  PKER_SWETH(  4, 37) =  0.650849E+01
  PKER_SWETH(  4, 38) =  0.652707E+01
  PKER_SWETH(  4, 39) =  0.654435E+01
  PKER_SWETH(  4, 40) =  0.656044E+01
  PKER_SWETH(  4, 41) =  0.657544E+01
  PKER_SWETH(  4, 42) =  0.658943E+01
  PKER_SWETH(  4, 43) =  0.660251E+01
  PKER_SWETH(  4, 44) =  0.661473E+01
  PKER_SWETH(  4, 45) =  0.662617E+01
  PKER_SWETH(  4, 46) =  0.663687E+01
  PKER_SWETH(  4, 47) =  0.664690E+01
  PKER_SWETH(  4, 48) =  0.665629E+01
  PKER_SWETH(  4, 49) =  0.666510E+01
  PKER_SWETH(  4, 50) =  0.667335E+01
  PKER_SWETH(  4, 51) =  0.668109E+01
  PKER_SWETH(  4, 52) =  0.668835E+01
  PKER_SWETH(  4, 53) =  0.669516E+01
  PKER_SWETH(  4, 54) =  0.670155E+01
  PKER_SWETH(  4, 55) =  0.670755E+01
  PKER_SWETH(  4, 56) =  0.671318E+01
  PKER_SWETH(  4, 57) =  0.671846E+01
  PKER_SWETH(  4, 58) =  0.672342E+01
  PKER_SWETH(  4, 59) =  0.672807E+01
  PKER_SWETH(  4, 60) =  0.673244E+01
  PKER_SWETH(  4, 61) =  0.673654E+01
  PKER_SWETH(  4, 62) =  0.674039E+01
  PKER_SWETH(  4, 63) =  0.674400E+01
  PKER_SWETH(  4, 64) =  0.674739E+01
  PKER_SWETH(  4, 65) =  0.675058E+01
  PKER_SWETH(  4, 66) =  0.675357E+01
  PKER_SWETH(  4, 67) =  0.675638E+01
  PKER_SWETH(  4, 68) =  0.675902E+01
  PKER_SWETH(  4, 69) =  0.676149E+01
  PKER_SWETH(  4, 70) =  0.676382E+01
  PKER_SWETH(  4, 71) =  0.676600E+01
  PKER_SWETH(  4, 72) =  0.676805E+01
  PKER_SWETH(  4, 73) =  0.676997E+01
  PKER_SWETH(  4, 74) =  0.677178E+01
  PKER_SWETH(  4, 75) =  0.677348E+01
  PKER_SWETH(  4, 76) =  0.677507E+01
  PKER_SWETH(  4, 77) =  0.677656E+01
  PKER_SWETH(  4, 78) =  0.677797E+01
  PKER_SWETH(  4, 79) =  0.677929E+01
  PKER_SWETH(  4, 80) =  0.678053E+01
  PKER_SWETH(  5,  1) =  0.191873E+01
  PKER_SWETH(  5,  2) =  0.210156E+01
  PKER_SWETH(  5,  3) =  0.228144E+01
  PKER_SWETH(  5,  4) =  0.245647E+01
  PKER_SWETH(  5,  5) =  0.262578E+01
  PKER_SWETH(  5,  6) =  0.278922E+01
  PKER_SWETH(  5,  7) =  0.294715E+01
  PKER_SWETH(  5,  8) =  0.310025E+01
  PKER_SWETH(  5,  9) =  0.324939E+01
  PKER_SWETH(  5, 10) =  0.339551E+01
  PKER_SWETH(  5, 11) =  0.353950E+01
  PKER_SWETH(  5, 12) =  0.368211E+01
  PKER_SWETH(  5, 13) =  0.382377E+01
  PKER_SWETH(  5, 14) =  0.396446E+01
  PKER_SWETH(  5, 15) =  0.410364E+01
  PKER_SWETH(  5, 16) =  0.424020E+01
  PKER_SWETH(  5, 17) =  0.437258E+01
  PKER_SWETH(  5, 18) =  0.449905E+01
  PKER_SWETH(  5, 19) =  0.461795E+01
  PKER_SWETH(  5, 20) =  0.472801E+01
  PKER_SWETH(  5, 21) =  0.482849E+01
  PKER_SWETH(  5, 22) =  0.491922E+01
  PKER_SWETH(  5, 23) =  0.500049E+01
  PKER_SWETH(  5, 24) =  0.507296E+01
  PKER_SWETH(  5, 25) =  0.513746E+01
  PKER_SWETH(  5, 26) =  0.519489E+01
  PKER_SWETH(  5, 27) =  0.524613E+01
  PKER_SWETH(  5, 28) =  0.529199E+01
  PKER_SWETH(  5, 29) =  0.533320E+01
  PKER_SWETH(  5, 30) =  0.537039E+01
  PKER_SWETH(  5, 31) =  0.540410E+01
  PKER_SWETH(  5, 32) =  0.543477E+01
  PKER_SWETH(  5, 33) =  0.546280E+01
  PKER_SWETH(  5, 34) =  0.548850E+01
  PKER_SWETH(  5, 35) =  0.551214E+01
  PKER_SWETH(  5, 36) =  0.553395E+01
  PKER_SWETH(  5, 37) =  0.555413E+01
  PKER_SWETH(  5, 38) =  0.557283E+01
  PKER_SWETH(  5, 39) =  0.559020E+01
  PKER_SWETH(  5, 40) =  0.560636E+01
  PKER_SWETH(  5, 41) =  0.562141E+01
  PKER_SWETH(  5, 42) =  0.563545E+01
  PKER_SWETH(  5, 43) =  0.564856E+01
  PKER_SWETH(  5, 44) =  0.566081E+01
  PKER_SWETH(  5, 45) =  0.567227E+01
  PKER_SWETH(  5, 46) =  0.568299E+01
  PKER_SWETH(  5, 47) =  0.569303E+01
  PKER_SWETH(  5, 48) =  0.570244E+01
  PKER_SWETH(  5, 49) =  0.571125E+01
  PKER_SWETH(  5, 50) =  0.571951E+01
  PKER_SWETH(  5, 51) =  0.572725E+01
  PKER_SWETH(  5, 52) =  0.573452E+01
  PKER_SWETH(  5, 53) =  0.574133E+01
  PKER_SWETH(  5, 54) =  0.574773E+01
  PKER_SWETH(  5, 55) =  0.575372E+01
  PKER_SWETH(  5, 56) =  0.575935E+01
  PKER_SWETH(  5, 57) =  0.576463E+01
  PKER_SWETH(  5, 58) =  0.576959E+01
  PKER_SWETH(  5, 59) =  0.577425E+01
  PKER_SWETH(  5, 60) =  0.577862E+01
  PKER_SWETH(  5, 61) =  0.578272E+01
  PKER_SWETH(  5, 62) =  0.578657E+01
  PKER_SWETH(  5, 63) =  0.579018E+01
  PKER_SWETH(  5, 64) =  0.579357E+01
  PKER_SWETH(  5, 65) =  0.579676E+01
  PKER_SWETH(  5, 66) =  0.579975E+01
  PKER_SWETH(  5, 67) =  0.580256E+01
  PKER_SWETH(  5, 68) =  0.580520E+01
  PKER_SWETH(  5, 69) =  0.580767E+01
  PKER_SWETH(  5, 70) =  0.581000E+01
  PKER_SWETH(  5, 71) =  0.581218E+01
  PKER_SWETH(  5, 72) =  0.581423E+01
  PKER_SWETH(  5, 73) =  0.581615E+01
  PKER_SWETH(  5, 74) =  0.581796E+01
  PKER_SWETH(  5, 75) =  0.581966E+01
  PKER_SWETH(  5, 76) =  0.582125E+01
  PKER_SWETH(  5, 77) =  0.582275E+01
  PKER_SWETH(  5, 78) =  0.582415E+01
  PKER_SWETH(  5, 79) =  0.582547E+01
  PKER_SWETH(  5, 80) =  0.582671E+01
  PKER_SWETH(  6,  1) =  0.128538E+01
  PKER_SWETH(  6,  2) =  0.143580E+01
  PKER_SWETH(  6,  3) =  0.159310E+01
  PKER_SWETH(  6,  4) =  0.175236E+01
  PKER_SWETH(  6,  5) =  0.191039E+01
  PKER_SWETH(  6,  6) =  0.206519E+01
  PKER_SWETH(  6,  7) =  0.221578E+01
  PKER_SWETH(  6,  8) =  0.236189E+01
  PKER_SWETH(  6,  9) =  0.250376E+01
  PKER_SWETH(  6, 10) =  0.264193E+01
  PKER_SWETH(  6, 11) =  0.277711E+01
  PKER_SWETH(  6, 12) =  0.291003E+01
  PKER_SWETH(  6, 13) =  0.304132E+01
  PKER_SWETH(  6, 14) =  0.317134E+01
  PKER_SWETH(  6, 15) =  0.330011E+01
  PKER_SWETH(  6, 16) =  0.342714E+01
  PKER_SWETH(  6, 17) =  0.355150E+01
  PKER_SWETH(  6, 18) =  0.367186E+01
  PKER_SWETH(  6, 19) =  0.378671E+01
  PKER_SWETH(  6, 20) =  0.389463E+01
  PKER_SWETH(  6, 21) =  0.399453E+01
  PKER_SWETH(  6, 22) =  0.408580E+01
  PKER_SWETH(  6, 23) =  0.416829E+01
  PKER_SWETH(  6, 24) =  0.424230E+01
  PKER_SWETH(  6, 25) =  0.430841E+01
  PKER_SWETH(  6, 26) =  0.436736E+01
  PKER_SWETH(  6, 27) =  0.441996E+01
  PKER_SWETH(  6, 28) =  0.446700E+01
  PKER_SWETH(  6, 29) =  0.450920E+01
  PKER_SWETH(  6, 30) =  0.454719E+01
  PKER_SWETH(  6, 31) =  0.458156E+01
  PKER_SWETH(  6, 32) =  0.461276E+01
  PKER_SWETH(  6, 33) =  0.464121E+01
  PKER_SWETH(  6, 34) =  0.466724E+01
  PKER_SWETH(  6, 35) =  0.469115E+01
  PKER_SWETH(  6, 36) =  0.471317E+01
  PKER_SWETH(  6, 37) =  0.473351E+01
  PKER_SWETH(  6, 38) =  0.475234E+01
  PKER_SWETH(  6, 39) =  0.476981E+01
  PKER_SWETH(  6, 40) =  0.478604E+01
  PKER_SWETH(  6, 41) =  0.480116E+01
  PKER_SWETH(  6, 42) =  0.481525E+01
  PKER_SWETH(  6, 43) =  0.482840E+01
  PKER_SWETH(  6, 44) =  0.484068E+01
  PKER_SWETH(  6, 45) =  0.485216E+01
  PKER_SWETH(  6, 46) =  0.486290E+01
  PKER_SWETH(  6, 47) =  0.487296E+01
  PKER_SWETH(  6, 48) =  0.488237E+01
  PKER_SWETH(  6, 49) =  0.489119E+01
  PKER_SWETH(  6, 50) =  0.489946E+01
  PKER_SWETH(  6, 51) =  0.490721E+01
  PKER_SWETH(  6, 52) =  0.491448E+01
  PKER_SWETH(  6, 53) =  0.492130E+01
  PKER_SWETH(  6, 54) =  0.492769E+01
  PKER_SWETH(  6, 55) =  0.493369E+01
  PKER_SWETH(  6, 56) =  0.493932E+01
  PKER_SWETH(  6, 57) =  0.494461E+01
  PKER_SWETH(  6, 58) =  0.494957E+01
  PKER_SWETH(  6, 59) =  0.495422E+01
  PKER_SWETH(  6, 60) =  0.495859E+01
  PKER_SWETH(  6, 61) =  0.496269E+01
  PKER_SWETH(  6, 62) =  0.496654E+01
  PKER_SWETH(  6, 63) =  0.497016E+01
  PKER_SWETH(  6, 64) =  0.497355E+01
  PKER_SWETH(  6, 65) =  0.497674E+01
  PKER_SWETH(  6, 66) =  0.497973E+01
  PKER_SWETH(  6, 67) =  0.498254E+01
  PKER_SWETH(  6, 68) =  0.498518E+01
  PKER_SWETH(  6, 69) =  0.498765E+01
  PKER_SWETH(  6, 70) =  0.498998E+01
  PKER_SWETH(  6, 71) =  0.499216E+01
  PKER_SWETH(  6, 72) =  0.499421E+01
  PKER_SWETH(  6, 73) =  0.499613E+01
  PKER_SWETH(  6, 74) =  0.499794E+01
  PKER_SWETH(  6, 75) =  0.499964E+01
  PKER_SWETH(  6, 76) =  0.500123E+01
  PKER_SWETH(  6, 77) =  0.500272E+01
  PKER_SWETH(  6, 78) =  0.500413E+01
  PKER_SWETH(  6, 79) =  0.500545E+01
  PKER_SWETH(  6, 80) =  0.500669E+01
  PKER_SWETH(  7,  1) =  0.856768E+00
  PKER_SWETH(  7,  2) =  0.947769E+00
  PKER_SWETH(  7,  3) =  0.106025E+01
  PKER_SWETH(  7,  4) =  0.118718E+01
  PKER_SWETH(  7,  5) =  0.132214E+01
  PKER_SWETH(  7,  6) =  0.146072E+01
  PKER_SWETH(  7,  7) =  0.159954E+01
  PKER_SWETH(  7,  8) =  0.173657E+01
  PKER_SWETH(  7,  9) =  0.187073E+01
  PKER_SWETH(  7, 10) =  0.200163E+01
  PKER_SWETH(  7, 11) =  0.212938E+01
  PKER_SWETH(  7, 12) =  0.225437E+01
  PKER_SWETH(  7, 13) =  0.237711E+01
  PKER_SWETH(  7, 14) =  0.249807E+01
  PKER_SWETH(  7, 15) =  0.261757E+01
  PKER_SWETH(  7, 16) =  0.273559E+01
  PKER_SWETH(  7, 17) =  0.285173E+01
  PKER_SWETH(  7, 18) =  0.296518E+01
  PKER_SWETH(  7, 19) =  0.307480E+01
  PKER_SWETH(  7, 20) =  0.317928E+01
  PKER_SWETH(  7, 21) =  0.327741E+01
  PKER_SWETH(  7, 22) =  0.336826E+01
  PKER_SWETH(  7, 23) =  0.345129E+01
  PKER_SWETH(  7, 24) =  0.352643E+01
  PKER_SWETH(  7, 25) =  0.359394E+01
  PKER_SWETH(  7, 26) =  0.365434E+01
  PKER_SWETH(  7, 27) =  0.370832E+01
  PKER_SWETH(  7, 28) =  0.375657E+01
  PKER_SWETH(  7, 29) =  0.379981E+01
  PKER_SWETH(  7, 30) =  0.383869E+01
  PKER_SWETH(  7, 31) =  0.387377E+01
  PKER_SWETH(  7, 32) =  0.390555E+01
  PKER_SWETH(  7, 33) =  0.393446E+01
  PKER_SWETH(  7, 34) =  0.396087E+01
  PKER_SWETH(  7, 35) =  0.398507E+01
  PKER_SWETH(  7, 36) =  0.400732E+01
  PKER_SWETH(  7, 37) =  0.402784E+01
  PKER_SWETH(  7, 38) =  0.404682E+01
  PKER_SWETH(  7, 39) =  0.406440E+01
  PKER_SWETH(  7, 40) =  0.408073E+01
  PKER_SWETH(  7, 41) =  0.409591E+01
  PKER_SWETH(  7, 42) =  0.411006E+01
  PKER_SWETH(  7, 43) =  0.412325E+01
  PKER_SWETH(  7, 44) =  0.413556E+01
  PKER_SWETH(  7, 45) =  0.414707E+01
  PKER_SWETH(  7, 46) =  0.415783E+01
  PKER_SWETH(  7, 47) =  0.416790E+01
  PKER_SWETH(  7, 48) =  0.417733E+01
  PKER_SWETH(  7, 49) =  0.418616E+01
  PKER_SWETH(  7, 50) =  0.419444E+01
  PKER_SWETH(  7, 51) =  0.420220E+01
  PKER_SWETH(  7, 52) =  0.420947E+01
  PKER_SWETH(  7, 53) =  0.421629E+01
  PKER_SWETH(  7, 54) =  0.422269E+01
  PKER_SWETH(  7, 55) =  0.422869E+01
  PKER_SWETH(  7, 56) =  0.423433E+01
  PKER_SWETH(  7, 57) =  0.423961E+01
  PKER_SWETH(  7, 58) =  0.424457E+01
  PKER_SWETH(  7, 59) =  0.424923E+01
  PKER_SWETH(  7, 60) =  0.425360E+01
  PKER_SWETH(  7, 61) =  0.425770E+01
  PKER_SWETH(  7, 62) =  0.426155E+01
  PKER_SWETH(  7, 63) =  0.426517E+01
  PKER_SWETH(  7, 64) =  0.426856E+01
  PKER_SWETH(  7, 65) =  0.427175E+01
  PKER_SWETH(  7, 66) =  0.427474E+01
  PKER_SWETH(  7, 67) =  0.427755E+01
  PKER_SWETH(  7, 68) =  0.428018E+01
  PKER_SWETH(  7, 69) =  0.428266E+01
  PKER_SWETH(  7, 70) =  0.428498E+01
  PKER_SWETH(  7, 71) =  0.428717E+01
  PKER_SWETH(  7, 72) =  0.428922E+01
  PKER_SWETH(  7, 73) =  0.429114E+01
  PKER_SWETH(  7, 74) =  0.429295E+01
  PKER_SWETH(  7, 75) =  0.429464E+01
  PKER_SWETH(  7, 76) =  0.429624E+01
  PKER_SWETH(  7, 77) =  0.429773E+01
  PKER_SWETH(  7, 78) =  0.429914E+01
  PKER_SWETH(  7, 79) =  0.430046E+01
  PKER_SWETH(  7, 80) =  0.430169E+01
  PKER_SWETH(  8,  1) =  0.666288E+00
  PKER_SWETH(  8,  2) =  0.672636E+00
  PKER_SWETH(  8,  3) =  0.713972E+00
  PKER_SWETH(  8,  4) =  0.783974E+00
  PKER_SWETH(  8,  5) =  0.875298E+00
  PKER_SWETH(  8,  6) =  0.981698E+00
  PKER_SWETH(  8,  7) =  0.109726E+01
  PKER_SWETH(  8,  8) =  0.121759E+01
  PKER_SWETH(  8,  9) =  0.133955E+01
  PKER_SWETH(  8, 10) =  0.146099E+01
  PKER_SWETH(  8, 11) =  0.158073E+01
  PKER_SWETH(  8, 12) =  0.169826E+01
  PKER_SWETH(  8, 13) =  0.181355E+01
  PKER_SWETH(  8, 14) =  0.192680E+01
  PKER_SWETH(  8, 15) =  0.203828E+01
  PKER_SWETH(  8, 16) =  0.214820E+01
  PKER_SWETH(  8, 17) =  0.225651E+01
  PKER_SWETH(  8, 18) =  0.236285E+01
  PKER_SWETH(  8, 19) =  0.246652E+01
  PKER_SWETH(  8, 20) =  0.256652E+01
  PKER_SWETH(  8, 21) =  0.266174E+01
  PKER_SWETH(  8, 22) =  0.275113E+01
  PKER_SWETH(  8, 23) =  0.283388E+01
  PKER_SWETH(  8, 24) =  0.290956E+01
  PKER_SWETH(  8, 25) =  0.297812E+01
  PKER_SWETH(  8, 26) =  0.303979E+01
  PKER_SWETH(  8, 27) =  0.309508E+01
  PKER_SWETH(  8, 28) =  0.314456E+01
  PKER_SWETH(  8, 29) =  0.318889E+01
  PKER_SWETH(  8, 30) =  0.322870E+01
  PKER_SWETH(  8, 31) =  0.326456E+01
  PKER_SWETH(  8, 32) =  0.329698E+01
  PKER_SWETH(  8, 33) =  0.332641E+01
  PKER_SWETH(  8, 34) =  0.335322E+01
  PKER_SWETH(  8, 35) =  0.337775E+01
  PKER_SWETH(  8, 36) =  0.340027E+01
  PKER_SWETH(  8, 37) =  0.342099E+01
  PKER_SWETH(  8, 38) =  0.344013E+01
  PKER_SWETH(  8, 39) =  0.345784E+01
  PKER_SWETH(  8, 40) =  0.347427E+01
  PKER_SWETH(  8, 41) =  0.348953E+01
  PKER_SWETH(  8, 42) =  0.350374E+01
  PKER_SWETH(  8, 43) =  0.351697E+01
  PKER_SWETH(  8, 44) =  0.352933E+01
  PKER_SWETH(  8, 45) =  0.354087E+01
  PKER_SWETH(  8, 46) =  0.355165E+01
  PKER_SWETH(  8, 47) =  0.356174E+01
  PKER_SWETH(  8, 48) =  0.357118E+01
  PKER_SWETH(  8, 49) =  0.358003E+01
  PKER_SWETH(  8, 50) =  0.358831E+01
  PKER_SWETH(  8, 51) =  0.359607E+01
  PKER_SWETH(  8, 52) =  0.360335E+01
  PKER_SWETH(  8, 53) =  0.361018E+01
  PKER_SWETH(  8, 54) =  0.361658E+01
  PKER_SWETH(  8, 55) =  0.362259E+01
  PKER_SWETH(  8, 56) =  0.362822E+01
  PKER_SWETH(  8, 57) =  0.363351E+01
  PKER_SWETH(  8, 58) =  0.363847E+01
  PKER_SWETH(  8, 59) =  0.364313E+01
  PKER_SWETH(  8, 60) =  0.364750E+01
  PKER_SWETH(  8, 61) =  0.365160E+01
  PKER_SWETH(  8, 62) =  0.365545E+01
  PKER_SWETH(  8, 63) =  0.365907E+01
  PKER_SWETH(  8, 64) =  0.366246E+01
  PKER_SWETH(  8, 65) =  0.366565E+01
  PKER_SWETH(  8, 66) =  0.366864E+01
  PKER_SWETH(  8, 67) =  0.367145E+01
  PKER_SWETH(  8, 68) =  0.367408E+01
  PKER_SWETH(  8, 69) =  0.367656E+01
  PKER_SWETH(  8, 70) =  0.367889E+01
  PKER_SWETH(  8, 71) =  0.368107E+01
  PKER_SWETH(  8, 72) =  0.368312E+01
  PKER_SWETH(  8, 73) =  0.368504E+01
  PKER_SWETH(  8, 74) =  0.368685E+01
  PKER_SWETH(  8, 75) =  0.368855E+01
  PKER_SWETH(  8, 76) =  0.369014E+01
  PKER_SWETH(  8, 77) =  0.369163E+01
  PKER_SWETH(  8, 78) =  0.369304E+01
  PKER_SWETH(  8, 79) =  0.369436E+01
  PKER_SWETH(  8, 80) =  0.369560E+01
  PKER_SWETH(  9,  1) =  0.707414E+00
  PKER_SWETH(  9,  2) =  0.624644E+00
  PKER_SWETH(  9,  3) =  0.580795E+00
  PKER_SWETH(  9,  4) =  0.573199E+00
  PKER_SWETH(  9,  5) =  0.598399E+00
  PKER_SWETH(  9,  6) =  0.650444E+00
  PKER_SWETH(  9,  7) =  0.723705E+00
  PKER_SWETH(  9,  8) =  0.812303E+00
  PKER_SWETH(  9,  9) =  0.910888E+00
  PKER_SWETH(  9, 10) =  0.101536E+01
  PKER_SWETH(  9, 11) =  0.112252E+01
  PKER_SWETH(  9, 12) =  0.123028E+01
  PKER_SWETH(  9, 13) =  0.133733E+01
  PKER_SWETH(  9, 14) =  0.144307E+01
  PKER_SWETH(  9, 15) =  0.154726E+01
  PKER_SWETH(  9, 16) =  0.164991E+01
  PKER_SWETH(  9, 17) =  0.175103E+01
  PKER_SWETH(  9, 18) =  0.185052E+01
  PKER_SWETH(  9, 19) =  0.194801E+01
  PKER_SWETH(  9, 20) =  0.204288E+01
  PKER_SWETH(  9, 21) =  0.213426E+01
  PKER_SWETH(  9, 22) =  0.222119E+01
  PKER_SWETH(  9, 23) =  0.230275E+01
  PKER_SWETH(  9, 24) =  0.237826E+01
  PKER_SWETH(  9, 25) =  0.244736E+01
  PKER_SWETH(  9, 26) =  0.251001E+01
  PKER_SWETH(  9, 27) =  0.256645E+01
  PKER_SWETH(  9, 28) =  0.261712E+01
  PKER_SWETH(  9, 29) =  0.266256E+01
  PKER_SWETH(  9, 30) =  0.270334E+01
  PKER_SWETH(  9, 31) =  0.274003E+01
  PKER_SWETH(  9, 32) =  0.277315E+01
  PKER_SWETH(  9, 33) =  0.280314E+01
  PKER_SWETH(  9, 34) =  0.283042E+01
  PKER_SWETH(  9, 35) =  0.285531E+01
  PKER_SWETH(  9, 36) =  0.287812E+01
  PKER_SWETH(  9, 37) =  0.289907E+01
  PKER_SWETH(  9, 38) =  0.291839E+01
  PKER_SWETH(  9, 39) =  0.293624E+01
  PKER_SWETH(  9, 40) =  0.295278E+01
  PKER_SWETH(  9, 41) =  0.296813E+01
  PKER_SWETH(  9, 42) =  0.298241E+01
  PKER_SWETH(  9, 43) =  0.299570E+01
  PKER_SWETH(  9, 44) =  0.300810E+01
  PKER_SWETH(  9, 45) =  0.301967E+01
  PKER_SWETH(  9, 46) =  0.303048E+01
  PKER_SWETH(  9, 47) =  0.304059E+01
  PKER_SWETH(  9, 48) =  0.305005E+01
  PKER_SWETH(  9, 49) =  0.305890E+01
  PKER_SWETH(  9, 50) =  0.306720E+01
  PKER_SWETH(  9, 51) =  0.307497E+01
  PKER_SWETH(  9, 52) =  0.308225E+01
  PKER_SWETH(  9, 53) =  0.308908E+01
  PKER_SWETH(  9, 54) =  0.309549E+01
  PKER_SWETH(  9, 55) =  0.310150E+01
  PKER_SWETH(  9, 56) =  0.310713E+01
  PKER_SWETH(  9, 57) =  0.311242E+01
  PKER_SWETH(  9, 58) =  0.311739E+01
  PKER_SWETH(  9, 59) =  0.312204E+01
  PKER_SWETH(  9, 60) =  0.312642E+01
  PKER_SWETH(  9, 61) =  0.313052E+01
  PKER_SWETH(  9, 62) =  0.313437E+01
  PKER_SWETH(  9, 63) =  0.313799E+01
  PKER_SWETH(  9, 64) =  0.314138E+01
  PKER_SWETH(  9, 65) =  0.314457E+01
  PKER_SWETH(  9, 66) =  0.314756E+01
  PKER_SWETH(  9, 67) =  0.315037E+01
  PKER_SWETH(  9, 68) =  0.315301E+01
  PKER_SWETH(  9, 69) =  0.315548E+01
  PKER_SWETH(  9, 70) =  0.315781E+01
  PKER_SWETH(  9, 71) =  0.315999E+01
  PKER_SWETH(  9, 72) =  0.316204E+01
  PKER_SWETH(  9, 73) =  0.316396E+01
  PKER_SWETH(  9, 74) =  0.316577E+01
  PKER_SWETH(  9, 75) =  0.316747E+01
  PKER_SWETH(  9, 76) =  0.316906E+01
  PKER_SWETH(  9, 77) =  0.317056E+01
  PKER_SWETH(  9, 78) =  0.317196E+01
  PKER_SWETH(  9, 79) =  0.317328E+01
  PKER_SWETH(  9, 80) =  0.317452E+01
  PKER_SWETH( 10,  1) =  0.911913E+00
  PKER_SWETH( 10,  2) =  0.763036E+00
  PKER_SWETH( 10,  3) =  0.645536E+00
  PKER_SWETH( 10,  4) =  0.561056E+00
  PKER_SWETH( 10,  5) =  0.510613E+00
  PKER_SWETH( 10,  6) =  0.492913E+00
  PKER_SWETH( 10,  7) =  0.504602E+00
  PKER_SWETH( 10,  8) =  0.541947E+00
  PKER_SWETH( 10,  9) =  0.599761E+00
  PKER_SWETH( 10, 10) =  0.673026E+00
  PKER_SWETH( 10, 11) =  0.756871E+00
  PKER_SWETH( 10, 12) =  0.847450E+00
  PKER_SWETH( 10, 13) =  0.941685E+00
  PKER_SWETH( 10, 14) =  0.103741E+01
  PKER_SWETH( 10, 15) =  0.113330E+01
  PKER_SWETH( 10, 16) =  0.122855E+01
  PKER_SWETH( 10, 17) =  0.132276E+01
  PKER_SWETH( 10, 18) =  0.141568E+01
  PKER_SWETH( 10, 19) =  0.150707E+01
  PKER_SWETH( 10, 20) =  0.159652E+01
  PKER_SWETH( 10, 21) =  0.168345E+01
  PKER_SWETH( 10, 22) =  0.176708E+01
  PKER_SWETH( 10, 23) =  0.184656E+01
  PKER_SWETH( 10, 24) =  0.192110E+01
  PKER_SWETH( 10, 25) =  0.199011E+01
  PKER_SWETH( 10, 26) =  0.205330E+01
  PKER_SWETH( 10, 27) =  0.211065E+01
  PKER_SWETH( 10, 28) =  0.216238E+01
  PKER_SWETH( 10, 29) =  0.220889E+01
  PKER_SWETH( 10, 30) =  0.225067E+01
  PKER_SWETH( 10, 31) =  0.228824E+01
  PKER_SWETH( 10, 32) =  0.232210E+01
  PKER_SWETH( 10, 33) =  0.235272E+01
  PKER_SWETH( 10, 34) =  0.238050E+01
  PKER_SWETH( 10, 35) =  0.240580E+01
  PKER_SWETH( 10, 36) =  0.242893E+01
  PKER_SWETH( 10, 37) =  0.245014E+01
  PKER_SWETH( 10, 38) =  0.246966E+01
  PKER_SWETH( 10, 39) =  0.248768E+01
  PKER_SWETH( 10, 40) =  0.250434E+01
  PKER_SWETH( 10, 41) =  0.251979E+01
  PKER_SWETH( 10, 42) =  0.253415E+01
  PKER_SWETH( 10, 43) =  0.254750E+01
  PKER_SWETH( 10, 44) =  0.255994E+01
  PKER_SWETH( 10, 45) =  0.257155E+01
  PKER_SWETH( 10, 46) =  0.258239E+01
  PKER_SWETH( 10, 47) =  0.259252E+01
  PKER_SWETH( 10, 48) =  0.260200E+01
  PKER_SWETH( 10, 49) =  0.261087E+01
  PKER_SWETH( 10, 50) =  0.261917E+01
  PKER_SWETH( 10, 51) =  0.262696E+01
  PKER_SWETH( 10, 52) =  0.263425E+01
  PKER_SWETH( 10, 53) =  0.264108E+01
  PKER_SWETH( 10, 54) =  0.264749E+01
  PKER_SWETH( 10, 55) =  0.265350E+01
  PKER_SWETH( 10, 56) =  0.265914E+01
  PKER_SWETH( 10, 57) =  0.266443E+01
  PKER_SWETH( 10, 58) =  0.266940E+01
  PKER_SWETH( 10, 59) =  0.267406E+01
  PKER_SWETH( 10, 60) =  0.267843E+01
  PKER_SWETH( 10, 61) =  0.268253E+01
  PKER_SWETH( 10, 62) =  0.268639E+01
  PKER_SWETH( 10, 63) =  0.269000E+01
  PKER_SWETH( 10, 64) =  0.269340E+01
  PKER_SWETH( 10, 65) =  0.269659E+01
  PKER_SWETH( 10, 66) =  0.269958E+01
  PKER_SWETH( 10, 67) =  0.270239E+01
  PKER_SWETH( 10, 68) =  0.270502E+01
  PKER_SWETH( 10, 69) =  0.270750E+01
  PKER_SWETH( 10, 70) =  0.270983E+01
  PKER_SWETH( 10, 71) =  0.271201E+01
  PKER_SWETH( 10, 72) =  0.271406E+01
  PKER_SWETH( 10, 73) =  0.271598E+01
  PKER_SWETH( 10, 74) =  0.271779E+01
  PKER_SWETH( 10, 75) =  0.271949E+01
  PKER_SWETH( 10, 76) =  0.272108E+01
  PKER_SWETH( 10, 77) =  0.272257E+01
  PKER_SWETH( 10, 78) =  0.272398E+01
  PKER_SWETH( 10, 79) =  0.272530E+01
  PKER_SWETH( 10, 80) =  0.272654E+01
  PKER_SWETH( 11,  1) =  0.118545E+01
  PKER_SWETH( 11,  2) =  0.100295E+01
  PKER_SWETH( 11,  3) =  0.841340E+00
  PKER_SWETH( 11,  4) =  0.703241E+00
  PKER_SWETH( 11,  5) =  0.591315E+00
  PKER_SWETH( 11,  6) =  0.507481E+00
  PKER_SWETH( 11,  7) =  0.452983E+00
  PKER_SWETH( 11,  8) =  0.427344E+00
  PKER_SWETH( 11,  9) =  0.428797E+00
  PKER_SWETH( 11, 10) =  0.453908E+00
  PKER_SWETH( 11, 11) =  0.498674E+00
  PKER_SWETH( 11, 12) =  0.558774E+00
  PKER_SWETH( 11, 13) =  0.629851E+00
  PKER_SWETH( 11, 14) =  0.708336E+00
  PKER_SWETH( 11, 15) =  0.791265E+00
  PKER_SWETH( 11, 16) =  0.876433E+00
  PKER_SWETH( 11, 17) =  0.962409E+00
  PKER_SWETH( 11, 18) =  0.104825E+01
  PKER_SWETH( 11, 19) =  0.113333E+01
  PKER_SWETH( 11, 20) =  0.121716E+01
  PKER_SWETH( 11, 21) =  0.129924E+01
  PKER_SWETH( 11, 22) =  0.137896E+01
  PKER_SWETH( 11, 23) =  0.145558E+01
  PKER_SWETH( 11, 24) =  0.152835E+01
  PKER_SWETH( 11, 25) =  0.159658E+01
  PKER_SWETH( 11, 26) =  0.165976E+01
  PKER_SWETH( 11, 27) =  0.171764E+01
  PKER_SWETH( 11, 28) =  0.177021E+01
  PKER_SWETH( 11, 29) =  0.181769E+01
  PKER_SWETH( 11, 30) =  0.186044E+01
  PKER_SWETH( 11, 31) =  0.189891E+01
  PKER_SWETH( 11, 32) =  0.193356E+01
  PKER_SWETH( 11, 33) =  0.196485E+01
  PKER_SWETH( 11, 34) =  0.199318E+01
  PKER_SWETH( 11, 35) =  0.201894E+01
  PKER_SWETH( 11, 36) =  0.204243E+01
  PKER_SWETH( 11, 37) =  0.206393E+01
  PKER_SWETH( 11, 38) =  0.208369E+01
  PKER_SWETH( 11, 39) =  0.210188E+01
  PKER_SWETH( 11, 40) =  0.211869E+01
  PKER_SWETH( 11, 41) =  0.213425E+01
  PKER_SWETH( 11, 42) =  0.214869E+01
  PKER_SWETH( 11, 43) =  0.216211E+01
  PKER_SWETH( 11, 44) =  0.217461E+01
  PKER_SWETH( 11, 45) =  0.218626E+01
  PKER_SWETH( 11, 46) =  0.219713E+01
  PKER_SWETH( 11, 47) =  0.220729E+01
  PKER_SWETH( 11, 48) =  0.221679E+01
  PKER_SWETH( 11, 49) =  0.222567E+01
  PKER_SWETH( 11, 50) =  0.223399E+01
  PKER_SWETH( 11, 51) =  0.224178E+01
  PKER_SWETH( 11, 52) =  0.224908E+01
  PKER_SWETH( 11, 53) =  0.225592E+01
  PKER_SWETH( 11, 54) =  0.226233E+01
  PKER_SWETH( 11, 55) =  0.226835E+01
  PKER_SWETH( 11, 56) =  0.227399E+01
  PKER_SWETH( 11, 57) =  0.227928E+01
  PKER_SWETH( 11, 58) =  0.228425E+01
  PKER_SWETH( 11, 59) =  0.228891E+01
  PKER_SWETH( 11, 60) =  0.229329E+01
  PKER_SWETH( 11, 61) =  0.229739E+01
  PKER_SWETH( 11, 62) =  0.230124E+01
  PKER_SWETH( 11, 63) =  0.230486E+01
  PKER_SWETH( 11, 64) =  0.230826E+01
  PKER_SWETH( 11, 65) =  0.231144E+01
  PKER_SWETH( 11, 66) =  0.231444E+01
  PKER_SWETH( 11, 67) =  0.231724E+01
  PKER_SWETH( 11, 68) =  0.231988E+01
  PKER_SWETH( 11, 69) =  0.232236E+01
  PKER_SWETH( 11, 70) =  0.232468E+01
  PKER_SWETH( 11, 71) =  0.232687E+01
  PKER_SWETH( 11, 72) =  0.232892E+01
  PKER_SWETH( 11, 73) =  0.233084E+01
  PKER_SWETH( 11, 74) =  0.233265E+01
  PKER_SWETH( 11, 75) =  0.233434E+01
  PKER_SWETH( 11, 76) =  0.233594E+01
  PKER_SWETH( 11, 77) =  0.233743E+01
  PKER_SWETH( 11, 78) =  0.233884E+01
  PKER_SWETH( 11, 79) =  0.234016E+01
  PKER_SWETH( 11, 80) =  0.234140E+01
  PKER_SWETH( 12,  1) =  0.145894E+01
  PKER_SWETH( 12,  2) =  0.126502E+01
  PKER_SWETH( 12,  3) =  0.108573E+01
  PKER_SWETH( 12,  4) =  0.922022E+00
  PKER_SWETH( 12,  5) =  0.775551E+00
  PKER_SWETH( 12,  6) =  0.648490E+00
  PKER_SWETH( 12,  7) =  0.543095E+00
  PKER_SWETH( 12,  8) =  0.461483E+00
  PKER_SWETH( 12,  9) =  0.405081E+00
  PKER_SWETH( 12, 10) =  0.373938E+00
  PKER_SWETH( 12, 11) =  0.367149E+00
  PKER_SWETH( 12, 12) =  0.382311E+00
  PKER_SWETH( 12, 13) =  0.416306E+00
  PKER_SWETH( 12, 14) =  0.465232E+00
  PKER_SWETH( 12, 15) =  0.525344E+00
  PKER_SWETH( 12, 16) =  0.593373E+00
  PKER_SWETH( 12, 17) =  0.666351E+00
  PKER_SWETH( 12, 18) =  0.742209E+00
  PKER_SWETH( 12, 19) =  0.819328E+00
  PKER_SWETH( 12, 20) =  0.896597E+00
  PKER_SWETH( 12, 21) =  0.973187E+00
  PKER_SWETH( 12, 22) =  0.104838E+01
  PKER_SWETH( 12, 23) =  0.112146E+01
  PKER_SWETH( 12, 24) =  0.119172E+01
  PKER_SWETH( 12, 25) =  0.125842E+01
  PKER_SWETH( 12, 26) =  0.132096E+01
  PKER_SWETH( 12, 27) =  0.137888E+01
  PKER_SWETH( 12, 28) =  0.143197E+01
  PKER_SWETH( 12, 29) =  0.148024E+01
  PKER_SWETH( 12, 30) =  0.152388E+01
  PKER_SWETH( 12, 31) =  0.156323E+01
  PKER_SWETH( 12, 32) =  0.159870E+01
  PKER_SWETH( 12, 33) =  0.163070E+01
  PKER_SWETH( 12, 34) =  0.165963E+01
  PKER_SWETH( 12, 35) =  0.168589E+01
  PKER_SWETH( 12, 36) =  0.170978E+01
  PKER_SWETH( 12, 37) =  0.173161E+01
  PKER_SWETH( 12, 38) =  0.175162E+01
  PKER_SWETH( 12, 39) =  0.177002E+01
  PKER_SWETH( 12, 40) =  0.178699E+01
  PKER_SWETH( 12, 41) =  0.180268E+01
  PKER_SWETH( 12, 42) =  0.181722E+01
  PKER_SWETH( 12, 43) =  0.183072E+01
  PKER_SWETH( 12, 44) =  0.184328E+01
  PKER_SWETH( 12, 45) =  0.185498E+01
  PKER_SWETH( 12, 46) =  0.186588E+01
  PKER_SWETH( 12, 47) =  0.187607E+01
  PKER_SWETH( 12, 48) =  0.188559E+01
  PKER_SWETH( 12, 49) =  0.189449E+01
  PKER_SWETH( 12, 50) =  0.190282E+01
  PKER_SWETH( 12, 51) =  0.191063E+01
  PKER_SWETH( 12, 52) =  0.191793E+01
  PKER_SWETH( 12, 53) =  0.192478E+01
  PKER_SWETH( 12, 54) =  0.193120E+01
  PKER_SWETH( 12, 55) =  0.193722E+01
  PKER_SWETH( 12, 56) =  0.194286E+01
  PKER_SWETH( 12, 57) =  0.194816E+01
  PKER_SWETH( 12, 58) =  0.195313E+01
  PKER_SWETH( 12, 59) =  0.195779E+01
  PKER_SWETH( 12, 60) =  0.196217E+01
  PKER_SWETH( 12, 61) =  0.196627E+01
  PKER_SWETH( 12, 62) =  0.197013E+01
  PKER_SWETH( 12, 63) =  0.197374E+01
  PKER_SWETH( 12, 64) =  0.197714E+01
  PKER_SWETH( 12, 65) =  0.198033E+01
  PKER_SWETH( 12, 66) =  0.198332E+01
  PKER_SWETH( 12, 67) =  0.198613E+01
  PKER_SWETH( 12, 68) =  0.198877E+01
  PKER_SWETH( 12, 69) =  0.199124E+01
  PKER_SWETH( 12, 70) =  0.199357E+01
  PKER_SWETH( 12, 71) =  0.199575E+01
  PKER_SWETH( 12, 72) =  0.199780E+01
  PKER_SWETH( 12, 73) =  0.199973E+01
  PKER_SWETH( 12, 74) =  0.200153E+01
  PKER_SWETH( 12, 75) =  0.200323E+01
  PKER_SWETH( 12, 76) =  0.200482E+01
  PKER_SWETH( 12, 77) =  0.200632E+01
  PKER_SWETH( 12, 78) =  0.200772E+01
  PKER_SWETH( 12, 79) =  0.200904E+01
  PKER_SWETH( 12, 80) =  0.201028E+01
  PKER_SWETH( 13,  1) =  0.170405E+01
  PKER_SWETH( 13,  2) =  0.150769E+01
  PKER_SWETH( 13,  3) =  0.132375E+01
  PKER_SWETH( 13,  4) =  0.115199E+01
  PKER_SWETH( 13,  5) =  0.992573E+00
  PKER_SWETH( 13,  6) =  0.846175E+00
  PKER_SWETH( 13,  7) =  0.713998E+00
  PKER_SWETH( 13,  8) =  0.597806E+00
  PKER_SWETH( 13,  9) =  0.499584E+00
  PKER_SWETH( 13, 10) =  0.421275E+00
  PKER_SWETH( 13, 11) =  0.364551E+00
  PKER_SWETH( 13, 12) =  0.329932E+00
  PKER_SWETH( 13, 13) =  0.316966E+00
  PKER_SWETH( 13, 14) =  0.324306E+00
  PKER_SWETH( 13, 15) =  0.349233E+00
  PKER_SWETH( 13, 16) =  0.388790E+00
  PKER_SWETH( 13, 17) =  0.439524E+00
  PKER_SWETH( 13, 18) =  0.498464E+00
  PKER_SWETH( 13, 19) =  0.562783E+00
  PKER_SWETH( 13, 20) =  0.630325E+00
  PKER_SWETH( 13, 21) =  0.699430E+00
  PKER_SWETH( 13, 22) =  0.768779E+00
  PKER_SWETH( 13, 23) =  0.837340E+00
  PKER_SWETH( 13, 24) =  0.904222E+00
  PKER_SWETH( 13, 25) =  0.968619E+00
  PKER_SWETH( 13, 26) =  0.102980E+01
  PKER_SWETH( 13, 27) =  0.108719E+01
  PKER_SWETH( 13, 28) =  0.114036E+01
  PKER_SWETH( 13, 29) =  0.118912E+01
  PKER_SWETH( 13, 30) =  0.123349E+01
  PKER_SWETH( 13, 31) =  0.127366E+01
  PKER_SWETH( 13, 32) =  0.130993E+01
  PKER_SWETH( 13, 33) =  0.134267E+01
  PKER_SWETH( 13, 34) =  0.137225E+01
  PKER_SWETH( 13, 35) =  0.139905E+01
  PKER_SWETH( 13, 36) =  0.142339E+01
  PKER_SWETH( 13, 37) =  0.144558E+01
  PKER_SWETH( 13, 38) =  0.146588E+01
  PKER_SWETH( 13, 39) =  0.148451E+01
  PKER_SWETH( 13, 40) =  0.150167E+01
  PKER_SWETH( 13, 41) =  0.151750E+01
  PKER_SWETH( 13, 42) =  0.153215E+01
  PKER_SWETH( 13, 43) =  0.154574E+01
  PKER_SWETH( 13, 44) =  0.155836E+01
  PKER_SWETH( 13, 45) =  0.157012E+01
  PKER_SWETH( 13, 46) =  0.158107E+01
  PKER_SWETH( 13, 47) =  0.159129E+01
  PKER_SWETH( 13, 48) =  0.160083E+01
  PKER_SWETH( 13, 49) =  0.160975E+01
  PKER_SWETH( 13, 50) =  0.161810E+01
  PKER_SWETH( 13, 51) =  0.162591E+01
  PKER_SWETH( 13, 52) =  0.163323E+01
  PKER_SWETH( 13, 53) =  0.164009E+01
  PKER_SWETH( 13, 54) =  0.164651E+01
  PKER_SWETH( 13, 55) =  0.165254E+01
  PKER_SWETH( 13, 56) =  0.165818E+01
  PKER_SWETH( 13, 57) =  0.166348E+01
  PKER_SWETH( 13, 58) =  0.166845E+01
  PKER_SWETH( 13, 59) =  0.167312E+01
  PKER_SWETH( 13, 60) =  0.167749E+01
  PKER_SWETH( 13, 61) =  0.168160E+01
  PKER_SWETH( 13, 62) =  0.168546E+01
  PKER_SWETH( 13, 63) =  0.168907E+01
  PKER_SWETH( 13, 64) =  0.169247E+01
  PKER_SWETH( 13, 65) =  0.169566E+01
  PKER_SWETH( 13, 66) =  0.169865E+01
  PKER_SWETH( 13, 67) =  0.170146E+01
  PKER_SWETH( 13, 68) =  0.170410E+01
  PKER_SWETH( 13, 69) =  0.170658E+01
  PKER_SWETH( 13, 70) =  0.170890E+01
  PKER_SWETH( 13, 71) =  0.171108E+01
  PKER_SWETH( 13, 72) =  0.171313E+01
  PKER_SWETH( 13, 73) =  0.171506E+01
  PKER_SWETH( 13, 74) =  0.171687E+01
  PKER_SWETH( 13, 75) =  0.171856E+01
  PKER_SWETH( 13, 76) =  0.172016E+01
  PKER_SWETH( 13, 77) =  0.172165E+01
  PKER_SWETH( 13, 78) =  0.172306E+01
  PKER_SWETH( 13, 79) =  0.172437E+01
  PKER_SWETH( 13, 80) =  0.172561E+01
  PKER_SWETH( 14,  1) =  0.191644E+01
  PKER_SWETH( 14,  2) =  0.171981E+01
  PKER_SWETH( 14,  3) =  0.153516E+01
  PKER_SWETH( 14,  4) =  0.136183E+01
  PKER_SWETH( 14,  5) =  0.119931E+01
  PKER_SWETH( 14,  6) =  0.104729E+01
  PKER_SWETH( 14,  7) =  0.905766E+00
  PKER_SWETH( 14,  8) =  0.775129E+00
  PKER_SWETH( 14,  9) =  0.656292E+00
  PKER_SWETH( 14, 10) =  0.550615E+00
  PKER_SWETH( 14, 11) =  0.459778E+00
  PKER_SWETH( 14, 12) =  0.385647E+00
  PKER_SWETH( 14, 13) =  0.329785E+00
  PKER_SWETH( 14, 14) =  0.293160E+00
  PKER_SWETH( 14, 15) =  0.275937E+00
  PKER_SWETH( 14, 16) =  0.276977E+00
  PKER_SWETH( 14, 17) =  0.294714E+00
  PKER_SWETH( 14, 18) =  0.326332E+00
  PKER_SWETH( 14, 19) =  0.369117E+00
  PKER_SWETH( 14, 20) =  0.420187E+00
  PKER_SWETH( 14, 21) =  0.476869E+00
  PKER_SWETH( 14, 22) =  0.536997E+00
  PKER_SWETH( 14, 23) =  0.598735E+00
  PKER_SWETH( 14, 24) =  0.660650E+00
  PKER_SWETH( 14, 25) =  0.721544E+00
  PKER_SWETH( 14, 26) =  0.780441E+00
  PKER_SWETH( 14, 27) =  0.836536E+00
  PKER_SWETH( 14, 28) =  0.889213E+00
  PKER_SWETH( 14, 29) =  0.938066E+00
  PKER_SWETH( 14, 30) =  0.982909E+00
  PKER_SWETH( 14, 31) =  0.102375E+01
  PKER_SWETH( 14, 32) =  0.106077E+01
  PKER_SWETH( 14, 33) =  0.109424E+01
  PKER_SWETH( 14, 34) =  0.112450E+01
  PKER_SWETH( 14, 35) =  0.115187E+01
  PKER_SWETH( 14, 36) =  0.117671E+01
  PKER_SWETH( 14, 37) =  0.119930E+01
  PKER_SWETH( 14, 38) =  0.121993E+01
  PKER_SWETH( 14, 39) =  0.123882E+01
  PKER_SWETH( 14, 40) =  0.125618E+01
  PKER_SWETH( 14, 41) =  0.127218E+01
  PKER_SWETH( 14, 42) =  0.128696E+01
  PKER_SWETH( 14, 43) =  0.130065E+01
  PKER_SWETH( 14, 44) =  0.131335E+01
  PKER_SWETH( 14, 45) =  0.132516E+01
  PKER_SWETH( 14, 46) =  0.133616E+01
  PKER_SWETH( 14, 47) =  0.134642E+01
  PKER_SWETH( 14, 48) =  0.135599E+01
  PKER_SWETH( 14, 49) =  0.136494E+01
  PKER_SWETH( 14, 50) =  0.137330E+01
  PKER_SWETH( 14, 51) =  0.138113E+01
  PKER_SWETH( 14, 52) =  0.138846E+01
  PKER_SWETH( 14, 53) =  0.139532E+01
  PKER_SWETH( 14, 54) =  0.140175E+01
  PKER_SWETH( 14, 55) =  0.140778E+01
  PKER_SWETH( 14, 56) =  0.141343E+01
  PKER_SWETH( 14, 57) =  0.141874E+01
  PKER_SWETH( 14, 58) =  0.142371E+01
  PKER_SWETH( 14, 59) =  0.142837E+01
  PKER_SWETH( 14, 60) =  0.143275E+01
  PKER_SWETH( 14, 61) =  0.143686E+01
  PKER_SWETH( 14, 62) =  0.144072E+01
  PKER_SWETH( 14, 63) =  0.144434E+01
  PKER_SWETH( 14, 64) =  0.144773E+01
  PKER_SWETH( 14, 65) =  0.145092E+01
  PKER_SWETH( 14, 66) =  0.145391E+01
  PKER_SWETH( 14, 67) =  0.145672E+01
  PKER_SWETH( 14, 68) =  0.145936E+01
  PKER_SWETH( 14, 69) =  0.146184E+01
  PKER_SWETH( 14, 70) =  0.146416E+01
  PKER_SWETH( 14, 71) =  0.146635E+01
  PKER_SWETH( 14, 72) =  0.146840E+01
  PKER_SWETH( 14, 73) =  0.147032E+01
  PKER_SWETH( 14, 74) =  0.147213E+01
  PKER_SWETH( 14, 75) =  0.147383E+01
  PKER_SWETH( 14, 76) =  0.147542E+01
  PKER_SWETH( 14, 77) =  0.147692E+01
  PKER_SWETH( 14, 78) =  0.147832E+01
  PKER_SWETH( 14, 79) =  0.147964E+01
  PKER_SWETH( 14, 80) =  0.148088E+01
  PKER_SWETH( 15,  1) =  0.209919E+01
  PKER_SWETH( 15,  2) =  0.190259E+01
  PKER_SWETH( 15,  3) =  0.171794E+01
  PKER_SWETH( 15,  4) =  0.154449E+01
  PKER_SWETH( 15,  5) =  0.138158E+01
  PKER_SWETH( 15,  6) =  0.122859E+01
  PKER_SWETH( 15,  7) =  0.108503E+01
  PKER_SWETH( 15,  8) =  0.950547E+00
  PKER_SWETH( 15,  9) =  0.825033E+00
  PKER_SWETH( 15, 10) =  0.708693E+00
  PKER_SWETH( 15, 11) =  0.602154E+00
  PKER_SWETH( 15, 12) =  0.506482E+00
  PKER_SWETH( 15, 13) =  0.423037E+00
  PKER_SWETH( 15, 14) =  0.353533E+00
  PKER_SWETH( 15, 15) =  0.299551E+00
  PKER_SWETH( 15, 16) =  0.262102E+00
  PKER_SWETH( 15, 17) =  0.241884E+00
  PKER_SWETH( 15, 18) =  0.238413E+00
  PKER_SWETH( 15, 19) =  0.250171E+00
  PKER_SWETH( 15, 20) =  0.275347E+00
  PKER_SWETH( 15, 21) =  0.311363E+00
  PKER_SWETH( 15, 22) =  0.355624E+00
  PKER_SWETH( 15, 23) =  0.405543E+00
  PKER_SWETH( 15, 24) =  0.458917E+00
  PKER_SWETH( 15, 25) =  0.513821E+00
  PKER_SWETH( 15, 26) =  0.568682E+00
  PKER_SWETH( 15, 27) =  0.622251E+00
  PKER_SWETH( 15, 28) =  0.673551E+00
  PKER_SWETH( 15, 29) =  0.721876E+00
  PKER_SWETH( 15, 30) =  0.766778E+00
  PKER_SWETH( 15, 31) =  0.808050E+00
  PKER_SWETH( 15, 32) =  0.845689E+00
  PKER_SWETH( 15, 33) =  0.879844E+00
  PKER_SWETH( 15, 34) =  0.910766E+00
  PKER_SWETH( 15, 35) =  0.938752E+00
  PKER_SWETH( 15, 36) =  0.964114E+00
  PKER_SWETH( 15, 37) =  0.987153E+00
  PKER_SWETH( 15, 38) =  0.100814E+01
  PKER_SWETH( 15, 39) =  0.102733E+01
  PKER_SWETH( 15, 40) =  0.104492E+01
  PKER_SWETH( 15, 41) =  0.106110E+01
  PKER_SWETH( 15, 42) =  0.107603E+01
  PKER_SWETH( 15, 43) =  0.108984E+01
  PKER_SWETH( 15, 44) =  0.110263E+01
  PKER_SWETH( 15, 45) =  0.111451E+01
  PKER_SWETH( 15, 46) =  0.112557E+01
  PKER_SWETH( 15, 47) =  0.113587E+01
  PKER_SWETH( 15, 48) =  0.114547E+01
  PKER_SWETH( 15, 49) =  0.115444E+01
  PKER_SWETH( 15, 50) =  0.116283E+01
  PKER_SWETH( 15, 51) =  0.117067E+01
  PKER_SWETH( 15, 52) =  0.117801E+01
  PKER_SWETH( 15, 53) =  0.118488E+01
  PKER_SWETH( 15, 54) =  0.119132E+01
  PKER_SWETH( 15, 55) =  0.119736E+01
  PKER_SWETH( 15, 56) =  0.120301E+01
  PKER_SWETH( 15, 57) =  0.120832E+01
  PKER_SWETH( 15, 58) =  0.121329E+01
  PKER_SWETH( 15, 59) =  0.121796E+01
  PKER_SWETH( 15, 60) =  0.122234E+01
  PKER_SWETH( 15, 61) =  0.122645E+01
  PKER_SWETH( 15, 62) =  0.123031E+01
  PKER_SWETH( 15, 63) =  0.123393E+01
  PKER_SWETH( 15, 64) =  0.123732E+01
  PKER_SWETH( 15, 65) =  0.124051E+01
  PKER_SWETH( 15, 66) =  0.124351E+01
  PKER_SWETH( 15, 67) =  0.124632E+01
  PKER_SWETH( 15, 68) =  0.124896E+01
  PKER_SWETH( 15, 69) =  0.125143E+01
  PKER_SWETH( 15, 70) =  0.125376E+01
  PKER_SWETH( 15, 71) =  0.125594E+01
  PKER_SWETH( 15, 72) =  0.125799E+01
  PKER_SWETH( 15, 73) =  0.125992E+01
  PKER_SWETH( 15, 74) =  0.126172E+01
  PKER_SWETH( 15, 75) =  0.126342E+01
  PKER_SWETH( 15, 76) =  0.126501E+01
  PKER_SWETH( 15, 77) =  0.126651E+01
  PKER_SWETH( 15, 78) =  0.126792E+01
  PKER_SWETH( 15, 79) =  0.126923E+01
  PKER_SWETH( 15, 80) =  0.127047E+01
  PKER_SWETH( 16,  1) =  0.225627E+01
  PKER_SWETH( 16,  2) =  0.205974E+01
  PKER_SWETH( 16,  3) =  0.187515E+01
  PKER_SWETH( 16,  4) =  0.170176E+01
  PKER_SWETH( 16,  5) =  0.153889E+01
  PKER_SWETH( 16,  6) =  0.138588E+01
  PKER_SWETH( 16,  7) =  0.124213E+01
  PKER_SWETH( 16,  8) =  0.110710E+01
  PKER_SWETH( 16,  9) =  0.980292E+00
  PKER_SWETH( 16, 10) =  0.861366E+00
  PKER_SWETH( 16, 11) =  0.750132E+00
  PKER_SWETH( 16, 12) =  0.646663E+00
  PKER_SWETH( 16, 13) =  0.551374E+00
  PKER_SWETH( 16, 14) =  0.465058E+00
  PKER_SWETH( 16, 15) =  0.388869E+00
  PKER_SWETH( 16, 16) =  0.324265E+00
  PKER_SWETH( 16, 17) =  0.272776E+00
  PKER_SWETH( 16, 18) =  0.235577E+00
  PKER_SWETH( 16, 19) =  0.213511E+00
  PKER_SWETH( 16, 20) =  0.206520E+00
  PKER_SWETH( 16, 21) =  0.213797E+00
  PKER_SWETH( 16, 22) =  0.233640E+00
  PKER_SWETH( 16, 23) =  0.263928E+00
  PKER_SWETH( 16, 24) =  0.302257E+00
  PKER_SWETH( 16, 25) =  0.346122E+00
  PKER_SWETH( 16, 26) =  0.393290E+00
  PKER_SWETH( 16, 27) =  0.441774E+00
  PKER_SWETH( 16, 28) =  0.489947E+00
  PKER_SWETH( 16, 29) =  0.536578E+00
  PKER_SWETH( 16, 30) =  0.580787E+00
  PKER_SWETH( 16, 31) =  0.622021E+00
  PKER_SWETH( 16, 32) =  0.660014E+00
  PKER_SWETH( 16, 33) =  0.694722E+00
  PKER_SWETH( 16, 34) =  0.726265E+00
  PKER_SWETH( 16, 35) =  0.754860E+00
  PKER_SWETH( 16, 36) =  0.780775E+00
  PKER_SWETH( 16, 37) =  0.804293E+00
  PKER_SWETH( 16, 38) =  0.825685E+00
  PKER_SWETH( 16, 39) =  0.845200E+00
  PKER_SWETH( 16, 40) =  0.863058E+00
  PKER_SWETH( 16, 41) =  0.879451E+00
  PKER_SWETH( 16, 42) =  0.894545E+00
  PKER_SWETH( 16, 43) =  0.908480E+00
  PKER_SWETH( 16, 44) =  0.921377E+00
  PKER_SWETH( 16, 45) =  0.933340E+00
  PKER_SWETH( 16, 46) =  0.944457E+00
  PKER_SWETH( 16, 47) =  0.954804E+00
  PKER_SWETH( 16, 48) =  0.964449E+00
  PKER_SWETH( 16, 49) =  0.973449E+00
  PKER_SWETH( 16, 50) =  0.981857E+00
  PKER_SWETH( 16, 51) =  0.989717E+00
  PKER_SWETH( 16, 52) =  0.997071E+00
  PKER_SWETH( 16, 53) =  0.100395E+01
  PKER_SWETH( 16, 54) =  0.101040E+01
  PKER_SWETH( 16, 55) =  0.101644E+01
  PKER_SWETH( 16, 56) =  0.102211E+01
  PKER_SWETH( 16, 57) =  0.102741E+01
  PKER_SWETH( 16, 58) =  0.103239E+01
  PKER_SWETH( 16, 59) =  0.103706E+01
  PKER_SWETH( 16, 60) =  0.104144E+01
  PKER_SWETH( 16, 61) =  0.104556E+01
  PKER_SWETH( 16, 62) =  0.104941E+01
  PKER_SWETH( 16, 63) =  0.105303E+01
  PKER_SWETH( 16, 64) =  0.105643E+01
  PKER_SWETH( 16, 65) =  0.105962E+01
  PKER_SWETH( 16, 66) =  0.106262E+01
  PKER_SWETH( 16, 67) =  0.106543E+01
  PKER_SWETH( 16, 68) =  0.106807E+01
  PKER_SWETH( 16, 69) =  0.107054E+01
  PKER_SWETH( 16, 70) =  0.107287E+01
  PKER_SWETH( 16, 71) =  0.107505E+01
  PKER_SWETH( 16, 72) =  0.107710E+01
  PKER_SWETH( 16, 73) =  0.107903E+01
  PKER_SWETH( 16, 74) =  0.108083E+01
  PKER_SWETH( 16, 75) =  0.108253E+01
  PKER_SWETH( 16, 76) =  0.108412E+01
  PKER_SWETH( 16, 77) =  0.108562E+01
  PKER_SWETH( 16, 78) =  0.108703E+01
  PKER_SWETH( 16, 79) =  0.108834E+01
  PKER_SWETH( 16, 80) =  0.108958E+01
  PKER_SWETH( 17,  1) =  0.239130E+01
  PKER_SWETH( 17,  2) =  0.219480E+01
  PKER_SWETH( 17,  3) =  0.201026E+01
  PKER_SWETH( 17,  4) =  0.183694E+01
  PKER_SWETH( 17,  5) =  0.167414E+01
  PKER_SWETH( 17,  6) =  0.152122E+01
  PKER_SWETH( 17,  7) =  0.137754E+01
  PKER_SWETH( 17,  8) =  0.124255E+01
  PKER_SWETH( 17,  9) =  0.111570E+01
  PKER_SWETH( 17, 10) =  0.996495E+00
  PKER_SWETH( 17, 11) =  0.884490E+00
  PKER_SWETH( 17, 12) =  0.779332E+00
  PKER_SWETH( 17, 13) =  0.680798E+00
  PKER_SWETH( 17, 14) =  0.588860E+00
  PKER_SWETH( 17, 15) =  0.503782E+00
  PKER_SWETH( 17, 16) =  0.426137E+00
  PKER_SWETH( 17, 17) =  0.356873E+00
  PKER_SWETH( 17, 18) =  0.297270E+00
  PKER_SWETH( 17, 19) =  0.248688E+00
  PKER_SWETH( 17, 20) =  0.212450E+00
  PKER_SWETH( 17, 21) =  0.189516E+00
  PKER_SWETH( 17, 22) =  0.180089E+00
  PKER_SWETH( 17, 23) =  0.183781E+00
  PKER_SWETH( 17, 24) =  0.199287E+00
  PKER_SWETH( 17, 25) =  0.224789E+00
  PKER_SWETH( 17, 26) =  0.257938E+00
  PKER_SWETH( 17, 27) =  0.296342E+00
  PKER_SWETH( 17, 28) =  0.337770E+00
  PKER_SWETH( 17, 29) =  0.380196E+00
  PKER_SWETH( 17, 30) =  0.422074E+00
  PKER_SWETH( 17, 31) =  0.462252E+00
  PKER_SWETH( 17, 32) =  0.499999E+00
  PKER_SWETH( 17, 33) =  0.534934E+00
  PKER_SWETH( 17, 34) =  0.566940E+00
  PKER_SWETH( 17, 35) =  0.596084E+00
  PKER_SWETH( 17, 36) =  0.622549E+00
  PKER_SWETH( 17, 37) =  0.646567E+00
  PKER_SWETH( 17, 38) =  0.668394E+00
  PKER_SWETH( 17, 39) =  0.688272E+00
  PKER_SWETH( 17, 40) =  0.706427E+00
  PKER_SWETH( 17, 41) =  0.723060E+00
  PKER_SWETH( 17, 42) =  0.738344E+00
  PKER_SWETH( 17, 43) =  0.752430E+00
  PKER_SWETH( 17, 44) =  0.765446E+00
  PKER_SWETH( 17, 45) =  0.777501E+00
  PKER_SWETH( 17, 46) =  0.788690E+00
  PKER_SWETH( 17, 47) =  0.799094E+00
  PKER_SWETH( 17, 48) =  0.808782E+00
  PKER_SWETH( 17, 49) =  0.817816E+00
  PKER_SWETH( 17, 50) =  0.826250E+00
  PKER_SWETH( 17, 51) =  0.834130E+00
  PKER_SWETH( 17, 52) =  0.841500E+00
  PKER_SWETH( 17, 53) =  0.848396E+00
  PKER_SWETH( 17, 54) =  0.854853E+00
  PKER_SWETH( 17, 55) =  0.860901E+00
  PKER_SWETH( 17, 56) =  0.866570E+00
  PKER_SWETH( 17, 57) =  0.871883E+00
  PKER_SWETH( 17, 58) =  0.876865E+00
  PKER_SWETH( 17, 59) =  0.881538E+00
  PKER_SWETH( 17, 60) =  0.885922E+00
  PKER_SWETH( 17, 61) =  0.890034E+00
  PKER_SWETH( 17, 62) =  0.893893E+00
  PKER_SWETH( 17, 63) =  0.897515E+00
  PKER_SWETH( 17, 64) =  0.900914E+00
  PKER_SWETH( 17, 65) =  0.904104E+00
  PKER_SWETH( 17, 66) =  0.907099E+00
  PKER_SWETH( 17, 67) =  0.909910E+00
  PKER_SWETH( 17, 68) =  0.912549E+00
  PKER_SWETH( 17, 69) =  0.915026E+00
  PKER_SWETH( 17, 70) =  0.917352E+00
  PKER_SWETH( 17, 71) =  0.919536E+00
  PKER_SWETH( 17, 72) =  0.921586E+00
  PKER_SWETH( 17, 73) =  0.923511E+00
  PKER_SWETH( 17, 74) =  0.925319E+00
  PKER_SWETH( 17, 75) =  0.927015E+00
  PKER_SWETH( 17, 76) =  0.928609E+00
  PKER_SWETH( 17, 77) =  0.930105E+00
  PKER_SWETH( 17, 78) =  0.931509E+00
  PKER_SWETH( 17, 79) =  0.932828E+00
  PKER_SWETH( 17, 80) =  0.934067E+00
  PKER_SWETH( 18,  1) =  0.250736E+01
  PKER_SWETH( 18,  2) =  0.231089E+01
  PKER_SWETH( 18,  3) =  0.212639E+01
  PKER_SWETH( 18,  4) =  0.195312E+01
  PKER_SWETH( 18,  5) =  0.179038E+01
  PKER_SWETH( 18,  6) =  0.163752E+01
  PKER_SWETH( 18,  7) =  0.149393E+01
  PKER_SWETH( 18,  8) =  0.135903E+01
  PKER_SWETH( 18,  9) =  0.123229E+01
  PKER_SWETH( 18, 10) =  0.111318E+01
  PKER_SWETH( 18, 11) =  0.100122E+01
  PKER_SWETH( 18, 12) =  0.895967E+00
  PKER_SWETH( 18, 13) =  0.797018E+00
  PKER_SWETH( 18, 14) =  0.704029E+00
  PKER_SWETH( 18, 15) =  0.616756E+00
  PKER_SWETH( 18, 16) =  0.535113E+00
  PKER_SWETH( 18, 17) =  0.459233E+00
  PKER_SWETH( 18, 18) =  0.389543E+00
  PKER_SWETH( 18, 19) =  0.326796E+00
  PKER_SWETH( 18, 20) =  0.272095E+00
  PKER_SWETH( 18, 21) =  0.226702E+00
  PKER_SWETH( 18, 22) =  0.191896E+00
  PKER_SWETH( 18, 23) =  0.168801E+00
  PKER_SWETH( 18, 24) =  0.157853E+00
  PKER_SWETH( 18, 25) =  0.158846E+00
  PKER_SWETH( 18, 26) =  0.170918E+00
  PKER_SWETH( 18, 27) =  0.192288E+00
  PKER_SWETH( 18, 28) =  0.220881E+00
  PKER_SWETH( 18, 29) =  0.254306E+00
  PKER_SWETH( 18, 30) =  0.290385E+00
  PKER_SWETH( 18, 31) =  0.327168E+00
  PKER_SWETH( 18, 32) =  0.363206E+00
  PKER_SWETH( 18, 33) =  0.397516E+00
  PKER_SWETH( 18, 34) =  0.429526E+00
  PKER_SWETH( 18, 35) =  0.458999E+00
  PKER_SWETH( 18, 36) =  0.485922E+00
  PKER_SWETH( 18, 37) =  0.510423E+00
  PKER_SWETH( 18, 38) =  0.532699E+00
  PKER_SWETH( 18, 39) =  0.552969E+00
  PKER_SWETH( 18, 40) =  0.571453E+00
  PKER_SWETH( 18, 41) =  0.588356E+00
  PKER_SWETH( 18, 42) =  0.603857E+00
  PKER_SWETH( 18, 43) =  0.618115E+00
  PKER_SWETH( 18, 44) =  0.631267E+00
  PKER_SWETH( 18, 45) =  0.643428E+00
  PKER_SWETH( 18, 46) =  0.654700E+00
  PKER_SWETH( 18, 47) =  0.665169E+00
  PKER_SWETH( 18, 48) =  0.674907E+00
  PKER_SWETH( 18, 49) =  0.683980E+00
  PKER_SWETH( 18, 50) =  0.692444E+00
  PKER_SWETH( 18, 51) =  0.700348E+00
  PKER_SWETH( 18, 52) =  0.707736E+00
  PKER_SWETH( 18, 53) =  0.714646E+00
  PKER_SWETH( 18, 54) =  0.721114E+00
  PKER_SWETH( 18, 55) =  0.727171E+00
  PKER_SWETH( 18, 56) =  0.732846E+00
  PKER_SWETH( 18, 57) =  0.738165E+00
  PKER_SWETH( 18, 58) =  0.743151E+00
  PKER_SWETH( 18, 59) =  0.747827E+00
  PKER_SWETH( 18, 60) =  0.752213E+00
  PKER_SWETH( 18, 61) =  0.756327E+00
  PKER_SWETH( 18, 62) =  0.760188E+00
  PKER_SWETH( 18, 63) =  0.763810E+00
  PKER_SWETH( 18, 64) =  0.767210E+00
  PKER_SWETH( 18, 65) =  0.770401E+00
  PKER_SWETH( 18, 66) =  0.773396E+00
  PKER_SWETH( 18, 67) =  0.776208E+00
  PKER_SWETH( 18, 68) =  0.778847E+00
  PKER_SWETH( 18, 69) =  0.781325E+00
  PKER_SWETH( 18, 70) =  0.783651E+00
  PKER_SWETH( 18, 71) =  0.785835E+00
  PKER_SWETH( 18, 72) =  0.787885E+00
  PKER_SWETH( 18, 73) =  0.789810E+00
  PKER_SWETH( 18, 74) =  0.791618E+00
  PKER_SWETH( 18, 75) =  0.793315E+00
  PKER_SWETH( 18, 76) =  0.794908E+00
  PKER_SWETH( 18, 77) =  0.796404E+00
  PKER_SWETH( 18, 78) =  0.797809E+00
  PKER_SWETH( 18, 79) =  0.799128E+00
  PKER_SWETH( 18, 80) =  0.800366E+00
  PKER_SWETH( 19,  1) =  0.260712E+01
  PKER_SWETH( 19,  2) =  0.241068E+01
  PKER_SWETH( 19,  3) =  0.222621E+01
  PKER_SWETH( 19,  4) =  0.205297E+01
  PKER_SWETH( 19,  5) =  0.189027E+01
  PKER_SWETH( 19,  6) =  0.173746E+01
  PKER_SWETH( 19,  7) =  0.159394E+01
  PKER_SWETH( 19,  8) =  0.145912E+01
  PKER_SWETH( 19,  9) =  0.133246E+01
  PKER_SWETH( 19, 10) =  0.121346E+01
  PKER_SWETH( 19, 11) =  0.110163E+01
  PKER_SWETH( 19, 12) =  0.996507E+00
  PKER_SWETH( 19, 13) =  0.897673E+00
  PKER_SWETH( 19, 14) =  0.804722E+00
  PKER_SWETH( 19, 15) =  0.717285E+00
  PKER_SWETH( 19, 16) =  0.635038E+00
  PKER_SWETH( 19, 17) =  0.557733E+00
  PKER_SWETH( 19, 18) =  0.485242E+00
  PKER_SWETH( 19, 19) =  0.417618E+00
  PKER_SWETH( 19, 20) =  0.355152E+00
  PKER_SWETH( 19, 21) =  0.298466E+00
  PKER_SWETH( 19, 22) =  0.248486E+00
  PKER_SWETH( 19, 23) =  0.206362E+00
  PKER_SWETH( 19, 24) =  0.173382E+00
  PKER_SWETH( 19, 25) =  0.150641E+00
  PKER_SWETH( 19, 26) =  0.138811E+00
  PKER_SWETH( 19, 27) =  0.137940E+00
  PKER_SWETH( 19, 28) =  0.147153E+00
  PKER_SWETH( 19, 29) =  0.165086E+00
  PKER_SWETH( 19, 30) =  0.189581E+00
  PKER_SWETH( 19, 31) =  0.218462E+00
  PKER_SWETH( 19, 32) =  0.249591E+00
  PKER_SWETH( 19, 33) =  0.281174E+00
  PKER_SWETH( 19, 34) =  0.311929E+00
  PKER_SWETH( 19, 35) =  0.341031E+00
  PKER_SWETH( 19, 36) =  0.368064E+00
  PKER_SWETH( 19, 37) =  0.392893E+00
  PKER_SWETH( 19, 38) =  0.415567E+00
  PKER_SWETH( 19, 39) =  0.436229E+00
  PKER_SWETH( 19, 40) =  0.455063E+00
  PKER_SWETH( 19, 41) =  0.472262E+00
  PKER_SWETH( 19, 42) =  0.488006E+00
  PKER_SWETH( 19, 43) =  0.502461E+00
  PKER_SWETH( 19, 44) =  0.515768E+00
  PKER_SWETH( 19, 45) =  0.528053E+00
  PKER_SWETH( 19, 46) =  0.539421E+00
  PKER_SWETH( 19, 47) =  0.549964E+00
  PKER_SWETH( 19, 48) =  0.559761E+00
  PKER_SWETH( 19, 49) =  0.568879E+00
  PKER_SWETH( 19, 50) =  0.577378E+00
  PKER_SWETH( 19, 51) =  0.585309E+00
  PKER_SWETH( 19, 52) =  0.592718E+00
  PKER_SWETH( 19, 53) =  0.599645E+00
  PKER_SWETH( 19, 54) =  0.606125E+00
  PKER_SWETH( 19, 55) =  0.612192E+00
  PKER_SWETH( 19, 56) =  0.617874E+00
  PKER_SWETH( 19, 57) =  0.623199E+00
  PKER_SWETH( 19, 58) =  0.628190E+00
  PKER_SWETH( 19, 59) =  0.632869E+00
  PKER_SWETH( 19, 60) =  0.637258E+00
  PKER_SWETH( 19, 61) =  0.641374E+00
  PKER_SWETH( 19, 62) =  0.645237E+00
  PKER_SWETH( 19, 63) =  0.648860E+00
  PKER_SWETH( 19, 64) =  0.652261E+00
  PKER_SWETH( 19, 65) =  0.655453E+00
  PKER_SWETH( 19, 66) =  0.658449E+00
  PKER_SWETH( 19, 67) =  0.661261E+00
  PKER_SWETH( 19, 68) =  0.663901E+00
  PKER_SWETH( 19, 69) =  0.666379E+00
  PKER_SWETH( 19, 70) =  0.668705E+00
  PKER_SWETH( 19, 71) =  0.670889E+00
  PKER_SWETH( 19, 72) =  0.672939E+00
  PKER_SWETH( 19, 73) =  0.674865E+00
  PKER_SWETH( 19, 74) =  0.676672E+00
  PKER_SWETH( 19, 75) =  0.678369E+00
  PKER_SWETH( 19, 76) =  0.679963E+00
  PKER_SWETH( 19, 77) =  0.681459E+00
  PKER_SWETH( 19, 78) =  0.682863E+00
  PKER_SWETH( 19, 79) =  0.684182E+00
  PKER_SWETH( 19, 80) =  0.685421E+00
  PKER_SWETH( 20,  1) =  0.269288E+01
  PKER_SWETH( 20,  2) =  0.249646E+01
  PKER_SWETH( 20,  3) =  0.231201E+01
  PKER_SWETH( 20,  4) =  0.213879E+01
  PKER_SWETH( 20,  5) =  0.197613E+01
  PKER_SWETH( 20,  6) =  0.182336E+01
  PKER_SWETH( 20,  7) =  0.167988E+01
  PKER_SWETH( 20,  8) =  0.154512E+01
  PKER_SWETH( 20,  9) =  0.141853E+01
  PKER_SWETH( 20, 10) =  0.129961E+01
  PKER_SWETH( 20, 11) =  0.118788E+01
  PKER_SWETH( 20, 12) =  0.108288E+01
  PKER_SWETH( 20, 13) =  0.984187E+00
  PKER_SWETH( 20, 14) =  0.891397E+00
  PKER_SWETH( 20, 15) =  0.804124E+00
  PKER_SWETH( 20, 16) =  0.722009E+00
  PKER_SWETH( 20, 17) =  0.644714E+00
  PKER_SWETH( 20, 18) =  0.571940E+00
  PKER_SWETH( 20, 19) =  0.503441E+00
  PKER_SWETH( 20, 20) =  0.439066E+00
  PKER_SWETH( 20, 21) =  0.378811E+00
  PKER_SWETH( 20, 22) =  0.322879E+00
  PKER_SWETH( 20, 23) =  0.271763E+00
  PKER_SWETH( 20, 24) =  0.226263E+00
  PKER_SWETH( 20, 25) =  0.187406E+00
  PKER_SWETH( 20, 26) =  0.156446E+00
  PKER_SWETH( 20, 27) =  0.134517E+00
  PKER_SWETH( 20, 28) =  0.122305E+00
  PKER_SWETH( 20, 29) =  0.120067E+00
  PKER_SWETH( 20, 30) =  0.127125E+00
  PKER_SWETH( 20, 31) =  0.142001E+00
  PKER_SWETH( 20, 32) =  0.162875E+00
  PKER_SWETH( 20, 33) =  0.187599E+00
  PKER_SWETH( 20, 34) =  0.214210E+00
  PKER_SWETH( 20, 35) =  0.241099E+00
  PKER_SWETH( 20, 36) =  0.267168E+00
  PKER_SWETH( 20, 37) =  0.291755E+00
  PKER_SWETH( 20, 38) =  0.314552E+00
  PKER_SWETH( 20, 39) =  0.335492E+00
  PKER_SWETH( 20, 40) =  0.354644E+00
  PKER_SWETH( 20, 41) =  0.372144E+00
  PKER_SWETH( 20, 42) =  0.388151E+00
  PKER_SWETH( 20, 43) =  0.402823E+00
  PKER_SWETH( 20, 44) =  0.416308E+00
  PKER_SWETH( 20, 45) =  0.428733E+00
  PKER_SWETH( 20, 46) =  0.440212E+00
  PKER_SWETH( 20, 47) =  0.450843E+00
  PKER_SWETH( 20, 48) =  0.460707E+00
  PKER_SWETH( 20, 49) =  0.469878E+00
  PKER_SWETH( 20, 50) =  0.478418E+00
  PKER_SWETH( 20, 51) =  0.486380E+00
  PKER_SWETH( 20, 52) =  0.493813E+00
  PKER_SWETH( 20, 53) =  0.500759E+00
  PKER_SWETH( 20, 54) =  0.507254E+00
  PKER_SWETH( 20, 55) =  0.513332E+00
  PKER_SWETH( 20, 56) =  0.519023E+00
  PKER_SWETH( 20, 57) =  0.524354E+00
  PKER_SWETH( 20, 58) =  0.529350E+00
  PKER_SWETH( 20, 59) =  0.534034E+00
  PKER_SWETH( 20, 60) =  0.538425E+00
  PKER_SWETH( 20, 61) =  0.542544E+00
  PKER_SWETH( 20, 62) =  0.546409E+00
  PKER_SWETH( 20, 63) =  0.550034E+00
  PKER_SWETH( 20, 64) =  0.553436E+00
  PKER_SWETH( 20, 65) =  0.556629E+00
  PKER_SWETH( 20, 66) =  0.559625E+00
  PKER_SWETH( 20, 67) =  0.562438E+00
  PKER_SWETH( 20, 68) =  0.565078E+00
  PKER_SWETH( 20, 69) =  0.567556E+00
  PKER_SWETH( 20, 70) =  0.569883E+00
  PKER_SWETH( 20, 71) =  0.572067E+00
  PKER_SWETH( 20, 72) =  0.574118E+00
  PKER_SWETH( 20, 73) =  0.576043E+00
  PKER_SWETH( 20, 74) =  0.577850E+00
  PKER_SWETH( 20, 75) =  0.579548E+00
  PKER_SWETH( 20, 76) =  0.581141E+00
  PKER_SWETH( 20, 77) =  0.582637E+00
  PKER_SWETH( 20, 78) =  0.584042E+00
  PKER_SWETH( 20, 79) =  0.585361E+00
  PKER_SWETH( 20, 80) =  0.586599E+00
  PKER_SWETH( 21,  1) =  0.276660E+01
  PKER_SWETH( 21,  2) =  0.257019E+01
  PKER_SWETH( 21,  3) =  0.238576E+01
  PKER_SWETH( 21,  4) =  0.221256E+01
  PKER_SWETH( 21,  5) =  0.204992E+01
  PKER_SWETH( 21,  6) =  0.189718E+01
  PKER_SWETH( 21,  7) =  0.175373E+01
  PKER_SWETH( 21,  8) =  0.161901E+01
  PKER_SWETH( 21,  9) =  0.149248E+01
  PKER_SWETH( 21, 10) =  0.137362E+01
  PKER_SWETH( 21, 11) =  0.126196E+01
  PKER_SWETH( 21, 12) =  0.115706E+01
  PKER_SWETH( 21, 13) =  0.105848E+01
  PKER_SWETH( 21, 14) =  0.965820E+00
  PKER_SWETH( 21, 15) =  0.878708E+00
  PKER_SWETH( 21, 16) =  0.796778E+00
  PKER_SWETH( 21, 17) =  0.719688E+00
  PKER_SWETH( 21, 18) =  0.647114E+00
  PKER_SWETH( 21, 19) =  0.578752E+00
  PKER_SWETH( 21, 20) =  0.514323E+00
  PKER_SWETH( 21, 21) =  0.453593E+00
  PKER_SWETH( 21, 22) =  0.396401E+00
  PKER_SWETH( 21, 23) =  0.342701E+00
  PKER_SWETH( 21, 24) =  0.292637E+00
  PKER_SWETH( 21, 25) =  0.246605E+00
  PKER_SWETH( 21, 26) =  0.205290E+00
  PKER_SWETH( 21, 27) =  0.169646E+00
  PKER_SWETH( 21, 28) =  0.140837E+00
  PKER_SWETH( 21, 29) =  0.119992E+00
  PKER_SWETH( 21, 30) =  0.107857E+00
  PKER_SWETH( 21, 31) =  0.104691E+00
  PKER_SWETH( 21, 32) =  0.109912E+00
  PKER_SWETH( 21, 33) =  0.122241E+00
  PKER_SWETH( 21, 34) =  0.139853E+00
  PKER_SWETH( 21, 35) =  0.160815E+00
  PKER_SWETH( 21, 36) =  0.183364E+00
  PKER_SWETH( 21, 37) =  0.206102E+00
  PKER_SWETH( 21, 38) =  0.228109E+00
  PKER_SWETH( 21, 39) =  0.248850E+00
  PKER_SWETH( 21, 40) =  0.268092E+00
  PKER_SWETH( 21, 41) =  0.285801E+00
  PKER_SWETH( 21, 42) =  0.302045E+00
  PKER_SWETH( 21, 43) =  0.316939E+00
  PKER_SWETH( 21, 44) =  0.330615E+00
  PKER_SWETH( 21, 45) =  0.343198E+00
  PKER_SWETH( 21, 46) =  0.354804E+00
  PKER_SWETH( 21, 47) =  0.365535E+00
  PKER_SWETH( 21, 48) =  0.375478E+00
  PKER_SWETH( 21, 49) =  0.384710E+00
  PKER_SWETH( 21, 50) =  0.393297E+00
  PKER_SWETH( 21, 51) =  0.401296E+00
  PKER_SWETH( 21, 52) =  0.408758E+00
  PKER_SWETH( 21, 53) =  0.415725E+00
  PKER_SWETH( 21, 54) =  0.422237E+00
  PKER_SWETH( 21, 55) =  0.428328E+00
  PKER_SWETH( 21, 56) =  0.434029E+00
  PKER_SWETH( 21, 57) =  0.439368E+00
  PKER_SWETH( 21, 58) =  0.444370E+00
  PKER_SWETH( 21, 59) =  0.449059E+00
  PKER_SWETH( 21, 60) =  0.453454E+00
  PKER_SWETH( 21, 61) =  0.457576E+00
  PKER_SWETH( 21, 62) =  0.461442E+00
  PKER_SWETH( 21, 63) =  0.465069E+00
  PKER_SWETH( 21, 64) =  0.468472E+00
  PKER_SWETH( 21, 65) =  0.471666E+00
  PKER_SWETH( 21, 66) =  0.474663E+00
  PKER_SWETH( 21, 67) =  0.477476E+00
  PKER_SWETH( 21, 68) =  0.480117E+00
  PKER_SWETH( 21, 69) =  0.482596E+00
  PKER_SWETH( 21, 70) =  0.484923E+00
  PKER_SWETH( 21, 71) =  0.487107E+00
  PKER_SWETH( 21, 72) =  0.489158E+00
  PKER_SWETH( 21, 73) =  0.491083E+00
  PKER_SWETH( 21, 74) =  0.492891E+00
  PKER_SWETH( 21, 75) =  0.494588E+00
  PKER_SWETH( 21, 76) =  0.496182E+00
  PKER_SWETH( 21, 77) =  0.497678E+00
  PKER_SWETH( 21, 78) =  0.499083E+00
  PKER_SWETH( 21, 79) =  0.500402E+00
  PKER_SWETH( 21, 80) =  0.501640E+00
  PKER_SWETH( 22,  1) =  0.282997E+01
  PKER_SWETH( 22,  2) =  0.263357E+01
  PKER_SWETH( 22,  3) =  0.244915E+01
  PKER_SWETH( 22,  4) =  0.227597E+01
  PKER_SWETH( 22,  5) =  0.211334E+01
  PKER_SWETH( 22,  6) =  0.196063E+01
  PKER_SWETH( 22,  7) =  0.181721E+01
  PKER_SWETH( 22,  8) =  0.168252E+01
  PKER_SWETH( 22,  9) =  0.155602E+01
  PKER_SWETH( 22, 10) =  0.143721E+01
  PKER_SWETH( 22, 11) =  0.132561E+01
  PKER_SWETH( 22, 12) =  0.122077E+01
  PKER_SWETH( 22, 13) =  0.112227E+01
  PKER_SWETH( 22, 14) =  0.102972E+01
  PKER_SWETH( 22, 15) =  0.942728E+00
  PKER_SWETH( 22, 16) =  0.860945E+00
  PKER_SWETH( 22, 17) =  0.784032E+00
  PKER_SWETH( 22, 18) =  0.711667E+00
  PKER_SWETH( 22, 19) =  0.643543E+00
  PKER_SWETH( 22, 20) =  0.579369E+00
  PKER_SWETH( 22, 21) =  0.518868E+00
  PKER_SWETH( 22, 22) =  0.461786E+00
  PKER_SWETH( 22, 23) =  0.407901E+00
  PKER_SWETH( 22, 24) =  0.357051E+00
  PKER_SWETH( 22, 25) =  0.309171E+00
  PKER_SWETH( 22, 26) =  0.264357E+00
  PKER_SWETH( 22, 27) =  0.222939E+00
  PKER_SWETH( 22, 28) =  0.185511E+00
  PKER_SWETH( 22, 29) =  0.152956E+00
  PKER_SWETH( 22, 30) =  0.126371E+00
  PKER_SWETH( 22, 31) =  0.106799E+00
  PKER_SWETH( 22, 32) =  0.950337E-01
  PKER_SWETH( 22, 33) =  0.913020E-01
  PKER_SWETH( 22, 34) =  0.950413E-01
  PKER_SWETH( 22, 35) =  0.105099E+00
  PKER_SWETH( 22, 36) =  0.119803E+00
  PKER_SWETH( 22, 37) =  0.137435E+00
  PKER_SWETH( 22, 38) =  0.156413E+00
  PKER_SWETH( 22, 39) =  0.175558E+00
  PKER_SWETH( 22, 40) =  0.194103E+00
  PKER_SWETH( 22, 41) =  0.211605E+00
  PKER_SWETH( 22, 42) =  0.227888E+00
  PKER_SWETH( 22, 43) =  0.242923E+00
  PKER_SWETH( 22, 44) =  0.256764E+00
  PKER_SWETH( 22, 45) =  0.269505E+00
  PKER_SWETH( 22, 46) =  0.281247E+00
  PKER_SWETH( 22, 47) =  0.292089E+00
  PKER_SWETH( 22, 48) =  0.302122E+00
  PKER_SWETH( 22, 49) =  0.311425E+00
  PKER_SWETH( 22, 50) =  0.320067E+00
  PKER_SWETH( 22, 51) =  0.328110E+00
  PKER_SWETH( 22, 52) =  0.335604E+00
  PKER_SWETH( 22, 53) =  0.342597E+00
  PKER_SWETH( 22, 54) =  0.349129E+00
  PKER_SWETH( 22, 55) =  0.355235E+00
  PKER_SWETH( 22, 56) =  0.360948E+00
  PKER_SWETH( 22, 57) =  0.366296E+00
  PKER_SWETH( 22, 58) =  0.371305E+00
  PKER_SWETH( 22, 59) =  0.375999E+00
  PKER_SWETH( 22, 60) =  0.380398E+00
  PKER_SWETH( 22, 61) =  0.384523E+00
  PKER_SWETH( 22, 62) =  0.388392E+00
  PKER_SWETH( 22, 63) =  0.392021E+00
  PKER_SWETH( 22, 64) =  0.395426E+00
  PKER_SWETH( 22, 65) =  0.398621E+00
  PKER_SWETH( 22, 66) =  0.401619E+00
  PKER_SWETH( 22, 67) =  0.404433E+00
  PKER_SWETH( 22, 68) =  0.407074E+00
  PKER_SWETH( 22, 69) =  0.409553E+00
  PKER_SWETH( 22, 70) =  0.411880E+00
  PKER_SWETH( 22, 71) =  0.414065E+00
  PKER_SWETH( 22, 72) =  0.416116E+00
  PKER_SWETH( 22, 73) =  0.418041E+00
  PKER_SWETH( 22, 74) =  0.419849E+00
  PKER_SWETH( 22, 75) =  0.421547E+00
  PKER_SWETH( 22, 76) =  0.423140E+00
  PKER_SWETH( 22, 77) =  0.424636E+00
  PKER_SWETH( 22, 78) =  0.426041E+00
  PKER_SWETH( 22, 79) =  0.427360E+00
  PKER_SWETH( 22, 80) =  0.428599E+00
  PKER_SWETH( 23,  1) =  0.288445E+01
  PKER_SWETH( 23,  2) =  0.268806E+01
  PKER_SWETH( 23,  3) =  0.250364E+01
  PKER_SWETH( 23,  4) =  0.233048E+01
  PKER_SWETH( 23,  5) =  0.216786E+01
  PKER_SWETH( 23,  6) =  0.201516E+01
  PKER_SWETH( 23,  7) =  0.187176E+01
  PKER_SWETH( 23,  8) =  0.173710E+01
  PKER_SWETH( 23,  9) =  0.161063E+01
  PKER_SWETH( 23, 10) =  0.149185E+01
  PKER_SWETH( 23, 11) =  0.138029E+01
  PKER_SWETH( 23, 12) =  0.127551E+01
  PKER_SWETH( 23, 13) =  0.117707E+01
  PKER_SWETH( 23, 14) =  0.108459E+01
  PKER_SWETH( 23, 15) =  0.997690E+00
  PKER_SWETH( 23, 16) =  0.916018E+00
  PKER_SWETH( 23, 17) =  0.839238E+00
  PKER_SWETH( 23, 18) =  0.767034E+00
  PKER_SWETH( 23, 19) =  0.699104E+00
  PKER_SWETH( 23, 20) =  0.635161E+00
  PKER_SWETH( 23, 21) =  0.574928E+00
  PKER_SWETH( 23, 22) =  0.518145E+00
  PKER_SWETH( 23, 23) =  0.464561E+00
  PKER_SWETH( 23, 24) =  0.413942E+00
  PKER_SWETH( 23, 25) =  0.366084E+00
  PKER_SWETH( 23, 26) =  0.320828E+00
  PKER_SWETH( 23, 27) =  0.278103E+00
  PKER_SWETH( 23, 28) =  0.237978E+00
  PKER_SWETH( 23, 29) =  0.200731E+00
  PKER_SWETH( 23, 30) =  0.166899E+00
  PKER_SWETH( 23, 31) =  0.137289E+00
  PKER_SWETH( 23, 32) =  0.112921E+00
  PKER_SWETH( 23, 33) =  0.947715E-01
  PKER_SWETH( 23, 34) =  0.835556E-01
  PKER_SWETH( 23, 35) =  0.795022E-01
  PKER_SWETH( 23, 36) =  0.820667E-01
  PKER_SWETH( 23, 37) =  0.901434E-01
  PKER_SWETH( 23, 38) =  0.102318E+00
  PKER_SWETH( 23, 39) =  0.117002E+00
  PKER_SWETH( 23, 40) =  0.132892E+00
  PKER_SWETH( 23, 41) =  0.148969E+00
  PKER_SWETH( 23, 42) =  0.164595E+00
  PKER_SWETH( 23, 43) =  0.179397E+00
  PKER_SWETH( 23, 44) =  0.193221E+00
  PKER_SWETH( 23, 45) =  0.206041E+00
  PKER_SWETH( 23, 46) =  0.217890E+00
  PKER_SWETH( 23, 47) =  0.228840E+00
  PKER_SWETH( 23, 48) =  0.238967E+00
  PKER_SWETH( 23, 49) =  0.248348E+00
  PKER_SWETH( 23, 50) =  0.257053E+00
  PKER_SWETH( 23, 51) =  0.265145E+00
  PKER_SWETH( 23, 52) =  0.272678E+00
  PKER_SWETH( 23, 53) =  0.279701E+00
  PKER_SWETH( 23, 54) =  0.286256E+00
  PKER_SWETH( 23, 55) =  0.292380E+00
  PKER_SWETH( 23, 56) =  0.298107E+00
  PKER_SWETH( 23, 57) =  0.303465E+00
  PKER_SWETH( 23, 58) =  0.308482E+00
  PKER_SWETH( 23, 59) =  0.313182E+00
  PKER_SWETH( 23, 60) =  0.317586E+00
  PKER_SWETH( 23, 61) =  0.321715E+00
  PKER_SWETH( 23, 62) =  0.325587E+00
  PKER_SWETH( 23, 63) =  0.329218E+00
  PKER_SWETH( 23, 64) =  0.332625E+00
  PKER_SWETH( 23, 65) =  0.335821E+00
  PKER_SWETH( 23, 66) =  0.338820E+00
  PKER_SWETH( 23, 67) =  0.341635E+00
  PKER_SWETH( 23, 68) =  0.344276E+00
  PKER_SWETH( 23, 69) =  0.346756E+00
  PKER_SWETH( 23, 70) =  0.349083E+00
  PKER_SWETH( 23, 71) =  0.351269E+00
  PKER_SWETH( 23, 72) =  0.353320E+00
  PKER_SWETH( 23, 73) =  0.355245E+00
  PKER_SWETH( 23, 74) =  0.357053E+00
  PKER_SWETH( 23, 75) =  0.358751E+00
  PKER_SWETH( 23, 76) =  0.360345E+00
  PKER_SWETH( 23, 77) =  0.361841E+00
  PKER_SWETH( 23, 78) =  0.363246E+00
  PKER_SWETH( 23, 79) =  0.364565E+00
  PKER_SWETH( 23, 80) =  0.365803E+00
  PKER_SWETH( 24,  1) =  0.293128E+01
  PKER_SWETH( 24,  2) =  0.273490E+01
  PKER_SWETH( 24,  3) =  0.255049E+01
  PKER_SWETH( 24,  4) =  0.237733E+01
  PKER_SWETH( 24,  5) =  0.221473E+01
  PKER_SWETH( 24,  6) =  0.206204E+01
  PKER_SWETH( 24,  7) =  0.191865E+01
  PKER_SWETH( 24,  8) =  0.178401E+01
  PKER_SWETH( 24,  9) =  0.165756E+01
  PKER_SWETH( 24, 10) =  0.153881E+01
  PKER_SWETH( 24, 11) =  0.142728E+01
  PKER_SWETH( 24, 12) =  0.132253E+01
  PKER_SWETH( 24, 13) =  0.122414E+01
  PKER_SWETH( 24, 14) =  0.113172E+01
  PKER_SWETH( 24, 15) =  0.104489E+01
  PKER_SWETH( 24, 16) =  0.963296E+00
  PKER_SWETH( 24, 17) =  0.886615E+00
  PKER_SWETH( 24, 18) =  0.814532E+00
  PKER_SWETH( 24, 19) =  0.746748E+00
  PKER_SWETH( 24, 20) =  0.682980E+00
  PKER_SWETH( 24, 21) =  0.622959E+00
  PKER_SWETH( 24, 22) =  0.566429E+00
  PKER_SWETH( 24, 23) =  0.513140E+00
  PKER_SWETH( 24, 24) =  0.462858E+00
  PKER_SWETH( 24, 25) =  0.415356E+00
  PKER_SWETH( 24, 26) =  0.370422E+00
  PKER_SWETH( 24, 27) =  0.327867E+00
  PKER_SWETH( 24, 28) =  0.287546E+00
  PKER_SWETH( 24, 29) =  0.249386E+00
  PKER_SWETH( 24, 30) =  0.213448E+00
  PKER_SWETH( 24, 31) =  0.179979E+00
  PKER_SWETH( 24, 32) =  0.149462E+00
  PKER_SWETH( 24, 33) =  0.122655E+00
  PKER_SWETH( 24, 34) =  0.100473E+00
  PKER_SWETH( 24, 35) =  0.838046E-01
  PKER_SWETH( 24, 36) =  0.732975E-01
  PKER_SWETH( 24, 37) =  0.690734E-01
  PKER_SWETH( 24, 38) =  0.706629E-01
  PKER_SWETH( 24, 39) =  0.770847E-01
  PKER_SWETH( 24, 40) =  0.870070E-01
  PKER_SWETH( 24, 41) =  0.991818E-01
  PKER_SWETH( 24, 42) =  0.112426E+00
  PKER_SWETH( 24, 43) =  0.125916E+00
  PKER_SWETH( 24, 44) =  0.139097E+00
  PKER_SWETH( 24, 45) =  0.151650E+00
  PKER_SWETH( 24, 46) =  0.163434E+00
  PKER_SWETH( 24, 47) =  0.174410E+00
  PKER_SWETH( 24, 48) =  0.184599E+00
  PKER_SWETH( 24, 49) =  0.194049E+00
  PKER_SWETH( 24, 50) =  0.202817E+00
  PKER_SWETH( 24, 51) =  0.210962E+00
  PKER_SWETH( 24, 52) =  0.218539E+00
  PKER_SWETH( 24, 53) =  0.225596E+00
  PKER_SWETH( 24, 54) =  0.232178E+00
  PKER_SWETH( 24, 55) =  0.238323E+00
  PKER_SWETH( 24, 56) =  0.244066E+00
  PKER_SWETH( 24, 57) =  0.249437E+00
  PKER_SWETH( 24, 58) =  0.254464E+00
  PKER_SWETH( 24, 59) =  0.259171E+00
  PKER_SWETH( 24, 60) =  0.263581E+00
  PKER_SWETH( 24, 61) =  0.267714E+00
  PKER_SWETH( 24, 62) =  0.271589E+00
  PKER_SWETH( 24, 63) =  0.275223E+00
  PKER_SWETH( 24, 64) =  0.278631E+00
  PKER_SWETH( 24, 65) =  0.281829E+00
  PKER_SWETH( 24, 66) =  0.284829E+00
  PKER_SWETH( 24, 67) =  0.287645E+00
  PKER_SWETH( 24, 68) =  0.290287E+00
  PKER_SWETH( 24, 69) =  0.292767E+00
  PKER_SWETH( 24, 70) =  0.295095E+00
  PKER_SWETH( 24, 71) =  0.297281E+00
  PKER_SWETH( 24, 72) =  0.299332E+00
  PKER_SWETH( 24, 73) =  0.301258E+00
  PKER_SWETH( 24, 74) =  0.303066E+00
  PKER_SWETH( 24, 75) =  0.304764E+00
  PKER_SWETH( 24, 76) =  0.306358E+00
  PKER_SWETH( 24, 77) =  0.307854E+00
  PKER_SWETH( 24, 78) =  0.309259E+00
  PKER_SWETH( 24, 79) =  0.310578E+00
  PKER_SWETH( 24, 80) =  0.311817E+00
  PKER_SWETH( 25,  1) =  0.297154E+01
  PKER_SWETH( 25,  2) =  0.277516E+01
  PKER_SWETH( 25,  3) =  0.259076E+01
  PKER_SWETH( 25,  4) =  0.241761E+01
  PKER_SWETH( 25,  5) =  0.225501E+01
  PKER_SWETH( 25,  6) =  0.210233E+01
  PKER_SWETH( 25,  7) =  0.195896E+01
  PKER_SWETH( 25,  8) =  0.182433E+01
  PKER_SWETH( 25,  9) =  0.169789E+01
  PKER_SWETH( 25, 10) =  0.157916E+01
  PKER_SWETH( 25, 11) =  0.146766E+01
  PKER_SWETH( 25, 12) =  0.136294E+01
  PKER_SWETH( 25, 13) =  0.126459E+01
  PKER_SWETH( 25, 14) =  0.117220E+01
  PKER_SWETH( 25, 15) =  0.108542E+01
  PKER_SWETH( 25, 16) =  0.100389E+01
  PKER_SWETH( 25, 17) =  0.927285E+00
  PKER_SWETH( 25, 18) =  0.855291E+00
  PKER_SWETH( 25, 19) =  0.787616E+00
  PKER_SWETH( 25, 20) =  0.723980E+00
  PKER_SWETH( 25, 21) =  0.664118E+00
  PKER_SWETH( 25, 22) =  0.607779E+00
  PKER_SWETH( 25, 23) =  0.554721E+00
  PKER_SWETH( 25, 24) =  0.504713E+00
  PKER_SWETH( 25, 25) =  0.457533E+00
  PKER_SWETH( 25, 26) =  0.412967E+00
  PKER_SWETH( 25, 27) =  0.370812E+00
  PKER_SWETH( 25, 28) =  0.330876E+00
  PKER_SWETH( 25, 29) =  0.292989E+00
  PKER_SWETH( 25, 30) =  0.257023E+00
  PKER_SWETH( 25, 31) =  0.222915E+00
  PKER_SWETH( 25, 32) =  0.190725E+00
  PKER_SWETH( 25, 33) =  0.160684E+00
  PKER_SWETH( 25, 34) =  0.133246E+00
  PKER_SWETH( 25, 35) =  0.109094E+00
  PKER_SWETH( 25, 36) =  0.890541E-01
  PKER_SWETH( 25, 37) =  0.738827E-01
  PKER_SWETH( 25, 38) =  0.641418E-01
  PKER_SWETH( 25, 39) =  0.598974E-01
  PKER_SWETH( 25, 40) =  0.606697E-01
  PKER_SWETH( 25, 41) =  0.656428E-01
  PKER_SWETH( 25, 42) =  0.736972E-01
  PKER_SWETH( 25, 43) =  0.836895E-01
  PKER_SWETH( 25, 44) =  0.947074E-01
  PKER_SWETH( 25, 45) =  0.106025E+00
  PKER_SWETH( 25, 46) =  0.117165E+00
  PKER_SWETH( 25, 47) =  0.127842E+00
  PKER_SWETH( 25, 48) =  0.137923E+00
  PKER_SWETH( 25, 49) =  0.147359E+00
  PKER_SWETH( 25, 50) =  0.156153E+00
  PKER_SWETH( 25, 51) =  0.164338E+00
  PKER_SWETH( 25, 52) =  0.171955E+00
  PKER_SWETH( 25, 53) =  0.179048E+00
  PKER_SWETH( 25, 54) =  0.185659E+00
  PKER_SWETH( 25, 55) =  0.191828E+00
  PKER_SWETH( 25, 56) =  0.197589E+00
  PKER_SWETH( 25, 57) =  0.202975E+00
  PKER_SWETH( 25, 58) =  0.208013E+00
  PKER_SWETH( 25, 59) =  0.212728E+00
  PKER_SWETH( 25, 60) =  0.217145E+00
  PKER_SWETH( 25, 61) =  0.221283E+00
  PKER_SWETH( 25, 62) =  0.225162E+00
  PKER_SWETH( 25, 63) =  0.228799E+00
  PKER_SWETH( 25, 64) =  0.232210E+00
  PKER_SWETH( 25, 65) =  0.235409E+00
  PKER_SWETH( 25, 66) =  0.238411E+00
  PKER_SWETH( 25, 67) =  0.241227E+00
  PKER_SWETH( 25, 68) =  0.243871E+00
  PKER_SWETH( 25, 69) =  0.246352E+00
  PKER_SWETH( 25, 70) =  0.248680E+00
  PKER_SWETH( 25, 71) =  0.250866E+00
  PKER_SWETH( 25, 72) =  0.252918E+00
  PKER_SWETH( 25, 73) =  0.254844E+00
  PKER_SWETH( 25, 74) =  0.256652E+00
  PKER_SWETH( 25, 75) =  0.258350E+00
  PKER_SWETH( 25, 76) =  0.259944E+00
  PKER_SWETH( 25, 77) =  0.261440E+00
  PKER_SWETH( 25, 78) =  0.262845E+00
  PKER_SWETH( 25, 79) =  0.264164E+00
  PKER_SWETH( 25, 80) =  0.265403E+00
  PKER_SWETH( 26,  1) =  0.300615E+01
  PKER_SWETH( 26,  2) =  0.280977E+01
  PKER_SWETH( 26,  3) =  0.262538E+01
  PKER_SWETH( 26,  4) =  0.245223E+01
  PKER_SWETH( 26,  5) =  0.228964E+01
  PKER_SWETH( 26,  6) =  0.213697E+01
  PKER_SWETH( 26,  7) =  0.199360E+01
  PKER_SWETH( 26,  8) =  0.185898E+01
  PKER_SWETH( 26,  9) =  0.173256E+01
  PKER_SWETH( 26, 10) =  0.161385E+01
  PKER_SWETH( 26, 11) =  0.150236E+01
  PKER_SWETH( 26, 12) =  0.139766E+01
  PKER_SWETH( 26, 13) =  0.129933E+01
  PKER_SWETH( 26, 14) =  0.120698E+01
  PKER_SWETH( 26, 15) =  0.112024E+01
  PKER_SWETH( 26, 16) =  0.103876E+01
  PKER_SWETH( 26, 17) =  0.962205E+00
  PKER_SWETH( 26, 18) =  0.890279E+00
  PKER_SWETH( 26, 19) =  0.822684E+00
  PKER_SWETH( 26, 20) =  0.759146E+00
  PKER_SWETH( 26, 21) =  0.699404E+00
  PKER_SWETH( 26, 22) =  0.643208E+00
  PKER_SWETH( 26, 23) =  0.590322E+00
  PKER_SWETH( 26, 24) =  0.540522E+00
  PKER_SWETH( 26, 25) =  0.493591E+00
  PKER_SWETH( 26, 26) =  0.449320E+00
  PKER_SWETH( 26, 27) =  0.407511E+00
  PKER_SWETH( 26, 28) =  0.367971E+00
  PKER_SWETH( 26, 29) =  0.330516E+00
  PKER_SWETH( 26, 30) =  0.294977E+00
  PKER_SWETH( 26, 31) =  0.261206E+00
  PKER_SWETH( 26, 32) =  0.229091E+00
  PKER_SWETH( 26, 33) =  0.198592E+00
  PKER_SWETH( 26, 34) =  0.169777E+00
  PKER_SWETH( 26, 35) =  0.142869E+00
  PKER_SWETH( 26, 36) =  0.118292E+00
  PKER_SWETH( 26, 37) =  0.966610E-01
  PKER_SWETH( 26, 38) =  0.786825E-01
  PKER_SWETH( 26, 39) =  0.650023E-01
  PKER_SWETH( 26, 40) =  0.560497E-01
  PKER_SWETH( 26, 41) =  0.518524E-01
  PKER_SWETH( 26, 42) =  0.519800E-01
  PKER_SWETH( 26, 43) =  0.557183E-01
  PKER_SWETH( 26, 44) =  0.621393E-01
  PKER_SWETH( 26, 45) =  0.703233E-01
  PKER_SWETH( 26, 46) =  0.794632E-01
  PKER_SWETH( 26, 47) =  0.889548E-01
  PKER_SWETH( 26, 48) =  0.983834E-01
  PKER_SWETH( 26, 49) =  0.107490E+00
  PKER_SWETH( 26, 50) =  0.116142E+00
  PKER_SWETH( 26, 51) =  0.124280E+00
  PKER_SWETH( 26, 52) =  0.131897E+00
  PKER_SWETH( 26, 53) =  0.139007E+00
  PKER_SWETH( 26, 54) =  0.145642E+00
  PKER_SWETH( 26, 55) =  0.151833E+00
  PKER_SWETH( 26, 56) =  0.157614E+00
  PKER_SWETH( 26, 57) =  0.163015E+00
  PKER_SWETH( 26, 58) =  0.168066E+00
  PKER_SWETH( 26, 59) =  0.172792E+00
  PKER_SWETH( 26, 60) =  0.177216E+00
  PKER_SWETH( 26, 61) =  0.181360E+00
  PKER_SWETH( 26, 62) =  0.185244E+00
  PKER_SWETH( 26, 63) =  0.188884E+00
  PKER_SWETH( 26, 64) =  0.192298E+00
  PKER_SWETH( 26, 65) =  0.195499E+00
  PKER_SWETH( 26, 66) =  0.198503E+00
  PKER_SWETH( 26, 67) =  0.201320E+00
  PKER_SWETH( 26, 68) =  0.203965E+00
  PKER_SWETH( 26, 69) =  0.206446E+00
  PKER_SWETH( 26, 70) =  0.208775E+00
  PKER_SWETH( 26, 71) =  0.210961E+00
  PKER_SWETH( 26, 72) =  0.213013E+00
  PKER_SWETH( 26, 73) =  0.214940E+00
  PKER_SWETH( 26, 74) =  0.216748E+00
  PKER_SWETH( 26, 75) =  0.218446E+00
  PKER_SWETH( 26, 76) =  0.220040E+00
  PKER_SWETH( 26, 77) =  0.221537E+00
  PKER_SWETH( 26, 78) =  0.222942E+00
  PKER_SWETH( 26, 79) =  0.224261E+00
  PKER_SWETH( 26, 80) =  0.225500E+00
  PKER_SWETH( 27,  1) =  0.303590E+01
  PKER_SWETH( 27,  2) =  0.283953E+01
  PKER_SWETH( 27,  3) =  0.265514E+01
  PKER_SWETH( 27,  4) =  0.248199E+01
  PKER_SWETH( 27,  5) =  0.231941E+01
  PKER_SWETH( 27,  6) =  0.216674E+01
  PKER_SWETH( 27,  7) =  0.202338E+01
  PKER_SWETH( 27,  8) =  0.188877E+01
  PKER_SWETH( 27,  9) =  0.176236E+01
  PKER_SWETH( 27, 10) =  0.164366E+01
  PKER_SWETH( 27, 11) =  0.153218E+01
  PKER_SWETH( 27, 12) =  0.142750E+01
  PKER_SWETH( 27, 13) =  0.132919E+01
  PKER_SWETH( 27, 14) =  0.123687E+01
  PKER_SWETH( 27, 15) =  0.115015E+01
  PKER_SWETH( 27, 16) =  0.106870E+01
  PKER_SWETH( 27, 17) =  0.992194E+00
  PKER_SWETH( 27, 18) =  0.920318E+00
  PKER_SWETH( 27, 19) =  0.852785E+00
  PKER_SWETH( 27, 20) =  0.789320E+00
  PKER_SWETH( 27, 21) =  0.729667E+00
  PKER_SWETH( 27, 22) =  0.673578E+00
  PKER_SWETH( 27, 23) =  0.620822E+00
  PKER_SWETH( 27, 24) =  0.571178E+00
  PKER_SWETH( 27, 25) =  0.524434E+00
  PKER_SWETH( 27, 26) =  0.480388E+00
  PKER_SWETH( 27, 27) =  0.438846E+00
  PKER_SWETH( 27, 28) =  0.399622E+00
  PKER_SWETH( 27, 29) =  0.362534E+00
  PKER_SWETH( 27, 30) =  0.327412E+00
  PKER_SWETH( 27, 31) =  0.294092E+00
  PKER_SWETH( 27, 32) =  0.262426E+00
  PKER_SWETH( 27, 33) =  0.232290E+00
  PKER_SWETH( 27, 34) =  0.203599E+00
  PKER_SWETH( 27, 35) =  0.176334E+00
  PKER_SWETH( 27, 36) =  0.150579E+00
  PKER_SWETH( 27, 37) =  0.126557E+00
  PKER_SWETH( 27, 38) =  0.104653E+00
  PKER_SWETH( 27, 39) =  0.854039E-01
  PKER_SWETH( 27, 40) =  0.693914E-01
  PKER_SWETH( 27, 41) =  0.571427E-01
  PKER_SWETH( 27, 42) =  0.489777E-01
  PKER_SWETH( 27, 43) =  0.448639E-01
  PKER_SWETH( 27, 44) =  0.444652E-01
  PKER_SWETH( 27, 45) =  0.471717E-01
  PKER_SWETH( 27, 46) =  0.522132E-01
  PKER_SWETH( 27, 47) =  0.588533E-01
  PKER_SWETH( 27, 48) =  0.664103E-01
  PKER_SWETH( 27, 49) =  0.743760E-01
  PKER_SWETH( 27, 50) =  0.823690E-01
  PKER_SWETH( 27, 51) =  0.901537E-01
  PKER_SWETH( 27, 52) =  0.975988E-01
  PKER_SWETH( 27, 53) =  0.104637E+00
  PKER_SWETH( 27, 54) =  0.111249E+00
  PKER_SWETH( 27, 55) =  0.117442E+00
  PKER_SWETH( 27, 56) =  0.123234E+00
  PKER_SWETH( 27, 57) =  0.128648E+00
  PKER_SWETH( 27, 58) =  0.133711E+00
  PKER_SWETH( 27, 59) =  0.138448E+00
  PKER_SWETH( 27, 60) =  0.142881E+00
  PKER_SWETH( 27, 61) =  0.147032E+00
  PKER_SWETH( 27, 62) =  0.150920E+00
  PKER_SWETH( 27, 63) =  0.154565E+00
  PKER_SWETH( 27, 64) =  0.157982E+00
  PKER_SWETH( 27, 65) =  0.161186E+00
  PKER_SWETH( 27, 66) =  0.164191E+00
  PKER_SWETH( 27, 67) =  0.167010E+00
  PKER_SWETH( 27, 68) =  0.169655E+00
  PKER_SWETH( 27, 69) =  0.172138E+00
  PKER_SWETH( 27, 70) =  0.174467E+00
  PKER_SWETH( 27, 71) =  0.176654E+00
  PKER_SWETH( 27, 72) =  0.178707E+00
  PKER_SWETH( 27, 73) =  0.180633E+00
  PKER_SWETH( 27, 74) =  0.182442E+00
  PKER_SWETH( 27, 75) =  0.184140E+00
  PKER_SWETH( 27, 76) =  0.185734E+00
  PKER_SWETH( 27, 77) =  0.187231E+00
  PKER_SWETH( 27, 78) =  0.188636E+00
  PKER_SWETH( 27, 79) =  0.189955E+00
  PKER_SWETH( 27, 80) =  0.191194E+00
  PKER_SWETH( 28,  1) =  0.306148E+01
  PKER_SWETH( 28,  2) =  0.286511E+01
  PKER_SWETH( 28,  3) =  0.268072E+01
  PKER_SWETH( 28,  4) =  0.250758E+01
  PKER_SWETH( 28,  5) =  0.234500E+01
  PKER_SWETH( 28,  6) =  0.219234E+01
  PKER_SWETH( 28,  7) =  0.204898E+01
  PKER_SWETH( 28,  8) =  0.191437E+01
  PKER_SWETH( 28,  9) =  0.178797E+01
  PKER_SWETH( 28, 10) =  0.166928E+01
  PKER_SWETH( 28, 11) =  0.155782E+01
  PKER_SWETH( 28, 12) =  0.145315E+01
  PKER_SWETH( 28, 13) =  0.135485E+01
  PKER_SWETH( 28, 14) =  0.126254E+01
  PKER_SWETH( 28, 15) =  0.117585E+01
  PKER_SWETH( 28, 16) =  0.109443E+01
  PKER_SWETH( 28, 17) =  0.101795E+01
  PKER_SWETH( 28, 18) =  0.946114E+00
  PKER_SWETH( 28, 19) =  0.878627E+00
  PKER_SWETH( 28, 20) =  0.815218E+00
  PKER_SWETH( 28, 21) =  0.755631E+00
  PKER_SWETH( 28, 22) =  0.699623E+00
  PKER_SWETH( 28, 23) =  0.646965E+00
  PKER_SWETH( 28, 24) =  0.597438E+00
  PKER_SWETH( 28, 25) =  0.550835E+00
  PKER_SWETH( 28, 26) =  0.506959E+00
  PKER_SWETH( 28, 27) =  0.465619E+00
  PKER_SWETH( 28, 28) =  0.426636E+00
  PKER_SWETH( 28, 29) =  0.389834E+00
  PKER_SWETH( 28, 30) =  0.355045E+00
  PKER_SWETH( 28, 31) =  0.322108E+00
  PKER_SWETH( 28, 32) =  0.290872E+00
  PKER_SWETH( 28, 33) =  0.261193E+00
  PKER_SWETH( 28, 34) =  0.232948E+00
  PKER_SWETH( 28, 35) =  0.206039E+00
  PKER_SWETH( 28, 36) =  0.180409E+00
  PKER_SWETH( 28, 37) =  0.156068E+00
  PKER_SWETH( 28, 38) =  0.133115E+00
  PKER_SWETH( 28, 39) =  0.111765E+00
  PKER_SWETH( 28, 40) =  0.923608E-01
  PKER_SWETH( 28, 41) =  0.753445E-01
  PKER_SWETH( 28, 42) =  0.611817E-01
  PKER_SWETH( 28, 43) =  0.502690E-01
  PKER_SWETH( 28, 44) =  0.428431E-01
  PKER_SWETH( 28, 45) =  0.388528E-01
  PKER_SWETH( 28, 46) =  0.380123E-01
  PKER_SWETH( 28, 47) =  0.398568E-01
  PKER_SWETH( 28, 48) =  0.437542E-01
  PKER_SWETH( 28, 49) =  0.490872E-01
  PKER_SWETH( 28, 50) =  0.553254E-01
  PKER_SWETH( 28, 51) =  0.619931E-01
  PKER_SWETH( 28, 52) =  0.687719E-01
  PKER_SWETH( 28, 53) =  0.754350E-01
  PKER_SWETH( 28, 54) =  0.818527E-01
  PKER_SWETH( 28, 55) =  0.879516E-01
  PKER_SWETH( 28, 56) =  0.937041E-01
  PKER_SWETH( 28, 57) =  0.991077E-01
  PKER_SWETH( 28, 58) =  0.104172E+00
  PKER_SWETH( 28, 59) =  0.108914E+00
  PKER_SWETH( 28, 60) =  0.113354E+00
  PKER_SWETH( 28, 61) =  0.117512E+00
  PKER_SWETH( 28, 62) =  0.121407E+00
  PKER_SWETH( 28, 63) =  0.125056E+00
  PKER_SWETH( 28, 64) =  0.128476E+00
  PKER_SWETH( 28, 65) =  0.131683E+00
  PKER_SWETH( 28, 66) =  0.134690E+00
  PKER_SWETH( 28, 67) =  0.137511E+00
  PKER_SWETH( 28, 68) =  0.140158E+00
  PKER_SWETH( 28, 69) =  0.142641E+00
  PKER_SWETH( 28, 70) =  0.144972E+00
  PKER_SWETH( 28, 71) =  0.147159E+00
  PKER_SWETH( 28, 72) =  0.149212E+00
  PKER_SWETH( 28, 73) =  0.151139E+00
  PKER_SWETH( 28, 74) =  0.152948E+00
  PKER_SWETH( 28, 75) =  0.154646E+00
  PKER_SWETH( 28, 76) =  0.156240E+00
  PKER_SWETH( 28, 77) =  0.157737E+00
  PKER_SWETH( 28, 78) =  0.159143E+00
  PKER_SWETH( 28, 79) =  0.160462E+00
  PKER_SWETH( 28, 80) =  0.161701E+00
  PKER_SWETH( 29,  1) =  0.308347E+01
  PKER_SWETH( 29,  2) =  0.288710E+01
  PKER_SWETH( 29,  3) =  0.270272E+01
  PKER_SWETH( 29,  4) =  0.252958E+01
  PKER_SWETH( 29,  5) =  0.236700E+01
  PKER_SWETH( 29,  6) =  0.221434E+01
  PKER_SWETH( 29,  7) =  0.207099E+01
  PKER_SWETH( 29,  8) =  0.193639E+01
  PKER_SWETH( 29,  9) =  0.180999E+01
  PKER_SWETH( 29, 10) =  0.169130E+01
  PKER_SWETH( 29, 11) =  0.157985E+01
  PKER_SWETH( 29, 12) =  0.147519E+01
  PKER_SWETH( 29, 13) =  0.137691E+01
  PKER_SWETH( 29, 14) =  0.128461E+01
  PKER_SWETH( 29, 15) =  0.119793E+01
  PKER_SWETH( 29, 16) =  0.111653E+01
  PKER_SWETH( 29, 17) =  0.104008E+01
  PKER_SWETH( 29, 18) =  0.968270E+00
  PKER_SWETH( 29, 19) =  0.900817E+00
  PKER_SWETH( 29, 20) =  0.837451E+00
  PKER_SWETH( 29, 21) =  0.777915E+00
  PKER_SWETH( 29, 22) =  0.721968E+00
  PKER_SWETH( 29, 23) =  0.669383E+00
  PKER_SWETH( 29, 24) =  0.619944E+00
  PKER_SWETH( 29, 25) =  0.573448E+00
  PKER_SWETH( 29, 26) =  0.529699E+00
  PKER_SWETH( 29, 27) =  0.488512E+00
  PKER_SWETH( 29, 28) =  0.449712E+00
  PKER_SWETH( 29, 29) =  0.413127E+00
  PKER_SWETH( 29, 30) =  0.378596E+00
  PKER_SWETH( 29, 31) =  0.345961E+00
  PKER_SWETH( 29, 32) =  0.315072E+00
  PKER_SWETH( 29, 33) =  0.285787E+00
  PKER_SWETH( 29, 34) =  0.257972E+00
  PKER_SWETH( 29, 35) =  0.231509E+00
  PKER_SWETH( 29, 36) =  0.206298E+00
  PKER_SWETH( 29, 37) =  0.182272E+00
  PKER_SWETH( 29, 38) =  0.159406E+00
  PKER_SWETH( 29, 39) =  0.137733E+00
  PKER_SWETH( 29, 40) =  0.117365E+00
  PKER_SWETH( 29, 41) =  0.984979E-01
  PKER_SWETH( 29, 42) =  0.814212E-01
  PKER_SWETH( 29, 43) =  0.664782E-01
  PKER_SWETH( 29, 44) =  0.540142E-01
  PKER_SWETH( 29, 45) =  0.443303E-01
  PKER_SWETH( 29, 46) =  0.375787E-01
  PKER_SWETH( 29, 47) =  0.337194E-01
  PKER_SWETH( 29, 48) =  0.325388E-01
  PKER_SWETH( 29, 49) =  0.336514E-01
  PKER_SWETH( 29, 50) =  0.365861E-01
  PKER_SWETH( 29, 51) =  0.408448E-01
  PKER_SWETH( 29, 52) =  0.459450E-01
  PKER_SWETH( 29, 53) =  0.515262E-01
  PKER_SWETH( 29, 54) =  0.572696E-01
  PKER_SWETH( 29, 55) =  0.629759E-01
  PKER_SWETH( 29, 56) =  0.685136E-01
  PKER_SWETH( 29, 57) =  0.738057E-01
  PKER_SWETH( 29, 58) =  0.788178E-01
  PKER_SWETH( 29, 59) =  0.835388E-01
  PKER_SWETH( 29, 60) =  0.879729E-01
  PKER_SWETH( 29, 61) =  0.921314E-01
  PKER_SWETH( 29, 62) =  0.960291E-01
  PKER_SWETH( 29, 63) =  0.996821E-01
  PKER_SWETH( 29, 64) =  0.103106E+00
  PKER_SWETH( 29, 65) =  0.106316E+00
  PKER_SWETH( 29, 66) =  0.109326E+00
  PKER_SWETH( 29, 67) =  0.112149E+00
  PKER_SWETH( 29, 68) =  0.114797E+00
  PKER_SWETH( 29, 69) =  0.117281E+00
  PKER_SWETH( 29, 70) =  0.119613E+00
  PKER_SWETH( 29, 71) =  0.121801E+00
  PKER_SWETH( 29, 72) =  0.123854E+00
  PKER_SWETH( 29, 73) =  0.125782E+00
  PKER_SWETH( 29, 74) =  0.127591E+00
  PKER_SWETH( 29, 75) =  0.129289E+00
  PKER_SWETH( 29, 76) =  0.130884E+00
  PKER_SWETH( 29, 77) =  0.132381E+00
  PKER_SWETH( 29, 78) =  0.133786E+00
  PKER_SWETH( 29, 79) =  0.135106E+00
  PKER_SWETH( 29, 80) =  0.136344E+00
  PKER_SWETH( 30,  1) =  0.310238E+01
  PKER_SWETH( 30,  2) =  0.290601E+01
  PKER_SWETH( 30,  3) =  0.272162E+01
  PKER_SWETH( 30,  4) =  0.254849E+01
  PKER_SWETH( 30,  5) =  0.238591E+01
  PKER_SWETH( 30,  6) =  0.223325E+01
  PKER_SWETH( 30,  7) =  0.208991E+01
  PKER_SWETH( 30,  8) =  0.195531E+01
  PKER_SWETH( 30,  9) =  0.182891E+01
  PKER_SWETH( 30, 10) =  0.171023E+01
  PKER_SWETH( 30, 11) =  0.159878E+01
  PKER_SWETH( 30, 12) =  0.149413E+01
  PKER_SWETH( 30, 13) =  0.139586E+01
  PKER_SWETH( 30, 14) =  0.130357E+01
  PKER_SWETH( 30, 15) =  0.121691E+01
  PKER_SWETH( 30, 16) =  0.113552E+01
  PKER_SWETH( 30, 17) =  0.105909E+01
  PKER_SWETH( 30, 18) =  0.987301E+00
  PKER_SWETH( 30, 19) =  0.919876E+00
  PKER_SWETH( 30, 20) =  0.856541E+00
  PKER_SWETH( 30, 21) =  0.797043E+00
  PKER_SWETH( 30, 22) =  0.741143E+00
  PKER_SWETH( 30, 23) =  0.688613E+00
  PKER_SWETH( 30, 24) =  0.639241E+00
  PKER_SWETH( 30, 25) =  0.592825E+00
  PKER_SWETH( 30, 26) =  0.549173E+00
  PKER_SWETH( 30, 27) =  0.508102E+00
  PKER_SWETH( 30, 28) =  0.469441E+00
  PKER_SWETH( 30, 29) =  0.433022E+00
  PKER_SWETH( 30, 30) =  0.398687E+00
  PKER_SWETH( 30, 31) =  0.366284E+00
  PKER_SWETH( 30, 32) =  0.335667E+00
  PKER_SWETH( 30, 33) =  0.306696E+00
  PKER_SWETH( 30, 34) =  0.279238E+00
  PKER_SWETH( 30, 35) =  0.253167E+00
  PKER_SWETH( 30, 36) =  0.228374E+00
  PKER_SWETH( 30, 37) =  0.204762E+00
  PKER_SWETH( 30, 38) =  0.182262E+00
  PKER_SWETH( 30, 39) =  0.160835E+00
  PKER_SWETH( 30, 40) =  0.140485E+00
  PKER_SWETH( 30, 41) =  0.121268E+00
  PKER_SWETH( 30, 42) =  0.103293E+00
  PKER_SWETH( 30, 43) =  0.867296E-01
  PKER_SWETH( 30, 44) =  0.717964E-01
  PKER_SWETH( 30, 45) =  0.587461E-01
  PKER_SWETH( 30, 46) =  0.478245E-01
  PKER_SWETH( 30, 47) =  0.392417E-01
  PKER_SWETH( 30, 48) =  0.331060E-01
  PKER_SWETH( 30, 49) =  0.293783E-01
  PKER_SWETH( 30, 50) =  0.279234E-01
  PKER_SWETH( 30, 51) =  0.284480E-01
  PKER_SWETH( 30, 52) =  0.305694E-01
  PKER_SWETH( 30, 53) =  0.339106E-01
  PKER_SWETH( 30, 54) =  0.380759E-01
  PKER_SWETH( 30, 55) =  0.427144E-01
  PKER_SWETH( 30, 56) =  0.475751E-01
  PKER_SWETH( 30, 57) =  0.524601E-01
  PKER_SWETH( 30, 58) =  0.572399E-01
  PKER_SWETH( 30, 59) =  0.618346E-01
  PKER_SWETH( 30, 60) =  0.662050E-01
  PKER_SWETH( 30, 61) =  0.703339E-01
  PKER_SWETH( 30, 62) =  0.742197E-01
  PKER_SWETH( 30, 63) =  0.778693E-01
  PKER_SWETH( 30, 64) =  0.812936E-01
  PKER_SWETH( 30, 65) =  0.845052E-01
  PKER_SWETH( 30, 66) =  0.875171E-01
  PKER_SWETH( 30, 67) =  0.903420E-01
  PKER_SWETH( 30, 68) =  0.929917E-01
  PKER_SWETH( 30, 69) =  0.954775E-01
  PKER_SWETH( 30, 70) =  0.978099E-01
  PKER_SWETH( 30, 71) =  0.999987E-01
  PKER_SWETH( 30, 72) =  0.102053E+00
  PKER_SWETH( 30, 73) =  0.103981E+00
  PKER_SWETH( 30, 74) =  0.105790E+00
  PKER_SWETH( 30, 75) =  0.107489E+00
  PKER_SWETH( 30, 76) =  0.109084E+00
  PKER_SWETH( 30, 77) =  0.110581E+00
  PKER_SWETH( 30, 78) =  0.111986E+00
  PKER_SWETH( 30, 79) =  0.113306E+00
  PKER_SWETH( 30, 80) =  0.114545E+00
  PKER_SWETH( 31,  1) =  0.311863E+01
  PKER_SWETH( 31,  2) =  0.292226E+01
  PKER_SWETH( 31,  3) =  0.273788E+01
  PKER_SWETH( 31,  4) =  0.256474E+01
  PKER_SWETH( 31,  5) =  0.240217E+01
  PKER_SWETH( 31,  6) =  0.224951E+01
  PKER_SWETH( 31,  7) =  0.210617E+01
  PKER_SWETH( 31,  8) =  0.197157E+01
  PKER_SWETH( 31,  9) =  0.184518E+01
  PKER_SWETH( 31, 10) =  0.172650E+01
  PKER_SWETH( 31, 11) =  0.161506E+01
  PKER_SWETH( 31, 12) =  0.151041E+01
  PKER_SWETH( 31, 13) =  0.141215E+01
  PKER_SWETH( 31, 14) =  0.131987E+01
  PKER_SWETH( 31, 15) =  0.123322E+01
  PKER_SWETH( 31, 16) =  0.115184E+01
  PKER_SWETH( 31, 17) =  0.107542E+01
  PKER_SWETH( 31, 18) =  0.100365E+01
  PKER_SWETH( 31, 19) =  0.936246E+00
  PKER_SWETH( 31, 20) =  0.872936E+00
  PKER_SWETH( 31, 21) =  0.813467E+00
  PKER_SWETH( 31, 22) =  0.757602E+00
  PKER_SWETH( 31, 23) =  0.705114E+00
  PKER_SWETH( 31, 24) =  0.655793E+00
  PKER_SWETH( 31, 25) =  0.609438E+00
  PKER_SWETH( 31, 26) =  0.565859E+00
  PKER_SWETH( 31, 27) =  0.524877E+00
  PKER_SWETH( 31, 28) =  0.486320E+00
  PKER_SWETH( 31, 29) =  0.450027E+00
  PKER_SWETH( 31, 30) =  0.415842E+00
  PKER_SWETH( 31, 31) =  0.383618E+00
  PKER_SWETH( 31, 32) =  0.353211E+00
  PKER_SWETH( 31, 33) =  0.324485E+00
  PKER_SWETH( 31, 34) =  0.297310E+00
  PKER_SWETH( 31, 35) =  0.271562E+00
  PKER_SWETH( 31, 36) =  0.247124E+00
  PKER_SWETH( 31, 37) =  0.223892E+00
  PKER_SWETH( 31, 38) =  0.201777E+00
  PKER_SWETH( 31, 39) =  0.180710E+00
  PKER_SWETH( 31, 40) =  0.160650E+00
  PKER_SWETH( 31, 41) =  0.141588E+00
  PKER_SWETH( 31, 42) =  0.123552E+00
  PKER_SWETH( 31, 43) =  0.106604E+00
  PKER_SWETH( 31, 44) =  0.908414E-01
  PKER_SWETH( 31, 45) =  0.763931E-01
  PKER_SWETH( 31, 46) =  0.634109E-01
  PKER_SWETH( 31, 47) =  0.520606E-01
  PKER_SWETH( 31, 48) =  0.425084E-01
  PKER_SWETH( 31, 49) =  0.349021E-01
  PKER_SWETH( 31, 50) =  0.293151E-01
  PKER_SWETH( 31, 51) =  0.257350E-01
  PKER_SWETH( 31, 52) =  0.240679E-01
  PKER_SWETH( 31, 53) =  0.241097E-01
  PKER_SWETH( 31, 54) =  0.255670E-01
  PKER_SWETH( 31, 55) =  0.281346E-01
  PKER_SWETH( 31, 56) =  0.314877E-01
  PKER_SWETH( 31, 57) =  0.353359E-01
  PKER_SWETH( 31, 58) =  0.394363E-01
  PKER_SWETH( 31, 59) =  0.436099E-01
  PKER_SWETH( 31, 60) =  0.477319E-01
  PKER_SWETH( 31, 61) =  0.517211E-01
  PKER_SWETH( 31, 62) =  0.555332E-01
  PKER_SWETH( 31, 63) =  0.591462E-01
  PKER_SWETH( 31, 64) =  0.625536E-01
  PKER_SWETH( 31, 65) =  0.657586E-01
  PKER_SWETH( 31, 66) =  0.687686E-01
  PKER_SWETH( 31, 67) =  0.715936E-01
  PKER_SWETH( 31, 68) =  0.742443E-01
  PKER_SWETH( 31, 69) =  0.767313E-01
  PKER_SWETH( 31, 70) =  0.790647E-01
  PKER_SWETH( 31, 71) =  0.812543E-01
  PKER_SWETH( 31, 72) =  0.833091E-01
  PKER_SWETH( 31, 73) =  0.852376E-01
  PKER_SWETH( 31, 74) =  0.870477E-01
  PKER_SWETH( 31, 75) =  0.887468E-01
  PKER_SWETH( 31, 76) =  0.903417E-01
  PKER_SWETH( 31, 77) =  0.918390E-01
  PKER_SWETH( 31, 78) =  0.932447E-01
  PKER_SWETH( 31, 79) =  0.945644E-01
  PKER_SWETH( 31, 80) =  0.958034E-01
  PKER_SWETH( 32,  1) =  0.313260E+01
  PKER_SWETH( 32,  2) =  0.293624E+01
  PKER_SWETH( 32,  3) =  0.275185E+01
  PKER_SWETH( 32,  4) =  0.257872E+01
  PKER_SWETH( 32,  5) =  0.241614E+01
  PKER_SWETH( 32,  6) =  0.226349E+01
  PKER_SWETH( 32,  7) =  0.212015E+01
  PKER_SWETH( 32,  8) =  0.198555E+01
  PKER_SWETH( 32,  9) =  0.185917E+01
  PKER_SWETH( 32, 10) =  0.174049E+01
  PKER_SWETH( 32, 11) =  0.162905E+01
  PKER_SWETH( 32, 12) =  0.152441E+01
  PKER_SWETH( 32, 13) =  0.142615E+01
  PKER_SWETH( 32, 14) =  0.133388E+01
  PKER_SWETH( 32, 15) =  0.124723E+01
  PKER_SWETH( 32, 16) =  0.116587E+01
  PKER_SWETH( 32, 17) =  0.108946E+01
  PKER_SWETH( 32, 18) =  0.101770E+01
  PKER_SWETH( 32, 19) =  0.950309E+00
  PKER_SWETH( 32, 20) =  0.887017E+00
  PKER_SWETH( 32, 21) =  0.827571E+00
  PKER_SWETH( 32, 22) =  0.771732E+00
  PKER_SWETH( 32, 23) =  0.719277E+00
  PKER_SWETH( 32, 24) =  0.669995E+00
  PKER_SWETH( 32, 25) =  0.623686E+00
  PKER_SWETH( 32, 26) =  0.580163E+00
  PKER_SWETH( 32, 27) =  0.539247E+00
  PKER_SWETH( 32, 28) =  0.500771E+00
  PKER_SWETH( 32, 29) =  0.464574E+00
  PKER_SWETH( 32, 30) =  0.430504E+00
  PKER_SWETH( 32, 31) =  0.398415E+00
  PKER_SWETH( 32, 32) =  0.368170E+00
  PKER_SWETH( 32, 33) =  0.339635E+00
  PKER_SWETH( 32, 34) =  0.312682E+00
  PKER_SWETH( 32, 35) =  0.287189E+00
  PKER_SWETH( 32, 36) =  0.263042E+00
  PKER_SWETH( 32, 37) =  0.240131E+00
  PKER_SWETH( 32, 38) =  0.218359E+00
  PKER_SWETH( 32, 39) =  0.197643E+00
  PKER_SWETH( 32, 40) =  0.177917E+00
  PKER_SWETH( 32, 41) =  0.159141E+00
  PKER_SWETH( 32, 42) =  0.141300E+00
  PKER_SWETH( 32, 43) =  0.124409E+00
  PKER_SWETH( 32, 44) =  0.108506E+00
  PKER_SWETH( 32, 45) =  0.936524E-01
  PKER_SWETH( 32, 46) =  0.799192E-01
  PKER_SWETH( 32, 47) =  0.673874E-01
  PKER_SWETH( 32, 48) =  0.561491E-01
  PKER_SWETH( 32, 49) =  0.463031E-01
  PKER_SWETH( 32, 50) =  0.379538E-01
  PKER_SWETH( 32, 51) =  0.312049E-01
  PKER_SWETH( 32, 52) =  0.261105E-01
  PKER_SWETH( 32, 53) =  0.226845E-01
  PKER_SWETH( 32, 54) =  0.208720E-01
  PKER_SWETH( 32, 55) =  0.205205E-01
  PKER_SWETH( 32, 56) =  0.214305E-01
  PKER_SWETH( 32, 57) =  0.233522E-01
  PKER_SWETH( 32, 58) =  0.260139E-01
  PKER_SWETH( 32, 59) =  0.291765E-01
  PKER_SWETH( 32, 60) =  0.326186E-01
  PKER_SWETH( 32, 61) =  0.361785E-01
  PKER_SWETH( 32, 62) =  0.397295E-01
  PKER_SWETH( 32, 63) =  0.431912E-01
  PKER_SWETH( 32, 64) =  0.465163E-01
  PKER_SWETH( 32, 65) =  0.496779E-01
  PKER_SWETH( 32, 66) =  0.526668E-01
  PKER_SWETH( 32, 67) =  0.554823E-01
  PKER_SWETH( 32, 68) =  0.581292E-01
  PKER_SWETH( 32, 69) =  0.606151E-01
  PKER_SWETH( 32, 70) =  0.629486E-01
  PKER_SWETH( 32, 71) =  0.651387E-01
  PKER_SWETH( 32, 72) =  0.671941E-01
  PKER_SWETH( 32, 73) =  0.691232E-01
  PKER_SWETH( 32, 74) =  0.709337E-01
  PKER_SWETH( 32, 75) =  0.726332E-01
  PKER_SWETH( 32, 76) =  0.742284E-01
  PKER_SWETH( 32, 77) =  0.757259E-01
  PKER_SWETH( 32, 78) =  0.771318E-01
  PKER_SWETH( 32, 79) =  0.784516E-01
  PKER_SWETH( 32, 80) =  0.796907E-01
  PKER_SWETH( 33,  1) =  0.314461E+01
  PKER_SWETH( 33,  2) =  0.294825E+01
  PKER_SWETH( 33,  3) =  0.276386E+01
  PKER_SWETH( 33,  4) =  0.259073E+01
  PKER_SWETH( 33,  5) =  0.242816E+01
  PKER_SWETH( 33,  6) =  0.227551E+01
  PKER_SWETH( 33,  7) =  0.213217E+01
  PKER_SWETH( 33,  8) =  0.199757E+01
  PKER_SWETH( 33,  9) =  0.187119E+01
  PKER_SWETH( 33, 10) =  0.175251E+01
  PKER_SWETH( 33, 11) =  0.164108E+01
  PKER_SWETH( 33, 12) =  0.153644E+01
  PKER_SWETH( 33, 13) =  0.143818E+01
  PKER_SWETH( 33, 14) =  0.134592E+01
  PKER_SWETH( 33, 15) =  0.125928E+01
  PKER_SWETH( 33, 16) =  0.117792E+01
  PKER_SWETH( 33, 17) =  0.110152E+01
  PKER_SWETH( 33, 18) =  0.102977E+01
  PKER_SWETH( 33, 19) =  0.962391E+00
  PKER_SWETH( 33, 20) =  0.899114E+00
  PKER_SWETH( 33, 21) =  0.839685E+00
  PKER_SWETH( 33, 22) =  0.783867E+00
  PKER_SWETH( 33, 23) =  0.731436E+00
  PKER_SWETH( 33, 24) =  0.682183E+00
  PKER_SWETH( 33, 25) =  0.635910E+00
  PKER_SWETH( 33, 26) =  0.592429E+00
  PKER_SWETH( 33, 27) =  0.551564E+00
  PKER_SWETH( 33, 28) =  0.513149E+00
  PKER_SWETH( 33, 29) =  0.477025E+00
  PKER_SWETH( 33, 30) =  0.443042E+00
  PKER_SWETH( 33, 31) =  0.411059E+00
  PKER_SWETH( 33, 32) =  0.380937E+00
  PKER_SWETH( 33, 33) =  0.352549E+00
  PKER_SWETH( 33, 34) =  0.325769E+00
  PKER_SWETH( 33, 35) =  0.300478E+00
  PKER_SWETH( 33, 36) =  0.276562E+00
  PKER_SWETH( 33, 37) =  0.253913E+00
  PKER_SWETH( 33, 38) =  0.232431E+00
  PKER_SWETH( 33, 39) =  0.212025E+00
  PKER_SWETH( 33, 40) =  0.192616E+00
  PKER_SWETH( 33, 41) =  0.174143E+00
  PKER_SWETH( 33, 42) =  0.156567E+00
  PKER_SWETH( 33, 43) =  0.139871E+00
  PKER_SWETH( 33, 44) =  0.124064E+00
  PKER_SWETH( 33, 45) =  0.109173E+00
  PKER_SWETH( 33, 46) =  0.952378E-01
  PKER_SWETH( 33, 47) =  0.823015E-01
  PKER_SWETH( 33, 48) =  0.704036E-01
  PKER_SWETH( 33, 49) =  0.595823E-01
  PKER_SWETH( 33, 50) =  0.498785E-01
  PKER_SWETH( 33, 51) =  0.413438E-01
  PKER_SWETH( 33, 52) =  0.340421E-01
  PKER_SWETH( 33, 53) =  0.280430E-01
  PKER_SWETH( 33, 54) =  0.233974E-01
  PKER_SWETH( 33, 55) =  0.201291E-01
  PKER_SWETH( 33, 56) =  0.182206E-01
  PKER_SWETH( 33, 57) =  0.175675E-01
  PKER_SWETH( 33, 58) =  0.180229E-01
  PKER_SWETH( 33, 59) =  0.194061E-01
  PKER_SWETH( 33, 60) =  0.214879E-01
  PKER_SWETH( 33, 61) =  0.240570E-01
  PKER_SWETH( 33, 62) =  0.269359E-01
  PKER_SWETH( 33, 63) =  0.299571E-01
  PKER_SWETH( 33, 64) =  0.330093E-01
  PKER_SWETH( 33, 65) =  0.360092E-01
  PKER_SWETH( 33, 66) =  0.389073E-01
  PKER_SWETH( 33, 67) =  0.416736E-01
  PKER_SWETH( 33, 68) =  0.442952E-01
  PKER_SWETH( 33, 69) =  0.467690E-01
  PKER_SWETH( 33, 70) =  0.490971E-01
  PKER_SWETH( 33, 71) =  0.512851E-01
  PKER_SWETH( 33, 72) =  0.533399E-01
  PKER_SWETH( 33, 73) =  0.552690E-01
  PKER_SWETH( 33, 74) =  0.570798E-01
  PKER_SWETH( 33, 75) =  0.587796E-01
  PKER_SWETH( 33, 76) =  0.603751E-01
  PKER_SWETH( 33, 77) =  0.618729E-01
  PKER_SWETH( 33, 78) =  0.632789E-01
  PKER_SWETH( 33, 79) =  0.645989E-01
  PKER_SWETH( 33, 80) =  0.658382E-01
  PKER_SWETH( 34,  1) =  0.315494E+01
  PKER_SWETH( 34,  2) =  0.295858E+01
  PKER_SWETH( 34,  3) =  0.277419E+01
  PKER_SWETH( 34,  4) =  0.260106E+01
  PKER_SWETH( 34,  5) =  0.243849E+01
  PKER_SWETH( 34,  6) =  0.228584E+01
  PKER_SWETH( 34,  7) =  0.214250E+01
  PKER_SWETH( 34,  8) =  0.200790E+01
  PKER_SWETH( 34,  9) =  0.188152E+01
  PKER_SWETH( 34, 10) =  0.176285E+01
  PKER_SWETH( 34, 11) =  0.165142E+01
  PKER_SWETH( 34, 12) =  0.154678E+01
  PKER_SWETH( 34, 13) =  0.144853E+01
  PKER_SWETH( 34, 14) =  0.135626E+01
  PKER_SWETH( 34, 15) =  0.126963E+01
  PKER_SWETH( 34, 16) =  0.118827E+01
  PKER_SWETH( 34, 17) =  0.111188E+01
  PKER_SWETH( 34, 18) =  0.104014E+01
  PKER_SWETH( 34, 19) =  0.972772E+00
  PKER_SWETH( 34, 20) =  0.909506E+00
  PKER_SWETH( 34, 21) =  0.850090E+00
  PKER_SWETH( 34, 22) =  0.794288E+00
  PKER_SWETH( 34, 23) =  0.741876E+00
  PKER_SWETH( 34, 24) =  0.692646E+00
  PKER_SWETH( 34, 25) =  0.646400E+00
  PKER_SWETH( 34, 26) =  0.602952E+00
  PKER_SWETH( 34, 27) =  0.562126E+00
  PKER_SWETH( 34, 28) =  0.523757E+00
  PKER_SWETH( 34, 29) =  0.487689E+00
  PKER_SWETH( 34, 30) =  0.453773E+00
  PKER_SWETH( 34, 31) =  0.421869E+00
  PKER_SWETH( 34, 32) =  0.391843E+00
  PKER_SWETH( 34, 33) =  0.363568E+00
  PKER_SWETH( 34, 34) =  0.336921E+00
  PKER_SWETH( 34, 35) =  0.311787E+00
  PKER_SWETH( 34, 36) =  0.288054E+00
  PKER_SWETH( 34, 37) =  0.265616E+00
  PKER_SWETH( 34, 38) =  0.244371E+00
  PKER_SWETH( 34, 39) =  0.224227E+00
  PKER_SWETH( 34, 40) =  0.205097E+00
  PKER_SWETH( 34, 41) =  0.186910E+00
  PKER_SWETH( 34, 42) =  0.169607E+00
  PKER_SWETH( 34, 43) =  0.153151E+00
  PKER_SWETH( 34, 44) =  0.137525E+00
  PKER_SWETH( 34, 45) =  0.122734E+00
  PKER_SWETH( 34, 46) =  0.108800E+00
  PKER_SWETH( 34, 47) =  0.957515E-01
  PKER_SWETH( 34, 48) =  0.836164E-01
  PKER_SWETH( 34, 49) =  0.724132E-01
  PKER_SWETH( 34, 50) =  0.621505E-01
  PKER_SWETH( 34, 51) =  0.528311E-01
  PKER_SWETH( 34, 52) =  0.444613E-01
  PKER_SWETH( 34, 53) =  0.370591E-01
  PKER_SWETH( 34, 54) =  0.306644E-01
  PKER_SWETH( 34, 55) =  0.253251E-01
  PKER_SWETH( 34, 56) =  0.210858E-01
  PKER_SWETH( 34, 57) =  0.179868E-01
  PKER_SWETH( 34, 58) =  0.160241E-01
  PKER_SWETH( 34, 59) =  0.151403E-01
  PKER_SWETH( 34, 60) =  0.152366E-01
  PKER_SWETH( 34, 61) =  0.161644E-01
  PKER_SWETH( 34, 62) =  0.177533E-01
  PKER_SWETH( 34, 63) =  0.198251E-01
  PKER_SWETH( 34, 64) =  0.222044E-01
  PKER_SWETH( 34, 65) =  0.247619E-01
  PKER_SWETH( 34, 66) =  0.273765E-01
  PKER_SWETH( 34, 67) =  0.299716E-01
  PKER_SWETH( 34, 68) =  0.324948E-01
  PKER_SWETH( 34, 69) =  0.349138E-01
  PKER_SWETH( 34, 70) =  0.372131E-01
  PKER_SWETH( 34, 71) =  0.393864E-01
  PKER_SWETH( 34, 72) =  0.414343E-01
  PKER_SWETH( 34, 73) =  0.433604E-01
  PKER_SWETH( 34, 74) =  0.451700E-01
  PKER_SWETH( 34, 75) =  0.468695E-01
  PKER_SWETH( 34, 76) =  0.484650E-01
  PKER_SWETH( 34, 77) =  0.499630E-01
  PKER_SWETH( 34, 78) =  0.513692E-01
  PKER_SWETH( 34, 79) =  0.526893E-01
  PKER_SWETH( 34, 80) =  0.539287E-01
  PKER_SWETH( 35,  1) =  0.316382E+01
  PKER_SWETH( 35,  2) =  0.296745E+01
  PKER_SWETH( 35,  3) =  0.278307E+01
  PKER_SWETH( 35,  4) =  0.260994E+01
  PKER_SWETH( 35,  5) =  0.244737E+01
  PKER_SWETH( 35,  6) =  0.229472E+01
  PKER_SWETH( 35,  7) =  0.215138E+01
  PKER_SWETH( 35,  8) =  0.201679E+01
  PKER_SWETH( 35,  9) =  0.189041E+01
  PKER_SWETH( 35, 10) =  0.177173E+01
  PKER_SWETH( 35, 11) =  0.166030E+01
  PKER_SWETH( 35, 12) =  0.155567E+01
  PKER_SWETH( 35, 13) =  0.145742E+01
  PKER_SWETH( 35, 14) =  0.136516E+01
  PKER_SWETH( 35, 15) =  0.127853E+01
  PKER_SWETH( 35, 16) =  0.119718E+01
  PKER_SWETH( 35, 17) =  0.112079E+01
  PKER_SWETH( 35, 18) =  0.104905E+01
  PKER_SWETH( 35, 19) =  0.981692E+00
  PKER_SWETH( 35, 20) =  0.918434E+00
  PKER_SWETH( 35, 21) =  0.859029E+00
  PKER_SWETH( 35, 22) =  0.803239E+00
  PKER_SWETH( 35, 23) =  0.750842E+00
  PKER_SWETH( 35, 24) =  0.701629E+00
  PKER_SWETH( 35, 25) =  0.655404E+00
  PKER_SWETH( 35, 26) =  0.611980E+00
  PKER_SWETH( 35, 27) =  0.571185E+00
  PKER_SWETH( 35, 28) =  0.532852E+00
  PKER_SWETH( 35, 29) =  0.496827E+00
  PKER_SWETH( 35, 30) =  0.462962E+00
  PKER_SWETH( 35, 31) =  0.431119E+00
  PKER_SWETH( 35, 32) =  0.401166E+00
  PKER_SWETH( 35, 33) =  0.372978E+00
  PKER_SWETH( 35, 34) =  0.346435E+00
  PKER_SWETH( 35, 35) =  0.321423E+00
  PKER_SWETH( 35, 36) =  0.297833E+00
  PKER_SWETH( 35, 37) =  0.275561E+00
  PKER_SWETH( 35, 38) =  0.254507E+00
  PKER_SWETH( 35, 39) =  0.234578E+00
  PKER_SWETH( 35, 40) =  0.215686E+00
  PKER_SWETH( 35, 41) =  0.197751E+00
  PKER_SWETH( 35, 42) =  0.180705E+00
  PKER_SWETH( 35, 43) =  0.164495E+00
  PKER_SWETH( 35, 44) =  0.149084E+00
  PKER_SWETH( 35, 45) =  0.134456E+00
  PKER_SWETH( 35, 46) =  0.120615E+00
  PKER_SWETH( 35, 47) =  0.107577E+00
  PKER_SWETH( 35, 48) =  0.953661E-01
  PKER_SWETH( 35, 49) =  0.840018E-01
  PKER_SWETH( 35, 50) =  0.734926E-01
  PKER_SWETH( 35, 51) =  0.638322E-01
  PKER_SWETH( 35, 52) =  0.550036E-01
  PKER_SWETH( 35, 53) =  0.469852E-01
  PKER_SWETH( 35, 54) =  0.397621E-01
  PKER_SWETH( 35, 55) =  0.333353E-01
  PKER_SWETH( 35, 56) =  0.277239E-01
  PKER_SWETH( 35, 57) =  0.229657E-01
  PKER_SWETH( 35, 58) =  0.191037E-01
  PKER_SWETH( 35, 59) =  0.161795E-01
  PKER_SWETH( 35, 60) =  0.142064E-01
  PKER_SWETH( 35, 61) =  0.131510E-01
  PKER_SWETH( 35, 62) =  0.129597E-01
  PKER_SWETH( 35, 63) =  0.135198E-01
  PKER_SWETH( 35, 64) =  0.146888E-01
  PKER_SWETH( 35, 65) =  0.163281E-01
  PKER_SWETH( 35, 66) =  0.182882E-01
  PKER_SWETH( 35, 67) =  0.204331E-01
  PKER_SWETH( 35, 68) =  0.226652E-01
  PKER_SWETH( 35, 69) =  0.249047E-01
  PKER_SWETH( 35, 70) =  0.270982E-01
  PKER_SWETH( 35, 71) =  0.292114E-01
  PKER_SWETH( 35, 72) =  0.312269E-01
  PKER_SWETH( 35, 73) =  0.331361E-01
  PKER_SWETH( 35, 74) =  0.349374E-01
  PKER_SWETH( 35, 75) =  0.366329E-01
  PKER_SWETH( 35, 76) =  0.382268E-01
  PKER_SWETH( 35, 77) =  0.397241E-01
  PKER_SWETH( 35, 78) =  0.411301E-01
  PKER_SWETH( 35, 79) =  0.424503E-01
  PKER_SWETH( 35, 80) =  0.436897E-01
  PKER_SWETH( 36,  1) =  0.317145E+01
  PKER_SWETH( 36,  2) =  0.297509E+01
  PKER_SWETH( 36,  3) =  0.279070E+01
  PKER_SWETH( 36,  4) =  0.261757E+01
  PKER_SWETH( 36,  5) =  0.245500E+01
  PKER_SWETH( 36,  6) =  0.230235E+01
  PKER_SWETH( 36,  7) =  0.215901E+01
  PKER_SWETH( 36,  8) =  0.202442E+01
  PKER_SWETH( 36,  9) =  0.189804E+01
  PKER_SWETH( 36, 10) =  0.177937E+01
  PKER_SWETH( 36, 11) =  0.166794E+01
  PKER_SWETH( 36, 12) =  0.156331E+01
  PKER_SWETH( 36, 13) =  0.146506E+01
  PKER_SWETH( 36, 14) =  0.137280E+01
  PKER_SWETH( 36, 15) =  0.128617E+01
  PKER_SWETH( 36, 16) =  0.120483E+01
  PKER_SWETH( 36, 17) =  0.112844E+01
  PKER_SWETH( 36, 18) =  0.105671E+01
  PKER_SWETH( 36, 19) =  0.989358E+00
  PKER_SWETH( 36, 20) =  0.926106E+00
  PKER_SWETH( 36, 21) =  0.866709E+00
  PKER_SWETH( 36, 22) =  0.810928E+00
  PKER_SWETH( 36, 23) =  0.758542E+00
  PKER_SWETH( 36, 24) =  0.709343E+00
  PKER_SWETH( 36, 25) =  0.663134E+00
  PKER_SWETH( 36, 26) =  0.619730E+00
  PKER_SWETH( 36, 27) =  0.578957E+00
  PKER_SWETH( 36, 28) =  0.540652E+00
  PKER_SWETH( 36, 29) =  0.504659E+00
  PKER_SWETH( 36, 30) =  0.470834E+00
  PKER_SWETH( 36, 31) =  0.439039E+00
  PKER_SWETH( 36, 32) =  0.409142E+00
  PKER_SWETH( 36, 33) =  0.381020E+00
  PKER_SWETH( 36, 34) =  0.354557E+00
  PKER_SWETH( 36, 35) =  0.329639E+00
  PKER_SWETH( 36, 36) =  0.306160E+00
  PKER_SWETH( 36, 37) =  0.284019E+00
  PKER_SWETH( 36, 38) =  0.263117E+00
  PKER_SWETH( 36, 39) =  0.243361E+00
  PKER_SWETH( 36, 40) =  0.224665E+00
  PKER_SWETH( 36, 41) =  0.206945E+00
  PKER_SWETH( 36, 42) =  0.190128E+00
  PKER_SWETH( 36, 43) =  0.174150E+00
  PKER_SWETH( 36, 44) =  0.158961E+00
  PKER_SWETH( 36, 45) =  0.144526E+00
  PKER_SWETH( 36, 46) =  0.130829E+00
  PKER_SWETH( 36, 47) =  0.117873E+00
  PKER_SWETH( 36, 48) =  0.105672E+00
  PKER_SWETH( 36, 49) =  0.942459E-01
  PKER_SWETH( 36, 50) =  0.836094E-01
  PKER_SWETH( 36, 51) =  0.737662E-01
  PKER_SWETH( 36, 52) =  0.647037E-01
  PKER_SWETH( 36, 53) =  0.563958E-01
  PKER_SWETH( 36, 54) =  0.488078E-01
  PKER_SWETH( 36, 55) =  0.419058E-01
  PKER_SWETH( 36, 56) =  0.356633E-01
  PKER_SWETH( 36, 57) =  0.300718E-01
  PKER_SWETH( 36, 58) =  0.251413E-01
  PKER_SWETH( 36, 59) =  0.208989E-01
  PKER_SWETH( 36, 60) =  0.173840E-01
  PKER_SWETH( 36, 61) =  0.146412E-01
  PKER_SWETH( 36, 62) =  0.126895E-01
  PKER_SWETH( 36, 63) =  0.115219E-01
  PKER_SWETH( 36, 64) =  0.111061E-01
  PKER_SWETH( 36, 65) =  0.113656E-01
  PKER_SWETH( 36, 66) =  0.121884E-01
  PKER_SWETH( 36, 67) =  0.134579E-01
  PKER_SWETH( 36, 68) =  0.150470E-01
  PKER_SWETH( 36, 69) =  0.168388E-01
  PKER_SWETH( 36, 70) =  0.187349E-01
  PKER_SWETH( 36, 71) =  0.206605E-01
  PKER_SWETH( 36, 72) =  0.225628E-01
  PKER_SWETH( 36, 73) =  0.244065E-01
  PKER_SWETH( 36, 74) =  0.261718E-01
  PKER_SWETH( 36, 75) =  0.278484E-01
  PKER_SWETH( 36, 76) =  0.294325E-01
  PKER_SWETH( 36, 77) =  0.309251E-01
  PKER_SWETH( 36, 78) =  0.323289E-01
  PKER_SWETH( 36, 79) =  0.336481E-01
  PKER_SWETH( 36, 80) =  0.348872E-01
  PKER_SWETH( 37,  1) =  0.317801E+01
  PKER_SWETH( 37,  2) =  0.298165E+01
  PKER_SWETH( 37,  3) =  0.279727E+01
  PKER_SWETH( 37,  4) =  0.262413E+01
  PKER_SWETH( 37,  5) =  0.246156E+01
  PKER_SWETH( 37,  6) =  0.230891E+01
  PKER_SWETH( 37,  7) =  0.216558E+01
  PKER_SWETH( 37,  8) =  0.203099E+01
  PKER_SWETH( 37,  9) =  0.190461E+01
  PKER_SWETH( 37, 10) =  0.178594E+01
  PKER_SWETH( 37, 11) =  0.167451E+01
  PKER_SWETH( 37, 12) =  0.156988E+01
  PKER_SWETH( 37, 13) =  0.147163E+01
  PKER_SWETH( 37, 14) =  0.137938E+01
  PKER_SWETH( 37, 15) =  0.129275E+01
  PKER_SWETH( 37, 16) =  0.121140E+01
  PKER_SWETH( 37, 17) =  0.113502E+01
  PKER_SWETH( 37, 18) =  0.106330E+01
  PKER_SWETH( 37, 19) =  0.995945E+00
  PKER_SWETH( 37, 20) =  0.932699E+00
  PKER_SWETH( 37, 21) =  0.873307E+00
  PKER_SWETH( 37, 22) =  0.817534E+00
  PKER_SWETH( 37, 23) =  0.765157E+00
  PKER_SWETH( 37, 24) =  0.715968E+00
  PKER_SWETH( 37, 25) =  0.669771E+00
  PKER_SWETH( 37, 26) =  0.626382E+00
  PKER_SWETH( 37, 27) =  0.585627E+00
  PKER_SWETH( 37, 28) =  0.547343E+00
  PKER_SWETH( 37, 29) =  0.511376E+00
  PKER_SWETH( 37, 30) =  0.477581E+00
  PKER_SWETH( 37, 31) =  0.445822E+00
  PKER_SWETH( 37, 32) =  0.415968E+00
  PKER_SWETH( 37, 33) =  0.387898E+00
  PKER_SWETH( 37, 34) =  0.361496E+00
  PKER_SWETH( 37, 35) =  0.336651E+00
  PKER_SWETH( 37, 36) =  0.313259E+00
  PKER_SWETH( 37, 37) =  0.291219E+00
  PKER_SWETH( 37, 38) =  0.270437E+00
  PKER_SWETH( 37, 39) =  0.250820E+00
  PKER_SWETH( 37, 40) =  0.232282E+00
  PKER_SWETH( 37, 41) =  0.214740E+00
  PKER_SWETH( 37, 42) =  0.198119E+00
  PKER_SWETH( 37, 43) =  0.182349E+00
  PKER_SWETH( 37, 44) =  0.167369E+00
  PKER_SWETH( 37, 45) =  0.153134E+00
  PKER_SWETH( 37, 46) =  0.139610E+00
  PKER_SWETH( 37, 47) =  0.126783E+00
  PKER_SWETH( 37, 48) =  0.114653E+00
  PKER_SWETH( 37, 49) =  0.103232E+00
  PKER_SWETH( 37, 50) =  0.925378E-01
  PKER_SWETH( 37, 51) =  0.825827E-01
  PKER_SWETH( 37, 52) =  0.733675E-01
  PKER_SWETH( 37, 53) =  0.648776E-01
  PKER_SWETH( 37, 54) =  0.570830E-01
  PKER_SWETH( 37, 55) =  0.499450E-01
  PKER_SWETH( 37, 56) =  0.434200E-01
  PKER_SWETH( 37, 57) =  0.374691E-01
  PKER_SWETH( 37, 58) =  0.320636E-01
  PKER_SWETH( 37, 59) =  0.271887E-01
  PKER_SWETH( 37, 60) =  0.228498E-01
  PKER_SWETH( 37, 61) =  0.190676E-01
  PKER_SWETH( 37, 62) =  0.158762E-01
  PKER_SWETH( 37, 63) =  0.133176E-01
  PKER_SWETH( 37, 64) =  0.114155E-01
  PKER_SWETH( 37, 65) =  0.101818E-01
  PKER_SWETH( 37, 66) =  0.960151E-02
  PKER_SWETH( 37, 67) =  0.961729E-02
  PKER_SWETH( 37, 68) =  0.101533E-01
  PKER_SWETH( 37, 69) =  0.111109E-01
  PKER_SWETH( 37, 70) =  0.123790E-01
  PKER_SWETH( 37, 71) =  0.138599E-01
  PKER_SWETH( 37, 72) =  0.154599E-01
  PKER_SWETH( 37, 73) =  0.171104E-01
  PKER_SWETH( 37, 74) =  0.187566E-01
  PKER_SWETH( 37, 75) =  0.203627E-01
  PKER_SWETH( 37, 76) =  0.219075E-01
  PKER_SWETH( 37, 77) =  0.233786E-01
  PKER_SWETH( 37, 78) =  0.247714E-01
  PKER_SWETH( 37, 79) =  0.260851E-01
  PKER_SWETH( 37, 80) =  0.273215E-01
  PKER_SWETH( 38,  1) =  0.318365E+01
  PKER_SWETH( 38,  2) =  0.298729E+01
  PKER_SWETH( 38,  3) =  0.280291E+01
  PKER_SWETH( 38,  4) =  0.262978E+01
  PKER_SWETH( 38,  5) =  0.246721E+01
  PKER_SWETH( 38,  6) =  0.231456E+01
  PKER_SWETH( 38,  7) =  0.217122E+01
  PKER_SWETH( 38,  8) =  0.203663E+01
  PKER_SWETH( 38,  9) =  0.191025E+01
  PKER_SWETH( 38, 10) =  0.179158E+01
  PKER_SWETH( 38, 11) =  0.168015E+01
  PKER_SWETH( 38, 12) =  0.157552E+01
  PKER_SWETH( 38, 13) =  0.147728E+01
  PKER_SWETH( 38, 14) =  0.138502E+01
  PKER_SWETH( 38, 15) =  0.129840E+01
  PKER_SWETH( 38, 16) =  0.121706E+01
  PKER_SWETH( 38, 17) =  0.114068E+01
  PKER_SWETH( 38, 18) =  0.106895E+01
  PKER_SWETH( 38, 19) =  0.100161E+01
  PKER_SWETH( 38, 20) =  0.938364E+00
  PKER_SWETH( 38, 21) =  0.878977E+00
  PKER_SWETH( 38, 22) =  0.823209E+00
  PKER_SWETH( 38, 23) =  0.770839E+00
  PKER_SWETH( 38, 24) =  0.721658E+00
  PKER_SWETH( 38, 25) =  0.675471E+00
  PKER_SWETH( 38, 26) =  0.632094E+00
  PKER_SWETH( 38, 27) =  0.591352E+00
  PKER_SWETH( 38, 28) =  0.553085E+00
  PKER_SWETH( 38, 29) =  0.517137E+00
  PKER_SWETH( 38, 30) =  0.483366E+00
  PKER_SWETH( 38, 31) =  0.451634E+00
  PKER_SWETH( 38, 32) =  0.421814E+00
  PKER_SWETH( 38, 33) =  0.393784E+00
  PKER_SWETH( 38, 34) =  0.367429E+00
  PKER_SWETH( 38, 35) =  0.342641E+00
  PKER_SWETH( 38, 36) =  0.319316E+00
  PKER_SWETH( 38, 37) =  0.297355E+00
  PKER_SWETH( 38, 38) =  0.276666E+00
  PKER_SWETH( 38, 39) =  0.257158E+00
  PKER_SWETH( 38, 40) =  0.238746E+00
  PKER_SWETH( 38, 41) =  0.221350E+00
  PKER_SWETH( 38, 42) =  0.204891E+00
  PKER_SWETH( 38, 43) =  0.189299E+00
  PKER_SWETH( 38, 44) =  0.174508E+00
  PKER_SWETH( 38, 45) =  0.160464E+00
  PKER_SWETH( 38, 46) =  0.147120E+00
  PKER_SWETH( 38, 47) =  0.134448E+00
  PKER_SWETH( 38, 48) =  0.122432E+00
  PKER_SWETH( 38, 49) =  0.111072E+00
  PKER_SWETH( 38, 50) =  0.100379E+00
  PKER_SWETH( 38, 51) =  0.903681E-01
  PKER_SWETH( 38, 52) =  0.810492E-01
  PKER_SWETH( 38, 53) =  0.724222E-01
  PKER_SWETH( 38, 54) =  0.644714E-01
  PKER_SWETH( 38, 55) =  0.571675E-01
  PKER_SWETH( 38, 56) =  0.504700E-01
  PKER_SWETH( 38, 57) =  0.443333E-01
  PKER_SWETH( 38, 58) =  0.387134E-01
  PKER_SWETH( 38, 59) =  0.335716E-01
  PKER_SWETH( 38, 60) =  0.288792E-01
  PKER_SWETH( 38, 61) =  0.246214E-01
  PKER_SWETH( 38, 62) =  0.207986E-01
  PKER_SWETH( 38, 63) =  0.174274E-01
  PKER_SWETH( 38, 64) =  0.145371E-01
  PKER_SWETH( 38, 65) =  0.121635E-01
  PKER_SWETH( 38, 66) =  0.103355E-01
  PKER_SWETH( 38, 67) =  0.907165E-02
  PKER_SWETH( 38, 68) =  0.837324E-02
  PKER_SWETH( 38, 69) =  0.820126E-02
  PKER_SWETH( 38, 70) =  0.849900E-02
  PKER_SWETH( 38, 71) =  0.919422E-02
  PKER_SWETH( 38, 72) =  0.101904E-01
  PKER_SWETH( 38, 73) =  0.113982E-01
  PKER_SWETH( 38, 74) =  0.127419E-01
  PKER_SWETH( 38, 75) =  0.141481E-01
  PKER_SWETH( 38, 76) =  0.155678E-01
  PKER_SWETH( 38, 77) =  0.169638E-01
  PKER_SWETH( 38, 78) =  0.183137E-01
  PKER_SWETH( 38, 79) =  0.196037E-01
  PKER_SWETH( 38, 80) =  0.208275E-01
  PKER_SWETH( 39,  1) =  0.318850E+01
  PKER_SWETH( 39,  2) =  0.299214E+01
  PKER_SWETH( 39,  3) =  0.280776E+01
  PKER_SWETH( 39,  4) =  0.263463E+01
  PKER_SWETH( 39,  5) =  0.247206E+01
  PKER_SWETH( 39,  6) =  0.231941E+01
  PKER_SWETH( 39,  7) =  0.217607E+01
  PKER_SWETH( 39,  8) =  0.204148E+01
  PKER_SWETH( 39,  9) =  0.191510E+01
  PKER_SWETH( 39, 10) =  0.179644E+01
  PKER_SWETH( 39, 11) =  0.168501E+01
  PKER_SWETH( 39, 12) =  0.158038E+01
  PKER_SWETH( 39, 13) =  0.148213E+01
  PKER_SWETH( 39, 14) =  0.138988E+01
  PKER_SWETH( 39, 15) =  0.130326E+01
  PKER_SWETH( 39, 16) =  0.122192E+01
  PKER_SWETH( 39, 17) =  0.114554E+01
  PKER_SWETH( 39, 18) =  0.107382E+01
  PKER_SWETH( 39, 19) =  0.100647E+01
  PKER_SWETH( 39, 20) =  0.943232E+00
  PKER_SWETH( 39, 21) =  0.883849E+00
  PKER_SWETH( 39, 22) =  0.828086E+00
  PKER_SWETH( 39, 23) =  0.775721E+00
  PKER_SWETH( 39, 24) =  0.726547E+00
  PKER_SWETH( 39, 25) =  0.680367E+00
  PKER_SWETH( 39, 26) =  0.636998E+00
  PKER_SWETH( 39, 27) =  0.596268E+00
  PKER_SWETH( 39, 28) =  0.558013E+00
  PKER_SWETH( 39, 29) =  0.522080E+00
  PKER_SWETH( 39, 30) =  0.488327E+00
  PKER_SWETH( 39, 31) =  0.456617E+00
  PKER_SWETH( 39, 32) =  0.426823E+00
  PKER_SWETH( 39, 33) =  0.398824E+00
  PKER_SWETH( 39, 34) =  0.372505E+00
  PKER_SWETH( 39, 35) =  0.347761E+00
  PKER_SWETH( 39, 36) =  0.324487E+00
  PKER_SWETH( 39, 37) =  0.302588E+00
  PKER_SWETH( 39, 38) =  0.281972E+00
  PKER_SWETH( 39, 39) =  0.262550E+00
  PKER_SWETH( 39, 40) =  0.244238E+00
  PKER_SWETH( 39, 41) =  0.226957E+00
  PKER_SWETH( 39, 42) =  0.210631E+00
  PKER_SWETH( 39, 43) =  0.195187E+00
  PKER_SWETH( 39, 44) =  0.180559E+00
  PKER_SWETH( 39, 45) =  0.166686E+00
  PKER_SWETH( 39, 46) =  0.153516E+00
  PKER_SWETH( 39, 47) =  0.141008E+00
  PKER_SWETH( 39, 48) =  0.129131E+00
  PKER_SWETH( 39, 49) =  0.117873E+00
  PKER_SWETH( 39, 50) =  0.107233E+00
  PKER_SWETH( 39, 51) =  0.972184E-01
  PKER_SWETH( 39, 52) =  0.878440E-01
  PKER_SWETH( 39, 53) =  0.791184E-01
  PKER_SWETH( 39, 54) =  0.710406E-01
  PKER_SWETH( 39, 55) =  0.635951E-01
  PKER_SWETH( 39, 56) =  0.567529E-01
  PKER_SWETH( 39, 57) =  0.504750E-01
  PKER_SWETH( 39, 58) =  0.447169E-01
  PKER_SWETH( 39, 59) =  0.394327E-01
  PKER_SWETH( 39, 60) =  0.345813E-01
  PKER_SWETH( 39, 61) =  0.301271E-01
  PKER_SWETH( 39, 62) =  0.260446E-01
  PKER_SWETH( 39, 63) =  0.223191E-01
  PKER_SWETH( 39, 64) =  0.189491E-01
  PKER_SWETH( 39, 65) =  0.159459E-01
  PKER_SWETH( 39, 66) =  0.133348E-01
  PKER_SWETH( 39, 67) =  0.111460E-01
  PKER_SWETH( 39, 68) =  0.940775E-02
  PKER_SWETH( 39, 69) =  0.814637E-02
  PKER_SWETH( 39, 70) =  0.736755E-02
  PKER_SWETH( 39, 71) =  0.705182E-02
  PKER_SWETH( 39, 72) =  0.716064E-02
  PKER_SWETH( 39, 73) =  0.763295E-02
  PKER_SWETH( 39, 74) =  0.839614E-02
  PKER_SWETH( 39, 75) =  0.937315E-02
  PKER_SWETH( 39, 76) =  0.104870E-01
  PKER_SWETH( 39, 77) =  0.116808E-01
  PKER_SWETH( 39, 78) =  0.129002E-01
  PKER_SWETH( 39, 79) =  0.141107E-01
  PKER_SWETH( 39, 80) =  0.152883E-01
  PKER_SWETH( 40,  1) =  0.319267E+01
  PKER_SWETH( 40,  2) =  0.299631E+01
  PKER_SWETH( 40,  3) =  0.281193E+01
  PKER_SWETH( 40,  4) =  0.263880E+01
  PKER_SWETH( 40,  5) =  0.247623E+01
  PKER_SWETH( 40,  6) =  0.232358E+01
  PKER_SWETH( 40,  7) =  0.218024E+01
  PKER_SWETH( 40,  8) =  0.204565E+01
  PKER_SWETH( 40,  9) =  0.191927E+01
  PKER_SWETH( 40, 10) =  0.180061E+01
  PKER_SWETH( 40, 11) =  0.168918E+01
  PKER_SWETH( 40, 12) =  0.158455E+01
  PKER_SWETH( 40, 13) =  0.148631E+01
  PKER_SWETH( 40, 14) =  0.139405E+01
  PKER_SWETH( 40, 15) =  0.130743E+01
  PKER_SWETH( 40, 16) =  0.122609E+01
  PKER_SWETH( 40, 17) =  0.114971E+01
  PKER_SWETH( 40, 18) =  0.107800E+01
  PKER_SWETH( 40, 19) =  0.101065E+01
  PKER_SWETH( 40, 20) =  0.947416E+00
  PKER_SWETH( 40, 21) =  0.888036E+00
  PKER_SWETH( 40, 22) =  0.832276E+00
  PKER_SWETH( 40, 23) =  0.779916E+00
  PKER_SWETH( 40, 24) =  0.730746E+00
  PKER_SWETH( 40, 25) =  0.684572E+00
  PKER_SWETH( 40, 26) =  0.641210E+00
  PKER_SWETH( 40, 27) =  0.600488E+00
  PKER_SWETH( 40, 28) =  0.562243E+00
  PKER_SWETH( 40, 29) =  0.526323E+00
  PKER_SWETH( 40, 30) =  0.492583E+00
  PKER_SWETH( 40, 31) =  0.460890E+00
  PKER_SWETH( 40, 32) =  0.431116E+00
  PKER_SWETH( 40, 33) =  0.403140E+00
  PKER_SWETH( 40, 34) =  0.376851E+00
  PKER_SWETH( 40, 35) =  0.352140E+00
  PKER_SWETH( 40, 36) =  0.328907E+00
  PKER_SWETH( 40, 37) =  0.307055E+00
  PKER_SWETH( 40, 38) =  0.286495E+00
  PKER_SWETH( 40, 39) =  0.267140E+00
  PKER_SWETH( 40, 40) =  0.248907E+00
  PKER_SWETH( 40, 41) =  0.231718E+00
  PKER_SWETH( 40, 42) =  0.215498E+00
  PKER_SWETH( 40, 43) =  0.200175E+00
  PKER_SWETH( 40, 44) =  0.185683E+00
  PKER_SWETH( 40, 45) =  0.171959E+00
  PKER_SWETH( 40, 46) =  0.158946E+00
  PKER_SWETH( 40, 47) =  0.146595E+00
  PKER_SWETH( 40, 48) =  0.134867E+00
  PKER_SWETH( 40, 49) =  0.123735E+00
  PKER_SWETH( 40, 50) =  0.113185E+00
  PKER_SWETH( 40, 51) =  0.103216E+00
  PKER_SWETH( 40, 52) =  0.938355E-01
  PKER_SWETH( 40, 53) =  0.850554E-01
  PKER_SWETH( 40, 54) =  0.768835E-01
  PKER_SWETH( 40, 55) =  0.693180E-01
  PKER_SWETH( 40, 56) =  0.623442E-01
  PKER_SWETH( 40, 57) =  0.559346E-01
  PKER_SWETH( 40, 58) =  0.500518E-01
  PKER_SWETH( 40, 59) =  0.446530E-01
  PKER_SWETH( 40, 60) =  0.396945E-01
  PKER_SWETH( 40, 61) =  0.351341E-01
  PKER_SWETH( 40, 62) =  0.309350E-01
  PKER_SWETH( 40, 63) =  0.270668E-01
  PKER_SWETH( 40, 64) =  0.235073E-01
  PKER_SWETH( 40, 65) =  0.202425E-01
  PKER_SWETH( 40, 66) =  0.172698E-01
  PKER_SWETH( 40, 67) =  0.145977E-01
  PKER_SWETH( 40, 68) =  0.122444E-01
  PKER_SWETH( 40, 69) =  0.102365E-01
  PKER_SWETH( 40, 70) =  0.860187E-02
  PKER_SWETH( 40, 71) =  0.736637E-02
  PKER_SWETH( 40, 72) =  0.654201E-02
  PKER_SWETH( 40, 73) =  0.611859E-02
  PKER_SWETH( 40, 74) =  0.607653E-02
  PKER_SWETH( 40, 75) =  0.636809E-02
  PKER_SWETH( 40, 76) =  0.693164E-02
  PKER_SWETH( 40, 77) =  0.770652E-02
  PKER_SWETH( 40, 78) =  0.862610E-02
  PKER_SWETH( 40, 79) =  0.962951E-02
  PKER_SWETH( 40, 80) =  0.106726E-01
END IF
!
IF (LHOOK) CALL DR_HOOK('READ_XKER_SWETH',1,ZHOOK_HANDLE)
END SUBROUTINE READ_XKER_SWETH
