!MNH_LIC Copyright 1994-2014 CNRS, Meteo-France and Universite Paul Sabatier
!MNH_LIC This is part of the Meso-NH software governed by the CeCILL-C licence
!MNH_LIC version 1. See LICENSE, CeCILL-C_V1-en.txt and CeCILL-C_V1-fr.txt  
!MNH_LIC for details. version 1.
!-----------------------------------------------------------------
!--------------- special set of characters for RCS information
!-----------------------------------------------------------------
! $Source$ $Revision$
! MASDEV4_7 init 2006/05/18 13:07:25
!-----------------------------------------------------------------
!     ###########################
      MODULE MODI_LIMA_READ_XKER_SDRYG
!     ###########################
!
INTERFACE
      SUBROUTINE LIMA_READ_XKER_SDRYG (KDRYLBDAG,KDRYLBDAS,KND,                   &
                    PALPHAG,PNUG,PALPHAS,PNUS,PEGS,PBS,PCG,PDG,PCS,PDS,      &
                    PDRYLBDAG_MAX,PDRYLBDAS_MAX,PDRYLBDAG_MIN,PDRYLBDAS_MIN, &
                    PFDINFTY,PKER_SDRYG                                      )
!
INTEGER, INTENT(OUT) :: KND,KDRYLBDAG,KDRYLBDAS
REAL,    INTENT(OUT) :: PALPHAG
REAL,    INTENT(OUT) :: PNUG
REAL,    INTENT(OUT) :: PALPHAS
REAL,    INTENT(OUT) :: PNUS
REAL,    INTENT(OUT) :: PEGS
REAL,    INTENT(OUT) :: PBS
REAL,    INTENT(OUT) :: PCG
REAL,    INTENT(OUT) :: PDG
REAL,    INTENT(OUT) :: PCS
REAL,    INTENT(OUT) :: PDS
REAL,    INTENT(OUT) :: PDRYLBDAG_MAX
REAL,    INTENT(OUT) :: PDRYLBDAS_MAX
REAL,    INTENT(OUT) :: PDRYLBDAG_MIN
REAL,    INTENT(OUT) :: PDRYLBDAS_MIN
REAL,    INTENT(OUT) :: PFDINFTY
REAL, DIMENSION(:,:), INTENT(OUT), OPTIONAL :: PKER_SDRYG 
!
END SUBROUTINE LIMA_READ_XKER_SDRYG
!
END INTERFACE
!
END MODULE MODI_LIMA_READ_XKER_SDRYG
!     ########################################################################
      SUBROUTINE LIMA_READ_XKER_SDRYG (KDRYLBDAG,KDRYLBDAS,KND,                   &
                    PALPHAG,PNUG,PALPHAS,PNUS,PEGS,PBS,PCG,PDG,PCS,PDS,      &
                    PDRYLBDAG_MAX,PDRYLBDAS_MAX,PDRYLBDAG_MIN,PDRYLBDAS_MIN, &
                    PFDINFTY,PKER_SDRYG                                      )
!     ########################################################################
!
!!****  * * - initialize the kernels for the snow-graupel dry growth process
!!
!!    PURPOSE
!!    -------
!!      The purpose of this routine is to initialize the kernels PKER_SDRYG
!!    prepared from a previous run of the routine INI_RAIN_ICE. The reading
!!    of the kernels is optional after checking for the dimensions of the
!!    arrays.
!!
!!**  METHOD
!!    ------
!!      
!!
!!    EXTERNAL
!!    --------
!!      None
!!     
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!      None
!!
!!    REFERENCE
!!    ---------
!!      Book2 of documentation ( routine READ_XKER_SDRYG )
!!
!!    AUTHOR
!!    ------
!!      J.-P. Pinty      * Laboratoire d'Aerologie*
!!
!!    MODIFICATIONS
!!    -------------
!!      Original    09/04/96
!!
!-------------------------------------------------------------------------------
!
!*       0.    DECLARATIONS
!              ------------
!
!*       0.2   Declarations of local variables :
!
!  
INTEGER, INTENT(OUT) :: KND,KDRYLBDAG,KDRYLBDAS
REAL,    INTENT(OUT) :: PALPHAG
REAL,    INTENT(OUT) :: PNUG
REAL,    INTENT(OUT) :: PALPHAS
REAL,    INTENT(OUT) :: PNUS
REAL,    INTENT(OUT) :: PEGS
REAL,    INTENT(OUT) :: PBS
REAL,    INTENT(OUT) :: PCG
REAL,    INTENT(OUT) :: PDG
REAL,    INTENT(OUT) :: PCS
REAL,    INTENT(OUT) :: PDS
REAL,    INTENT(OUT) :: PDRYLBDAG_MAX
REAL,    INTENT(OUT) :: PDRYLBDAS_MAX
REAL,    INTENT(OUT) :: PDRYLBDAG_MIN
REAL,    INTENT(OUT) :: PDRYLBDAS_MIN
REAL,    INTENT(OUT) :: PFDINFTY
REAL, DIMENSION(:,:), INTENT(OUT), OPTIONAL :: PKER_SDRYG 
!
! ###################################################################
! #INSERT HERE THE OUTPUT OF INI_RAIN_ICE IF THE KERNELS ARE UPDATED#
! ###################################################################
!
KND= 50
KDRYLBDAG= 40
KDRYLBDAS= 80
PALPHAG= 0.100000E+01
PNUG= 0.100000E+01
PALPHAS= 0.100000E+01
PNUS= 0.100000E+01
PEGS= 0.100000E+01
PBS= 0.190000E+01
PCG= 0.122000E+03
PDG= 0.660000E+00
PCS= 0.500000E+01
PDS= 0.270000E+00
PDRYLBDAG_MAX= 0.100000E+08
PDRYLBDAS_MAX= 0.250000E+10
PDRYLBDAG_MIN= 0.100000E+04
PDRYLBDAS_MIN= 0.250000E+02
PFDINFTY= 0.200000E+02
!
IF( PRESENT(PKER_SDRYG) ) THEN
PKER_SDRYG(  1,  1) =  0.181263E+01
PKER_SDRYG(  1,  2) =  0.163147E+01
PKER_SDRYG(  1,  3) =  0.146558E+01
PKER_SDRYG(  1,  4) =  0.131501E+01
PKER_SDRYG(  1,  5) =  0.117971E+01
PKER_SDRYG(  1,  6) =  0.105940E+01
PKER_SDRYG(  1,  7) =  0.954664E+00
PKER_SDRYG(  1,  8) =  0.865241E+00
PKER_SDRYG(  1,  9) =  0.791190E+00
PKER_SDRYG(  1, 10) =  0.733135E+00
PKER_SDRYG(  1, 11) =  0.691332E+00
PKER_SDRYG(  1, 12) =  0.666135E+00
PKER_SDRYG(  1, 13) =  0.658669E+00
PKER_SDRYG(  1, 14) =  0.669468E+00
PKER_SDRYG(  1, 15) =  0.699407E+00
PKER_SDRYG(  1, 16) =  0.749020E+00
PKER_SDRYG(  1, 17) =  0.817882E+00
PKER_SDRYG(  1, 18) =  0.905102E+00
PKER_SDRYG(  1, 19) =  0.100805E+01
PKER_SDRYG(  1, 20) =  0.112208E+01
PKER_SDRYG(  1, 21) =  0.124139E+01
PKER_SDRYG(  1, 22) =  0.136056E+01
PKER_SDRYG(  1, 23) =  0.147535E+01
PKER_SDRYG(  1, 24) =  0.158271E+01
PKER_SDRYG(  1, 25) =  0.168072E+01
PKER_SDRYG(  1, 26) =  0.176838E+01
PKER_SDRYG(  1, 27) =  0.184560E+01
PKER_SDRYG(  1, 28) =  0.191298E+01
PKER_SDRYG(  1, 29) =  0.197156E+01
PKER_SDRYG(  1, 30) =  0.202257E+01
PKER_SDRYG(  1, 31) =  0.206716E+01
PKER_SDRYG(  1, 32) =  0.210638E+01
PKER_SDRYG(  1, 33) =  0.214108E+01
PKER_SDRYG(  1, 34) =  0.217197E+01
PKER_SDRYG(  1, 35) =  0.219964E+01
PKER_SDRYG(  1, 36) =  0.222456E+01
PKER_SDRYG(  1, 37) =  0.224714E+01
PKER_SDRYG(  1, 38) =  0.226768E+01
PKER_SDRYG(  1, 39) =  0.228645E+01
PKER_SDRYG(  1, 40) =  0.230366E+01
PKER_SDRYG(  1, 41) =  0.231950E+01
PKER_SDRYG(  1, 42) =  0.233413E+01
PKER_SDRYG(  1, 43) =  0.234766E+01
PKER_SDRYG(  1, 44) =  0.236020E+01
PKER_SDRYG(  1, 45) =  0.237186E+01
PKER_SDRYG(  1, 46) =  0.238271E+01
PKER_SDRYG(  1, 47) =  0.239281E+01
PKER_SDRYG(  1, 48) =  0.240224E+01
PKER_SDRYG(  1, 49) =  0.241105E+01
PKER_SDRYG(  1, 50) =  0.241928E+01
PKER_SDRYG(  1, 51) =  0.242698E+01
PKER_SDRYG(  1, 52) =  0.243418E+01
PKER_SDRYG(  1, 53) =  0.244092E+01
PKER_SDRYG(  1, 54) =  0.244724E+01
PKER_SDRYG(  1, 55) =  0.245316E+01
PKER_SDRYG(  1, 56) =  0.245871E+01
PKER_SDRYG(  1, 57) =  0.246392E+01
PKER_SDRYG(  1, 58) =  0.246880E+01
PKER_SDRYG(  1, 59) =  0.247338E+01
PKER_SDRYG(  1, 60) =  0.247767E+01
PKER_SDRYG(  1, 61) =  0.248171E+01
PKER_SDRYG(  1, 62) =  0.248549E+01
PKER_SDRYG(  1, 63) =  0.248904E+01
PKER_SDRYG(  1, 64) =  0.249237E+01
PKER_SDRYG(  1, 65) =  0.249550E+01
PKER_SDRYG(  1, 66) =  0.249843E+01
PKER_SDRYG(  1, 67) =  0.250119E+01
PKER_SDRYG(  1, 68) =  0.250377E+01
PKER_SDRYG(  1, 69) =  0.250620E+01
PKER_SDRYG(  1, 70) =  0.250848E+01
PKER_SDRYG(  1, 71) =  0.251062E+01
PKER_SDRYG(  1, 72) =  0.251263E+01
PKER_SDRYG(  1, 73) =  0.251452E+01
PKER_SDRYG(  1, 74) =  0.251629E+01
PKER_SDRYG(  1, 75) =  0.251796E+01
PKER_SDRYG(  1, 76) =  0.251952E+01
PKER_SDRYG(  1, 77) =  0.252099E+01
PKER_SDRYG(  1, 78) =  0.252236E+01
PKER_SDRYG(  1, 79) =  0.252366E+01
PKER_SDRYG(  1, 80) =  0.252487E+01
PKER_SDRYG(  2,  1) =  0.199024E+01
PKER_SDRYG(  2,  2) =  0.180156E+01
PKER_SDRYG(  2,  3) =  0.162637E+01
PKER_SDRYG(  2,  4) =  0.146459E+01
PKER_SDRYG(  2,  5) =  0.131591E+01
PKER_SDRYG(  2,  6) =  0.118046E+01
PKER_SDRYG(  2,  7) =  0.105818E+01
PKER_SDRYG(  2,  8) =  0.949189E+00
PKER_SDRYG(  2,  9) =  0.853560E+00
PKER_SDRYG(  2, 10) =  0.771539E+00
PKER_SDRYG(  2, 11) =  0.703653E+00
PKER_SDRYG(  2, 12) =  0.650109E+00
PKER_SDRYG(  2, 13) =  0.611685E+00
PKER_SDRYG(  2, 14) =  0.589133E+00
PKER_SDRYG(  2, 15) =  0.583308E+00
PKER_SDRYG(  2, 16) =  0.595133E+00
PKER_SDRYG(  2, 17) =  0.625162E+00
PKER_SDRYG(  2, 18) =  0.673359E+00
PKER_SDRYG(  2, 19) =  0.738907E+00
PKER_SDRYG(  2, 20) =  0.819564E+00
PKER_SDRYG(  2, 21) =  0.912202E+00
PKER_SDRYG(  2, 22) =  0.101189E+01
PKER_SDRYG(  2, 23) =  0.111334E+01
PKER_SDRYG(  2, 24) =  0.121202E+01
PKER_SDRYG(  2, 25) =  0.130478E+01
PKER_SDRYG(  2, 26) =  0.138982E+01
PKER_SDRYG(  2, 27) =  0.146651E+01
PKER_SDRYG(  2, 28) =  0.153473E+01
PKER_SDRYG(  2, 29) =  0.159487E+01
PKER_SDRYG(  2, 30) =  0.164760E+01
PKER_SDRYG(  2, 31) =  0.169376E+01
PKER_SDRYG(  2, 32) =  0.173428E+01
PKER_SDRYG(  2, 33) =  0.177003E+01
PKER_SDRYG(  2, 34) =  0.180176E+01
PKER_SDRYG(  2, 35) =  0.183010E+01
PKER_SDRYG(  2, 36) =  0.185555E+01
PKER_SDRYG(  2, 37) =  0.187853E+01
PKER_SDRYG(  2, 38) =  0.189939E+01
PKER_SDRYG(  2, 39) =  0.191841E+01
PKER_SDRYG(  2, 40) =  0.193583E+01
PKER_SDRYG(  2, 41) =  0.195183E+01
PKER_SDRYG(  2, 42) =  0.196657E+01
PKER_SDRYG(  2, 43) =  0.198020E+01
PKER_SDRYG(  2, 44) =  0.199282E+01
PKER_SDRYG(  2, 45) =  0.200454E+01
PKER_SDRYG(  2, 46) =  0.201543E+01
PKER_SDRYG(  2, 47) =  0.202557E+01
PKER_SDRYG(  2, 48) =  0.203503E+01
PKER_SDRYG(  2, 49) =  0.204386E+01
PKER_SDRYG(  2, 50) =  0.205211E+01
PKER_SDRYG(  2, 51) =  0.205982E+01
PKER_SDRYG(  2, 52) =  0.206703E+01
PKER_SDRYG(  2, 53) =  0.207379E+01
PKER_SDRYG(  2, 54) =  0.208011E+01
PKER_SDRYG(  2, 55) =  0.208604E+01
PKER_SDRYG(  2, 56) =  0.209159E+01
PKER_SDRYG(  2, 57) =  0.209680E+01
PKER_SDRYG(  2, 58) =  0.210169E+01
PKER_SDRYG(  2, 59) =  0.210627E+01
PKER_SDRYG(  2, 60) =  0.211056E+01
PKER_SDRYG(  2, 61) =  0.211460E+01
PKER_SDRYG(  2, 62) =  0.211838E+01
PKER_SDRYG(  2, 63) =  0.212193E+01
PKER_SDRYG(  2, 64) =  0.212526E+01
PKER_SDRYG(  2, 65) =  0.212839E+01
PKER_SDRYG(  2, 66) =  0.213133E+01
PKER_SDRYG(  2, 67) =  0.213408E+01
PKER_SDRYG(  2, 68) =  0.213667E+01
PKER_SDRYG(  2, 69) =  0.213910E+01
PKER_SDRYG(  2, 70) =  0.214138E+01
PKER_SDRYG(  2, 71) =  0.214352E+01
PKER_SDRYG(  2, 72) =  0.214553E+01
PKER_SDRYG(  2, 73) =  0.214742E+01
PKER_SDRYG(  2, 74) =  0.214919E+01
PKER_SDRYG(  2, 75) =  0.215085E+01
PKER_SDRYG(  2, 76) =  0.215242E+01
PKER_SDRYG(  2, 77) =  0.215388E+01
PKER_SDRYG(  2, 78) =  0.215526E+01
PKER_SDRYG(  2, 79) =  0.215655E+01
PKER_SDRYG(  2, 80) =  0.215777E+01
PKER_SDRYG(  3,  1) =  0.215301E+01
PKER_SDRYG(  3,  2) =  0.196106E+01
PKER_SDRYG(  3,  3) =  0.178154E+01
PKER_SDRYG(  3,  4) =  0.161399E+01
PKER_SDRYG(  3,  5) =  0.145810E+01
PKER_SDRYG(  3,  6) =  0.131365E+01
PKER_SDRYG(  3,  7) =  0.118061E+01
PKER_SDRYG(  3,  8) =  0.105881E+01
PKER_SDRYG(  3,  9) =  0.948427E+00
PKER_SDRYG(  3, 10) =  0.849613E+00
PKER_SDRYG(  3, 11) =  0.762396E+00
PKER_SDRYG(  3, 12) =  0.687541E+00
PKER_SDRYG(  3, 13) =  0.625331E+00
PKER_SDRYG(  3, 14) =  0.576279E+00
PKER_SDRYG(  3, 15) =  0.541413E+00
PKER_SDRYG(  3, 16) =  0.521621E+00
PKER_SDRYG(  3, 17) =  0.517675E+00
PKER_SDRYG(  3, 18) =  0.530574E+00
PKER_SDRYG(  3, 19) =  0.560443E+00
PKER_SDRYG(  3, 20) =  0.606854E+00
PKER_SDRYG(  3, 21) =  0.668028E+00
PKER_SDRYG(  3, 22) =  0.741035E+00
PKER_SDRYG(  3, 23) =  0.822187E+00
PKER_SDRYG(  3, 24) =  0.907057E+00
PKER_SDRYG(  3, 25) =  0.991322E+00
PKER_SDRYG(  3, 26) =  0.107147E+01
PKER_SDRYG(  3, 27) =  0.114544E+01
PKER_SDRYG(  3, 28) =  0.121245E+01
PKER_SDRYG(  3, 29) =  0.127245E+01
PKER_SDRYG(  3, 30) =  0.132580E+01
PKER_SDRYG(  3, 31) =  0.137302E+01
PKER_SDRYG(  3, 32) =  0.141473E+01
PKER_SDRYG(  3, 33) =  0.145157E+01
PKER_SDRYG(  3, 34) =  0.148421E+01
PKER_SDRYG(  3, 35) =  0.151328E+01
PKER_SDRYG(  3, 36) =  0.153931E+01
PKER_SDRYG(  3, 37) =  0.156275E+01
PKER_SDRYG(  3, 38) =  0.158397E+01
PKER_SDRYG(  3, 39) =  0.160327E+01
PKER_SDRYG(  3, 40) =  0.162090E+01
PKER_SDRYG(  3, 41) =  0.163707E+01
PKER_SDRYG(  3, 42) =  0.165195E+01
PKER_SDRYG(  3, 43) =  0.166569E+01
PKER_SDRYG(  3, 44) =  0.167839E+01
PKER_SDRYG(  3, 45) =  0.169017E+01
PKER_SDRYG(  3, 46) =  0.170112E+01
PKER_SDRYG(  3, 47) =  0.171130E+01
PKER_SDRYG(  3, 48) =  0.172079E+01
PKER_SDRYG(  3, 49) =  0.172965E+01
PKER_SDRYG(  3, 50) =  0.173791E+01
PKER_SDRYG(  3, 51) =  0.174564E+01
PKER_SDRYG(  3, 52) =  0.175287E+01
PKER_SDRYG(  3, 53) =  0.175963E+01
PKER_SDRYG(  3, 54) =  0.176596E+01
PKER_SDRYG(  3, 55) =  0.177190E+01
PKER_SDRYG(  3, 56) =  0.177746E+01
PKER_SDRYG(  3, 57) =  0.178267E+01
PKER_SDRYG(  3, 58) =  0.178755E+01
PKER_SDRYG(  3, 59) =  0.179214E+01
PKER_SDRYG(  3, 60) =  0.179644E+01
PKER_SDRYG(  3, 61) =  0.180047E+01
PKER_SDRYG(  3, 62) =  0.180425E+01
PKER_SDRYG(  3, 63) =  0.180781E+01
PKER_SDRYG(  3, 64) =  0.181114E+01
PKER_SDRYG(  3, 65) =  0.181427E+01
PKER_SDRYG(  3, 66) =  0.181720E+01
PKER_SDRYG(  3, 67) =  0.181996E+01
PKER_SDRYG(  3, 68) =  0.182255E+01
PKER_SDRYG(  3, 69) =  0.182498E+01
PKER_SDRYG(  3, 70) =  0.182726E+01
PKER_SDRYG(  3, 71) =  0.182940E+01
PKER_SDRYG(  3, 72) =  0.183141E+01
PKER_SDRYG(  3, 73) =  0.183330E+01
PKER_SDRYG(  3, 74) =  0.183507E+01
PKER_SDRYG(  3, 75) =  0.183673E+01
PKER_SDRYG(  3, 76) =  0.183829E+01
PKER_SDRYG(  3, 77) =  0.183976E+01
PKER_SDRYG(  3, 78) =  0.184114E+01
PKER_SDRYG(  3, 79) =  0.184243E+01
PKER_SDRYG(  3, 80) =  0.184365E+01
PKER_SDRYG(  4,  1) =  0.229654E+01
PKER_SDRYG(  4,  2) =  0.210356E+01
PKER_SDRYG(  4,  3) =  0.192245E+01
PKER_SDRYG(  4,  4) =  0.175260E+01
PKER_SDRYG(  4,  5) =  0.159350E+01
PKER_SDRYG(  4,  6) =  0.144476E+01
PKER_SDRYG(  4,  7) =  0.130608E+01
PKER_SDRYG(  4,  8) =  0.117720E+01
PKER_SDRYG(  4,  9) =  0.105807E+01
PKER_SDRYG(  4, 10) =  0.948604E+00
PKER_SDRYG(  4, 11) =  0.849002E+00
PKER_SDRYG(  4, 12) =  0.759416E+00
PKER_SDRYG(  4, 13) =  0.680260E+00
PKER_SDRYG(  4, 14) =  0.611882E+00
PKER_SDRYG(  4, 15) =  0.554963E+00
PKER_SDRYG(  4, 16) =  0.510479E+00
PKER_SDRYG(  4, 17) =  0.479128E+00
PKER_SDRYG(  4, 18) =  0.462033E+00
PKER_SDRYG(  4, 19) =  0.460154E+00
PKER_SDRYG(  4, 20) =  0.473966E+00
PKER_SDRYG(  4, 21) =  0.503313E+00
PKER_SDRYG(  4, 22) =  0.547021E+00
PKER_SDRYG(  4, 23) =  0.602691E+00
PKER_SDRYG(  4, 24) =  0.667130E+00
PKER_SDRYG(  4, 25) =  0.736445E+00
PKER_SDRYG(  4, 26) =  0.807101E+00
PKER_SDRYG(  4, 27) =  0.875737E+00
PKER_SDRYG(  4, 28) =  0.940003E+00
PKER_SDRYG(  4, 29) =  0.998698E+00
PKER_SDRYG(  4, 30) =  0.105152E+01
PKER_SDRYG(  4, 31) =  0.109873E+01
PKER_SDRYG(  4, 32) =  0.114082E+01
PKER_SDRYG(  4, 33) =  0.117832E+01
PKER_SDRYG(  4, 34) =  0.121173E+01
PKER_SDRYG(  4, 35) =  0.124152E+01
PKER_SDRYG(  4, 36) =  0.126818E+01
PKER_SDRYG(  4, 37) =  0.129212E+01
PKER_SDRYG(  4, 38) =  0.131373E+01
PKER_SDRYG(  4, 39) =  0.133335E+01
PKER_SDRYG(  4, 40) =  0.135123E+01
PKER_SDRYG(  4, 41) =  0.136759E+01
PKER_SDRYG(  4, 42) =  0.138262E+01
PKER_SDRYG(  4, 43) =  0.139647E+01
PKER_SDRYG(  4, 44) =  0.140927E+01
PKER_SDRYG(  4, 45) =  0.142112E+01
PKER_SDRYG(  4, 46) =  0.143212E+01
PKER_SDRYG(  4, 47) =  0.144235E+01
PKER_SDRYG(  4, 48) =  0.145188E+01
PKER_SDRYG(  4, 49) =  0.146076E+01
PKER_SDRYG(  4, 50) =  0.146905E+01
PKER_SDRYG(  4, 51) =  0.147679E+01
PKER_SDRYG(  4, 52) =  0.148403E+01
PKER_SDRYG(  4, 53) =  0.149081E+01
PKER_SDRYG(  4, 54) =  0.149715E+01
PKER_SDRYG(  4, 55) =  0.150309E+01
PKER_SDRYG(  4, 56) =  0.150865E+01
PKER_SDRYG(  4, 57) =  0.151387E+01
PKER_SDRYG(  4, 58) =  0.151876E+01
PKER_SDRYG(  4, 59) =  0.152334E+01
PKER_SDRYG(  4, 60) =  0.152764E+01
PKER_SDRYG(  4, 61) =  0.153168E+01
PKER_SDRYG(  4, 62) =  0.153546E+01
PKER_SDRYG(  4, 63) =  0.153902E+01
PKER_SDRYG(  4, 64) =  0.154235E+01
PKER_SDRYG(  4, 65) =  0.154548E+01
PKER_SDRYG(  4, 66) =  0.154842E+01
PKER_SDRYG(  4, 67) =  0.155117E+01
PKER_SDRYG(  4, 68) =  0.155376E+01
PKER_SDRYG(  4, 69) =  0.155619E+01
PKER_SDRYG(  4, 70) =  0.155847E+01
PKER_SDRYG(  4, 71) =  0.156061E+01
PKER_SDRYG(  4, 72) =  0.156262E+01
PKER_SDRYG(  4, 73) =  0.156451E+01
PKER_SDRYG(  4, 74) =  0.156628E+01
PKER_SDRYG(  4, 75) =  0.156795E+01
PKER_SDRYG(  4, 76) =  0.156951E+01
PKER_SDRYG(  4, 77) =  0.157098E+01
PKER_SDRYG(  4, 78) =  0.157235E+01
PKER_SDRYG(  4, 79) =  0.157365E+01
PKER_SDRYG(  4, 80) =  0.157486E+01
PKER_SDRYG(  5,  1) =  0.242058E+01
PKER_SDRYG(  5,  2) =  0.222747E+01
PKER_SDRYG(  5,  3) =  0.204603E+01
PKER_SDRYG(  5,  4) =  0.187558E+01
PKER_SDRYG(  5,  5) =  0.171547E+01
PKER_SDRYG(  5,  6) =  0.156517E+01
PKER_SDRYG(  5,  7) =  0.142419E+01
PKER_SDRYG(  5,  8) =  0.129215E+01
PKER_SDRYG(  5,  9) =  0.116874E+01
PKER_SDRYG(  5, 10) =  0.105374E+01
PKER_SDRYG(  5, 11) =  0.947064E+00
PKER_SDRYG(  5, 12) =  0.848754E+00
PKER_SDRYG(  5, 13) =  0.758866E+00
PKER_SDRYG(  5, 14) =  0.677714E+00
PKER_SDRYG(  5, 15) =  0.605727E+00
PKER_SDRYG(  5, 16) =  0.543389E+00
PKER_SDRYG(  5, 17) =  0.491619E+00
PKER_SDRYG(  5, 18) =  0.451355E+00
PKER_SDRYG(  5, 19) =  0.423473E+00
PKER_SDRYG(  5, 20) =  0.409129E+00
PKER_SDRYG(  5, 21) =  0.409111E+00
PKER_SDRYG(  5, 22) =  0.423458E+00
PKER_SDRYG(  5, 23) =  0.451630E+00
PKER_SDRYG(  5, 24) =  0.491797E+00
PKER_SDRYG(  5, 25) =  0.541294E+00
PKER_SDRYG(  5, 26) =  0.596703E+00
PKER_SDRYG(  5, 27) =  0.654696E+00
PKER_SDRYG(  5, 28) =  0.712443E+00
PKER_SDRYG(  5, 29) =  0.767659E+00
PKER_SDRYG(  5, 30) =  0.818920E+00
PKER_SDRYG(  5, 31) =  0.865491E+00
PKER_SDRYG(  5, 32) =  0.907343E+00
PKER_SDRYG(  5, 33) =  0.944838E+00
PKER_SDRYG(  5, 34) =  0.978432E+00
PKER_SDRYG(  5, 35) =  0.100859E+01
PKER_SDRYG(  5, 36) =  0.103569E+01
PKER_SDRYG(  5, 37) =  0.106011E+01
PKER_SDRYG(  5, 38) =  0.108214E+01
PKER_SDRYG(  5, 39) =  0.110210E+01
PKER_SDRYG(  5, 40) =  0.112025E+01
PKER_SDRYG(  5, 41) =  0.113682E+01
PKER_SDRYG(  5, 42) =  0.115202E+01
PKER_SDRYG(  5, 43) =  0.116600E+01
PKER_SDRYG(  5, 44) =  0.117890E+01
PKER_SDRYG(  5, 45) =  0.119084E+01
PKER_SDRYG(  5, 46) =  0.120190E+01
PKER_SDRYG(  5, 47) =  0.121218E+01
PKER_SDRYG(  5, 48) =  0.122174E+01
PKER_SDRYG(  5, 49) =  0.123065E+01
PKER_SDRYG(  5, 50) =  0.123897E+01
PKER_SDRYG(  5, 51) =  0.124673E+01
PKER_SDRYG(  5, 52) =  0.125398E+01
PKER_SDRYG(  5, 53) =  0.126077E+01
PKER_SDRYG(  5, 54) =  0.126712E+01
PKER_SDRYG(  5, 55) =  0.127307E+01
PKER_SDRYG(  5, 56) =  0.127864E+01
PKER_SDRYG(  5, 57) =  0.128386E+01
PKER_SDRYG(  5, 58) =  0.128875E+01
PKER_SDRYG(  5, 59) =  0.129334E+01
PKER_SDRYG(  5, 60) =  0.129764E+01
PKER_SDRYG(  5, 61) =  0.130168E+01
PKER_SDRYG(  5, 62) =  0.130547E+01
PKER_SDRYG(  5, 63) =  0.130902E+01
PKER_SDRYG(  5, 64) =  0.131236E+01
PKER_SDRYG(  5, 65) =  0.131549E+01
PKER_SDRYG(  5, 66) =  0.131842E+01
PKER_SDRYG(  5, 67) =  0.132118E+01
PKER_SDRYG(  5, 68) =  0.132377E+01
PKER_SDRYG(  5, 69) =  0.132620E+01
PKER_SDRYG(  5, 70) =  0.132848E+01
PKER_SDRYG(  5, 71) =  0.133062E+01
PKER_SDRYG(  5, 72) =  0.133263E+01
PKER_SDRYG(  5, 73) =  0.133452E+01
PKER_SDRYG(  5, 74) =  0.133629E+01
PKER_SDRYG(  5, 75) =  0.133796E+01
PKER_SDRYG(  5, 76) =  0.133952E+01
PKER_SDRYG(  5, 77) =  0.134098E+01
PKER_SDRYG(  5, 78) =  0.134236E+01
PKER_SDRYG(  5, 79) =  0.134365E+01
PKER_SDRYG(  5, 80) =  0.134487E+01
PKER_SDRYG(  6,  1) =  0.252692E+01
PKER_SDRYG(  6,  2) =  0.233392E+01
PKER_SDRYG(  6,  3) =  0.215256E+01
PKER_SDRYG(  6,  4) =  0.198212E+01
PKER_SDRYG(  6,  5) =  0.182193E+01
PKER_SDRYG(  6,  6) =  0.167134E+01
PKER_SDRYG(  6,  7) =  0.152979E+01
PKER_SDRYG(  6,  8) =  0.139676E+01
PKER_SDRYG(  6,  9) =  0.127181E+01
PKER_SDRYG(  6, 10) =  0.115455E+01
PKER_SDRYG(  6, 11) =  0.104468E+01
PKER_SDRYG(  6, 12) =  0.942046E+00
PKER_SDRYG(  6, 13) =  0.846498E+00
PKER_SDRYG(  6, 14) =  0.758078E+00
PKER_SDRYG(  6, 15) =  0.676915E+00
PKER_SDRYG(  6, 16) =  0.603393E+00
PKER_SDRYG(  6, 17) =  0.537925E+00
PKER_SDRYG(  6, 18) =  0.481299E+00
PKER_SDRYG(  6, 19) =  0.434300E+00
PKER_SDRYG(  6, 20) =  0.397962E+00
PKER_SDRYG(  6, 21) =  0.373555E+00
PKER_SDRYG(  6, 22) =  0.361810E+00
PKER_SDRYG(  6, 23) =  0.363261E+00
PKER_SDRYG(  6, 24) =  0.377804E+00
PKER_SDRYG(  6, 25) =  0.404141E+00
PKER_SDRYG(  6, 26) =  0.440111E+00
PKER_SDRYG(  6, 27) =  0.482932E+00
PKER_SDRYG(  6, 28) =  0.529526E+00
PKER_SDRYG(  6, 29) =  0.577250E+00
PKER_SDRYG(  6, 30) =  0.623904E+00
PKER_SDRYG(  6, 31) =  0.668115E+00
PKER_SDRYG(  6, 32) =  0.708971E+00
PKER_SDRYG(  6, 33) =  0.746106E+00
PKER_SDRYG(  6, 34) =  0.779586E+00
PKER_SDRYG(  6, 35) =  0.809709E+00
PKER_SDRYG(  6, 36) =  0.836864E+00
PKER_SDRYG(  6, 37) =  0.861427E+00
PKER_SDRYG(  6, 38) =  0.883701E+00
PKER_SDRYG(  6, 39) =  0.903939E+00
PKER_SDRYG(  6, 40) =  0.922359E+00
PKER_SDRYG(  6, 41) =  0.939166E+00
PKER_SDRYG(  6, 42) =  0.954549E+00
PKER_SDRYG(  6, 43) =  0.968675E+00
PKER_SDRYG(  6, 44) =  0.981689E+00
PKER_SDRYG(  6, 45) =  0.993712E+00
PKER_SDRYG(  6, 46) =  0.100485E+01
PKER_SDRYG(  6, 47) =  0.101518E+01
PKER_SDRYG(  6, 48) =  0.102479E+01
PKER_SDRYG(  6, 49) =  0.103373E+01
PKER_SDRYG(  6, 50) =  0.104207E+01
PKER_SDRYG(  6, 51) =  0.104986E+01
PKER_SDRYG(  6, 52) =  0.105713E+01
PKER_SDRYG(  6, 53) =  0.106393E+01
PKER_SDRYG(  6, 54) =  0.107029E+01
PKER_SDRYG(  6, 55) =  0.107624E+01
PKER_SDRYG(  6, 56) =  0.108182E+01
PKER_SDRYG(  6, 57) =  0.108704E+01
PKER_SDRYG(  6, 58) =  0.109194E+01
PKER_SDRYG(  6, 59) =  0.109653E+01
PKER_SDRYG(  6, 60) =  0.110084E+01
PKER_SDRYG(  6, 61) =  0.110488E+01
PKER_SDRYG(  6, 62) =  0.110866E+01
PKER_SDRYG(  6, 63) =  0.111222E+01
PKER_SDRYG(  6, 64) =  0.111556E+01
PKER_SDRYG(  6, 65) =  0.111869E+01
PKER_SDRYG(  6, 66) =  0.112162E+01
PKER_SDRYG(  6, 67) =  0.112438E+01
PKER_SDRYG(  6, 68) =  0.112697E+01
PKER_SDRYG(  6, 69) =  0.112940E+01
PKER_SDRYG(  6, 70) =  0.113168E+01
PKER_SDRYG(  6, 71) =  0.113382E+01
PKER_SDRYG(  6, 72) =  0.113583E+01
PKER_SDRYG(  6, 73) =  0.113772E+01
PKER_SDRYG(  6, 74) =  0.113949E+01
PKER_SDRYG(  6, 75) =  0.114116E+01
PKER_SDRYG(  6, 76) =  0.114272E+01
PKER_SDRYG(  6, 77) =  0.114419E+01
PKER_SDRYG(  6, 78) =  0.114556E+01
PKER_SDRYG(  6, 79) =  0.114686E+01
PKER_SDRYG(  6, 80) =  0.114807E+01
PKER_SDRYG(  7,  1) =  0.261786E+01
PKER_SDRYG(  7,  2) =  0.242499E+01
PKER_SDRYG(  7,  3) =  0.224378E+01
PKER_SDRYG(  7,  4) =  0.207350E+01
PKER_SDRYG(  7,  5) =  0.191346E+01
PKER_SDRYG(  7,  6) =  0.176300E+01
PKER_SDRYG(  7,  7) =  0.162153E+01
PKER_SDRYG(  7,  8) =  0.148846E+01
PKER_SDRYG(  7,  9) =  0.136328E+01
PKER_SDRYG(  7, 10) =  0.124549E+01
PKER_SDRYG(  7, 11) =  0.113468E+01
PKER_SDRYG(  7, 12) =  0.103050E+01
PKER_SDRYG(  7, 13) =  0.932669E+00
PKER_SDRYG(  7, 14) =  0.840960E+00
PKER_SDRYG(  7, 15) =  0.755294E+00
PKER_SDRYG(  7, 16) =  0.675723E+00
PKER_SDRYG(  7, 17) =  0.602410E+00
PKER_SDRYG(  7, 18) =  0.535732E+00
PKER_SDRYG(  7, 19) =  0.476253E+00
PKER_SDRYG(  7, 20) =  0.424743E+00
PKER_SDRYG(  7, 21) =  0.382214E+00
PKER_SDRYG(  7, 22) =  0.349787E+00
PKER_SDRYG(  7, 23) =  0.328527E+00
PKER_SDRYG(  7, 24) =  0.319129E+00
PKER_SDRYG(  7, 25) =  0.321804E+00
PKER_SDRYG(  7, 26) =  0.335925E+00
PKER_SDRYG(  7, 27) =  0.359789E+00
PKER_SDRYG(  7, 28) =  0.391183E+00
PKER_SDRYG(  7, 29) =  0.427436E+00
PKER_SDRYG(  7, 30) =  0.466046E+00
PKER_SDRYG(  7, 31) =  0.504837E+00
PKER_SDRYG(  7, 32) =  0.542368E+00
PKER_SDRYG(  7, 33) =  0.577763E+00
PKER_SDRYG(  7, 34) =  0.610469E+00
PKER_SDRYG(  7, 35) =  0.640344E+00
PKER_SDRYG(  7, 36) =  0.667411E+00
PKER_SDRYG(  7, 37) =  0.691907E+00
PKER_SDRYG(  7, 38) =  0.714147E+00
PKER_SDRYG(  7, 39) =  0.734403E+00
PKER_SDRYG(  7, 40) =  0.752915E+00
PKER_SDRYG(  7, 41) =  0.769870E+00
PKER_SDRYG(  7, 42) =  0.785417E+00
PKER_SDRYG(  7, 43) =  0.799696E+00
PKER_SDRYG(  7, 44) =  0.812835E+00
PKER_SDRYG(  7, 45) =  0.824958E+00
PKER_SDRYG(  7, 46) =  0.836170E+00
PKER_SDRYG(  7, 47) =  0.846564E+00
PKER_SDRYG(  7, 48) =  0.856219E+00
PKER_SDRYG(  7, 49) =  0.865201E+00
PKER_SDRYG(  7, 50) =  0.873570E+00
PKER_SDRYG(  7, 51) =  0.881376E+00
PKER_SDRYG(  7, 52) =  0.888666E+00
PKER_SDRYG(  7, 53) =  0.895479E+00
PKER_SDRYG(  7, 54) =  0.901851E+00
PKER_SDRYG(  7, 55) =  0.907814E+00
PKER_SDRYG(  7, 56) =  0.913398E+00
PKER_SDRYG(  7, 57) =  0.918628E+00
PKER_SDRYG(  7, 58) =  0.923530E+00
PKER_SDRYG(  7, 59) =  0.928125E+00
PKER_SDRYG(  7, 60) =  0.932433E+00
PKER_SDRYG(  7, 61) =  0.936474E+00
PKER_SDRYG(  7, 62) =  0.940264E+00
PKER_SDRYG(  7, 63) =  0.943820E+00
PKER_SDRYG(  7, 64) =  0.947157E+00
PKER_SDRYG(  7, 65) =  0.950288E+00
PKER_SDRYG(  7, 66) =  0.953227E+00
PKER_SDRYG(  7, 67) =  0.955985E+00
PKER_SDRYG(  7, 68) =  0.958574E+00
PKER_SDRYG(  7, 69) =  0.961004E+00
PKER_SDRYG(  7, 70) =  0.963286E+00
PKER_SDRYG(  7, 71) =  0.965428E+00
PKER_SDRYG(  7, 72) =  0.967438E+00
PKER_SDRYG(  7, 73) =  0.969326E+00
PKER_SDRYG(  7, 74) =  0.971099E+00
PKER_SDRYG(  7, 75) =  0.972763E+00
PKER_SDRYG(  7, 76) =  0.974325E+00
PKER_SDRYG(  7, 77) =  0.975792E+00
PKER_SDRYG(  7, 78) =  0.977169E+00
PKER_SDRYG(  7, 79) =  0.978462E+00
PKER_SDRYG(  7, 80) =  0.979677E+00
PKER_SDRYG(  8,  1) =  0.269561E+01
PKER_SDRYG(  8,  2) =  0.250283E+01
PKER_SDRYG(  8,  3) =  0.232174E+01
PKER_SDRYG(  8,  4) =  0.215161E+01
PKER_SDRYG(  8,  5) =  0.199174E+01
PKER_SDRYG(  8,  6) =  0.184149E+01
PKER_SDRYG(  8,  7) =  0.170023E+01
PKER_SDRYG(  8,  8) =  0.156739E+01
PKER_SDRYG(  8,  9) =  0.144242E+01
PKER_SDRYG(  8, 10) =  0.132479E+01
PKER_SDRYG(  8, 11) =  0.121403E+01
PKER_SDRYG(  8, 12) =  0.110969E+01
PKER_SDRYG(  8, 13) =  0.101137E+01
PKER_SDRYG(  8, 14) =  0.918736E+00
PKER_SDRYG(  8, 15) =  0.831495E+00
PKER_SDRYG(  8, 16) =  0.749451E+00
PKER_SDRYG(  8, 17) =  0.672563E+00
PKER_SDRYG(  8, 18) =  0.600835E+00
PKER_SDRYG(  8, 19) =  0.534485E+00
PKER_SDRYG(  8, 20) =  0.473951E+00
PKER_SDRYG(  8, 21) =  0.419909E+00
PKER_SDRYG(  8, 22) =  0.373149E+00
PKER_SDRYG(  8, 23) =  0.334877E+00
PKER_SDRYG(  8, 24) =  0.306095E+00
PKER_SDRYG(  8, 25) =  0.287726E+00
PKER_SDRYG(  8, 26) =  0.280481E+00
PKER_SDRYG(  8, 27) =  0.283946E+00
PKER_SDRYG(  8, 28) =  0.297076E+00
PKER_SDRYG(  8, 29) =  0.318238E+00
PKER_SDRYG(  8, 30) =  0.345049E+00
PKER_SDRYG(  8, 31) =  0.375221E+00
PKER_SDRYG(  8, 32) =  0.406792E+00
PKER_SDRYG(  8, 33) =  0.438182E+00
PKER_SDRYG(  8, 34) =  0.468400E+00
PKER_SDRYG(  8, 35) =  0.496851E+00
PKER_SDRYG(  8, 36) =  0.523262E+00
PKER_SDRYG(  8, 37) =  0.547514E+00
PKER_SDRYG(  8, 38) =  0.569649E+00
PKER_SDRYG(  8, 39) =  0.589826E+00
PKER_SDRYG(  8, 40) =  0.608254E+00
PKER_SDRYG(  8, 41) =  0.625149E+00
PKER_SDRYG(  8, 42) =  0.640693E+00
PKER_SDRYG(  8, 43) =  0.655025E+00
PKER_SDRYG(  8, 44) =  0.668253E+00
PKER_SDRYG(  8, 45) =  0.680470E+00
PKER_SDRYG(  8, 46) =  0.691766E+00
PKER_SDRYG(  8, 47) =  0.702228E+00
PKER_SDRYG(  8, 48) =  0.711935E+00
PKER_SDRYG(  8, 49) =  0.720959E+00
PKER_SDRYG(  8, 50) =  0.729360E+00
PKER_SDRYG(  8, 51) =  0.737193E+00
PKER_SDRYG(  8, 52) =  0.744502E+00
PKER_SDRYG(  8, 53) =  0.751331E+00
PKER_SDRYG(  8, 54) =  0.757715E+00
PKER_SDRYG(  8, 55) =  0.763688E+00
PKER_SDRYG(  8, 56) =  0.769279E+00
PKER_SDRYG(  8, 57) =  0.774516E+00
PKER_SDRYG(  8, 58) =  0.779422E+00
PKER_SDRYG(  8, 59) =  0.784021E+00
PKER_SDRYG(  8, 60) =  0.788332E+00
PKER_SDRYG(  8, 61) =  0.792375E+00
PKER_SDRYG(  8, 62) =  0.796167E+00
PKER_SDRYG(  8, 63) =  0.799725E+00
PKER_SDRYG(  8, 64) =  0.803062E+00
PKER_SDRYG(  8, 65) =  0.806194E+00
PKER_SDRYG(  8, 66) =  0.809134E+00
PKER_SDRYG(  8, 67) =  0.811893E+00
PKER_SDRYG(  8, 68) =  0.814482E+00
PKER_SDRYG(  8, 69) =  0.816913E+00
PKER_SDRYG(  8, 70) =  0.819194E+00
PKER_SDRYG(  8, 71) =  0.821336E+00
PKER_SDRYG(  8, 72) =  0.823347E+00
PKER_SDRYG(  8, 73) =  0.825235E+00
PKER_SDRYG(  8, 74) =  0.827008E+00
PKER_SDRYG(  8, 75) =  0.828672E+00
PKER_SDRYG(  8, 76) =  0.830234E+00
PKER_SDRYG(  8, 77) =  0.831701E+00
PKER_SDRYG(  8, 78) =  0.833078E+00
PKER_SDRYG(  8, 79) =  0.834372E+00
PKER_SDRYG(  8, 80) =  0.835586E+00
PKER_SDRYG(  9,  1) =  0.276207E+01
PKER_SDRYG(  9,  2) =  0.256937E+01
PKER_SDRYG(  9,  3) =  0.238837E+01
PKER_SDRYG(  9,  4) =  0.221834E+01
PKER_SDRYG(  9,  5) =  0.205861E+01
PKER_SDRYG(  9,  6) =  0.190852E+01
PKER_SDRYG(  9,  7) =  0.176746E+01
PKER_SDRYG(  9,  8) =  0.163486E+01
PKER_SDRYG(  9,  9) =  0.151015E+01
PKER_SDRYG(  9, 10) =  0.139283E+01
PKER_SDRYG(  9, 11) =  0.128239E+01
PKER_SDRYG(  9, 12) =  0.117836E+01
PKER_SDRYG(  9, 13) =  0.108030E+01
PKER_SDRYG(  9, 14) =  0.987804E+00
PKER_SDRYG(  9, 15) =  0.900480E+00
PKER_SDRYG(  9, 16) =  0.818006E+00
PKER_SDRYG(  9, 17) =  0.740119E+00
PKER_SDRYG(  9, 18) =  0.666640E+00
PKER_SDRYG(  9, 19) =  0.597469E+00
PKER_SDRYG(  9, 20) =  0.532692E+00
PKER_SDRYG(  9, 21) =  0.472590E+00
PKER_SDRYG(  9, 22) =  0.417593E+00
PKER_SDRYG(  9, 23) =  0.368487E+00
PKER_SDRYG(  9, 24) =  0.326216E+00
PKER_SDRYG(  9, 25) =  0.291847E+00
PKER_SDRYG(  9, 26) =  0.266518E+00
PKER_SDRYG(  9, 27) =  0.250973E+00
PKER_SDRYG(  9, 28) =  0.245401E+00
PKER_SDRYG(  9, 29) =  0.249224E+00
PKER_SDRYG(  9, 30) =  0.261135E+00
PKER_SDRYG(  9, 31) =  0.279371E+00
PKER_SDRYG(  9, 32) =  0.301823E+00
PKER_SDRYG(  9, 33) =  0.326652E+00
PKER_SDRYG(  9, 34) =  0.352342E+00
PKER_SDRYG(  9, 35) =  0.377786E+00
PKER_SDRYG(  9, 36) =  0.402202E+00
PKER_SDRYG(  9, 37) =  0.425256E+00
PKER_SDRYG(  9, 38) =  0.446772E+00
PKER_SDRYG(  9, 39) =  0.466663E+00
PKER_SDRYG(  9, 40) =  0.484977E+00
PKER_SDRYG(  9, 41) =  0.501779E+00
PKER_SDRYG(  9, 42) =  0.517214E+00
PKER_SDRYG(  9, 43) =  0.531452E+00
PKER_SDRYG(  9, 44) =  0.544618E+00
PKER_SDRYG(  9, 45) =  0.556824E+00
PKER_SDRYG(  9, 46) =  0.568153E+00
PKER_SDRYG(  9, 47) =  0.578667E+00
PKER_SDRYG(  9, 48) =  0.588428E+00
PKER_SDRYG(  9, 49) =  0.597497E+00
PKER_SDRYG(  9, 50) =  0.605935E+00
PKER_SDRYG(  9, 51) =  0.613795E+00
PKER_SDRYG(  9, 52) =  0.621127E+00
PKER_SDRYG(  9, 53) =  0.627973E+00
PKER_SDRYG(  9, 54) =  0.634371E+00
PKER_SDRYG(  9, 55) =  0.640354E+00
PKER_SDRYG(  9, 56) =  0.645954E+00
PKER_SDRYG(  9, 57) =  0.651197E+00
PKER_SDRYG(  9, 58) =  0.656109E+00
PKER_SDRYG(  9, 59) =  0.660711E+00
PKER_SDRYG(  9, 60) =  0.665026E+00
PKER_SDRYG(  9, 61) =  0.669071E+00
PKER_SDRYG(  9, 62) =  0.672865E+00
PKER_SDRYG(  9, 63) =  0.676424E+00
PKER_SDRYG(  9, 64) =  0.679763E+00
PKER_SDRYG(  9, 65) =  0.682897E+00
PKER_SDRYG(  9, 66) =  0.685837E+00
PKER_SDRYG(  9, 67) =  0.688596E+00
PKER_SDRYG(  9, 68) =  0.691186E+00
PKER_SDRYG(  9, 69) =  0.693617E+00
PKER_SDRYG(  9, 70) =  0.695899E+00
PKER_SDRYG(  9, 71) =  0.698041E+00
PKER_SDRYG(  9, 72) =  0.700052E+00
PKER_SDRYG(  9, 73) =  0.701940E+00
PKER_SDRYG(  9, 74) =  0.703713E+00
PKER_SDRYG(  9, 75) =  0.705377E+00
PKER_SDRYG(  9, 76) =  0.706940E+00
PKER_SDRYG(  9, 77) =  0.708407E+00
PKER_SDRYG(  9, 78) =  0.709784E+00
PKER_SDRYG(  9, 79) =  0.711077E+00
PKER_SDRYG(  9, 80) =  0.712292E+00
PKER_SDRYG( 10,  1) =  0.281890E+01
PKER_SDRYG( 10,  2) =  0.262625E+01
PKER_SDRYG( 10,  3) =  0.244531E+01
PKER_SDRYG( 10,  4) =  0.227537E+01
PKER_SDRYG( 10,  5) =  0.211573E+01
PKER_SDRYG( 10,  6) =  0.196576E+01
PKER_SDRYG( 10,  7) =  0.182485E+01
PKER_SDRYG( 10,  8) =  0.169243E+01
PKER_SDRYG( 10,  9) =  0.156795E+01
PKER_SDRYG( 10, 10) =  0.145089E+01
PKER_SDRYG( 10, 11) =  0.134077E+01
PKER_SDRYG( 10, 12) =  0.123711E+01
PKER_SDRYG( 10, 13) =  0.113947E+01
PKER_SDRYG( 10, 14) =  0.104741E+01
PKER_SDRYG( 10, 15) =  0.960534E+00
PKER_SDRYG( 10, 16) =  0.878447E+00
PKER_SDRYG( 10, 17) =  0.800800E+00
PKER_SDRYG( 10, 18) =  0.727272E+00
PKER_SDRYG( 10, 19) =  0.657611E+00
PKER_SDRYG( 10, 20) =  0.591632E+00
PKER_SDRYG( 10, 21) =  0.529264E+00
PKER_SDRYG( 10, 22) =  0.470668E+00
PKER_SDRYG( 10, 23) =  0.416097E+00
PKER_SDRYG( 10, 24) =  0.366106E+00
PKER_SDRYG( 10, 25) =  0.321553E+00
PKER_SDRYG( 10, 26) =  0.283464E+00
PKER_SDRYG( 10, 27) =  0.252856E+00
PKER_SDRYG( 10, 28) =  0.230814E+00
PKER_SDRYG( 10, 29) =  0.217753E+00
PKER_SDRYG( 10, 30) =  0.213511E+00
PKER_SDRYG( 10, 31) =  0.217435E+00
PKER_SDRYG( 10, 32) =  0.227916E+00
PKER_SDRYG( 10, 33) =  0.243286E+00
PKER_SDRYG( 10, 34) =  0.261931E+00
PKER_SDRYG( 10, 35) =  0.282270E+00
PKER_SDRYG( 10, 36) =  0.303153E+00
PKER_SDRYG( 10, 37) =  0.323799E+00
PKER_SDRYG( 10, 38) =  0.343682E+00
PKER_SDRYG( 10, 39) =  0.362526E+00
PKER_SDRYG( 10, 40) =  0.380218E+00
PKER_SDRYG( 10, 41) =  0.396712E+00
PKER_SDRYG( 10, 42) =  0.412002E+00
PKER_SDRYG( 10, 43) =  0.426131E+00
PKER_SDRYG( 10, 44) =  0.439189E+00
PKER_SDRYG( 10, 45) =  0.451282E+00
PKER_SDRYG( 10, 46) =  0.462518E+00
PKER_SDRYG( 10, 47) =  0.472980E+00
PKER_SDRYG( 10, 48) =  0.482733E+00
PKER_SDRYG( 10, 49) =  0.491822E+00
PKER_SDRYG( 10, 50) =  0.500291E+00
PKER_SDRYG( 10, 51) =  0.508181E+00
PKER_SDRYG( 10, 52) =  0.515537E+00
PKER_SDRYG( 10, 53) =  0.522403E+00
PKER_SDRYG( 10, 54) =  0.528816E+00
PKER_SDRYG( 10, 55) =  0.534811E+00
PKER_SDRYG( 10, 56) =  0.540420E+00
PKER_SDRYG( 10, 57) =  0.545671E+00
PKER_SDRYG( 10, 58) =  0.550588E+00
PKER_SDRYG( 10, 59) =  0.555195E+00
PKER_SDRYG( 10, 60) =  0.559513E+00
PKER_SDRYG( 10, 61) =  0.563561E+00
PKER_SDRYG( 10, 62) =  0.567358E+00
PKER_SDRYG( 10, 63) =  0.570918E+00
PKER_SDRYG( 10, 64) =  0.574259E+00
PKER_SDRYG( 10, 65) =  0.577393E+00
PKER_SDRYG( 10, 66) =  0.580334E+00
PKER_SDRYG( 10, 67) =  0.583094E+00
PKER_SDRYG( 10, 68) =  0.585685E+00
PKER_SDRYG( 10, 69) =  0.588116E+00
PKER_SDRYG( 10, 70) =  0.590398E+00
PKER_SDRYG( 10, 71) =  0.592541E+00
PKER_SDRYG( 10, 72) =  0.594552E+00
PKER_SDRYG( 10, 73) =  0.596440E+00
PKER_SDRYG( 10, 74) =  0.598213E+00
PKER_SDRYG( 10, 75) =  0.599877E+00
PKER_SDRYG( 10, 76) =  0.601440E+00
PKER_SDRYG( 10, 77) =  0.602907E+00
PKER_SDRYG( 10, 78) =  0.604284E+00
PKER_SDRYG( 10, 79) =  0.605578E+00
PKER_SDRYG( 10, 80) =  0.606792E+00
PKER_SDRYG( 11,  1) =  0.286750E+01
PKER_SDRYG( 11,  2) =  0.267488E+01
PKER_SDRYG( 11,  3) =  0.249399E+01
PKER_SDRYG( 11,  4) =  0.232410E+01
PKER_SDRYG( 11,  5) =  0.216454E+01
PKER_SDRYG( 11,  6) =  0.201465E+01
PKER_SDRYG( 11,  7) =  0.187385E+01
PKER_SDRYG( 11,  8) =  0.174156E+01
PKER_SDRYG( 11,  9) =  0.161724E+01
PKER_SDRYG( 11, 10) =  0.150038E+01
PKER_SDRYG( 11, 11) =  0.139051E+01
PKER_SDRYG( 11, 12) =  0.128715E+01
PKER_SDRYG( 11, 13) =  0.118986E+01
PKER_SDRYG( 11, 14) =  0.109824E+01
PKER_SDRYG( 11, 15) =  0.101186E+01
PKER_SDRYG( 11, 16) =  0.930332E+00
PKER_SDRYG( 11, 17) =  0.853282E+00
PKER_SDRYG( 11, 18) =  0.780348E+00
PKER_SDRYG( 11, 19) =  0.711193E+00
PKER_SDRYG( 11, 20) =  0.645511E+00
PKER_SDRYG( 11, 21) =  0.583060E+00
PKER_SDRYG( 11, 22) =  0.523685E+00
PKER_SDRYG( 11, 23) =  0.467360E+00
PKER_SDRYG( 11, 24) =  0.414210E+00
PKER_SDRYG( 11, 25) =  0.364609E+00
PKER_SDRYG( 11, 26) =  0.319253E+00
PKER_SDRYG( 11, 27) =  0.278944E+00
PKER_SDRYG( 11, 28) =  0.244812E+00
PKER_SDRYG( 11, 29) =  0.217874E+00
PKER_SDRYG( 11, 30) =  0.198828E+00
PKER_SDRYG( 11, 31) =  0.187973E+00
PKER_SDRYG( 11, 32) =  0.184872E+00
PKER_SDRYG( 11, 33) =  0.188508E+00
PKER_SDRYG( 11, 34) =  0.197506E+00
PKER_SDRYG( 11, 35) =  0.210328E+00
PKER_SDRYG( 11, 36) =  0.225647E+00
PKER_SDRYG( 11, 37) =  0.242242E+00
PKER_SDRYG( 11, 38) =  0.259254E+00
PKER_SDRYG( 11, 39) =  0.276128E+00
PKER_SDRYG( 11, 40) =  0.292461E+00
PKER_SDRYG( 11, 41) =  0.308005E+00
PKER_SDRYG( 11, 42) =  0.322690E+00
PKER_SDRYG( 11, 43) =  0.336481E+00
PKER_SDRYG( 11, 44) =  0.349355E+00
PKER_SDRYG( 11, 45) =  0.361342E+00
PKER_SDRYG( 11, 46) =  0.372471E+00
PKER_SDRYG( 11, 47) =  0.382818E+00
PKER_SDRYG( 11, 48) =  0.392468E+00
PKER_SDRYG( 11, 49) =  0.401482E+00
PKER_SDRYG( 11, 50) =  0.409913E+00
PKER_SDRYG( 11, 51) =  0.417799E+00
PKER_SDRYG( 11, 52) =  0.425169E+00
PKER_SDRYG( 11, 53) =  0.432052E+00
PKER_SDRYG( 11, 54) =  0.438481E+00
PKER_SDRYG( 11, 55) =  0.444490E+00
PKER_SDRYG( 11, 56) =  0.450109E+00
PKER_SDRYG( 11, 57) =  0.455368E+00
PKER_SDRYG( 11, 58) =  0.460292E+00
PKER_SDRYG( 11, 59) =  0.464904E+00
PKER_SDRYG( 11, 60) =  0.469226E+00
PKER_SDRYG( 11, 61) =  0.473277E+00
PKER_SDRYG( 11, 62) =  0.477076E+00
PKER_SDRYG( 11, 63) =  0.480638E+00
PKER_SDRYG( 11, 64) =  0.483980E+00
PKER_SDRYG( 11, 65) =  0.487116E+00
PKER_SDRYG( 11, 66) =  0.490058E+00
PKER_SDRYG( 11, 67) =  0.492818E+00
PKER_SDRYG( 11, 68) =  0.495409E+00
PKER_SDRYG( 11, 69) =  0.497841E+00
PKER_SDRYG( 11, 70) =  0.500124E+00
PKER_SDRYG( 11, 71) =  0.502267E+00
PKER_SDRYG( 11, 72) =  0.504278E+00
PKER_SDRYG( 11, 73) =  0.506166E+00
PKER_SDRYG( 11, 74) =  0.507939E+00
PKER_SDRYG( 11, 75) =  0.509604E+00
PKER_SDRYG( 11, 76) =  0.511166E+00
PKER_SDRYG( 11, 77) =  0.512633E+00
PKER_SDRYG( 11, 78) =  0.514011E+00
PKER_SDRYG( 11, 79) =  0.515304E+00
PKER_SDRYG( 11, 80) =  0.516519E+00
PKER_SDRYG( 12,  1) =  0.290906E+01
PKER_SDRYG( 12,  2) =  0.271647E+01
PKER_SDRYG( 12,  3) =  0.253562E+01
PKER_SDRYG( 12,  4) =  0.236577E+01
PKER_SDRYG( 12,  5) =  0.220625E+01
PKER_SDRYG( 12,  6) =  0.205643E+01
PKER_SDRYG( 12,  7) =  0.191570E+01
PKER_SDRYG( 12,  8) =  0.178350E+01
PKER_SDRYG( 12,  9) =  0.165930E+01
PKER_SDRYG( 12, 10) =  0.154259E+01
PKER_SDRYG( 12, 11) =  0.143289E+01
PKER_SDRYG( 12, 12) =  0.132974E+01
PKER_SDRYG( 12, 13) =  0.123273E+01
PKER_SDRYG( 12, 14) =  0.114144E+01
PKER_SDRYG( 12, 15) =  0.105546E+01
PKER_SDRYG( 12, 16) =  0.974419E+00
PKER_SDRYG( 12, 17) =  0.897945E+00
PKER_SDRYG( 12, 18) =  0.825675E+00
PKER_SDRYG( 12, 19) =  0.757259E+00
PKER_SDRYG( 12, 20) =  0.692357E+00
PKER_SDRYG( 12, 21) =  0.630647E+00
PKER_SDRYG( 12, 22) =  0.571852E+00
PKER_SDRYG( 12, 23) =  0.515731E+00
PKER_SDRYG( 12, 24) =  0.462161E+00
PKER_SDRYG( 12, 25) =  0.411137E+00
PKER_SDRYG( 12, 26) =  0.362843E+00
PKER_SDRYG( 12, 27) =  0.317811E+00
PKER_SDRYG( 12, 28) =  0.276701E+00
PKER_SDRYG( 12, 29) =  0.240451E+00
PKER_SDRYG( 12, 30) =  0.210140E+00
PKER_SDRYG( 12, 31) =  0.186654E+00
PKER_SDRYG( 12, 32) =  0.170411E+00
PKER_SDRYG( 12, 33) =  0.161472E+00
PKER_SDRYG( 12, 34) =  0.159162E+00
PKER_SDRYG( 12, 35) =  0.162388E+00
PKER_SDRYG( 12, 36) =  0.169994E+00
PKER_SDRYG( 12, 37) =  0.180588E+00
PKER_SDRYG( 12, 38) =  0.193112E+00
PKER_SDRYG( 12, 39) =  0.206687E+00
PKER_SDRYG( 12, 40) =  0.220641E+00
PKER_SDRYG( 12, 41) =  0.234505E+00
PKER_SDRYG( 12, 42) =  0.247994E+00
PKER_SDRYG( 12, 43) =  0.260933E+00
PKER_SDRYG( 12, 44) =  0.273225E+00
PKER_SDRYG( 12, 45) =  0.284842E+00
PKER_SDRYG( 12, 46) =  0.295768E+00
PKER_SDRYG( 12, 47) =  0.305996E+00
PKER_SDRYG( 12, 48) =  0.315542E+00
PKER_SDRYG( 12, 49) =  0.324451E+00
PKER_SDRYG( 12, 50) =  0.332775E+00
PKER_SDRYG( 12, 51) =  0.340574E+00
PKER_SDRYG( 12, 52) =  0.347888E+00
PKER_SDRYG( 12, 53) =  0.354748E+00
PKER_SDRYG( 12, 54) =  0.361176E+00
PKER_SDRYG( 12, 55) =  0.367194E+00
PKER_SDRYG( 12, 56) =  0.372824E+00
PKER_SDRYG( 12, 57) =  0.378091E+00
PKER_SDRYG( 12, 58) =  0.383022E+00
PKER_SDRYG( 12, 59) =  0.387639E+00
PKER_SDRYG( 12, 60) =  0.391966E+00
PKER_SDRYG( 12, 61) =  0.396020E+00
PKER_SDRYG( 12, 62) =  0.399822E+00
PKER_SDRYG( 12, 63) =  0.403386E+00
PKER_SDRYG( 12, 64) =  0.406730E+00
PKER_SDRYG( 12, 65) =  0.409867E+00
PKER_SDRYG( 12, 66) =  0.412810E+00
PKER_SDRYG( 12, 67) =  0.415571E+00
PKER_SDRYG( 12, 68) =  0.418163E+00
PKER_SDRYG( 12, 69) =  0.420595E+00
PKER_SDRYG( 12, 70) =  0.422878E+00
PKER_SDRYG( 12, 71) =  0.425021E+00
PKER_SDRYG( 12, 72) =  0.427033E+00
PKER_SDRYG( 12, 73) =  0.428922E+00
PKER_SDRYG( 12, 74) =  0.430695E+00
PKER_SDRYG( 12, 75) =  0.432359E+00
PKER_SDRYG( 12, 76) =  0.433922E+00
PKER_SDRYG( 12, 77) =  0.435389E+00
PKER_SDRYG( 12, 78) =  0.436767E+00
PKER_SDRYG( 12, 79) =  0.438060E+00
PKER_SDRYG( 12, 80) =  0.439274E+00
PKER_SDRYG( 13,  1) =  0.294461E+01
PKER_SDRYG( 13,  2) =  0.275204E+01
PKER_SDRYG( 13,  3) =  0.257121E+01
PKER_SDRYG( 13,  4) =  0.240139E+01
PKER_SDRYG( 13,  5) =  0.224191E+01
PKER_SDRYG( 13,  6) =  0.209213E+01
PKER_SDRYG( 13,  7) =  0.195146E+01
PKER_SDRYG( 13,  8) =  0.181933E+01
PKER_SDRYG( 13,  9) =  0.169521E+01
PKER_SDRYG( 13, 10) =  0.157859E+01
PKER_SDRYG( 13, 11) =  0.146902E+01
PKER_SDRYG( 13, 12) =  0.136604E+01
PKER_SDRYG( 13, 13) =  0.126922E+01
PKER_SDRYG( 13, 14) =  0.117816E+01
PKER_SDRYG( 13, 15) =  0.109248E+01
PKER_SDRYG( 13, 16) =  0.101180E+01
PKER_SDRYG( 13, 17) =  0.935773E+00
PKER_SDRYG( 13, 18) =  0.864045E+00
PKER_SDRYG( 13, 19) =  0.796277E+00
PKER_SDRYG( 13, 20) =  0.732136E+00
PKER_SDRYG( 13, 21) =  0.671293E+00
PKER_SDRYG( 13, 22) =  0.613429E+00
PKER_SDRYG( 13, 23) =  0.558244E+00
PKER_SDRYG( 13, 24) =  0.505468E+00
PKER_SDRYG( 13, 25) =  0.454895E+00
PKER_SDRYG( 13, 26) =  0.406428E+00
PKER_SDRYG( 13, 27) =  0.360131E+00
PKER_SDRYG( 13, 28) =  0.316299E+00
PKER_SDRYG( 13, 29) =  0.275456E+00
PKER_SDRYG( 13, 30) =  0.238374E+00
PKER_SDRYG( 13, 31) =  0.206109E+00
PKER_SDRYG( 13, 32) =  0.179451E+00
PKER_SDRYG( 13, 33) =  0.159190E+00
PKER_SDRYG( 13, 34) =  0.145545E+00
PKER_SDRYG( 13, 35) =  0.138171E+00
PKER_SDRYG( 13, 36) =  0.136403E+00
PKER_SDRYG( 13, 37) =  0.139198E+00
PKER_SDRYG( 13, 38) =  0.145447E+00
PKER_SDRYG( 13, 39) =  0.154142E+00
PKER_SDRYG( 13, 40) =  0.164364E+00
PKER_SDRYG( 13, 41) =  0.175488E+00
PKER_SDRYG( 13, 42) =  0.186961E+00
PKER_SDRYG( 13, 43) =  0.198418E+00
PKER_SDRYG( 13, 44) =  0.209659E+00
PKER_SDRYG( 13, 45) =  0.220512E+00
PKER_SDRYG( 13, 46) =  0.230875E+00
PKER_SDRYG( 13, 47) =  0.240723E+00
PKER_SDRYG( 13, 48) =  0.250043E+00
PKER_SDRYG( 13, 49) =  0.258814E+00
PKER_SDRYG( 13, 50) =  0.267045E+00
PKER_SDRYG( 13, 51) =  0.274749E+00
PKER_SDRYG( 13, 52) =  0.281964E+00
PKER_SDRYG( 13, 53) =  0.288735E+00
PKER_SDRYG( 13, 54) =  0.295096E+00
PKER_SDRYG( 13, 55) =  0.301076E+00
PKER_SDRYG( 13, 56) =  0.306693E+00
PKER_SDRYG( 13, 57) =  0.311961E+00
PKER_SDRYG( 13, 58) =  0.316898E+00
PKER_SDRYG( 13, 59) =  0.321521E+00
PKER_SDRYG( 13, 60) =  0.325852E+00
PKER_SDRYG( 13, 61) =  0.329911E+00
PKER_SDRYG( 13, 62) =  0.333715E+00
PKER_SDRYG( 13, 63) =  0.337282E+00
PKER_SDRYG( 13, 64) =  0.340628E+00
PKER_SDRYG( 13, 65) =  0.343766E+00
PKER_SDRYG( 13, 66) =  0.346710E+00
PKER_SDRYG( 13, 67) =  0.349472E+00
PKER_SDRYG( 13, 68) =  0.352064E+00
PKER_SDRYG( 13, 69) =  0.354497E+00
PKER_SDRYG( 13, 70) =  0.356781E+00
PKER_SDRYG( 13, 71) =  0.358924E+00
PKER_SDRYG( 13, 72) =  0.360936E+00
PKER_SDRYG( 13, 73) =  0.362825E+00
PKER_SDRYG( 13, 74) =  0.364598E+00
PKER_SDRYG( 13, 75) =  0.366263E+00
PKER_SDRYG( 13, 76) =  0.367826E+00
PKER_SDRYG( 13, 77) =  0.369293E+00
PKER_SDRYG( 13, 78) =  0.370671E+00
PKER_SDRYG( 13, 79) =  0.371964E+00
PKER_SDRYG( 13, 80) =  0.373178E+00
PKER_SDRYG( 14,  1) =  0.297502E+01
PKER_SDRYG( 14,  2) =  0.278247E+01
PKER_SDRYG( 14,  3) =  0.260165E+01
PKER_SDRYG( 14,  4) =  0.243185E+01
PKER_SDRYG( 14,  5) =  0.227240E+01
PKER_SDRYG( 14,  6) =  0.212265E+01
PKER_SDRYG( 14,  7) =  0.198202E+01
PKER_SDRYG( 14,  8) =  0.184993E+01
PKER_SDRYG( 14,  9) =  0.172587E+01
PKER_SDRYG( 14, 10) =  0.160933E+01
PKER_SDRYG( 14, 11) =  0.149985E+01
PKER_SDRYG( 14, 12) =  0.139698E+01
PKER_SDRYG( 14, 13) =  0.130029E+01
PKER_SDRYG( 14, 14) =  0.120941E+01
PKER_SDRYG( 14, 15) =  0.112394E+01
PKER_SDRYG( 14, 16) =  0.104352E+01
PKER_SDRYG( 14, 17) =  0.967815E+00
PKER_SDRYG( 14, 18) =  0.896486E+00
PKER_SDRYG( 14, 19) =  0.829209E+00
PKER_SDRYG( 14, 20) =  0.765666E+00
PKER_SDRYG( 14, 21) =  0.705545E+00
PKER_SDRYG( 14, 22) =  0.648535E+00
PKER_SDRYG( 14, 23) =  0.594329E+00
PKER_SDRYG( 14, 24) =  0.542628E+00
PKER_SDRYG( 14, 25) =  0.493150E+00
PKER_SDRYG( 14, 26) =  0.445651E+00
PKER_SDRYG( 14, 27) =  0.399968E+00
PKER_SDRYG( 14, 28) =  0.356041E+00
PKER_SDRYG( 14, 29) =  0.314021E+00
PKER_SDRYG( 14, 30) =  0.274267E+00
PKER_SDRYG( 14, 31) =  0.237374E+00
PKER_SDRYG( 14, 32) =  0.204260E+00
PKER_SDRYG( 14, 33) =  0.175765E+00
PKER_SDRYG( 14, 34) =  0.152637E+00
PKER_SDRYG( 14, 35) =  0.135365E+00
PKER_SDRYG( 14, 36) =  0.123949E+00
PKER_SDRYG( 14, 37) =  0.117859E+00
PKER_SDRYG( 14, 38) =  0.116422E+00
PKER_SDRYG( 14, 39) =  0.118727E+00
PKER_SDRYG( 14, 40) =  0.123806E+00
PKER_SDRYG( 14, 41) =  0.130898E+00
PKER_SDRYG( 14, 42) =  0.139254E+00
PKER_SDRYG( 14, 43) =  0.148386E+00
PKER_SDRYG( 14, 44) =  0.157857E+00
PKER_SDRYG( 14, 45) =  0.167407E+00
PKER_SDRYG( 14, 46) =  0.176814E+00
PKER_SDRYG( 14, 47) =  0.185950E+00
PKER_SDRYG( 14, 48) =  0.194744E+00
PKER_SDRYG( 14, 49) =  0.203138E+00
PKER_SDRYG( 14, 50) =  0.211120E+00
PKER_SDRYG( 14, 51) =  0.218676E+00
PKER_SDRYG( 14, 52) =  0.225795E+00
PKER_SDRYG( 14, 53) =  0.232480E+00
PKER_SDRYG( 14, 54) =  0.238754E+00
PKER_SDRYG( 14, 55) =  0.244647E+00
PKER_SDRYG( 14, 56) =  0.250193E+00
PKER_SDRYG( 14, 57) =  0.255414E+00
PKER_SDRYG( 14, 58) =  0.260327E+00
PKER_SDRYG( 14, 59) =  0.264945E+00
PKER_SDRYG( 14, 60) =  0.269277E+00
PKER_SDRYG( 14, 61) =  0.273339E+00
PKER_SDRYG( 14, 62) =  0.277147E+00
PKER_SDRYG( 14, 63) =  0.280716E+00
PKER_SDRYG( 14, 64) =  0.284064E+00
PKER_SDRYG( 14, 65) =  0.287203E+00
PKER_SDRYG( 14, 66) =  0.290149E+00
PKER_SDRYG( 14, 67) =  0.292912E+00
PKER_SDRYG( 14, 68) =  0.295505E+00
PKER_SDRYG( 14, 69) =  0.297939E+00
PKER_SDRYG( 14, 70) =  0.300223E+00
PKER_SDRYG( 14, 71) =  0.302366E+00
PKER_SDRYG( 14, 72) =  0.304379E+00
PKER_SDRYG( 14, 73) =  0.306268E+00
PKER_SDRYG( 14, 74) =  0.308041E+00
PKER_SDRYG( 14, 75) =  0.309706E+00
PKER_SDRYG( 14, 76) =  0.311269E+00
PKER_SDRYG( 14, 77) =  0.312736E+00
PKER_SDRYG( 14, 78) =  0.314114E+00
PKER_SDRYG( 14, 79) =  0.315407E+00
PKER_SDRYG( 14, 80) =  0.316622E+00
PKER_SDRYG( 15,  1) =  0.300103E+01
PKER_SDRYG( 15,  2) =  0.280849E+01
PKER_SDRYG( 15,  3) =  0.262769E+01
PKER_SDRYG( 15,  4) =  0.245790E+01
PKER_SDRYG( 15,  5) =  0.229847E+01
PKER_SDRYG( 15,  6) =  0.214875E+01
PKER_SDRYG( 15,  7) =  0.200814E+01
PKER_SDRYG( 15,  8) =  0.187609E+01
PKER_SDRYG( 15,  9) =  0.175207E+01
PKER_SDRYG( 15, 10) =  0.163559E+01
PKER_SDRYG( 15, 11) =  0.152617E+01
PKER_SDRYG( 15, 12) =  0.142337E+01
PKER_SDRYG( 15, 13) =  0.132679E+01
PKER_SDRYG( 15, 14) =  0.123602E+01
PKER_SDRYG( 15, 15) =  0.115070E+01
PKER_SDRYG( 15, 16) =  0.107047E+01
PKER_SDRYG( 15, 17) =  0.994997E+00
PKER_SDRYG( 15, 18) =  0.923952E+00
PKER_SDRYG( 15, 19) =  0.857028E+00
PKER_SDRYG( 15, 20) =  0.793920E+00
PKER_SDRYG( 15, 21) =  0.734336E+00
PKER_SDRYG( 15, 22) =  0.677982E+00
PKER_SDRYG( 15, 23) =  0.624570E+00
PKER_SDRYG( 15, 24) =  0.573810E+00
PKER_SDRYG( 15, 25) =  0.525415E+00
PKER_SDRYG( 15, 26) =  0.479106E+00
PKER_SDRYG( 15, 27) =  0.434625E+00
PKER_SDRYG( 15, 28) =  0.391766E+00
PKER_SDRYG( 15, 29) =  0.350403E+00
PKER_SDRYG( 15, 30) =  0.310560E+00
PKER_SDRYG( 15, 31) =  0.272465E+00
PKER_SDRYG( 15, 32) =  0.236568E+00
PKER_SDRYG( 15, 33) =  0.203576E+00
PKER_SDRYG( 15, 34) =  0.174281E+00
PKER_SDRYG( 15, 35) =  0.149398E+00
PKER_SDRYG( 15, 36) =  0.129630E+00
PKER_SDRYG( 15, 37) =  0.114988E+00
PKER_SDRYG( 15, 38) =  0.105420E+00
PKER_SDRYG( 15, 39) =  0.100387E+00
PKER_SDRYG( 15, 40) =  0.991260E-01
PKER_SDRYG( 15, 41) =  0.100927E+00
PKER_SDRYG( 15, 42) =  0.105008E+00
PKER_SDRYG( 15, 43) =  0.110722E+00
PKER_SDRYG( 15, 44) =  0.117557E+00
PKER_SDRYG( 15, 45) =  0.125044E+00
PKER_SDRYG( 15, 46) =  0.132897E+00
PKER_SDRYG( 15, 47) =  0.140870E+00
PKER_SDRYG( 15, 48) =  0.148774E+00
PKER_SDRYG( 15, 49) =  0.156516E+00
PKER_SDRYG( 15, 50) =  0.164008E+00
PKER_SDRYG( 15, 51) =  0.171192E+00
PKER_SDRYG( 15, 52) =  0.178051E+00
PKER_SDRYG( 15, 53) =  0.184577E+00
PKER_SDRYG( 15, 54) =  0.190747E+00
PKER_SDRYG( 15, 55) =  0.196565E+00
PKER_SDRYG( 15, 56) =  0.202034E+00
PKER_SDRYG( 15, 57) =  0.207177E+00
PKER_SDRYG( 15, 58) =  0.212021E+00
PKER_SDRYG( 15, 59) =  0.216585E+00
PKER_SDRYG( 15, 60) =  0.220887E+00
PKER_SDRYG( 15, 61) =  0.224936E+00
PKER_SDRYG( 15, 62) =  0.228741E+00
PKER_SDRYG( 15, 63) =  0.232312E+00
PKER_SDRYG( 15, 64) =  0.235662E+00
PKER_SDRYG( 15, 65) =  0.238803E+00
PKER_SDRYG( 15, 66) =  0.241750E+00
PKER_SDRYG( 15, 67) =  0.244514E+00
PKER_SDRYG( 15, 68) =  0.247108E+00
PKER_SDRYG( 15, 69) =  0.249543E+00
PKER_SDRYG( 15, 70) =  0.251827E+00
PKER_SDRYG( 15, 71) =  0.253971E+00
PKER_SDRYG( 15, 72) =  0.255984E+00
PKER_SDRYG( 15, 73) =  0.257873E+00
PKER_SDRYG( 15, 74) =  0.259647E+00
PKER_SDRYG( 15, 75) =  0.261312E+00
PKER_SDRYG( 15, 76) =  0.262875E+00
PKER_SDRYG( 15, 77) =  0.264342E+00
PKER_SDRYG( 15, 78) =  0.265720E+00
PKER_SDRYG( 15, 79) =  0.267013E+00
PKER_SDRYG( 15, 80) =  0.268228E+00
PKER_SDRYG( 16,  1) =  0.302329E+01
PKER_SDRYG( 16,  2) =  0.283075E+01
PKER_SDRYG( 16,  3) =  0.264996E+01
PKER_SDRYG( 16,  4) =  0.248019E+01
PKER_SDRYG( 16,  5) =  0.232076E+01
PKER_SDRYG( 16,  6) =  0.217106E+01
PKER_SDRYG( 16,  7) =  0.203047E+01
PKER_SDRYG( 16,  8) =  0.189845E+01
PKER_SDRYG( 16,  9) =  0.177446E+01
PKER_SDRYG( 16, 10) =  0.165801E+01
PKER_SDRYG( 16, 11) =  0.154864E+01
PKER_SDRYG( 16, 12) =  0.144590E+01
PKER_SDRYG( 16, 13) =  0.134939E+01
PKER_SDRYG( 16, 14) =  0.125871E+01
PKER_SDRYG( 16, 15) =  0.117350E+01
PKER_SDRYG( 16, 16) =  0.109340E+01
PKER_SDRYG( 16, 17) =  0.101809E+01
PKER_SDRYG( 16, 18) =  0.947248E+00
PKER_SDRYG( 16, 19) =  0.880574E+00
PKER_SDRYG( 16, 20) =  0.817777E+00
PKER_SDRYG( 16, 21) =  0.758577E+00
PKER_SDRYG( 16, 22) =  0.702699E+00
PKER_SDRYG( 16, 23) =  0.649873E+00
PKER_SDRYG( 16, 24) =  0.599828E+00
PKER_SDRYG( 16, 25) =  0.552297E+00
PKER_SDRYG( 16, 26) =  0.507010E+00
PKER_SDRYG( 16, 27) =  0.463701E+00
PKER_SDRYG( 16, 28) =  0.422113E+00
PKER_SDRYG( 16, 29) =  0.382023E+00
PKER_SDRYG( 16, 30) =  0.343269E+00
PKER_SDRYG( 16, 31) =  0.305794E+00
PKER_SDRYG( 16, 32) =  0.269715E+00
PKER_SDRYG( 16, 33) =  0.235329E+00
PKER_SDRYG( 16, 34) =  0.203179E+00
PKER_SDRYG( 16, 35) =  0.173939E+00
PKER_SDRYG( 16, 36) =  0.148290E+00
PKER_SDRYG( 16, 37) =  0.126911E+00
PKER_SDRYG( 16, 38) =  0.110074E+00
PKER_SDRYG( 16, 39) =  0.977722E-01
PKER_SDRYG( 16, 40) =  0.897236E-01
PKER_SDRYG( 16, 41) =  0.854547E-01
PKER_SDRYG( 16, 42) =  0.842616E-01
PKER_SDRYG( 16, 43) =  0.855520E-01
PKER_SDRYG( 16, 44) =  0.887781E-01
PKER_SDRYG( 16, 45) =  0.933675E-01
PKER_SDRYG( 16, 46) =  0.989218E-01
PKER_SDRYG( 16, 47) =  0.105082E+00
PKER_SDRYG( 16, 48) =  0.111617E+00
PKER_SDRYG( 16, 49) =  0.118278E+00
PKER_SDRYG( 16, 50) =  0.124959E+00
PKER_SDRYG( 16, 51) =  0.131533E+00
PKER_SDRYG( 16, 52) =  0.137923E+00
PKER_SDRYG( 16, 53) =  0.144095E+00
PKER_SDRYG( 16, 54) =  0.150006E+00
PKER_SDRYG( 16, 55) =  0.155648E+00
PKER_SDRYG( 16, 56) =  0.161010E+00
PKER_SDRYG( 16, 57) =  0.166080E+00
PKER_SDRYG( 16, 58) =  0.170856E+00
PKER_SDRYG( 16, 59) =  0.175353E+00
PKER_SDRYG( 16, 60) =  0.179587E+00
PKER_SDRYG( 16, 61) =  0.183582E+00
PKER_SDRYG( 16, 62) =  0.187351E+00
PKER_SDRYG( 16, 63) =  0.190904E+00
PKER_SDRYG( 16, 64) =  0.194247E+00
PKER_SDRYG( 16, 65) =  0.197388E+00
PKER_SDRYG( 16, 66) =  0.200335E+00
PKER_SDRYG( 16, 67) =  0.203101E+00
PKER_SDRYG( 16, 68) =  0.205696E+00
PKER_SDRYG( 16, 69) =  0.208131E+00
PKER_SDRYG( 16, 70) =  0.210416E+00
PKER_SDRYG( 16, 71) =  0.212560E+00
PKER_SDRYG( 16, 72) =  0.214573E+00
PKER_SDRYG( 16, 73) =  0.216463E+00
PKER_SDRYG( 16, 74) =  0.218237E+00
PKER_SDRYG( 16, 75) =  0.219902E+00
PKER_SDRYG( 16, 76) =  0.221465E+00
PKER_SDRYG( 16, 77) =  0.222933E+00
PKER_SDRYG( 16, 78) =  0.224310E+00
PKER_SDRYG( 16, 79) =  0.225604E+00
PKER_SDRYG( 16, 80) =  0.226819E+00
PKER_SDRYG( 17,  1) =  0.304233E+01
PKER_SDRYG( 17,  2) =  0.284980E+01
PKER_SDRYG( 17,  3) =  0.266901E+01
PKER_SDRYG( 17,  4) =  0.249924E+01
PKER_SDRYG( 17,  5) =  0.233983E+01
PKER_SDRYG( 17,  6) =  0.219014E+01
PKER_SDRYG( 17,  7) =  0.204957E+01
PKER_SDRYG( 17,  8) =  0.191757E+01
PKER_SDRYG( 17,  9) =  0.179360E+01
PKER_SDRYG( 17, 10) =  0.167718E+01
PKER_SDRYG( 17, 11) =  0.156784E+01
PKER_SDRYG( 17, 12) =  0.146515E+01
PKER_SDRYG( 17, 13) =  0.136868E+01
PKER_SDRYG( 17, 14) =  0.127807E+01
PKER_SDRYG( 17, 15) =  0.119293E+01
PKER_SDRYG( 17, 16) =  0.111293E+01
PKER_SDRYG( 17, 17) =  0.103773E+01
PKER_SDRYG( 17, 18) =  0.967037E+00
PKER_SDRYG( 17, 19) =  0.900542E+00
PKER_SDRYG( 17, 20) =  0.837966E+00
PKER_SDRYG( 17, 21) =  0.779040E+00
PKER_SDRYG( 17, 22) =  0.723501E+00
PKER_SDRYG( 17, 23) =  0.671093E+00
PKER_SDRYG( 17, 24) =  0.621566E+00
PKER_SDRYG( 17, 25) =  0.574672E+00
PKER_SDRYG( 17, 26) =  0.530159E+00
PKER_SDRYG( 17, 27) =  0.487780E+00
PKER_SDRYG( 17, 28) =  0.447283E+00
PKER_SDRYG( 17, 29) =  0.408426E+00
PKER_SDRYG( 17, 30) =  0.370984E+00
PKER_SDRYG( 17, 31) =  0.334777E+00
PKER_SDRYG( 17, 32) =  0.299703E+00
PKER_SDRYG( 17, 33) =  0.265795E+00
PKER_SDRYG( 17, 34) =  0.233237E+00
PKER_SDRYG( 17, 35) =  0.202426E+00
PKER_SDRYG( 17, 36) =  0.173914E+00
PKER_SDRYG( 17, 37) =  0.148301E+00
PKER_SDRYG( 17, 38) =  0.126202E+00
PKER_SDRYG( 17, 39) =  0.107984E+00
PKER_SDRYG( 17, 40) =  0.936873E-01
PKER_SDRYG( 17, 41) =  0.833770E-01
PKER_SDRYG( 17, 42) =  0.765063E-01
PKER_SDRYG( 17, 43) =  0.727630E-01
PKER_SDRYG( 17, 44) =  0.715986E-01
PKER_SDRYG( 17, 45) =  0.724633E-01
PKER_SDRYG( 17, 46) =  0.749323E-01
PKER_SDRYG( 17, 47) =  0.785778E-01
PKER_SDRYG( 17, 48) =  0.830719E-01
PKER_SDRYG( 17, 49) =  0.881403E-01
PKER_SDRYG( 17, 50) =  0.935486E-01
PKER_SDRYG( 17, 51) =  0.991378E-01
PKER_SDRYG( 17, 52) =  0.104781E+00
PKER_SDRYG( 17, 53) =  0.110369E+00
PKER_SDRYG( 17, 54) =  0.115842E+00
PKER_SDRYG( 17, 55) =  0.121148E+00
PKER_SDRYG( 17, 56) =  0.126252E+00
PKER_SDRYG( 17, 57) =  0.131138E+00
PKER_SDRYG( 17, 58) =  0.135801E+00
PKER_SDRYG( 17, 59) =  0.140221E+00
PKER_SDRYG( 17, 60) =  0.144398E+00
PKER_SDRYG( 17, 61) =  0.148334E+00
PKER_SDRYG( 17, 62) =  0.152044E+00
PKER_SDRYG( 17, 63) =  0.155543E+00
PKER_SDRYG( 17, 64) =  0.158847E+00
PKER_SDRYG( 17, 65) =  0.161964E+00
PKER_SDRYG( 17, 66) =  0.164902E+00
PKER_SDRYG( 17, 67) =  0.167664E+00
PKER_SDRYG( 17, 68) =  0.170259E+00
PKER_SDRYG( 17, 69) =  0.172695E+00
PKER_SDRYG( 17, 70) =  0.174981E+00
PKER_SDRYG( 17, 71) =  0.177126E+00
PKER_SDRYG( 17, 72) =  0.179139E+00
PKER_SDRYG( 17, 73) =  0.181029E+00
PKER_SDRYG( 17, 74) =  0.182803E+00
PKER_SDRYG( 17, 75) =  0.184468E+00
PKER_SDRYG( 17, 76) =  0.186032E+00
PKER_SDRYG( 17, 77) =  0.187499E+00
PKER_SDRYG( 17, 78) =  0.188877E+00
PKER_SDRYG( 17, 79) =  0.190171E+00
PKER_SDRYG( 17, 80) =  0.191386E+00
PKER_SDRYG( 18,  1) =  0.305861E+01
PKER_SDRYG( 18,  2) =  0.286609E+01
PKER_SDRYG( 18,  3) =  0.268530E+01
PKER_SDRYG( 18,  4) =  0.251555E+01
PKER_SDRYG( 18,  5) =  0.235614E+01
PKER_SDRYG( 18,  6) =  0.220646E+01
PKER_SDRYG( 18,  7) =  0.206590E+01
PKER_SDRYG( 18,  8) =  0.193391E+01
PKER_SDRYG( 18,  9) =  0.180996E+01
PKER_SDRYG( 18, 10) =  0.169356E+01
PKER_SDRYG( 18, 11) =  0.158425E+01
PKER_SDRYG( 18, 12) =  0.148158E+01
PKER_SDRYG( 18, 13) =  0.138516E+01
PKER_SDRYG( 18, 14) =  0.129459E+01
PKER_SDRYG( 18, 15) =  0.120951E+01
PKER_SDRYG( 18, 16) =  0.112957E+01
PKER_SDRYG( 18, 17) =  0.105446E+01
PKER_SDRYG( 18, 18) =  0.983869E+00
PKER_SDRYG( 18, 19) =  0.917502E+00
PKER_SDRYG( 18, 20) =  0.855084E+00
PKER_SDRYG( 18, 21) =  0.796353E+00
PKER_SDRYG( 18, 22) =  0.741055E+00
PKER_SDRYG( 18, 23) =  0.688947E+00
PKER_SDRYG( 18, 24) =  0.639789E+00
PKER_SDRYG( 18, 25) =  0.593351E+00
PKER_SDRYG( 18, 26) =  0.549400E+00
PKER_SDRYG( 18, 27) =  0.507707E+00
PKER_SDRYG( 18, 28) =  0.468042E+00
PKER_SDRYG( 18, 29) =  0.430173E+00
PKER_SDRYG( 18, 30) =  0.393871E+00
PKER_SDRYG( 18, 31) =  0.358924E+00
PKER_SDRYG( 18, 32) =  0.325148E+00
PKER_SDRYG( 18, 33) =  0.292420E+00
PKER_SDRYG( 18, 34) =  0.260716E+00
PKER_SDRYG( 18, 35) =  0.230147E+00
PKER_SDRYG( 18, 36) =  0.200989E+00
PKER_SDRYG( 18, 37) =  0.173670E+00
PKER_SDRYG( 18, 38) =  0.148685E+00
PKER_SDRYG( 18, 39) =  0.126560E+00
PKER_SDRYG( 18, 40) =  0.107668E+00
PKER_SDRYG( 18, 41) =  0.921800E-01
PKER_SDRYG( 18, 42) =  0.801537E-01
PKER_SDRYG( 18, 43) =  0.713567E-01
PKER_SDRYG( 18, 44) =  0.654782E-01
PKER_SDRYG( 18, 45) =  0.621068E-01
PKER_SDRYG( 18, 46) =  0.608901E-01
PKER_SDRYG( 18, 47) =  0.613554E-01
PKER_SDRYG( 18, 48) =  0.631511E-01
PKER_SDRYG( 18, 49) =  0.660247E-01
PKER_SDRYG( 18, 50) =  0.696433E-01
PKER_SDRYG( 18, 51) =  0.737836E-01
PKER_SDRYG( 18, 52) =  0.782701E-01
PKER_SDRYG( 18, 53) =  0.829722E-01
PKER_SDRYG( 18, 54) =  0.877276E-01
PKER_SDRYG( 18, 55) =  0.924938E-01
PKER_SDRYG( 18, 56) =  0.971825E-01
PKER_SDRYG( 18, 57) =  0.101744E+00
PKER_SDRYG( 18, 58) =  0.106160E+00
PKER_SDRYG( 18, 59) =  0.110397E+00
PKER_SDRYG( 18, 60) =  0.114449E+00
PKER_SDRYG( 18, 61) =  0.118307E+00
PKER_SDRYG( 18, 62) =  0.121962E+00
PKER_SDRYG( 18, 63) =  0.125411E+00
PKER_SDRYG( 18, 64) =  0.128663E+00
PKER_SDRYG( 18, 65) =  0.131730E+00
PKER_SDRYG( 18, 66) =  0.134628E+00
PKER_SDRYG( 18, 67) =  0.137364E+00
PKER_SDRYG( 18, 68) =  0.139945E+00
PKER_SDRYG( 18, 69) =  0.142375E+00
PKER_SDRYG( 18, 70) =  0.144660E+00
PKER_SDRYG( 18, 71) =  0.146805E+00
PKER_SDRYG( 18, 72) =  0.148819E+00
PKER_SDRYG( 18, 73) =  0.150709E+00
PKER_SDRYG( 18, 74) =  0.152483E+00
PKER_SDRYG( 18, 75) =  0.154149E+00
PKER_SDRYG( 18, 76) =  0.155712E+00
PKER_SDRYG( 18, 77) =  0.157180E+00
PKER_SDRYG( 18, 78) =  0.158558E+00
PKER_SDRYG( 18, 79) =  0.159852E+00
PKER_SDRYG( 18, 80) =  0.161067E+00
PKER_SDRYG( 19,  1) =  0.307255E+01
PKER_SDRYG( 19,  2) =  0.288003E+01
PKER_SDRYG( 19,  3) =  0.269925E+01
PKER_SDRYG( 19,  4) =  0.252949E+01
PKER_SDRYG( 19,  5) =  0.237010E+01
PKER_SDRYG( 19,  6) =  0.222042E+01
PKER_SDRYG( 19,  7) =  0.207987E+01
PKER_SDRYG( 19,  8) =  0.194789E+01
PKER_SDRYG( 19,  9) =  0.182395E+01
PKER_SDRYG( 19, 10) =  0.170757E+01
PKER_SDRYG( 19, 11) =  0.159827E+01
PKER_SDRYG( 19, 12) =  0.149563E+01
PKER_SDRYG( 19, 13) =  0.139923E+01
PKER_SDRYG( 19, 14) =  0.130869E+01
PKER_SDRYG( 19, 15) =  0.122365E+01
PKER_SDRYG( 19, 16) =  0.114377E+01
PKER_SDRYG( 19, 17) =  0.106872E+01
PKER_SDRYG( 19, 18) =  0.998202E+00
PKER_SDRYG( 19, 19) =  0.931926E+00
PKER_SDRYG( 19, 20) =  0.869623E+00
PKER_SDRYG( 19, 21) =  0.811031E+00
PKER_SDRYG( 19, 22) =  0.755906E+00
PKER_SDRYG( 19, 23) =  0.704011E+00
PKER_SDRYG( 19, 24) =  0.655117E+00
PKER_SDRYG( 19, 25) =  0.609004E+00
PKER_SDRYG( 19, 26) =  0.565455E+00
PKER_SDRYG( 19, 27) =  0.524258E+00
PKER_SDRYG( 19, 28) =  0.485199E+00
PKER_SDRYG( 19, 29) =  0.448065E+00
PKER_SDRYG( 19, 30) =  0.412644E+00
PKER_SDRYG( 19, 31) =  0.378726E+00
PKER_SDRYG( 19, 32) =  0.346109E+00
PKER_SDRYG( 19, 33) =  0.314617E+00
PKER_SDRYG( 19, 34) =  0.284120E+00
PKER_SDRYG( 19, 35) =  0.254566E+00
PKER_SDRYG( 19, 36) =  0.226009E+00
PKER_SDRYG( 19, 37) =  0.198643E+00
PKER_SDRYG( 19, 38) =  0.172786E+00
PKER_SDRYG( 19, 39) =  0.148830E+00
PKER_SDRYG( 19, 40) =  0.127216E+00
PKER_SDRYG( 19, 41) =  0.108286E+00
PKER_SDRYG( 19, 42) =  0.922237E-01
PKER_SDRYG( 19, 43) =  0.791616E-01
PKER_SDRYG( 19, 44) =  0.689769E-01
PKER_SDRYG( 19, 45) =  0.613748E-01
PKER_SDRYG( 19, 46) =  0.562746E-01
PKER_SDRYG( 19, 47) =  0.531554E-01
PKER_SDRYG( 19, 48) =  0.518361E-01
PKER_SDRYG( 19, 49) =  0.519775E-01
PKER_SDRYG( 19, 50) =  0.532667E-01
PKER_SDRYG( 19, 51) =  0.554628E-01
PKER_SDRYG( 19, 52) =  0.583379E-01
PKER_SDRYG( 19, 53) =  0.617174E-01
PKER_SDRYG( 19, 54) =  0.654271E-01
PKER_SDRYG( 19, 55) =  0.693467E-01
PKER_SDRYG( 19, 56) =  0.733724E-01
PKER_SDRYG( 19, 57) =  0.774227E-01
PKER_SDRYG( 19, 58) =  0.814369E-01
PKER_SDRYG( 19, 59) =  0.853677E-01
PKER_SDRYG( 19, 60) =  0.891824E-01
PKER_SDRYG( 19, 61) =  0.928586E-01
PKER_SDRYG( 19, 62) =  0.963820E-01
PKER_SDRYG( 19, 63) =  0.997497E-01
PKER_SDRYG( 19, 64) =  0.102946E+00
PKER_SDRYG( 19, 65) =  0.105969E+00
PKER_SDRYG( 19, 66) =  0.108823E+00
PKER_SDRYG( 19, 67) =  0.111515E+00
PKER_SDRYG( 19, 68) =  0.114057E+00
PKER_SDRYG( 19, 69) =  0.116458E+00
PKER_SDRYG( 19, 70) =  0.118726E+00
PKER_SDRYG( 19, 71) =  0.120863E+00
PKER_SDRYG( 19, 72) =  0.122875E+00
PKER_SDRYG( 19, 73) =  0.124765E+00
PKER_SDRYG( 19, 74) =  0.126539E+00
PKER_SDRYG( 19, 75) =  0.128205E+00
PKER_SDRYG( 19, 76) =  0.129769E+00
PKER_SDRYG( 19, 77) =  0.131237E+00
PKER_SDRYG( 19, 78) =  0.132615E+00
PKER_SDRYG( 19, 79) =  0.133909E+00
PKER_SDRYG( 19, 80) =  0.135123E+00
PKER_SDRYG( 20,  1) =  0.308447E+01
PKER_SDRYG( 20,  2) =  0.289195E+01
PKER_SDRYG( 20,  3) =  0.271117E+01
PKER_SDRYG( 20,  4) =  0.254143E+01
PKER_SDRYG( 20,  5) =  0.238203E+01
PKER_SDRYG( 20,  6) =  0.223236E+01
PKER_SDRYG( 20,  7) =  0.209182E+01
PKER_SDRYG( 20,  8) =  0.195984E+01
PKER_SDRYG( 20,  9) =  0.183591E+01
PKER_SDRYG( 20, 10) =  0.171954E+01
PKER_SDRYG( 20, 11) =  0.161026E+01
PKER_SDRYG( 20, 12) =  0.150763E+01
PKER_SDRYG( 20, 13) =  0.141126E+01
PKER_SDRYG( 20, 14) =  0.132074E+01
PKER_SDRYG( 20, 15) =  0.123573E+01
PKER_SDRYG( 20, 16) =  0.115588E+01
PKER_SDRYG( 20, 17) =  0.108088E+01
PKER_SDRYG( 20, 18) =  0.101042E+01
PKER_SDRYG( 20, 19) =  0.944207E+00
PKER_SDRYG( 20, 20) =  0.881986E+00
PKER_SDRYG( 20, 21) =  0.823495E+00
PKER_SDRYG( 20, 22) =  0.768494E+00
PKER_SDRYG( 20, 23) =  0.716752E+00
PKER_SDRYG( 20, 24) =  0.668047E+00
PKER_SDRYG( 20, 25) =  0.622167E+00
PKER_SDRYG( 20, 26) =  0.578906E+00
PKER_SDRYG( 20, 27) =  0.538063E+00
PKER_SDRYG( 20, 28) =  0.499440E+00
PKER_SDRYG( 20, 29) =  0.462841E+00
PKER_SDRYG( 20, 30) =  0.428070E+00
PKER_SDRYG( 20, 31) =  0.394930E+00
PKER_SDRYG( 20, 32) =  0.363228E+00
PKER_SDRYG( 20, 33) =  0.332779E+00
PKER_SDRYG( 20, 34) =  0.303417E+00
PKER_SDRYG( 20, 35) =  0.275014E+00
PKER_SDRYG( 20, 36) =  0.247503E+00
PKER_SDRYG( 20, 37) =  0.220909E+00
PKER_SDRYG( 20, 38) =  0.195362E+00
PKER_SDRYG( 20, 39) =  0.171100E+00
PKER_SDRYG( 20, 40) =  0.148434E+00
PKER_SDRYG( 20, 41) =  0.127703E+00
PKER_SDRYG( 20, 42) =  0.109201E+00
PKER_SDRYG( 20, 43) =  0.931127E-01
PKER_SDRYG( 20, 44) =  0.795450E-01
PKER_SDRYG( 20, 45) =  0.684619E-01
PKER_SDRYG( 20, 46) =  0.597138E-01
PKER_SDRYG( 20, 47) =  0.531640E-01
PKER_SDRYG( 20, 48) =  0.485713E-01
PKER_SDRYG( 20, 49) =  0.457023E-01
PKER_SDRYG( 20, 50) =  0.442778E-01
PKER_SDRYG( 20, 51) =  0.441239E-01
PKER_SDRYG( 20, 52) =  0.449550E-01
PKER_SDRYG( 20, 53) =  0.465614E-01
PKER_SDRYG( 20, 54) =  0.488440E-01
PKER_SDRYG( 20, 55) =  0.515730E-01
PKER_SDRYG( 20, 56) =  0.546214E-01
PKER_SDRYG( 20, 57) =  0.578936E-01
PKER_SDRYG( 20, 58) =  0.612990E-01
PKER_SDRYG( 20, 59) =  0.647325E-01
PKER_SDRYG( 20, 60) =  0.681741E-01
PKER_SDRYG( 20, 61) =  0.715569E-01
PKER_SDRYG( 20, 62) =  0.748508E-01
PKER_SDRYG( 20, 63) =  0.780435E-01
PKER_SDRYG( 20, 64) =  0.811089E-01
PKER_SDRYG( 20, 65) =  0.840439E-01
PKER_SDRYG( 20, 66) =  0.868407E-01
PKER_SDRYG( 20, 67) =  0.894925E-01
PKER_SDRYG( 20, 68) =  0.919967E-01
PKER_SDRYG( 20, 69) =  0.943597E-01
PKER_SDRYG( 20, 70) =  0.965903E-01
PKER_SDRYG( 20, 71) =  0.986983E-01
PKER_SDRYG( 20, 72) =  0.100690E+00
PKER_SDRYG( 20, 73) =  0.102570E+00
PKER_SDRYG( 20, 74) =  0.104341E+00
PKER_SDRYG( 20, 75) =  0.106005E+00
PKER_SDRYG( 20, 76) =  0.107569E+00
PKER_SDRYG( 20, 77) =  0.109037E+00
PKER_SDRYG( 20, 78) =  0.110416E+00
PKER_SDRYG( 20, 79) =  0.111710E+00
PKER_SDRYG( 20, 80) =  0.112924E+00
PKER_SDRYG( 21,  1) =  0.309467E+01
PKER_SDRYG( 21,  2) =  0.290215E+01
PKER_SDRYG( 21,  3) =  0.272138E+01
PKER_SDRYG( 21,  4) =  0.255163E+01
PKER_SDRYG( 21,  5) =  0.239224E+01
PKER_SDRYG( 21,  6) =  0.224257E+01
PKER_SDRYG( 21,  7) =  0.210203E+01
PKER_SDRYG( 21,  8) =  0.197007E+01
PKER_SDRYG( 21,  9) =  0.184615E+01
PKER_SDRYG( 21, 10) =  0.172978E+01
PKER_SDRYG( 21, 11) =  0.162051E+01
PKER_SDRYG( 21, 12) =  0.151789E+01
PKER_SDRYG( 21, 13) =  0.142153E+01
PKER_SDRYG( 21, 14) =  0.133104E+01
PKER_SDRYG( 21, 15) =  0.124605E+01
PKER_SDRYG( 21, 16) =  0.116623E+01
PKER_SDRYG( 21, 17) =  0.109126E+01
PKER_SDRYG( 21, 18) =  0.102083E+01
PKER_SDRYG( 21, 19) =  0.954672E+00
PKER_SDRYG( 21, 20) =  0.892510E+00
PKER_SDRYG( 21, 21) =  0.834093E+00
PKER_SDRYG( 21, 22) =  0.779182E+00
PKER_SDRYG( 21, 23) =  0.727550E+00
PKER_SDRYG( 21, 24) =  0.678981E+00
PKER_SDRYG( 21, 25) =  0.633268E+00
PKER_SDRYG( 21, 26) =  0.590214E+00
PKER_SDRYG( 21, 27) =  0.549625E+00
PKER_SDRYG( 21, 28) =  0.511316E+00
PKER_SDRYG( 21, 29) =  0.475102E+00
PKER_SDRYG( 21, 30) =  0.440802E+00
PKER_SDRYG( 21, 31) =  0.408235E+00
PKER_SDRYG( 21, 32) =  0.377220E+00
PKER_SDRYG( 21, 33) =  0.347581E+00
PKER_SDRYG( 21, 34) =  0.319145E+00
PKER_SDRYG( 21, 35) =  0.291760E+00
PKER_SDRYG( 21, 36) =  0.265305E+00
PKER_SDRYG( 21, 37) =  0.239708E+00
PKER_SDRYG( 21, 38) =  0.214974E+00
PKER_SDRYG( 21, 39) =  0.191196E+00
PKER_SDRYG( 21, 40) =  0.168553E+00
PKER_SDRYG( 21, 41) =  0.147284E+00
PKER_SDRYG( 21, 42) =  0.127658E+00
PKER_SDRYG( 21, 43) =  0.109904E+00
PKER_SDRYG( 21, 44) =  0.941689E-01
PKER_SDRYG( 21, 45) =  0.805651E-01
PKER_SDRYG( 21, 46) =  0.690716E-01
PKER_SDRYG( 21, 47) =  0.595900E-01
PKER_SDRYG( 21, 48) =  0.520709E-01
PKER_SDRYG( 21, 49) =  0.463366E-01
PKER_SDRYG( 21, 50) =  0.421453E-01
PKER_SDRYG( 21, 51) =  0.394599E-01
PKER_SDRYG( 21, 52) =  0.379410E-01
PKER_SDRYG( 21, 53) =  0.375222E-01
PKER_SDRYG( 21, 54) =  0.379878E-01
PKER_SDRYG( 21, 55) =  0.391684E-01
PKER_SDRYG( 21, 56) =  0.409134E-01
PKER_SDRYG( 21, 57) =  0.430879E-01
PKER_SDRYG( 21, 58) =  0.455943E-01
PKER_SDRYG( 21, 59) =  0.483097E-01
PKER_SDRYG( 21, 60) =  0.511611E-01
PKER_SDRYG( 21, 61) =  0.540832E-01
PKER_SDRYG( 21, 62) =  0.570182E-01
PKER_SDRYG( 21, 63) =  0.599262E-01
PKER_SDRYG( 21, 64) =  0.627739E-01
PKER_SDRYG( 21, 65) =  0.655385E-01
PKER_SDRYG( 21, 66) =  0.682053E-01
PKER_SDRYG( 21, 67) =  0.707625E-01
PKER_SDRYG( 21, 68) =  0.732087E-01
PKER_SDRYG( 21, 69) =  0.755315E-01
PKER_SDRYG( 21, 70) =  0.777294E-01
PKER_SDRYG( 21, 71) =  0.798052E-01
PKER_SDRYG( 21, 72) =  0.817651E-01
PKER_SDRYG( 21, 73) =  0.836157E-01
PKER_SDRYG( 21, 74) =  0.853654E-01
PKER_SDRYG( 21, 75) =  0.870178E-01
PKER_SDRYG( 21, 76) =  0.885760E-01
PKER_SDRYG( 21, 77) =  0.900423E-01
PKER_SDRYG( 21, 78) =  0.914203E-01
PKER_SDRYG( 21, 79) =  0.927143E-01
PKER_SDRYG( 21, 80) =  0.939293E-01
PKER_SDRYG( 22,  1) =  0.310340E+01
PKER_SDRYG( 22,  2) =  0.291088E+01
PKER_SDRYG( 22,  3) =  0.273011E+01
PKER_SDRYG( 22,  4) =  0.256036E+01
PKER_SDRYG( 22,  5) =  0.240098E+01
PKER_SDRYG( 22,  6) =  0.225131E+01
PKER_SDRYG( 22,  7) =  0.211078E+01
PKER_SDRYG( 22,  8) =  0.197881E+01
PKER_SDRYG( 22,  9) =  0.185490E+01
PKER_SDRYG( 22, 10) =  0.173854E+01
PKER_SDRYG( 22, 11) =  0.162927E+01
PKER_SDRYG( 22, 12) =  0.152667E+01
PKER_SDRYG( 22, 13) =  0.143032E+01
PKER_SDRYG( 22, 14) =  0.133984E+01
PKER_SDRYG( 22, 15) =  0.125486E+01
PKER_SDRYG( 22, 16) =  0.117506E+01
PKER_SDRYG( 22, 17) =  0.110011E+01
PKER_SDRYG( 22, 18) =  0.102972E+01
PKER_SDRYG( 22, 19) =  0.963596E+00
PKER_SDRYG( 22, 20) =  0.901477E+00
PKER_SDRYG( 22, 21) =  0.843114E+00
PKER_SDRYG( 22, 22) =  0.788268E+00
PKER_SDRYG( 22, 23) =  0.736716E+00
PKER_SDRYG( 22, 24) =  0.688246E+00
PKER_SDRYG( 22, 25) =  0.642654E+00
PKER_SDRYG( 22, 26) =  0.599749E+00
PKER_SDRYG( 22, 27) =  0.559343E+00
PKER_SDRYG( 22, 28) =  0.521260E+00
PKER_SDRYG( 22, 29) =  0.485324E+00
PKER_SDRYG( 22, 30) =  0.451364E+00
PKER_SDRYG( 22, 31) =  0.419213E+00
PKER_SDRYG( 22, 32) =  0.388704E+00
PKER_SDRYG( 22, 33) =  0.359670E+00
PKER_SDRYG( 22, 34) =  0.331948E+00
PKER_SDRYG( 22, 35) =  0.305382E+00
PKER_SDRYG( 22, 36) =  0.279831E+00
PKER_SDRYG( 22, 37) =  0.255180E+00
PKER_SDRYG( 22, 38) =  0.231361E+00
PKER_SDRYG( 22, 39) =  0.208367E+00
PKER_SDRYG( 22, 40) =  0.186266E+00
PKER_SDRYG( 22, 41) =  0.165198E+00
PKER_SDRYG( 22, 42) =  0.145353E+00
PKER_SDRYG( 22, 43) =  0.126934E+00
PKER_SDRYG( 22, 44) =  0.110117E+00
PKER_SDRYG( 22, 45) =  0.950242E-01
PKER_SDRYG( 22, 46) =  0.817187E-01
PKER_SDRYG( 22, 47) =  0.701989E-01
PKER_SDRYG( 22, 48) =  0.604077E-01
PKER_SDRYG( 22, 49) =  0.522862E-01
PKER_SDRYG( 22, 50) =  0.457355E-01
PKER_SDRYG( 22, 51) =  0.406096E-01
PKER_SDRYG( 22, 52) =  0.368134E-01
PKER_SDRYG( 22, 53) =  0.342156E-01
PKER_SDRYG( 22, 54) =  0.326793E-01
PKER_SDRYG( 22, 55) =  0.320323E-01
PKER_SDRYG( 22, 56) =  0.321937E-01
PKER_SDRYG( 22, 57) =  0.329850E-01
PKER_SDRYG( 22, 58) =  0.342698E-01
PKER_SDRYG( 22, 59) =  0.360064E-01
PKER_SDRYG( 22, 60) =  0.380365E-01
PKER_SDRYG( 22, 61) =  0.402760E-01
PKER_SDRYG( 22, 62) =  0.426662E-01
PKER_SDRYG( 22, 63) =  0.451444E-01
PKER_SDRYG( 22, 64) =  0.476417E-01
PKER_SDRYG( 22, 65) =  0.501412E-01
PKER_SDRYG( 22, 66) =  0.525978E-01
PKER_SDRYG( 22, 67) =  0.549924E-01
PKER_SDRYG( 22, 68) =  0.573119E-01
PKER_SDRYG( 22, 69) =  0.595407E-01
PKER_SDRYG( 22, 70) =  0.616759E-01
PKER_SDRYG( 22, 71) =  0.637106E-01
PKER_SDRYG( 22, 72) =  0.656407E-01
PKER_SDRYG( 22, 73) =  0.674641E-01
PKER_SDRYG( 22, 74) =  0.691851E-01
PKER_SDRYG( 22, 75) =  0.708107E-01
PKER_SDRYG( 22, 76) =  0.723473E-01
PKER_SDRYG( 22, 77) =  0.737996E-01
PKER_SDRYG( 22, 78) =  0.751703E-01
PKER_SDRYG( 22, 79) =  0.764615E-01
PKER_SDRYG( 22, 80) =  0.776757E-01
PKER_SDRYG( 23,  1) =  0.311087E+01
PKER_SDRYG( 23,  2) =  0.291835E+01
PKER_SDRYG( 23,  3) =  0.273758E+01
PKER_SDRYG( 23,  4) =  0.256784E+01
PKER_SDRYG( 23,  5) =  0.240845E+01
PKER_SDRYG( 23,  6) =  0.225879E+01
PKER_SDRYG( 23,  7) =  0.211825E+01
PKER_SDRYG( 23,  8) =  0.198629E+01
PKER_SDRYG( 23,  9) =  0.186238E+01
PKER_SDRYG( 23, 10) =  0.174603E+01
PKER_SDRYG( 23, 11) =  0.163677E+01
PKER_SDRYG( 23, 12) =  0.153417E+01
PKER_SDRYG( 23, 13) =  0.143783E+01
PKER_SDRYG( 23, 14) =  0.134736E+01
PKER_SDRYG( 23, 15) =  0.126240E+01
PKER_SDRYG( 23, 16) =  0.118261E+01
PKER_SDRYG( 23, 17) =  0.110768E+01
PKER_SDRYG( 23, 18) =  0.103731E+01
PKER_SDRYG( 23, 19) =  0.971209E+00
PKER_SDRYG( 23, 20) =  0.909123E+00
PKER_SDRYG( 23, 21) =  0.850799E+00
PKER_SDRYG( 23, 22) =  0.796001E+00
PKER_SDRYG( 23, 23) =  0.744508E+00
PKER_SDRYG( 23, 24) =  0.696109E+00
PKER_SDRYG( 23, 25) =  0.650606E+00
PKER_SDRYG( 23, 26) =  0.607808E+00
PKER_SDRYG( 23, 27) =  0.567535E+00
PKER_SDRYG( 23, 28) =  0.529615E+00
PKER_SDRYG( 23, 29) =  0.493879E+00
PKER_SDRYG( 23, 30) =  0.460166E+00
PKER_SDRYG( 23, 31) =  0.428317E+00
PKER_SDRYG( 23, 32) =  0.398176E+00
PKER_SDRYG( 23, 33) =  0.369589E+00
PKER_SDRYG( 23, 34) =  0.342402E+00
PKER_SDRYG( 23, 35) =  0.316466E+00
PKER_SDRYG( 23, 36) =  0.291637E+00
PKER_SDRYG( 23, 37) =  0.267784E+00
PKER_SDRYG( 23, 38) =  0.244803E+00
PKER_SDRYG( 23, 39) =  0.222628E+00
PKER_SDRYG( 23, 40) =  0.201247E+00
PKER_SDRYG( 23, 41) =  0.180713E+00
PKER_SDRYG( 23, 42) =  0.161137E+00
PKER_SDRYG( 23, 43) =  0.142671E+00
PKER_SDRYG( 23, 44) =  0.125476E+00
PKER_SDRYG( 23, 45) =  0.109687E+00
PKER_SDRYG( 23, 46) =  0.953871E-01
PKER_SDRYG( 23, 47) =  0.826169E-01
PKER_SDRYG( 23, 48) =  0.713617E-01
PKER_SDRYG( 23, 49) =  0.615668E-01
PKER_SDRYG( 23, 50) =  0.531991E-01
PKER_SDRYG( 23, 51) =  0.461730E-01
PKER_SDRYG( 23, 52) =  0.403882E-01
PKER_SDRYG( 23, 53) =  0.358096E-01
PKER_SDRYG( 23, 54) =  0.323398E-01
PKER_SDRYG( 23, 55) =  0.298278E-01
PKER_SDRYG( 23, 56) =  0.282645E-01
PKER_SDRYG( 23, 57) =  0.274478E-01
PKER_SDRYG( 23, 58) =  0.273472E-01
PKER_SDRYG( 23, 59) =  0.278235E-01
PKER_SDRYG( 23, 60) =  0.287808E-01
PKER_SDRYG( 23, 61) =  0.301115E-01
PKER_SDRYG( 23, 62) =  0.317312E-01
PKER_SDRYG( 23, 63) =  0.335818E-01
PKER_SDRYG( 23, 64) =  0.355711E-01
PKER_SDRYG( 23, 65) =  0.376525E-01
PKER_SDRYG( 23, 66) =  0.397832E-01
PKER_SDRYG( 23, 67) =  0.419209E-01
PKER_SDRYG( 23, 68) =  0.440372E-01
PKER_SDRYG( 23, 69) =  0.461097E-01
PKER_SDRYG( 23, 70) =  0.481216E-01
PKER_SDRYG( 23, 71) =  0.500634E-01
PKER_SDRYG( 23, 72) =  0.519255E-01
PKER_SDRYG( 23, 73) =  0.537073E-01
PKER_SDRYG( 23, 74) =  0.553996E-01
PKER_SDRYG( 23, 75) =  0.570010E-01
PKER_SDRYG( 23, 76) =  0.585138E-01
PKER_SDRYG( 23, 77) =  0.599425E-01
PKER_SDRYG( 23, 78) =  0.612921E-01
PKER_SDRYG( 23, 79) =  0.625682E-01
PKER_SDRYG( 23, 80) =  0.637735E-01
PKER_SDRYG( 24,  1) =  0.311725E+01
PKER_SDRYG( 24,  2) =  0.292474E+01
PKER_SDRYG( 24,  3) =  0.274397E+01
PKER_SDRYG( 24,  4) =  0.257423E+01
PKER_SDRYG( 24,  5) =  0.241484E+01
PKER_SDRYG( 24,  6) =  0.226518E+01
PKER_SDRYG( 24,  7) =  0.212465E+01
PKER_SDRYG( 24,  8) =  0.199269E+01
PKER_SDRYG( 24,  9) =  0.186878E+01
PKER_SDRYG( 24, 10) =  0.175243E+01
PKER_SDRYG( 24, 11) =  0.164318E+01
PKER_SDRYG( 24, 12) =  0.154059E+01
PKER_SDRYG( 24, 13) =  0.144425E+01
PKER_SDRYG( 24, 14) =  0.135379E+01
PKER_SDRYG( 24, 15) =  0.126883E+01
PKER_SDRYG( 24, 16) =  0.118906E+01
PKER_SDRYG( 24, 17) =  0.111414E+01
PKER_SDRYG( 24, 18) =  0.104379E+01
PKER_SDRYG( 24, 19) =  0.977708E+00
PKER_SDRYG( 24, 20) =  0.915646E+00
PKER_SDRYG( 24, 21) =  0.857350E+00
PKER_SDRYG( 24, 22) =  0.802588E+00
PKER_SDRYG( 24, 23) =  0.751138E+00
PKER_SDRYG( 24, 24) =  0.702792E+00
PKER_SDRYG( 24, 25) =  0.657353E+00
PKER_SDRYG( 24, 26) =  0.614634E+00
PKER_SDRYG( 24, 27) =  0.574458E+00
PKER_SDRYG( 24, 28) =  0.536656E+00
PKER_SDRYG( 24, 29) =  0.501065E+00
PKER_SDRYG( 24, 30) =  0.467530E+00
PKER_SDRYG( 24, 31) =  0.435900E+00
PKER_SDRYG( 24, 32) =  0.406028E+00
PKER_SDRYG( 24, 33) =  0.377767E+00
PKER_SDRYG( 24, 34) =  0.350976E+00
PKER_SDRYG( 24, 35) =  0.325513E+00
PKER_SDRYG( 24, 36) =  0.301240E+00
PKER_SDRYG( 24, 37) =  0.278025E+00
PKER_SDRYG( 24, 38) =  0.255748E+00
PKER_SDRYG( 24, 39) =  0.234312E+00
PKER_SDRYG( 24, 40) =  0.213656E+00
PKER_SDRYG( 24, 41) =  0.193765E+00
PKER_SDRYG( 24, 42) =  0.174681E+00
PKER_SDRYG( 24, 43) =  0.156497E+00
PKER_SDRYG( 24, 44) =  0.139338E+00
PKER_SDRYG( 24, 45) =  0.123333E+00
PKER_SDRYG( 24, 46) =  0.108586E+00
PKER_SDRYG( 24, 47) =  0.951564E-01
PKER_SDRYG( 24, 48) =  0.830549E-01
PKER_SDRYG( 24, 49) =  0.722530E-01
PKER_SDRYG( 24, 50) =  0.627027E-01
PKER_SDRYG( 24, 51) =  0.543516E-01
PKER_SDRYG( 24, 52) =  0.471379E-01
PKER_SDRYG( 24, 53) =  0.410008E-01
PKER_SDRYG( 24, 54) =  0.358942E-01
PKER_SDRYG( 24, 55) =  0.317729E-01
PKER_SDRYG( 24, 56) =  0.285445E-01
PKER_SDRYG( 24, 57) =  0.261582E-01
PKER_SDRYG( 24, 58) =  0.245542E-01
PKER_SDRYG( 24, 59) =  0.236475E-01
PKER_SDRYG( 24, 60) =  0.233281E-01
PKER_SDRYG( 24, 61) =  0.235527E-01
PKER_SDRYG( 24, 62) =  0.242044E-01
PKER_SDRYG( 24, 63) =  0.251935E-01
PKER_SDRYG( 24, 64) =  0.264894E-01
PKER_SDRYG( 24, 65) =  0.279912E-01
PKER_SDRYG( 24, 66) =  0.296368E-01
PKER_SDRYG( 24, 67) =  0.313850E-01
PKER_SDRYG( 24, 68) =  0.331947E-01
PKER_SDRYG( 24, 69) =  0.350172E-01
PKER_SDRYG( 24, 70) =  0.368385E-01
PKER_SDRYG( 24, 71) =  0.386288E-01
PKER_SDRYG( 24, 72) =  0.403749E-01
PKER_SDRYG( 24, 73) =  0.420647E-01
PKER_SDRYG( 24, 74) =  0.436892E-01
PKER_SDRYG( 24, 75) =  0.452460E-01
PKER_SDRYG( 24, 76) =  0.467291E-01
PKER_SDRYG( 24, 77) =  0.481362E-01
PKER_SDRYG( 24, 78) =  0.494656E-01
PKER_SDRYG( 24, 79) =  0.507207E-01
PKER_SDRYG( 24, 80) =  0.519066E-01
PKER_SDRYG( 25,  1) =  0.312272E+01
PKER_SDRYG( 25,  2) =  0.293021E+01
PKER_SDRYG( 25,  3) =  0.274944E+01
PKER_SDRYG( 25,  4) =  0.257970E+01
PKER_SDRYG( 25,  5) =  0.242031E+01
PKER_SDRYG( 25,  6) =  0.227065E+01
PKER_SDRYG( 25,  7) =  0.213012E+01
PKER_SDRYG( 25,  8) =  0.199817E+01
PKER_SDRYG( 25,  9) =  0.187426E+01
PKER_SDRYG( 25, 10) =  0.175791E+01
PKER_SDRYG( 25, 11) =  0.164866E+01
PKER_SDRYG( 25, 12) =  0.154607E+01
PKER_SDRYG( 25, 13) =  0.144974E+01
PKER_SDRYG( 25, 14) =  0.135928E+01
PKER_SDRYG( 25, 15) =  0.127434E+01
PKER_SDRYG( 25, 16) =  0.119457E+01
PKER_SDRYG( 25, 17) =  0.111967E+01
PKER_SDRYG( 25, 18) =  0.104932E+01
PKER_SDRYG( 25, 19) =  0.983257E+00
PKER_SDRYG( 25, 20) =  0.921213E+00
PKER_SDRYG( 25, 21) =  0.862939E+00
PKER_SDRYG( 25, 22) =  0.808203E+00
PKER_SDRYG( 25, 23) =  0.756785E+00
PKER_SDRYG( 25, 24) =  0.708478E+00
PKER_SDRYG( 25, 25) =  0.663086E+00
PKER_SDRYG( 25, 26) =  0.620425E+00
PKER_SDRYG( 25, 27) =  0.580319E+00
PKER_SDRYG( 25, 28) =  0.542604E+00
PKER_SDRYG( 25, 29) =  0.507119E+00
PKER_SDRYG( 25, 30) =  0.473714E+00
PKER_SDRYG( 25, 31) =  0.442243E+00
PKER_SDRYG( 25, 32) =  0.412566E+00
PKER_SDRYG( 25, 33) =  0.384544E+00
PKER_SDRYG( 25, 34) =  0.358043E+00
PKER_SDRYG( 25, 35) =  0.332931E+00
PKER_SDRYG( 25, 36) =  0.309077E+00
PKER_SDRYG( 25, 37) =  0.286354E+00
PKER_SDRYG( 25, 38) =  0.264640E+00
PKER_SDRYG( 25, 39) =  0.243825E+00
PKER_SDRYG( 25, 40) =  0.223821E+00
PKER_SDRYG( 25, 41) =  0.204568E+00
PKER_SDRYG( 25, 42) =  0.186052E+00
PKER_SDRYG( 25, 43) =  0.168306E+00
PKER_SDRYG( 25, 44) =  0.151409E+00
PKER_SDRYG( 25, 45) =  0.135468E+00
PKER_SDRYG( 25, 46) =  0.120590E+00
PKER_SDRYG( 25, 47) =  0.106855E+00
PKER_SDRYG( 25, 48) =  0.943025E-01
PKER_SDRYG( 25, 49) =  0.829276E-01
PKER_SDRYG( 25, 50) =  0.726914E-01
PKER_SDRYG( 25, 51) =  0.635357E-01
PKER_SDRYG( 25, 52) =  0.554038E-01
PKER_SDRYG( 25, 53) =  0.482351E-01
PKER_SDRYG( 25, 54) =  0.419759E-01
PKER_SDRYG( 25, 55) =  0.365989E-01
PKER_SDRYG( 25, 56) =  0.320611E-01
PKER_SDRYG( 25, 57) =  0.283066E-01
PKER_SDRYG( 25, 58) =  0.253217E-01
PKER_SDRYG( 25, 59) =  0.230681E-01
PKER_SDRYG( 25, 60) =  0.214485E-01
PKER_SDRYG( 25, 61) =  0.204594E-01
PKER_SDRYG( 25, 62) =  0.199802E-01
PKER_SDRYG( 25, 63) =  0.199893E-01
PKER_SDRYG( 25, 64) =  0.203928E-01
PKER_SDRYG( 25, 65) =  0.211342E-01
PKER_SDRYG( 25, 66) =  0.221323E-01
PKER_SDRYG( 25, 67) =  0.233322E-01
PKER_SDRYG( 25, 68) =  0.246954E-01
PKER_SDRYG( 25, 69) =  0.261541E-01
PKER_SDRYG( 25, 70) =  0.276764E-01
PKER_SDRYG( 25, 71) =  0.292337E-01
PKER_SDRYG( 25, 72) =  0.307948E-01
PKER_SDRYG( 25, 73) =  0.323388E-01
PKER_SDRYG( 25, 74) =  0.338507E-01
PKER_SDRYG( 25, 75) =  0.353179E-01
PKER_SDRYG( 25, 76) =  0.367344E-01
PKER_SDRYG( 25, 77) =  0.380928E-01
PKER_SDRYG( 25, 78) =  0.393925E-01
PKER_SDRYG( 25, 79) =  0.406269E-01
PKER_SDRYG( 25, 80) =  0.417949E-01
PKER_SDRYG( 26,  1) =  0.312740E+01
PKER_SDRYG( 26,  2) =  0.293488E+01
PKER_SDRYG( 26,  3) =  0.275412E+01
PKER_SDRYG( 26,  4) =  0.258438E+01
PKER_SDRYG( 26,  5) =  0.242499E+01
PKER_SDRYG( 26,  6) =  0.227533E+01
PKER_SDRYG( 26,  7) =  0.213481E+01
PKER_SDRYG( 26,  8) =  0.200285E+01
PKER_SDRYG( 26,  9) =  0.187895E+01
PKER_SDRYG( 26, 10) =  0.176260E+01
PKER_SDRYG( 26, 11) =  0.165335E+01
PKER_SDRYG( 26, 12) =  0.155077E+01
PKER_SDRYG( 26, 13) =  0.145444E+01
PKER_SDRYG( 26, 14) =  0.136398E+01
PKER_SDRYG( 26, 15) =  0.127904E+01
PKER_SDRYG( 26, 16) =  0.119928E+01
PKER_SDRYG( 26, 17) =  0.112439E+01
PKER_SDRYG( 26, 18) =  0.105405E+01
PKER_SDRYG( 26, 19) =  0.987997E+00
PKER_SDRYG( 26, 20) =  0.925966E+00
PKER_SDRYG( 26, 21) =  0.867709E+00
PKER_SDRYG( 26, 22) =  0.812992E+00
PKER_SDRYG( 26, 23) =  0.761598E+00
PKER_SDRYG( 26, 24) =  0.713319E+00
PKER_SDRYG( 26, 25) =  0.667963E+00
PKER_SDRYG( 26, 26) =  0.625344E+00
PKER_SDRYG( 26, 27) =  0.585291E+00
PKER_SDRYG( 26, 28) =  0.547639E+00
PKER_SDRYG( 26, 29) =  0.512232E+00
PKER_SDRYG( 26, 30) =  0.478922E+00
PKER_SDRYG( 26, 31) =  0.447567E+00
PKER_SDRYG( 26, 32) =  0.418032E+00
PKER_SDRYG( 26, 33) =  0.390184E+00
PKER_SDRYG( 26, 34) =  0.363896E+00
PKER_SDRYG( 26, 35) =  0.339042E+00
PKER_SDRYG( 26, 36) =  0.315501E+00
PKER_SDRYG( 26, 37) =  0.293150E+00
PKER_SDRYG( 26, 38) =  0.271872E+00
PKER_SDRYG( 26, 39) =  0.251556E+00
PKER_SDRYG( 26, 40) =  0.232100E+00
PKER_SDRYG( 26, 41) =  0.213421E+00
PKER_SDRYG( 26, 42) =  0.195465E+00
PKER_SDRYG( 26, 43) =  0.178217E+00
PKER_SDRYG( 26, 44) =  0.161705E+00
PKER_SDRYG( 26, 45) =  0.145996E+00
PKER_SDRYG( 26, 46) =  0.131182E+00
PKER_SDRYG( 26, 47) =  0.117353E+00
PKER_SDRYG( 26, 48) =  0.104576E+00
PKER_SDRYG( 26, 49) =  0.928753E-01
PKER_SDRYG( 26, 50) =  0.822363E-01
PKER_SDRYG( 26, 51) =  0.726111E-01
PKER_SDRYG( 26, 52) =  0.639383E-01
PKER_SDRYG( 26, 53) =  0.561507E-01
PKER_SDRYG( 26, 54) =  0.491858E-01
PKER_SDRYG( 26, 55) =  0.429946E-01
PKER_SDRYG( 26, 56) =  0.375430E-01
PKER_SDRYG( 26, 57) =  0.327992E-01
PKER_SDRYG( 26, 58) =  0.287370E-01
PKER_SDRYG( 26, 59) =  0.253369E-01
PKER_SDRYG( 26, 60) =  0.225882E-01
PKER_SDRYG( 26, 61) =  0.204316E-01
PKER_SDRYG( 26, 62) =  0.188398E-01
PKER_SDRYG( 26, 63) =  0.177875E-01
PKER_SDRYG( 26, 64) =  0.172085E-01
PKER_SDRYG( 26, 65) =  0.170417E-01
PKER_SDRYG( 26, 66) =  0.172497E-01
PKER_SDRYG( 26, 67) =  0.177584E-01
PKER_SDRYG( 26, 68) =  0.185080E-01
PKER_SDRYG( 26, 69) =  0.194673E-01
PKER_SDRYG( 26, 70) =  0.205752E-01
PKER_SDRYG( 26, 71) =  0.217845E-01
PKER_SDRYG( 26, 72) =  0.230647E-01
PKER_SDRYG( 26, 73) =  0.243883E-01
PKER_SDRYG( 26, 74) =  0.257208E-01
PKER_SDRYG( 26, 75) =  0.270503E-01
PKER_SDRYG( 26, 76) =  0.283574E-01
PKER_SDRYG( 26, 77) =  0.296325E-01
PKER_SDRYG( 26, 78) =  0.308653E-01
PKER_SDRYG( 26, 79) =  0.320509E-01
PKER_SDRYG( 26, 80) =  0.331872E-01
PKER_SDRYG( 27,  1) =  0.313140E+01
PKER_SDRYG( 27,  2) =  0.293889E+01
PKER_SDRYG( 27,  3) =  0.275812E+01
PKER_SDRYG( 27,  4) =  0.258838E+01
PKER_SDRYG( 27,  5) =  0.242900E+01
PKER_SDRYG( 27,  6) =  0.227934E+01
PKER_SDRYG( 27,  7) =  0.213881E+01
PKER_SDRYG( 27,  8) =  0.200686E+01
PKER_SDRYG( 27,  9) =  0.188295E+01
PKER_SDRYG( 27, 10) =  0.176661E+01
PKER_SDRYG( 27, 11) =  0.165736E+01
PKER_SDRYG( 27, 12) =  0.155478E+01
PKER_SDRYG( 27, 13) =  0.145845E+01
PKER_SDRYG( 27, 14) =  0.136800E+01
PKER_SDRYG( 27, 15) =  0.128307E+01
PKER_SDRYG( 27, 16) =  0.120331E+01
PKER_SDRYG( 27, 17) =  0.112842E+01
PKER_SDRYG( 27, 18) =  0.105809E+01
PKER_SDRYG( 27, 19) =  0.992047E+00
PKER_SDRYG( 27, 20) =  0.930026E+00
PKER_SDRYG( 27, 21) =  0.871781E+00
PKER_SDRYG( 27, 22) =  0.817079E+00
PKER_SDRYG( 27, 23) =  0.765702E+00
PKER_SDRYG( 27, 24) =  0.717445E+00
PKER_SDRYG( 27, 25) =  0.672115E+00
PKER_SDRYG( 27, 26) =  0.629528E+00
PKER_SDRYG( 27, 27) =  0.589513E+00
PKER_SDRYG( 27, 28) =  0.551908E+00
PKER_SDRYG( 27, 29) =  0.516558E+00
PKER_SDRYG( 27, 30) =  0.483318E+00
PKER_SDRYG( 27, 31) =  0.452049E+00
PKER_SDRYG( 27, 32) =  0.422618E+00
PKER_SDRYG( 27, 33) =  0.394898E+00
PKER_SDRYG( 27, 34) =  0.368766E+00
PKER_SDRYG( 27, 35) =  0.344102E+00
PKER_SDRYG( 27, 36) =  0.320791E+00
PKER_SDRYG( 27, 37) =  0.298718E+00
PKER_SDRYG( 27, 38) =  0.277772E+00
PKER_SDRYG( 27, 39) =  0.257843E+00
PKER_SDRYG( 27, 40) =  0.238828E+00
PKER_SDRYG( 27, 41) =  0.220635E+00
PKER_SDRYG( 27, 42) =  0.203186E+00
PKER_SDRYG( 27, 43) =  0.186431E+00
PKER_SDRYG( 27, 44) =  0.170354E+00
PKER_SDRYG( 27, 45) =  0.154979E+00
PKER_SDRYG( 27, 46) =  0.140365E+00
PKER_SDRYG( 27, 47) =  0.126590E+00
PKER_SDRYG( 27, 48) =  0.113733E+00
PKER_SDRYG( 27, 49) =  0.101848E+00
PKER_SDRYG( 27, 50) =  0.909527E-01
PKER_SDRYG( 27, 51) =  0.810258E-01
PKER_SDRYG( 27, 52) =  0.720165E-01
PKER_SDRYG( 27, 53) =  0.638590E-01
PKER_SDRYG( 27, 54) =  0.564823E-01
PKER_SDRYG( 27, 55) =  0.498226E-01
PKER_SDRYG( 27, 56) =  0.438282E-01
PKER_SDRYG( 27, 57) =  0.384597E-01
PKER_SDRYG( 27, 58) =  0.336864E-01
PKER_SDRYG( 27, 59) =  0.294887E-01
PKER_SDRYG( 27, 60) =  0.258548E-01
PKER_SDRYG( 27, 61) =  0.227747E-01
PKER_SDRYG( 27, 62) =  0.202164E-01
PKER_SDRYG( 27, 63) =  0.181747E-01
PKER_SDRYG( 27, 64) =  0.166401E-01
PKER_SDRYG( 27, 65) =  0.155455E-01
PKER_SDRYG( 27, 66) =  0.148848E-01
PKER_SDRYG( 27, 67) =  0.145861E-01
PKER_SDRYG( 27, 68) =  0.146311E-01
PKER_SDRYG( 27, 69) =  0.149518E-01
PKER_SDRYG( 27, 70) =  0.155127E-01
PKER_SDRYG( 27, 71) =  0.162573E-01
PKER_SDRYG( 27, 72) =  0.171427E-01
PKER_SDRYG( 27, 73) =  0.181459E-01
PKER_SDRYG( 27, 74) =  0.192163E-01
PKER_SDRYG( 27, 75) =  0.203307E-01
PKER_SDRYG( 27, 76) =  0.214704E-01
PKER_SDRYG( 27, 77) =  0.226118E-01
PKER_SDRYG( 27, 78) =  0.237398E-01
PKER_SDRYG( 27, 79) =  0.248439E-01
PKER_SDRYG( 27, 80) =  0.259151E-01
PKER_SDRYG( 28,  1) =  0.313482E+01
PKER_SDRYG( 28,  2) =  0.294231E+01
PKER_SDRYG( 28,  3) =  0.276154E+01
PKER_SDRYG( 28,  4) =  0.259180E+01
PKER_SDRYG( 28,  5) =  0.243242E+01
PKER_SDRYG( 28,  6) =  0.228277E+01
PKER_SDRYG( 28,  7) =  0.214224E+01
PKER_SDRYG( 28,  8) =  0.201029E+01
PKER_SDRYG( 28,  9) =  0.188638E+01
PKER_SDRYG( 28, 10) =  0.177004E+01
PKER_SDRYG( 28, 11) =  0.166079E+01
PKER_SDRYG( 28, 12) =  0.155821E+01
PKER_SDRYG( 28, 13) =  0.146189E+01
PKER_SDRYG( 28, 14) =  0.137144E+01
PKER_SDRYG( 28, 15) =  0.128651E+01
PKER_SDRYG( 28, 16) =  0.120676E+01
PKER_SDRYG( 28, 17) =  0.113187E+01
PKER_SDRYG( 28, 18) =  0.106155E+01
PKER_SDRYG( 28, 19) =  0.995508E+00
PKER_SDRYG( 28, 20) =  0.933495E+00
PKER_SDRYG( 28, 21) =  0.875258E+00
PKER_SDRYG( 28, 22) =  0.820568E+00
PKER_SDRYG( 28, 23) =  0.769204E+00
PKER_SDRYG( 28, 24) =  0.720964E+00
PKER_SDRYG( 28, 25) =  0.675653E+00
PKER_SDRYG( 28, 26) =  0.633090E+00
PKER_SDRYG( 28, 27) =  0.593104E+00
PKER_SDRYG( 28, 28) =  0.555533E+00
PKER_SDRYG( 28, 29) =  0.520226E+00
PKER_SDRYG( 28, 30) =  0.487038E+00
PKER_SDRYG( 28, 31) =  0.455832E+00
PKER_SDRYG( 28, 32) =  0.426477E+00
PKER_SDRYG( 28, 33) =  0.398851E+00
PKER_SDRYG( 28, 34) =  0.372833E+00
PKER_SDRYG( 28, 35) =  0.348309E+00
PKER_SDRYG( 28, 36) =  0.325168E+00
PKER_SDRYG( 28, 37) =  0.303302E+00
PKER_SDRYG( 28, 38) =  0.282604E+00
PKER_SDRYG( 28, 39) =  0.262970E+00
PKER_SDRYG( 28, 40) =  0.244301E+00
PKER_SDRYG( 28, 41) =  0.226500E+00
PKER_SDRYG( 28, 42) =  0.209481E+00
PKER_SDRYG( 28, 43) =  0.193174E+00
PKER_SDRYG( 28, 44) =  0.177531E+00
PKER_SDRYG( 28, 45) =  0.162537E+00
PKER_SDRYG( 28, 46) =  0.148212E+00
PKER_SDRYG( 28, 47) =  0.134605E+00
PKER_SDRYG( 28, 48) =  0.121788E+00
PKER_SDRYG( 28, 49) =  0.109827E+00
PKER_SDRYG( 28, 50) =  0.987695E-01
PKER_SDRYG( 28, 51) =  0.886258E-01
PKER_SDRYG( 28, 52) =  0.793726E-01
PKER_SDRYG( 28, 53) =  0.709584E-01
PKER_SDRYG( 28, 54) =  0.633172E-01
PKER_SDRYG( 28, 55) =  0.563782E-01
PKER_SDRYG( 28, 56) =  0.500750E-01
PKER_SDRYG( 28, 57) =  0.443534E-01
PKER_SDRYG( 28, 58) =  0.391703E-01
PKER_SDRYG( 28, 59) =  0.344918E-01
PKER_SDRYG( 28, 60) =  0.302964E-01
PKER_SDRYG( 28, 61) =  0.265756E-01
PKER_SDRYG( 28, 62) =  0.233172E-01
PKER_SDRYG( 28, 63) =  0.205132E-01
PKER_SDRYG( 28, 64) =  0.181605E-01
PKER_SDRYG( 28, 65) =  0.162558E-01
PKER_SDRYG( 28, 66) =  0.147609E-01
PKER_SDRYG( 28, 67) =  0.136620E-01
PKER_SDRYG( 28, 68) =  0.129448E-01
PKER_SDRYG( 28, 69) =  0.125564E-01
PKER_SDRYG( 28, 70) =  0.124665E-01
PKER_SDRYG( 28, 71) =  0.126409E-01
PKER_SDRYG( 28, 72) =  0.130274E-01
PKER_SDRYG( 28, 73) =  0.135904E-01
PKER_SDRYG( 28, 74) =  0.142998E-01
PKER_SDRYG( 28, 75) =  0.151150E-01
PKER_SDRYG( 28, 76) =  0.160038E-01
PKER_SDRYG( 28, 77) =  0.169418E-01
PKER_SDRYG( 28, 78) =  0.179108E-01
PKER_SDRYG( 28, 79) =  0.188859E-01
PKER_SDRYG( 28, 80) =  0.198573E-01
PKER_SDRYG( 29,  1) =  0.313775E+01
PKER_SDRYG( 29,  2) =  0.294524E+01
PKER_SDRYG( 29,  3) =  0.276447E+01
PKER_SDRYG( 29,  4) =  0.259474E+01
PKER_SDRYG( 29,  5) =  0.243535E+01
PKER_SDRYG( 29,  6) =  0.228570E+01
PKER_SDRYG( 29,  7) =  0.214517E+01
PKER_SDRYG( 29,  8) =  0.201322E+01
PKER_SDRYG( 29,  9) =  0.188932E+01
PKER_SDRYG( 29, 10) =  0.177297E+01
PKER_SDRYG( 29, 11) =  0.166373E+01
PKER_SDRYG( 29, 12) =  0.156115E+01
PKER_SDRYG( 29, 13) =  0.146483E+01
PKER_SDRYG( 29, 14) =  0.137438E+01
PKER_SDRYG( 29, 15) =  0.128945E+01
PKER_SDRYG( 29, 16) =  0.120970E+01
PKER_SDRYG( 29, 17) =  0.113482E+01
PKER_SDRYG( 29, 18) =  0.106450E+01
PKER_SDRYG( 29, 19) =  0.998466E+00
PKER_SDRYG( 29, 20) =  0.936458E+00
PKER_SDRYG( 29, 21) =  0.878229E+00
PKER_SDRYG( 29, 22) =  0.823547E+00
PKER_SDRYG( 29, 23) =  0.772194E+00
PKER_SDRYG( 29, 24) =  0.723965E+00
PKER_SDRYG( 29, 25) =  0.678669E+00
PKER_SDRYG( 29, 26) =  0.636124E+00
PKER_SDRYG( 29, 27) =  0.596159E+00
PKER_SDRYG( 29, 28) =  0.558615E+00
PKER_SDRYG( 29, 29) =  0.523340E+00
PKER_SDRYG( 29, 30) =  0.490190E+00
PKER_SDRYG( 29, 31) =  0.459030E+00
PKER_SDRYG( 29, 32) =  0.429733E+00
PKER_SDRYG( 29, 33) =  0.402176E+00
PKER_SDRYG( 29, 34) =  0.376242E+00
PKER_SDRYG( 29, 35) =  0.351822E+00
PKER_SDRYG( 29, 36) =  0.328807E+00
PKER_SDRYG( 29, 37) =  0.307093E+00
PKER_SDRYG( 29, 38) =  0.286580E+00
PKER_SDRYG( 29, 39) =  0.267168E+00
PKER_SDRYG( 29, 40) =  0.248763E+00
PKER_SDRYG( 29, 41) =  0.231269E+00
PKER_SDRYG( 29, 42) =  0.214600E+00
PKER_SDRYG( 29, 43) =  0.198675E+00
PKER_SDRYG( 29, 44) =  0.183429E+00
PKER_SDRYG( 29, 45) =  0.168818E+00
PKER_SDRYG( 29, 46) =  0.154826E+00
PKER_SDRYG( 29, 47) =  0.141470E+00
PKER_SDRYG( 29, 48) =  0.128793E+00
PKER_SDRYG( 29, 49) =  0.116859E+00
PKER_SDRYG( 29, 50) =  0.105725E+00
PKER_SDRYG( 29, 51) =  0.954304E-01
PKER_SDRYG( 29, 52) =  0.859836E-01
PKER_SDRYG( 29, 53) =  0.773596E-01
PKER_SDRYG( 29, 54) =  0.695082E-01
PKER_SDRYG( 29, 55) =  0.623650E-01
PKER_SDRYG( 29, 56) =  0.558611E-01
PKER_SDRYG( 29, 57) =  0.499316E-01
PKER_SDRYG( 29, 58) =  0.445208E-01
PKER_SDRYG( 29, 59) =  0.395814E-01
PKER_SDRYG( 29, 60) =  0.350788E-01
PKER_SDRYG( 29, 61) =  0.309897E-01
PKER_SDRYG( 29, 62) =  0.272977E-01
PKER_SDRYG( 29, 63) =  0.239931E-01
PKER_SDRYG( 29, 64) =  0.210731E-01
PKER_SDRYG( 29, 65) =  0.185324E-01
PKER_SDRYG( 29, 66) =  0.163751E-01
PKER_SDRYG( 29, 67) =  0.145805E-01
PKER_SDRYG( 29, 68) =  0.131445E-01
PKER_SDRYG( 29, 69) =  0.120720E-01
PKER_SDRYG( 29, 70) =  0.113116E-01
PKER_SDRYG( 29, 71) =  0.108560E-01
PKER_SDRYG( 29, 72) =  0.106640E-01
PKER_SDRYG( 29, 73) =  0.107167E-01
PKER_SDRYG( 29, 74) =  0.109632E-01
PKER_SDRYG( 29, 75) =  0.113846E-01
PKER_SDRYG( 29, 76) =  0.119375E-01
PKER_SDRYG( 29, 77) =  0.125899E-01
PKER_SDRYG( 29, 78) =  0.133280E-01
PKER_SDRYG( 29, 79) =  0.141136E-01
PKER_SDRYG( 29, 80) =  0.149298E-01
PKER_SDRYG( 30,  1) =  0.314026E+01
PKER_SDRYG( 30,  2) =  0.294775E+01
PKER_SDRYG( 30,  3) =  0.276698E+01
PKER_SDRYG( 30,  4) =  0.259724E+01
PKER_SDRYG( 30,  5) =  0.243786E+01
PKER_SDRYG( 30,  6) =  0.228821E+01
PKER_SDRYG( 30,  7) =  0.214768E+01
PKER_SDRYG( 30,  8) =  0.201573E+01
PKER_SDRYG( 30,  9) =  0.189183E+01
PKER_SDRYG( 30, 10) =  0.177549E+01
PKER_SDRYG( 30, 11) =  0.166624E+01
PKER_SDRYG( 30, 12) =  0.156366E+01
PKER_SDRYG( 30, 13) =  0.146734E+01
PKER_SDRYG( 30, 14) =  0.137690E+01
PKER_SDRYG( 30, 15) =  0.129197E+01
PKER_SDRYG( 30, 16) =  0.121222E+01
PKER_SDRYG( 30, 17) =  0.113734E+01
PKER_SDRYG( 30, 18) =  0.106702E+01
PKER_SDRYG( 30, 19) =  0.100099E+01
PKER_SDRYG( 30, 20) =  0.938991E+00
PKER_SDRYG( 30, 21) =  0.880767E+00
PKER_SDRYG( 30, 22) =  0.826092E+00
PKER_SDRYG( 30, 23) =  0.774746E+00
PKER_SDRYG( 30, 24) =  0.726527E+00
PKER_SDRYG( 30, 25) =  0.681242E+00
PKER_SDRYG( 30, 26) =  0.638710E+00
PKER_SDRYG( 30, 27) =  0.598762E+00
PKER_SDRYG( 30, 28) =  0.561237E+00
PKER_SDRYG( 30, 29) =  0.525986E+00
PKER_SDRYG( 30, 30) =  0.492864E+00
PKER_SDRYG( 30, 31) =  0.461740E+00
PKER_SDRYG( 30, 32) =  0.432485E+00
PKER_SDRYG( 30, 33) =  0.404979E+00
PKER_SDRYG( 30, 34) =  0.379109E+00
PKER_SDRYG( 30, 35) =  0.354764E+00
PKER_SDRYG( 30, 36) =  0.331842E+00
PKER_SDRYG( 30, 37) =  0.310241E+00
PKER_SDRYG( 30, 38) =  0.289866E+00
PKER_SDRYG( 30, 39) =  0.270620E+00
PKER_SDRYG( 30, 40) =  0.252414E+00
PKER_SDRYG( 30, 41) =  0.235157E+00
PKER_SDRYG( 30, 42) =  0.218763E+00
PKER_SDRYG( 30, 43) =  0.203150E+00
PKER_SDRYG( 30, 44) =  0.188244E+00
PKER_SDRYG( 30, 45) =  0.173985E+00
PKER_SDRYG( 30, 46) =  0.160331E+00
PKER_SDRYG( 30, 47) =  0.147268E+00
PKER_SDRYG( 30, 48) =  0.134807E+00
PKER_SDRYG( 30, 49) =  0.122990E+00
PKER_SDRYG( 30, 50) =  0.111870E+00
PKER_SDRYG( 30, 51) =  0.101498E+00
PKER_SDRYG( 30, 52) =  0.919089E-01
PKER_SDRYG( 30, 53) =  0.831067E-01
PKER_SDRYG( 30, 54) =  0.750668E-01
PKER_SDRYG( 30, 55) =  0.677413E-01
PKER_SDRYG( 30, 56) =  0.610688E-01
PKER_SDRYG( 30, 57) =  0.549841E-01
PKER_SDRYG( 30, 58) =  0.494242E-01
PKER_SDRYG( 30, 59) =  0.443338E-01
PKER_SDRYG( 30, 60) =  0.396667E-01
PKER_SDRYG( 30, 61) =  0.353851E-01
PKER_SDRYG( 30, 62) =  0.314617E-01
PKER_SDRYG( 30, 63) =  0.278788E-01
PKER_SDRYG( 30, 64) =  0.246216E-01
PKER_SDRYG( 30, 65) =  0.216840E-01
PKER_SDRYG( 30, 66) =  0.190676E-01
PKER_SDRYG( 30, 67) =  0.167678E-01
PKER_SDRYG( 30, 68) =  0.147843E-01
PKER_SDRYG( 30, 69) =  0.131194E-01
PKER_SDRYG( 30, 70) =  0.117708E-01
PKER_SDRYG( 30, 71) =  0.107143E-01
PKER_SDRYG( 30, 72) =  0.994008E-02
PKER_SDRYG( 30, 73) =  0.944116E-02
PKER_SDRYG( 30, 74) =  0.917473E-02
PKER_SDRYG( 30, 75) =  0.912540E-02
PKER_SDRYG( 30, 76) =  0.926519E-02
PKER_SDRYG( 30, 77) =  0.955670E-02
PKER_SDRYG( 30, 78) =  0.997708E-02
PKER_SDRYG( 30, 79) =  0.105008E-01
PKER_SDRYG( 30, 80) =  0.111005E-01
PKER_SDRYG( 31,  1) =  0.314241E+01
PKER_SDRYG( 31,  2) =  0.294989E+01
PKER_SDRYG( 31,  3) =  0.276913E+01
PKER_SDRYG( 31,  4) =  0.259939E+01
PKER_SDRYG( 31,  5) =  0.244001E+01
PKER_SDRYG( 31,  6) =  0.229035E+01
PKER_SDRYG( 31,  7) =  0.214983E+01
PKER_SDRYG( 31,  8) =  0.201788E+01
PKER_SDRYG( 31,  9) =  0.189397E+01
PKER_SDRYG( 31, 10) =  0.177763E+01
PKER_SDRYG( 31, 11) =  0.166839E+01
PKER_SDRYG( 31, 12) =  0.156581E+01
PKER_SDRYG( 31, 13) =  0.146949E+01
PKER_SDRYG( 31, 14) =  0.137905E+01
PKER_SDRYG( 31, 15) =  0.129412E+01
PKER_SDRYG( 31, 16) =  0.121438E+01
PKER_SDRYG( 31, 17) =  0.113950E+01
PKER_SDRYG( 31, 18) =  0.106918E+01
PKER_SDRYG( 31, 19) =  0.100316E+01
PKER_SDRYG( 31, 20) =  0.941157E+00
PKER_SDRYG( 31, 21) =  0.882937E+00
PKER_SDRYG( 31, 22) =  0.828266E+00
PKER_SDRYG( 31, 23) =  0.776926E+00
PKER_SDRYG( 31, 24) =  0.728714E+00
PKER_SDRYG( 31, 25) =  0.683437E+00
PKER_SDRYG( 31, 26) =  0.640916E+00
PKER_SDRYG( 31, 27) =  0.600980E+00
PKER_SDRYG( 31, 28) =  0.563470E+00
PKER_SDRYG( 31, 29) =  0.528236E+00
PKER_SDRYG( 31, 30) =  0.495137E+00
PKER_SDRYG( 31, 31) =  0.464039E+00
PKER_SDRYG( 31, 32) =  0.434815E+00
PKER_SDRYG( 31, 33) =  0.407348E+00
PKER_SDRYG( 31, 34) =  0.381525E+00
PKER_SDRYG( 31, 35) =  0.357237E+00
PKER_SDRYG( 31, 36) =  0.334384E+00
PKER_SDRYG( 31, 37) =  0.312867E+00
PKER_SDRYG( 31, 38) =  0.292593E+00
PKER_SDRYG( 31, 39) =  0.273472E+00
PKER_SDRYG( 31, 40) =  0.255415E+00
PKER_SDRYG( 31, 41) =  0.238337E+00
PKER_SDRYG( 31, 42) =  0.222155E+00
PKER_SDRYG( 31, 43) =  0.206789E+00
PKER_SDRYG( 31, 44) =  0.192162E+00
PKER_SDRYG( 31, 45) =  0.178206E+00
PKER_SDRYG( 31, 46) =  0.164865E+00
PKER_SDRYG( 31, 47) =  0.152101E+00
PKER_SDRYG( 31, 48) =  0.139898E+00
PKER_SDRYG( 31, 49) =  0.128268E+00
PKER_SDRYG( 31, 50) =  0.117245E+00
PKER_SDRYG( 31, 51) =  0.106877E+00
PKER_SDRYG( 31, 52) =  0.972093E-01
PKER_SDRYG( 31, 53) =  0.882710E-01
PKER_SDRYG( 31, 54) =  0.800646E-01
PKER_SDRYG( 31, 55) =  0.725658E-01
PKER_SDRYG( 31, 56) =  0.657293E-01
PKER_SDRYG( 31, 57) =  0.594973E-01
PKER_SDRYG( 31, 58) =  0.538082E-01
PKER_SDRYG( 31, 59) =  0.486029E-01
PKER_SDRYG( 31, 60) =  0.438281E-01
PKER_SDRYG( 31, 61) =  0.394382E-01
PKER_SDRYG( 31, 62) =  0.353958E-01
PKER_SDRYG( 31, 63) =  0.316723E-01
PKER_SDRYG( 31, 64) =  0.282443E-01
PKER_SDRYG( 31, 65) =  0.250971E-01
PKER_SDRYG( 31, 66) =  0.222220E-01
PKER_SDRYG( 31, 67) =  0.196134E-01
PKER_SDRYG( 31, 68) =  0.172700E-01
PKER_SDRYG( 31, 69) =  0.151950E-01
PKER_SDRYG( 31, 70) =  0.133842E-01
PKER_SDRYG( 31, 71) =  0.118468E-01
PKER_SDRYG( 31, 72) =  0.105682E-01
PKER_SDRYG( 31, 73) =  0.954383E-02
PKER_SDRYG( 31, 74) =  0.878311E-02
PKER_SDRYG( 31, 75) =  0.824730E-02
PKER_SDRYG( 31, 76) =  0.792838E-02
PKER_SDRYG( 31, 77) =  0.780258E-02
PKER_SDRYG( 31, 78) =  0.785165E-02
PKER_SDRYG( 31, 79) =  0.803984E-02
PKER_SDRYG( 31, 80) =  0.835401E-02
PKER_SDRYG( 32,  1) =  0.314424E+01
PKER_SDRYG( 32,  2) =  0.295173E+01
PKER_SDRYG( 32,  3) =  0.277096E+01
PKER_SDRYG( 32,  4) =  0.260122E+01
PKER_SDRYG( 32,  5) =  0.244184E+01
PKER_SDRYG( 32,  6) =  0.229219E+01
PKER_SDRYG( 32,  7) =  0.215166E+01
PKER_SDRYG( 32,  8) =  0.201971E+01
PKER_SDRYG( 32,  9) =  0.189581E+01
PKER_SDRYG( 32, 10) =  0.177947E+01
PKER_SDRYG( 32, 11) =  0.167023E+01
PKER_SDRYG( 32, 12) =  0.156765E+01
PKER_SDRYG( 32, 13) =  0.147133E+01
PKER_SDRYG( 32, 14) =  0.138089E+01
PKER_SDRYG( 32, 15) =  0.129596E+01
PKER_SDRYG( 32, 16) =  0.121622E+01
PKER_SDRYG( 32, 17) =  0.114134E+01
PKER_SDRYG( 32, 18) =  0.107103E+01
PKER_SDRYG( 32, 19) =  0.100500E+01
PKER_SDRYG( 32, 20) =  0.943008E+00
PKER_SDRYG( 32, 21) =  0.884791E+00
PKER_SDRYG( 32, 22) =  0.830124E+00
PKER_SDRYG( 32, 23) =  0.778789E+00
PKER_SDRYG( 32, 24) =  0.730582E+00
PKER_SDRYG( 32, 25) =  0.685312E+00
PKER_SDRYG( 32, 26) =  0.642798E+00
PKER_SDRYG( 32, 27) =  0.602872E+00
PKER_SDRYG( 32, 28) =  0.565373E+00
PKER_SDRYG( 32, 29) =  0.530153E+00
PKER_SDRYG( 32, 30) =  0.497070E+00
PKER_SDRYG( 32, 31) =  0.465991E+00
PKER_SDRYG( 32, 32) =  0.436792E+00
PKER_SDRYG( 32, 33) =  0.409354E+00
PKER_SDRYG( 32, 34) =  0.383565E+00
PKER_SDRYG( 32, 35) =  0.359320E+00
PKER_SDRYG( 32, 36) =  0.336518E+00
PKER_SDRYG( 32, 37) =  0.315064E+00
PKER_SDRYG( 32, 38) =  0.294866E+00
PKER_SDRYG( 32, 39) =  0.275837E+00
PKER_SDRYG( 32, 40) =  0.257892E+00
PKER_SDRYG( 32, 41) =  0.240949E+00
PKER_SDRYG( 32, 42) =  0.224929E+00
PKER_SDRYG( 32, 43) =  0.209753E+00
PKER_SDRYG( 32, 44) =  0.195347E+00
PKER_SDRYG( 32, 45) =  0.181641E+00
PKER_SDRYG( 32, 46) =  0.168572E+00
PKER_SDRYG( 32, 47) =  0.156087E+00
PKER_SDRYG( 32, 48) =  0.144150E+00
PKER_SDRYG( 32, 49) =  0.132746E+00
PKER_SDRYG( 32, 50) =  0.121885E+00
PKER_SDRYG( 32, 51) =  0.111598E+00
PKER_SDRYG( 32, 52) =  0.101925E+00
PKER_SDRYG( 32, 53) =  0.929079E-01
PKER_SDRYG( 32, 54) =  0.845713E-01
PKER_SDRYG( 32, 55) =  0.769159E-01
PKER_SDRYG( 32, 56) =  0.699183E-01
PKER_SDRYG( 32, 57) =  0.635355E-01
PKER_SDRYG( 32, 58) =  0.577136E-01
PKER_SDRYG( 32, 59) =  0.523950E-01
PKER_SDRYG( 32, 60) =  0.475243E-01
PKER_SDRYG( 32, 61) =  0.430512E-01
PKER_SDRYG( 32, 62) =  0.389325E-01
PKER_SDRYG( 32, 63) =  0.351313E-01
PKER_SDRYG( 32, 64) =  0.316183E-01
PKER_SDRYG( 32, 65) =  0.283700E-01
PKER_SDRYG( 32, 66) =  0.253685E-01
PKER_SDRYG( 32, 67) =  0.226014E-01
PKER_SDRYG( 32, 68) =  0.200616E-01
PKER_SDRYG( 32, 69) =  0.177438E-01
PKER_SDRYG( 32, 70) =  0.156482E-01
PKER_SDRYG( 32, 71) =  0.137766E-01
PKER_SDRYG( 32, 72) =  0.121294E-01
PKER_SDRYG( 32, 73) =  0.107083E-01
PKER_SDRYG( 32, 74) =  0.951507E-02
PKER_SDRYG( 32, 75) =  0.854960E-02
PKER_SDRYG( 32, 76) =  0.779589E-02
PKER_SDRYG( 32, 77) =  0.724397E-02
PKER_SDRYG( 32, 78) =  0.689318E-02
PKER_SDRYG( 32, 79) =  0.670835E-02
PKER_SDRYG( 32, 80) =  0.668173E-02
PKER_SDRYG( 33,  1) =  0.314581E+01
PKER_SDRYG( 33,  2) =  0.295330E+01
PKER_SDRYG( 33,  3) =  0.277253E+01
PKER_SDRYG( 33,  4) =  0.260280E+01
PKER_SDRYG( 33,  5) =  0.244341E+01
PKER_SDRYG( 33,  6) =  0.229376E+01
PKER_SDRYG( 33,  7) =  0.215323E+01
PKER_SDRYG( 33,  8) =  0.202128E+01
PKER_SDRYG( 33,  9) =  0.189738E+01
PKER_SDRYG( 33, 10) =  0.178104E+01
PKER_SDRYG( 33, 11) =  0.167180E+01
PKER_SDRYG( 33, 12) =  0.156922E+01
PKER_SDRYG( 33, 13) =  0.147291E+01
PKER_SDRYG( 33, 14) =  0.138246E+01
PKER_SDRYG( 33, 15) =  0.129754E+01
PKER_SDRYG( 33, 16) =  0.121780E+01
PKER_SDRYG( 33, 17) =  0.114292E+01
PKER_SDRYG( 33, 18) =  0.107261E+01
PKER_SDRYG( 33, 19) =  0.100659E+01
PKER_SDRYG( 33, 20) =  0.944590E+00
PKER_SDRYG( 33, 21) =  0.886376E+00
PKER_SDRYG( 33, 22) =  0.831711E+00
PKER_SDRYG( 33, 23) =  0.780380E+00
PKER_SDRYG( 33, 24) =  0.732177E+00
PKER_SDRYG( 33, 25) =  0.686912E+00
PKER_SDRYG( 33, 26) =  0.644404E+00
PKER_SDRYG( 33, 27) =  0.604485E+00
PKER_SDRYG( 33, 28) =  0.566995E+00
PKER_SDRYG( 33, 29) =  0.531785E+00
PKER_SDRYG( 33, 30) =  0.498715E+00
PKER_SDRYG( 33, 31) =  0.467651E+00
PKER_SDRYG( 33, 32) =  0.438470E+00
PKER_SDRYG( 33, 33) =  0.411054E+00
PKER_SDRYG( 33, 34) =  0.385291E+00
PKER_SDRYG( 33, 35) =  0.361078E+00
PKER_SDRYG( 33, 36) =  0.338315E+00
PKER_SDRYG( 33, 37) =  0.316908E+00
PKER_SDRYG( 33, 38) =  0.296767E+00
PKER_SDRYG( 33, 39) =  0.277807E+00
PKER_SDRYG( 33, 40) =  0.259946E+00
PKER_SDRYG( 33, 41) =  0.243104E+00
PKER_SDRYG( 33, 42) =  0.227205E+00
PKER_SDRYG( 33, 43) =  0.212175E+00
PKER_SDRYG( 33, 44) =  0.197941E+00
PKER_SDRYG( 33, 45) =  0.184435E+00
PKER_SDRYG( 33, 46) =  0.171590E+00
PKER_SDRYG( 33, 47) =  0.159348E+00
PKER_SDRYG( 33, 48) =  0.147660E+00
PKER_SDRYG( 33, 49) =  0.136493E+00
PKER_SDRYG( 33, 50) =  0.125832E+00
PKER_SDRYG( 33, 51) =  0.115684E+00
PKER_SDRYG( 33, 52) =  0.106078E+00
PKER_SDRYG( 33, 53) =  0.970492E-01
PKER_SDRYG( 33, 54) =  0.886343E-01
PKER_SDRYG( 33, 55) =  0.808544E-01
PKER_SDRYG( 33, 56) =  0.737092E-01
PKER_SDRYG( 33, 57) =  0.671759E-01
PKER_SDRYG( 33, 58) =  0.612140E-01
PKER_SDRYG( 33, 59) =  0.557733E-01
PKER_SDRYG( 33, 60) =  0.508001E-01
PKER_SDRYG( 33, 61) =  0.462428E-01
PKER_SDRYG( 33, 62) =  0.420544E-01
PKER_SDRYG( 33, 63) =  0.381941E-01
PKER_SDRYG( 33, 64) =  0.346270E-01
PKER_SDRYG( 33, 65) =  0.313244E-01
PKER_SDRYG( 33, 66) =  0.282623E-01
PKER_SDRYG( 33, 67) =  0.254222E-01
PKER_SDRYG( 33, 68) =  0.227902E-01
PKER_SDRYG( 33, 69) =  0.203548E-01
PKER_SDRYG( 33, 70) =  0.181098E-01
PKER_SDRYG( 33, 71) =  0.160530E-01
PKER_SDRYG( 33, 72) =  0.141818E-01
PKER_SDRYG( 33, 73) =  0.124982E-01
PKER_SDRYG( 33, 74) =  0.110068E-01
PKER_SDRYG( 33, 75) =  0.970368E-02
PKER_SDRYG( 33, 76) =  0.859751E-02
PKER_SDRYG( 33, 77) =  0.767929E-02
PKER_SDRYG( 33, 78) =  0.694381E-02
PKER_SDRYG( 33, 79) =  0.639919E-02
PKER_SDRYG( 33, 80) =  0.601899E-02
PKER_SDRYG( 34,  1) =  0.314716E+01
PKER_SDRYG( 34,  2) =  0.295464E+01
PKER_SDRYG( 34,  3) =  0.277388E+01
PKER_SDRYG( 34,  4) =  0.260414E+01
PKER_SDRYG( 34,  5) =  0.244476E+01
PKER_SDRYG( 34,  6) =  0.229510E+01
PKER_SDRYG( 34,  7) =  0.215458E+01
PKER_SDRYG( 34,  8) =  0.202263E+01
PKER_SDRYG( 34,  9) =  0.189873E+01
PKER_SDRYG( 34, 10) =  0.178239E+01
PKER_SDRYG( 34, 11) =  0.167315E+01
PKER_SDRYG( 34, 12) =  0.157057E+01
PKER_SDRYG( 34, 13) =  0.147425E+01
PKER_SDRYG( 34, 14) =  0.138381E+01
PKER_SDRYG( 34, 15) =  0.129889E+01
PKER_SDRYG( 34, 16) =  0.121914E+01
PKER_SDRYG( 34, 17) =  0.114427E+01
PKER_SDRYG( 34, 18) =  0.107396E+01
PKER_SDRYG( 34, 19) =  0.100794E+01
PKER_SDRYG( 34, 20) =  0.945943E+00
PKER_SDRYG( 34, 21) =  0.887731E+00
PKER_SDRYG( 34, 22) =  0.833069E+00
PKER_SDRYG( 34, 23) =  0.781740E+00
PKER_SDRYG( 34, 24) =  0.733540E+00
PKER_SDRYG( 34, 25) =  0.688279E+00
PKER_SDRYG( 34, 26) =  0.645776E+00
PKER_SDRYG( 34, 27) =  0.605862E+00
PKER_SDRYG( 34, 28) =  0.568379E+00
PKER_SDRYG( 34, 29) =  0.533177E+00
PKER_SDRYG( 34, 30) =  0.500116E+00
PKER_SDRYG( 34, 31) =  0.469064E+00
PKER_SDRYG( 34, 32) =  0.439896E+00
PKER_SDRYG( 34, 33) =  0.412496E+00
PKER_SDRYG( 34, 34) =  0.386754E+00
PKER_SDRYG( 34, 35) =  0.362565E+00
PKER_SDRYG( 34, 36) =  0.339831E+00
PKER_SDRYG( 34, 37) =  0.318459E+00
PKER_SDRYG( 34, 38) =  0.298361E+00
PKER_SDRYG( 34, 39) =  0.279453E+00
PKER_SDRYG( 34, 40) =  0.261654E+00
PKER_SDRYG( 34, 41) =  0.244888E+00
PKER_SDRYG( 34, 42) =  0.229081E+00
PKER_SDRYG( 34, 43) =  0.214161E+00
PKER_SDRYG( 34, 44) =  0.200059E+00
PKER_SDRYG( 34, 45) =  0.186708E+00
PKER_SDRYG( 34, 46) =  0.174043E+00
PKER_SDRYG( 34, 47) =  0.162003E+00
PKER_SDRYG( 34, 48) =  0.150534E+00
PKER_SDRYG( 34, 49) =  0.139590E+00
PKER_SDRYG( 34, 50) =  0.129139E+00
PKER_SDRYG( 34, 51) =  0.119169E+00
PKER_SDRYG( 34, 52) =  0.109684E+00
PKER_SDRYG( 34, 53) =  0.100710E+00
PKER_SDRYG( 34, 54) =  0.922778E-01
PKER_SDRYG( 34, 55) =  0.844206E-01
PKER_SDRYG( 34, 56) =  0.771566E-01
PKER_SDRYG( 34, 57) =  0.704841E-01
PKER_SDRYG( 34, 58) =  0.643812E-01
PKER_SDRYG( 34, 59) =  0.588101E-01
PKER_SDRYG( 34, 60) =  0.537237E-01
PKER_SDRYG( 34, 61) =  0.490721E-01
PKER_SDRYG( 34, 62) =  0.448073E-01
PKER_SDRYG( 34, 63) =  0.408857E-01
PKER_SDRYG( 34, 64) =  0.372690E-01
PKER_SDRYG( 34, 65) =  0.339245E-01
PKER_SDRYG( 34, 66) =  0.308247E-01
PKER_SDRYG( 34, 67) =  0.279467E-01
PKER_SDRYG( 34, 68) =  0.252716E-01
PKER_SDRYG( 34, 69) =  0.227841E-01
PKER_SDRYG( 34, 70) =  0.204724E-01
PKER_SDRYG( 34, 71) =  0.183278E-01
PKER_SDRYG( 34, 72) =  0.163442E-01
PKER_SDRYG( 34, 73) =  0.145187E-01
PKER_SDRYG( 34, 74) =  0.128499E-01
PKER_SDRYG( 34, 75) =  0.113397E-01
PKER_SDRYG( 34, 76) =  0.998905E-02
PKER_SDRYG( 34, 77) =  0.880025E-02
PKER_SDRYG( 34, 78) =  0.777536E-02
PKER_SDRYG( 34, 79) =  0.691458E-02
PKER_SDRYG( 34, 80) =  0.621944E-02
PKER_SDRYG( 35,  1) =  0.314831E+01
PKER_SDRYG( 35,  2) =  0.295579E+01
PKER_SDRYG( 35,  3) =  0.277503E+01
PKER_SDRYG( 35,  4) =  0.260529E+01
PKER_SDRYG( 35,  5) =  0.244591E+01
PKER_SDRYG( 35,  6) =  0.229625E+01
PKER_SDRYG( 35,  7) =  0.215573E+01
PKER_SDRYG( 35,  8) =  0.202378E+01
PKER_SDRYG( 35,  9) =  0.189988E+01
PKER_SDRYG( 35, 10) =  0.178354E+01
PKER_SDRYG( 35, 11) =  0.167430E+01
PKER_SDRYG( 35, 12) =  0.157172E+01
PKER_SDRYG( 35, 13) =  0.147540E+01
PKER_SDRYG( 35, 14) =  0.138496E+01
PKER_SDRYG( 35, 15) =  0.130004E+01
PKER_SDRYG( 35, 16) =  0.122030E+01
PKER_SDRYG( 35, 17) =  0.114542E+01
PKER_SDRYG( 35, 18) =  0.107511E+01
PKER_SDRYG( 35, 19) =  0.100909E+01
PKER_SDRYG( 35, 20) =  0.947100E+00
PKER_SDRYG( 35, 21) =  0.888890E+00
PKER_SDRYG( 35, 22) =  0.834229E+00
PKER_SDRYG( 35, 23) =  0.782902E+00
PKER_SDRYG( 35, 24) =  0.734705E+00
PKER_SDRYG( 35, 25) =  0.689447E+00
PKER_SDRYG( 35, 26) =  0.646947E+00
PKER_SDRYG( 35, 27) =  0.607038E+00
PKER_SDRYG( 35, 28) =  0.569560E+00
PKER_SDRYG( 35, 29) =  0.534364E+00
PKER_SDRYG( 35, 30) =  0.501310E+00
PKER_SDRYG( 35, 31) =  0.470267E+00
PKER_SDRYG( 35, 32) =  0.441110E+00
PKER_SDRYG( 35, 33) =  0.413722E+00
PKER_SDRYG( 35, 34) =  0.387995E+00
PKER_SDRYG( 35, 35) =  0.363825E+00
PKER_SDRYG( 35, 36) =  0.341113E+00
PKER_SDRYG( 35, 37) =  0.319768E+00
PKER_SDRYG( 35, 38) =  0.299702E+00
PKER_SDRYG( 35, 39) =  0.280832E+00
PKER_SDRYG( 35, 40) =  0.263081E+00
PKER_SDRYG( 35, 41) =  0.246372E+00
PKER_SDRYG( 35, 42) =  0.230634E+00
PKER_SDRYG( 35, 43) =  0.215798E+00
PKER_SDRYG( 35, 44) =  0.201796E+00
PKER_SDRYG( 35, 45) =  0.188564E+00
PKER_SDRYG( 35, 46) =  0.176039E+00
PKER_SDRYG( 35, 47) =  0.164162E+00
PKER_SDRYG( 35, 48) =  0.152875E+00
PKER_SDRYG( 35, 49) =  0.142127E+00
PKER_SDRYG( 35, 50) =  0.131877E+00
PKER_SDRYG( 35, 51) =  0.122094E+00
PKER_SDRYG( 35, 52) =  0.112767E+00
PKER_SDRYG( 35, 53) =  0.103898E+00
PKER_SDRYG( 35, 54) =  0.955102E-01
PKER_SDRYG( 35, 55) =  0.876322E-01
PKER_SDRYG( 35, 56) =  0.802923E-01
PKER_SDRYG( 35, 57) =  0.735065E-01
PKER_SDRYG( 35, 58) =  0.672725E-01
PKER_SDRYG( 35, 59) =  0.615692E-01
PKER_SDRYG( 35, 60) =  0.563610E-01
PKER_SDRYG( 35, 61) =  0.516040E-01
PKER_SDRYG( 35, 62) =  0.472519E-01
PKER_SDRYG( 35, 63) =  0.432599E-01
PKER_SDRYG( 35, 64) =  0.395875E-01
PKER_SDRYG( 35, 65) =  0.361991E-01
PKER_SDRYG( 35, 66) =  0.330642E-01
PKER_SDRYG( 35, 67) =  0.301570E-01
PKER_SDRYG( 35, 68) =  0.274555E-01
PKER_SDRYG( 35, 69) =  0.249416E-01
PKER_SDRYG( 35, 70) =  0.226001E-01
PKER_SDRYG( 35, 71) =  0.204182E-01
PKER_SDRYG( 35, 72) =  0.183863E-01
PKER_SDRYG( 35, 73) =  0.164969E-01
PKER_SDRYG( 35, 74) =  0.147442E-01
PKER_SDRYG( 35, 75) =  0.131255E-01
PKER_SDRYG( 35, 76) =  0.116402E-01
PKER_SDRYG( 35, 77) =  0.102875E-01
PKER_SDRYG( 35, 78) =  0.906989E-02
PKER_SDRYG( 35, 79) =  0.799132E-02
PKER_SDRYG( 35, 80) =  0.704902E-02
PKER_SDRYG( 36,  1) =  0.314929E+01
PKER_SDRYG( 36,  2) =  0.295678E+01
PKER_SDRYG( 36,  3) =  0.277601E+01
PKER_SDRYG( 36,  4) =  0.260627E+01
PKER_SDRYG( 36,  5) =  0.244689E+01
PKER_SDRYG( 36,  6) =  0.229724E+01
PKER_SDRYG( 36,  7) =  0.215671E+01
PKER_SDRYG( 36,  8) =  0.202476E+01
PKER_SDRYG( 36,  9) =  0.190086E+01
PKER_SDRYG( 36, 10) =  0.178452E+01
PKER_SDRYG( 36, 11) =  0.167528E+01
PKER_SDRYG( 36, 12) =  0.157271E+01
PKER_SDRYG( 36, 13) =  0.147639E+01
PKER_SDRYG( 36, 14) =  0.138595E+01
PKER_SDRYG( 36, 15) =  0.130103E+01
PKER_SDRYG( 36, 16) =  0.122128E+01
PKER_SDRYG( 36, 17) =  0.114641E+01
PKER_SDRYG( 36, 18) =  0.107610E+01
PKER_SDRYG( 36, 19) =  0.101008E+01
PKER_SDRYG( 36, 20) =  0.948090E+00
PKER_SDRYG( 36, 21) =  0.889880E+00
PKER_SDRYG( 36, 22) =  0.835221E+00
PKER_SDRYG( 36, 23) =  0.783896E+00
PKER_SDRYG( 36, 24) =  0.735701E+00
PKER_SDRYG( 36, 25) =  0.690445E+00
PKER_SDRYG( 36, 26) =  0.647948E+00
PKER_SDRYG( 36, 27) =  0.608042E+00
PKER_SDRYG( 36, 28) =  0.570567E+00
PKER_SDRYG( 36, 29) =  0.535376E+00
PKER_SDRYG( 36, 30) =  0.502328E+00
PKER_SDRYG( 36, 31) =  0.471291E+00
PKER_SDRYG( 36, 32) =  0.442142E+00
PKER_SDRYG( 36, 33) =  0.414765E+00
PKER_SDRYG( 36, 34) =  0.389049E+00
PKER_SDRYG( 36, 35) =  0.364893E+00
PKER_SDRYG( 36, 36) =  0.342198E+00
PKER_SDRYG( 36, 37) =  0.320873E+00
PKER_SDRYG( 36, 38) =  0.300831E+00
PKER_SDRYG( 36, 39) =  0.281991E+00
PKER_SDRYG( 36, 40) =  0.264276E+00
PKER_SDRYG( 36, 41) =  0.247610E+00
PKER_SDRYG( 36, 42) =  0.231924E+00
PKER_SDRYG( 36, 43) =  0.217150E+00
PKER_SDRYG( 36, 44) =  0.203224E+00
PKER_SDRYG( 36, 45) =  0.190084E+00
PKER_SDRYG( 36, 46) =  0.177667E+00
PKER_SDRYG( 36, 47) =  0.165917E+00
PKER_SDRYG( 36, 48) =  0.154777E+00
PKER_SDRYG( 36, 49) =  0.144194E+00
PKER_SDRYG( 36, 50) =  0.134122E+00
PKER_SDRYG( 36, 51) =  0.124519E+00
PKER_SDRYG( 36, 52) =  0.115360E+00
PKER_SDRYG( 36, 53) =  0.106630E+00
PKER_SDRYG( 36, 54) =  0.983351E-01
PKER_SDRYG( 36, 55) =  0.904924E-01
PKER_SDRYG( 36, 56) =  0.831287E-01
PKER_SDRYG( 36, 57) =  0.762689E-01
PKER_SDRYG( 36, 58) =  0.699271E-01
PKER_SDRYG( 36, 59) =  0.641001E-01
PKER_SDRYG( 36, 60) =  0.587680E-01
PKER_SDRYG( 36, 61) =  0.538972E-01
PKER_SDRYG( 36, 62) =  0.494467E-01
PKER_SDRYG( 36, 63) =  0.453735E-01
PKER_SDRYG( 36, 64) =  0.416358E-01
PKER_SDRYG( 36, 65) =  0.381961E-01
PKER_SDRYG( 36, 66) =  0.350213E-01
PKER_SDRYG( 36, 67) =  0.320830E-01
PKER_SDRYG( 36, 68) =  0.293569E-01
PKER_SDRYG( 36, 69) =  0.268227E-01
PKER_SDRYG( 36, 70) =  0.244628E-01
PKER_SDRYG( 36, 71) =  0.222628E-01
PKER_SDRYG( 36, 72) =  0.202100E-01
PKER_SDRYG( 36, 73) =  0.182942E-01
PKER_SDRYG( 36, 74) =  0.165070E-01
PKER_SDRYG( 36, 75) =  0.148415E-01
PKER_SDRYG( 36, 76) =  0.132934E-01
PKER_SDRYG( 36, 77) =  0.118592E-01
PKER_SDRYG( 36, 78) =  0.105376E-01
PKER_SDRYG( 36, 79) =  0.932874E-02
PKER_SDRYG( 36, 80) =  0.823481E-02
PKER_SDRYG( 37,  1) =  0.315013E+01
PKER_SDRYG( 37,  2) =  0.295762E+01
PKER_SDRYG( 37,  3) =  0.277685E+01
PKER_SDRYG( 37,  4) =  0.260712E+01
PKER_SDRYG( 37,  5) =  0.244774E+01
PKER_SDRYG( 37,  6) =  0.229808E+01
PKER_SDRYG( 37,  7) =  0.215756E+01
PKER_SDRYG( 37,  8) =  0.202561E+01
PKER_SDRYG( 37,  9) =  0.190171E+01
PKER_SDRYG( 37, 10) =  0.178537E+01
PKER_SDRYG( 37, 11) =  0.167613E+01
PKER_SDRYG( 37, 12) =  0.157355E+01
PKER_SDRYG( 37, 13) =  0.147723E+01
PKER_SDRYG( 37, 14) =  0.138679E+01
PKER_SDRYG( 37, 15) =  0.130187E+01
PKER_SDRYG( 37, 16) =  0.122213E+01
PKER_SDRYG( 37, 17) =  0.114725E+01
PKER_SDRYG( 37, 18) =  0.107695E+01
PKER_SDRYG( 37, 19) =  0.101093E+01
PKER_SDRYG( 37, 20) =  0.948936E+00
PKER_SDRYG( 37, 21) =  0.890727E+00
PKER_SDRYG( 37, 22) =  0.836069E+00
PKER_SDRYG( 37, 23) =  0.784745E+00
PKER_SDRYG( 37, 24) =  0.736552E+00
PKER_SDRYG( 37, 25) =  0.691298E+00
PKER_SDRYG( 37, 26) =  0.648803E+00
PKER_SDRYG( 37, 27) =  0.608899E+00
PKER_SDRYG( 37, 28) =  0.571428E+00
PKER_SDRYG( 37, 29) =  0.536240E+00
PKER_SDRYG( 37, 30) =  0.503196E+00
PKER_SDRYG( 37, 31) =  0.472165E+00
PKER_SDRYG( 37, 32) =  0.443022E+00
PKER_SDRYG( 37, 33) =  0.415652E+00
PKER_SDRYG( 37, 34) =  0.389946E+00
PKER_SDRYG( 37, 35) =  0.365800E+00
PKER_SDRYG( 37, 36) =  0.343117E+00
PKER_SDRYG( 37, 37) =  0.321808E+00
PKER_SDRYG( 37, 38) =  0.301785E+00
PKER_SDRYG( 37, 39) =  0.282968E+00
PKER_SDRYG( 37, 40) =  0.265279E+00
PKER_SDRYG( 37, 41) =  0.248646E+00
PKER_SDRYG( 37, 42) =  0.232999E+00
PKER_SDRYG( 37, 43) =  0.218273E+00
PKER_SDRYG( 37, 44) =  0.204405E+00
PKER_SDRYG( 37, 45) =  0.191333E+00
PKER_SDRYG( 37, 46) =  0.179000E+00
PKER_SDRYG( 37, 47) =  0.167348E+00
PKER_SDRYG( 37, 48) =  0.156324E+00
PKER_SDRYG( 37, 49) =  0.145874E+00
PKER_SDRYG( 37, 50) =  0.135951E+00
PKER_SDRYG( 37, 51) =  0.126509E+00
PKER_SDRYG( 37, 52) =  0.117512E+00
PKER_SDRYG( 37, 53) =  0.108934E+00
PKER_SDRYG( 37, 54) =  0.100762E+00
PKER_SDRYG( 37, 55) =  0.930002E-01
PKER_SDRYG( 37, 56) =  0.856646E-01
PKER_SDRYG( 37, 57) =  0.787788E-01
PKER_SDRYG( 37, 58) =  0.723653E-01
PKER_SDRYG( 37, 59) =  0.664358E-01
PKER_SDRYG( 37, 60) =  0.609872E-01
PKER_SDRYG( 37, 61) =  0.560001E-01
PKER_SDRYG( 37, 62) =  0.514432E-01
PKER_SDRYG( 37, 63) =  0.472782E-01
PKER_SDRYG( 37, 64) =  0.434648E-01
PKER_SDRYG( 37, 65) =  0.399644E-01
PKER_SDRYG( 37, 66) =  0.367420E-01
PKER_SDRYG( 37, 67) =  0.337668E-01
PKER_SDRYG( 37, 68) =  0.310124E-01
PKER_SDRYG( 37, 69) =  0.284563E-01
PKER_SDRYG( 37, 70) =  0.260793E-01
PKER_SDRYG( 37, 71) =  0.238651E-01
PKER_SDRYG( 37, 72) =  0.217997E-01
PKER_SDRYG( 37, 73) =  0.198713E-01
PKER_SDRYG( 37, 74) =  0.180696E-01
PKER_SDRYG( 37, 75) =  0.163859E-01
PKER_SDRYG( 37, 76) =  0.148129E-01
PKER_SDRYG( 37, 77) =  0.133450E-01
PKER_SDRYG( 37, 78) =  0.119777E-01
PKER_SDRYG( 37, 79) =  0.107079E-01
PKER_SDRYG( 37, 80) =  0.953408E-02
PKER_SDRYG( 38,  1) =  0.315085E+01
PKER_SDRYG( 38,  2) =  0.295834E+01
PKER_SDRYG( 38,  3) =  0.277757E+01
PKER_SDRYG( 38,  4) =  0.260784E+01
PKER_SDRYG( 38,  5) =  0.244846E+01
PKER_SDRYG( 38,  6) =  0.229880E+01
PKER_SDRYG( 38,  7) =  0.215828E+01
PKER_SDRYG( 38,  8) =  0.202633E+01
PKER_SDRYG( 38,  9) =  0.190243E+01
PKER_SDRYG( 38, 10) =  0.178609E+01
PKER_SDRYG( 38, 11) =  0.167685E+01
PKER_SDRYG( 38, 12) =  0.157427E+01
PKER_SDRYG( 38, 13) =  0.147795E+01
PKER_SDRYG( 38, 14) =  0.138751E+01
PKER_SDRYG( 38, 15) =  0.130259E+01
PKER_SDRYG( 38, 16) =  0.122285E+01
PKER_SDRYG( 38, 17) =  0.114798E+01
PKER_SDRYG( 38, 18) =  0.107767E+01
PKER_SDRYG( 38, 19) =  0.101165E+01
PKER_SDRYG( 38, 20) =  0.949660E+00
PKER_SDRYG( 38, 21) =  0.891452E+00
PKER_SDRYG( 38, 22) =  0.836795E+00
PKER_SDRYG( 38, 23) =  0.785472E+00
PKER_SDRYG( 38, 24) =  0.737279E+00
PKER_SDRYG( 38, 25) =  0.692026E+00
PKER_SDRYG( 38, 26) =  0.649533E+00
PKER_SDRYG( 38, 27) =  0.609632E+00
PKER_SDRYG( 38, 28) =  0.572163E+00
PKER_SDRYG( 38, 29) =  0.536978E+00
PKER_SDRYG( 38, 30) =  0.503937E+00
PKER_SDRYG( 38, 31) =  0.472910E+00
PKER_SDRYG( 38, 32) =  0.443772E+00
PKER_SDRYG( 38, 33) =  0.416408E+00
PKER_SDRYG( 38, 34) =  0.390708E+00
PKER_SDRYG( 38, 35) =  0.366570E+00
PKER_SDRYG( 38, 36) =  0.343898E+00
PKER_SDRYG( 38, 37) =  0.322600E+00
PKER_SDRYG( 38, 38) =  0.302592E+00
PKER_SDRYG( 38, 39) =  0.283791E+00
PKER_SDRYG( 38, 40) =  0.266123E+00
PKER_SDRYG( 38, 41) =  0.249515E+00
PKER_SDRYG( 38, 42) =  0.233898E+00
PKER_SDRYG( 38, 43) =  0.219208E+00
PKER_SDRYG( 38, 44) =  0.205383E+00
PKER_SDRYG( 38, 45) =  0.192364E+00
PKER_SDRYG( 38, 46) =  0.180094E+00
PKER_SDRYG( 38, 47) =  0.168518E+00
PKER_SDRYG( 38, 48) =  0.157584E+00
PKER_SDRYG( 38, 49) =  0.147240E+00
PKER_SDRYG( 38, 50) =  0.137437E+00
PKER_SDRYG( 38, 51) =  0.128131E+00
PKER_SDRYG( 38, 52) =  0.119279E+00
PKER_SDRYG( 38, 53) =  0.110847E+00
PKER_SDRYG( 38, 54) =  0.102812E+00
PKER_SDRYG( 38, 55) =  0.951603E-01
PKER_SDRYG( 38, 56) =  0.878956E-01
PKER_SDRYG( 38, 57) =  0.810320E-01
PKER_SDRYG( 38, 58) =  0.745909E-01
PKER_SDRYG( 38, 59) =  0.685921E-01
PKER_SDRYG( 38, 60) =  0.630462E-01
PKER_SDRYG( 38, 61) =  0.579494E-01
PKER_SDRYG( 38, 62) =  0.532834E-01
PKER_SDRYG( 38, 63) =  0.490188E-01
PKER_SDRYG( 38, 64) =  0.451197E-01
PKER_SDRYG( 38, 65) =  0.415486E-01
PKER_SDRYG( 38, 66) =  0.382697E-01
PKER_SDRYG( 38, 67) =  0.352502E-01
PKER_SDRYG( 38, 68) =  0.324616E-01
PKER_SDRYG( 38, 69) =  0.298793E-01
PKER_SDRYG( 38, 70) =  0.274823E-01
PKER_SDRYG( 38, 71) =  0.252528E-01
PKER_SDRYG( 38, 72) =  0.231754E-01
PKER_SDRYG( 38, 73) =  0.212373E-01
PKER_SDRYG( 38, 74) =  0.194269E-01
PKER_SDRYG( 38, 75) =  0.177345E-01
PKER_SDRYG( 38, 76) =  0.161517E-01
PKER_SDRYG( 38, 77) =  0.146709E-01
PKER_SDRYG( 38, 78) =  0.132861E-01
PKER_SDRYG( 38, 79) =  0.119920E-01
PKER_SDRYG( 38, 80) =  0.107845E-01
PKER_SDRYG( 39,  1) =  0.315147E+01
PKER_SDRYG( 39,  2) =  0.295896E+01
PKER_SDRYG( 39,  3) =  0.277819E+01
PKER_SDRYG( 39,  4) =  0.260845E+01
PKER_SDRYG( 39,  5) =  0.244907E+01
PKER_SDRYG( 39,  6) =  0.229942E+01
PKER_SDRYG( 39,  7) =  0.215889E+01
PKER_SDRYG( 39,  8) =  0.202694E+01
PKER_SDRYG( 39,  9) =  0.190304E+01
PKER_SDRYG( 39, 10) =  0.178670E+01
PKER_SDRYG( 39, 11) =  0.167746E+01
PKER_SDRYG( 39, 12) =  0.157489E+01
PKER_SDRYG( 39, 13) =  0.147857E+01
PKER_SDRYG( 39, 14) =  0.138813E+01
PKER_SDRYG( 39, 15) =  0.130321E+01
PKER_SDRYG( 39, 16) =  0.122347E+01
PKER_SDRYG( 39, 17) =  0.114859E+01
PKER_SDRYG( 39, 18) =  0.107829E+01
PKER_SDRYG( 39, 19) =  0.101227E+01
PKER_SDRYG( 39, 20) =  0.950279E+00
PKER_SDRYG( 39, 21) =  0.892072E+00
PKER_SDRYG( 39, 22) =  0.837415E+00
PKER_SDRYG( 39, 23) =  0.786093E+00
PKER_SDRYG( 39, 24) =  0.737901E+00
PKER_SDRYG( 39, 25) =  0.692649E+00
PKER_SDRYG( 39, 26) =  0.650158E+00
PKER_SDRYG( 39, 27) =  0.610257E+00
PKER_SDRYG( 39, 28) =  0.572790E+00
PKER_SDRYG( 39, 29) =  0.537608E+00
PKER_SDRYG( 39, 30) =  0.504570E+00
PKER_SDRYG( 39, 31) =  0.473545E+00
PKER_SDRYG( 39, 32) =  0.444411E+00
PKER_SDRYG( 39, 33) =  0.417051E+00
PKER_SDRYG( 39, 34) =  0.391357E+00
PKER_SDRYG( 39, 35) =  0.367225E+00
PKER_SDRYG( 39, 36) =  0.344561E+00
PKER_SDRYG( 39, 37) =  0.323272E+00
PKER_SDRYG( 39, 38) =  0.303274E+00
PKER_SDRYG( 39, 39) =  0.284487E+00
PKER_SDRYG( 39, 40) =  0.266835E+00
PKER_SDRYG( 39, 41) =  0.250245E+00
PKER_SDRYG( 39, 42) =  0.234652E+00
PKER_SDRYG( 39, 43) =  0.219989E+00
PKER_SDRYG( 39, 44) =  0.206198E+00
PKER_SDRYG( 39, 45) =  0.193218E+00
PKER_SDRYG( 39, 46) =  0.180996E+00
PKER_SDRYG( 39, 47) =  0.169478E+00
PKER_SDRYG( 39, 48) =  0.158613E+00
PKER_SDRYG( 39, 49) =  0.148351E+00
PKER_SDRYG( 39, 50) =  0.138645E+00
PKER_SDRYG( 39, 51) =  0.129448E+00
PKER_SDRYG( 39, 52) =  0.120720E+00
PKER_SDRYG( 39, 53) =  0.112420E+00
PKER_SDRYG( 39, 54) =  0.104517E+00
PKER_SDRYG( 39, 55) =  0.969883E-01
PKER_SDRYG( 39, 56) =  0.898223E-01
PKER_SDRYG( 39, 57) =  0.830208E-01
PKER_SDRYG( 39, 58) =  0.765970E-01
PKER_SDRYG( 39, 59) =  0.705698E-01
PKER_SDRYG( 39, 60) =  0.649571E-01
PKER_SDRYG( 39, 61) =  0.597681E-01
PKER_SDRYG( 39, 62) =  0.549988E-01
PKER_SDRYG( 39, 63) =  0.506318E-01
PKER_SDRYG( 39, 64) =  0.466394E-01
PKER_SDRYG( 39, 65) =  0.429883E-01
PKER_SDRYG( 39, 66) =  0.396433E-01
PKER_SDRYG( 39, 67) =  0.365711E-01
PKER_SDRYG( 39, 68) =  0.337413E-01
PKER_SDRYG( 39, 69) =  0.311271E-01
PKER_SDRYG( 39, 70) =  0.287058E-01
PKER_SDRYG( 39, 71) =  0.264578E-01
PKER_SDRYG( 39, 72) =  0.243664E-01
PKER_SDRYG( 39, 73) =  0.224176E-01
PKER_SDRYG( 39, 74) =  0.205989E-01
PKER_SDRYG( 39, 75) =  0.188998E-01
PKER_SDRYG( 39, 76) =  0.173110E-01
PKER_SDRYG( 39, 77) =  0.158243E-01
PKER_SDRYG( 39, 78) =  0.144326E-01
PKER_SDRYG( 39, 79) =  0.131297E-01
PKER_SDRYG( 39, 80) =  0.119101E-01
PKER_SDRYG( 40,  1) =  0.315200E+01
PKER_SDRYG( 40,  2) =  0.295948E+01
PKER_SDRYG( 40,  3) =  0.277872E+01
PKER_SDRYG( 40,  4) =  0.260898E+01
PKER_SDRYG( 40,  5) =  0.244960E+01
PKER_SDRYG( 40,  6) =  0.229994E+01
PKER_SDRYG( 40,  7) =  0.215942E+01
PKER_SDRYG( 40,  8) =  0.202747E+01
PKER_SDRYG( 40,  9) =  0.190357E+01
PKER_SDRYG( 40, 10) =  0.178723E+01
PKER_SDRYG( 40, 11) =  0.167799E+01
PKER_SDRYG( 40, 12) =  0.157542E+01
PKER_SDRYG( 40, 13) =  0.147910E+01
PKER_SDRYG( 40, 14) =  0.138866E+01
PKER_SDRYG( 40, 15) =  0.130374E+01
PKER_SDRYG( 40, 16) =  0.122400E+01
PKER_SDRYG( 40, 17) =  0.114912E+01
PKER_SDRYG( 40, 18) =  0.107882E+01
PKER_SDRYG( 40, 19) =  0.101280E+01
PKER_SDRYG( 40, 20) =  0.950809E+00
PKER_SDRYG( 40, 21) =  0.892602E+00
PKER_SDRYG( 40, 22) =  0.837945E+00
PKER_SDRYG( 40, 23) =  0.786624E+00
PKER_SDRYG( 40, 24) =  0.738433E+00
PKER_SDRYG( 40, 25) =  0.693182E+00
PKER_SDRYG( 40, 26) =  0.650691E+00
PKER_SDRYG( 40, 27) =  0.610792E+00
PKER_SDRYG( 40, 28) =  0.573327E+00
PKER_SDRYG( 40, 29) =  0.538146E+00
PKER_SDRYG( 40, 30) =  0.505110E+00
PKER_SDRYG( 40, 31) =  0.474088E+00
PKER_SDRYG( 40, 32) =  0.444957E+00
PKER_SDRYG( 40, 33) =  0.417600E+00
PKER_SDRYG( 40, 34) =  0.391910E+00
PKER_SDRYG( 40, 35) =  0.367783E+00
PKER_SDRYG( 40, 36) =  0.345124E+00
PKER_SDRYG( 40, 37) =  0.323843E+00
PKER_SDRYG( 40, 38) =  0.303853E+00
PKER_SDRYG( 40, 39) =  0.285076E+00
PKER_SDRYG( 40, 40) =  0.267436E+00
PKER_SDRYG( 40, 41) =  0.250861E+00
PKER_SDRYG( 40, 42) =  0.235285E+00
PKER_SDRYG( 40, 43) =  0.220643E+00
PKER_SDRYG( 40, 44) =  0.206877E+00
PKER_SDRYG( 40, 45) =  0.193928E+00
PKER_SDRYG( 40, 46) =  0.181743E+00
PKER_SDRYG( 40, 47) =  0.170269E+00
PKER_SDRYG( 40, 48) =  0.159457E+00
PKER_SDRYG( 40, 49) =  0.149258E+00
PKER_SDRYG( 40, 50) =  0.139627E+00
PKER_SDRYG( 40, 51) =  0.130518E+00
PKER_SDRYG( 40, 52) =  0.121890E+00
PKER_SDRYG( 40, 53) =  0.113703E+00
PKER_SDRYG( 40, 54) =  0.105920E+00
PKER_SDRYG( 40, 55) =  0.985112E-01
PKER_SDRYG( 40, 56) =  0.914559E-01
PKER_SDRYG( 40, 57) =  0.847430E-01
PKER_SDRYG( 40, 58) =  0.783738E-01
PKER_SDRYG( 40, 59) =  0.723597E-01
PKER_SDRYG( 40, 60) =  0.667182E-01
PKER_SDRYG( 40, 61) =  0.614651E-01
PKER_SDRYG( 40, 62) =  0.566085E-01
PKER_SDRYG( 40, 63) =  0.521442E-01
PKER_SDRYG( 40, 64) =  0.480558E-01
PKER_SDRYG( 40, 65) =  0.443173E-01
PKER_SDRYG( 40, 66) =  0.408974E-01
PKER_SDRYG( 40, 67) =  0.377635E-01
PKER_SDRYG( 40, 68) =  0.348844E-01
PKER_SDRYG( 40, 69) =  0.322318E-01
PKER_SDRYG( 40, 70) =  0.297808E-01
PKER_SDRYG( 40, 71) =  0.275102E-01
PKER_SDRYG( 40, 72) =  0.254017E-01
PKER_SDRYG( 40, 73) =  0.234398E-01
PKER_SDRYG( 40, 74) =  0.216113E-01
PKER_SDRYG( 40, 75) =  0.199047E-01
PKER_SDRYG( 40, 76) =  0.183101E-01
PKER_SDRYG( 40, 77) =  0.168188E-01
PKER_SDRYG( 40, 78) =  0.154231E-01
PKER_SDRYG( 40, 79) =  0.141161E-01
PKER_SDRYG( 40, 80) =  0.128918E-01
END IF
!
END SUBROUTINE LIMA_READ_XKER_SDRYG
