!MNH_LIC Copyright 1994-2014 CNRS, Meteo-France and Universite Paul Sabatier
!MNH_LIC This is part of the Meso-NH software governed by the CeCILL-C licence
!MNH_LIC version 1. See LICENSE, CeCILL-C_V1-en.txt and CeCILL-C_V1-fr.txt  
!MNH_LIC for details. version 1.
!-----------------------------------------------------------------
!--------------- special set of characters for RCS information
!-----------------------------------------------------------------
! $Source$ $Revision$
! MASDEV4_7 microph 2006/05/18 13:07:25
!-----------------------------------------------------------------
!     ###########################
      MODULE MODI_LIMA_READ_XKER_SWETH
!     ###########################
!
INTERFACE
      SUBROUTINE LIMA_READ_XKER_SWETH (KWETLBDAH,KWETLBDAS,KND,                   &
                    PALPHAH,PNUH,PALPHAS,PNUS,PEHS,PBS,PCH,PDH,PCS,PDS,      &
                    PWETLBDAH_MAX,PWETLBDAS_MAX,PWETLBDAH_MIN,PWETLBDAS_MIN, &
                    PFDINFTY,PKER_SWETH                                      )
!
INTEGER, INTENT(OUT) :: KND,KWETLBDAH,KWETLBDAS
REAL,    INTENT(OUT) :: PALPHAH
REAL,    INTENT(OUT) :: PNUH
REAL,    INTENT(OUT) :: PALPHAS
REAL,    INTENT(OUT) :: PNUS
REAL,    INTENT(OUT) :: PEHS
REAL,    INTENT(OUT) :: PBS
REAL,    INTENT(OUT) :: PCH
REAL,    INTENT(OUT) :: PDH
REAL,    INTENT(OUT) :: PCS
REAL,    INTENT(OUT) :: PDS
REAL,    INTENT(OUT) :: PWETLBDAH_MAX
REAL,    INTENT(OUT) :: PWETLBDAS_MAX
REAL,    INTENT(OUT) :: PWETLBDAH_MIN
REAL,    INTENT(OUT) :: PWETLBDAS_MIN
REAL,    INTENT(OUT) :: PFDINFTY
REAL, DIMENSION(:,:), INTENT(OUT), OPTIONAL :: PKER_SWETH 
!
END SUBROUTINE LIMA_READ_XKER_SWETH
!
END INTERFACE
!
END MODULE MODI_LIMA_READ_XKER_SWETH
!     ########################################################################
      SUBROUTINE LIMA_READ_XKER_SWETH (KWETLBDAH,KWETLBDAS,KND,                   &
                    PALPHAH,PNUH,PALPHAS,PNUS,PEHS,PBS,PCH,PDH,PCS,PDS,      &
                    PWETLBDAH_MAX,PWETLBDAS_MAX,PWETLBDAH_MIN,PWETLBDAS_MIN, &
                    PFDINFTY,PKER_SWETH                                      )
!     ########################################################################
!
!!****  * * - initialize the kernels for the snow-hail wet growth process
!!
!!    PURPOSE
!!    -------
!!      The purpose of this routine is to initialize the kernels PKER_SWETH
!!    prepared from a previous run of the routine INI_RAIN_ICE. The reading
!!    of the kernels is optional after checking for the dimensions of the
!!    arrays.
!!
!!**  METHOD
!!    ------
!!      
!!
!!    EXTERNAL
!!    --------
!!      None
!!     
!!
!!    IMPLICIT ARGUMENTS
!!    ------------------
!!      None
!!
!!    REFERENCE
!!    ---------
!!      Book2 of documentation ( routine READ_XKER_SWETH )
!!
!!    AUTHOR
!!    ------
!!      J.-P. Pinty      * Laboratoire d'Aerologie*
!!
!!    MODIFICATIONS
!!    -------------
!!      Original    19/04/97
!!
!-------------------------------------------------------------------------------
!
!*       0.    DECLARATIONS
!              ------------
!
!*       0.2   Declarations of local variables :
!
!  
INTEGER, INTENT(OUT) :: KND,KWETLBDAH,KWETLBDAS
REAL,    INTENT(OUT) :: PALPHAH
REAL,    INTENT(OUT) :: PNUH
REAL,    INTENT(OUT) :: PALPHAS
REAL,    INTENT(OUT) :: PNUS
REAL,    INTENT(OUT) :: PEHS
REAL,    INTENT(OUT) :: PBS
REAL,    INTENT(OUT) :: PCH
REAL,    INTENT(OUT) :: PDH
REAL,    INTENT(OUT) :: PCS
REAL,    INTENT(OUT) :: PDS
REAL,    INTENT(OUT) :: PWETLBDAH_MAX
REAL,    INTENT(OUT) :: PWETLBDAS_MAX
REAL,    INTENT(OUT) :: PWETLBDAH_MIN
REAL,    INTENT(OUT) :: PWETLBDAS_MIN
REAL,    INTENT(OUT) :: PFDINFTY
REAL, DIMENSION(:,:), INTENT(OUT), OPTIONAL :: PKER_SWETH 
!
! ########################################################################
! #INSERT HERE THE OUTPUT OF INI_RAIN_ICE_HAIL IF THE KERNELS ARE UPDATED#
! ########################################################################
!
KND= 50
KWETLBDAH= 40
KWETLBDAS= 80
PALPHAH= 0.100000E+01
PNUH= 0.800000E+01
PALPHAS= 0.100000E+01
PNUS= 0.100000E+01
PEHS= 0.100000E+01
PBS= 0.190000E+01
PCH= 0.201000E+03
PDH= 0.640000E+00
PCS= 0.500000E+01
PDS= 0.270000E+00
PWETLBDAH_MAX= 0.100000E+08
PWETLBDAS_MAX= 0.250000E+10
PWETLBDAH_MIN= 0.100000E+04
PWETLBDAS_MIN= 0.250000E+02
PFDINFTY= 0.200000E+02
!
IF( PRESENT(PKER_SWETH) ) THEN
PKER_SWETH(  1,  1) =  0.594408E+01
PKER_SWETH(  1,  2) =  0.615804E+01
PKER_SWETH(  1,  3) =  0.636519E+01
PKER_SWETH(  1,  4) =  0.656714E+01
PKER_SWETH(  1,  5) =  0.676556E+01
PKER_SWETH(  1,  6) =  0.696207E+01
PKER_SWETH(  1,  7) =  0.715814E+01
PKER_SWETH(  1,  8) =  0.735491E+01
PKER_SWETH(  1,  9) =  0.755300E+01
PKER_SWETH(  1, 10) =  0.775225E+01
PKER_SWETH(  1, 11) =  0.795159E+01
PKER_SWETH(  1, 12) =  0.814900E+01
PKER_SWETH(  1, 13) =  0.834171E+01
PKER_SWETH(  1, 14) =  0.852662E+01
PKER_SWETH(  1, 15) =  0.870080E+01
PKER_SWETH(  1, 16) =  0.886196E+01
PKER_SWETH(  1, 17) =  0.900870E+01
PKER_SWETH(  1, 18) =  0.914061E+01
PKER_SWETH(  1, 19) =  0.925806E+01
PKER_SWETH(  1, 20) =  0.936202E+01
PKER_SWETH(  1, 21) =  0.945377E+01
PKER_SWETH(  1, 22) =  0.953473E+01
PKER_SWETH(  1, 23) =  0.960629E+01
PKER_SWETH(  1, 24) =  0.966973E+01
PKER_SWETH(  1, 25) =  0.972622E+01
PKER_SWETH(  1, 26) =  0.977674E+01
PKER_SWETH(  1, 27) =  0.982214E+01
PKER_SWETH(  1, 28) =  0.986313E+01
PKER_SWETH(  1, 29) =  0.990032E+01
PKER_SWETH(  1, 30) =  0.993419E+01
PKER_SWETH(  1, 31) =  0.996517E+01
PKER_SWETH(  1, 32) =  0.999360E+01
PKER_SWETH(  1, 33) =  0.100198E+02
PKER_SWETH(  1, 34) =  0.100439E+02
PKER_SWETH(  1, 35) =  0.100663E+02
PKER_SWETH(  1, 36) =  0.100870E+02
PKER_SWETH(  1, 37) =  0.101063E+02
PKER_SWETH(  1, 38) =  0.101243E+02
PKER_SWETH(  1, 39) =  0.101410E+02
PKER_SWETH(  1, 40) =  0.101566E+02
PKER_SWETH(  1, 41) =  0.101711E+02
PKER_SWETH(  1, 42) =  0.101847E+02
PKER_SWETH(  1, 43) =  0.101975E+02
PKER_SWETH(  1, 44) =  0.102094E+02
PKER_SWETH(  1, 45) =  0.102206E+02
PKER_SWETH(  1, 46) =  0.102310E+02
PKER_SWETH(  1, 47) =  0.102408E+02
PKER_SWETH(  1, 48) =  0.102500E+02
PKER_SWETH(  1, 49) =  0.102586E+02
PKER_SWETH(  1, 50) =  0.102667E+02
PKER_SWETH(  1, 51) =  0.102743E+02
PKER_SWETH(  1, 52) =  0.102814E+02
PKER_SWETH(  1, 53) =  0.102880E+02
PKER_SWETH(  1, 54) =  0.102943E+02
PKER_SWETH(  1, 55) =  0.103002E+02
PKER_SWETH(  1, 56) =  0.103057E+02
PKER_SWETH(  1, 57) =  0.103108E+02
PKER_SWETH(  1, 58) =  0.103157E+02
PKER_SWETH(  1, 59) =  0.103203E+02
PKER_SWETH(  1, 60) =  0.103245E+02
PKER_SWETH(  1, 61) =  0.103286E+02
PKER_SWETH(  1, 62) =  0.103323E+02
PKER_SWETH(  1, 63) =  0.103359E+02
PKER_SWETH(  1, 64) =  0.103392E+02
PKER_SWETH(  1, 65) =  0.103423E+02
PKER_SWETH(  1, 66) =  0.103453E+02
PKER_SWETH(  1, 67) =  0.103480E+02
PKER_SWETH(  1, 68) =  0.103506E+02
PKER_SWETH(  1, 69) =  0.103530E+02
PKER_SWETH(  1, 70) =  0.103553E+02
PKER_SWETH(  1, 71) =  0.103574E+02
PKER_SWETH(  1, 72) =  0.103595E+02
PKER_SWETH(  1, 73) =  0.103613E+02
PKER_SWETH(  1, 74) =  0.103631E+02
PKER_SWETH(  1, 75) =  0.103648E+02
PKER_SWETH(  1, 76) =  0.103663E+02
PKER_SWETH(  1, 77) =  0.103678E+02
PKER_SWETH(  1, 78) =  0.103692E+02
PKER_SWETH(  1, 79) =  0.103705E+02
PKER_SWETH(  1, 80) =  0.103717E+02
PKER_SWETH(  2,  1) =  0.465456E+01
PKER_SWETH(  2,  2) =  0.486187E+01
PKER_SWETH(  2,  3) =  0.506117E+01
PKER_SWETH(  2,  4) =  0.525380E+01
PKER_SWETH(  2,  5) =  0.544116E+01
PKER_SWETH(  2,  6) =  0.562472E+01
PKER_SWETH(  2,  7) =  0.580594E+01
PKER_SWETH(  2,  8) =  0.598611E+01
PKER_SWETH(  2,  9) =  0.616626E+01
PKER_SWETH(  2, 10) =  0.634695E+01
PKER_SWETH(  2, 11) =  0.652809E+01
PKER_SWETH(  2, 12) =  0.670877E+01
PKER_SWETH(  2, 13) =  0.688725E+01
PKER_SWETH(  2, 14) =  0.706117E+01
PKER_SWETH(  2, 15) =  0.722787E+01
PKER_SWETH(  2, 16) =  0.738481E+01
PKER_SWETH(  2, 17) =  0.753004E+01
PKER_SWETH(  2, 18) =  0.766237E+01
PKER_SWETH(  2, 19) =  0.778146E+01
PKER_SWETH(  2, 20) =  0.788768E+01
PKER_SWETH(  2, 21) =  0.798187E+01
PKER_SWETH(  2, 22) =  0.806519E+01
PKER_SWETH(  2, 23) =  0.813889E+01
PKER_SWETH(  2, 24) =  0.820419E+01
PKER_SWETH(  2, 25) =  0.826224E+01
PKER_SWETH(  2, 26) =  0.831405E+01
PKER_SWETH(  2, 27) =  0.836050E+01
PKER_SWETH(  2, 28) =  0.840234E+01
PKER_SWETH(  2, 29) =  0.844021E+01
PKER_SWETH(  2, 30) =  0.847462E+01
PKER_SWETH(  2, 31) =  0.850603E+01
PKER_SWETH(  2, 32) =  0.853480E+01
PKER_SWETH(  2, 33) =  0.856125E+01
PKER_SWETH(  2, 34) =  0.858563E+01
PKER_SWETH(  2, 35) =  0.860816E+01
PKER_SWETH(  2, 36) =  0.862904E+01
PKER_SWETH(  2, 37) =  0.864841E+01
PKER_SWETH(  2, 38) =  0.866643E+01
PKER_SWETH(  2, 39) =  0.868321E+01
PKER_SWETH(  2, 40) =  0.869886E+01
PKER_SWETH(  2, 41) =  0.871346E+01
PKER_SWETH(  2, 42) =  0.872711E+01
PKER_SWETH(  2, 43) =  0.873987E+01
PKER_SWETH(  2, 44) =  0.875180E+01
PKER_SWETH(  2, 45) =  0.876298E+01
PKER_SWETH(  2, 46) =  0.877344E+01
PKER_SWETH(  2, 47) =  0.878325E+01
PKER_SWETH(  2, 48) =  0.879244E+01
PKER_SWETH(  2, 49) =  0.880106E+01
PKER_SWETH(  2, 50) =  0.880914E+01
PKER_SWETH(  2, 51) =  0.881672E+01
PKER_SWETH(  2, 52) =  0.882383E+01
PKER_SWETH(  2, 53) =  0.883050E+01
PKER_SWETH(  2, 54) =  0.883676E+01
PKER_SWETH(  2, 55) =  0.884263E+01
PKER_SWETH(  2, 56) =  0.884815E+01
PKER_SWETH(  2, 57) =  0.885332E+01
PKER_SWETH(  2, 58) =  0.885818E+01
PKER_SWETH(  2, 59) =  0.886274E+01
PKER_SWETH(  2, 60) =  0.886702E+01
PKER_SWETH(  2, 61) =  0.887104E+01
PKER_SWETH(  2, 62) =  0.887482E+01
PKER_SWETH(  2, 63) =  0.887836E+01
PKER_SWETH(  2, 64) =  0.888169E+01
PKER_SWETH(  2, 65) =  0.888481E+01
PKER_SWETH(  2, 66) =  0.888774E+01
PKER_SWETH(  2, 67) =  0.889049E+01
PKER_SWETH(  2, 68) =  0.889308E+01
PKER_SWETH(  2, 69) =  0.889551E+01
PKER_SWETH(  2, 70) =  0.889778E+01
PKER_SWETH(  2, 71) =  0.889992E+01
PKER_SWETH(  2, 72) =  0.890193E+01
PKER_SWETH(  2, 73) =  0.890382E+01
PKER_SWETH(  2, 74) =  0.890559E+01
PKER_SWETH(  2, 75) =  0.890725E+01
PKER_SWETH(  2, 76) =  0.890882E+01
PKER_SWETH(  2, 77) =  0.891028E+01
PKER_SWETH(  2, 78) =  0.891166E+01
PKER_SWETH(  2, 79) =  0.891295E+01
PKER_SWETH(  2, 80) =  0.891417E+01
PKER_SWETH(  3,  1) =  0.355241E+01
PKER_SWETH(  3,  2) =  0.375388E+01
PKER_SWETH(  3,  3) =  0.394699E+01
PKER_SWETH(  3,  4) =  0.413258E+01
PKER_SWETH(  3,  5) =  0.431174E+01
PKER_SWETH(  3,  6) =  0.448568E+01
PKER_SWETH(  3,  7) =  0.465567E+01
PKER_SWETH(  3,  8) =  0.482298E+01
PKER_SWETH(  3,  9) =  0.498877E+01
PKER_SWETH(  3, 10) =  0.515397E+01
PKER_SWETH(  3, 11) =  0.531908E+01
PKER_SWETH(  3, 12) =  0.548405E+01
PKER_SWETH(  3, 13) =  0.564811E+01
PKER_SWETH(  3, 14) =  0.580980E+01
PKER_SWETH(  3, 15) =  0.596707E+01
PKER_SWETH(  3, 16) =  0.611763E+01
PKER_SWETH(  3, 17) =  0.625931E+01
PKER_SWETH(  3, 18) =  0.639043E+01
PKER_SWETH(  3, 19) =  0.650999E+01
PKER_SWETH(  3, 20) =  0.661772E+01
PKER_SWETH(  3, 21) =  0.671394E+01
PKER_SWETH(  3, 22) =  0.679944E+01
PKER_SWETH(  3, 23) =  0.687523E+01
PKER_SWETH(  3, 24) =  0.694243E+01
PKER_SWETH(  3, 25) =  0.700212E+01
PKER_SWETH(  3, 26) =  0.705531E+01
PKER_SWETH(  3, 27) =  0.710290E+01
PKER_SWETH(  3, 28) =  0.714567E+01
PKER_SWETH(  3, 29) =  0.718428E+01
PKER_SWETH(  3, 30) =  0.721929E+01
PKER_SWETH(  3, 31) =  0.725118E+01
PKER_SWETH(  3, 32) =  0.728033E+01
PKER_SWETH(  3, 33) =  0.730707E+01
PKER_SWETH(  3, 34) =  0.733169E+01
PKER_SWETH(  3, 35) =  0.735440E+01
PKER_SWETH(  3, 36) =  0.737543E+01
PKER_SWETH(  3, 37) =  0.739492E+01
PKER_SWETH(  3, 38) =  0.741303E+01
PKER_SWETH(  3, 39) =  0.742988E+01
PKER_SWETH(  3, 40) =  0.744559E+01
PKER_SWETH(  3, 41) =  0.746023E+01
PKER_SWETH(  3, 42) =  0.747391E+01
PKER_SWETH(  3, 43) =  0.748670E+01
PKER_SWETH(  3, 44) =  0.749866E+01
PKER_SWETH(  3, 45) =  0.750985E+01
PKER_SWETH(  3, 46) =  0.752033E+01
PKER_SWETH(  3, 47) =  0.753014E+01
PKER_SWETH(  3, 48) =  0.753934E+01
PKER_SWETH(  3, 49) =  0.754797E+01
PKER_SWETH(  3, 50) =  0.755605E+01
PKER_SWETH(  3, 51) =  0.756364E+01
PKER_SWETH(  3, 52) =  0.757075E+01
PKER_SWETH(  3, 53) =  0.757742E+01
PKER_SWETH(  3, 54) =  0.758369E+01
PKER_SWETH(  3, 55) =  0.758956E+01
PKER_SWETH(  3, 56) =  0.759508E+01
PKER_SWETH(  3, 57) =  0.760025E+01
PKER_SWETH(  3, 58) =  0.760511E+01
PKER_SWETH(  3, 59) =  0.760967E+01
PKER_SWETH(  3, 60) =  0.761396E+01
PKER_SWETH(  3, 61) =  0.761798E+01
PKER_SWETH(  3, 62) =  0.762175E+01
PKER_SWETH(  3, 63) =  0.762529E+01
PKER_SWETH(  3, 64) =  0.762862E+01
PKER_SWETH(  3, 65) =  0.763174E+01
PKER_SWETH(  3, 66) =  0.763467E+01
PKER_SWETH(  3, 67) =  0.763743E+01
PKER_SWETH(  3, 68) =  0.764001E+01
PKER_SWETH(  3, 69) =  0.764244E+01
PKER_SWETH(  3, 70) =  0.764472E+01
PKER_SWETH(  3, 71) =  0.764686E+01
PKER_SWETH(  3, 72) =  0.764887E+01
PKER_SWETH(  3, 73) =  0.765075E+01
PKER_SWETH(  3, 74) =  0.765253E+01
PKER_SWETH(  3, 75) =  0.765419E+01
PKER_SWETH(  3, 76) =  0.765575E+01
PKER_SWETH(  3, 77) =  0.765722E+01
PKER_SWETH(  3, 78) =  0.765859E+01
PKER_SWETH(  3, 79) =  0.765989E+01
PKER_SWETH(  3, 80) =  0.766110E+01
PKER_SWETH(  4,  1) =  0.261585E+01
PKER_SWETH(  4,  2) =  0.280948E+01
PKER_SWETH(  4,  3) =  0.299603E+01
PKER_SWETH(  4,  4) =  0.317539E+01
PKER_SWETH(  4,  5) =  0.334799E+01
PKER_SWETH(  4,  6) =  0.351456E+01
PKER_SWETH(  4,  7) =  0.367607E+01
PKER_SWETH(  4,  8) =  0.383360E+01
PKER_SWETH(  4,  9) =  0.398823E+01
PKER_SWETH(  4, 10) =  0.414100E+01
PKER_SWETH(  4, 11) =  0.429270E+01
PKER_SWETH(  4, 12) =  0.444383E+01
PKER_SWETH(  4, 13) =  0.459433E+01
PKER_SWETH(  4, 14) =  0.474359E+01
PKER_SWETH(  4, 15) =  0.489033E+01
PKER_SWETH(  4, 16) =  0.503281E+01
PKER_SWETH(  4, 17) =  0.516906E+01
PKER_SWETH(  4, 18) =  0.529721E+01
PKER_SWETH(  4, 19) =  0.541582E+01
PKER_SWETH(  4, 20) =  0.552404E+01
PKER_SWETH(  4, 21) =  0.562165E+01
PKER_SWETH(  4, 22) =  0.570898E+01
PKER_SWETH(  4, 23) =  0.578673E+01
PKER_SWETH(  4, 24) =  0.585579E+01
PKER_SWETH(  4, 25) =  0.591716E+01
PKER_SWETH(  4, 26) =  0.597181E+01
PKER_SWETH(  4, 27) =  0.602062E+01
PKER_SWETH(  4, 28) =  0.606439E+01
PKER_SWETH(  4, 29) =  0.610382E+01
PKER_SWETH(  4, 30) =  0.613949E+01
PKER_SWETH(  4, 31) =  0.617190E+01
PKER_SWETH(  4, 32) =  0.620147E+01
PKER_SWETH(  4, 33) =  0.622855E+01
PKER_SWETH(  4, 34) =  0.625342E+01
PKER_SWETH(  4, 35) =  0.627635E+01
PKER_SWETH(  4, 36) =  0.629753E+01
PKER_SWETH(  4, 37) =  0.631716E+01
PKER_SWETH(  4, 38) =  0.633537E+01
PKER_SWETH(  4, 39) =  0.635230E+01
PKER_SWETH(  4, 40) =  0.636806E+01
PKER_SWETH(  4, 41) =  0.638276E+01
PKER_SWETH(  4, 42) =  0.639648E+01
PKER_SWETH(  4, 43) =  0.640930E+01
PKER_SWETH(  4, 44) =  0.642128E+01
PKER_SWETH(  4, 45) =  0.643249E+01
PKER_SWETH(  4, 46) =  0.644298E+01
PKER_SWETH(  4, 47) =  0.645281E+01
PKER_SWETH(  4, 48) =  0.646202E+01
PKER_SWETH(  4, 49) =  0.647065E+01
PKER_SWETH(  4, 50) =  0.647874E+01
PKER_SWETH(  4, 51) =  0.648633E+01
PKER_SWETH(  4, 52) =  0.649345E+01
PKER_SWETH(  4, 53) =  0.650012E+01
PKER_SWETH(  4, 54) =  0.650639E+01
PKER_SWETH(  4, 55) =  0.651227E+01
PKER_SWETH(  4, 56) =  0.651778E+01
PKER_SWETH(  4, 57) =  0.652296E+01
PKER_SWETH(  4, 58) =  0.652782E+01
PKER_SWETH(  4, 59) =  0.653238E+01
PKER_SWETH(  4, 60) =  0.653666E+01
PKER_SWETH(  4, 61) =  0.654068E+01
PKER_SWETH(  4, 62) =  0.654446E+01
PKER_SWETH(  4, 63) =  0.654800E+01
PKER_SWETH(  4, 64) =  0.655133E+01
PKER_SWETH(  4, 65) =  0.655445E+01
PKER_SWETH(  4, 66) =  0.655738E+01
PKER_SWETH(  4, 67) =  0.656014E+01
PKER_SWETH(  4, 68) =  0.656272E+01
PKER_SWETH(  4, 69) =  0.656515E+01
PKER_SWETH(  4, 70) =  0.656743E+01
PKER_SWETH(  4, 71) =  0.656957E+01
PKER_SWETH(  4, 72) =  0.657158E+01
PKER_SWETH(  4, 73) =  0.657346E+01
PKER_SWETH(  4, 74) =  0.657524E+01
PKER_SWETH(  4, 75) =  0.657690E+01
PKER_SWETH(  4, 76) =  0.657846E+01
PKER_SWETH(  4, 77) =  0.657993E+01
PKER_SWETH(  4, 78) =  0.658130E+01
PKER_SWETH(  4, 79) =  0.658260E+01
PKER_SWETH(  4, 80) =  0.658381E+01
PKER_SWETH(  5,  1) =  0.183666E+01
PKER_SWETH(  5,  2) =  0.201461E+01
PKER_SWETH(  5,  3) =  0.219011E+01
PKER_SWETH(  5,  4) =  0.236116E+01
PKER_SWETH(  5,  5) =  0.252677E+01
PKER_SWETH(  5,  6) =  0.268674E+01
PKER_SWETH(  5,  7) =  0.284137E+01
PKER_SWETH(  5,  8) =  0.299127E+01
PKER_SWETH(  5,  9) =  0.313728E+01
PKER_SWETH(  5, 10) =  0.328031E+01
PKER_SWETH(  5, 11) =  0.342122E+01
PKER_SWETH(  5, 12) =  0.356074E+01
PKER_SWETH(  5, 13) =  0.369927E+01
PKER_SWETH(  5, 14) =  0.383682E+01
PKER_SWETH(  5, 15) =  0.397284E+01
PKER_SWETH(  5, 16) =  0.410626E+01
PKER_SWETH(  5, 17) =  0.423559E+01
PKER_SWETH(  5, 18) =  0.435911E+01
PKER_SWETH(  5, 19) =  0.447524E+01
PKER_SWETH(  5, 20) =  0.458272E+01
PKER_SWETH(  5, 21) =  0.468086E+01
PKER_SWETH(  5, 22) =  0.476948E+01
PKER_SWETH(  5, 23) =  0.484888E+01
PKER_SWETH(  5, 24) =  0.491969E+01
PKER_SWETH(  5, 25) =  0.498273E+01
PKER_SWETH(  5, 26) =  0.503887E+01
PKER_SWETH(  5, 27) =  0.508897E+01
PKER_SWETH(  5, 28) =  0.513382E+01
PKER_SWETH(  5, 29) =  0.517414E+01
PKER_SWETH(  5, 30) =  0.521054E+01
PKER_SWETH(  5, 31) =  0.524353E+01
PKER_SWETH(  5, 32) =  0.527356E+01
PKER_SWETH(  5, 33) =  0.530100E+01
PKER_SWETH(  5, 34) =  0.532617E+01
PKER_SWETH(  5, 35) =  0.534933E+01
PKER_SWETH(  5, 36) =  0.537069E+01
PKER_SWETH(  5, 37) =  0.539046E+01
PKER_SWETH(  5, 38) =  0.540878E+01
PKER_SWETH(  5, 39) =  0.542580E+01
PKER_SWETH(  5, 40) =  0.544164E+01
PKER_SWETH(  5, 41) =  0.545639E+01
PKER_SWETH(  5, 42) =  0.547015E+01
PKER_SWETH(  5, 43) =  0.548300E+01
PKER_SWETH(  5, 44) =  0.549501E+01
PKER_SWETH(  5, 45) =  0.550624E+01
PKER_SWETH(  5, 46) =  0.551675E+01
PKER_SWETH(  5, 47) =  0.552659E+01
PKER_SWETH(  5, 48) =  0.553581E+01
PKER_SWETH(  5, 49) =  0.554445E+01
PKER_SWETH(  5, 50) =  0.555254E+01
PKER_SWETH(  5, 51) =  0.556014E+01
PKER_SWETH(  5, 52) =  0.556726E+01
PKER_SWETH(  5, 53) =  0.557394E+01
PKER_SWETH(  5, 54) =  0.558021E+01
PKER_SWETH(  5, 55) =  0.558609E+01
PKER_SWETH(  5, 56) =  0.559160E+01
PKER_SWETH(  5, 57) =  0.559678E+01
PKER_SWETH(  5, 58) =  0.560164E+01
PKER_SWETH(  5, 59) =  0.560621E+01
PKER_SWETH(  5, 60) =  0.561049E+01
PKER_SWETH(  5, 61) =  0.561451E+01
PKER_SWETH(  5, 62) =  0.561829E+01
PKER_SWETH(  5, 63) =  0.562183E+01
PKER_SWETH(  5, 64) =  0.562516E+01
PKER_SWETH(  5, 65) =  0.562828E+01
PKER_SWETH(  5, 66) =  0.563121E+01
PKER_SWETH(  5, 67) =  0.563396E+01
PKER_SWETH(  5, 68) =  0.563655E+01
PKER_SWETH(  5, 69) =  0.563898E+01
PKER_SWETH(  5, 70) =  0.564126E+01
PKER_SWETH(  5, 71) =  0.564340E+01
PKER_SWETH(  5, 72) =  0.564540E+01
PKER_SWETH(  5, 73) =  0.564729E+01
PKER_SWETH(  5, 74) =  0.564906E+01
PKER_SWETH(  5, 75) =  0.565073E+01
PKER_SWETH(  5, 76) =  0.565229E+01
PKER_SWETH(  5, 77) =  0.565375E+01
PKER_SWETH(  5, 78) =  0.565513E+01
PKER_SWETH(  5, 79) =  0.565642E+01
PKER_SWETH(  5, 80) =  0.565764E+01
PKER_SWETH(  6,  1) =  0.122732E+01
PKER_SWETH(  6,  2) =  0.137201E+01
PKER_SWETH(  6,  3) =  0.152420E+01
PKER_SWETH(  6,  4) =  0.167900E+01
PKER_SWETH(  6,  5) =  0.183306E+01
PKER_SWETH(  6,  6) =  0.198423E+01
PKER_SWETH(  6,  7) =  0.213147E+01
PKER_SWETH(  6,  8) =  0.227444E+01
PKER_SWETH(  6,  9) =  0.241330E+01
PKER_SWETH(  6, 10) =  0.254856E+01
PKER_SWETH(  6, 11) =  0.268088E+01
PKER_SWETH(  6, 12) =  0.281097E+01
PKER_SWETH(  6, 13) =  0.293942E+01
PKER_SWETH(  6, 14) =  0.306659E+01
PKER_SWETH(  6, 15) =  0.319250E+01
PKER_SWETH(  6, 16) =  0.331667E+01
PKER_SWETH(  6, 17) =  0.343821E+01
PKER_SWETH(  6, 18) =  0.355580E+01
PKER_SWETH(  6, 19) =  0.366800E+01
PKER_SWETH(  6, 20) =  0.377342E+01
PKER_SWETH(  6, 21) =  0.387101E+01
PKER_SWETH(  6, 22) =  0.396016E+01
PKER_SWETH(  6, 23) =  0.404075E+01
PKER_SWETH(  6, 24) =  0.411307E+01
PKER_SWETH(  6, 25) =  0.417768E+01
PKER_SWETH(  6, 26) =  0.423531E+01
PKER_SWETH(  6, 27) =  0.428674E+01
PKER_SWETH(  6, 28) =  0.433274E+01
PKER_SWETH(  6, 29) =  0.437401E+01
PKER_SWETH(  6, 30) =  0.441119E+01
PKER_SWETH(  6, 31) =  0.444482E+01
PKER_SWETH(  6, 32) =  0.447537E+01
PKER_SWETH(  6, 33) =  0.450322E+01
PKER_SWETH(  6, 34) =  0.452871E+01
PKER_SWETH(  6, 35) =  0.455213E+01
PKER_SWETH(  6, 36) =  0.457369E+01
PKER_SWETH(  6, 37) =  0.459362E+01
PKER_SWETH(  6, 38) =  0.461207E+01
PKER_SWETH(  6, 39) =  0.462919E+01
PKER_SWETH(  6, 40) =  0.464510E+01
PKER_SWETH(  6, 41) =  0.465991E+01
PKER_SWETH(  6, 42) =  0.467372E+01
PKER_SWETH(  6, 43) =  0.468661E+01
PKER_SWETH(  6, 44) =  0.469865E+01
PKER_SWETH(  6, 45) =  0.470990E+01
PKER_SWETH(  6, 46) =  0.472043E+01
PKER_SWETH(  6, 47) =  0.473028E+01
PKER_SWETH(  6, 48) =  0.473951E+01
PKER_SWETH(  6, 49) =  0.474816E+01
PKER_SWETH(  6, 50) =  0.475627E+01
PKER_SWETH(  6, 51) =  0.476387E+01
PKER_SWETH(  6, 52) =  0.477099E+01
PKER_SWETH(  6, 53) =  0.477767E+01
PKER_SWETH(  6, 54) =  0.478394E+01
PKER_SWETH(  6, 55) =  0.478983E+01
PKER_SWETH(  6, 56) =  0.479535E+01
PKER_SWETH(  6, 57) =  0.480053E+01
PKER_SWETH(  6, 58) =  0.480539E+01
PKER_SWETH(  6, 59) =  0.480995E+01
PKER_SWETH(  6, 60) =  0.481424E+01
PKER_SWETH(  6, 61) =  0.481826E+01
PKER_SWETH(  6, 62) =  0.482203E+01
PKER_SWETH(  6, 63) =  0.482557E+01
PKER_SWETH(  6, 64) =  0.482890E+01
PKER_SWETH(  6, 65) =  0.483203E+01
PKER_SWETH(  6, 66) =  0.483496E+01
PKER_SWETH(  6, 67) =  0.483771E+01
PKER_SWETH(  6, 68) =  0.484030E+01
PKER_SWETH(  6, 69) =  0.484272E+01
PKER_SWETH(  6, 70) =  0.484500E+01
PKER_SWETH(  6, 71) =  0.484714E+01
PKER_SWETH(  6, 72) =  0.484915E+01
PKER_SWETH(  6, 73) =  0.485104E+01
PKER_SWETH(  6, 74) =  0.485281E+01
PKER_SWETH(  6, 75) =  0.485447E+01
PKER_SWETH(  6, 76) =  0.485604E+01
PKER_SWETH(  6, 77) =  0.485750E+01
PKER_SWETH(  6, 78) =  0.485888E+01
PKER_SWETH(  6, 79) =  0.486017E+01
PKER_SWETH(  6, 80) =  0.486139E+01
PKER_SWETH(  7,  1) =  0.820900E+00
PKER_SWETH(  7,  2) =  0.905506E+00
PKER_SWETH(  7,  3) =  0.101233E+01
PKER_SWETH(  7,  4) =  0.113395E+01
PKER_SWETH(  7,  5) =  0.126438E+01
PKER_SWETH(  7,  6) =  0.139888E+01
PKER_SWETH(  7,  7) =  0.153405E+01
PKER_SWETH(  7,  8) =  0.166779E+01
PKER_SWETH(  7,  9) =  0.179891E+01
PKER_SWETH(  7, 10) =  0.192695E+01
PKER_SWETH(  7, 11) =  0.205196E+01
PKER_SWETH(  7, 12) =  0.217429E+01
PKER_SWETH(  7, 13) =  0.229440E+01
PKER_SWETH(  7, 14) =  0.241276E+01
PKER_SWETH(  7, 15) =  0.252965E+01
PKER_SWETH(  7, 16) =  0.264507E+01
PKER_SWETH(  7, 17) =  0.275862E+01
PKER_SWETH(  7, 18) =  0.286951E+01
PKER_SWETH(  7, 19) =  0.297663E+01
PKER_SWETH(  7, 20) =  0.307872E+01
PKER_SWETH(  7, 21) =  0.317460E+01
PKER_SWETH(  7, 22) =  0.326335E+01
PKER_SWETH(  7, 23) =  0.334449E+01
PKER_SWETH(  7, 24) =  0.341791E+01
PKER_SWETH(  7, 25) =  0.348388E+01
PKER_SWETH(  7, 26) =  0.354293E+01
PKER_SWETH(  7, 27) =  0.359570E+01
PKER_SWETH(  7, 28) =  0.364289E+01
PKER_SWETH(  7, 29) =  0.368518E+01
PKER_SWETH(  7, 30) =  0.372321E+01
PKER_SWETH(  7, 31) =  0.375754E+01
PKER_SWETH(  7, 32) =  0.378865E+01
PKER_SWETH(  7, 33) =  0.381696E+01
PKER_SWETH(  7, 34) =  0.384281E+01
PKER_SWETH(  7, 35) =  0.386651E+01
PKER_SWETH(  7, 36) =  0.388831E+01
PKER_SWETH(  7, 37) =  0.390841E+01
PKER_SWETH(  7, 38) =  0.392700E+01
PKER_SWETH(  7, 39) =  0.394423E+01
PKER_SWETH(  7, 40) =  0.396023E+01
PKER_SWETH(  7, 41) =  0.397511E+01
PKER_SWETH(  7, 42) =  0.398897E+01
PKER_SWETH(  7, 43) =  0.400190E+01
PKER_SWETH(  7, 44) =  0.401397E+01
PKER_SWETH(  7, 45) =  0.402525E+01
PKER_SWETH(  7, 46) =  0.403580E+01
PKER_SWETH(  7, 47) =  0.404567E+01
PKER_SWETH(  7, 48) =  0.405491E+01
PKER_SWETH(  7, 49) =  0.406357E+01
PKER_SWETH(  7, 50) =  0.407168E+01
PKER_SWETH(  7, 51) =  0.407929E+01
PKER_SWETH(  7, 52) =  0.408642E+01
PKER_SWETH(  7, 53) =  0.409310E+01
PKER_SWETH(  7, 54) =  0.409938E+01
PKER_SWETH(  7, 55) =  0.410526E+01
PKER_SWETH(  7, 56) =  0.411078E+01
PKER_SWETH(  7, 57) =  0.411596E+01
PKER_SWETH(  7, 58) =  0.412083E+01
PKER_SWETH(  7, 59) =  0.412539E+01
PKER_SWETH(  7, 60) =  0.412968E+01
PKER_SWETH(  7, 61) =  0.413370E+01
PKER_SWETH(  7, 62) =  0.413747E+01
PKER_SWETH(  7, 63) =  0.414102E+01
PKER_SWETH(  7, 64) =  0.414434E+01
PKER_SWETH(  7, 65) =  0.414747E+01
PKER_SWETH(  7, 66) =  0.415040E+01
PKER_SWETH(  7, 67) =  0.415315E+01
PKER_SWETH(  7, 68) =  0.415574E+01
PKER_SWETH(  7, 69) =  0.415817E+01
PKER_SWETH(  7, 70) =  0.416045E+01
PKER_SWETH(  7, 71) =  0.416259E+01
PKER_SWETH(  7, 72) =  0.416460E+01
PKER_SWETH(  7, 73) =  0.416648E+01
PKER_SWETH(  7, 74) =  0.416825E+01
PKER_SWETH(  7, 75) =  0.416992E+01
PKER_SWETH(  7, 76) =  0.417148E+01
PKER_SWETH(  7, 77) =  0.417294E+01
PKER_SWETH(  7, 78) =  0.417432E+01
PKER_SWETH(  7, 79) =  0.417561E+01
PKER_SWETH(  7, 80) =  0.417683E+01
PKER_SWETH(  8,  1) =  0.649351E+00
PKER_SWETH(  8,  2) =  0.650011E+00
PKER_SWETH(  8,  3) =  0.685517E+00
PKER_SWETH(  8,  4) =  0.749664E+00
PKER_SWETH(  8,  5) =  0.835874E+00
PKER_SWETH(  8,  6) =  0.937419E+00
PKER_SWETH(  8,  7) =  0.104881E+01
PKER_SWETH(  8,  8) =  0.116549E+01
PKER_SWETH(  8,  9) =  0.128413E+01
PKER_SWETH(  8, 10) =  0.140255E+01
PKER_SWETH(  8, 11) =  0.151951E+01
PKER_SWETH(  8, 12) =  0.163444E+01
PKER_SWETH(  8, 13) =  0.174722E+01
PKER_SWETH(  8, 14) =  0.185802E+01
PKER_SWETH(  8, 15) =  0.196710E+01
PKER_SWETH(  8, 16) =  0.207463E+01
PKER_SWETH(  8, 17) =  0.218056E+01
PKER_SWETH(  8, 18) =  0.228455E+01
PKER_SWETH(  8, 19) =  0.238589E+01
PKER_SWETH(  8, 20) =  0.248364E+01
PKER_SWETH(  8, 21) =  0.257669E+01
PKER_SWETH(  8, 22) =  0.266404E+01
PKER_SWETH(  8, 23) =  0.274491E+01
PKER_SWETH(  8, 24) =  0.281887E+01
PKER_SWETH(  8, 25) =  0.288587E+01
PKER_SWETH(  8, 26) =  0.294616E+01
PKER_SWETH(  8, 27) =  0.300021E+01
PKER_SWETH(  8, 28) =  0.304860E+01
PKER_SWETH(  8, 29) =  0.309196E+01
PKER_SWETH(  8, 30) =  0.313090E+01
PKER_SWETH(  8, 31) =  0.316598E+01
PKER_SWETH(  8, 32) =  0.319771E+01
PKER_SWETH(  8, 33) =  0.322652E+01
PKER_SWETH(  8, 34) =  0.325278E+01
PKER_SWETH(  8, 35) =  0.327680E+01
PKER_SWETH(  8, 36) =  0.329884E+01
PKER_SWETH(  8, 37) =  0.331915E+01
PKER_SWETH(  8, 38) =  0.333789E+01
PKER_SWETH(  8, 39) =  0.335525E+01
PKER_SWETH(  8, 40) =  0.337134E+01
PKER_SWETH(  8, 41) =  0.338630E+01
PKER_SWETH(  8, 42) =  0.340022E+01
PKER_SWETH(  8, 43) =  0.341320E+01
PKER_SWETH(  8, 44) =  0.342530E+01
PKER_SWETH(  8, 45) =  0.343661E+01
PKER_SWETH(  8, 46) =  0.344718E+01
PKER_SWETH(  8, 47) =  0.345707E+01
PKER_SWETH(  8, 48) =  0.346633E+01
PKER_SWETH(  8, 49) =  0.347500E+01
PKER_SWETH(  8, 50) =  0.348312E+01
PKER_SWETH(  8, 51) =  0.349073E+01
PKER_SWETH(  8, 52) =  0.349787E+01
PKER_SWETH(  8, 53) =  0.350456E+01
PKER_SWETH(  8, 54) =  0.351083E+01
PKER_SWETH(  8, 55) =  0.351672E+01
PKER_SWETH(  8, 56) =  0.352224E+01
PKER_SWETH(  8, 57) =  0.352743E+01
PKER_SWETH(  8, 58) =  0.353229E+01
PKER_SWETH(  8, 59) =  0.353686E+01
PKER_SWETH(  8, 60) =  0.354114E+01
PKER_SWETH(  8, 61) =  0.354516E+01
PKER_SWETH(  8, 62) =  0.354894E+01
PKER_SWETH(  8, 63) =  0.355249E+01
PKER_SWETH(  8, 64) =  0.355581E+01
PKER_SWETH(  8, 65) =  0.355894E+01
PKER_SWETH(  8, 66) =  0.356187E+01
PKER_SWETH(  8, 67) =  0.356462E+01
PKER_SWETH(  8, 68) =  0.356721E+01
PKER_SWETH(  8, 69) =  0.356964E+01
PKER_SWETH(  8, 70) =  0.357192E+01
PKER_SWETH(  8, 71) =  0.357406E+01
PKER_SWETH(  8, 72) =  0.357606E+01
PKER_SWETH(  8, 73) =  0.357795E+01
PKER_SWETH(  8, 74) =  0.357972E+01
PKER_SWETH(  8, 75) =  0.358139E+01
PKER_SWETH(  8, 76) =  0.358295E+01
PKER_SWETH(  8, 77) =  0.358441E+01
PKER_SWETH(  8, 78) =  0.358579E+01
PKER_SWETH(  8, 79) =  0.358708E+01
PKER_SWETH(  8, 80) =  0.358830E+01
PKER_SWETH(  9,  1) =  0.702519E+00
PKER_SWETH(  9,  2) =  0.616447E+00
PKER_SWETH(  9,  3) =  0.568133E+00
PKER_SWETH(  9,  4) =  0.555691E+00
PKER_SWETH(  9,  5) =  0.575613E+00
PKER_SWETH(  9,  6) =  0.622847E+00
PKER_SWETH(  9,  7) =  0.691366E+00
PKER_SWETH(  9,  8) =  0.775606E+00
PKER_SWETH(  9,  9) =  0.870423E+00
PKER_SWETH(  9, 10) =  0.971456E+00
PKER_SWETH(  9, 11) =  0.107560E+01
PKER_SWETH(  9, 12) =  0.118058E+01
PKER_SWETH(  9, 13) =  0.128511E+01
PKER_SWETH(  9, 14) =  0.138846E+01
PKER_SWETH(  9, 15) =  0.149035E+01
PKER_SWETH(  9, 16) =  0.159076E+01
PKER_SWETH(  9, 17) =  0.168968E+01
PKER_SWETH(  9, 18) =  0.178699E+01
PKER_SWETH(  9, 19) =  0.188233E+01
PKER_SWETH(  9, 20) =  0.197509E+01
PKER_SWETH(  9, 21) =  0.206443E+01
PKER_SWETH(  9, 22) =  0.214939E+01
PKER_SWETH(  9, 23) =  0.222911E+01
PKER_SWETH(  9, 24) =  0.230291E+01
PKER_SWETH(  9, 25) =  0.237045E+01
PKER_SWETH(  9, 26) =  0.243169E+01
PKER_SWETH(  9, 27) =  0.248687E+01
PKER_SWETH(  9, 28) =  0.253642E+01
PKER_SWETH(  9, 29) =  0.258086E+01
PKER_SWETH(  9, 30) =  0.262075E+01
PKER_SWETH(  9, 31) =  0.265665E+01
PKER_SWETH(  9, 32) =  0.268906E+01
PKER_SWETH(  9, 33) =  0.271842E+01
PKER_SWETH(  9, 34) =  0.274512E+01
PKER_SWETH(  9, 35) =  0.276950E+01
PKER_SWETH(  9, 36) =  0.279183E+01
PKER_SWETH(  9, 37) =  0.281235E+01
PKER_SWETH(  9, 38) =  0.283128E+01
PKER_SWETH(  9, 39) =  0.284877E+01
PKER_SWETH(  9, 40) =  0.286497E+01
PKER_SWETH(  9, 41) =  0.288002E+01
PKER_SWETH(  9, 42) =  0.289400E+01
PKER_SWETH(  9, 43) =  0.290703E+01
PKER_SWETH(  9, 44) =  0.291918E+01
PKER_SWETH(  9, 45) =  0.293052E+01
PKER_SWETH(  9, 46) =  0.294112E+01
PKER_SWETH(  9, 47) =  0.295103E+01
PKER_SWETH(  9, 48) =  0.296030E+01
PKER_SWETH(  9, 49) =  0.296898E+01
PKER_SWETH(  9, 50) =  0.297711E+01
PKER_SWETH(  9, 51) =  0.298473E+01
PKER_SWETH(  9, 52) =  0.299187E+01
PKER_SWETH(  9, 53) =  0.299857E+01
PKER_SWETH(  9, 54) =  0.300485E+01
PKER_SWETH(  9, 55) =  0.301074E+01
PKER_SWETH(  9, 56) =  0.301626E+01
PKER_SWETH(  9, 57) =  0.302145E+01
PKER_SWETH(  9, 58) =  0.302631E+01
PKER_SWETH(  9, 59) =  0.303088E+01
PKER_SWETH(  9, 60) =  0.303517E+01
PKER_SWETH(  9, 61) =  0.303919E+01
PKER_SWETH(  9, 62) =  0.304297E+01
PKER_SWETH(  9, 63) =  0.304651E+01
PKER_SWETH(  9, 64) =  0.304984E+01
PKER_SWETH(  9, 65) =  0.305296E+01
PKER_SWETH(  9, 66) =  0.305590E+01
PKER_SWETH(  9, 67) =  0.305865E+01
PKER_SWETH(  9, 68) =  0.306124E+01
PKER_SWETH(  9, 69) =  0.306366E+01
PKER_SWETH(  9, 70) =  0.306594E+01
PKER_SWETH(  9, 71) =  0.306808E+01
PKER_SWETH(  9, 72) =  0.307009E+01
PKER_SWETH(  9, 73) =  0.307198E+01
PKER_SWETH(  9, 74) =  0.307375E+01
PKER_SWETH(  9, 75) =  0.307541E+01
PKER_SWETH(  9, 76) =  0.307697E+01
PKER_SWETH(  9, 77) =  0.307844E+01
PKER_SWETH(  9, 78) =  0.307982E+01
PKER_SWETH(  9, 79) =  0.308111E+01
PKER_SWETH(  9, 80) =  0.308233E+01
PKER_SWETH( 10,  1) =  0.910019E+00
PKER_SWETH( 10,  2) =  0.761058E+00
PKER_SWETH( 10,  3) =  0.642166E+00
PKER_SWETH( 10,  4) =  0.555322E+00
PKER_SWETH( 10,  5) =  0.501395E+00
PKER_SWETH( 10,  6) =  0.479375E+00
PKER_SWETH( 10,  7) =  0.486799E+00
PKER_SWETH( 10,  8) =  0.519678E+00
PKER_SWETH( 10,  9) =  0.573342E+00
PKER_SWETH( 10, 10) =  0.642647E+00
PKER_SWETH( 10, 11) =  0.723043E+00
PKER_SWETH( 10, 12) =  0.810494E+00
PKER_SWETH( 10, 13) =  0.901923E+00
PKER_SWETH( 10, 14) =  0.995138E+00
PKER_SWETH( 10, 15) =  0.108870E+01
PKER_SWETH( 10, 16) =  0.118176E+01
PKER_SWETH( 10, 17) =  0.127386E+01
PKER_SWETH( 10, 18) =  0.136474E+01
PKER_SWETH( 10, 19) =  0.145412E+01
PKER_SWETH( 10, 20) =  0.154161E+01
PKER_SWETH( 10, 21) =  0.162661E+01
PKER_SWETH( 10, 22) =  0.170837E+01
PKER_SWETH( 10, 23) =  0.178607E+01
PKER_SWETH( 10, 24) =  0.185894E+01
PKER_SWETH( 10, 25) =  0.192641E+01
PKER_SWETH( 10, 26) =  0.198818E+01
PKER_SWETH( 10, 27) =  0.204425E+01
PKER_SWETH( 10, 28) =  0.209483E+01
PKER_SWETH( 10, 29) =  0.214031E+01
PKER_SWETH( 10, 30) =  0.218118E+01
PKER_SWETH( 10, 31) =  0.221794E+01
PKER_SWETH( 10, 32) =  0.225107E+01
PKER_SWETH( 10, 33) =  0.228104E+01
PKER_SWETH( 10, 34) =  0.230823E+01
PKER_SWETH( 10, 35) =  0.233301E+01
PKER_SWETH( 10, 36) =  0.235566E+01
PKER_SWETH( 10, 37) =  0.237643E+01
PKER_SWETH( 10, 38) =  0.239556E+01
PKER_SWETH( 10, 39) =  0.241320E+01
PKER_SWETH( 10, 40) =  0.242953E+01
PKER_SWETH( 10, 41) =  0.244467E+01
PKER_SWETH( 10, 42) =  0.245873E+01
PKER_SWETH( 10, 43) =  0.247182E+01
PKER_SWETH( 10, 44) =  0.248402E+01
PKER_SWETH( 10, 45) =  0.249539E+01
PKER_SWETH( 10, 46) =  0.250602E+01
PKER_SWETH( 10, 47) =  0.251595E+01
PKER_SWETH( 10, 48) =  0.252524E+01
PKER_SWETH( 10, 49) =  0.253393E+01
PKER_SWETH( 10, 50) =  0.254208E+01
PKER_SWETH( 10, 51) =  0.254970E+01
PKER_SWETH( 10, 52) =  0.255685E+01
PKER_SWETH( 10, 53) =  0.256355E+01
PKER_SWETH( 10, 54) =  0.256983E+01
PKER_SWETH( 10, 55) =  0.257573E+01
PKER_SWETH( 10, 56) =  0.258126E+01
PKER_SWETH( 10, 57) =  0.258644E+01
PKER_SWETH( 10, 58) =  0.259131E+01
PKER_SWETH( 10, 59) =  0.259588E+01
PKER_SWETH( 10, 60) =  0.260017E+01
PKER_SWETH( 10, 61) =  0.260419E+01
PKER_SWETH( 10, 62) =  0.260797E+01
PKER_SWETH( 10, 63) =  0.261151E+01
PKER_SWETH( 10, 64) =  0.261484E+01
PKER_SWETH( 10, 65) =  0.261796E+01
PKER_SWETH( 10, 66) =  0.262090E+01
PKER_SWETH( 10, 67) =  0.262365E+01
PKER_SWETH( 10, 68) =  0.262624E+01
PKER_SWETH( 10, 69) =  0.262866E+01
PKER_SWETH( 10, 70) =  0.263094E+01
PKER_SWETH( 10, 71) =  0.263308E+01
PKER_SWETH( 10, 72) =  0.263509E+01
PKER_SWETH( 10, 73) =  0.263698E+01
PKER_SWETH( 10, 74) =  0.263875E+01
PKER_SWETH( 10, 75) =  0.264042E+01
PKER_SWETH( 10, 76) =  0.264198E+01
PKER_SWETH( 10, 77) =  0.264344E+01
PKER_SWETH( 10, 78) =  0.264482E+01
PKER_SWETH( 10, 79) =  0.264611E+01
PKER_SWETH( 10, 80) =  0.264733E+01
PKER_SWETH( 11,  1) =  0.117970E+01
PKER_SWETH( 11,  2) =  0.999555E+00
PKER_SWETH( 11,  3) =  0.839382E+00
PKER_SWETH( 11,  4) =  0.701679E+00
PKER_SWETH( 11,  5) =  0.588986E+00
PKER_SWETH( 11,  6) =  0.503339E+00
PKER_SWETH( 11,  7) =  0.446069E+00
PKER_SWETH( 11,  8) =  0.417187E+00
PKER_SWETH( 11,  9) =  0.414688E+00
PKER_SWETH( 11, 10) =  0.436027E+00
PKER_SWETH( 11, 11) =  0.477087E+00
PKER_SWETH( 11, 12) =  0.533660E+00
PKER_SWETH( 11, 13) =  0.601609E+00
PKER_SWETH( 11, 14) =  0.677240E+00
PKER_SWETH( 11, 15) =  0.757583E+00
PKER_SWETH( 11, 16) =  0.840432E+00
PKER_SWETH( 11, 17) =  0.924274E+00
PKER_SWETH( 11, 18) =  0.100809E+01
PKER_SWETH( 11, 19) =  0.109125E+01
PKER_SWETH( 11, 20) =  0.117322E+01
PKER_SWETH( 11, 21) =  0.125348E+01
PKER_SWETH( 11, 22) =  0.133144E+01
PKER_SWETH( 11, 23) =  0.140636E+01
PKER_SWETH( 11, 24) =  0.147751E+01
PKER_SWETH( 11, 25) =  0.154422E+01
PKER_SWETH( 11, 26) =  0.160600E+01
PKER_SWETH( 11, 27) =  0.166258E+01
PKER_SWETH( 11, 28) =  0.171399E+01
PKER_SWETH( 11, 29) =  0.176042E+01
PKER_SWETH( 11, 30) =  0.180224E+01
PKER_SWETH( 11, 31) =  0.183988E+01
PKER_SWETH( 11, 32) =  0.187378E+01
PKER_SWETH( 11, 33) =  0.190440E+01
PKER_SWETH( 11, 34) =  0.193214E+01
PKER_SWETH( 11, 35) =  0.195735E+01
PKER_SWETH( 11, 36) =  0.198036E+01
PKER_SWETH( 11, 37) =  0.200142E+01
PKER_SWETH( 11, 38) =  0.202076E+01
PKER_SWETH( 11, 39) =  0.203859E+01
PKER_SWETH( 11, 40) =  0.205505E+01
PKER_SWETH( 11, 41) =  0.207030E+01
PKER_SWETH( 11, 42) =  0.208445E+01
PKER_SWETH( 11, 43) =  0.209760E+01
PKER_SWETH( 11, 44) =  0.210985E+01
PKER_SWETH( 11, 45) =  0.212127E+01
PKER_SWETH( 11, 46) =  0.213193E+01
PKER_SWETH( 11, 47) =  0.214188E+01
PKER_SWETH( 11, 48) =  0.215119E+01
PKER_SWETH( 11, 49) =  0.215990E+01
PKER_SWETH( 11, 50) =  0.216805E+01
PKER_SWETH( 11, 51) =  0.217569E+01
PKER_SWETH( 11, 52) =  0.218285E+01
PKER_SWETH( 11, 53) =  0.218955E+01
PKER_SWETH( 11, 54) =  0.219584E+01
PKER_SWETH( 11, 55) =  0.220174E+01
PKER_SWETH( 11, 56) =  0.220727E+01
PKER_SWETH( 11, 57) =  0.221246E+01
PKER_SWETH( 11, 58) =  0.221733E+01
PKER_SWETH( 11, 59) =  0.222190E+01
PKER_SWETH( 11, 60) =  0.222618E+01
PKER_SWETH( 11, 61) =  0.223021E+01
PKER_SWETH( 11, 62) =  0.223399E+01
PKER_SWETH( 11, 63) =  0.223753E+01
PKER_SWETH( 11, 64) =  0.224086E+01
PKER_SWETH( 11, 65) =  0.224399E+01
PKER_SWETH( 11, 66) =  0.224692E+01
PKER_SWETH( 11, 67) =  0.224967E+01
PKER_SWETH( 11, 68) =  0.225226E+01
PKER_SWETH( 11, 69) =  0.225469E+01
PKER_SWETH( 11, 70) =  0.225697E+01
PKER_SWETH( 11, 71) =  0.225911E+01
PKER_SWETH( 11, 72) =  0.226112E+01
PKER_SWETH( 11, 73) =  0.226300E+01
PKER_SWETH( 11, 74) =  0.226477E+01
PKER_SWETH( 11, 75) =  0.226644E+01
PKER_SWETH( 11, 76) =  0.226800E+01
PKER_SWETH( 11, 77) =  0.226947E+01
PKER_SWETH( 11, 78) =  0.227084E+01
PKER_SWETH( 11, 79) =  0.227214E+01
PKER_SWETH( 11, 80) =  0.227335E+01
PKER_SWETH( 12,  1) =  0.144652E+01
PKER_SWETH( 12,  2) =  0.125611E+01
PKER_SWETH( 12,  3) =  0.107975E+01
PKER_SWETH( 12,  4) =  0.918380E+00
PKER_SWETH( 12,  5) =  0.773485E+00
PKER_SWETH( 12,  6) =  0.647036E+00
PKER_SWETH( 12,  7) =  0.541359E+00
PKER_SWETH( 12,  8) =  0.458510E+00
PKER_SWETH( 12,  9) =  0.399890E+00
PKER_SWETH( 12, 10) =  0.366094E+00
PKER_SWETH( 12, 11) =  0.356301E+00
PKER_SWETH( 12, 12) =  0.368080E+00
PKER_SWETH( 12, 13) =  0.398694E+00
PKER_SWETH( 12, 14) =  0.444471E+00
PKER_SWETH( 12, 15) =  0.501775E+00
PKER_SWETH( 12, 16) =  0.567143E+00
PKER_SWETH( 12, 17) =  0.637796E+00
PKER_SWETH( 12, 18) =  0.711513E+00
PKER_SWETH( 12, 19) =  0.786658E+00
PKER_SWETH( 12, 20) =  0.862084E+00
PKER_SWETH( 12, 21) =  0.936916E+00
PKER_SWETH( 12, 22) =  0.101042E+01
PKER_SWETH( 12, 23) =  0.108188E+01
PKER_SWETH( 12, 24) =  0.115058E+01
PKER_SWETH( 12, 25) =  0.121581E+01
PKER_SWETH( 12, 26) =  0.127697E+01
PKER_SWETH( 12, 27) =  0.133361E+01
PKER_SWETH( 12, 28) =  0.138552E+01
PKER_SWETH( 12, 29) =  0.143272E+01
PKER_SWETH( 12, 30) =  0.147541E+01
PKER_SWETH( 12, 31) =  0.151391E+01
PKER_SWETH( 12, 32) =  0.154861E+01
PKER_SWETH( 12, 33) =  0.157992E+01
PKER_SWETH( 12, 34) =  0.160825E+01
PKER_SWETH( 12, 35) =  0.163395E+01
PKER_SWETH( 12, 36) =  0.165735E+01
PKER_SWETH( 12, 37) =  0.167873E+01
PKER_SWETH( 12, 38) =  0.169832E+01
PKER_SWETH( 12, 39) =  0.171635E+01
PKER_SWETH( 12, 40) =  0.173297E+01
PKER_SWETH( 12, 41) =  0.174834E+01
PKER_SWETH( 12, 42) =  0.176259E+01
PKER_SWETH( 12, 43) =  0.177582E+01
PKER_SWETH( 12, 44) =  0.178812E+01
PKER_SWETH( 12, 45) =  0.179959E+01
PKER_SWETH( 12, 46) =  0.181028E+01
PKER_SWETH( 12, 47) =  0.182026E+01
PKER_SWETH( 12, 48) =  0.182960E+01
PKER_SWETH( 12, 49) =  0.183832E+01
PKER_SWETH( 12, 50) =  0.184649E+01
PKER_SWETH( 12, 51) =  0.185414E+01
PKER_SWETH( 12, 52) =  0.186130E+01
PKER_SWETH( 12, 53) =  0.186801E+01
PKER_SWETH( 12, 54) =  0.187430E+01
PKER_SWETH( 12, 55) =  0.188021E+01
PKER_SWETH( 12, 56) =  0.188574E+01
PKER_SWETH( 12, 57) =  0.189093E+01
PKER_SWETH( 12, 58) =  0.189580E+01
PKER_SWETH( 12, 59) =  0.190037E+01
PKER_SWETH( 12, 60) =  0.190466E+01
PKER_SWETH( 12, 61) =  0.190869E+01
PKER_SWETH( 12, 62) =  0.191247E+01
PKER_SWETH( 12, 63) =  0.191601E+01
PKER_SWETH( 12, 64) =  0.191934E+01
PKER_SWETH( 12, 65) =  0.192247E+01
PKER_SWETH( 12, 66) =  0.192540E+01
PKER_SWETH( 12, 67) =  0.192815E+01
PKER_SWETH( 12, 68) =  0.193074E+01
PKER_SWETH( 12, 69) =  0.193317E+01
PKER_SWETH( 12, 70) =  0.193545E+01
PKER_SWETH( 12, 71) =  0.193759E+01
PKER_SWETH( 12, 72) =  0.193960E+01
PKER_SWETH( 12, 73) =  0.194149E+01
PKER_SWETH( 12, 74) =  0.194326E+01
PKER_SWETH( 12, 75) =  0.194492E+01
PKER_SWETH( 12, 76) =  0.194648E+01
PKER_SWETH( 12, 77) =  0.194795E+01
PKER_SWETH( 12, 78) =  0.194933E+01
PKER_SWETH( 12, 79) =  0.195062E+01
PKER_SWETH( 12, 80) =  0.195183E+01
PKER_SWETH( 13,  1) =  0.168479E+01
PKER_SWETH( 13,  2) =  0.149223E+01
PKER_SWETH( 13,  3) =  0.131178E+01
PKER_SWETH( 13,  4) =  0.114318E+01
PKER_SWETH( 13,  5) =  0.986502E+00
PKER_SWETH( 13,  6) =  0.842330E+00
PKER_SWETH( 13,  7) =  0.711777E+00
PKER_SWETH( 13,  8) =  0.596438E+00
PKER_SWETH( 13,  9) =  0.498240E+00
PKER_SWETH( 13, 10) =  0.419186E+00
PKER_SWETH( 13, 11) =  0.360884E+00
PKER_SWETH( 13, 12) =  0.324082E+00
PKER_SWETH( 13, 13) =  0.308477E+00
PKER_SWETH( 13, 14) =  0.312993E+00
PKER_SWETH( 13, 15) =  0.335025E+00
PKER_SWETH( 13, 16) =  0.371680E+00
PKER_SWETH( 13, 17) =  0.419845E+00
PKER_SWETH( 13, 18) =  0.476331E+00
PKER_SWETH( 13, 19) =  0.538496E+00
PKER_SWETH( 13, 20) =  0.604102E+00
PKER_SWETH( 13, 21) =  0.671400E+00
PKER_SWETH( 13, 22) =  0.739062E+00
PKER_SWETH( 13, 23) =  0.806033E+00
PKER_SWETH( 13, 24) =  0.871408E+00
PKER_SWETH( 13, 25) =  0.934369E+00
PKER_SWETH( 13, 26) =  0.994201E+00
PKER_SWETH( 13, 27) =  0.105032E+01
PKER_SWETH( 13, 28) =  0.110232E+01
PKER_SWETH( 13, 29) =  0.115001E+01
PKER_SWETH( 13, 30) =  0.119341E+01
PKER_SWETH( 13, 31) =  0.123271E+01
PKER_SWETH( 13, 32) =  0.126820E+01
PKER_SWETH( 13, 33) =  0.130023E+01
PKER_SWETH( 13, 34) =  0.132918E+01
PKER_SWETH( 13, 35) =  0.135541E+01
PKER_SWETH( 13, 36) =  0.137925E+01
PKER_SWETH( 13, 37) =  0.140098E+01
PKER_SWETH( 13, 38) =  0.142086E+01
PKER_SWETH( 13, 39) =  0.143911E+01
PKER_SWETH( 13, 40) =  0.145591E+01
PKER_SWETH( 13, 41) =  0.147142E+01
PKER_SWETH( 13, 42) =  0.148578E+01
PKER_SWETH( 13, 43) =  0.149910E+01
PKER_SWETH( 13, 44) =  0.151147E+01
PKER_SWETH( 13, 45) =  0.152298E+01
PKER_SWETH( 13, 46) =  0.153372E+01
PKER_SWETH( 13, 47) =  0.154373E+01
PKER_SWETH( 13, 48) =  0.155309E+01
PKER_SWETH( 13, 49) =  0.156184E+01
PKER_SWETH( 13, 50) =  0.157002E+01
PKER_SWETH( 13, 51) =  0.157768E+01
PKER_SWETH( 13, 52) =  0.158485E+01
PKER_SWETH( 13, 53) =  0.159157E+01
PKER_SWETH( 13, 54) =  0.159787E+01
PKER_SWETH( 13, 55) =  0.160377E+01
PKER_SWETH( 13, 56) =  0.160931E+01
PKER_SWETH( 13, 57) =  0.161451E+01
PKER_SWETH( 13, 58) =  0.161938E+01
PKER_SWETH( 13, 59) =  0.162395E+01
PKER_SWETH( 13, 60) =  0.162824E+01
PKER_SWETH( 13, 61) =  0.163227E+01
PKER_SWETH( 13, 62) =  0.163605E+01
PKER_SWETH( 13, 63) =  0.163959E+01
PKER_SWETH( 13, 64) =  0.164292E+01
PKER_SWETH( 13, 65) =  0.164605E+01
PKER_SWETH( 13, 66) =  0.164898E+01
PKER_SWETH( 13, 67) =  0.165174E+01
PKER_SWETH( 13, 68) =  0.165432E+01
PKER_SWETH( 13, 69) =  0.165675E+01
PKER_SWETH( 13, 70) =  0.165903E+01
PKER_SWETH( 13, 71) =  0.166117E+01
PKER_SWETH( 13, 72) =  0.166318E+01
PKER_SWETH( 13, 73) =  0.166507E+01
PKER_SWETH( 13, 74) =  0.166684E+01
PKER_SWETH( 13, 75) =  0.166850E+01
PKER_SWETH( 13, 76) =  0.167007E+01
PKER_SWETH( 13, 77) =  0.167153E+01
PKER_SWETH( 13, 78) =  0.167291E+01
PKER_SWETH( 13, 79) =  0.167420E+01
PKER_SWETH( 13, 80) =  0.167542E+01
PKER_SWETH( 14,  1) =  0.189106E+01
PKER_SWETH( 14,  2) =  0.169828E+01
PKER_SWETH( 14,  3) =  0.151724E+01
PKER_SWETH( 14,  4) =  0.134728E+01
PKER_SWETH( 14,  5) =  0.118787E+01
PKER_SWETH( 14,  6) =  0.103869E+01
PKER_SWETH( 14,  7) =  0.899664E+00
PKER_SWETH( 14,  8) =  0.771152E+00
PKER_SWETH( 14,  9) =  0.653915E+00
PKER_SWETH( 14, 10) =  0.549229E+00
PKER_SWETH( 14, 11) =  0.458726E+00
PKER_SWETH( 14, 12) =  0.384162E+00
PKER_SWETH( 14, 13) =  0.327214E+00
PKER_SWETH( 14, 14) =  0.288898E+00
PKER_SWETH( 14, 15) =  0.269417E+00
PKER_SWETH( 14, 16) =  0.268018E+00
PKER_SWETH( 14, 17) =  0.283099E+00
PKER_SWETH( 14, 18) =  0.312281E+00
PKER_SWETH( 14, 19) =  0.352665E+00
PKER_SWETH( 14, 20) =  0.401510E+00
PKER_SWETH( 14, 21) =  0.456229E+00
PKER_SWETH( 14, 22) =  0.514536E+00
PKER_SWETH( 14, 23) =  0.574635E+00
PKER_SWETH( 14, 24) =  0.635018E+00
PKER_SWETH( 14, 25) =  0.694493E+00
PKER_SWETH( 14, 26) =  0.752055E+00
PKER_SWETH( 14, 27) =  0.806900E+00
PKER_SWETH( 14, 28) =  0.858415E+00
PKER_SWETH( 14, 29) =  0.906197E+00
PKER_SWETH( 14, 30) =  0.950060E+00
PKER_SWETH( 14, 31) =  0.990018E+00
PKER_SWETH( 14, 32) =  0.102624E+01
PKER_SWETH( 14, 33) =  0.105899E+01
PKER_SWETH( 14, 34) =  0.108860E+01
PKER_SWETH( 14, 35) =  0.111540E+01
PKER_SWETH( 14, 36) =  0.113971E+01
PKER_SWETH( 14, 37) =  0.116183E+01
PKER_SWETH( 14, 38) =  0.118203E+01
PKER_SWETH( 14, 39) =  0.120054E+01
PKER_SWETH( 14, 40) =  0.121754E+01
PKER_SWETH( 14, 41) =  0.123321E+01
PKER_SWETH( 14, 42) =  0.124769E+01
PKER_SWETH( 14, 43) =  0.126111E+01
PKER_SWETH( 14, 44) =  0.127356E+01
PKER_SWETH( 14, 45) =  0.128513E+01
PKER_SWETH( 14, 46) =  0.129591E+01
PKER_SWETH( 14, 47) =  0.130596E+01
PKER_SWETH( 14, 48) =  0.131535E+01
PKER_SWETH( 14, 49) =  0.132412E+01
PKER_SWETH( 14, 50) =  0.133232E+01
PKER_SWETH( 14, 51) =  0.133999E+01
PKER_SWETH( 14, 52) =  0.134717E+01
PKER_SWETH( 14, 53) =  0.135390E+01
PKER_SWETH( 14, 54) =  0.136020E+01
PKER_SWETH( 14, 55) =  0.136611E+01
PKER_SWETH( 14, 56) =  0.137166E+01
PKER_SWETH( 14, 57) =  0.137685E+01
PKER_SWETH( 14, 58) =  0.138173E+01
PKER_SWETH( 14, 59) =  0.138630E+01
PKER_SWETH( 14, 60) =  0.139059E+01
PKER_SWETH( 14, 61) =  0.139462E+01
PKER_SWETH( 14, 62) =  0.139840E+01
PKER_SWETH( 14, 63) =  0.140195E+01
PKER_SWETH( 14, 64) =  0.140528E+01
PKER_SWETH( 14, 65) =  0.140841E+01
PKER_SWETH( 14, 66) =  0.141134E+01
PKER_SWETH( 14, 67) =  0.141410E+01
PKER_SWETH( 14, 68) =  0.141668E+01
PKER_SWETH( 14, 69) =  0.141911E+01
PKER_SWETH( 14, 70) =  0.142139E+01
PKER_SWETH( 14, 71) =  0.142353E+01
PKER_SWETH( 14, 72) =  0.142554E+01
PKER_SWETH( 14, 73) =  0.142743E+01
PKER_SWETH( 14, 74) =  0.142920E+01
PKER_SWETH( 14, 75) =  0.143086E+01
PKER_SWETH( 14, 76) =  0.143242E+01
PKER_SWETH( 14, 77) =  0.143389E+01
PKER_SWETH( 14, 78) =  0.143527E+01
PKER_SWETH( 14, 79) =  0.143656E+01
PKER_SWETH( 14, 80) =  0.143777E+01
PKER_SWETH( 15,  1) =  0.206851E+01
PKER_SWETH( 15,  2) =  0.187578E+01
PKER_SWETH( 15,  3) =  0.169474E+01
PKER_SWETH( 15,  4) =  0.152469E+01
PKER_SWETH( 15,  5) =  0.136497E+01
PKER_SWETH( 15,  6) =  0.121496E+01
PKER_SWETH( 15,  7) =  0.107417E+01
PKER_SWETH( 15,  8) =  0.942229E+00
PKER_SWETH( 15,  9) =  0.818993E+00
PKER_SWETH( 15, 10) =  0.704619E+00
PKER_SWETH( 15, 11) =  0.599635E+00
PKER_SWETH( 15, 12) =  0.505012E+00
PKER_SWETH( 15, 13) =  0.422101E+00
PKER_SWETH( 15, 14) =  0.352467E+00
PKER_SWETH( 15, 15) =  0.297703E+00
PKER_SWETH( 15, 16) =  0.258998E+00
PKER_SWETH( 15, 17) =  0.236959E+00
PKER_SWETH( 15, 18) =  0.231267E+00
PKER_SWETH( 15, 19) =  0.240828E+00
PKER_SWETH( 15, 20) =  0.263715E+00
PKER_SWETH( 15, 21) =  0.297593E+00
PKER_SWETH( 15, 22) =  0.339817E+00
PKER_SWETH( 15, 23) =  0.387934E+00
PKER_SWETH( 15, 24) =  0.439655E+00
PKER_SWETH( 15, 25) =  0.493057E+00
PKER_SWETH( 15, 26) =  0.546554E+00
PKER_SWETH( 15, 27) =  0.598863E+00
PKER_SWETH( 15, 28) =  0.648998E+00
PKER_SWETH( 15, 29) =  0.696248E+00
PKER_SWETH( 15, 30) =  0.740165E+00
PKER_SWETH( 15, 31) =  0.780538E+00
PKER_SWETH( 15, 32) =  0.817363E+00
PKER_SWETH( 15, 33) =  0.850785E+00
PKER_SWETH( 15, 34) =  0.881046E+00
PKER_SWETH( 15, 35) =  0.908438E+00
PKER_SWETH( 15, 36) =  0.933267E+00
PKER_SWETH( 15, 37) =  0.955825E+00
PKER_SWETH( 15, 38) =  0.976380E+00
PKER_SWETH( 15, 39) =  0.995170E+00
PKER_SWETH( 15, 40) =  0.101240E+01
PKER_SWETH( 15, 41) =  0.102825E+01
PKER_SWETH( 15, 42) =  0.104288E+01
PKER_SWETH( 15, 43) =  0.105640E+01
PKER_SWETH( 15, 44) =  0.106894E+01
PKER_SWETH( 15, 45) =  0.108059E+01
PKER_SWETH( 15, 46) =  0.109142E+01
PKER_SWETH( 15, 47) =  0.110151E+01
PKER_SWETH( 15, 48) =  0.111093E+01
PKER_SWETH( 15, 49) =  0.111972E+01
PKER_SWETH( 15, 50) =  0.112794E+01
PKER_SWETH( 15, 51) =  0.113563E+01
PKER_SWETH( 15, 52) =  0.114282E+01
PKER_SWETH( 15, 53) =  0.114956E+01
PKER_SWETH( 15, 54) =  0.115587E+01
PKER_SWETH( 15, 55) =  0.116179E+01
PKER_SWETH( 15, 56) =  0.116733E+01
PKER_SWETH( 15, 57) =  0.117253E+01
PKER_SWETH( 15, 58) =  0.117741E+01
PKER_SWETH( 15, 59) =  0.118199E+01
PKER_SWETH( 15, 60) =  0.118628E+01
PKER_SWETH( 15, 61) =  0.119031E+01
PKER_SWETH( 15, 62) =  0.119409E+01
PKER_SWETH( 15, 63) =  0.119764E+01
PKER_SWETH( 15, 64) =  0.120097E+01
PKER_SWETH( 15, 65) =  0.120410E+01
PKER_SWETH( 15, 66) =  0.120703E+01
PKER_SWETH( 15, 67) =  0.120979E+01
PKER_SWETH( 15, 68) =  0.121237E+01
PKER_SWETH( 15, 69) =  0.121480E+01
PKER_SWETH( 15, 70) =  0.121708E+01
PKER_SWETH( 15, 71) =  0.121922E+01
PKER_SWETH( 15, 72) =  0.122123E+01
PKER_SWETH( 15, 73) =  0.122312E+01
PKER_SWETH( 15, 74) =  0.122489E+01
PKER_SWETH( 15, 75) =  0.122656E+01
PKER_SWETH( 15, 76) =  0.122812E+01
PKER_SWETH( 15, 77) =  0.122958E+01
PKER_SWETH( 15, 78) =  0.123096E+01
PKER_SWETH( 15, 79) =  0.123225E+01
PKER_SWETH( 15, 80) =  0.123347E+01
PKER_SWETH( 16,  1) =  0.222105E+01
PKER_SWETH( 16,  2) =  0.202837E+01
PKER_SWETH( 16,  3) =  0.184739E+01
PKER_SWETH( 16,  4) =  0.167741E+01
PKER_SWETH( 16,  5) =  0.151773E+01
PKER_SWETH( 16,  6) =  0.136773E+01
PKER_SWETH( 16,  7) =  0.122679E+01
PKER_SWETH( 16,  8) =  0.109439E+01
PKER_SWETH( 16,  9) =  0.970044E+00
PKER_SWETH( 16, 10) =  0.853387E+00
PKER_SWETH( 16, 11) =  0.744213E+00
PKER_SWETH( 16, 12) =  0.642547E+00
PKER_SWETH( 16, 13) =  0.548734E+00
PKER_SWETH( 16, 14) =  0.463499E+00
PKER_SWETH( 16, 15) =  0.387925E+00
PKER_SWETH( 16, 16) =  0.323415E+00
PKER_SWETH( 16, 17) =  0.271432E+00
PKER_SWETH( 16, 18) =  0.233220E+00
PKER_SWETH( 16, 19) =  0.209657E+00
PKER_SWETH( 16, 20) =  0.200923E+00
PKER_SWETH( 16, 21) =  0.206127E+00
PKER_SWETH( 16, 22) =  0.223993E+00
PKER_SWETH( 16, 23) =  0.252341E+00
PKER_SWETH( 16, 24) =  0.288839E+00
PKER_SWETH( 16, 25) =  0.331067E+00
PKER_SWETH( 16, 26) =  0.376740E+00
PKER_SWETH( 16, 27) =  0.423873E+00
PKER_SWETH( 16, 28) =  0.470831E+00
PKER_SWETH( 16, 29) =  0.516360E+00
PKER_SWETH( 16, 30) =  0.559563E+00
PKER_SWETH( 16, 31) =  0.599884E+00
PKER_SWETH( 16, 32) =  0.637048E+00
PKER_SWETH( 16, 33) =  0.671007E+00
PKER_SWETH( 16, 34) =  0.701874E+00
PKER_SWETH( 16, 35) =  0.729862E+00
PKER_SWETH( 16, 36) =  0.755230E+00
PKER_SWETH( 16, 37) =  0.778255E+00
PKER_SWETH( 16, 38) =  0.799202E+00
PKER_SWETH( 16, 39) =  0.818313E+00
PKER_SWETH( 16, 40) =  0.835804E+00
PKER_SWETH( 16, 41) =  0.851863E+00
PKER_SWETH( 16, 42) =  0.866650E+00
PKER_SWETH( 16, 43) =  0.880303E+00
PKER_SWETH( 16, 44) =  0.892941E+00
PKER_SWETH( 16, 45) =  0.904664E+00
PKER_SWETH( 16, 46) =  0.915558E+00
PKER_SWETH( 16, 47) =  0.925699E+00
PKER_SWETH( 16, 48) =  0.935152E+00
PKER_SWETH( 16, 49) =  0.943974E+00
PKER_SWETH( 16, 50) =  0.952215E+00
PKER_SWETH( 16, 51) =  0.959919E+00
PKER_SWETH( 16, 52) =  0.967128E+00
PKER_SWETH( 16, 53) =  0.973876E+00
PKER_SWETH( 16, 54) =  0.980196E+00
PKER_SWETH( 16, 55) =  0.986118E+00
PKER_SWETH( 16, 56) =  0.991669E+00
PKER_SWETH( 16, 57) =  0.996874E+00
PKER_SWETH( 16, 58) =  0.100175E+01
PKER_SWETH( 16, 59) =  0.100633E+01
PKER_SWETH( 16, 60) =  0.101063E+01
PKER_SWETH( 16, 61) =  0.101466E+01
PKER_SWETH( 16, 62) =  0.101844E+01
PKER_SWETH( 16, 63) =  0.102199E+01
PKER_SWETH( 16, 64) =  0.102532E+01
PKER_SWETH( 16, 65) =  0.102845E+01
PKER_SWETH( 16, 66) =  0.103138E+01
PKER_SWETH( 16, 67) =  0.103414E+01
PKER_SWETH( 16, 68) =  0.103673E+01
PKER_SWETH( 16, 69) =  0.103916E+01
PKER_SWETH( 16, 70) =  0.104144E+01
PKER_SWETH( 16, 71) =  0.104358E+01
PKER_SWETH( 16, 72) =  0.104559E+01
PKER_SWETH( 16, 73) =  0.104747E+01
PKER_SWETH( 16, 74) =  0.104925E+01
PKER_SWETH( 16, 75) =  0.105091E+01
PKER_SWETH( 16, 76) =  0.105247E+01
PKER_SWETH( 16, 77) =  0.105394E+01
PKER_SWETH( 16, 78) =  0.105531E+01
PKER_SWETH( 16, 79) =  0.105661E+01
PKER_SWETH( 16, 80) =  0.105782E+01
PKER_SWETH( 17,  1) =  0.235216E+01
PKER_SWETH( 17,  2) =  0.215952E+01
PKER_SWETH( 17,  3) =  0.197860E+01
PKER_SWETH( 17,  4) =  0.180867E+01
PKER_SWETH( 17,  5) =  0.164907E+01
PKER_SWETH( 17,  6) =  0.149914E+01
PKER_SWETH( 17,  7) =  0.135829E+01
PKER_SWETH( 17,  8) =  0.122594E+01
PKER_SWETH( 17,  9) =  0.110158E+01
PKER_SWETH( 17, 10) =  0.984701E+00
PKER_SWETH( 17, 11) =  0.874876E+00
PKER_SWETH( 17, 12) =  0.771739E+00
PKER_SWETH( 17, 13) =  0.675054E+00
PKER_SWETH( 17, 14) =  0.584764E+00
PKER_SWETH( 17, 15) =  0.501058E+00
PKER_SWETH( 17, 16) =  0.424483E+00
PKER_SWETH( 17, 17) =  0.355906E+00
PKER_SWETH( 17, 18) =  0.296493E+00
PKER_SWETH( 17, 19) =  0.247642E+00
PKER_SWETH( 17, 20) =  0.210649E+00
PKER_SWETH( 17, 21) =  0.186453E+00
PKER_SWETH( 17, 22) =  0.175549E+00
PKER_SWETH( 17, 23) =  0.177592E+00
PKER_SWETH( 17, 24) =  0.191285E+00
PKER_SWETH( 17, 25) =  0.215005E+00
PKER_SWETH( 17, 26) =  0.246505E+00
PKER_SWETH( 17, 27) =  0.283441E+00
PKER_SWETH( 17, 28) =  0.323511E+00
PKER_SWETH( 17, 29) =  0.364750E+00
PKER_SWETH( 17, 30) =  0.405561E+00
PKER_SWETH( 17, 31) =  0.444783E+00
PKER_SWETH( 17, 32) =  0.481674E+00
PKER_SWETH( 17, 33) =  0.515838E+00
PKER_SWETH( 17, 34) =  0.547151E+00
PKER_SWETH( 17, 35) =  0.575673E+00
PKER_SWETH( 17, 36) =  0.601576E+00
PKER_SWETH( 17, 37) =  0.625091E+00
PKER_SWETH( 17, 38) =  0.646461E+00
PKER_SWETH( 17, 39) =  0.665927E+00
PKER_SWETH( 17, 40) =  0.683709E+00
PKER_SWETH( 17, 41) =  0.700001E+00
PKER_SWETH( 17, 42) =  0.714974E+00
PKER_SWETH( 17, 43) =  0.728775E+00
PKER_SWETH( 17, 44) =  0.741528E+00
PKER_SWETH( 17, 45) =  0.753341E+00
PKER_SWETH( 17, 46) =  0.764305E+00
PKER_SWETH( 17, 47) =  0.774501E+00
PKER_SWETH( 17, 48) =  0.783997E+00
PKER_SWETH( 17, 49) =  0.792851E+00
PKER_SWETH( 17, 50) =  0.801118E+00
PKER_SWETH( 17, 51) =  0.808842E+00
PKER_SWETH( 17, 52) =  0.816066E+00
PKER_SWETH( 17, 53) =  0.822826E+00
PKER_SWETH( 17, 54) =  0.829156E+00
PKER_SWETH( 17, 55) =  0.835085E+00
PKER_SWETH( 17, 56) =  0.840642E+00
PKER_SWETH( 17, 57) =  0.845851E+00
PKER_SWETH( 17, 58) =  0.850735E+00
PKER_SWETH( 17, 59) =  0.855316E+00
PKER_SWETH( 17, 60) =  0.859613E+00
PKER_SWETH( 17, 61) =  0.863645E+00
PKER_SWETH( 17, 62) =  0.867428E+00
PKER_SWETH( 17, 63) =  0.870979E+00
PKER_SWETH( 17, 64) =  0.874311E+00
PKER_SWETH( 17, 65) =  0.877439E+00
PKER_SWETH( 17, 66) =  0.880375E+00
PKER_SWETH( 17, 67) =  0.883131E+00
PKER_SWETH( 17, 68) =  0.885718E+00
PKER_SWETH( 17, 69) =  0.888147E+00
PKER_SWETH( 17, 70) =  0.890427E+00
PKER_SWETH( 17, 71) =  0.892568E+00
PKER_SWETH( 17, 72) =  0.894578E+00
PKER_SWETH( 17, 73) =  0.896465E+00
PKER_SWETH( 17, 74) =  0.898237E+00
PKER_SWETH( 17, 75) =  0.899901E+00
PKER_SWETH( 17, 76) =  0.901463E+00
PKER_SWETH( 17, 77) =  0.902929E+00
PKER_SWETH( 17, 78) =  0.904307E+00
PKER_SWETH( 17, 79) =  0.905600E+00
PKER_SWETH( 17, 80) =  0.906814E+00
PKER_SWETH( 18,  1) =  0.246485E+01
PKER_SWETH( 18,  2) =  0.227225E+01
PKER_SWETH( 18,  3) =  0.209136E+01
PKER_SWETH( 18,  4) =  0.192149E+01
PKER_SWETH( 18,  5) =  0.176194E+01
PKER_SWETH( 18,  6) =  0.161208E+01
PKER_SWETH( 18,  7) =  0.147130E+01
PKER_SWETH( 18,  8) =  0.133905E+01
PKER_SWETH( 18,  9) =  0.121479E+01
PKER_SWETH( 18, 10) =  0.109802E+01
PKER_SWETH( 18, 11) =  0.988254E+00
PKER_SWETH( 18, 12) =  0.885064E+00
PKER_SWETH( 18, 13) =  0.788046E+00
PKER_SWETH( 18, 14) =  0.696856E+00
PKER_SWETH( 18, 15) =  0.611240E+00
PKER_SWETH( 18, 16) =  0.531085E+00
PKER_SWETH( 18, 17) =  0.456489E+00
PKER_SWETH( 18, 18) =  0.387822E+00
PKER_SWETH( 18, 19) =  0.325787E+00
PKER_SWETH( 18, 20) =  0.271388E+00
PKER_SWETH( 18, 21) =  0.225865E+00
PKER_SWETH( 18, 22) =  0.190524E+00
PKER_SWETH( 18, 23) =  0.166451E+00
PKER_SWETH( 18, 24) =  0.154224E+00
PKER_SWETH( 18, 25) =  0.153728E+00
PKER_SWETH( 18, 26) =  0.164235E+00
PKER_SWETH( 18, 27) =  0.184044E+00
PKER_SWETH( 18, 28) =  0.211126E+00
PKER_SWETH( 18, 29) =  0.243228E+00
PKER_SWETH( 18, 30) =  0.278092E+00
PKER_SWETH( 18, 31) =  0.313828E+00
PKER_SWETH( 18, 32) =  0.348949E+00
PKER_SWETH( 18, 33) =  0.382443E+00
PKER_SWETH( 18, 34) =  0.413728E+00
PKER_SWETH( 18, 35) =  0.442554E+00
PKER_SWETH( 18, 36) =  0.468900E+00
PKER_SWETH( 18, 37) =  0.492882E+00
PKER_SWETH( 18, 38) =  0.514690E+00
PKER_SWETH( 18, 39) =  0.534538E+00
PKER_SWETH( 18, 40) =  0.552641E+00
PKER_SWETH( 18, 41) =  0.569197E+00
PKER_SWETH( 18, 42) =  0.584381E+00
PKER_SWETH( 18, 43) =  0.598350E+00
PKER_SWETH( 18, 44) =  0.611236E+00
PKER_SWETH( 18, 45) =  0.623153E+00
PKER_SWETH( 18, 46) =  0.634198E+00
PKER_SWETH( 18, 47) =  0.644457E+00
PKER_SWETH( 18, 48) =  0.654002E+00
PKER_SWETH( 18, 49) =  0.662895E+00
PKER_SWETH( 18, 50) =  0.671191E+00
PKER_SWETH( 18, 51) =  0.678938E+00
PKER_SWETH( 18, 52) =  0.686179E+00
PKER_SWETH( 18, 53) =  0.692953E+00
PKER_SWETH( 18, 54) =  0.699294E+00
PKER_SWETH( 18, 55) =  0.705231E+00
PKER_SWETH( 18, 56) =  0.710794E+00
PKER_SWETH( 18, 57) =  0.716008E+00
PKER_SWETH( 18, 58) =  0.720896E+00
PKER_SWETH( 18, 59) =  0.725480E+00
PKER_SWETH( 18, 60) =  0.729780E+00
PKER_SWETH( 18, 61) =  0.733814E+00
PKER_SWETH( 18, 62) =  0.737598E+00
PKER_SWETH( 18, 63) =  0.741150E+00
PKER_SWETH( 18, 64) =  0.744483E+00
PKER_SWETH( 18, 65) =  0.747611E+00
PKER_SWETH( 18, 66) =  0.750548E+00
PKER_SWETH( 18, 67) =  0.753304E+00
PKER_SWETH( 18, 68) =  0.755892E+00
PKER_SWETH( 18, 69) =  0.758321E+00
PKER_SWETH( 18, 70) =  0.760601E+00
PKER_SWETH( 18, 71) =  0.762742E+00
PKER_SWETH( 18, 72) =  0.764752E+00
PKER_SWETH( 18, 73) =  0.766640E+00
PKER_SWETH( 18, 74) =  0.768412E+00
PKER_SWETH( 18, 75) =  0.770075E+00
PKER_SWETH( 18, 76) =  0.771638E+00
PKER_SWETH( 18, 77) =  0.773104E+00
PKER_SWETH( 18, 78) =  0.774481E+00
PKER_SWETH( 18, 79) =  0.775774E+00
PKER_SWETH( 18, 80) =  0.776989E+00
PKER_SWETH( 19,  1) =  0.256173E+01
PKER_SWETH( 19,  2) =  0.236914E+01
PKER_SWETH( 19,  3) =  0.218829E+01
PKER_SWETH( 19,  4) =  0.201844E+01
PKER_SWETH( 19,  5) =  0.185894E+01
PKER_SWETH( 19,  6) =  0.170913E+01
PKER_SWETH( 19,  7) =  0.156841E+01
PKER_SWETH( 19,  8) =  0.143624E+01
PKER_SWETH( 19,  9) =  0.131207E+01
PKER_SWETH( 19, 10) =  0.119540E+01
PKER_SWETH( 19, 11) =  0.108576E+01
PKER_SWETH( 19, 12) =  0.982703E+00
PKER_SWETH( 19, 13) =  0.885808E+00
PKER_SWETH( 19, 14) =  0.794678E+00
PKER_SWETH( 19, 15) =  0.708950E+00
PKER_SWETH( 19, 16) =  0.628301E+00
PKER_SWETH( 19, 17) =  0.552477E+00
PKER_SWETH( 19, 18) =  0.481331E+00
PKER_SWETH( 19, 19) =  0.414882E+00
PKER_SWETH( 19, 20) =  0.353398E+00
PKER_SWETH( 19, 21) =  0.297416E+00
PKER_SWETH( 19, 22) =  0.247807E+00
PKER_SWETH( 19, 23) =  0.205699E+00
PKER_SWETH( 19, 24) =  0.172316E+00
PKER_SWETH( 19, 25) =  0.148819E+00
PKER_SWETH( 19, 26) =  0.135924E+00
PKER_SWETH( 19, 27) =  0.133720E+00
PKER_SWETH( 19, 28) =  0.141549E+00
PKER_SWETH( 19, 29) =  0.158042E+00
PKER_SWETH( 19, 30) =  0.181252E+00
PKER_SWETH( 19, 31) =  0.208933E+00
PKER_SWETH( 19, 32) =  0.239000E+00
PKER_SWETH( 19, 33) =  0.269677E+00
PKER_SWETH( 19, 34) =  0.299634E+00
PKER_SWETH( 19, 35) =  0.328045E+00
PKER_SWETH( 19, 36) =  0.354467E+00
PKER_SWETH( 19, 37) =  0.378756E+00
PKER_SWETH( 19, 38) =  0.400947E+00
PKER_SWETH( 19, 39) =  0.421175E+00
PKER_SWETH( 19, 40) =  0.439618E+00
PKER_SWETH( 19, 41) =  0.456462E+00
PKER_SWETH( 19, 42) =  0.471885E+00
PKER_SWETH( 19, 43) =  0.486045E+00
PKER_SWETH( 19, 44) =  0.499082E+00
PKER_SWETH( 19, 45) =  0.511119E+00
PKER_SWETH( 19, 46) =  0.522259E+00
PKER_SWETH( 19, 47) =  0.532591E+00
PKER_SWETH( 19, 48) =  0.542192E+00
PKER_SWETH( 19, 49) =  0.551129E+00
PKER_SWETH( 19, 50) =  0.559459E+00
PKER_SWETH( 19, 51) =  0.567233E+00
PKER_SWETH( 19, 52) =  0.574495E+00
PKER_SWETH( 19, 53) =  0.581285E+00
PKER_SWETH( 19, 54) =  0.587637E+00
PKER_SWETH( 19, 55) =  0.593585E+00
PKER_SWETH( 19, 56) =  0.599155E+00
PKER_SWETH( 19, 57) =  0.604374E+00
PKER_SWETH( 19, 58) =  0.609267E+00
PKER_SWETH( 19, 59) =  0.613855E+00
PKER_SWETH( 19, 60) =  0.618157E+00
PKER_SWETH( 19, 61) =  0.622193E+00
PKER_SWETH( 19, 62) =  0.625979E+00
PKER_SWETH( 19, 63) =  0.629532E+00
PKER_SWETH( 19, 64) =  0.632866E+00
PKER_SWETH( 19, 65) =  0.635995E+00
PKER_SWETH( 19, 66) =  0.638932E+00
PKER_SWETH( 19, 67) =  0.641689E+00
PKER_SWETH( 19, 68) =  0.644277E+00
PKER_SWETH( 19, 69) =  0.646706E+00
PKER_SWETH( 19, 70) =  0.648987E+00
PKER_SWETH( 19, 71) =  0.651128E+00
PKER_SWETH( 19, 72) =  0.653138E+00
PKER_SWETH( 19, 73) =  0.655026E+00
PKER_SWETH( 19, 74) =  0.656798E+00
PKER_SWETH( 19, 75) =  0.658461E+00
PKER_SWETH( 19, 76) =  0.660024E+00
PKER_SWETH( 19, 77) =  0.661490E+00
PKER_SWETH( 19, 78) =  0.662868E+00
PKER_SWETH( 19, 79) =  0.664161E+00
PKER_SWETH( 19, 80) =  0.665375E+00
PKER_SWETH( 20,  1) =  0.264500E+01
PKER_SWETH( 20,  2) =  0.245243E+01
PKER_SWETH( 20,  3) =  0.227160E+01
PKER_SWETH( 20,  4) =  0.210178E+01
PKER_SWETH( 20,  5) =  0.194230E+01
PKER_SWETH( 20,  6) =  0.179253E+01
PKER_SWETH( 20,  7) =  0.165187E+01
PKER_SWETH( 20,  8) =  0.151975E+01
PKER_SWETH( 20,  9) =  0.139564E+01
PKER_SWETH( 20, 10) =  0.127905E+01
PKER_SWETH( 20, 11) =  0.116951E+01
PKER_SWETH( 20, 12) =  0.106658E+01
PKER_SWETH( 20, 13) =  0.969820E+00
PKER_SWETH( 20, 14) =  0.878851E+00
PKER_SWETH( 20, 15) =  0.793291E+00
PKER_SWETH( 20, 16) =  0.712786E+00
PKER_SWETH( 20, 17) =  0.637005E+00
PKER_SWETH( 20, 18) =  0.565650E+00
PKER_SWETH( 20, 19) =  0.498472E+00
PKER_SWETH( 20, 20) =  0.435308E+00
PKER_SWETH( 20, 21) =  0.376129E+00
PKER_SWETH( 20, 22) =  0.321110E+00
PKER_SWETH( 20, 23) =  0.270680E+00
PKER_SWETH( 20, 24) =  0.225582E+00
PKER_SWETH( 20, 25) =  0.186836E+00
PKER_SWETH( 20, 26) =  0.155610E+00
PKER_SWETH( 20, 27) =  0.133055E+00
PKER_SWETH( 20, 28) =  0.119975E+00
PKER_SWETH( 20, 29) =  0.116599E+00
PKER_SWETH( 20, 30) =  0.122369E+00
PKER_SWETH( 20, 31) =  0.136033E+00
PKER_SWETH( 20, 32) =  0.155727E+00
PKER_SWETH( 20, 33) =  0.179407E+00
PKER_SWETH( 20, 34) =  0.205090E+00
PKER_SWETH( 20, 35) =  0.231197E+00
PKER_SWETH( 20, 36) =  0.256588E+00
PKER_SWETH( 20, 37) =  0.280587E+00
PKER_SWETH( 20, 38) =  0.302872E+00
PKER_SWETH( 20, 39) =  0.323359E+00
PKER_SWETH( 20, 40) =  0.342106E+00
PKER_SWETH( 20, 41) =  0.359241E+00
PKER_SWETH( 20, 42) =  0.374919E+00
PKER_SWETH( 20, 43) =  0.389291E+00
PKER_SWETH( 20, 44) =  0.402502E+00
PKER_SWETH( 20, 45) =  0.414676E+00
PKER_SWETH( 20, 46) =  0.425924E+00
PKER_SWETH( 20, 47) =  0.436341E+00
PKER_SWETH( 20, 48) =  0.446009E+00
PKER_SWETH( 20, 49) =  0.454997E+00
PKER_SWETH( 20, 50) =  0.463367E+00
PKER_SWETH( 20, 51) =  0.471171E+00
PKER_SWETH( 20, 52) =  0.478457E+00
PKER_SWETH( 20, 53) =  0.485265E+00
PKER_SWETH( 20, 54) =  0.491632E+00
PKER_SWETH( 20, 55) =  0.497590E+00
PKER_SWETH( 20, 56) =  0.503169E+00
PKER_SWETH( 20, 57) =  0.508395E+00
PKER_SWETH( 20, 58) =  0.513293E+00
PKER_SWETH( 20, 59) =  0.517884E+00
PKER_SWETH( 20, 60) =  0.522189E+00
PKER_SWETH( 20, 61) =  0.526227E+00
PKER_SWETH( 20, 62) =  0.530016E+00
PKER_SWETH( 20, 63) =  0.533570E+00
PKER_SWETH( 20, 64) =  0.536905E+00
PKER_SWETH( 20, 65) =  0.540035E+00
PKER_SWETH( 20, 66) =  0.542973E+00
PKER_SWETH( 20, 67) =  0.545730E+00
PKER_SWETH( 20, 68) =  0.548318E+00
PKER_SWETH( 20, 69) =  0.550748E+00
PKER_SWETH( 20, 70) =  0.553029E+00
PKER_SWETH( 20, 71) =  0.555170E+00
PKER_SWETH( 20, 72) =  0.557181E+00
PKER_SWETH( 20, 73) =  0.559068E+00
PKER_SWETH( 20, 74) =  0.560840E+00
PKER_SWETH( 20, 75) =  0.562504E+00
PKER_SWETH( 20, 76) =  0.564067E+00
PKER_SWETH( 20, 77) =  0.565533E+00
PKER_SWETH( 20, 78) =  0.566911E+00
PKER_SWETH( 20, 79) =  0.568204E+00
PKER_SWETH( 20, 80) =  0.569418E+00
PKER_SWETH( 21,  1) =  0.271658E+01
PKER_SWETH( 21,  2) =  0.252403E+01
PKER_SWETH( 21,  3) =  0.234321E+01
PKER_SWETH( 21,  4) =  0.217341E+01
PKER_SWETH( 21,  5) =  0.201396E+01
PKER_SWETH( 21,  6) =  0.186421E+01
PKER_SWETH( 21,  7) =  0.172358E+01
PKER_SWETH( 21,  8) =  0.159150E+01
PKER_SWETH( 21,  9) =  0.146745E+01
PKER_SWETH( 21, 10) =  0.135092E+01
PKER_SWETH( 21, 11) =  0.124145E+01
PKER_SWETH( 21, 12) =  0.113861E+01
PKER_SWETH( 21, 13) =  0.104196E+01
PKER_SWETH( 21, 14) =  0.951122E+00
PKER_SWETH( 21, 15) =  0.865719E+00
PKER_SWETH( 21, 16) =  0.785398E+00
PKER_SWETH( 21, 17) =  0.709821E+00
PKER_SWETH( 21, 18) =  0.638672E+00
PKER_SWETH( 21, 19) =  0.571650E+00
PKER_SWETH( 21, 20) =  0.508481E+00
PKER_SWETH( 21, 21) =  0.448928E+00
PKER_SWETH( 21, 22) =  0.392821E+00
PKER_SWETH( 21, 23) =  0.340101E+00
PKER_SWETH( 21, 24) =  0.290879E+00
PKER_SWETH( 21, 25) =  0.245501E+00
PKER_SWETH( 21, 26) =  0.204609E+00
PKER_SWETH( 21, 27) =  0.169114E+00
PKER_SWETH( 21, 28) =  0.140143E+00
PKER_SWETH( 21, 29) =  0.118804E+00
PKER_SWETH( 21, 30) =  0.105905E+00
PKER_SWETH( 21, 31) =  0.101754E+00
PKER_SWETH( 21, 32) =  0.105915E+00
PKER_SWETH( 21, 33) =  0.117110E+00
PKER_SWETH( 21, 34) =  0.133717E+00
PKER_SWETH( 21, 35) =  0.153768E+00
PKER_SWETH( 21, 36) =  0.175523E+00
PKER_SWETH( 21, 37) =  0.197593E+00
PKER_SWETH( 21, 38) =  0.219023E+00
PKER_SWETH( 21, 39) =  0.239267E+00
PKER_SWETH( 21, 40) =  0.258077E+00
PKER_SWETH( 21, 41) =  0.275405E+00
PKER_SWETH( 21, 42) =  0.291307E+00
PKER_SWETH( 21, 43) =  0.305894E+00
PKER_SWETH( 21, 44) =  0.319290E+00
PKER_SWETH( 21, 45) =  0.331618E+00
PKER_SWETH( 21, 46) =  0.342990E+00
PKER_SWETH( 21, 47) =  0.353504E+00
PKER_SWETH( 21, 48) =  0.363248E+00
PKER_SWETH( 21, 49) =  0.372296E+00
PKER_SWETH( 21, 50) =  0.380712E+00
PKER_SWETH( 21, 51) =  0.388553E+00
PKER_SWETH( 21, 52) =  0.395866E+00
PKER_SWETH( 21, 53) =  0.402696E+00
PKER_SWETH( 21, 54) =  0.409079E+00
PKER_SWETH( 21, 55) =  0.415050E+00
PKER_SWETH( 21, 56) =  0.420639E+00
PKER_SWETH( 21, 57) =  0.425872E+00
PKER_SWETH( 21, 58) =  0.430776E+00
PKER_SWETH( 21, 59) =  0.435372E+00
PKER_SWETH( 21, 60) =  0.439681E+00
PKER_SWETH( 21, 61) =  0.443722E+00
PKER_SWETH( 21, 62) =  0.447512E+00
PKER_SWETH( 21, 63) =  0.451068E+00
PKER_SWETH( 21, 64) =  0.454404E+00
PKER_SWETH( 21, 65) =  0.457535E+00
PKER_SWETH( 21, 66) =  0.460473E+00
PKER_SWETH( 21, 67) =  0.463231E+00
PKER_SWETH( 21, 68) =  0.465820E+00
PKER_SWETH( 21, 69) =  0.468250E+00
PKER_SWETH( 21, 70) =  0.470532E+00
PKER_SWETH( 21, 71) =  0.472673E+00
PKER_SWETH( 21, 72) =  0.474684E+00
PKER_SWETH( 21, 73) =  0.476571E+00
PKER_SWETH( 21, 74) =  0.478344E+00
PKER_SWETH( 21, 75) =  0.480008E+00
PKER_SWETH( 21, 76) =  0.481570E+00
PKER_SWETH( 21, 77) =  0.483037E+00
PKER_SWETH( 21, 78) =  0.484414E+00
PKER_SWETH( 21, 79) =  0.485707E+00
PKER_SWETH( 21, 80) =  0.486921E+00
PKER_SWETH( 22,  1) =  0.277812E+01
PKER_SWETH( 22,  2) =  0.258557E+01
PKER_SWETH( 22,  3) =  0.240477E+01
PKER_SWETH( 22,  4) =  0.223498E+01
PKER_SWETH( 22,  5) =  0.207555E+01
PKER_SWETH( 22,  6) =  0.192582E+01
PKER_SWETH( 22,  7) =  0.178522E+01
PKER_SWETH( 22,  8) =  0.165317E+01
PKER_SWETH( 22,  9) =  0.152915E+01
PKER_SWETH( 22, 10) =  0.141267E+01
PKER_SWETH( 22, 11) =  0.130326E+01
PKER_SWETH( 22, 12) =  0.120048E+01
PKER_SWETH( 22, 13) =  0.110391E+01
PKER_SWETH( 22, 14) =  0.101317E+01
PKER_SWETH( 22, 15) =  0.927888E+00
PKER_SWETH( 22, 16) =  0.847710E+00
PKER_SWETH( 22, 17) =  0.772307E+00
PKER_SWETH( 22, 18) =  0.701363E+00
PKER_SWETH( 22, 19) =  0.634577E+00
PKER_SWETH( 22, 20) =  0.571663E+00
PKER_SWETH( 22, 21) =  0.512351E+00
PKER_SWETH( 22, 22) =  0.456387E+00
PKER_SWETH( 22, 23) =  0.403551E+00
PKER_SWETH( 22, 24) =  0.353674E+00
PKER_SWETH( 22, 25) =  0.306679E+00
PKER_SWETH( 22, 26) =  0.262639E+00
PKER_SWETH( 22, 27) =  0.221831E+00
PKER_SWETH( 22, 28) =  0.184828E+00
PKER_SWETH( 22, 29) =  0.152460E+00
PKER_SWETH( 22, 30) =  0.125752E+00
PKER_SWETH( 22, 31) =  0.105794E+00
PKER_SWETH( 22, 32) =  0.933885E-01
PKER_SWETH( 22, 33) =  0.887837E-01
PKER_SWETH( 22, 34) =  0.916083E-01
PKER_SWETH( 22, 35) =  0.100750E+00
PKER_SWETH( 22, 36) =  0.114556E+00
PKER_SWETH( 22, 37) =  0.131388E+00
PKER_SWETH( 22, 38) =  0.149687E+00
PKER_SWETH( 22, 39) =  0.168264E+00
PKER_SWETH( 22, 40) =  0.186315E+00
PKER_SWETH( 22, 41) =  0.203399E+00
PKER_SWETH( 22, 42) =  0.219317E+00
PKER_SWETH( 22, 43) =  0.234029E+00
PKER_SWETH( 22, 44) =  0.247581E+00
PKER_SWETH( 22, 45) =  0.260059E+00
PKER_SWETH( 22, 46) =  0.271563E+00
PKER_SWETH( 22, 47) =  0.282186E+00
PKER_SWETH( 22, 48) =  0.292018E+00
PKER_SWETH( 22, 49) =  0.301134E+00
PKER_SWETH( 22, 50) =  0.309604E+00
PKER_SWETH( 22, 51) =  0.317487E+00
PKER_SWETH( 22, 52) =  0.324833E+00
PKER_SWETH( 22, 53) =  0.331687E+00
PKER_SWETH( 22, 54) =  0.338090E+00
PKER_SWETH( 22, 55) =  0.344075E+00
PKER_SWETH( 22, 56) =  0.349675E+00
PKER_SWETH( 22, 57) =  0.354918E+00
PKER_SWETH( 22, 58) =  0.359828E+00
PKER_SWETH( 22, 59) =  0.364430E+00
PKER_SWETH( 22, 60) =  0.368743E+00
PKER_SWETH( 22, 61) =  0.372787E+00
PKER_SWETH( 22, 62) =  0.376579E+00
PKER_SWETH( 22, 63) =  0.380137E+00
PKER_SWETH( 22, 64) =  0.383475E+00
PKER_SWETH( 22, 65) =  0.386607E+00
PKER_SWETH( 22, 66) =  0.389546E+00
PKER_SWETH( 22, 67) =  0.392305E+00
PKER_SWETH( 22, 68) =  0.394894E+00
PKER_SWETH( 22, 69) =  0.397325E+00
PKER_SWETH( 22, 70) =  0.399606E+00
PKER_SWETH( 22, 71) =  0.401748E+00
PKER_SWETH( 22, 72) =  0.403759E+00
PKER_SWETH( 22, 73) =  0.405647E+00
PKER_SWETH( 22, 74) =  0.407419E+00
PKER_SWETH( 22, 75) =  0.409083E+00
PKER_SWETH( 22, 76) =  0.410645E+00
PKER_SWETH( 22, 77) =  0.412112E+00
PKER_SWETH( 22, 78) =  0.413490E+00
PKER_SWETH( 22, 79) =  0.414783E+00
PKER_SWETH( 22, 80) =  0.415997E+00
PKER_SWETH( 23,  1) =  0.283102E+01
PKER_SWETH( 23,  2) =  0.263848E+01
PKER_SWETH( 23,  3) =  0.245768E+01
PKER_SWETH( 23,  4) =  0.228791E+01
PKER_SWETH( 23,  5) =  0.212849E+01
PKER_SWETH( 23,  6) =  0.197878E+01
PKER_SWETH( 23,  7) =  0.183819E+01
PKER_SWETH( 23,  8) =  0.170617E+01
PKER_SWETH( 23,  9) =  0.158218E+01
PKER_SWETH( 23, 10) =  0.146573E+01
PKER_SWETH( 23, 11) =  0.135636E+01
PKER_SWETH( 23, 12) =  0.125363E+01
PKER_SWETH( 23, 13) =  0.115712E+01
PKER_SWETH( 23, 14) =  0.106646E+01
PKER_SWETH( 23, 15) =  0.981260E+00
PKER_SWETH( 23, 16) =  0.901190E+00
PKER_SWETH( 23, 17) =  0.825917E+00
PKER_SWETH( 23, 18) =  0.755130E+00
PKER_SWETH( 23, 19) =  0.688534E+00
PKER_SWETH( 23, 20) =  0.625847E+00
PKER_SWETH( 23, 21) =  0.566798E+00
PKER_SWETH( 23, 22) =  0.511131E+00
PKER_SWETH( 23, 23) =  0.458600E+00
PKER_SWETH( 23, 24) =  0.408976E+00
PKER_SWETH( 23, 25) =  0.362052E+00
PKER_SWETH( 23, 26) =  0.317669E+00
PKER_SWETH( 23, 27) =  0.275744E+00
PKER_SWETH( 23, 28) =  0.236322E+00
PKER_SWETH( 23, 29) =  0.199652E+00
PKER_SWETH( 23, 30) =  0.166228E+00
PKER_SWETH( 23, 31) =  0.136821E+00
PKER_SWETH( 23, 32) =  0.112388E+00
PKER_SWETH( 23, 33) =  0.939206E-01
PKER_SWETH( 23, 34) =  0.821751E-01
PKER_SWETH( 23, 35) =  0.773938E-01
PKER_SWETH( 23, 36) =  0.791534E-01
PKER_SWETH( 23, 37) =  0.864193E-01
PKER_SWETH( 23, 38) =  0.978352E-01
PKER_SWETH( 23, 39) =  0.111845E+00
PKER_SWETH( 23, 40) =  0.127143E+00
PKER_SWETH( 23, 41) =  0.142733E+00
PKER_SWETH( 23, 42) =  0.157936E+00
PKER_SWETH( 23, 43) =  0.172382E+00
PKER_SWETH( 23, 44) =  0.185898E+00
PKER_SWETH( 23, 45) =  0.198442E+00
PKER_SWETH( 23, 46) =  0.210045E+00
PKER_SWETH( 23, 47) =  0.220770E+00
PKER_SWETH( 23, 48) =  0.230692E+00
PKER_SWETH( 23, 49) =  0.239885E+00
PKER_SWETH( 23, 50) =  0.248416E+00
PKER_SWETH( 23, 51) =  0.256346E+00
PKER_SWETH( 23, 52) =  0.263730E+00
PKER_SWETH( 23, 53) =  0.270613E+00
PKER_SWETH( 23, 54) =  0.277038E+00
PKER_SWETH( 23, 55) =  0.283042E+00
PKER_SWETH( 23, 56) =  0.288655E+00
PKER_SWETH( 23, 57) =  0.293908E+00
PKER_SWETH( 23, 58) =  0.298826E+00
PKER_SWETH( 23, 59) =  0.303434E+00
PKER_SWETH( 23, 60) =  0.307751E+00
PKER_SWETH( 23, 61) =  0.311799E+00
PKER_SWETH( 23, 62) =  0.315594E+00
PKER_SWETH( 23, 63) =  0.319154E+00
PKER_SWETH( 23, 64) =  0.322494E+00
PKER_SWETH( 23, 65) =  0.325627E+00
PKER_SWETH( 23, 66) =  0.328568E+00
PKER_SWETH( 23, 67) =  0.331327E+00
PKER_SWETH( 23, 68) =  0.333917E+00
PKER_SWETH( 23, 69) =  0.336348E+00
PKER_SWETH( 23, 70) =  0.338630E+00
PKER_SWETH( 23, 71) =  0.340772E+00
PKER_SWETH( 23, 72) =  0.342783E+00
PKER_SWETH( 23, 73) =  0.344671E+00
PKER_SWETH( 23, 74) =  0.346443E+00
PKER_SWETH( 23, 75) =  0.348107E+00
PKER_SWETH( 23, 76) =  0.349670E+00
PKER_SWETH( 23, 77) =  0.351137E+00
PKER_SWETH( 23, 78) =  0.352514E+00
PKER_SWETH( 23, 79) =  0.353807E+00
PKER_SWETH( 23, 80) =  0.355022E+00
PKER_SWETH( 24,  1) =  0.287649E+01
PKER_SWETH( 24,  2) =  0.268396E+01
PKER_SWETH( 24,  3) =  0.250317E+01
PKER_SWETH( 24,  4) =  0.233341E+01
PKER_SWETH( 24,  5) =  0.217399E+01
PKER_SWETH( 24,  6) =  0.202430E+01
PKER_SWETH( 24,  7) =  0.188372E+01
PKER_SWETH( 24,  8) =  0.175172E+01
PKER_SWETH( 24,  9) =  0.162775E+01
PKER_SWETH( 24, 10) =  0.151133E+01
PKER_SWETH( 24, 11) =  0.140199E+01
PKER_SWETH( 24, 12) =  0.129929E+01
PKER_SWETH( 24, 13) =  0.120283E+01
PKER_SWETH( 24, 14) =  0.111222E+01
PKER_SWETH( 24, 15) =  0.102709E+01
PKER_SWETH( 24, 16) =  0.947100E+00
PKER_SWETH( 24, 17) =  0.871925E+00
PKER_SWETH( 24, 18) =  0.801255E+00
PKER_SWETH( 24, 19) =  0.734802E+00
PKER_SWETH( 24, 20) =  0.672286E+00
PKER_SWETH( 24, 21) =  0.613444E+00
PKER_SWETH( 24, 22) =  0.558025E+00
PKER_SWETH( 24, 23) =  0.505784E+00
PKER_SWETH( 24, 24) =  0.456492E+00
PKER_SWETH( 24, 25) =  0.409924E+00
PKER_SWETH( 24, 26) =  0.365874E+00
PKER_SWETH( 24, 27) =  0.324153E+00
PKER_SWETH( 24, 28) =  0.284613E+00
PKER_SWETH( 24, 29) =  0.247175E+00
PKER_SWETH( 24, 30) =  0.211878E+00
PKER_SWETH( 24, 31) =  0.178940E+00
PKER_SWETH( 24, 32) =  0.148822E+00
PKER_SWETH( 24, 33) =  0.122216E+00
PKER_SWETH( 24, 34) =  0.100012E+00
PKER_SWETH( 24, 35) =  0.831056E-01
PKER_SWETH( 24, 36) =  0.721377E-01
PKER_SWETH( 24, 37) =  0.673132E-01
PKER_SWETH( 24, 38) =  0.682186E-01
PKER_SWETH( 24, 39) =  0.739244E-01
PKER_SWETH( 24, 40) =  0.832005E-01
PKER_SWETH( 24, 41) =  0.947760E-01
PKER_SWETH( 24, 42) =  0.107532E+00
PKER_SWETH( 24, 43) =  0.120598E+00
PKER_SWETH( 24, 44) =  0.133420E+00
PKER_SWETH( 24, 45) =  0.145669E+00
PKER_SWETH( 24, 46) =  0.157186E+00
PKER_SWETH( 24, 47) =  0.167927E+00
PKER_SWETH( 24, 48) =  0.177903E+00
PKER_SWETH( 24, 49) =  0.187160E+00
PKER_SWETH( 24, 50) =  0.195752E+00
PKER_SWETH( 24, 51) =  0.203734E+00
PKER_SWETH( 24, 52) =  0.211160E+00
PKER_SWETH( 24, 53) =  0.218077E+00
PKER_SWETH( 24, 54) =  0.224528E+00
PKER_SWETH( 24, 55) =  0.230551E+00
PKER_SWETH( 24, 56) =  0.236181E+00
PKER_SWETH( 24, 57) =  0.241446E+00
PKER_SWETH( 24, 58) =  0.246373E+00
PKER_SWETH( 24, 59) =  0.250988E+00
PKER_SWETH( 24, 60) =  0.255311E+00
PKER_SWETH( 24, 61) =  0.259363E+00
PKER_SWETH( 24, 62) =  0.263162E+00
PKER_SWETH( 24, 63) =  0.266724E+00
PKER_SWETH( 24, 64) =  0.270065E+00
PKER_SWETH( 24, 65) =  0.273200E+00
PKER_SWETH( 24, 66) =  0.276142E+00
PKER_SWETH( 24, 67) =  0.278902E+00
PKER_SWETH( 24, 68) =  0.281493E+00
PKER_SWETH( 24, 69) =  0.283924E+00
PKER_SWETH( 24, 70) =  0.286206E+00
PKER_SWETH( 24, 71) =  0.288349E+00
PKER_SWETH( 24, 72) =  0.290360E+00
PKER_SWETH( 24, 73) =  0.292248E+00
PKER_SWETH( 24, 74) =  0.294021E+00
PKER_SWETH( 24, 75) =  0.295685E+00
PKER_SWETH( 24, 76) =  0.297248E+00
PKER_SWETH( 24, 77) =  0.298715E+00
PKER_SWETH( 24, 78) =  0.300092E+00
PKER_SWETH( 24, 79) =  0.301385E+00
PKER_SWETH( 24, 80) =  0.302600E+00
PKER_SWETH( 25,  1) =  0.291559E+01
PKER_SWETH( 25,  2) =  0.272306E+01
PKER_SWETH( 25,  3) =  0.254227E+01
PKER_SWETH( 25,  4) =  0.237251E+01
PKER_SWETH( 25,  5) =  0.221311E+01
PKER_SWETH( 25,  6) =  0.206342E+01
PKER_SWETH( 25,  7) =  0.192286E+01
PKER_SWETH( 25,  8) =  0.179087E+01
PKER_SWETH( 25,  9) =  0.166692E+01
PKER_SWETH( 25, 10) =  0.155051E+01
PKER_SWETH( 25, 11) =  0.144120E+01
PKER_SWETH( 25, 12) =  0.133853E+01
PKER_SWETH( 25, 13) =  0.124210E+01
PKER_SWETH( 25, 14) =  0.115153E+01
PKER_SWETH( 25, 15) =  0.106645E+01
PKER_SWETH( 25, 16) =  0.986522E+00
PKER_SWETH( 25, 17) =  0.911418E+00
PKER_SWETH( 25, 18) =  0.840837E+00
PKER_SWETH( 25, 19) =  0.774489E+00
PKER_SWETH( 25, 20) =  0.712102E+00
PKER_SWETH( 25, 21) =  0.653415E+00
PKER_SWETH( 25, 22) =  0.598183E+00
PKER_SWETH( 25, 23) =  0.546167E+00
PKER_SWETH( 25, 24) =  0.497142E+00
PKER_SWETH( 25, 25) =  0.450891E+00
PKER_SWETH( 25, 26) =  0.407203E+00
PKER_SWETH( 25, 27) =  0.365878E+00
PKER_SWETH( 25, 28) =  0.326729E+00
PKER_SWETH( 25, 29) =  0.289588E+00
PKER_SWETH( 25, 30) =  0.254321E+00
PKER_SWETH( 25, 31) =  0.220863E+00
PKER_SWETH( 25, 32) =  0.189255E+00
PKER_SWETH( 25, 33) =  0.159705E+00
PKER_SWETH( 25, 34) =  0.132637E+00
PKER_SWETH( 25, 35) =  0.108685E+00
PKER_SWETH( 25, 36) =  0.886458E-01
PKER_SWETH( 25, 37) =  0.733000E-01
PKER_SWETH( 25, 38) =  0.631817E-01
PKER_SWETH( 25, 39) =  0.584175E-01
PKER_SWETH( 25, 40) =  0.586280E-01
PKER_SWETH( 25, 41) =  0.629970E-01
PKER_SWETH( 25, 42) =  0.704646E-01
PKER_SWETH( 25, 43) =  0.799685E-01
PKER_SWETH( 25, 44) =  0.905525E-01
PKER_SWETH( 25, 45) =  0.101507E+00
PKER_SWETH( 25, 46) =  0.112335E+00
PKER_SWETH( 25, 47) =  0.122751E+00
PKER_SWETH( 25, 48) =  0.132601E+00
PKER_SWETH( 25, 49) =  0.141833E+00
PKER_SWETH( 25, 50) =  0.150445E+00
PKER_SWETH( 25, 51) =  0.158463E+00
PKER_SWETH( 25, 52) =  0.165926E+00
PKER_SWETH( 25, 53) =  0.172877E+00
PKER_SWETH( 25, 54) =  0.179357E+00
PKER_SWETH( 25, 55) =  0.185404E+00
PKER_SWETH( 25, 56) =  0.191051E+00
PKER_SWETH( 25, 57) =  0.196330E+00
PKER_SWETH( 25, 58) =  0.201268E+00
PKER_SWETH( 25, 59) =  0.205891E+00
PKER_SWETH( 25, 60) =  0.210221E+00
PKER_SWETH( 25, 61) =  0.214278E+00
PKER_SWETH( 25, 62) =  0.218080E+00
PKER_SWETH( 25, 63) =  0.221646E+00
PKER_SWETH( 25, 64) =  0.224989E+00
PKER_SWETH( 25, 65) =  0.228126E+00
PKER_SWETH( 25, 66) =  0.231069E+00
PKER_SWETH( 25, 67) =  0.233830E+00
PKER_SWETH( 25, 68) =  0.236422E+00
PKER_SWETH( 25, 69) =  0.238854E+00
PKER_SWETH( 25, 70) =  0.241137E+00
PKER_SWETH( 25, 71) =  0.243279E+00
PKER_SWETH( 25, 72) =  0.245291E+00
PKER_SWETH( 25, 73) =  0.247179E+00
PKER_SWETH( 25, 74) =  0.248952E+00
PKER_SWETH( 25, 75) =  0.250616E+00
PKER_SWETH( 25, 76) =  0.252179E+00
PKER_SWETH( 25, 77) =  0.253646E+00
PKER_SWETH( 25, 78) =  0.255024E+00
PKER_SWETH( 25, 79) =  0.256317E+00
PKER_SWETH( 25, 80) =  0.257531E+00
PKER_SWETH( 26,  1) =  0.294919E+01
PKER_SWETH( 26,  2) =  0.275667E+01
PKER_SWETH( 26,  3) =  0.257589E+01
PKER_SWETH( 26,  4) =  0.240613E+01
PKER_SWETH( 26,  5) =  0.224673E+01
PKER_SWETH( 26,  6) =  0.209706E+01
PKER_SWETH( 26,  7) =  0.195650E+01
PKER_SWETH( 26,  8) =  0.182452E+01
PKER_SWETH( 26,  9) =  0.170058E+01
PKER_SWETH( 26, 10) =  0.158419E+01
PKER_SWETH( 26, 11) =  0.147489E+01
PKER_SWETH( 26, 12) =  0.137225E+01
PKER_SWETH( 26, 13) =  0.127585E+01
PKER_SWETH( 26, 14) =  0.118531E+01
PKER_SWETH( 26, 15) =  0.110026E+01
PKER_SWETH( 26, 16) =  0.102038E+01
PKER_SWETH( 26, 17) =  0.945328E+00
PKER_SWETH( 26, 18) =  0.874813E+00
PKER_SWETH( 26, 19) =  0.808544E+00
PKER_SWETH( 26, 20) =  0.746253E+00
PKER_SWETH( 26, 21) =  0.687683E+00
PKER_SWETH( 26, 22) =  0.632590E+00
PKER_SWETH( 26, 23) =  0.580743E+00
PKER_SWETH( 26, 24) =  0.531921E+00
PKER_SWETH( 26, 25) =  0.485912E+00
PKER_SWETH( 26, 26) =  0.442513E+00
PKER_SWETH( 26, 27) =  0.401527E+00
PKER_SWETH( 26, 28) =  0.362766E+00
PKER_SWETH( 26, 29) =  0.326051E+00
PKER_SWETH( 26, 30) =  0.291214E+00
PKER_SWETH( 26, 31) =  0.258107E+00
PKER_SWETH( 26, 32) =  0.226621E+00
PKER_SWETH( 26, 33) =  0.196706E+00
PKER_SWETH( 26, 34) =  0.168416E+00
PKER_SWETH( 26, 35) =  0.141958E+00
PKER_SWETH( 26, 36) =  0.117722E+00
PKER_SWETH( 26, 37) =  0.962814E-01
PKER_SWETH( 26, 38) =  0.783300E-01
PKER_SWETH( 26, 39) =  0.645079E-01
PKER_SWETH( 26, 40) =  0.552534E-01
PKER_SWETH( 26, 41) =  0.506271E-01
PKER_SWETH( 26, 42) =  0.502626E-01
PKER_SWETH( 26, 43) =  0.534894E-01
PKER_SWETH( 26, 44) =  0.594360E-01
PKER_SWETH( 26, 45) =  0.671708E-01
PKER_SWETH( 26, 46) =  0.759473E-01
PKER_SWETH( 26, 47) =  0.851241E-01
PKER_SWETH( 26, 48) =  0.942847E-01
PKER_SWETH( 26, 49) =  0.103164E+00
PKER_SWETH( 26, 50) =  0.111616E+00
PKER_SWETH( 26, 51) =  0.119577E+00
PKER_SWETH( 26, 52) =  0.127034E+00
PKER_SWETH( 26, 53) =  0.134000E+00
PKER_SWETH( 26, 54) =  0.140501E+00
PKER_SWETH( 26, 55) =  0.146568E+00
PKER_SWETH( 26, 56) =  0.152234E+00
PKER_SWETH( 26, 57) =  0.157529E+00
PKER_SWETH( 26, 58) =  0.162480E+00
PKER_SWETH( 26, 59) =  0.167112E+00
PKER_SWETH( 26, 60) =  0.171449E+00
PKER_SWETH( 26, 61) =  0.175512E+00
PKER_SWETH( 26, 62) =  0.179319E+00
PKER_SWETH( 26, 63) =  0.182888E+00
PKER_SWETH( 26, 64) =  0.186234E+00
PKER_SWETH( 26, 65) =  0.189373E+00
PKER_SWETH( 26, 66) =  0.192317E+00
PKER_SWETH( 26, 67) =  0.195080E+00
PKER_SWETH( 26, 68) =  0.197672E+00
PKER_SWETH( 26, 69) =  0.200105E+00
PKER_SWETH( 26, 70) =  0.202388E+00
PKER_SWETH( 26, 71) =  0.204532E+00
PKER_SWETH( 26, 72) =  0.206543E+00
PKER_SWETH( 26, 73) =  0.208432E+00
PKER_SWETH( 26, 74) =  0.210205E+00
PKER_SWETH( 26, 75) =  0.211870E+00
PKER_SWETH( 26, 76) =  0.213432E+00
PKER_SWETH( 26, 77) =  0.214900E+00
PKER_SWETH( 26, 78) =  0.216277E+00
PKER_SWETH( 26, 79) =  0.217571E+00
PKER_SWETH( 26, 80) =  0.218785E+00
PKER_SWETH( 27,  1) =  0.297808E+01
PKER_SWETH( 27,  2) =  0.278556E+01
PKER_SWETH( 27,  3) =  0.260479E+01
PKER_SWETH( 27,  4) =  0.243504E+01
PKER_SWETH( 27,  5) =  0.227564E+01
PKER_SWETH( 27,  6) =  0.212597E+01
PKER_SWETH( 27,  7) =  0.198542E+01
PKER_SWETH( 27,  8) =  0.185344E+01
PKER_SWETH( 27,  9) =  0.172951E+01
PKER_SWETH( 27, 10) =  0.161314E+01
PKER_SWETH( 27, 11) =  0.150385E+01
PKER_SWETH( 27, 12) =  0.140122E+01
PKER_SWETH( 27, 13) =  0.130484E+01
PKER_SWETH( 27, 14) =  0.121432E+01
PKER_SWETH( 27, 15) =  0.112931E+01
PKER_SWETH( 27, 16) =  0.104946E+01
PKER_SWETH( 27, 17) =  0.974450E+00
PKER_SWETH( 27, 18) =  0.903983E+00
PKER_SWETH( 27, 19) =  0.837775E+00
PKER_SWETH( 27, 20) =  0.775555E+00
PKER_SWETH( 27, 21) =  0.717072E+00
PKER_SWETH( 27, 22) =  0.662084E+00
PKER_SWETH( 27, 23) =  0.610364E+00
PKER_SWETH( 27, 24) =  0.561694E+00
PKER_SWETH( 27, 25) =  0.515868E+00
PKER_SWETH( 27, 26) =  0.472688E+00
PKER_SWETH( 27, 27) =  0.431963E+00
PKER_SWETH( 27, 28) =  0.393511E+00
PKER_SWETH( 27, 29) =  0.357155E+00
PKER_SWETH( 27, 30) =  0.322725E+00
PKER_SWETH( 27, 31) =  0.290064E+00
PKER_SWETH( 27, 32) =  0.259024E+00
PKER_SWETH( 27, 33) =  0.229483E+00
PKER_SWETH( 27, 34) =  0.201355E+00
PKER_SWETH( 27, 35) =  0.174615E+00
PKER_SWETH( 27, 36) =  0.149334E+00
PKER_SWETH( 27, 37) =  0.125718E+00
PKER_SWETH( 27, 38) =  0.104127E+00
PKER_SWETH( 27, 39) =  0.850544E-01
PKER_SWETH( 27, 40) =  0.690877E-01
PKER_SWETH( 27, 41) =  0.567360E-01
PKER_SWETH( 27, 42) =  0.483077E-01
PKER_SWETH( 27, 43) =  0.438459E-01
PKER_SWETH( 27, 44) =  0.430396E-01
PKER_SWETH( 27, 45) =  0.452998E-01
PKER_SWETH( 27, 46) =  0.499404E-01
PKER_SWETH( 27, 47) =  0.562217E-01
PKER_SWETH( 27, 48) =  0.634525E-01
PKER_SWETH( 27, 49) =  0.711393E-01
PKER_SWETH( 27, 50) =  0.788981E-01
PKER_SWETH( 27, 51) =  0.864846E-01
PKER_SWETH( 27, 52) =  0.937536E-01
PKER_SWETH( 27, 53) =  0.100637E+00
PKER_SWETH( 27, 54) =  0.107111E+00
PKER_SWETH( 27, 55) =  0.113177E+00
PKER_SWETH( 27, 56) =  0.118852E+00
PKER_SWETH( 27, 57) =  0.124158E+00
PKER_SWETH( 27, 58) =  0.129121E+00
PKER_SWETH( 27, 59) =  0.133764E+00
PKER_SWETH( 27, 60) =  0.138109E+00
PKER_SWETH( 27, 61) =  0.142178E+00
PKER_SWETH( 27, 62) =  0.145991E+00
PKER_SWETH( 27, 63) =  0.149563E+00
PKER_SWETH( 27, 64) =  0.152913E+00
PKER_SWETH( 27, 65) =  0.156054E+00
PKER_SWETH( 27, 66) =  0.159000E+00
PKER_SWETH( 27, 67) =  0.161764E+00
PKER_SWETH( 27, 68) =  0.164357E+00
PKER_SWETH( 27, 69) =  0.166791E+00
PKER_SWETH( 27, 70) =  0.169075E+00
PKER_SWETH( 27, 71) =  0.171219E+00
PKER_SWETH( 27, 72) =  0.173231E+00
PKER_SWETH( 27, 73) =  0.175120E+00
PKER_SWETH( 27, 74) =  0.176893E+00
PKER_SWETH( 27, 75) =  0.178558E+00
PKER_SWETH( 27, 76) =  0.180121E+00
PKER_SWETH( 27, 77) =  0.181588E+00
PKER_SWETH( 27, 78) =  0.182966E+00
PKER_SWETH( 27, 79) =  0.184259E+00
PKER_SWETH( 27, 80) =  0.185474E+00
PKER_SWETH( 28,  1) =  0.300292E+01
PKER_SWETH( 28,  2) =  0.281040E+01
PKER_SWETH( 28,  3) =  0.262963E+01
PKER_SWETH( 28,  4) =  0.245988E+01
PKER_SWETH( 28,  5) =  0.230049E+01
PKER_SWETH( 28,  6) =  0.215082E+01
PKER_SWETH( 28,  7) =  0.201028E+01
PKER_SWETH( 28,  8) =  0.187831E+01
PKER_SWETH( 28,  9) =  0.175438E+01
PKER_SWETH( 28, 10) =  0.163802E+01
PKER_SWETH( 28, 11) =  0.152874E+01
PKER_SWETH( 28, 12) =  0.142612E+01
PKER_SWETH( 28, 13) =  0.132976E+01
PKER_SWETH( 28, 14) =  0.123926E+01
PKER_SWETH( 28, 15) =  0.115426E+01
PKER_SWETH( 28, 16) =  0.107444E+01
PKER_SWETH( 28, 17) =  0.999462E+00
PKER_SWETH( 28, 18) =  0.929033E+00
PKER_SWETH( 28, 19) =  0.862870E+00
PKER_SWETH( 28, 20) =  0.800705E+00
PKER_SWETH( 28, 21) =  0.742287E+00
PKER_SWETH( 28, 22) =  0.687378E+00
PKER_SWETH( 28, 23) =  0.635752E+00
PKER_SWETH( 28, 24) =  0.587197E+00
PKER_SWETH( 28, 25) =  0.541509E+00
PKER_SWETH( 28, 26) =  0.498494E+00
PKER_SWETH( 28, 27) =  0.457967E+00
PKER_SWETH( 28, 28) =  0.419751E+00
PKER_SWETH( 28, 29) =  0.383673E+00
PKER_SWETH( 28, 30) =  0.349569E+00
PKER_SWETH( 28, 31) =  0.317283E+00
PKER_SWETH( 28, 32) =  0.286664E+00
PKER_SWETH( 28, 33) =  0.257572E+00
PKER_SWETH( 28, 34) =  0.229887E+00
PKER_SWETH( 28, 35) =  0.203511E+00
PKER_SWETH( 28, 36) =  0.178386E+00
PKER_SWETH( 28, 37) =  0.154515E+00
PKER_SWETH( 28, 38) =  0.131988E+00
PKER_SWETH( 28, 39) =  0.111005E+00
PKER_SWETH( 28, 40) =  0.918807E-01
PKER_SWETH( 28, 41) =  0.750363E-01
PKER_SWETH( 28, 42) =  0.609249E-01
PKER_SWETH( 28, 43) =  0.499395E-01
PKER_SWETH( 28, 44) =  0.423051E-01
PKER_SWETH( 28, 45) =  0.380232E-01
PKER_SWETH( 28, 46) =  0.368477E-01
PKER_SWETH( 28, 47) =  0.383224E-01
PKER_SWETH( 28, 48) =  0.418693E-01
PKER_SWETH( 28, 49) =  0.468853E-01
PKER_SWETH( 28, 50) =  0.528439E-01
PKER_SWETH( 28, 51) =  0.592713E-01
PKER_SWETH( 28, 52) =  0.658408E-01
PKER_SWETH( 28, 53) =  0.723285E-01
PKER_SWETH( 28, 54) =  0.785904E-01
PKER_SWETH( 28, 55) =  0.845537E-01
PKER_SWETH( 28, 56) =  0.901848E-01
PKER_SWETH( 28, 57) =  0.954771E-01
PKER_SWETH( 28, 58) =  0.100439E+00
PKER_SWETH( 28, 59) =  0.105087E+00
PKER_SWETH( 28, 60) =  0.109439E+00
PKER_SWETH( 28, 61) =  0.113515E+00
PKER_SWETH( 28, 62) =  0.117332E+00
PKER_SWETH( 28, 63) =  0.120909E+00
PKER_SWETH( 28, 64) =  0.124262E+00
PKER_SWETH( 28, 65) =  0.127406E+00
PKER_SWETH( 28, 66) =  0.130355E+00
PKER_SWETH( 28, 67) =  0.133120E+00
PKER_SWETH( 28, 68) =  0.135715E+00
PKER_SWETH( 28, 69) =  0.138149E+00
PKER_SWETH( 28, 70) =  0.140434E+00
PKER_SWETH( 28, 71) =  0.142578E+00
PKER_SWETH( 28, 72) =  0.144591E+00
PKER_SWETH( 28, 73) =  0.146480E+00
PKER_SWETH( 28, 74) =  0.148254E+00
PKER_SWETH( 28, 75) =  0.149919E+00
PKER_SWETH( 28, 76) =  0.151482E+00
PKER_SWETH( 28, 77) =  0.152949E+00
PKER_SWETH( 28, 78) =  0.154327E+00
PKER_SWETH( 28, 79) =  0.155621E+00
PKER_SWETH( 28, 80) =  0.156835E+00
PKER_SWETH( 29,  1) =  0.302428E+01
PKER_SWETH( 29,  2) =  0.283176E+01
PKER_SWETH( 29,  3) =  0.265098E+01
PKER_SWETH( 29,  4) =  0.248124E+01
PKER_SWETH( 29,  5) =  0.232185E+01
PKER_SWETH( 29,  6) =  0.217218E+01
PKER_SWETH( 29,  7) =  0.203165E+01
PKER_SWETH( 29,  8) =  0.189968E+01
PKER_SWETH( 29,  9) =  0.177576E+01
PKER_SWETH( 29, 10) =  0.165940E+01
PKER_SWETH( 29, 11) =  0.155013E+01
PKER_SWETH( 29, 12) =  0.144753E+01
PKER_SWETH( 29, 13) =  0.135117E+01
PKER_SWETH( 29, 14) =  0.126068E+01
PKER_SWETH( 29, 15) =  0.117571E+01
PKER_SWETH( 29, 16) =  0.109590E+01
PKER_SWETH( 29, 17) =  0.102095E+01
PKER_SWETH( 29, 18) =  0.950548E+00
PKER_SWETH( 29, 19) =  0.884419E+00
PKER_SWETH( 29, 20) =  0.822295E+00
PKER_SWETH( 29, 21) =  0.763926E+00
PKER_SWETH( 29, 22) =  0.709077E+00
PKER_SWETH( 29, 23) =  0.657523E+00
PKER_SWETH( 29, 24) =  0.609055E+00
PKER_SWETH( 29, 25) =  0.563470E+00
PKER_SWETH( 29, 26) =  0.520580E+00
PKER_SWETH( 29, 27) =  0.480203E+00
PKER_SWETH( 29, 28) =  0.442165E+00
PKER_SWETH( 29, 29) =  0.406299E+00
PKER_SWETH( 29, 30) =  0.372447E+00
PKER_SWETH( 29, 31) =  0.340455E+00
PKER_SWETH( 29, 32) =  0.310175E+00
PKER_SWETH( 29, 33) =  0.281469E+00
PKER_SWETH( 29, 34) =  0.254205E+00
PKER_SWETH( 29, 35) =  0.228266E+00
PKER_SWETH( 29, 36) =  0.203556E+00
PKER_SWETH( 29, 37) =  0.180007E+00
PKER_SWETH( 29, 38) =  0.157592E+00
PKER_SWETH( 29, 39) =  0.136340E+00
PKER_SWETH( 29, 40) =  0.116352E+00
PKER_SWETH( 29, 41) =  0.978136E-01
PKER_SWETH( 29, 42) =  0.809885E-01
PKER_SWETH( 29, 43) =  0.662043E-01
PKER_SWETH( 29, 44) =  0.538061E-01
PKER_SWETH( 29, 45) =  0.440664E-01
PKER_SWETH( 29, 46) =  0.371573E-01
PKER_SWETH( 29, 47) =  0.330684E-01
PKER_SWETH( 29, 48) =  0.315985E-01
PKER_SWETH( 29, 49) =  0.324092E-01
PKER_SWETH( 29, 50) =  0.350441E-01
PKER_SWETH( 29, 51) =  0.390177E-01
PKER_SWETH( 29, 52) =  0.438760E-01
PKER_SWETH( 29, 53) =  0.492363E-01
PKER_SWETH( 29, 54) =  0.548009E-01
PKER_SWETH( 29, 55) =  0.603500E-01
PKER_SWETH( 29, 56) =  0.657504E-01
PKER_SWETH( 29, 57) =  0.709231E-01
PKER_SWETH( 29, 58) =  0.758271E-01
PKER_SWETH( 29, 59) =  0.804506E-01
PKER_SWETH( 29, 60) =  0.847948E-01
PKER_SWETH( 29, 61) =  0.888701E-01
PKER_SWETH( 29, 62) =  0.926906E-01
PKER_SWETH( 29, 63) =  0.962714E-01
PKER_SWETH( 29, 64) =  0.996278E-01
PKER_SWETH( 29, 65) =  0.102775E+00
PKER_SWETH( 29, 66) =  0.105725E+00
PKER_SWETH( 29, 67) =  0.108493E+00
PKER_SWETH( 29, 68) =  0.111089E+00
PKER_SWETH( 29, 69) =  0.113525E+00
PKER_SWETH( 29, 70) =  0.115810E+00
PKER_SWETH( 29, 71) =  0.117955E+00
PKER_SWETH( 29, 72) =  0.119968E+00
PKER_SWETH( 29, 73) =  0.121858E+00
PKER_SWETH( 29, 74) =  0.123632E+00
PKER_SWETH( 29, 75) =  0.125297E+00
PKER_SWETH( 29, 76) =  0.126860E+00
PKER_SWETH( 29, 77) =  0.128328E+00
PKER_SWETH( 29, 78) =  0.129706E+00
PKER_SWETH( 29, 79) =  0.130999E+00
PKER_SWETH( 29, 80) =  0.132214E+00
PKER_SWETH( 30,  1) =  0.304263E+01
PKER_SWETH( 30,  2) =  0.285012E+01
PKER_SWETH( 30,  3) =  0.266934E+01
PKER_SWETH( 30,  4) =  0.249960E+01
PKER_SWETH( 30,  5) =  0.234021E+01
PKER_SWETH( 30,  6) =  0.219055E+01
PKER_SWETH( 30,  7) =  0.205001E+01
PKER_SWETH( 30,  8) =  0.191805E+01
PKER_SWETH( 30,  9) =  0.179414E+01
PKER_SWETH( 30, 10) =  0.167778E+01
PKER_SWETH( 30, 11) =  0.156852E+01
PKER_SWETH( 30, 12) =  0.146592E+01
PKER_SWETH( 30, 13) =  0.136957E+01
PKER_SWETH( 30, 14) =  0.127910E+01
PKER_SWETH( 30, 15) =  0.119413E+01
PKER_SWETH( 30, 16) =  0.111434E+01
PKER_SWETH( 30, 17) =  0.103941E+01
PKER_SWETH( 30, 18) =  0.969029E+00
PKER_SWETH( 30, 19) =  0.902926E+00
PKER_SWETH( 30, 20) =  0.840833E+00
PKER_SWETH( 30, 21) =  0.782502E+00
PKER_SWETH( 30, 22) =  0.727698E+00
PKER_SWETH( 30, 23) =  0.676199E+00
PKER_SWETH( 30, 24) =  0.627795E+00
PKER_SWETH( 30, 25) =  0.582290E+00
PKER_SWETH( 30, 26) =  0.539494E+00
PKER_SWETH( 30, 27) =  0.499230E+00
PKER_SWETH( 30, 28) =  0.461327E+00
PKER_SWETH( 30, 29) =  0.425623E+00
PKER_SWETH( 30, 30) =  0.391964E+00
PKER_SWETH( 30, 31) =  0.360198E+00
PKER_SWETH( 30, 32) =  0.330184E+00
PKER_SWETH( 30, 33) =  0.301784E+00
PKER_SWETH( 30, 34) =  0.274868E+00
PKER_SWETH( 30, 35) =  0.249313E+00
PKER_SWETH( 30, 36) =  0.225011E+00
PKER_SWETH( 30, 37) =  0.201868E+00
PKER_SWETH( 30, 38) =  0.179815E+00
PKER_SWETH( 30, 39) =  0.158815E+00
PKER_SWETH( 30, 40) =  0.138868E+00
PKER_SWETH( 30, 41) =  0.120024E+00
PKER_SWETH( 30, 42) =  0.102388E+00
PKER_SWETH( 30, 43) =  0.861144E-01
PKER_SWETH( 30, 44) =  0.714080E-01
PKER_SWETH( 30, 45) =  0.585069E-01
PKER_SWETH( 30, 46) =  0.476515E-01
PKER_SWETH( 30, 47) =  0.390335E-01
PKER_SWETH( 30, 48) =  0.327743E-01
PKER_SWETH( 30, 49) =  0.288723E-01
PKER_SWETH( 30, 50) =  0.271805E-01
PKER_SWETH( 30, 51) =  0.274431E-01
PKER_SWETH( 30, 52) =  0.293182E-01
PKER_SWETH( 30, 53) =  0.324139E-01
PKER_SWETH( 30, 54) =  0.363508E-01
PKER_SWETH( 30, 55) =  0.408047E-01
PKER_SWETH( 30, 56) =  0.455006E-01
PKER_SWETH( 30, 57) =  0.502456E-01
PKER_SWETH( 30, 58) =  0.549025E-01
PKER_SWETH( 30, 59) =  0.593913E-01
PKER_SWETH( 30, 60) =  0.636662E-01
PKER_SWETH( 30, 61) =  0.677085E-01
PKER_SWETH( 30, 62) =  0.715153E-01
PKER_SWETH( 30, 63) =  0.750918E-01
PKER_SWETH( 30, 64) =  0.784481E-01
PKER_SWETH( 30, 65) =  0.815963E-01
PKER_SWETH( 30, 66) =  0.845489E-01
PKER_SWETH( 30, 67) =  0.873181E-01
PKER_SWETH( 30, 68) =  0.899158E-01
PKER_SWETH( 30, 69) =  0.923528E-01
PKER_SWETH( 30, 70) =  0.946394E-01
PKER_SWETH( 30, 71) =  0.967852E-01
PKER_SWETH( 30, 72) =  0.987990E-01
PKER_SWETH( 30, 73) =  0.100689E+00
PKER_SWETH( 30, 74) =  0.102463E+00
PKER_SWETH( 30, 75) =  0.104129E+00
PKER_SWETH( 30, 76) =  0.105692E+00
PKER_SWETH( 30, 77) =  0.107160E+00
PKER_SWETH( 30, 78) =  0.108538E+00
PKER_SWETH( 30, 79) =  0.109832E+00
PKER_SWETH( 30, 80) =  0.111046E+00
PKER_SWETH( 31,  1) =  0.305841E+01
PKER_SWETH( 31,  2) =  0.286590E+01
PKER_SWETH( 31,  3) =  0.268513E+01
PKER_SWETH( 31,  4) =  0.251539E+01
PKER_SWETH( 31,  5) =  0.235600E+01
PKER_SWETH( 31,  6) =  0.220634E+01
PKER_SWETH( 31,  7) =  0.206581E+01
PKER_SWETH( 31,  8) =  0.193385E+01
PKER_SWETH( 31,  9) =  0.180994E+01
PKER_SWETH( 31, 10) =  0.169358E+01
PKER_SWETH( 31, 11) =  0.158433E+01
PKER_SWETH( 31, 12) =  0.148173E+01
PKER_SWETH( 31, 13) =  0.138539E+01
PKER_SWETH( 31, 14) =  0.129492E+01
PKER_SWETH( 31, 15) =  0.120997E+01
PKER_SWETH( 31, 16) =  0.113019E+01
PKER_SWETH( 31, 17) =  0.105527E+01
PKER_SWETH( 31, 18) =  0.984906E+00
PKER_SWETH( 31, 19) =  0.918822E+00
PKER_SWETH( 31, 20) =  0.856754E+00
PKER_SWETH( 31, 21) =  0.798451E+00
PKER_SWETH( 31, 22) =  0.743681E+00
PKER_SWETH( 31, 23) =  0.692223E+00
PKER_SWETH( 31, 24) =  0.643870E+00
PKER_SWETH( 31, 25) =  0.598424E+00
PKER_SWETH( 31, 26) =  0.555700E+00
PKER_SWETH( 31, 27) =  0.515521E+00
PKER_SWETH( 31, 28) =  0.477722E+00
PKER_SWETH( 31, 29) =  0.442141E+00
PKER_SWETH( 31, 30) =  0.408628E+00
PKER_SWETH( 31, 31) =  0.377036E+00
PKER_SWETH( 31, 32) =  0.347228E+00
PKER_SWETH( 31, 33) =  0.319067E+00
PKER_SWETH( 31, 34) =  0.292428E+00
PKER_SWETH( 31, 35) =  0.267187E+00
PKER_SWETH( 31, 36) =  0.243232E+00
PKER_SWETH( 31, 37) =  0.220461E+00
PKER_SWETH( 31, 38) =  0.198785E+00
PKER_SWETH( 31, 39) =  0.178137E+00
PKER_SWETH( 31, 40) =  0.158477E+00
PKER_SWETH( 31, 41) =  0.139795E+00
PKER_SWETH( 31, 42) =  0.122116E+00
PKER_SWETH( 31, 43) =  0.105498E+00
PKER_SWETH( 31, 44) =  0.900345E-01
PKER_SWETH( 31, 45) =  0.758410E-01
PKER_SWETH( 31, 46) =  0.630589E-01
PKER_SWETH( 31, 47) =  0.518477E-01
PKER_SWETH( 31, 48) =  0.423630E-01
PKER_SWETH( 31, 49) =  0.347372E-01
PKER_SWETH( 31, 50) =  0.290641E-01
PKER_SWETH( 31, 51) =  0.253414E-01
PKER_SWETH( 31, 52) =  0.234859E-01
PKER_SWETH( 31, 53) =  0.233114E-01
PKER_SWETH( 31, 54) =  0.245489E-01
PKER_SWETH( 31, 55) =  0.269042E-01
PKER_SWETH( 31, 56) =  0.300674E-01
PKER_SWETH( 31, 57) =  0.337384E-01
PKER_SWETH( 31, 58) =  0.376964E-01
PKER_SWETH( 31, 59) =  0.417445E-01
PKER_SWETH( 31, 60) =  0.457577E-01
PKER_SWETH( 31, 61) =  0.496524E-01
PKER_SWETH( 31, 62) =  0.533798E-01
PKER_SWETH( 31, 63) =  0.569162E-01
PKER_SWETH( 31, 64) =  0.602537E-01
PKER_SWETH( 31, 65) =  0.633942E-01
PKER_SWETH( 31, 66) =  0.663443E-01
PKER_SWETH( 31, 67) =  0.691135E-01
PKER_SWETH( 31, 68) =  0.717119E-01
PKER_SWETH( 31, 69) =  0.741499E-01
PKER_SWETH( 31, 70) =  0.764375E-01
PKER_SWETH( 31, 71) =  0.785841E-01
PKER_SWETH( 31, 72) =  0.805986E-01
PKER_SWETH( 31, 73) =  0.824892E-01
PKER_SWETH( 31, 74) =  0.842638E-01
PKER_SWETH( 31, 75) =  0.859296E-01
PKER_SWETH( 31, 76) =  0.874932E-01
PKER_SWETH( 31, 77) =  0.889612E-01
PKER_SWETH( 31, 78) =  0.903393E-01
PKER_SWETH( 31, 79) =  0.916331E-01
PKER_SWETH( 31, 80) =  0.928478E-01
PKER_SWETH( 32,  1) =  0.307198E+01
PKER_SWETH( 32,  2) =  0.287947E+01
PKER_SWETH( 32,  3) =  0.269870E+01
PKER_SWETH( 32,  4) =  0.252896E+01
PKER_SWETH( 32,  5) =  0.236957E+01
PKER_SWETH( 32,  6) =  0.221991E+01
PKER_SWETH( 32,  7) =  0.207938E+01
PKER_SWETH( 32,  8) =  0.194742E+01
PKER_SWETH( 32,  9) =  0.182351E+01
PKER_SWETH( 32, 10) =  0.170716E+01
PKER_SWETH( 32, 11) =  0.159791E+01
PKER_SWETH( 32, 12) =  0.149532E+01
PKER_SWETH( 32, 13) =  0.139899E+01
PKER_SWETH( 32, 14) =  0.130853E+01
PKER_SWETH( 32, 15) =  0.122358E+01
PKER_SWETH( 32, 16) =  0.114381E+01
PKER_SWETH( 32, 17) =  0.106890E+01
PKER_SWETH( 32, 18) =  0.998547E+00
PKER_SWETH( 32, 19) =  0.932479E+00
PKER_SWETH( 32, 20) =  0.870428E+00
PKER_SWETH( 32, 21) =  0.812147E+00
PKER_SWETH( 32, 22) =  0.757404E+00
PKER_SWETH( 32, 23) =  0.705977E+00
PKER_SWETH( 32, 24) =  0.657662E+00
PKER_SWETH( 32, 25) =  0.612261E+00
PKER_SWETH( 32, 26) =  0.569591E+00
PKER_SWETH( 32, 27) =  0.529478E+00
PKER_SWETH( 32, 28) =  0.491757E+00
PKER_SWETH( 32, 29) =  0.456270E+00
PKER_SWETH( 32, 30) =  0.422869E+00
PKER_SWETH( 32, 31) =  0.391411E+00
PKER_SWETH( 32, 32) =  0.361760E+00
PKER_SWETH( 32, 33) =  0.333785E+00
PKER_SWETH( 32, 34) =  0.307363E+00
PKER_SWETH( 32, 35) =  0.282372E+00
PKER_SWETH( 32, 36) =  0.258701E+00
PKER_SWETH( 32, 37) =  0.236242E+00
PKER_SWETH( 32, 38) =  0.214902E+00
PKER_SWETH( 32, 39) =  0.194597E+00
PKER_SWETH( 32, 40) =  0.175263E+00
PKER_SWETH( 32, 41) =  0.156861E+00
PKER_SWETH( 32, 42) =  0.139376E+00
PKER_SWETH( 32, 43) =  0.122822E+00
PKER_SWETH( 32, 44) =  0.107235E+00
PKER_SWETH( 32, 45) =  0.926714E-01
PKER_SWETH( 32, 46) =  0.791985E-01
PKER_SWETH( 32, 47) =  0.668908E-01
PKER_SWETH( 32, 48) =  0.558298E-01
PKER_SWETH( 32, 49) =  0.461095E-01
PKER_SWETH( 32, 50) =  0.378288E-01
PKER_SWETH( 32, 51) =  0.310726E-01
PKER_SWETH( 32, 52) =  0.259224E-01
PKER_SWETH( 32, 53) =  0.223881E-01
PKER_SWETH( 32, 54) =  0.204125E-01
PKER_SWETH( 32, 55) =  0.198855E-01
PKER_SWETH( 32, 56) =  0.206112E-01
PKER_SWETH( 32, 57) =  0.223423E-01
PKER_SWETH( 32, 58) =  0.248393E-01
PKER_SWETH( 32, 59) =  0.278564E-01
PKER_SWETH( 32, 60) =  0.311658E-01
PKER_SWETH( 32, 61) =  0.346111E-01
PKER_SWETH( 32, 62) =  0.380645E-01
PKER_SWETH( 32, 63) =  0.414420E-01
PKER_SWETH( 32, 64) =  0.446910E-01
PKER_SWETH( 32, 65) =  0.477849E-01
PKER_SWETH( 32, 66) =  0.507120E-01
PKER_SWETH( 32, 67) =  0.534705E-01
PKER_SWETH( 32, 68) =  0.560645E-01
PKER_SWETH( 32, 69) =  0.585012E-01
PKER_SWETH( 32, 70) =  0.607887E-01
PKER_SWETH( 32, 71) =  0.629357E-01
PKER_SWETH( 32, 72) =  0.649507E-01
PKER_SWETH( 32, 73) =  0.668419E-01
PKER_SWETH( 32, 74) =  0.686169E-01
PKER_SWETH( 32, 75) =  0.702830E-01
PKER_SWETH( 32, 76) =  0.718470E-01
PKER_SWETH( 32, 77) =  0.733151E-01
PKER_SWETH( 32, 78) =  0.746934E-01
PKER_SWETH( 32, 79) =  0.759873E-01
PKER_SWETH( 32, 80) =  0.772022E-01
PKER_SWETH( 33,  1) =  0.308365E+01
PKER_SWETH( 33,  2) =  0.289113E+01
PKER_SWETH( 33,  3) =  0.271036E+01
PKER_SWETH( 33,  4) =  0.254062E+01
PKER_SWETH( 33,  5) =  0.238124E+01
PKER_SWETH( 33,  6) =  0.223158E+01
PKER_SWETH( 33,  7) =  0.209105E+01
PKER_SWETH( 33,  8) =  0.195909E+01
PKER_SWETH( 33,  9) =  0.183519E+01
PKER_SWETH( 33, 10) =  0.171884E+01
PKER_SWETH( 33, 11) =  0.160959E+01
PKER_SWETH( 33, 12) =  0.150700E+01
PKER_SWETH( 33, 13) =  0.141067E+01
PKER_SWETH( 33, 14) =  0.132022E+01
PKER_SWETH( 33, 15) =  0.123527E+01
PKER_SWETH( 33, 16) =  0.115551E+01
PKER_SWETH( 33, 17) =  0.108061E+01
PKER_SWETH( 33, 18) =  0.101027E+01
PKER_SWETH( 33, 19) =  0.944211E+00
PKER_SWETH( 33, 20) =  0.882174E+00
PKER_SWETH( 33, 21) =  0.823911E+00
PKER_SWETH( 33, 22) =  0.769187E+00
PKER_SWETH( 33, 23) =  0.717785E+00
PKER_SWETH( 33, 24) =  0.669498E+00
PKER_SWETH( 33, 25) =  0.624132E+00
PKER_SWETH( 33, 26) =  0.581504E+00
PKER_SWETH( 33, 27) =  0.541441E+00
PKER_SWETH( 33, 28) =  0.503779E+00
PKER_SWETH( 33, 29) =  0.468364E+00
PKER_SWETH( 33, 30) =  0.435048E+00
PKER_SWETH( 33, 31) =  0.403692E+00
PKER_SWETH( 33, 32) =  0.374162E+00
PKER_SWETH( 33, 33) =  0.346331E+00
PKER_SWETH( 33, 34) =  0.320078E+00
PKER_SWETH( 33, 35) =  0.295284E+00
PKER_SWETH( 33, 36) =  0.271839E+00
PKER_SWETH( 33, 37) =  0.249637E+00
PKER_SWETH( 33, 38) =  0.228579E+00
PKER_SWETH( 33, 39) =  0.208576E+00
PKER_SWETH( 33, 40) =  0.189552E+00
PKER_SWETH( 33, 41) =  0.171446E+00
PKER_SWETH( 33, 42) =  0.154219E+00
PKER_SWETH( 33, 43) =  0.137857E+00
PKER_SWETH( 33, 44) =  0.122365E+00
PKER_SWETH( 33, 45) =  0.107772E+00
PKER_SWETH( 33, 46) =  0.941135E-01
PKER_SWETH( 33, 47) =  0.814306E-01
PKER_SWETH( 33, 48) =  0.697596E-01
PKER_SWETH( 33, 49) =  0.591329E-01
PKER_SWETH( 33, 50) =  0.495874E-01
PKER_SWETH( 33, 51) =  0.411680E-01
PKER_SWETH( 33, 52) =  0.339301E-01
PKER_SWETH( 33, 53) =  0.279413E-01
PKER_SWETH( 33, 54) =  0.232585E-01
PKER_SWETH( 33, 55) =  0.199094E-01
PKER_SWETH( 33, 56) =  0.178713E-01
PKER_SWETH( 33, 57) =  0.170702E-01
PKER_SWETH( 33, 58) =  0.173718E-01
PKER_SWETH( 33, 59) =  0.185930E-01
PKER_SWETH( 33, 60) =  0.205264E-01
PKER_SWETH( 33, 61) =  0.229634E-01
PKER_SWETH( 33, 62) =  0.257251E-01
PKER_SWETH( 33, 63) =  0.286451E-01
PKER_SWETH( 33, 64) =  0.316079E-01
PKER_SWETH( 33, 65) =  0.345319E-01
PKER_SWETH( 33, 66) =  0.373616E-01
PKER_SWETH( 33, 67) =  0.400676E-01
PKER_SWETH( 33, 68) =  0.426346E-01
PKER_SWETH( 33, 69) =  0.450580E-01
PKER_SWETH( 33, 70) =  0.473394E-01
PKER_SWETH( 33, 71) =  0.494840E-01
PKER_SWETH( 33, 72) =  0.514983E-01
PKER_SWETH( 33, 73) =  0.533894E-01
PKER_SWETH( 33, 74) =  0.551646E-01
PKER_SWETH( 33, 75) =  0.568310E-01
PKER_SWETH( 33, 76) =  0.583952E-01
PKER_SWETH( 33, 77) =  0.598636E-01
PKER_SWETH( 33, 78) =  0.612421E-01
PKER_SWETH( 33, 79) =  0.625362E-01
PKER_SWETH( 33, 80) =  0.637511E-01
PKER_SWETH( 34,  1) =  0.309367E+01
PKER_SWETH( 34,  2) =  0.290116E+01
PKER_SWETH( 34,  3) =  0.272039E+01
PKER_SWETH( 34,  4) =  0.255065E+01
PKER_SWETH( 34,  5) =  0.239127E+01
PKER_SWETH( 34,  6) =  0.224161E+01
PKER_SWETH( 34,  7) =  0.210108E+01
PKER_SWETH( 34,  8) =  0.196913E+01
PKER_SWETH( 34,  9) =  0.184522E+01
PKER_SWETH( 34, 10) =  0.172888E+01
PKER_SWETH( 34, 11) =  0.161963E+01
PKER_SWETH( 34, 12) =  0.151704E+01
PKER_SWETH( 34, 13) =  0.142072E+01
PKER_SWETH( 34, 14) =  0.133026E+01
PKER_SWETH( 34, 15) =  0.124533E+01
PKER_SWETH( 34, 16) =  0.116557E+01
PKER_SWETH( 34, 17) =  0.109067E+01
PKER_SWETH( 34, 18) =  0.102034E+01
PKER_SWETH( 34, 19) =  0.954292E+00
PKER_SWETH( 34, 20) =  0.892266E+00
PKER_SWETH( 34, 21) =  0.834015E+00
PKER_SWETH( 34, 22) =  0.779307E+00
PKER_SWETH( 34, 23) =  0.727923E+00
PKER_SWETH( 34, 24) =  0.679659E+00
PKER_SWETH( 34, 25) =  0.634319E+00
PKER_SWETH( 34, 26) =  0.591723E+00
PKER_SWETH( 34, 27) =  0.551698E+00
PKER_SWETH( 34, 28) =  0.514082E+00
PKER_SWETH( 34, 29) =  0.478721E+00
PKER_SWETH( 34, 30) =  0.445471E+00
PKER_SWETH( 34, 31) =  0.414193E+00
PKER_SWETH( 34, 32) =  0.384756E+00
PKER_SWETH( 34, 33) =  0.357036E+00
PKER_SWETH( 34, 34) =  0.330913E+00
PKER_SWETH( 34, 35) =  0.306273E+00
PKER_SWETH( 34, 36) =  0.283006E+00
PKER_SWETH( 34, 37) =  0.261009E+00
PKER_SWETH( 34, 38) =  0.240184E+00
PKER_SWETH( 34, 39) =  0.220436E+00
PKER_SWETH( 34, 40) =  0.201685E+00
PKER_SWETH( 34, 41) =  0.183858E+00
PKER_SWETH( 34, 42) =  0.166898E+00
PKER_SWETH( 34, 43) =  0.150769E+00
PKER_SWETH( 34, 44) =  0.135455E+00
PKER_SWETH( 34, 45) =  0.120960E+00
PKER_SWETH( 34, 46) =  0.107304E+00
PKER_SWETH( 34, 47) =  0.945159E-01
PKER_SWETH( 34, 48) =  0.826218E-01
PKER_SWETH( 34, 49) =  0.716384E-01
PKER_SWETH( 34, 50) =  0.615720E-01
PKER_SWETH( 34, 51) =  0.524221E-01
PKER_SWETH( 34, 52) =  0.441914E-01
PKER_SWETH( 34, 53) =  0.368950E-01
PKER_SWETH( 34, 54) =  0.305630E-01
PKER_SWETH( 34, 55) =  0.252431E-01
PKER_SWETH( 34, 56) =  0.209881E-01
PKER_SWETH( 34, 57) =  0.178255E-01
PKER_SWETH( 34, 58) =  0.157648E-01
PKER_SWETH( 34, 59) =  0.147630E-01
PKER_SWETH( 34, 60) =  0.147237E-01
PKER_SWETH( 34, 61) =  0.155170E-01
PKER_SWETH( 34, 62) =  0.169756E-01
PKER_SWETH( 34, 63) =  0.189247E-01
PKER_SWETH( 34, 64) =  0.212006E-01
PKER_SWETH( 34, 65) =  0.236626E-01
PKER_SWETH( 34, 66) =  0.261994E-01
PKER_SWETH( 34, 67) =  0.287254E-01
PKER_SWETH( 34, 68) =  0.311875E-01
PKER_SWETH( 34, 69) =  0.335528E-01
PKER_SWETH( 34, 70) =  0.358031E-01
PKER_SWETH( 34, 71) =  0.379320E-01
PKER_SWETH( 34, 72) =  0.399386E-01
PKER_SWETH( 34, 73) =  0.418263E-01
PKER_SWETH( 34, 74) =  0.436002E-01
PKER_SWETH( 34, 75) =  0.452662E-01
PKER_SWETH( 34, 76) =  0.468304E-01
PKER_SWETH( 34, 77) =  0.482989E-01
PKER_SWETH( 34, 78) =  0.496775E-01
PKER_SWETH( 34, 79) =  0.509718E-01
PKER_SWETH( 34, 80) =  0.521868E-01
PKER_SWETH( 35,  1) =  0.310229E+01
PKER_SWETH( 35,  2) =  0.290978E+01
PKER_SWETH( 35,  3) =  0.272901E+01
PKER_SWETH( 35,  4) =  0.255927E+01
PKER_SWETH( 35,  5) =  0.239989E+01
PKER_SWETH( 35,  6) =  0.225023E+01
PKER_SWETH( 35,  7) =  0.210971E+01
PKER_SWETH( 35,  8) =  0.197775E+01
PKER_SWETH( 35,  9) =  0.185385E+01
PKER_SWETH( 35, 10) =  0.173750E+01
PKER_SWETH( 35, 11) =  0.162826E+01
PKER_SWETH( 35, 12) =  0.152568E+01
PKER_SWETH( 35, 13) =  0.142935E+01
PKER_SWETH( 35, 14) =  0.133890E+01
PKER_SWETH( 35, 15) =  0.125397E+01
PKER_SWETH( 35, 16) =  0.117421E+01
PKER_SWETH( 35, 17) =  0.109932E+01
PKER_SWETH( 35, 18) =  0.102899E+01
PKER_SWETH( 35, 19) =  0.962954E+00
PKER_SWETH( 35, 20) =  0.900936E+00
PKER_SWETH( 35, 21) =  0.842695E+00
PKER_SWETH( 35, 22) =  0.787999E+00
PKER_SWETH( 35, 23) =  0.736630E+00
PKER_SWETH( 35, 24) =  0.688382E+00
PKER_SWETH( 35, 25) =  0.643063E+00
PKER_SWETH( 35, 26) =  0.600491E+00
PKER_SWETH( 35, 27) =  0.560496E+00
PKER_SWETH( 35, 28) =  0.522915E+00
PKER_SWETH( 35, 29) =  0.487596E+00
PKER_SWETH( 35, 30) =  0.454396E+00
PKER_SWETH( 35, 31) =  0.423178E+00
PKER_SWETH( 35, 32) =  0.393812E+00
PKER_SWETH( 35, 33) =  0.366177E+00
PKER_SWETH( 35, 34) =  0.340155E+00
PKER_SWETH( 35, 35) =  0.315634E+00
PKER_SWETH( 35, 36) =  0.292507E+00
PKER_SWETH( 35, 37) =  0.270673E+00
PKER_SWETH( 35, 38) =  0.250034E+00
PKER_SWETH( 35, 39) =  0.230497E+00
PKER_SWETH( 35, 40) =  0.211978E+00
PKER_SWETH( 35, 41) =  0.194397E+00
PKER_SWETH( 35, 42) =  0.177688E+00
PKER_SWETH( 35, 43) =  0.161799E+00
PKER_SWETH( 35, 44) =  0.146695E+00
PKER_SWETH( 35, 45) =  0.132358E+00
PKER_SWETH( 35, 46) =  0.118793E+00
PKER_SWETH( 35, 47) =  0.106016E+00
PKER_SWETH( 35, 48) =  0.940490E-01
PKER_SWETH( 35, 49) =  0.829116E-01
PKER_SWETH( 35, 50) =  0.726109E-01
PKER_SWETH( 35, 51) =  0.631403E-01
PKER_SWETH( 35, 52) =  0.544809E-01
PKER_SWETH( 35, 53) =  0.466098E-01
PKER_SWETH( 35, 54) =  0.395099E-01
PKER_SWETH( 35, 55) =  0.331777E-01
PKER_SWETH( 35, 56) =  0.276290E-01
PKER_SWETH( 35, 57) =  0.228990E-01
PKER_SWETH( 35, 58) =  0.190322E-01
PKER_SWETH( 35, 59) =  0.160626E-01
PKER_SWETH( 35, 60) =  0.140126E-01
PKER_SWETH( 35, 61) =  0.128671E-01
PKER_SWETH( 35, 62) =  0.125631E-01
PKER_SWETH( 35, 63) =  0.130040E-01
PKER_SWETH( 35, 64) =  0.140640E-01
PKER_SWETH( 35, 65) =  0.155956E-01
PKER_SWETH( 35, 66) =  0.174553E-01
PKER_SWETH( 35, 67) =  0.195193E-01
PKER_SWETH( 35, 68) =  0.216784E-01
PKER_SWETH( 35, 69) =  0.238555E-01
PKER_SWETH( 35, 70) =  0.259938E-01
PKER_SWETH( 35, 71) =  0.280589E-01
PKER_SWETH( 35, 72) =  0.300308E-01
PKER_SWETH( 35, 73) =  0.319003E-01
PKER_SWETH( 35, 74) =  0.336651E-01
PKER_SWETH( 35, 75) =  0.353268E-01
PKER_SWETH( 35, 76) =  0.368892E-01
PKER_SWETH( 35, 77) =  0.383569E-01
PKER_SWETH( 35, 78) =  0.397353E-01
PKER_SWETH( 35, 79) =  0.410295E-01
PKER_SWETH( 35, 80) =  0.422447E-01
PKER_SWETH( 36,  1) =  0.310970E+01
PKER_SWETH( 36,  2) =  0.291719E+01
PKER_SWETH( 36,  3) =  0.273642E+01
PKER_SWETH( 36,  4) =  0.256668E+01
PKER_SWETH( 36,  5) =  0.240730E+01
PKER_SWETH( 36,  6) =  0.225765E+01
PKER_SWETH( 36,  7) =  0.211712E+01
PKER_SWETH( 36,  8) =  0.198517E+01
PKER_SWETH( 36,  9) =  0.186126E+01
PKER_SWETH( 36, 10) =  0.174492E+01
PKER_SWETH( 36, 11) =  0.163568E+01
PKER_SWETH( 36, 12) =  0.153310E+01
PKER_SWETH( 36, 13) =  0.143677E+01
PKER_SWETH( 36, 14) =  0.134632E+01
PKER_SWETH( 36, 15) =  0.126139E+01
PKER_SWETH( 36, 16) =  0.118164E+01
PKER_SWETH( 36, 17) =  0.110675E+01
PKER_SWETH( 36, 18) =  0.103643E+01
PKER_SWETH( 36, 19) =  0.970397E+00
PKER_SWETH( 36, 20) =  0.908386E+00
PKER_SWETH( 36, 21) =  0.850153E+00
PKER_SWETH( 36, 22) =  0.795466E+00
PKER_SWETH( 36, 23) =  0.744108E+00
PKER_SWETH( 36, 24) =  0.695873E+00
PKER_SWETH( 36, 25) =  0.650570E+00
PKER_SWETH( 36, 26) =  0.608017E+00
PKER_SWETH( 36, 27) =  0.568044E+00
PKER_SWETH( 36, 28) =  0.530490E+00
PKER_SWETH( 36, 29) =  0.495203E+00
PKER_SWETH( 36, 30) =  0.462042E+00
PKER_SWETH( 36, 31) =  0.430869E+00
PKER_SWETH( 36, 32) =  0.401559E+00
PKER_SWETH( 36, 33) =  0.373989E+00
PKER_SWETH( 36, 34) =  0.348045E+00
PKER_SWETH( 36, 35) =  0.323616E+00
PKER_SWETH( 36, 36) =  0.300599E+00
PKER_SWETH( 36, 37) =  0.278892E+00
PKER_SWETH( 36, 38) =  0.258401E+00
PKER_SWETH( 36, 39) =  0.239034E+00
PKER_SWETH( 36, 40) =  0.220706E+00
PKER_SWETH( 36, 41) =  0.203335E+00
PKER_SWETH( 36, 42) =  0.186850E+00
PKER_SWETH( 36, 43) =  0.171188E+00
PKER_SWETH( 36, 44) =  0.156300E+00
PKER_SWETH( 36, 45) =  0.142151E+00
PKER_SWETH( 36, 46) =  0.128727E+00
PKER_SWETH( 36, 47) =  0.116029E+00
PKER_SWETH( 36, 48) =  0.104072E+00
PKER_SWETH( 36, 49) =  0.928735E-01
PKER_SWETH( 36, 50) =  0.824495E-01
PKER_SWETH( 36, 51) =  0.728026E-01
PKER_SWETH( 36, 52) =  0.639198E-01
PKER_SWETH( 36, 53) =  0.557752E-01
PKER_SWETH( 36, 54) =  0.483333E-01
PKER_SWETH( 36, 55) =  0.415587E-01
PKER_SWETH( 36, 56) =  0.354254E-01
PKER_SWETH( 36, 57) =  0.299195E-01
PKER_SWETH( 36, 58) =  0.250483E-01
PKER_SWETH( 36, 59) =  0.208397E-01
PKER_SWETH( 36, 60) =  0.173299E-01
PKER_SWETH( 36, 61) =  0.145557E-01
PKER_SWETH( 36, 62) =  0.125495E-01
PKER_SWETH( 36, 63) =  0.113080E-01
PKER_SWETH( 36, 64) =  0.108016E-01
PKER_SWETH( 36, 65) =  0.109613E-01
PKER_SWETH( 36, 66) =  0.116849E-01
PKER_SWETH( 36, 67) =  0.128598E-01
PKER_SWETH( 36, 68) =  0.143640E-01
PKER_SWETH( 36, 69) =  0.160768E-01
PKER_SWETH( 36, 70) =  0.179090E-01
PKER_SWETH( 36, 71) =  0.197779E-01
PKER_SWETH( 36, 72) =  0.216309E-01
PKER_SWETH( 36, 73) =  0.234315E-01
PKER_SWETH( 36, 74) =  0.251579E-01
PKER_SWETH( 36, 75) =  0.267991E-01
PKER_SWETH( 36, 76) =  0.283509E-01
PKER_SWETH( 36, 77) =  0.298135E-01
PKER_SWETH( 36, 78) =  0.311895E-01
PKER_SWETH( 36, 79) =  0.324827E-01
PKER_SWETH( 36, 80) =  0.336974E-01
PKER_SWETH( 37,  1) =  0.311608E+01
PKER_SWETH( 37,  2) =  0.292356E+01
PKER_SWETH( 37,  3) =  0.274280E+01
PKER_SWETH( 37,  4) =  0.257306E+01
PKER_SWETH( 37,  5) =  0.241368E+01
PKER_SWETH( 37,  6) =  0.226402E+01
PKER_SWETH( 37,  7) =  0.212349E+01
PKER_SWETH( 37,  8) =  0.199154E+01
PKER_SWETH( 37,  9) =  0.186764E+01
PKER_SWETH( 37, 10) =  0.175130E+01
PKER_SWETH( 37, 11) =  0.164205E+01
PKER_SWETH( 37, 12) =  0.153947E+01
PKER_SWETH( 37, 13) =  0.144315E+01
PKER_SWETH( 37, 14) =  0.135271E+01
PKER_SWETH( 37, 15) =  0.126778E+01
PKER_SWETH( 37, 16) =  0.118803E+01
PKER_SWETH( 37, 17) =  0.111314E+01
PKER_SWETH( 37, 18) =  0.104282E+01
PKER_SWETH( 37, 19) =  0.976794E+00
PKER_SWETH( 37, 20) =  0.914788E+00
PKER_SWETH( 37, 21) =  0.856560E+00
PKER_SWETH( 37, 22) =  0.801881E+00
PKER_SWETH( 37, 23) =  0.750531E+00
PKER_SWETH( 37, 24) =  0.702307E+00
PKER_SWETH( 37, 25) =  0.657016E+00
PKER_SWETH( 37, 26) =  0.614477E+00
PKER_SWETH( 37, 27) =  0.574521E+00
PKER_SWETH( 37, 28) =  0.536988E+00
PKER_SWETH( 37, 29) =  0.501726E+00
PKER_SWETH( 37, 30) =  0.468594E+00
PKER_SWETH( 37, 31) =  0.437458E+00
PKER_SWETH( 37, 32) =  0.408190E+00
PKER_SWETH( 37, 33) =  0.380671E+00
PKER_SWETH( 37, 34) =  0.354786E+00
PKER_SWETH( 37, 35) =  0.330429E+00
PKER_SWETH( 37, 36) =  0.307496E+00
PKER_SWETH( 37, 37) =  0.285889E+00
PKER_SWETH( 37, 38) =  0.265514E+00
PKER_SWETH( 37, 39) =  0.246283E+00
PKER_SWETH( 37, 40) =  0.228109E+00
PKER_SWETH( 37, 41) =  0.210913E+00
PKER_SWETH( 37, 42) =  0.194619E+00
PKER_SWETH( 37, 43) =  0.179160E+00
PKER_SWETH( 37, 44) =  0.164477E+00
PKER_SWETH( 37, 45) =  0.150523E+00
PKER_SWETH( 37, 46) =  0.137268E+00
PKER_SWETH( 37, 47) =  0.124695E+00
PKER_SWETH( 37, 48) =  0.112806E+00
PKER_SWETH( 37, 49) =  0.101613E+00
PKER_SWETH( 37, 50) =  0.911322E-01
PKER_SWETH( 37, 51) =  0.813759E-01
PKER_SWETH( 37, 52) =  0.723446E-01
PKER_SWETH( 37, 53) =  0.640238E-01
PKER_SWETH( 37, 54) =  0.563838E-01
PKER_SWETH( 37, 55) =  0.493857E-01
PKER_SWETH( 37, 56) =  0.429865E-01
PKER_SWETH( 37, 57) =  0.371471E-01
PKER_SWETH( 37, 58) =  0.318367E-01
PKER_SWETH( 37, 59) =  0.270401E-01
PKER_SWETH( 37, 60) =  0.227582E-01
PKER_SWETH( 37, 61) =  0.190115E-01
PKER_SWETH( 37, 62) =  0.158324E-01
PKER_SWETH( 37, 63) =  0.132541E-01
PKER_SWETH( 37, 64) =  0.113154E-01
PKER_SWETH( 37, 65) =  0.100251E-01
PKER_SWETH( 37, 66) =  0.936563E-02
PKER_SWETH( 37, 67) =  0.929977E-02
PKER_SWETH( 37, 68) =  0.975168E-02
PKER_SWETH( 37, 69) =  0.106226E-01
PKER_SWETH( 37, 70) =  0.118165E-01
PKER_SWETH( 37, 71) =  0.132315E-01
PKER_SWETH( 37, 72) =  0.147715E-01
PKER_SWETH( 37, 73) =  0.163699E-01
PKER_SWETH( 37, 74) =  0.179714E-01
PKER_SWETH( 37, 75) =  0.195388E-01
PKER_SWETH( 37, 76) =  0.210485E-01
PKER_SWETH( 37, 77) =  0.224882E-01
PKER_SWETH( 37, 78) =  0.238523E-01
PKER_SWETH( 37, 79) =  0.251394E-01
PKER_SWETH( 37, 80) =  0.263512E-01
PKER_SWETH( 38,  1) =  0.312155E+01
PKER_SWETH( 38,  2) =  0.292904E+01
PKER_SWETH( 38,  3) =  0.274827E+01
PKER_SWETH( 38,  4) =  0.257854E+01
PKER_SWETH( 38,  5) =  0.241915E+01
PKER_SWETH( 38,  6) =  0.226950E+01
PKER_SWETH( 38,  7) =  0.212897E+01
PKER_SWETH( 38,  8) =  0.199702E+01
PKER_SWETH( 38,  9) =  0.187312E+01
PKER_SWETH( 38, 10) =  0.175678E+01
PKER_SWETH( 38, 11) =  0.164753E+01
PKER_SWETH( 38, 12) =  0.154496E+01
PKER_SWETH( 38, 13) =  0.144864E+01
PKER_SWETH( 38, 14) =  0.135819E+01
PKER_SWETH( 38, 15) =  0.127326E+01
PKER_SWETH( 38, 16) =  0.119352E+01
PKER_SWETH( 38, 17) =  0.111863E+01
PKER_SWETH( 38, 18) =  0.104832E+01
PKER_SWETH( 38, 19) =  0.982291E+00
PKER_SWETH( 38, 20) =  0.920289E+00
PKER_SWETH( 38, 21) =  0.862066E+00
PKER_SWETH( 38, 22) =  0.807392E+00
PKER_SWETH( 38, 23) =  0.756049E+00
PKER_SWETH( 38, 24) =  0.707832E+00
PKER_SWETH( 38, 25) =  0.662551E+00
PKER_SWETH( 38, 26) =  0.620024E+00
PKER_SWETH( 38, 27) =  0.580081E+00
PKER_SWETH( 38, 28) =  0.542564E+00
PKER_SWETH( 38, 29) =  0.507322E+00
PKER_SWETH( 38, 30) =  0.474213E+00
PKER_SWETH( 38, 31) =  0.443103E+00
PKER_SWETH( 38, 32) =  0.413868E+00
PKER_SWETH( 38, 33) =  0.386388E+00
PKER_SWETH( 38, 34) =  0.360550E+00
PKER_SWETH( 38, 35) =  0.336248E+00
PKER_SWETH( 38, 36) =  0.313380E+00
PKER_SWETH( 38, 37) =  0.291851E+00
PKER_SWETH( 38, 38) =  0.271567E+00
PKER_SWETH( 38, 39) =  0.252443E+00
PKER_SWETH( 38, 40) =  0.234393E+00
PKER_SWETH( 38, 41) =  0.217338E+00
PKER_SWETH( 38, 42) =  0.201203E+00
PKER_SWETH( 38, 43) =  0.185918E+00
PKER_SWETH( 38, 44) =  0.171419E+00
PKER_SWETH( 38, 45) =  0.157652E+00
PKER_SWETH( 38, 46) =  0.144573E+00
PKER_SWETH( 38, 47) =  0.132151E+00
PKER_SWETH( 38, 48) =  0.120374E+00
PKER_SWETH( 38, 49) =  0.109240E+00
PKER_SWETH( 38, 50) =  0.987594E-01
PKER_SWETH( 38, 51) =  0.889476E-01
PKER_SWETH( 38, 52) =  0.798146E-01
PKER_SWETH( 38, 53) =  0.713596E-01
PKER_SWETH( 38, 54) =  0.635674E-01
PKER_SWETH( 38, 55) =  0.564087E-01
PKER_SWETH( 38, 56) =  0.498437E-01
PKER_SWETH( 38, 57) =  0.438276E-01
PKER_SWETH( 38, 58) =  0.383165E-01
PKER_SWETH( 38, 59) =  0.332715E-01
PKER_SWETH( 38, 60) =  0.286636E-01
PKER_SWETH( 38, 61) =  0.244758E-01
PKER_SWETH( 38, 62) =  0.207079E-01
PKER_SWETH( 38, 63) =  0.173736E-01
PKER_SWETH( 38, 64) =  0.144984E-01
PKER_SWETH( 38, 65) =  0.121181E-01
PKER_SWETH( 38, 66) =  0.102648E-01
PKER_SWETH( 38, 67) =  0.895844E-02
PKER_SWETH( 38, 68) =  0.819655E-02
PKER_SWETH( 38, 69) =  0.795499E-02
PKER_SWETH( 38, 70) =  0.818194E-02
PKER_SWETH( 38, 71) =  0.880268E-02
PKER_SWETH( 38, 72) =  0.973113E-02
PKER_SWETH( 38, 73) =  0.108789E-01
PKER_SWETH( 38, 74) =  0.121690E-01
PKER_SWETH( 38, 75) =  0.135287E-01
PKER_SWETH( 38, 76) =  0.149074E-01
PKER_SWETH( 38, 77) =  0.162683E-01
PKER_SWETH( 38, 78) =  0.175866E-01
PKER_SWETH( 38, 79) =  0.188485E-01
PKER_SWETH( 38, 80) =  0.200469E-01
PKER_SWETH( 39,  1) =  0.312626E+01
PKER_SWETH( 39,  2) =  0.293375E+01
PKER_SWETH( 39,  3) =  0.275298E+01
PKER_SWETH( 39,  4) =  0.258325E+01
PKER_SWETH( 39,  5) =  0.242386E+01
PKER_SWETH( 39,  6) =  0.227421E+01
PKER_SWETH( 39,  7) =  0.213368E+01
PKER_SWETH( 39,  8) =  0.200173E+01
PKER_SWETH( 39,  9) =  0.187783E+01
PKER_SWETH( 39, 10) =  0.176149E+01
PKER_SWETH( 39, 11) =  0.165225E+01
PKER_SWETH( 39, 12) =  0.154967E+01
PKER_SWETH( 39, 13) =  0.145335E+01
PKER_SWETH( 39, 14) =  0.136291E+01
PKER_SWETH( 39, 15) =  0.127798E+01
PKER_SWETH( 39, 16) =  0.119824E+01
PKER_SWETH( 39, 17) =  0.112335E+01
PKER_SWETH( 39, 18) =  0.105304E+01
PKER_SWETH( 39, 19) =  0.987015E+00
PKER_SWETH( 39, 20) =  0.925016E+00
PKER_SWETH( 39, 21) =  0.866797E+00
PKER_SWETH( 39, 22) =  0.812128E+00
PKER_SWETH( 39, 23) =  0.760790E+00
PKER_SWETH( 39, 24) =  0.712579E+00
PKER_SWETH( 39, 25) =  0.667305E+00
PKER_SWETH( 39, 26) =  0.624787E+00
PKER_SWETH( 39, 27) =  0.584855E+00
PKER_SWETH( 39, 28) =  0.547350E+00
PKER_SWETH( 39, 29) =  0.512122E+00
PKER_SWETH( 39, 30) =  0.479031E+00
PKER_SWETH( 39, 31) =  0.447943E+00
PKER_SWETH( 39, 32) =  0.418733E+00
PKER_SWETH( 39, 33) =  0.391283E+00
PKER_SWETH( 39, 34) =  0.365481E+00
PKER_SWETH( 39, 35) =  0.341221E+00
PKER_SWETH( 39, 36) =  0.318405E+00
PKER_SWETH( 39, 37) =  0.296935E+00
PKER_SWETH( 39, 38) =  0.276723E+00
PKER_SWETH( 39, 39) =  0.257682E+00
PKER_SWETH( 39, 40) =  0.239730E+00
PKER_SWETH( 39, 41) =  0.222789E+00
PKER_SWETH( 39, 42) =  0.206783E+00
PKER_SWETH( 39, 43) =  0.191643E+00
PKER_SWETH( 39, 44) =  0.177303E+00
PKER_SWETH( 39, 45) =  0.163704E+00
PKER_SWETH( 39, 46) =  0.150794E+00
PKER_SWETH( 39, 47) =  0.138532E+00
PKER_SWETH( 39, 48) =  0.126891E+00
PKER_SWETH( 39, 49) =  0.115856E+00
PKER_SWETH( 39, 50) =  0.105427E+00
PKER_SWETH( 39, 51) =  0.956115E-01
PKER_SWETH( 39, 52) =  0.864237E-01
PKER_SWETH( 39, 53) =  0.778719E-01
PKER_SWETH( 39, 54) =  0.699550E-01
PKER_SWETH( 39, 55) =  0.626577E-01
PKER_SWETH( 39, 56) =  0.559517E-01
PKER_SWETH( 39, 57) =  0.497985E-01
PKER_SWETH( 39, 58) =  0.441542E-01
PKER_SWETH( 39, 59) =  0.389738E-01
PKER_SWETH( 39, 60) =  0.342166E-01
PKER_SWETH( 39, 61) =  0.298469E-01
PKER_SWETH( 39, 62) =  0.258389E-01
PKER_SWETH( 39, 63) =  0.221768E-01
PKER_SWETH( 39, 64) =  0.188576E-01
PKER_SWETH( 39, 65) =  0.158916E-01
PKER_SWETH( 39, 66) =  0.132994E-01
PKER_SWETH( 39, 67) =  0.111114E-01
PKER_SWETH( 39, 68) =  0.936006E-02
PKER_SWETH( 39, 69) =  0.806501E-02
PKER_SWETH( 39, 70) =  0.723816E-02
PKER_SWETH( 39, 71) =  0.686650E-02
PKER_SWETH( 39, 72) =  0.691235E-02
PKER_SWETH( 39, 73) =  0.732242E-02
PKER_SWETH( 39, 74) =  0.802562E-02
PKER_SWETH( 39, 75) =  0.894621E-02
PKER_SWETH( 39, 76) =  0.100126E-01
PKER_SWETH( 39, 77) =  0.111624E-01
PKER_SWETH( 39, 78) =  0.123458E-01
PKER_SWETH( 39, 79) =  0.135242E-01
PKER_SWETH( 39, 80) =  0.146735E-01
PKER_SWETH( 40,  1) =  0.313031E+01
PKER_SWETH( 40,  2) =  0.293780E+01
PKER_SWETH( 40,  3) =  0.275703E+01
PKER_SWETH( 40,  4) =  0.258729E+01
PKER_SWETH( 40,  5) =  0.242791E+01
PKER_SWETH( 40,  6) =  0.227826E+01
PKER_SWETH( 40,  7) =  0.213773E+01
PKER_SWETH( 40,  8) =  0.200578E+01
PKER_SWETH( 40,  9) =  0.188188E+01
PKER_SWETH( 40, 10) =  0.176554E+01
PKER_SWETH( 40, 11) =  0.165630E+01
PKER_SWETH( 40, 12) =  0.155372E+01
PKER_SWETH( 40, 13) =  0.145740E+01
PKER_SWETH( 40, 14) =  0.136696E+01
PKER_SWETH( 40, 15) =  0.128203E+01
PKER_SWETH( 40, 16) =  0.120229E+01
PKER_SWETH( 40, 17) =  0.112741E+01
PKER_SWETH( 40, 18) =  0.105710E+01
PKER_SWETH( 40, 19) =  0.991076E+00
PKER_SWETH( 40, 20) =  0.929079E+00
PKER_SWETH( 40, 21) =  0.870863E+00
PKER_SWETH( 40, 22) =  0.816197E+00
PKER_SWETH( 40, 23) =  0.764863E+00
PKER_SWETH( 40, 24) =  0.716657E+00
PKER_SWETH( 40, 25) =  0.671389E+00
PKER_SWETH( 40, 26) =  0.628877E+00
PKER_SWETH( 40, 27) =  0.588953E+00
PKER_SWETH( 40, 28) =  0.551458E+00
PKER_SWETH( 40, 29) =  0.516242E+00
PKER_SWETH( 40, 30) =  0.483165E+00
PKER_SWETH( 40, 31) =  0.452093E+00
PKER_SWETH( 40, 32) =  0.422902E+00
PKER_SWETH( 40, 33) =  0.395476E+00
PKER_SWETH( 40, 34) =  0.369701E+00
PKER_SWETH( 40, 35) =  0.345475E+00
PKER_SWETH( 40, 36) =  0.322698E+00
PKER_SWETH( 40, 37) =  0.301275E+00
PKER_SWETH( 40, 38) =  0.281119E+00
PKER_SWETH( 40, 39) =  0.262143E+00
PKER_SWETH( 40, 40) =  0.244268E+00
PKER_SWETH( 40, 41) =  0.227416E+00
PKER_SWETH( 40, 42) =  0.211515E+00
PKER_SWETH( 40, 43) =  0.196493E+00
PKER_SWETH( 40, 44) =  0.182286E+00
PKER_SWETH( 40, 45) =  0.168832E+00
PKER_SWETH( 40, 46) =  0.156075E+00
PKER_SWETH( 40, 47) =  0.143968E+00
PKER_SWETH( 40, 48) =  0.132471E+00
PKER_SWETH( 40, 49) =  0.121560E+00
PKER_SWETH( 40, 50) =  0.111219E+00
PKER_SWETH( 40, 51) =  0.101447E+00
PKER_SWETH( 40, 52) =  0.922530E-01
PKER_SWETH( 40, 53) =  0.836474E-01
PKER_SWETH( 40, 54) =  0.756380E-01
PKER_SWETH( 40, 55) =  0.682230E-01
PKER_SWETH( 40, 56) =  0.613879E-01
PKER_SWETH( 40, 57) =  0.551058E-01
PKER_SWETH( 40, 58) =  0.493398E-01
PKER_SWETH( 40, 59) =  0.440480E-01
PKER_SWETH( 40, 60) =  0.391874E-01
PKER_SWETH( 40, 61) =  0.347167E-01
PKER_SWETH( 40, 62) =  0.305992E-01
PKER_SWETH( 40, 63) =  0.268049E-01
PKER_SWETH( 40, 64) =  0.233110E-01
PKER_SWETH( 40, 65) =  0.201033E-01
PKER_SWETH( 40, 66) =  0.171779E-01
PKER_SWETH( 40, 67) =  0.145412E-01
PKER_SWETH( 40, 68) =  0.122100E-01
PKER_SWETH( 40, 69) =  0.102095E-01
PKER_SWETH( 40, 70) =  0.856828E-02
PKER_SWETH( 40, 71) =  0.730855E-02
PKER_SWETH( 40, 72) =  0.644644E-02
PKER_SWETH( 40, 73) =  0.598027E-02
PKER_SWETH( 40, 74) =  0.588539E-02
PKER_SWETH( 40, 75) =  0.612142E-02
PKER_SWETH( 40, 76) =  0.663468E-02
PKER_SWETH( 40, 77) =  0.735968E-02
PKER_SWETH( 40, 78) =  0.823287E-02
PKER_SWETH( 40, 79) =  0.919883E-02
PKER_SWETH( 40, 80) =  0.102081E-01
END IF
!
END SUBROUTINE LIMA_READ_XKER_SWETH
